GNU bug report logs - #22000
25.0.50; Running dired changes frame width, gtk_distribute_natural_allocation throws assertion

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: David Engster <deng@HIDDEN>; merged with #15700, #22898, #31626; dated Mon, 23 Nov 2015 20:56:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 23 Oct 2018 18:18:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 23 14:18:52 2018
Received: from localhost ([127.0.0.1]:38486 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gF1GV-0001Fv-Tl
	for submit <at> debbugs.gnu.org; Tue, 23 Oct 2018 14:18:52 -0400
Received: from mout.gmx.net ([212.227.17.22]:33329)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gF1GU-0001Fh-IL
 for 22000 <at> debbugs.gnu.org; Tue, 23 Oct 2018 14:18:50 -0400
Received: from [192.168.1.101] ([213.162.73.191]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MOjMY-1gHmQJ2qQA-0069ie; Tue, 23
 Oct 2018 20:18:41 +0200
Received: from [192.168.1.101] ([213.162.73.191]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MOjMY-1gHmQJ2qQA-0069ie; Tue, 23
 Oct 2018 20:18:41 +0200
Message-ID: <5BCF65FB.8000607@HIDDEN>
Date: Tue, 23 Oct 2018 20:18:35 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>	<alpine.DEB.2.02.1810121316230.5980@HIDDEN>	<5BC0E405.90805@HIDDEN>	<alpine.DEB.2.02.1810121917570.5980@HIDDEN>	<5BC1AAE2.7070808@HIDDEN>	<alpine.DEB.2.02.1810151455060.19047@HIDDEN>	<5BC4DB0E.3050501@HIDDEN>	<alpine.DEB.2.02.1810161954120.19047@HIDDEN>	<5BC6E4F2.2030607@HIDDEN>	<alpine.DEB.2.02.1810180200180.19047@HIDDEN>	<83pnw7qsxu.fsf@HIDDEN>
 <87h8hjxrk2.fsf@HIDDEN>	<5BC8B7A4.8020405@HIDDEN>
 <87ftx24c4s.fsf@HIDDEN>	<5BC99700.1050309@HIDDEN>
 <87ftx2jo1a.fsf@HIDDEN>	<87ftx2xd8r.fsf@HIDDEN>
 <5BCA1AF7.20100@HIDDEN>	<87d0s1vuwa.fsf@HIDDEN> <5BCF25F3.2020603@HIDDEN>
 <87r2ggwyke.fsf@HIDDEN>
In-Reply-To: <87r2ggwyke.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:ZI6CwdpzF000L9KHlB9MuNk4EbSukKUBiuXtdGNMjb2omW/ZPa1
 sXnwhjqKg29XyrMBIltbYJusvUmgJ4hvHIetNxgcmn/Jxx1oxq3SneGFQKAkPRHWNYMJ73e
 IVuZhiZ65yF6Q3M5xGQ0Rj+8tn6RCN0KjEHfs1dklkXk1S4OyQ7TCY6160FZuQXvV3vgrCO
 dqRVmClVQdjS3BbliqjLA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:Tj5seDiFFJg=:YMPv84asMALmQMZnuGyaFY
 Zq+gebBhIiQANrWHPvNy/nJoAvX3u4amFQlxaZSspE2U+Cv/6w/hEYxCqy7VReK9wHDLtHgWt
 w/E15fJ5jKPLd8rLA6yPNz3V3wnFbA5VWUWprj16k3Uz0PRGu++RIzSHK1pF5gISsqXsdXBuz
 soI+g90NsA4Du0pahx1WNyjAZG1S4QHWMFd3ILaCj+vsXIC6hVt3tjZlq+c++OhiYVAXWRUFc
 9zUbymDpfzqgz3gFlSjxSCn8y3r1a/uTYT5FVSIhzIsXIljoWPp6cpgZLggFgpfz9plt8kncq
 xkYTWr56nhZ8Ueh0xPeX2/z+9LkslC7zjJrUMKw4r3ZjdXup1wxcXWT1U7w/w2G35o5GKOA8F
 rYjdAaPj9UJBNC1viOjGA4LkPrWDLM062x4gn29kd4koJbqVfoEZJT6y6dwqvYHsrhqrLE5fs
 KFzU8lxiEqpItQPlYwfqydgtK+KgbK4pOQwaNs8JRd5wSy4kh4pLjNZ0rOyl8dtlOpXJEVQxj
 rhFS63lk18+L9b2p4UNtpAhDpR7hz2qWyUnDVyRITTRLg/SzRAtpOuYzOLIGzqXRb0ZJnXqPF
 jPe4u68GfcMUFWKqy7PAc+2+8Ji7HmG5kGNaQyqB9RxnUNCObJkqC91scoe+QIq4eczLcrWdI
 fgaa2SyiF+m8JLliyVSPaVoDhyhIuFyROnI4tVAT66Iub9YDe9sFuPlNZJXlAWbthCLMEprqb
 ANcF3D9qp3JL8jJB4GxzYAI+fEkGC3HrMiyzBE0d9mmrcBJUUP4YU3AmUiFT7+ZocCjgv2ZpB
 JLVZaj1M6oyIwMEsK4cXfWHjWIM1Ehm9Cum0WMH+mrB3WL/wYQ=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22000
Cc: 22000 <at> debbugs.gnu.org, vivek@HIDDEN,
 Stephen Berman <Stephen.Berman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> (3) The display artifacts happen only when scaling is on and Emacs is=

 >> not aware of that fact because the reported scale factor is 1.
 >
 > It=CA=BCs (3). If I specifically run emacs with GDK_SCALE=3D2, then I =
see no
 > vertical scrollbar for the echo area, as expected.

In this case Vivek might not be the right addressee for this problem
because he probably does not scale.  Provided the problem goes away
when you use 'forced-resize'.  Otherwise, he should care.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 23 Oct 2018 14:02:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 23 10:02:53 2018
Received: from localhost ([127.0.0.1]:38349 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gExGn-0007fH-3q
	for submit <at> debbugs.gnu.org; Tue, 23 Oct 2018 10:02:53 -0400
Received: from mail-wr1-f45.google.com ([209.85.221.45]:41674)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1gExGl-0007f0-3C
 for 22000 <at> debbugs.gnu.org; Tue, 23 Oct 2018 10:02:51 -0400
Received: by mail-wr1-f45.google.com with SMTP id q7-v6so1850476wrr.8
 for <22000 <at> debbugs.gnu.org>; Tue, 23 Oct 2018 07:02:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=tmW2eG8fV5Whh0WULSbcX6gPpnloLuFXbNctz7fi9d4=;
 b=TISHEqG21wkl7pjO4d4OJmysnU9pYRybvNZpKpoWCXo4gWLhXtk3qUsWDhiUOoDunk
 XfYSM4KDrZM7u96wpuvojcYqtmkr4YDtj8H21hYS9/OyhNG2IoMahdcf3nRl+sLzbNdm
 zMcJq8QtwAE5LbQb8DU4cK11ibjBmK6X5oinYdl915Bnp1dSte0Pq+Uo8hL/YMCsLyxx
 6BeG4Gumhjphdkz1mvBuMLwMan7zhfD4sv4OHQwlcG1aKRrPYeTDbKA2Pyd99+AePChI
 KG6fjD4fRw0okpDzA+7XH2Q2WOmd5RwPpW2MB3qRPDnoB8YqwPS+bPgl3yX1Kuqikax4
 HZBw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=tmW2eG8fV5Whh0WULSbcX6gPpnloLuFXbNctz7fi9d4=;
 b=CWXKiprpyPoG99NLibqTgBFnaskq0QQdNdrrWhO7tKGjLCd+OS9nxhsrzltKFKsXTQ
 F644o55bOk2Y5qGQiJCfByWXtGAaJwvNyeBhrkh+YI8BTfEmG9Fpop5l8LRXyLIkA9Km
 NjsfhhMRUaRy9Ug8+2BTuWCxz0N0aFcv/eq1tKtLFS0reGUTANH+krNiZnv3+ClUMTFa
 hfyawGB0pxMVxlsBaRjmpRkKrtBvQPWbvnTdkZJSroB+Nc5/rMd+/HGA5In32lp/BvMF
 xcXgstdRHwUKvvMWe1M6D/zmAAEZRia4NtAWZEmbe2vzdo85VRkwmV/TBcvm+RLrbdvQ
 w9TQ==
X-Gm-Message-State: ABuFfogXochlAf4p58P8FBfftyK6mRxCmJW6ucPlr8iM5JL7R0ZNC4vG
 BLtIbtvlQmNlYvCdhTonFlI=
X-Google-Smtp-Source: ACcGV61wKnVa+rLSn9R+ZACkJ1KCQ36/0bdyXbBR6NpT7wTgbguOdn6l+449lHwwb7wGeWjxToxMXQ==
X-Received: by 2002:adf:f404:: with SMTP id
 g4-v6mr30969047wro.198.1540303364786; 
 Tue, 23 Oct 2018 07:02:44 -0700 (PDT)
Received: from rpluim-ubuntu (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id d6-v6sm1719317wro.72.2018.10.23.07.02.42
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 23 Oct 2018 07:02:43 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN> <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <83pnw7qsxu.fsf@HIDDEN> <87h8hjxrk2.fsf@HIDDEN>
 <5BC8B7A4.8020405@HIDDEN> <87ftx24c4s.fsf@HIDDEN>
 <5BC99700.1050309@HIDDEN> <87ftx2jo1a.fsf@HIDDEN>
 <87ftx2xd8r.fsf@HIDDEN> <5BCA1AF7.20100@HIDDEN>
 <87d0s1vuwa.fsf@HIDDEN> <5BCF25F3.2020603@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Tue, 23 Oct 2018 16:02:41 +0200
In-Reply-To: <5BCF25F3.2020603@HIDDEN> (martin rudalics's message of "Tue, 23
 Oct 2018 15:45:23 +0200")
Message-ID: <87r2ggwyke.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 22000
Cc: 22000 <at> debbugs.gnu.org, vivek@HIDDEN,
 Stephen Berman <Stephen.Berman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

martin rudalics <rudalics@HIDDEN> writes:

>> Under KDE the minimum slider length is 21, under GNOME it=CA=BCs the sam=
e,
>> but the reported height of the echo area is > msl under KDE. This
>> looks like another scaling issue (except in this case the scale factor
>> reported by GTK is 1, so I can't do anything to fix it).
>
> So which of the following interpretations is correct?
>
> (1) The display artifacts happen regardless of whether scaling is
> on or off.
>
> (2) The display artifacts happen only when scaling is on.
>
> (3) The display artifacts happen only when scaling is on and Emacs is
> not aware of that fact because the reported scale factor is 1.

It=CA=BCs (3). If I specifically run emacs with GDK_SCALE=3D2, then I see no
vertical scrollbar for the echo area, as expected.

Maybe I should just run GNOME all the time :-)

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 23 Oct 2018 13:45:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 23 09:45:39 2018
Received: from localhost ([127.0.0.1]:37278 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gEx07-0006zt-Kj
	for submit <at> debbugs.gnu.org; Tue, 23 Oct 2018 09:45:39 -0400
Received: from mout.gmx.net ([212.227.15.19]:45339)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gEx05-0006zf-W4
 for 22000 <at> debbugs.gnu.org; Tue, 23 Oct 2018 09:45:38 -0400
Received: from [192.168.1.101] ([213.162.73.191]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M6zkD-1fROc00vKP-00woVx; Tue, 23
 Oct 2018 15:45:29 +0200
Received: from [192.168.1.101] ([213.162.73.191]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M6zkD-1fROc00vKP-00woVx; Tue, 23
 Oct 2018 15:45:29 +0200
Message-ID: <5BCF25F3.2020603@HIDDEN>
Date: Tue, 23 Oct 2018 15:45:23 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>	<alpine.DEB.2.02.1810112148100.5980@HIDDEN>	<5BC05EEB.9010609@HIDDEN>	<alpine.DEB.2.02.1810121316230.5980@HIDDEN>	<5BC0E405.90805@HIDDEN>	<alpine.DEB.2.02.1810121917570.5980@HIDDEN>	<5BC1AAE2.7070808@HIDDEN>	<alpine.DEB.2.02.1810151455060.19047@HIDDEN>	<5BC4DB0E.3050501@HIDDEN>	<alpine.DEB.2.02.1810161954120.19047@HIDDEN>	<5BC6E4F2.2030607@HIDDEN>	<alpine.DEB.2.02.1810180200180.19047@HIDDEN>	<83pnw7qsxu.fsf@HIDDEN>
 <87h8hjxrk2.fsf@HIDDEN>	<5BC8B7A4.8020405@HIDDEN>
 <87ftx24c4s.fsf@HIDDEN>	<5BC99700.1050309@HIDDEN>
 <87ftx2jo1a.fsf@HIDDEN>	<87ftx2xd8r.fsf@HIDDEN> <5BCA1AF7.20100@HIDDEN>
 <87d0s1vuwa.fsf@HIDDEN>
In-Reply-To: <87d0s1vuwa.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:mmd6iiC8eUdleT+CiF+2t0rzcduuMLD2iSsAm3CDxQTp3gREj9d
 0ChMCQ3bKsqAOhBZPfogjONXZQK0OeKU3U0e0hAgSq4mXAdb0m1LwWQLiUJySkZ8Zm/aT+V
 z7+y927zecDySoqYB/Ki2yqhpAiBt5pCbfKkw+nF5p77NaZuz6jzlAp7av1qcgor2jxiYFf
 a+7E8US28GakW2h1qHm8w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:nT7n1MAZ6PI=:8N/3Yq0e3WdldjYIsY0XKV
 FNqwTSlg40yTNWskNIu4xb22Qi8RO2s4FvYZ5ufndiYSGm+M+sS/tQDR2kL+YHu159CIW02WH
 I8nypQVxzXgyXzM+0g8t7rf9BL9/vIlie8aiKHS4QQEKhklYtQswmTte8/0sEsFZToUG+uviW
 qRFeSCTAX9kXypndr2ohES24iTw1gao4MvMmGhYuxsyc+Kn4x7BGf86XZDaO62ItotBJLgYTg
 Pzel3lvLR2buFzpVAoTJueM2itfiXPgyBUMEuBbHpC7pcLTdUwPybpUE0GcU54t8af4gDlqMG
 tIbbG3oUCwod0VzAAdpLXL72oGFAbVFXAwKDEWMpzxY0qfeT2uRewB/0YNlFyrzCxLdJV5RiV
 a16yVHaSm99Knxcvx8YWHEKaBsNGv7DcInzig0KfTYl63KLT5oTzElrB6LkZfpFPmdnK3BH/P
 d6VnFMs5BkTAGLdlOKANOiCQOZ2ZwygO6ADCkdFYkH0JkTgTxJ6Cr+fIwuVJ0u9QCxFW00Qqs
 K1kmO0JiI6lI6ED7MSfJ1YLzBqTI1tiQhEwmVU6in28zyqn1X7xUELqIOcTrSWiLldIxinKdr
 tQgekfAYI+M07xF/ueQzLZKHuiIGYYItGYg4lG0giAvQJQfbsixOJpfOX5FUWaQFc3j4cWKWx
 rOhwq0bl569BiD1vggFBAaqLRa3+BJi94G6cmxreNNZcVTqUeavadMj6j29g3jwUoprhb+E9E
 ofonFMqzIPhyTCdrSG2f2yzmKCMNyAxL/eC5eZmt0sHOp4x+br+uGSfJTGgQqY+4P+Exi3G1o
 NU3743TKExawoWHeXlWrDycvI5Jjkd7fCffKP4moIYenziadYA=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22000
Cc: 22000 <at> debbugs.gnu.org, vivek@HIDDEN,
 Stephen Berman <Stephen.Berman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Under KDE the minimum slider length is 21, under GNOME it=CA=BCs the s=
ame,
 > but the reported height of the echo area is > msl under KDE. This
 > looks like another scaling issue (except in this case the scale factor=

 > reported by GTK is 1, so I can't do anything to fix it).

So which of the following interpretations is correct?

(1) The display artifacts happen regardless of whether scaling is
on or off.

(2) The display artifacts happen only when scaling is on.

(3) The display artifacts happen only when scaling is on and Emacs is
not aware of that fact because the reported scale factor is 1.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 23 Oct 2018 10:07:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 23 06:07:28 2018
Received: from localhost ([127.0.0.1]:37079 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gEtay-00063V-7i
	for submit <at> debbugs.gnu.org; Tue, 23 Oct 2018 06:07:28 -0400
Received: from mail-wr1-f49.google.com ([209.85.221.49]:40421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1gEtaw-00063F-SU
 for 22000 <at> debbugs.gnu.org; Tue, 23 Oct 2018 06:07:27 -0400
Received: by mail-wr1-f49.google.com with SMTP id d2-v6so994565wro.7
 for <22000 <at> debbugs.gnu.org>; Tue, 23 Oct 2018 03:07:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:message-id:mime-version;
 bh=L9BiRcSFl00OjJ+8NVcgeC7TvAEwn+dazKUi0F2T8IA=;
 b=WbAFA6oyxBjXK3Mran5YLTdZymqcHh162I8oKN++uMfMntFwuKOz6SYKoM01LIVCfF
 tkYr8nT2Fmfmqlh0WU4ZSj/YokdzkC/rktPHNlZ+txpiSBPufWTPPKvf8z514fGHy+vv
 jCD53MldUT0ENhQXZMNOtMCfPyaqz/dBTInbLTE/uOzUFpuojD7ru58LXsWgEjtgmrqn
 wXN4sLd88NhTOnBk50axId/zYjr1Sd7idJGL2zF0OeAC9yvPpfvwOJN0QrQ3lqceQeVA
 Zfd7SCK6bfDiTe5ZMQgPjrrclNcTd1FmpxttGfJPrdf0YyEFTXMeFC93JgYnfk3Rka1P
 3Qsg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:message-id:mime-version;
 bh=L9BiRcSFl00OjJ+8NVcgeC7TvAEwn+dazKUi0F2T8IA=;
 b=t6peBdfv5M11vDalma6232Y6mH3lNtGcMD8ceEtI09UKLhiOHC2p2RX8P3Bfq+TayE
 Ckchx3vYkTag58ucd9RiE7LgqlHYOYXSMELu4L515I327xfUd/vpSX4mv79qrYnW9j7U
 oGxgtZvM5sCYiMx668aerPNMWNpqWrF3L5jk7Rqvitb+7rCJWeH0JDxCqk4p8RCOXTNq
 okwmVq58NfskMc5WVaIziwI8waod5m8kDzd/o5Px1kiw9CfxD/0MgWVcEi0kHU+mlLz9
 sNue6eNqfZQBlF6oOEKBmPKhDovfACKBIh32O8l/DDwPvdcLszBb+2Uo9BXp5aQBVoUt
 PLoQ==
X-Gm-Message-State: AGRZ1gLXSobACLuvOVDe8ylRYdpYFPnzXn457RXXerUn2/8vQY9x1+AC
 JfD2p7yBl1mix9i+r68RhqY=
X-Google-Smtp-Source: AJdET5dOTXDvE5NEME8lA+0SsvLBRPvfz/ebcucIAuAnqxyji+iytXcGFJVdllU4NO6i3R3mNcvmxg==
X-Received: by 2002:a05:6000:108d:: with SMTP id
 y13mr9278022wrw.226.1540289240730; 
 Tue, 23 Oct 2018 03:07:20 -0700 (PDT)
Received: from rpluim-ubuntu (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id 143-v6sm2419337wmv.6.2018.10.23.03.07.19
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 23 Oct 2018 03:07:19 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN> <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <83pnw7qsxu.fsf@HIDDEN> <87h8hjxrk2.fsf@HIDDEN>
 <5BC8B7A4.8020405@HIDDEN> <87ftx24c4s.fsf@HIDDEN>
 <5BC99700.1050309@HIDDEN> <87ftx2jo1a.fsf@HIDDEN>
 <87ftx2xd8r.fsf@HIDDEN> <5BCA1AF7.20100@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Tue, 23 Oct 2018 12:07:17 +0200
Message-ID: <87d0s1vuwa.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22000
Cc: 22000 <at> debbugs.gnu.org, vivek@HIDDEN,
 Stephen Berman <Stephen.Berman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

martin rudalics <rudalics@HIDDEN> writes:

>> Further testing under KDE shows three things:
>>
>> 1. I get a vertical scrollbar on the right for the echo
>>     area/minibuffer line but not the menubar using emacs -Q on
>>     unmodified emacs-26, so that was not introduced by this patch
>
> Hmmm... Could you investigatte why this happens?  Note that the echo
> area/minibuffer window by default hay a vertical scroll bar, just that
> it is hidden when the window height is less than the minimum length of
> the slider, see the following part of gtkutil.c:
>
>       if (hidden)
>         {
>           /* No room.  Hide scroll bar as some themes output a warning if
>              the height is less than the min size.  */
>           gtk_widget_hide (wparent);
>           gtk_widget_hide (wscroll);
>         }
>
> If you put a breakpoint at the 'if' you should see what's different
> between GNOME and KDE.

Under KDE the minimum slider length is 21, under GNOME it=CA=BCs the same,
but the reported height of the echo area is > msl under KDE. This
looks like another scaling issue (except in this case the scale factor
reported by GTK is 1, so I can't do anything to fix it).

>> 2. In unmodified emacs-26, the line separating the menu bar from the
>>     tool bar is solid, not dotted
>>
>> 3. I can get rid of the menu bar truncation issue by setting
>>     margin-bottom to 10px
>
> When you do that does the spearator become solid again?

No, then I get both a solid separator and a dotted one just underneath
it:


--=-=-=
Content-Type: image/png
Content-Disposition: inline; filename=Selection_046.png
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


>> (but I still have the vertical scrollbar).
>
> Funny.  I suppose that vertical menu bar scroll bar is of no use, that
> is, you don't get any truncated items in a second row?

Correct.

Robert

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 22 Oct 2018 17:11:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 22 13:11:21 2018
Received: from localhost ([127.0.0.1]:36423 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gEdjd-0004OM-Op
	for submit <at> debbugs.gnu.org; Mon, 22 Oct 2018 13:11:21 -0400
Received: from ceres.etla.org ([85.119.82.193]:52257)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivek@HIDDEN>) id 1gEdjb-0004O9-6R
 for 22000 <at> debbugs.gnu.org; Mon, 22 Oct 2018 13:11:19 -0400
Received: from yaffle.pepperfish.net ([88.99.213.221] helo=[10.112.101.20])
 by ceres.etla.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <vivek@HIDDEN>)
 id 1gEdjY-0004BP-Q3; Mon, 22 Oct 2018 18:11:17 +0100
Date: Mon, 22 Oct 2018 18:11:06 +0100 (BST)
From: Vivek Dasmohapatra <vivek@HIDDEN>
X-X-Sender: vivek@HIDDEN
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
In-Reply-To: <alpine.DEB.2.02.1810211647400.6966@HIDDEN>
Message-ID: <alpine.DEB.2.02.1810221810160.12062@HIDDEN>
References: <87k2p8h1vn.fsf@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <83pnw7qsxu.fsf@HIDDEN> <87h8hjxrk2.fsf@HIDDEN> <5BC8B7A4.8020405@HIDDEN>
 <87ftx24c4s.fsf@HIDDEN> <5BC99700.1050309@HIDDEN> <87o9bq3trg.fsf@HIDDEN>
 <alpine.DEB.2.02.1810191543020.19047@HIDDEN>
 <87k1md52mn.fsf@HIDDEN>
 <alpine.DEB.2.02.1810211647400.6966@HIDDEN>
User-Agent: Alpine 2.02 (DEB 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam_report: Spam detection software, running on the system "ceres.etla.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > - the current glitchy frame resize > > - minor visual
 quirks
 like the missing line > > - much larger (taller) menu bars (I don't know
 why GTK insists Scrub all that, one of the gtk devs asked me a question which
 I think has pointed me to the right answer. Updated patch to follow shortly.
 [...] Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 0.0 AWL AWL: Adjusted score from AWL reputation of From: address
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22000
Cc: martin rudalics <rudalics@HIDDEN>, Robert Pluim <rpluim@HIDDEN>,
 22000 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> - the current glitchy frame resize
>
> - minor visual quirks like the missing line
>
> - much larger (taller) menu bars (I don't know why GTK insists

Scrub all that, one of the gtk devs asked me a question which I think
has pointed me to the right answer. Updated patch to follow shortly.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 21 Oct 2018 15:50:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 21 11:50:30 2018
Received: from localhost ([127.0.0.1]:34517 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gEFzq-0007gW-4x
	for submit <at> debbugs.gnu.org; Sun, 21 Oct 2018 11:50:30 -0400
Received: from ceres.etla.org ([85.119.82.193]:44633)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivek@HIDDEN>) id 1gEFzn-0007gM-B8
 for 22000 <at> debbugs.gnu.org; Sun, 21 Oct 2018 11:50:28 -0400
Received: from yaffle.pepperfish.net ([88.99.213.221] helo=[10.112.101.20])
 by ceres.etla.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <vivek@HIDDEN>)
 id 1gEFzl-0004S6-Sy; Sun, 21 Oct 2018 16:50:26 +0100
Date: Sun, 21 Oct 2018 16:50:25 +0100 (BST)
From: Vivek Dasmohapatra <vivek@HIDDEN>
X-X-Sender: vivek@HIDDEN
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
In-Reply-To: <87k1md52mn.fsf@HIDDEN>
Message-ID: <alpine.DEB.2.02.1810211647400.6966@HIDDEN>
References: <87k2p8h1vn.fsf@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <83pnw7qsxu.fsf@HIDDEN> <87h8hjxrk2.fsf@HIDDEN> <5BC8B7A4.8020405@HIDDEN>
 <87ftx24c4s.fsf@HIDDEN> <5BC99700.1050309@HIDDEN> <87o9bq3trg.fsf@HIDDEN>
 <alpine.DEB.2.02.1810191543020.19047@HIDDEN>
 <87k1md52mn.fsf@HIDDEN>
User-Agent: Alpine 2.02 (DEB 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam_report: Spam detection software, running on the system "ceres.etla.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > Here's a screenshot showing the the menu and tool bars in
 Emacs without > your patches (left), with patches and menu-bar-scrollbar
 set to > `automatic' (middle) and set to nil (right): I don't however, know
 what's up with the missing line or the gap between the menu bar and the opened
 menu. I'll see if I can fix it but the choice may be between one of: [...]
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 0.0 AWL AWL: Adjusted score from AWL reputation of From: address
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22000
Cc: martin rudalics <rudalics@HIDDEN>, Robert Pluim <rpluim@HIDDEN>,
 22000 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Here's a screenshot showing the the menu and tool bars in Emacs without
> your patches (left), with patches and menu-bar-scrollbar set to
> `automatic' (middle) and set to nil (right):

I don't however, know what's up with the missing line or the gap
between the menu bar and the opened menu. I'll see if I can fix it
but the choice may be between one of:

  - the current glitchy frame resize

  - minor visual quirks like the missing line

  - much larger (taller) menu bars (I don't know why GTK insists
    on adding this much space, it's not something that seems
    configurable except with CSS trickery)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 21 Oct 2018 15:44:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 21 11:44:17 2018
Received: from localhost ([127.0.0.1]:34513 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gEFto-0007Xi-CL
	for submit <at> debbugs.gnu.org; Sun, 21 Oct 2018 11:44:16 -0400
Received: from ceres.etla.org ([85.119.82.193]:46727)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivek@HIDDEN>) id 1gEFtm-0007Xa-UD
 for 22000 <at> debbugs.gnu.org; Sun, 21 Oct 2018 11:44:15 -0400
Received: from yaffle.pepperfish.net ([88.99.213.221] helo=[10.112.101.20])
 by ceres.etla.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <vivek@HIDDEN>)
 id 1gEFtl-0004PJ-F7; Sun, 21 Oct 2018 16:44:13 +0100
Date: Sun, 21 Oct 2018 16:44:03 +0100 (BST)
From: Vivek Dasmohapatra <vivek@HIDDEN>
X-X-Sender: vivek@HIDDEN
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
In-Reply-To: <87k1md52mn.fsf@HIDDEN>
Message-ID: <alpine.DEB.2.02.1810211638190.6966@HIDDEN>
References: <87k2p8h1vn.fsf@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <83pnw7qsxu.fsf@HIDDEN> <87h8hjxrk2.fsf@HIDDEN> <5BC8B7A4.8020405@HIDDEN>
 <87ftx24c4s.fsf@HIDDEN> <5BC99700.1050309@HIDDEN> <87o9bq3trg.fsf@HIDDEN>
 <alpine.DEB.2.02.1810191543020.19047@HIDDEN>
 <87k1md52mn.fsf@HIDDEN>
User-Agent: Alpine 2.02 (DEB 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam_report: Spam detection software, running on the system "ceres.etla.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > Here's a screenshot showing the the menu and tool bars in
 Emacs without > your patches (left), with patches and menu-bar-scrollbar
 set to > `automatic' (middle) and set to nil (right): This first height
 variation
 is not a glitch - when a scrollbar is present ('always) or could be present
 ('automatic) I have to let GTK reserve some space for the scrollbar or the
 focus gets lost after certain mouse interactions, at least until the user
 forces it back with a particular widget interaction (which is very confusing
 as you suddenly stop being able to type in any buffers or use the keyboard
 to drive that instance of emacs). [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 0.0 AWL AWL: Adjusted score from AWL reputation of From: address
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22000
Cc: martin rudalics <rudalics@HIDDEN>, Robert Pluim <rpluim@HIDDEN>,
 22000 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Here's a screenshot showing the the menu and tool bars in Emacs without
> your patches (left), with patches and menu-bar-scrollbar set to
> `automatic' (middle) and set to nil (right):

This first height variation is not a glitch - when a scrollbar is present 
('always) or could be present ('automatic) I have to let GTK reserve
some space for the scrollbar or the focus gets lost after certain
mouse interactions, at least until the user forces it back with a
particular widget interaction (which is very confusing as you
suddenly stop being able to type in any buffers or use the keyboard
to drive that instance of emacs).

When there's no scrollbar (nil) the extra space can be compressed away
with some CSS trickery (in theory the UI focus model is still broken, but 
since there's no scrollbar to interact with the user can't start the bad
interaction sequence).






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 21 Oct 2018 02:39:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 20 22:39:54 2018
Received: from localhost ([127.0.0.1]:33675 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gE3ek-00032x-8j
	for submit <at> debbugs.gnu.org; Sat, 20 Oct 2018 22:39:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49259)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gE3ej-00032l-4G
 for 22000 <at> debbugs.gnu.org; Sat, 20 Oct 2018 22:39:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gE3ea-0000B3-Tw
 for 22000 <at> debbugs.gnu.org; Sat, 20 Oct 2018 22:39:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50718)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gE3eQ-0008VE-J6; Sat, 20 Oct 2018 22:39:34 -0400
Received: from [176.228.60.248] (port=2093 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gE3eQ-0003rY-6R; Sat, 20 Oct 2018 22:39:34 -0400
Date: Sun, 21 Oct 2018 05:39:17 +0300
Message-Id: <83tvlgt44q.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <cc0630e7-e6cb-4657-b088-f8252a4db49b@default> (message from Drew
 Adams on Sat, 20 Oct 2018 16:58:37 -0700 (PDT))
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <<87k2p8h1vn.fsf@HIDDEN>> <<5B52E425.8010608@HIDDEN>>
 <<alpine.DEB.2.02.1807211421040.921@HIDDEN>>
 <<5B543148.1010004@HIDDEN>>
 <<alpine.DEB.2.02.1807221324380.921@HIDDEN>>
 <<5B557ACA.4020106@HIDDEN>>
 <<alpine.DEB.2.02.1810111400480.5980@HIDDEN>>
 <<5BBF93CF.4060301@HIDDEN>>
 <<alpine.DEB.2.02.1810112148100.5980@HIDDEN>>
 <<5BC05EEB.9010609@HIDDEN>>
 <<alpine.DEB.2.02.1810121316230.5980@HIDDEN>>
 <<5BC0E405.90805@HIDDEN>>
 <<alpine.DEB.2.02.1810121917570.5980@HIDDEN>>
 <<5BC1AAE2.7070808@HIDDEN>>
 <<alpine.DEB.2.02.1810151455060.19047@HIDDEN>>
 <<5BC4DB0E.3050501@HIDDEN>>
 <<alpine.DEB.2.02.1810161954120.19047@HIDDEN>>
 <<5BC6E4F2.2030607@HIDDEN>>
 <<alpine.DEB.2.02.1810180200180.19047@HIDDEN>>
 <<5BC83F03.4050006@HIDDEN>>
 <<alpine.DEB.2.02.1810181321230.19047@HIDDEN>>
 <<83o9brqs6e.fsf@HIDDEN>>
 <<alpine.DEB.2.02.1810181813500.19047@HIDDEN>>
 <<83bm7rqfpo.fsf@HIDDEN>> <<766dc2b9-7931-48b2-b2f2-6b57d7ca85dd@default>>
 <<835zxyqwtg.fsf@HIDDEN>> <cc0630e7-e6cb-4657-b088-f8252a4db49b@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22000
Cc: deng@HIDDEN, 22000 <at> debbugs.gnu.org, vivek@HIDDEN,
 drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Sat, 20 Oct 2018 16:58:37 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: vivek@HIDDEN, 22000 <at> debbugs.gnu.org, deng@HIDDEN
> 
> > > FWIW - AFAIK, it is not Emacs convention to add a blank line 
> > > between the first and second lines of text in a doc string.
> > 
> > Quite a few of doc strings do leave an empty line there, and I find
> > nothing wrong with that.
> 
> There are quite a few places in Emacs where things
> are done in a less than ideal or conventional way.
> Nothing-wrong versus room-for-improvement, perhaps.

It's okay to think that style is not ideal, but please don't represent
the other style as our guidelines when they aren't.  We should
distinguish between our personal opinions and the project's policy.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 20 Oct 2018 23:58:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 20 19:58:50 2018
Received: from localhost ([127.0.0.1]:33625 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gE18s-0003hB-0A
	for submit <at> debbugs.gnu.org; Sat, 20 Oct 2018 19:58:50 -0400
Received: from aserp2120.oracle.com ([141.146.126.78]:56104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1gE18q-0003gz-Eh
 for 22000 <at> debbugs.gnu.org; Sat, 20 Oct 2018 19:58:49 -0400
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.22/8.16.0.22) with SMTP id w9KNuuOD153376;
 Sat, 20 Oct 2018 23:58:41 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=qaeDBLXRNQRP4848g3zPGY4f5MbK9gQC95uG3QhdgiI=;
 b=17tF3RB0sot/D1qJEL9zzf8/JGIO6gI/uKT9QLrS/8Qc1f3lCAc4xnDAtqhd7f8SZwXl
 opXx6/zvF7YPbb+ytCcSZSD9aTJgalkM6nfjadyvLJqLPpTYnXGSTo1dMhWnpE5p/dzS
 ZyfX7jb5YC1ioFd2rb6qF496+JCn6Qc+N21HSFDpxiXVai/ZvhBgu3VkCK7epKnaRMBo
 UBBZdgnuzcsOvCfrqBvawxc3gTvU/sQArlb81CgNLLyZMYB1zc2uB5Z1FgmcMAirrtO0
 bWEVRfBNE7zJ8y8mOiMXnWJTNhVn+og7qfis5Xon5sf3iI2pQ4Wz/8syRrxqHWXzLQFW LQ== 
Received: from aserv0021.oracle.com (aserv0021.oracle.com [141.146.126.233])
 by aserp2120.oracle.com with ESMTP id 2n7vaphj8y-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 20 Oct 2018 23:58:41 +0000
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by aserv0021.oracle.com (8.14.4/8.14.4) with ESMTP id w9KNwedm004506
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 20 Oct 2018 23:58:41 GMT
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id w9KNwce5023469;
 Sat, 20 Oct 2018 23:58:39 GMT
MIME-Version: 1.0
Message-ID: <cc0630e7-e6cb-4657-b088-f8252a4db49b@default>
Date: Sat, 20 Oct 2018 16:58:37 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Drew Adams <drew.adams@HIDDEN>
Subject: RE: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <<87k2p8h1vn.fsf@HIDDEN>> <<5B52E425.8010608@HIDDEN>>
 <<alpine.DEB.2.02.1807211421040.921@HIDDEN>>
 <<5B543148.1010004@HIDDEN>>
 <<alpine.DEB.2.02.1807221324380.921@HIDDEN>>
 <<5B557ACA.4020106@HIDDEN>>
 <<alpine.DEB.2.02.1810111400480.5980@HIDDEN>>
 <<5BBF93CF.4060301@HIDDEN>>
 <<alpine.DEB.2.02.1810112148100.5980@HIDDEN>>
 <<5BC05EEB.9010609@HIDDEN>>
 <<alpine.DEB.2.02.1810121316230.5980@HIDDEN>>
 <<5BC0E405.90805@HIDDEN>>
 <<alpine.DEB.2.02.1810121917570.5980@HIDDEN>>
 <<5BC1AAE2.7070808@HIDDEN>>
 <<alpine.DEB.2.02.1810151455060.19047@HIDDEN>>
 <<5BC4DB0E.3050501@HIDDEN>>
 <<alpine.DEB.2.02.1810161954120.19047@HIDDEN>>
 <<5BC6E4F2.2030607@HIDDEN>>
 <<alpine.DEB.2.02.1810180200180.19047@HIDDEN>>
 <<5BC83F03.4050006@HIDDEN>>
 <<alpine.DEB.2.02.1810181321230.19047@HIDDEN>>
 <<83o9brqs6e.fsf@HIDDEN>>
 <<alpine.DEB.2.02.1810181813500.19047@HIDDEN>>
 <<83bm7rqfpo.fsf@HIDDEN>> <<766dc2b9-7931-48b2-b2f2-6b57d7ca85dd@default>>
 <<835zxyqwtg.fsf@HIDDEN>>
In-Reply-To: <<835zxyqwtg.fsf@HIDDEN>>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4756.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9052
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1807170000 definitions=main-1810200222
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 22000
Cc: 22000 <at> debbugs.gnu.org, vivek@HIDDEN, deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > FWIW - AFAIK, it is not Emacs convention to add a blank line=20
> > between the first and second lines of text in a doc string.
>=20
> Quite a few of doc strings do leave an empty line there, and I find
> nothing wrong with that.

There are quite a few places in Emacs where things
are done in a less than ideal or conventional way.
Nothing-wrong versus room-for-improvement, perhaps.

FWIW, to me, *Help* output like this, for
`whitespace-toggle-option-alist', is less than ideal:

-----------------------------
Alist of toggle options.

Each element has the form:

   (CHAR . SYMBOL)

Where:

CHAR=09is a char which the user will have to type.

SYMBOL=09is a valid symbol associated with CHAR.
=09See 'whitespace-style-value-list'.
-----------------------------

This is clearer, IMO:

-----------------------------
Alist of toggle options.
Each element has the form (CHAR . SYMBOL), where:
 CHAR   is a char which the user will have to type.
 SYMBOL is a valid symbol associated with CHAR.
        See `whitespace-style-value-list'.
-----------------------------




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 19 Oct 2018 17:58:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 19 13:58:00 2018
Received: from localhost ([127.0.0.1]:59749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDZ27-0005gU-QR
	for submit <at> debbugs.gnu.org; Fri, 19 Oct 2018 13:58:00 -0400
Received: from mout.gmx.net ([212.227.17.20]:45267)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gDZ25-0005gH-Op
 for 22000 <at> debbugs.gnu.org; Fri, 19 Oct 2018 13:57:58 -0400
Received: from [192.168.1.100] ([212.95.5.86]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lmwpk-1fhmZk3cwG-00h4gH; Fri, 19
 Oct 2018 19:57:48 +0200
Received: from [192.168.1.100] ([212.95.5.86]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lmwpk-1fhmZk3cwG-00h4gH; Fri, 19
 Oct 2018 19:57:48 +0200
Message-ID: <5BCA1B12.1010703@HIDDEN>
Date: Fri, 19 Oct 2018 19:57:38 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN>	<alpine.DEB.2.02.1807221324380.921@HIDDEN>	<5B557ACA.4020106@HIDDEN>	<alpine.DEB.2.02.1810111400480.5980@HIDDEN>	<5BBF93CF.4060301@HIDDEN>	<alpine.DEB.2.02.1810112148100.5980@HIDDEN>	<5BC05EEB.9010609@HIDDEN>	<alpine.DEB.2.02.1810121316230.5980@HIDDEN>	<5BC0E405.90805@HIDDEN>	<alpine.DEB.2.02.1810121917570.5980@HIDDEN>	<5BC1AAE2.7070808@HIDDEN>	<alpine.DEB.2.02.1810151455060.19047@HIDDEN>	<5BC4DB0E.3050501@HIDDEN>	<alpine.DEB.2.02.1810161954120.19047@HIDDEN>	<5BC6E4F2.2030607@HIDDEN>	<alpine.DEB.2.02.1810180200180.19047@HIDDEN>	<83pnw7qsxu.fsf@HIDDEN>
 <87h8hjxrk2.fsf@HIDDEN>	<5BC8B7A4.8020405@HIDDEN>
 <87ftx24c4s.fsf@HIDDEN>	<5BC99700.1050309@HIDDEN> <87o9bq3trg.fsf@HIDDEN>
In-Reply-To: <87o9bq3trg.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:IF5Lr0zCl/UXfdiP4tQgjReS7ZcFqC7hcwHfYYn96glJfovfn3j
 kFcwDdmnaHPkzWvRP1jHIs+lwNr9Lc7AeV5HJnrOQGCqw5FycXvzBPuZe0aLnlHF5YwqlVm
 8fQ/a6zRDYcgFz0cVOZ4u58qhRbfaFOBPpPD7PqIAXytGbSQwJSU0pG9pqw7xP2erR6BFat
 tVlysuMc5nIwVWoMfgeZw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:W7VNud06VWA=:KFjva46CilEPpOfVUlHAjN
 MilkXOH/Cuh3gpUUK4lslfd6aP8mhZ43vBWn74iqzK4LwG7GQupGU3VuqDS8MCurEpLpNyffq
 ykh0z05RUOZKEJPM1UZQgPYyKAXCBXWcUMikabcC/nC8OWrHgdrZD/E2mtxIQ88UQtH9z0+gP
 BSyuFRIwHxqZmesJNDoKm8wYNKyrpQiFrUErCjmJ2WEAax/Be/75l1PBXKSXzu4NeyvCK1UQ8
 ae1wg6hn7KuNYCYIvAj5waVVCfYryNjwWcE+3DXyfGpbJeuow0ZT1dWgu/NXNUakmJA9vdZI3
 EHjs4T1+nKeUzkwKPlUpoKjbLy+vpasKHvaVTfxvC6CWPeJnb0mvwC4YtJM//dUSS3SWAQf3B
 dt8yclHJPYgQNtupDLWxrisu87ljeUju+qrtOwbLjvV2pAGHm66qS590uselH1QVpIN97LSp2
 ius8qAyy0ATssPCqt6XD+gSkeMBOM2CgL4Mm/sFRiQ0K7ckz1GLf2thb2F0zhO0YWljqis3mc
 J1ZLtkYmEyM5UaZri5ueoYRYhMfmhbkpZF9wn9hRSEHLJoumYdvqQpQTmEpk9Qzxg6pX1TAMd
 ivYXxUQQuw8GnL4c9bbM08Gi/GGrnhllXWS2eHEC47rXEWcHrvL+9S8TDGN7D3BeWtDmGZ+Es
 NNaa9Em68tbJ5Cl/4kCFv9moaaEFTj0+wNBGgukVKH5W8r1AfG0eLr38RoE91EDYthLYuF496
 wuSx0eHpcCgKRCp2+Rd3cqlbKxQBUIs4XlaAICqg1Ie1rrk74dTxSZEIRa0mZCznHuMIiqlya
 2oZiKEzXt6T6VhwJ6opflQSXYQWHM/3z71qchFob4KQdlHVC78=
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: 22000
Cc: Robert Pluim <rpluim@HIDDEN>, 22000 <at> debbugs.gnu.org,
 Eli Zaretskii <eliz@HIDDEN>, vivek@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

 > I've applied the patches in
 > https://lists.gnu.org/archive/html/bug-gnu-emacs/2018-10/msg00514.html
 > to current master and everything seems to be working as it should.  This
 > is with GTK+ 3.22.30 and Openbox using several GNOME libraries; I don't
 > have a complete GNOME DE but I may be able to try with KDE over the
 > weekend.

Thank you very much for testing.

 > There are a couple of visual oddities: when the `menu-bar-scrollbar'
 > frame parameter has the value nil or `forced-resize' (or when the item
 > "Menu Bar Scroll/Truncate" of the Options->Show/Hide menu is set to
 > "Truncate" or "Resize Frame"), then there is no thin dividing line
 > between the menu bar and the tool bar (in contrast to Emacs built
 > without this patchset), and in addition, when a menu bar menu is open,
 > the dividing lines in the menu are rather thick; but when the
 > `menu-bar-scrollbar' frame parameter has the value `automatic', the thin
 > dividing line between the menu bar and the tool bar is displayed (and
 > the menu bar itself is noticeably thicker than in Emacs built without
 > this patchset), and the dividing lines in an open menu are thinner,
 > though not as thin as the line between the menu and tool bars (in Emacs
 > built without this patchset the menu dividers are just as thin as the
 > the divider between the menu and tool bars); with the parameter value
 > `always' the scroll bar replaces the dividing line between the menu and
 > tool bars, and the menu dividers have the same thickness as with the
 > `automatic' setting.

I see none of these phenomenas with GTK 3.4.2 under xfce4.  Just that
with 'always' and 'automatic' the menu bar has three times the height
of 'forced-resize' and has a 3D look absent with the latter.  But GTK
3.4.2 is not really the target of Vivek's patch.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 19 Oct 2018 17:57:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 19 13:57:36 2018
Received: from localhost ([127.0.0.1]:59746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDZ1k-0005fu-Ip
	for submit <at> debbugs.gnu.org; Fri, 19 Oct 2018 13:57:36 -0400
Received: from mout.gmx.net ([212.227.17.20]:48227)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gDZ1j-0005fg-1q
 for 22000 <at> debbugs.gnu.org; Fri, 19 Oct 2018 13:57:35 -0400
Received: from [192.168.1.100] ([212.95.5.86]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MWxtA-1gAM3r0JTY-00Vyok; Fri, 19
 Oct 2018 19:57:23 +0200
Received: from [192.168.1.100] ([212.95.5.86]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MWxtA-1gAM3r0JTY-00Vyok; Fri, 19
 Oct 2018 19:57:23 +0200
Message-ID: <5BCA1AF7.20100@HIDDEN>
Date: Fri, 19 Oct 2018 19:57:11 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN>
 <5B557ACA.4020106@HIDDEN>	<alpine.DEB.2.02.1810111400480.5980@HIDDEN>	<5BBF93CF.4060301@HIDDEN>	<alpine.DEB.2.02.1810112148100.5980@HIDDEN>	<5BC05EEB.9010609@HIDDEN>	<alpine.DEB.2.02.1810121316230.5980@HIDDEN>	<5BC0E405.90805@HIDDEN>	<alpine.DEB.2.02.1810121917570.5980@HIDDEN>	<5BC1AAE2.7070808@HIDDEN>	<alpine.DEB.2.02.1810151455060.19047@HIDDEN>	<5BC4DB0E.3050501@HIDDEN>	<alpine.DEB.2.02.1810161954120.19047@HIDDEN>	<5BC6E4F2.2030607@HIDDEN>	<alpine.DEB.2.02.1810180200180.19047@HIDDEN>	<83pnw7qsxu.fsf@HIDDEN>
 <87h8hjxrk2.fsf@HIDDEN>	<5BC8B7A4.8020405@HIDDEN>
 <87ftx24c4s.fsf@HIDDEN>	<5BC99700.1050309@HIDDEN>
 <87ftx2jo1a.fsf@HIDDEN> <87ftx2xd8r.fsf@HIDDEN>
In-Reply-To: <87ftx2xd8r.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:cObeLWz3gWO04XnNjB/hEzngDerdt8B49s7qOBs7sskmRUEuL6t
 lFLBdxsDp0xcAu3Jv3l60g/7Sf0UwbLBW9uX7tfpdTX077FPCVJZd5IcRgG9oXPczNfV2Bd
 h3RjK22ndoa+Vv7Pof91bT0uImVEsztx60UQerPp0zCR7mleQFJidm1ME43gtEYRyH9DSDI
 TXN92xUgzwr5rUChfRDBQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:5rsXJrK9MAY=:2/w4RSNlWLUZHlDIWi0zgA
 +B7cer+uyLq3RznTDUH7a95GeiRBZs9DXSP1H+8/NMYiMv8qe5HYvb123KFsBvX7QsnSpwEgQ
 boiizVTSrrnSeEHGDJcp+msASB94Fc0MXPJge/H0Ks/L5ZhjUiSZQZPgyXV7MmDFZYkaeoNEF
 xJ5jrWtRdPs0UcuchRvbdamAODYza3SKpqLOT8+x+uteyPRWclCkHM36qrCZ2gk7B29BBwk18
 NC8JbQ5OEbHNgPtuqNMwtrHW2tMnIQYKAdzqjHtEZ+2JGXOnFUiA4oB30JNX2DuJVedkmcYyj
 wBRwNjGEWWEuxxldYFybaM7A+NwSdG0sXZf0PKP8/LHYEPmUu6iIcY65nxe+gXjquTamDi4hr
 ctIMif0bxkby6zmVg2h1+LODmH3UP2q/GorQSFIkRyPfnQKkzvrrHoljarLrKH6j+c1waAFgH
 7qbGN48VWkTMnsjwx3N+c3prgjyOEqQRXklqzH7adkBKcqw7fzsBX61lscZ73SuriFU16uv6K
 Q1Jx0upVYP+lP0nL7D9vcHyj8zxdWK/4lBkk7Fb1bIMf0lgGj7ijig1E/QravuknsoFlTCyeZ
 OX9wKMhQSfuP2lrGRnmJJcJLE0LMP9xM6ZCUqdsXnJdjoPEcIXoKuGVggvF2aT8aPAg/onyzh
 Yk6X9WNvxX1Hq2eAbmx2phed4gOlJ96zhubTg8rWMNQsS7ztjtFFgH27Uzqbf9hqFglLYtcdN
 TSE11xLmyuFek4KIQ8eJTkvxGkbhwd0dAUxt2MP9Cc3LjLb91H77LogLu8+mV+8bMYxcf8Y5E
 m3TnLxN3c7w1nMIzsEwYXTB7NoFoEl+Sc6cWMgk4CtQQCVR4Wk=
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: 22000
Cc: 22000 <at> debbugs.gnu.org, vivek@HIDDEN,
 Stephen Berman <Stephen.Berman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

 > Further testing under KDE shows three things:
 >
 > 1. I get a vertical scrollbar on the right for the echo
 >     area/minibuffer line but not the menubar using emacs -Q on
 >     unmodified emacs-26, so that was not introduced by this patch

Hmmm... Could you investigatte why this happens?  Note that the echo
area/minibuffer window by default hay a vertical scroll bar, just that
it is hidden when the window height is less than the minimum length of
the slider, see the following part of gtkutil.c:

       if (hidden)
         {
           /* No room.  Hide scroll bar as some themes output a warning if
              the height is less than the min size.  */
           gtk_widget_hide (wparent);
           gtk_widget_hide (wscroll);
         }

If you put a breakpoint at the 'if' you should see what's different
between GNOME and KDE.

 > 2. In unmodified emacs-26, the line separating the menu bar from the
 >     tool bar is solid, not dotted
 >
 > 3. I can get rid of the menu bar truncation issue by setting
 >     margin-bottom to 10px

When you do that does the spearator become solid again?

 > (but I still have the vertical scrollbar).

Funny.  I suppose that vertical menu bar scroll bar is of no use, that
is, you don't get any truncated items in a second row?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 19 Oct 2018 16:21:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 19 12:21:36 2018
Received: from localhost ([127.0.0.1]:59683 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDXWq-0005g7-F5
	for submit <at> debbugs.gnu.org; Fri, 19 Oct 2018 12:21:36 -0400
Received: from mout.gmx.net ([212.227.17.20]:45231)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1gDXWn-0005fs-Pv
 for 22000 <at> debbugs.gnu.org; Fri, 19 Oct 2018 12:21:34 -0400
Received: from rosalinde ([188.109.175.180]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lq9Ma-1fitf731VY-00dnA6; Fri, 19
 Oct 2018 18:21:17 +0200
Received: from rosalinde ([188.109.175.180]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lq9Ma-1fitf731VY-00dnA6; Fri, 19
 Oct 2018 18:21:17 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: Vivek Dasmohapatra <vivek@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <83pnw7qsxu.fsf@HIDDEN> <87h8hjxrk2.fsf@HIDDEN>
 <5BC8B7A4.8020405@HIDDEN> <87ftx24c4s.fsf@HIDDEN>
 <5BC99700.1050309@HIDDEN> <87o9bq3trg.fsf@HIDDEN>
 <alpine.DEB.2.02.1810191543020.19047@HIDDEN>
Date: Fri, 19 Oct 2018 18:21:04 +0200
In-Reply-To: <alpine.DEB.2.02.1810191543020.19047@HIDDEN>
 (Vivek Dasmohapatra's message of "Fri, 19 Oct 2018 15:44:21 +0100
 (BST)")
Message-ID: <87k1md52mn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:osTN+KfrI9n8sKNi3qCVSOWDOOqrem23/BV608pFVNepELBNZbK
 aq6+Tehcvs1NbC9yoqIPFgZKTDm+oe0Gt8PZ8nCxXZUCHQALy7GJcYq+w7Jyru+2gQgM/0i
 uKT5VR5Jof+2xTHCVyuD6ZGJWmV3G+CNuOm43nLTavi81KqFxGRAumadoWVtJ1S6QFdoUOm
 ZAPYfZNZeQ21pjpoX5yiw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:5Tb+i0SIX3s=:hcQ0zLUjaX1lOhr7DmiQUg
 dm46Y9X4Hoy/zDNcaXnuIyeFUoxmM1ka0bNt8lgyAeErUBrgLwoUz4IuH4oqP6WvBesVXiDGs
 Iu8ZBJtGL9wbUQtyi43x5dNhNqCIZpFdq8Tha2kCb/J8QcHx37FLrqzmdwlw1hnBAwSWktLUS
 3YLbuFyPihFSucPtQ/jX460+pez7ynWty6Tx5ztZIJKk3qPoRx9r8srxkwyGRVNCLAfiGj6Mi
 iOofXUvEsggq5hW4Rv69aBb7S91zPzcYq/jdRonJVdq3t80mI03WcksKTsiy+FLl2gJ3Dw0Wy
 HpDMiw6IYpG/I3oMag6gbTOj1Mcu4MXyYfzaAM6WvGNdZoxTB5n24WBpiubpAYoasRSSuhfOF
 2PPEdFbu1YzJCh/CRFfsHa+ApGPqjKSMgabsEh136GAt/cQlmgYMN84YSjc0srCA93W4Vyhnr
 O8zE1PjpffZvuxEiAFqkLFM7ReIPHo0Mp+MKN2cc8hLloh8Y+FGHDuwUWI3nLIZGYv0ooPIEU
 1uEu5CLxChjKXRdWjImatrsTWc7vLrfI3ZKG5JFZfNrviUqDsKytMyxCYmw8uTNMYlJiouWLh
 B7jeyM6DNq5JIKCKa28y0FQoqnxawD5Hs+bv1ajsPp8AADiEMoueUCE07jI3OxY//wPyv/6nt
 k1PdXgtgVSQZionShHWAhcxmJCsPmxSfAYIzMyB9xwPnwa2PpQLsW1IZposYNYcCyYykDt6PI
 FhnMPHovmGfAzt2jJLdjt0VborZE6TLt2XCwTFGxuB+L/9H9iKiKUwIc0ejZothKco0B2bPu0
 jndVY8X
X-Debbugs-Envelope-To: 22000
Cc: martin rudalics <rudalics@HIDDEN>, Robert Pluim <rpluim@HIDDEN>,
 22000 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain

On Fri, 19 Oct 2018 15:44:21 +0100 (BST) Vivek Dasmohapatra <vivek@HIDDEN> wrote:

>> There are a couple of visual oddities: when the `menu-bar-scrollbar'
>> frame parameter has the value nil or `forced-resize' (or when the item
>
> Could you grab screenshots (just the rectangle around the glitch will
> suffice - don't need the whole X window or screen)?
>
> Makes it easier to compare/debug/etc.

Here's a screenshot showing the the menu and tool bars in Emacs without
your patches (left), with patches and menu-bar-scrollbar set to
`automatic' (middle) and set to nil (right):


--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=menubar1.png
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


I don't know how to grab a screenshot with an open menu -- as soon as
the menu loses focus (needed to run the screenshot program) it
disappears.  So I photographed the screen and grabbed a screenshot of the
images to reduce the size, though it's still more than 500kB and the
quality is poor -- sorry, but maybe it's good enough to see the issues:


--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=menubar2.png
Content-Transfer-Encoding: base64

iVBORw0KGgoAAAANSUhEUgAABN0AAAEuCAIAAAA1DvPMAAAABGdBTUEAALGPC/xhBQAAACBjSFJN
AAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAABmJLR0QA/wD/AP+gvaeTAAAA
EGNhTnYAAAUAAAAEAAAAAAkAAABnALh/MQAAgABJREFUeNqU/UmTZVlyJoh9qnrufc8GH2KekHMC
SABV1V3sBRfccc0dhQtSuCH5m7jhP+GiFy0tRWkpqWqgABSARCKRkRnhHj67m5u94d6jqh8Xeq5F
UtiLDgdEMgYLs2fv3Xuu6jfK//H/+n/x7tM0q6hktmnq7jBr83w6n66urtZ1FVWogphMVSXCrRmp
fY152mWGiIjK8XSedzszW9Zl3u26r6a6mybvPrUGyLqu8342SARNJw+HyDy3dVlFlSp3h9PDh4/c
fTkvFxf7dV0VMk9TdG+ttdaWZdld7Lp3j7i6uj6cTpn56MGDu/fvTWy3m8/n89X1g9Ny7t4vrq/v
jndTm5vZ6bRM0ySCDL+6vLw73qna/mK/npfdbte7r+u6v9i7R2bu5vl0Ol7s99b0cDzt9hfuTmCe
Wnhv0wSRde2mTUTOfbm8uFjP5yayv7y4OdxdXlwSWM/L7uIiPDKTpHufdztVXdb1Yn/h6elxcbE7
nE77i72I9u67/e54OALY73brednvdmQs52V/MUcEyYdX1zd3d262m+b3799//PjD8/kcHvuL/d3t
3dXV5bl3RuznnbsHOM1T7+tunjJ5PJ0ur66P57MAEOnr+sHDR8fT0SD7/f68rsHc7+bz6bTfTeke
5MXV9et37x8+eJAR3vt+f7Gcl900QeB9vby6XNf1vCwPrq7Ox5Pupgx47w8fPLi7O8xt0snW5dym
dl7P0zRP8+7u7tZ2sxBY/cHV1c3d+6v93lSPy7nNu7vj0S72TGakzdO6LIRc7PZ3t3effvjBi3dv
JtOL3e54PFw/uMrua/frq6vD3XG62BO8ub17+PDB8Xi4vrx6fz5r4GK3C3cxE9PXN+8+efh4vP7M
5Xx++PDR7fvbi4vL2+XcgJjNl0WnZmrL+fzo+sGzN6+vLi89Ax5Xl5dYVrFG8sXh5pPHH76+effw
6tIgfe27i4vb27v95cVyPmfmB48eHe+OmNvS+3ntj6+u3r27+eTDj/x4BKCT3R3uLq6vzsezQq+u
r97cvH/46OHN+7eXF1err+uyXlxdHm5vp/3eRI+H5cMPPnz16vXjR4+W9WCqFJyPp6ur674sAUzz
dDjcPX708HQ87KY5PNxjuri4PRwur69P5zORu93uzdu3Dx89jLXP00TydDo/fvjw5eu3H37waO3d
VEV0XZb9fHFeFjHdzfPhePf4wYO3N2+uHzy8u7udpp2KrYtfXV0c7w7XDy7vjsf9PPfk2tf9ft/P
591uFz2WdX306NGrN68/+ujDdzdvr66v1/PZ1PbT9Pb2/cPrB3eHw9X19eF4FNFpbufj+friYjmd
53leeofaGs7ExW6+uzs8fHB9ezxcXV6cz4uqqrXz+Xx5eXF7e3d9dXU4Hi72+97Xvvbdfv///n/9
P/G/9Oe//bf/5m/+7u/////5/+n//v+Y2iSQTDaTXZuaCE10akk303maFNqsMQCAwDQ3gESKioqS
bGYCSTAFJEGKmEAgQoiAzcwjBDBViIhIJFWNkaaqqsxMUFQhQpAkCBVRwszUNJMimpkUWLNkZqSI
tDYxmQlTzQxTgSBIQFQtM4RQVQiTqaqAZCZAUVEzZlKEADMzs4mJgKCI1PujCgAiQoqKiiiE9a8y
c/syYbL+CUlRSQICFRFQVesrVTUSBEFmRmuNJBSZIABQROo7mKgAAqjWT6CIJoXA9m9goirITK+3
TkSEQqhIBgmoSP2anknWLyGonw+qGjPrn24vGwIBx5cECIGaMhOsU1ORBCiEQAhQkGQy6i9UtT44
cnybRGZmMwORZGRovaGAQAQgQ0WYYKaokUzm9oZDRRgBIFVIklTViBCKCCazHpnJBMiEiIpFRkAI
1ndn/eaAigaRRPcwVRWJiNY0k4AwUyBkCiRZH0QIZLw/IAGS9SGShIDISDJRfxtED7e61CJUhIRH
qIiImKhnMqGmHlHvLZl10ZJMEiJrZGRdpVBV7w6gqRrg3ttkmSkQd6/3V1TCA6SY1G21rF1FVc09
SNY12L3bpBFBitQvm2CkqXm4No10iJA0ERWKyHiRkIgMj2YTMmW7TLu7JiYzE4nowYCSoKpGpogR
QFDIjJjMMtxUmSEi3b21KZhKMNJMgpGgx4qEiYooyU5297qOlCIBgTpj8a4qTcQgddeKoK8+tdm7
//1/+h9/0On3f/g//99MrJlZsxSYqRgU3O0mg6oaRJI5NZnaBKmbhSJQVRAqdZ5wXM2Aipo1EdRN
SRAidfuLKAASqppJUwOQhGeo6jzPGQGmmYoISYjYuOwBKCCqSI63t5lGhIh4JESgUqcNWD8RIFVV
QJVxhiQoWp+hUlAnqnu01mTcdJhMFAKIkyEgAFLIZuMkyvGCREQjSNCsMVNFIGCEqYIiqnW/WzOA
oEQymeNdUosYh4bUwXT/B6hnijZLsL5AISrCyLpKxdTDSTZTIkW0Xn5mTtYyXUUTYKaqubuqqipA
COkhohBQJCH15pJupgBBJVGfC0EVBVNJkFq/fh2lIFQIrBEkREQhwQBETTITpECEwkw18QhCUB+C
So+kCOqIrmOdbGqki0gAVF16F1UAGVFvi0GQNNXITIWDS0aCAlGyQY1QpooQ6MkU9PqoIMyY1LB9
TD3ChQnJSBWZVDWpgIom6MweKaKASBKRTSEiyXQSzY7rWURNW3pMouEOQ6pGpgJKGGCqQa4Za2Qw
m6oGZzVkBDNVYBZ1wY/HupyXVaUx2cwQEZkBBCiiTaDIntEhPSIzm4qBBlExj+xJijDdFCqaAfcQ
oE2NQHgQCdTpKhnoq2Ncz6ECa809VBRIEyWTpJD1AZhqfaR1OAfrKIcKNFNFvXcz8wiSZgrSPax+
QUFmhns9BYREoh6tEd7Dp2aZKYSIREaS1lpbKE5Z1xTFpDalOi2ck2aHOMUpCF7sdsx0d4Ouzrkp
RR2EiGcC3LddiLJNoUJrnaBOPam0zgBUzbq6QCKgohRZybX3q2laiVlbkDrvVqKnrNCL3eXaQzIn
s+gBICJCxQmKyqQH767ilKO7A9YUomLqGQkQmkTUwEUJFYAKMNMzQIT7uq6LrwmqtbN3dmVy7auY
OvO4nluau5vH6uHuPULAu2VtU0PCDAI5L6u16bz2STRlXddInoPZV19F1u7e+zRP7m6REMmInlh8
ZfKcPB5Ou55m7Xg87nfzeV1UdfVcz+fT0lVlWc5LcjkvUJydt4cDpma2HO5Oh/WlAH3tu9MZEStx
XhchD8uamZE573fLcrLWInJd+yG4nM5qKmLn8+nsXPuqovN5qSfHuffb9zfXV5dCrr3fLf398eSZ
IPrap9PKSBHs9/vz8XDu3r27O0Tev7+1eY6Eu6/A8XCcrKmKu8+7+XReVNdptx6Px7Z2ZCLisK63
x7v5cGxqZE77uD2cZOlmFt2nufWli+q6+PF4XL2vvZPczev5fLpbneTxcHq05t3tnU2HppYZ5N3x
dFqWuF3Omtjt99l7iojK3fHUdD7c3l7u9+Hu3Y89lvM6n/vq6X2dL3d9XW1qJN29r3lzc+cu69qF
cTr3PC9iZq29vztm6Hk59zUyYj0v+/3laVnaYcnMiLi5W9Zl3V9crN0z009+PNxqYjmdSVLQ3efD
iqR7HE799u7udFpvD7cX+zOI6L4ucTqe9HYFpfce5zyeTutpJd3DxTRWf//+xMggd/vd6XiIlcfT
3WSNoHuKHQ7n8+VhyQiAanfLskxoy+HUrLXWbm/v/ODH45lLuodKDYLrsjsvy6KT3aq6r/243Lx/
50ssyxlyMm3n83K82y/Lcjyfl2VVgVrrfV33/Xw6zdMuMz387rgejgdPPZxO50XcHZ773Xw4LevC
w+l0c+vLsqq21tS9nxcup+P19fXxcNxdXCxrX9a+XvJwOEPasob3s0dMU0sufe0QO52XadqvawK9
9w6oOvED/whaRh3REskeodMkoh6pZmpqrSGQJEFRbU1lrJbtj79NCkS01hpVqwkMZDODgKTq2FTH
k110bJ9Sm4CqgmQN9Ki/qSlAkCBUQEzTlMz6MjETUYGkAEIKVGt4gInWItGsZSREgaiZUlW2GaV+
aVVIMFVNRUFAMNbEWokV3DYlCERBjo1HVFWESVULxthYaqXYtsAxHdbLEk2GiEBkamo1wajUowv1
0yE191Fg9fmMlyOiCrLefQKZRE2sqlKvBwIFIayfBoXUvirJMBu/mIi5OwRqVnvVNDX3XrO1wMYG
KEhQKKpNaj8goGDWT4SI9HAVSULHrzuWuu1FU0VgVnt1U2mqBJLbKxfJGgQFoioiiayNNViznapq
fT1BCJLZWmNSgAQAqklmiEqQCWdBG0EVNZOCGzJZg3gSzQwkkpMag7U/j5GYWstnkGp1Ddd1LyIS
zLquavuCqCkoLOS1dhIRVZFkiqgA0zZZJigCMRGBqhBQFUDDPZOiEhFmdd1YZgJw99ZMkmCK6jxN
ES6AkrNaEgpEJACbGgRrRDCtWWaSaSb1snqEg5lpoioqkMgkOU2NSTNNpJhG0swys7YmQpkBQCFi
LSJM1TOatcgU1am1JkgP0waRnt0jdq0ptK4Ss5bh+/0c3ts8pYeYqYgNYGhciz2i9jVVVVNfYp4s
mZNAm5x9NVEmCt+azWr1EsjU2trXujd281y34w8+/VTu9yJTEZXCLDLFTApqgShVHTTROppIJsUj
VWEKCFDXjKhq88ipGQk1rZPCrHG7VUnJZGutbpZaA0xkzQBopj3CzCAKkDVGE1CSSGazlomIiMzC
UtXgmXV9NtX6oJOBWrO2bU+0bjyIaHIcDyqqhmCaFo6ISIrWr0QV8UhTg1LUmAERUSXr7pMQitma
UWhjbWsp9aZCRWyaCEYmIFInl9Z6EzqZohCpgeyobv8lIKLBhKqoGCEFjJnmOGGhZskMpKrUYQ6i
NnoTjMXTFASaJZPI77+1ou5xE1A0MmoDJCGCHE8cmCgzC1gc4MD4nox6BgAynnoAczJL0r2rKlTq
0CqIoa7MzKw3sEALHa+SBExVMHZPbEdOPTsGYFDv6DgFxUAHp9Y8s+7ZbT1uGV4Hl5o1YPUgcpqm
2mFVVICmYooeEdbq14Egk02RRCTVGgn3NFUzgYCZQUIlIAFTbQMJEzWFNO0AkB7RVOuddm6PK7QM
NLMERVkHLikBMbG6nTMxtUnN3COTpmoiKPQO6FGIs9HJVJU6nFPNmFRpzIBAMQnZe1dpmZymySMJ
BKiiAgXCnUyatiTG0s5sOkGVTEiLTCmYLVJUk4jIgqhElNvJhQRUiMxMQAFLQBQ9OVuDIJJ1FwMy
TZOvXQwqEghtlpHatKkNFEMEYEZM8wyg3bw6n09naS2AZe27/X7pPRIiSsFkh+V8FlGbJiQKoY8M
mwxE9xSxtXcArTVCOZ5j9WAHgAh699YmM03PgsIikqocQJqOmYL1oB2noVnzvkrhKAkCkSSktTki
3UNUbTJf13k30xOQ1lr3zkiCas2jcLzCgQgTIEGaGQlfXNXIpHCapwhnAqIZlHFhJUQ8oi689JDW
VKUGp4HUihEgYGoZKUDBTiLwzJqxMlJNYQ2RG2A/oDgTZaSZaVEOUQA0TJuY5drFTIKs+yG9TY1g
EsgBMKtIkK1NuXYZ41lNsKi7UEQpIqLZV9PiJljAPOQVVCPGQcoMkwKQAFXPlDqqVFQ0lkWtWT2h
TaOgXBNm0SPcpvwx+TECYkhaoTJr192U6VCAVNPiKDJoagGaKMhMiikjQFqN1LqBikRmPZZcREGG
R5ufpweZtSpsDwxqMzKV6O7NVJr50qd59tWLg6lhSJDJEJWMNKtpT0S1967WBGR+V4hja1YUhNQn
lc/qADU172tRsjKuexEIKUxaswhXFTKEz61N3nuzqUcUglkP1wIFTDXiDWBjGgAFFGFmNGvJZGax
DdqUSbMpg0maaCZVjiLq3q1ZRKgpQeZtm5p3b6313k0PhWQ3s6Sr3rm7molIRszzblkWERXRjALG
YrKWTOgbZEREm1q4b1wTtZn3Zb/frctSP1dEVMSjq1lEityoKPEGkHHM1etnZlBFI6hWEgwFgngh
ZCTNmnc3tXCqva7bQ1Uy3ZpmpopEOvgdVJjYlq4fOpiBCahAVJWtmZk606CEUNQdAt9Pc0SomUpB
85LMJFTFxpSWtSwJ6kElIgpKBGtUz0zRNmb61ZmsKcSaqSjHaCcc1B3bZAJNCQFELUGSTQ0FH7ib
mJkWU2FSm9jgKMfUS0DApIiosCbQOjQG6VNrsGoMYkGSWRQriPqIBcUqSD2WSG7MJ5LqtU3q2FVq
ya2RQlVICutokWIxsJGikxnGg55IiEhrLWuxLEqZqJfMcYgVW7v9qQVYBaCJKClCL85TBJB6Z9o0
RXixuVbDRR3dIlZLF9K0tpfUOoMHWABRFYVEqiiSBZajZngVFHdRnyayvhtqdxUVkUDW00xVMXj2
FIwPWkUi09QAmmrGGC9Yn4owSTMTAzIZHEy4mReXKEpERApRA6XW6qtakHZmQgEZh3It+QTU1CBZ
p9x2GQskyMzEeFe1mJeNs6WoDD6zjlYW7TK20/qgSJraNoNKBKBSz6jMVFOoZASQAoUJe6AIP5Fp
mnpfm5moTMAaOc/Tuq67uWX3qbW+uqll7SGEZ2wzayOzTVMwoyQAIj3CxCKzqC1RiklTA8QzTYEM
VQNTBNRkEqbFQUWdKkEAXmgOGZGyvY3WWiStLu4MmFGwunf6tDMBk/BepJ8lopllZGQ6qYqIMCld
2viGUJDi6XUzMgGxvoaqrH2lYFJFAkW7I02sqYnIsvSMLiJTm+pwGLThD/wzt1bce7Hi4YW6QCEe
KWqSDAHdd7tJPHUgL1wzmk793GfTWmidzAxBV0hhHyIBSLAmMs7aQBdTj2jNegQBNQsmelDWwiUi
s86BqU2RSTDIWnGbiOQq0B5JgWqBOdLDCbE6lUSkvoloMFUKDBEgRBUymDwBavLpGcXk1oBa51XW
JFHsTrIOB2SqmKh6Rt0LyZrVhZl10opK3ZhNWwGTzbSQIWmte1cTESSTpWfxAnSgKmRq3USQWhdb
a2TU7qp1JdSOVoe8FJxR8g4BRQFhzlPzCG6ai6EsEIlMIk02AYwIIUkECclgmoi1tnQHpD4LepiI
CCKiGPKCIwn0cDX1oIynTBYvnRlFVpFQmG4wJ8kkyBSVnuxRfAEUYD0lIUNxo5qCfk8Ij/+OSDYx
EJnspdJs6hkROTVLd4MYxD1qfQowiJqKhQQFkIxNDKI1JNeOnPdseBIUiRywLZKC8f+RSRGn+DbW
CqkQIVMYYNTI512hZGkEuPauqkwoxFQzvWQ8noQAGQootYQJCYY7KM2sntdrZImhFIyIBMTMI+qd
VRRipUGJyGROqpEBycgAvBBigplUwj2H9gDo7mpGQAXLed0UMVDAw6fWvGchEmYWcT9DKkQ2NQlq
S5ZUC/EYUi/XQnSRERkO5m5qZo0Ya1FkggUn1ftP0xYR0zyriEDab/6w9CSsF249naKvqa2p2Oqh
psAVg1NrZq0edJGpbvXdTVvUaQrra2/NFOLR52kW0+PptL+4xMQlUlQ4ASqm6u6ttXqazNNUi6Oo
+rK01mYtPFvmC/Xubb/zNVW1ia69Q9s8Ne2eSTPFHPN+38MFCoi4T6ZqSuZ+mkh67/M8h3tyaLpE
NZkKTNbSnRn7/W5ZlzbNpBwOp/3FHoLMsQBkhGlz92maMyMzi1XLzJqe1VRU3KOZoVR0As00syLf
pmkK98yYd1Pva5Jza97DzFTU+zpPc+99Zy0jgzlPUxK4yHmez8tSw2j3bs1ExL3P825ZV6iaWfc+
tSkjaqTLSBJqFhHWLMn0MGvR13mekMwMbW3MoKR6QNBaC/e5zSWRIoD03X7n3pPZbPJ1bW2SFHPf
zbsI93Rpra/rbr9f1y6ANM2Mwpei94vdZe8emSbI9N1+d14WCuZ5XpbzxTQXYdisecY0NY/08Gm3
W8/L1JpAMqKZRWYmVbS7F7OhKnNr6/HU5l0O6l+ZOU/Tsvb6dVbvU7M5IyN2u/l0PF1cXPWlZ6JN
07ou1qw1W9bzNDVfe5vm6IHMad7xeNhdXNRI0ayZr9M8Z4a7F4QxiXo4mPO84+nUdnNuGHxflnne
Z4+MsDYh+jRNHr2UcjZz3u3yvDQ1AkKaWS2TIOHepqmv3aapkAI1zWXR/T69S1JU4KHz5N2pTSYR
d6gyU1qjB3S2/b4vZ50mZpQmSsxhTbTDmgDZXXZz9m7zhHVNwJoxPJoJ5tamJCRc510uC6YJ3ZOU
SVNc9zt6qBpJZkLFWtJUpEtrlmShvJmtTdm76qS1zYnEukozzbDWIt0orbXzadntdu7dpinX1XZz
Zk6SzXRd191+fzws+90FPQMxT7auy26eIn2a57UvrbVIeo82TRkshOcH/WmtCSAqRYKpaDJROqch
I9Uci4qIUEATAFb7GQEz2bRNyA2TMtVS7Uq9JdaK3suEWYtIGdNgDUlSC6OIZfTI1ASQZhMjM6FF
upbCFqKqYjqIwbGc1G5MUQUla46p0VdFNkHnRlXpNmkPWjUHnCSJLFgrmeOaZCm+gEytcXMwLQPf
qdedkfVuFCCtqhlZMFUUhSgK0KbCp9OkJHliqlGvZoA6aqoZYaZ1LVEoKsJi2MAhKc1S0matlxCD
iCnBxBgpIqMWs8Hyjd2yCN0h6E1sQ2etbzL+hyhJsIIYa2cxtBjAhIhlhooAFhmyaaFrDS7GqT4v
NQVrhqhpOERMzASD2NXayXVAAIAoWF9pKtoUpDWFSBMr/AUl0MrvYeBapUgGYK1lDA1A7dg6Pn2l
Z3HOKprpxQ3qpnQU1SwWRKWpKaRjPDcBGFQ2PjulrrdBnJa+usGS6ZnW2kZ6i7YGbO+m2JB9mtW9
FaUhgpiqqfYMU4k6uCBD8NkmD0qJ7lQLmA6GQGgaRKowpV6GWoug2dRUM7n0TkprDUBEZyIDyWyU
DASFpjkmX4iUjjrCs/dA4RcbLqKqgCpSEkTt25KiVCtksOmElN00RYQO2KeGQmEmbUAq3kPVBMws
FsIYBKimy9lVtI7LNs2iiAhItqk5PDKa6bIs0zS3wjUFyYiMIMUM+YPVIlPhH6IQffXq5pvnbzBf
ijSBTtKWpWszTM2ZMAOltam7JyjamIjIeWrLsto0DpUCNMZvQSHUS8tBzkMqOnCRmhuTKVpfAIgO
gQSgYptERaASSYUK2AYhTw8mihGKumELxFUIPAsoMauTQzzTkWrGQrrqmtuIHxGRVP+esRfPACTB
eW4eXoSlmTGL3rtf80CqDlKIMs40zXuPg7CIyAK86jYnUISJiahoRjJTWyO4UUxaB5KM7zuQpSHx
TUayzkLZdM4UAUuNz3L6ZJZFY3CNmSXE4L1z4f50EFEOM0dSkkNKI+EhJd+tYxEoK0fWzZgBQBTB
FFE1QSaZCmTGpptAxjhQIHn/7Kjni+B7GKVOfjBF4Z5DfzJ0KyJS74yAuvkssIl3ouwVteHWx0kW
oprjKsQgJOtZBQHr+TscK1QRRh1YENMyKQxCclvjmSyldG3/OkwYLFURh2a7EanaGCFiQ4uSJfQp
+bSITCzvxJC1G7KkDtu2zDYABdSjuI75ehElRI/yUZQ6CHIvkRayCWA2QRjdsenmxaAmWfaHAhIY
wpmbB8dsyiQzrRnriV2SXggTVJQHiJjqaSOYdCDgWV8DQnTK9IKtVSwzGqZ0OR/efP75YzUOrVBy
niZPbyIQqJoArRmRBfmaattffGARySDY+9J7RhCNNttsM7VFYo2wae89ipNMhndpzSKD1EhJ5gSJ
NLgWxbFC6ehh0pFB95jniUEKKfQgIyLSRNeMiOiZbZrCGZErsuCZeZK+pjLXdc3M3cVFX0OE0oOl
fzecz72vpEgyL3b7dYmVMfb4FqLS+3o6ezmRrNmyroRKswg3UyQzYlkzMgRu1hhYz06y97XGXJKl
guvrkknvfbebI73UFuuytmlSlcgYGg4KAY8upqrq4evamQlB9wh3EqLJTNWsUSbWxcNVE4kU9rV2
ljyfI4qgV8lMLl7zW3QmmeylSYtaCJj7ae7eBaIakenak2DSNDI6g8yMTLWaaFZVywgK3CI8XCPr
KQ1JRl+CSDJbi/BcJRSSEb1HRqegtViXNTxJyaCYBlPVEcmEnw/149qk0XvvHhHJXI8LM70FMw1I
6T3yDCIJ0Ty7k45eNrSafVUgahHuvTFDwFUg3VePdFe11mxdu0/umYyQZhnurZEZEcu5kww/IDI9
c557dxcsAgp98cxcz85MIcMzPU53x7qpQz29ew8Bfe2+RjKFFGXNONE9IxXwjOytrz29DnlEX4JB
D2F4JtU8PCKR0tmHvaEFSO8xBvOEdw9PUcmM1ix7rugMR5lGRPri3iMwBHDTfpfBNV2ZkeEeuXiK
RQQSVPU12CR6gpmJWKNr+NpFTKiZScDXRJQxI5jMLElONlN2ApCmDPRzMJIKUY3VtbXIlNl8Balk
SsJUY+0yT0wLBXtkuLSWEQ3a195akUOIzljTxcMjnRTppw4you+mFpnHfgrn2U8iAubi0d0ZoEeu
8PCuTDB6+CQROekPZgxMhOSkOg1cPXfTlKIBOy8hKhe7FmsmU5UK7ud5XQPWaiOSois3sUBPL7WF
SShEKIUbi2VSIopCUzABNpVkFhBAkhhqtDV8n6pQsGMI4QplD1XW8EaKULdFCUkOLa51cHNskpOq
IAXi4fVchIpnTlMDk8zC1XMovMajUlXDY+iUVO7FYyW4GPuhWGGfTUvxOAaCIg4FqGE9NnrOzLI+
dWwr9jaYkJJDzCxW/AZRcw9UqN97MQtM3dRHJItcpY29CsmkILP4XpawmkwzMxGPSFDNeu/bbCHM
VGGbrNaIID3rsVxgeUnPJCJUbYiHx7SEiBxUJERUI3MNFxMvekHu1ZpglHqqXGhe5GNdrcG6BTc9
ZISYkvToMv6Z1kgYiaIiPULHrCi1vgLokYRGpomamUf/XhRNCaYQhc3XpFOGvPLa1tEMQclkVGAQ
gfYIDnXAkDKbaQ28kUgqRJDZzITs4V6aRrBeD7YpqJyBA7L0ou0FQNCLuszgdqWNT1nr/Zfx9duQ
LZuKO5ldh2IoI11NSkwUPZs1gZiaJ1VxPq0RKabhLqL0bJtP2RFULYeugGQwyxHdgrG6y72MXLJM
5IoirMQXT7Kob6JwCApS1ShD+6+QoKpqj1BpGUhaUDIdounl9LamgsjJar2QjFST1buKlIraVFUQ
vZdHa7YGFQoNQi//s/CH86XcNPumenfqp7jY2UfeqYT39XQKnUR3kHkfsBQTV3LeqF2hsqeyTT3Z
xBJZi5lStN7OUpuLkew+jO4AGYO3h8Jqryj5NFn7RQ6OUIVALUIQkl0G86bWmPQVmVriu8FuEEXd
gdJ7lkygByjKQsggTW17xmFI8ksr3FmITWwf+eJjmBwaL2576XBmFuY3RH8oO6hs5jGtfRKlPyr1
B4c0TrSIoKE3BgYBJYyo50nWhliGWOFwtiNRChQOeUj91M0zUbrZkDoyVTJ92/uKPk1B3bJDhFvL
QLmUydyu73I11w+ps8eKQmZ2UJksaAXCWuRK6qdATy8/J6BZ5JwADFGWaxgVlBC1eA6ZA7a1FOOv
ZbPZa2SMrxEZv3SpuseSpiLC5LByDHewZbiIcHgKoIIs6IpSEqkhiRwCkUI1hAmuVBOoklG7YOlc
QBm4YQ34DFMt/jLGzKybDoJlYh/wPUScIm3IrYFwiIp+v1yoZNlhGjJLZcTYHDUyZDqV4CC5PTiz
XCUiysws9ExVmfRIVRGb63IcC2eKyFTBCtvjs9IqlCC0CZJSHwsSOdSu0cEyX6Mk5zY1Fe3nRRSq
EyMrm2O/3ycTcMCjpMAyAToZV9wKAxCiJnmJcOH4PaQZkESqWeH4KmirC3v28/l8OJxPh6IJINLm
3e7hQ+z2aBNEAvCsd3EImiIQnimgICIjV1X1dZXSACQ8nZEgwiMjgHnpi6o5gmApl0IyE5lISk/P
ZEYqJIKtoTO9x9yQiR7ZEhRJD1VE5DRN6bHdgJKJ8CDL/2OghkMMTEGrfQtKycQ8Tx6Rns2miC5Q
gTJcVU1a0HuvoAc1m6J7JnfztK4doJopFNRMJNkg1nYlmRrREQmC2hqKSBcIVGAEMmJchYDCuodN
otIiPEUgLT2neZe9l/fJPdnErGVuF2OdXMxMYSYg2iqTSmtwjGQGJYnJKnYDJCIgihQQKq37CjIH
jFPa8XLJF/gy7BMsGakWlmYSCRWzlojMqMltqI4hRdI2bfROp2mL9FQw6tCpiAwRMQSlWZEKmfTM
abZiP1R1W9oF5faJtDa0dfUcUUkVYaaopLBckZlBqmQUXJRM0wav/yKRWXJ2hOvU6C4GDYoqIyKo
ZpJUUzGLdS1f9jjEVVlYYoY2K8yypAuPP3zw+IMHz58+v76+vn7w6NnTZ99b9kgEw8PmCcnLy91H
n3743TfP1nU10RKgMkE1EIghXzGz8G4l1xFkEBnUIZ5ESoxDA9KaAOPZINLdGWlNAUmK90ginQKN
niFMp4Kg9p5TTfgpSEFmrE6mabOkiq5rAA6Btmms5e5eT7sMJhVC1SJdS8sUERIGUe8uKvWJE1YA
h2wYk2mLpVPJoEyN6dHdduX5U/ec55bJjBBVoYq0uscBh5ciOqWZZGRIhg4LiSgFJpis0VfR9oMZ
A9XyVjVVVajSJlsD//TbJ2+OoM2mTUXmpuGhqkkwVWwug32SphburZUuFpG01ui5bzOTUYE0Zt0z
IaKagGSa1baT5RWxwVnJmtkzWjspSpk8nDM1T5AYP5EQaM8QKysUtYJ7SLWKq0E46/4lpQYrUXXG
0JwjlVIWmCTA8llZZKhojYnBwZFG3QtD8c9WqnuOHCJPJtkqVImD/KjEmt699luCRR6PAJ6IMrMl
Y5xtScUmscuEsETT5RQSVMJO7dHD31LBSNvxCJKpiAwxY9T2pCBEWL+wmfXe7ylu3UYKGZq9qPGr
5Kw1c8gWIFSONA7mAaYqIp5RNg1G1MRdVqWanpJUrQFlpBbVr8/hqNF7rez308kmLi8xAqW8A4Na
z6gzcIQu1Xu0YemD+Ea4Sj0TKhKmuOtQVUYKoWIjikZLylfEcW4bw5AxMypQBCIS5a/NwkdqpCGg
HKsQx+fNev2biYADkym/W4LQkPokS2Q70pPIUjLDIVS19FBiahPcy2Ln7rJJ3SOcItYs0pFZKvXM
EeNSXJCKkxCs9VAu+QDTEwlJISVLc17BQaGglCeunoyimTGeuBw0CzMBb6ZqiN5VJeqSTgJ9s4LV
wDzkouUajXC1ClWCamXAkDnUcQStVqG+aK6fffphCXSVKokc1FKCmNQiPNPL5NGkeQbBMhdBbV3i
h55+CrURZyaiUJu6Sz/3fnPL47GZtsuLdy/fXjx+bNcPulCscfsvC0fbpltEuNj9wiYeUS4tqIJR
V3HhNUkWw57YrpJkhlfQkYpGCRb/KE2tmRU5VeBFglLXp1gkoTW+j02q8pSCJIQgIkU1PMp5BDIR
zGwqAvG18r1ES/jOGMY5jju9xg817R5lpy4VTea2dLOee4mx4A2hcCE5GSwxpORmghcBGSjC8J6c
zFp3I8PEarcBpFQn92qNcbKPnYUl/SsLRtn0C9JiaUSLGsb31LCMM+L7VRXUHJc5iBAdXCiZ837e
X+7Op3VZfEhCCCRVDCQdYymOqJ/VJvnpjz///dfffPb5Z0++fQaYpG5pbby62H362Qdff/0tqSQy
SntMUaEEoySGGAZbqeU5tuMl6wgEBFQiht1ftbhZcmh6RrKAFOyJRJbAMwDVhiFS2BDl+owqnStR
R2rNvdDcjDFDBs0YbCuE9cIyWfxteIVKlESoTv8tGK9+fTOUFFmGkwNF5GiRLlbG24g0ExbKlAUT
gMQY7YrjVR0fbu0oAKIewqX7qCNYSpDFQdRDxeo/3yyAw5uTGXUHaolAOLYAQhOUFJ4DDNnvStkV
y7IeD7sHl+v7mwcffVDEaDrX49EhHs6+TJe7uRkgDN7d3F5dXUnK1KyZUukeGcOPnawwBIhogumZ
6c1MRRog5+N5fX/r63lSubi8+OzTT+8Od989e97X9fKjj3MvhLoPTdSwjBPRu4gMns7Z5glEuXIy
02N8ruFesq7uTsIjVVXV1jUMGpHTNBL52jyRXjoujxyghtjqUVy7MyKZpGWB4qUgcigiIzPIxjJ+
idZzt6n1CB0nFSOo0tyjmboImGoaAxIDIcu69mW1aZZxD0hheDkw1Mwcu4oU05LZPc20tXZ/WJBI
j9Lia8KDiQpbYtmZ6mAy0ToxazArI7EwmSnWkMxMTSXgy9qmaSMtgG3yqcwTKR9rVABbbCrcjPA2
TYKS8gcg3utIrWekZhTkgozUcW9LBhkBVZQttt6ByAQlGRr0wDwByQSRA6aLgGgxhyKSgmSNqOO1
AmAkM0uCk5nInglkUPqmkhrW0/o4CWR42+0mNe+dDJu0HBceMIOK1aeqiv2+uYlnxuoQNFPsd937
1JTGadIlu2Raa48fPvjJT79c1tPr14c3b265dFPK1HQchDk1kaFTFWa0eVJoRICxv9xZa2und7++
nj/48OIPv3734MGn4Yfj25cPPv5YWvmkzJcOj4v9hUc+fnzxyRfX3/z2QM/58mrezWdkeJqw967N
vEdJVSQTEQwXMbXN+AOwkjQDxfMLk3WgCJFubefhtGmAkUYVjucmszxMAAxID5nnDCiT4ZKtgg6U
7El0Z33oonQXa+WuRp2aUKsZcXWSpYTRIDNNtXvc25tLI8QIITPYJvW1F4MhhGnL7qpCEUQ9Iwtr
iOJBRKRobYkMuESqICJ8WcRUWIKgkRyYQRFEd513FQPxwxkDTmaocN1Wz39Xa7fHLvOHqRc9oInj
zck91Li7uKBNSeuAmpW5yKap3IQJuBAhbWorGUJrFj3UywBY+4UGazBquRl+hJhsWrwHlTI5hZHz
NAe5+qqmrU30mvixlrorqTpB4Nlr4dF6fNeDjaKmGWXRqtRDESpF6EVJqSRrah+zD9VgmRrI7dGv
SpCStBqqKq9PBaVnJFNVI4cgLDJUxrKkW5BTVq5s2c9GRhFELDtFUtUCJRMeRFluSTtZ8IkI1ihm
I6kbZsSS2o61LgdSLoKkbSopDU9A6sMtknY4g3ybz0qlUcFVIskYEu4Rk1evvMhCsXKea4FCUYGN
gMGpsOI8E/d7JAF0p2wW+5KURd2LYzaQQSCPzCcFh0xWZMpIGbq7olyGObgeSKqN90JRFY60WIpM
UM0o2KEV0yli3cu9pkCt3Dr4vRGXYBVhOqJGN+LCa0ZKqIhYvW1jPM7NUFdiahX14ke0RSUPigm0
gmT64G2hGI/mMVV7SIEPIknDeEeoIkwRtXrIpraxZJBoE1Gc9k6ngmK4RSuDQErmsOunTuPJOubW
Ia6lFmE/HG6ZkQQxgrUqjLQUDVYZZjXnIWla9gqqiikSzPBKz4oIMVFRjxDRqZWJ2q2lloUVhMj+
wpa+lgDUdHjads3ifOx3L9pkwWitua81fCZoJBiEzq3yUCQ8VLibmjOS6ZF2n5nzw9QiaqL1aYvC
11R43B14e/eTH305TU3Nzrc3x+cvL7TZxVUMw3qtW6X4h1EzU0wRhNYdNe5G1RHZQ96HaNWiaFFz
jyKT6VkcgE3GCljOIb8o+mZkA6lWHq6Mla6QKOHIpcsRyLvl8nIjOqOHKNRsJG8P3L3ClEqW1baM
DCFjTP/1naJCcYIoXm5ojYs1qzyqzDSVjJRt99jMGVQoCnlpyu0krO+zJaSVxHaEvilRgVsjLQCo
abO+ZMwJsu0kmUKo1o6UkDF5lgbVlJPhJz/9dJrt2bOXHz1+eHmxj/Tencmn37386U++EpFvv3m+
2+0/+/STZ8+fX15dXlxefPPtU5vsow8etqaH4/L2zfv9bvflF5/evH0H8OGDR+/evV+W5YsvPnv9
6tX5fPrqqy/Oy+nV6zdffXr55HfLx4/bi6frr/7yl+djv709vXn97ic/+Wq3s8vL+Q+/ufvlr345
z/uvf/fs3duzqiF5v+RLDBhg4JOZI6CeUvKWDfgZOwg9yg68sQH15LlHy4YcVylqWr5NGcSQDNRC
kFJKFsvYYMCKMrbvAwAFKLaA92793NTjKaK2qS0GuDAk1h4svf6YxMpHw8LRVMAYwSlbtEJhr1uG
XE3HEF99oBlgJbdDKBjR0oJKE9xYqEHryHaZpiTESrqV0EK6JSIoqTLwR0aI1vU5YvkEkp4Z2Sab
dxdqjZHUdvfmBE8hP/jo4SdffKwqdzenf/nbf5FIg+jOfv7LH3n0/f7y9fM3hzc3okpkRuhkxAjl
KhdL2/Kt6/FhZdgBFWwB9vNxPR8//ujRBx89EtF53pnJq5cvzqfj6f3NxW6W6hsQDVKhTJBorWWW
zhPb7jFSJTIjBh0nZc8WiJm5h4pU/ruITNNwRTaTdDK8yPdCiDLTI5hQIohILEsvq0+MUdih6uES
FUnv5dljrUDMICSEKuGOLdIsI0AEhMmILPi/NEy9d9U2LrJm67pmp6ikc1mXircCJNJHKhWLeq6D
ySPc2lSxEyqtDsZg1vUz4F6olk18hEqOzoYNpq1w4wqiy5IliYi1qYITVZXcnOtEZG4xm3l/Tg+4
QwUBZrZmoV5r54gE531I3ZZSpBSkQtyDgyXAUI1X/k6pAlE5FxhUSebc9o7IiI0JySj0hjpGqNKy
QcqokCIeFdhNNDOVCuhHJDapWEYWx9sm++DR9Z//258C/fb2+O03z7/4/PFPf/Yn3z17cXk5v3l3
+uDRo7e3x9/819989dWnP//JF8fj8eaw/u533z16fP2rX/3icHv73Xevl3X9sz/7GZG/+903b56/
+fKrj5j96dM/HA+HRx98+Onnj7/93bcffvrJX/37n796+/7uzc3h7vBnf/6n729vI+Xrf/32888+
/fyLT148f/H29dvz8fSnv/rRbre/Pdx+/a/fiXgymP7oevfxJx8//Zd/+ct/86P50cMXT19+8eln
f//X/7iI/OW//dHiyzQZzMnl6tHlL/7iJ6Lal/Xld2/evrxVg0qalEtgFFSYWb3NJRlKjzZZsmw6
ohAVTaVkmKmnDBY3swxvgoKPYQJffb7Ye0odjiPRtBS3o9OiwodixKtqmqqo+uo2aRdRQciY4HLt
mQaImRExLmcZAN5wtd2jlaoZvUJiRCXDkeErK+Kf0CQnVY+oZyw3k7lCvPJKxZq1SA/SzKAmas6Y
RMpCY9oio1kTyrqsQvkeu/lfP5mZBEJE1uwWOk3KSiM0W2ndRZw3r97E8XCxn2H26uXNxaPHuwcP
MZkzq4mCm6EoCWeq6nJeAdYsX7yTCuj1ppVl3XIlk2EsinJNjxg3p69Jco0uoKklxVfPoMZwBwHl
DKTmqC5QAUq/ogLTCK+syZKYru4poETJF0ba1nhcgrCh442suP9tVuDWDKFlh6ytqxf+xRQTiYFJ
l5IOTTKYAD2aGgeWJyriSXhumoLx3Ez4FglbS2YMcSEpZZst+i63WGBAjZHbrMahYsLmdxi8JESK
4irxOqgmI/AMSLrcM43FvI9tszTIZW8bi8xQvhHJDt5H19K7k2Km7q5SLT7leiqiK7d6ivz0o0cR
XRSevL05ZArqqhcR4YcfPVCVFy/emk5JJKqqYYTkjVFY7uspAKaKukel0t3j99iafMpxMyy4QlVh
5QoQzbR7rzV45BnJeHPKn1a6uxqeWPUelShhJjX5sdJRy5BZs11KKTCS+CNVoQyxDkUSOkKnI8ka
N1EPmFEDhII+BaoSFVdSWAaGWnukbiKZ9WSDqbqniG66cagKE54oBVAkJSmUJEyUKuV+aVVgUORL
6bGzdo+i7nhfTbR4qkq4i1iFyqBZ76xzA4L6PufbW1MRsxoJPQKZVw8e3N28nScVk0yK2XJa5nm3
v7i4eXMzz00nA2N0sF3sJxvzQIUCqmpKgmIjYkXERBLMnNpUa23dZ6KilJpNf7BaRGCiHRlZsncK
I053O8uLnV49uPrXf/naT2dk8njEtLM2DcIhAxkZOU+73mNcqCpqFfscI22ttqwiW6qRSFhuoLI4
IZWiSUGlpgTTA1qZQhSO/GoZGTFZrsJysw+dcOm56hyrfyvj+VHBavV/SGY6tHJ6IEB0lyENRTWU
1FeqCiPHxVOXHDBMsDUtVeLFJqMFYSbhg7ofbS6i5aQFA4Wt+BZlSsG2ARSitFkJObjUzRpKxsjx
HSfV9+xyEScFqWUIttVfRCr1sCR8H3x0/atffvL+9r3x6mJnp9P7jz989OTp2y8+/+z1sycPL/Hg
wYWf9l98/uk///oP79/c/PjLX53PZ81l3y6Pd+92u3Yxz8eWlzM/eGhf//rpf/Pv/+K3v/ndr/7i
z549e7mbumLZTfHgCl98/uHdzUuDG+Lxo92k8dkn13/3N//4o5/8KJbbx4/s2ZPnD6+/+PzTh3/6
y09v39/dPJ7evbyhzfje7Dp6ZWSLHBKC4UNuLJmMiknOEdWp3BKfhmNCUFDXiHUqcKG+TfYt/F7p
4HDwJrTCC0papyPRbdyII5q7BtjNMFwPkbhvzBEqvUzFOQZsjAqrTaabGbJ9NPUXVnkSW6TC9ihC
UHKb7jdBybZi1hle6XRl7eHIsUlRiaXnUA5X4unYBgpqySixUjJIZVl1mBnpQ01dOcEchJoM5QnS
M+npPTOzZ6yrDOMA0uNwe1zXdW4X4c5pRqZ7X07HX/zZT+7ujl//ywHDbGwYRDNUTJveQzsV3BER
QLamAs7WJNjO5/NyPBrycm5ffvnJi1dvv/32yelwWk8rEHE8xvGUM2y3i/AtxYveV7Pdsp6ttWbG
zHSvlLA2T8WeV5grKzqQjOIrRaSJKjLCHQl2H442M7XJap00s+idqlFyaRIJNavEWtMKAdb9PHkM
iRo7tamvwUhOGkETJEMUbWreIzx0sug5xOblpSolyZBmNYgOELzSJ4oYH21d7t5ba/e9cGTpykiE
UivUdPB+kuWQqJshwrW80T2qsa8OTJNUbb33skTEqLsb37S0ncys+SCDBeq7d7VWspYYcwAqo7K+
PkHPCllkOJjMTd5dUkKWvbfoFxYvSiJH2SI24WDNMqNxiCM+BRIeComAd5csyKhMBJSKnaQns1y2
45ohe+9mTbdaggqoRDCD0T2BalOsCQpMRf78l59//MnVk6fPH3148fZmllzTT9/89jf/7n/zlxcX
7Q9f/+ZHf/YLxfm83L56N++afvmjD558982Pf/rhu9u3f/sf/iYgP/rZV6b5L7/9+sWzFwpBLs+e
fvPzn//k4lIvLndPn7y6uBSRdbdrz3//u5dPn//q3/3Vmzcv/vHv/uG/+9/9bz/6/OF+J8fl8N2T
p8fDwVTO5yMkHn1wcXHZvB+hjwBXJejIpVke3r/7+u//4Uf/+w8vdim9f/Tx7n/47//nRw8f/uy/
+aWIP/rg4rMvHh7vjnK1Ox/nl98cmVqFBExYmyJcaLHhc+X5YgUXZyLp67oBaglGeHXCVCOfmGj0
Xqe0r10rmSaisnPr1Izqh+2o/013sNTpiB5Mrza5ZHRfkc4URlIGsea9MxKqTOTWFRbrChFf1lId
RPYIr1Q35Yi/iIiM3O3n7u4RUuoZpoSHM8JFmqqER4qS6e7I9AIXN29kXxZE6jSlCIPOADJ1szJt
0MsP+jOyqJGqKiY5dOQqapF0j35zJ6fTL//ks91+P+8u/us//Obm+euPdhcOshlUOJonKjE6Rzo/
0dpEIpLldNi1VnpaISNgkOHlM4uqpBwldNgqIQ2J1hqZXs9aqDtViuaswgNqisKiIgjKb5kjWs97
CpRq6SOhtdYNEYtgaczMWmatcYqs7dZGzx51DECU8cpVR/47ZeTEVJ9JUrbA3nBCJCJLpQxAxHJU
iUgtAM0sC6jK4TIpuDjv0yMBFSuTElGnbD3YNiFcSlaYbSZgAwwmYrB5cr9xRqSpsuD4zMw0xTzh
yy8/yvTXr9588emHQmY6oO9Pp+Np/dEXn/Qez1+83c3zh48f3t7etWaXV1fPX7zKzC8//+hyPx1P
64tX75bFv/riw8PxfDweHz9+3Pv69u3Nx59+YCqvXr7+5JNHpvr8+Zuff3n95u07CA7HtV3pBx98
oKnfPXsL4NNPH3/22cM3b969e77++Eefds8nz296L2564/o48pNkrKnKTbkE3Bsyy6u11SVsCdVb
JjNYJKVnaVy2tMlKWq5GteIOxr48YP9h8rWaoStaeTDphVAjRUdxTpb8YbsSaie/L8IVAFG3W+O4
PMKsKnyFEKuVINnGw4cZKWYo2+IwNQ4bthWBzLKopZhANKIiiSCC9BLOyUghDkqCwQHREyIwFWFq
pe6bDjHnIMGGVqiSXZNUURGryoTMDLK03GXwunj0eHdx6Zkqup7Pp9sbMiHx6Z98+sFHj6B2OKzP
vnm5HE7li/jiJ19dXLZ1Xac2ffP1EwE9upW6jjI8K4r0dTftNBmJiktkxH2FpABTaz1cFMy09sPd
9QZWQLEqVN37ZMyMRw8f/PgnX37zzfP1eJZMHcxGpntWg8vInwUjUeYLQSyrNNs2/NyiNjjILA4h
QRaY7sGAmDCjkmOSZLgqkEMg7eGVjJ3RyxBdd0Q9EaXIoECy16czdOSMTQ4/SKQix8y0pElD0Bgj
uFWLPRvFqlGLAGOEFY39M8bWx/tlt/T+JhXVU4nsMl5eaB2N404rMBCZWTL+yn9mkrolJMXQmIwK
U4y4GxXhiJbJ2m91A+nqshyR6eWyLKePgO71Pq/Lejycnnz7/N27ux99+cnLF68vdvPzZy+/+PzT
y8upmbx7+7ZZLqfDwwf7w+H03dOnn3z28c9/9tU3T57OU1sXv9zvsi8uuL15fzocwby82nksT548
+dGPvvrJT796f/P2dDxc7EyZiIi1M5ju63J+/+69/gzr6SSS+4t5Wdfzeb19f/rtvzx59+bIWEYf
ySYEqQfNcErfL3mSQEpBFagjSWo2vv8UiPGLe3jZd2VE8Qkzti2Rw0BbYblVAFI+ji3ruMDA0Xgx
uuGwqWG3pq6xCW/66npcswbevO985mh+qFddp2bK1oi7mVGEOcYHEauE8kJRQai2jHFaVT7yMC7X
4lHfM6HQDFarDCPkHj6uxi8Ps6GwqFW5IrVzg2xlsO3i5S4x3YCc0dzLiJ/+7IuLqwvv+eu//Y2X
vIroZ4/FfY2p9AwV+gPsd/vD4Xyf4+7dSZpNw8QrUNHqfr9nv6dpjshktNZKGt/6+Zzhk9DX06tX
ry4fPfzQP/76n39XY0T2GJRwubojXXqsLmrVtFZCiHS31pgID0wTiCDnpt7dK1e9BE9S6QuZ7thQ
jgjH9sir20kVva+mqioerKyCcMfG3tdy6OHeDYS7W0UL9F7jMtzrE0Skh2+4dUR4SXYr7ZDjPGLJ
vdbw1qbwqESqjJBhp8neY2g8vHMIztS927a5xtACCSK24vXix5NbdtkQ8pGREHolspEOku5UA7L8
2JFew5yHFy/R1AYtOjwMcS8wKJmAAu4+OBCyWVNRZiSDyWCoWYTLZmMbITsRYFb+YUmqRCrhWiMj
PM0sPbyU5xFmbQR/agPF14CMFK/o3VpjBCUlDR4jUyHTV5pUqYBnUiIzAommxnC4lm2IKvcARyFG
reHNq9e/+cffZvTT4TR99kF+8vDdd8+Xw0+ffvvyzZOnP//LX857e/zBtRmefffd7sEO6NH7zZtD
733aX7x/9/43v/7tBx89+uTTD5/+4em7d28aeLx9/93TZz/7s1+eT3f7eV4ON+fj8eW335nYPM1v
376jkxLLenjyL7/+6qc//upHH19c/Pjm7bsH1/vf/uZf//TPf6aafl6YaYrlfM6MKg8+3a3r7WGa
lNl9Wc7nNXr39IpDoODt25t//C//sByXXNnPoe3C3UemSDhUeu/DOBHJhE5CwLuDYGSb5u69qdb7
PEza3ZNpqTBlJAzhUQgftipI5HDRFG6coqKlbGFmeu81FBBQVBk3s2JUepR5qB4VtZ1G5Pfeqzq+
MpNprWWGakPS3QteZDBzwIe995KDMiN7qKp7mgxvV3hGhJnUWV2VXBVIlxnprq2BmdFLu6am47aO
KKcN+g/eSzPSBPPUSt4DUdUWMaSPSZ7v7q4yP3hwudvv//nX35zeHpNxen/XPnwcPe7bp6rQRWAM
BtNUiymt97tZy6gHSYrVBBE1uTCdUEh5HMbGIFIRO1gzqrVDBczS5BjJoLdmSPaAqZbBYUNroWWX
gGbSR2zraL+UbWurOT84AhCsSUTYUH0zcvSRVtFcfYPcztLh4iufVU1ukdm34JV7R2nFKkE2erPU
qvCMoVEc+GAp1hGFxFW/5ACG8b1obQybEhyb9NrXOrL6qAkZWQ0ValGLWWaAWusMSIU0yJ/++ONf
/OLD9bx8M53/7GcfPX/24ssvPn7+4u1P9x/9/T/87ovH7dGDR1c4/ehPPv/myas3d2//6t/9+e3h
+DpPl5dXeb61+fpi4sMLXQ3/7V9+9j/9x3/4059+1Ht/8PDhuwf47NMPv/32qfrdxw8/fPTo6uGe
movRry73Euunjx589NH18e4ksb+6vtjtbLbVuPzFLz7++S8+Pq0evX/z5AYwlBO1SGLmSDxmFh60
jft57+vAQBBCRucs79tfOQTJhKQMVHBYoarO7B52VNHkZqm6z3+q8Syq53Cb1KuVUcieWbU0Mdyz
NdR4+H2UcSVLioBeQQyjqHeb2kq/ne6bCRmjqJD36rTRVsqN3B4iIdmoAYdvXRPwqnFvoz21guqK
vyVLFktR5EDXRqDMUHYlhup6EHC1C2XQq2Q204M5orpApguQvS9yEpuC6esKpntP92Z6dX11Oi8P
Hlx/szxFIr2w1/7Z55/sd/PTb15Hz9ZMcgBAWik+meGxn3YGEhihbMQ0TTXACxApGakJEaGOdpwf
dvoBhRPBmkFbswjCprvT8u7d7fnu9CdfffXds2dvDgdpO0GZ1VMA1UqMK6O4lrOjzIzFro+474Ro
hVRBRE2EjCEEEqqw1DgZlfFe3yHuR/cBt4xOkWHOY27qWVT40j1oHsAI0Boq/dpkWcgUKyAAI9h5
E3NuNSaQ2mEq5lwU9wbT8Q1l6CxzCIKIe6/1KB6tNWYDg1Tkj1eXYcnJGFHNMQrqdNxo5YfaHBWj
Bpncsr7rIgTHOj2YqCoaIoVaeawYN06Nv3nz9vY//6ffXl3Ot+/Ovzu/PJ1OfX1xe7P+43/9/dtX
b5mzu9/dHjJefPzxJ32N87G/ev7uu2fPrq6vry72lxfz4f3xzbM31w8en47P1jP+y1//7tHjB//x
//MPBA53/Zvf/9P5fP70k4+/e/ru1fO33tv56P/8j9+e7vo//N3vT3f+u39++vbV+9//y/PMfPns
5vWLm7/jv07TdHx3YoASoq3qWu5zcFht4FtK0EDCcqTajbuUQ+mzffq15OQQO5e9oq6IrXh1xEHJ
WN4q9a203sh7ZeAQCYoKEqhU80wodWS11wvdCr5ZRWmamZIYASQbHldGFJAiVrLw750KFby8ZcuX
GrkUtFtWTB3hWzryhnKUgaeO7pEDx6gKuPszVasTpCRCGyFfo0i1UQ76XVVUmWFy309bC8vo9ZAs
kypeP3tVcVEZfbsR5HR3NpuCPL57g0jdWSJ7z+ffvf3DN8/naVqOfcx6g8OTEpduMx1UbUttrKZ0
GyHPIq0JFsjV1eW//+/+jcztn/7pm2ffvqSjyRSM4rtVdMudJ8jKuPe1I5NkRxTA4+Emuq5rMpUs
VX1dWtm7zfPYzoKAMiKRY9UBImJsXczel8zRxIZEZFQvc6lzIei5VJRHeh+P42RfV7QJWTH6RPne
YMhc19UqHmSDaTNLZEKF9PBaxsocXMAWPIEUKpkRPk1zaY9Rey82b0WmCty72QymaMPmwBnhWRCQ
bYN2sruaVaZNgXOF46hqeBdApupIMDKl4n1VfHGo0L1SvIj7g71KelHizGGirc0jAkxkaSNYWWZD
khuV4j3sWHUyCxPpYgYmq1Ny5IykoUxRVXzKGpeZWVxcjTgCI7KyImpNTTDdZQvYcA9RIYGIkqxI
AkwJZuMmU9kKM5KM8M6nT17/yc8+/eDDRxDcvL5Jte7QtiMbUkxbuEtSkLu57ffzg+trP61Pvn32
81/9qU7tdHf28/r48YP9bjbT9+/effb5p69v318/fPCF6qPHDz94fHjy268//OyTjFQ0X+Ld28OX
X/7J9fVVLvHmD88v9pcPrh+o4O797eHd7ScfPXr46BEqxDjYWose3TNCkrKuo39MxC4uLl/84bvT
of/sL/5ctrPy/Yu3n3/++S/+9Je9+/NvX75e3hUgVUdPRgdpOnvURmdbqP4o+lAkwpttToIsW6+o
CgMZMbyVmayEUrXoXZrEurZpJpMZlYypyvAoy5ykg4yMNk2gcLSx5X3EjFShUzH4EQJkhE1Tlesw
Q+9HxkipqE7mbBYBZppNnt1U1+pKVZBhamVDts3ZHBEQaU2ZKUwz4wY1xzDOwQQpQFJIq7Brd+p9
lqz88KIENGmiVUKghGRCm4ppLUhERuZHHzz66MNHb9/e9cULp/Pu6sGtYmS7bhHuFX0eSYdXKwGJ
7n2yak2UZJDpg3VkIEUlSyoWY+0bTqEqxyOhKNJaKWQM9/Yw0UUEYitQzUhTSZAeYAAaMrKIRplC
DW0D99WoULRR48bw2FB/ZriogBIYk+LwfW6eARAhJTnbmnLuFbRIDkcQq3cam4P++2mQGEmJkVkX
AEYvqAxNacHQ23AytpRqvikxYb0RMXxa2DaPPzIESUWq1EpRj2XnbrLj7fGb3397uDv2Lz7+9g9P
Hz+6/Pq3T/7q3/755x8+EMbpeLffqSLevrlZF//222cPH13+8mdffffdC4a9fP780QcfrOdjRN7d
3j39/ZNf/PTLf/3u+cMHF+fj4bsny2cfP77et8cPro53h91k6/FcAiEhAH/65JmKTZOZ8c2bd48f
X2f6xdXlu5v3X//+5esXd7mm6MwRO7lxl8nx5qB6B7fZaHNakKibaUAFIxf3e4CeVbilttmrqmdo
411rqy9j8QBvOfJXtj57RkmmCZVqgCgON2JIFkqENxKxBDmO/a0zZ9C/eU/JjozN0Uc61s3RFsuh
r96MrFo2AUiN5kXb5djBN/lilhy44us9rZXKtzGyaCWVSlGqGwj1tIVq+EjSrvjKqu0edpYSkSYz
O1nlWxQiKuOwhknBJx89uLi6PBzOT+5u0jvmBvBwOD/59vnd++Mnn3we3beGBmb0i10D43Q8r0uv
GJAJNlkDo6I1p9aKy1MTNQv3bYcp44dWHGciTJtnCH8wXxpqKrJmNNVJW/iJDe3y6ubt2//4n/72
YtrN8+7YvV0/lGnnEdomZCqoUklCVf6cm86qAmBGHGuFYUd3VRXSFMJ0llJxYzUQViF5Gzc47vEU
KVl0yYAFTCcxbNVZvThQG7K8zF4BcnWWbemsW4AqfUCH2+Q/9JLbkll6Fxn8eZ01RQJsRsdCQ4TJ
kFH5VFKgrQxkCBxQQN4oKSU3V2He57VhlIoOWhCZKiUf/SO4p1zx40wtXRK/t6cydChRN5kyE8ih
e6u1tvYj55uXt28BAKfDUQTn0y3ZXjx7L2jf/v7VCHsF/vD75yTubjtwS+I2Tt7z0cOr1y9fM9vh
rt/ermoXN+/ON29Pdcf99jdP61f6/e9eAVCdv3v6jtx9+4fXIvPzJzeQ9vzpG8ju2ZM3W7rb9ObF
bY5aZgMT2UWQW06PWWMwq6Clft8cRs7702xc/0XTJbXdR3VSRSgjjH48YXRoqWRIboZir8jv+ufF
n2AbiIVS1oStSAdg1MMaw9Cy2eWFTCepYuV8Ea3chypkG+00uh1+un2+FflTy2e1c3O4jFMhYqNV
lV6ITIl1a12MeyP9yKAavp6x6wkgsNFnw5EPWWvIFi6TFZIkLIaTkSEKHUeoFQVSASBU8TWef/sd
mSLGCLUmEG3t8P5wd3NHos7B0mGTePndCxCVTaXDdVJ91zJNU5FnZgakqpKaZDCCodUXIBaRzcRE
ZOkehB+WflofXT+Ytd0dDhmirU1t5+4ytVrHwYHgmtSjfpzfEWliEbk9P0RHX6ogaWLlrxVU9B2Z
nKbWB/A9GsZUdDme53m2NprHkwHRqU3YNOOjkZxwhlDaOEM4t0nFxCQQpiLaPJzlOYIZJEEFqrK8
sLey4TUxldqSYmpTjBCmFqUsqZbnrBqEUkNvjXrj0YpmE1FGZJX6mLfHZ3kFM7xZi4zKn1TdAg9H
fDWrd6vWtnGwqo4nr4cK0rsIk6kjqwsimuk5wjMyh1c2k7DRSwiPRGvZw6aqIkxFHWgl4orhV6oa
P9FKLJDh0HUdrmBvYhmja7qCoVXYe5cR54D0QFbFMzIDNBuphMkM01Z9UuNgSVZZE0VTgCjj0JiM
yaCCmQz59vcvbt7dXuzb8e7u3au3y/XV4d3Xx9v87T88e/vmna/43V//4f2zu3548sknH9/evL95
9XfHN+fb12c/qSDv3t1mxF708Pr2+dNnd29vvvr8q8ePP7y9OR3ujv383cunL9c7P13GP/6n355v
+rS/+Oafv337/EbJ27dvT4ejfvDo9e/fLOfj6+9eQnW57e7+4uvXp7ujQM43v17u/NWTm7dP38eq
f/j1s8PhGGH/+T/83dsXL9dF/uGvf7uuS6yrTXZ8fYpL/P3/9I+73bSclvPtiWhWGdkUMtRKXxEC
yR5qkpE1xctItkqTkVhb6nMxoztl2hQeW3DoyAYgBOkukAyvlXWgdCWMV5AprRWINcLiowAxKfGt
tgYoGJGZ7qa2GcqxPeAZ1Qs0nPuBZkIW38twzBqrq6hA3L1ee6TnppTJZBmtbJoyNlCn+tQrUF+t
8JOC07yvgKhZusv9szmyAh9/sJJNN2cIpQKzqvFxP1v2gFGsLR6iend3vrq8Xh7Gm7tbmyakkKBV
+H+VXhTojsEUjRyG0IrSz2QmrOgXKUISVfVZw4RTNsceR9OAjMQ8QfUKZIaOFP6kiHtm0FqtCiPB
MkGtWDUKiSZw0klY+RUHazpu/JSxLjLHDjjms/I2Z7MW97bL2hOYtTxEvU6wmWWmbboy1EO3ENzB
S2w5E7VubjJSkO6pKiOT/T79YzxpB29QUvBE8n6uG/kmulVPbhPa2I0TvC+eHFrCCuQjQwS/+dfv
fvLjDy4vH7589f7Jdzfvb+Pps8O79/358/cvXt5cXj88w1+8fP/i5d0XX32R8pzg3KZvv3m2rrFr
uw8/eNCmdntzSMqz53drx69/8+TLLz97+eLmD7999lf/5k+Ph/V3v/uOsMg4Hs598WXpxzO792XN
ZVmnNnucz8/e/slPvjit+fbd+u23737xyx89evjo6bfv01O10viopWC7b1bZNFplpMUA5e+DPvJ+
KmX45tEYxRsVL8HwulYGEL99EAM82z55EakKs7ofsNVgVGMs4z50A4i0ZhW7zS3bZiuIHf0Wxcsr
xvNiC56Re+5r9DzcS+aSTKpKxoi5Gtn7GCHMW4wW3Ps27yN6UeXkhktX/a/Agao4sjoJS6Gj27zP
KF4PkVlJuUM9vs3BBY1kxtRUhENKkCO4Pp1C7Pe7Zjo1ZfSKTkJKnP36o+vri+vj4ZweOjyUkcE/
fP18XdxXIhGejSmadTq7u6qOOAlVZJjIPE/LaZHWhuOaQIiJ0Fp3b6117z8YlbMJQF9XwLYSj5BZ
Lz5+HLd3x6WfzzldXrXdrM0gAngb83RU5lmtP5VGp6rbPCoiRHQAbcjBqckktg7TgR41s2Ipq+9X
bbski/0jTJER9wlAiCxNRwXvDSM6KQIbXtO6tIf1sjpa7F40KLIVOI1ddKwoVficUQ9aEbEtAAYp
pXWsSdOq3SVSRgPKqIuRbRNtakCM5MERylXZPbUCytbAyaowJbeOEyBjq7UcRS6VmZBiVgsJeV8G
U5ytjjOWJMaTm6NRRobud9zftM2Ru73qDeOS7//xhnRJdL+78fdvbgVQmRjbRPFHlsja2HKr9Nlm
D0g9aTafb/UaYBDTQKbc+/yYMmLsN4a5MDUCI1BZZGhhvw8zYlDUqrCUlVVXWFR5GaQYbKtPu7x1
mwB7PCKHziKQ6UXilW238h03MrbejRAdjM/9jju23ns/Wq1hGBUrzGQlU6cgc0stH7rvofRIqef7
PUBbO1lmZlB8rHQFwGZxgomajuo7ixCKsoCNKVEBdBENX9Vss3LECA+DVInyOJRHQcZQ21QxRxH4
G0RIMKdZ1HablZqCuVisab+rDVxEoruZwiCQve2KgBOZxyQgmVqAKWIsRGVFEVAzIzEsbCXzLJiy
qdm025+Od//hf/zrh5eXF/vLB48fTp99/uvf/nY5HtrFJVXV2n0qBaDzZEUejlnWVEWm1iJzmhtZ
phUzVTFj5tTmnr3e5y1vusgSTDp1d23mS7fWYGLakiV+I2wzE0Vmj91+F+4mpU9L9GyXu+g9haLi
3aWpVkPcOMs2uUVSbGxvdYmE3wdFmGSqVr07wajgL2HKMB7L0LzX9thaRICkB0eMLUq7yMzwtRTS
2nRodwWSoaoqNQOqARFRz+H7fheA1irKue7cKGyuXAeQLA+3Djyu7vMkxgNSNrIxizdPMioWVUQg
phneJiuMKCNJL1mIWhv5ZTmSt2VIZcqJHluvVdbfMXLkUSAFW41UVRpSlNgQmGBEeaeRcd9Xr7Kl
mhBKmqnLQMlx35E0iC8iJTzfvrh9y4jerV0cjzwdjm3/+Nl3NyRU9t9+/YZydXjP8/FNZmaeRXYQ
fffi4OvKTDX7+rcvmqm7TJcfPP3m1W4//fgnHz24un767fPzwdvuwXKM8+Gd2qXobj33m37IDKTO
l4+Pd/18egOCcmlqb1+dzFpGMCc1u73p8+7x8c5NZN4/vnl1pGCaH7x7dSd2oa2d3q89EjAPtekB
Ma3n6IszVdtlpf6qqJgw67EBJcW0jzRzmZuua5c0M4NElW4Vh6CqZhaiTa1XaZBpRjS10CymsXIz
olIoqipKRtMV0KsrvHRBqsOFNS6ZKt0EGiSY5cWCDY23CpuM2MHC7FtrPbyphCpztJ+LUtBINNOp
GWoQNCHSRFeyiYRAzVRAp1mdwxq5Nqvru3IpwlpTeDOrsOiSSqlqkJJsok3M+/q9bvCHOExbm0Z6
yBD2C8CmCqYSF9fXz9++++//h7/54PrBbr7QaZqur3Waw8PmOoWjlS1ddS1PrKgSZWvMLRBuuNY3
i2klYVZXbI3jAtiAFEa5XHRvbTDKmRRNFYwIUtH6xmqKTGTZPxVb2k/lw5RRVpIGqkpWweemAlLR
lCpLLD1YCKBlusLgpRGhGIRVnXWmFvcw+2jVpA0UrcaC3EpcNO8bC6SS9FEFZSMKbkyPCdL+aDOp
DWqkRnDLsSC375nbVlQ9HMENYhuxIXUVJyu7CHmfMDfSLd/fLH/3t0+EkRFv33ybyXf/5SlT//q/
PCXz2cvfC1hBJr//9nfuvZn98z+9yIjLy4tpwuWlfvfdm3dvjvPu8q//+neUi++e3D799n2GC6e/
+Zs/eAQgr15/k0EyzTQirLWsUq4I1VNmqtmr13+I7gDN2v/8n//g3QFYm+oxoKV7rMyzsTQOojSZ
ZpaZm4hrhKqO1VUpZBaIzO+LWKUkNAyBDQ1c2dvqCq0kx6pkNB2NdRBmlES2bTWzxcoOtRvICkou
RmuD5IeHQLctlBBEWYLTR//Q0ApVBeiIWapiyaJTKlGzEvS00JAKYRjwfOZWbTsShIeSt2pUk9XF
OModBZoppXIyLXFsIcX3MZq1n2xs+7grC/NNpg6ohLUppacMhlZvX9/945t/room98Wa0ZOOt89v
bl4dqpSTHpxMKAJ9+fT1qyevh4lxdW1NIdPUagSc52krnCmtm001HphpszWdzElb9QhlDtfsJD84
jTwzp2nazbuqUog404wQM9GLeX99EUGbdpnMvrR5ItMrXY/QhMJUhVq1SFGq2qYmIkwvJsesvKc0
Yc8oh5OWFBg0CSpsU1+W6Hc3TeEpkmKWNcVXp4xwtql8xmU6nqbGQUmVzIcQmJU1YBMTNKiiLkgR
SuVLbVSZqgh0AwGhomaWzKj7K2iqGBWqg92KCK0k6JHLlgM5ZRYY5plNLWLcsM3MvVdzaHF6Q49Z
D1DRyMiEieTYiAQoQ2FF4jWCIo3MQY5yxHS1bc1QlcjCQOV+DyztQO0tQ30qWsC36H21ITZj12As
N4FkZV+bYnRJleAkk1EqPMMmQNAMClAn9raMl3p/6Ou2bLKtzGWIaCkio1kD1XlDke+djaJDq1E1
fjkaRaFqMiZVETR+387K0oKMxhiOaKgRu60qmytEBJXAmjFR7zP4yPoo70tD79VQMhTvlZhUgFGh
fhRmsFlLTzPd0l/ZmlVJ4dQmDmNKdQ9X16uojqs0o6tWYfMW5Fs26a2WUwf8g0iaqaebama0gSRs
Hl2t9RgCUxmErUd4ZhKT2ZCv3pNAdW5WPRuHKaIaaErIHNFF1SNUm4hk+nDbQkT3Ua1lSZFZpHKY
QtA2sX2l9acJjoeWSqrR5Ny7jFr0kZhXfR+14GSOHsKWarvrh9H9/eF8PveL+dzz9eJ9jZiur3YP
Hoi23qPNLcmqjWD1Bdc0TWZGjJ4P8fMyTXMl7lqtUsPGhq29p9YYddKr2o6ssNmK5xnXvmBqljHK
aaxpuLj74JZqtCoPc4EXCZWRsg+SGarqvU/TvIaLbP5Gok3zsKoytZkwrHTAyQzXVoRJNmvubmaV
+4OIppoCRi9KVMxqfQWgrIJbSURmwbepCmSBz4X3xgDwVKQ2zGHRo9aZzBSGhCRTddCbxYWO+6pp
yYbFlBkq6u7VFDdM/hFamRPpugkYlGzjDAodv2mWTcUrZgDw8LbbFX8rguA9hFi0f4jWDZla9Eqk
mIhsnmmGanNG3bFImiCKeAKlGk6Yak1GcEY5xBm+qhYWIIm0EdeXQBORdCdoolRl0zITggk1uqu1
4XIx6+sqYmYUStvt+nJmUm0iwrTUPmYQFfWVy93tf3393teVhLWdiNWEUyWWFWirrcl4ZqTCWEWp
1ipTxFSCoWJgNGsaDoqYdnfdetAhUj23stU8ijYRMy1jnoIhAk+WfKLkQAoOm40QSEGW+5qZnkMT
XsFsdXCnBzPdffhIKyet91H1Vp6TCC1NiEhVOBIZsYIpapme1XEM1N2WkTo1lHQ/sa5LxaKCKUIw
yuvmzkRGeERsT4DSTGZTTWZ6DoNcISlDKy6ERF9lmhjpWIWMjBTNiADcvU0zkzWg0726hcWMdY4k
zay6YaRNjDCbPUYhyLi1f5CSzdCsmTYIYvMoJjGZ1lWh1ubrB8vd3dPXr0SbzNP+w0c6tYSAjkgT
kQ2/KX17NZJIHUoiKVmCbCZBKxP4oEGGeTBseEW8itREm5CNqUFT9YjWTEAVMLuCkVm7cHoVL49O
g8Jc5X5tBFivECkcqdc1YXCsbTbSkBAlAyt6w0RExYdvlbI5SeuRY9/n1m8az5qJw6UEGWVeQCaz
/uvR2FcXcQytjSS3dpNKHy/yIEZJl9zHLTKxLa4+ZC/CDecugXcOFkfGSxnmnWr9Hk4vptlQl0g1
SwsIFNgk0kbeZlZ79VTKg2ZViqtm2ns+efLy6ZPnHq46MxUQk1ZSYhFTQSRFWhGPKoApAGvGkl0l
W7Xsjkh8tDaxYmOTZk2tHmLBrdB8xMNyBEPp97/REP7JhsffJ/dUdF5Bh6Vuqi7xPyJJ6zoTxQja
UhFlOXJTm2a4DMcXRglBxSdys6EiVe7LY01MsjzJVfjEe1ccYDLsrptPYGyAVjJGt02/XR0GFc0w
fvnMkUYiOfzfMvIqR8nNZkkazqXoqmLfy7pHenCFbQwn/5DuZUao3nPvxrHHakZulYNexiwRmUwi
mOm1S4zHIhLgfHWZ7iJEhhms7dRMW9tdXWOrdIKg7ZoYoDJfXNwTtSpml5fTznxZAxGI2ZopItzD
QbZpVqJHAkJrqSpoTOewIqU2a4CKtB/e3jyLldoZwEXzf/Ozxx9//nkRRCIy2WY/qzHerDJPTLUY
XTOLjNLuqoqolKxKzZBspmZ2Op33u326t2ZF6Q880ax7NJuYaaJENpOt00fuE5KbtZHOsmW0mioE
zgyyNdVRHCsRFNWMbK2ZaHS31gq4UZGeLioxzLFqZh4BYppauleyfERqBVyjbDPlXx0NPBTxarXV
ajDAhhGxEKLhLRjhvePgNKCZBgOiMco8RUTc3axhTMTbfU6qyEi+Lm1uCe9LD1VKwNE8IhAotvdl
oEMZGdbakESNhLI6QKvi83t4i6CHq0jbbm9UvXZyeC0yzHR4T8CCB5xZoE89YXJ09qiOwp+i94sj
LUKDTt6HTZmIUZnjjkiGGqCo5J/RLQha6bMzBNqgzGxqCXYOtsdEGqWejM5ErcdkcAyrpg3JpnZv
u6XSmZ7UNhV72EQFQmivEm2rB2GtejJJwafwEimZIinJidIMkR0iDgSlR+6mmR7zNEV4gjDr4cUe
KWmEiSWRwBrD0WaQ2UxqLxBNwDN11KJKzxRtdd01AVRWdw9YK3cioncTNTPvXhSvmozcusqk9iyv
VCAdsbMmW9+nqKhKpi9rZZFKK7H5KPGgiTJcjT28fBGoImmzde2T6KQajLW7mSVYl4RViWuWmqDw
ehXKb/45vI+OSp2miCj4uiiN8vkbBJAINhURaUHCbLq+ynnq59NyPkEkVXaPH0yX1z2lSjuThGr1
z9Ruk5tuoDVbl3WsWRwmw6o7JxjhRZ0ONCtSJ8sMMzUbYjZVbnUqDKaICiTcbbLMmFqL6CIUqawC
2giA5n3JiqrGKKGRTB/0fTWUMg2SXmF3ggzbymPpXcyyl2/ThEUeBJKOVEWMIFBs6uUUUVTKA+q1
DGW8on4X1JdXNXb0XoZDEolAGTJTkCFmIMJDRO/11gN4Fkl3WJ0/FVEYVdjrEfM0pbtqS4Yok1Vg
xnouMHqCZV+pkSWx2f0pmS7NRip2bLETpbnJGLZyUaYXspIRkLbFZGalllaDa/gKQaSrCDUiFrJX
fnd4v4f01RR0HV1fPSlIJ4yizIBUqnB5++r7p4gIJWKdW4uILNlNlri3JKxZrY+kDMcReY+y50Bk
kRGojm2VCrMNuEmpUnOa9pHZ2uQem3OBjKwkQbWW4Vt03gaSR3CLQpRREOut2cBTtJFZlk6gHFzI
iPAuakgwMukjw12RWXk/mbECYASklct6BCxTPFaVKvW1Wl+GK4yBrGSa+jmxFUpzdPkMDw8FlfNc
6gbNcGojwszCvXyeZC+FlNmkRI+K+M+K4MhMU41wlB94hKu4ChIuKtpSEKIWnhlrVSbV8FFuHJUG
BGJVGQSOGMluyoqRlE0ZhMFZBsVrYkVmm+cePQMioYKqe1CTqKjGDIGPcsjSO/zQP0MokWYNSFMR
NSYEyjiLzSaiu2k3P5C8JiRU0SwlZZS0U4qEqagYZiEQkqwFzZlpKDSnAqvqRLAYjk+ItGK07iOF
PMVyKnFOQohJJSN0lPmNKsXyV5qpUZnl8INAJowczPJWqAiQOpBQVpOkDVevRrqOxs0K6CvIjzE+
krqIRlCMisRWrsKkVY5q4czFg4z+vUSWxPne4AiOyt1i5QQx+tnlj/KK7rsfsAWCR2QpmgSw6pou
TjYIlftkjFE+sUWgi+rWHTDaTLCF7oNbbsYA4MDRJSfIaklV3kdt3Pc3DbWwRAQRKlBISduxdc+w
GmJqODPbViAZZ2FspYvM+2FRbIOuc1OHKaLiYnMrcd8ejfcquxh7lERs4UfyvQZvUz4P7Uk47htV
MwObAfWeFN+adaAisVVx1NRbL0xV67dXrbl2FOpUBj4rHpM22KThHpBNgUwkEPViQIGnFIWBYPqm
SBw7vCBqMJUt60iEMNOtRgzj9K2fpfcevOoaq8UV5WC0ZgXHDVmoVk9TqgmjaiXrhaoyszojRXPL
mo4+9I6F7kTENFl5KHK0fIhXRkhrmV7Px3qrKleiL2cRFbWMVOW9mi98hPQYVFur1dZ9yexmVon6
2iZf18naECSJRDHPpu4OoLWmIj1ylEareOYpfjAqx01IaM3mSR5dXn758cMkxQwCrfEFw/tdRDKk
zFAX4eWDHRBTtdm7JyDFWJoaIZcXE0Cile7DNqFNgio72c6iEj6o6f+PSTaHwVjNOHalNLX6uKPi
Q7e1cLO4Q4CmqhcNG0hnTSOtZ24rJlQNsosICGQ2kE0tic2hkCkMZrMmOdK8IEIZ93VTu48RqSr5
ym0WEYrksLxRKupNJGhBNKAaEACZ50nLe52Dja/6otob3UNbWcCyOoqITfWHqk4ch3MNwxWKVeqc
4QjPkSowVOsERIIxAguAMo1NI8i11mitD7GWXJWpqdyLijNJkZA03eUojcZY1yPmNiFSKtx4COiy
bkaqrBFmWkp+ROE8dYxoawpkkM5RlO5F9khJs6HUkT8l2mCVDNgwmhbFZBKhIFAcjJUFpokh2Kwx
QoeINVVVKRUqaa1pZRYn26QydIMD6xy53InJTCFLegnDrJAzcLfbeXihZ636nk1TaJMK6Yx5bhDJ
hDBtuxgqVjFAZQkUqCYJ9ExHPTDFVFWN4aMia3O4qtXORlOV5GStqfZwbVrzx/2BlaCZTKKz6lph
aJEwMrxNomrdPcmpVeBFQTmKDA+3yVQ1Iq2paDZr5fUNT1FCcr+fho0oYrerElbCtJmq6LquNk1O
N9X6fcpxiYp1A0XFk6po29O/Dae/bClPVTZHejpmm+eL3eVMUpsFKdOUw8hK0TKxFGAbClFg3FKg
O4kgZNZpJAkAqmA9NpNtms7npbWG6hkd5uBIKgCPtcEo7H1t00RGhUdvJrPsMYQ2cJg1XxdMs0KR
XTiFdwqDXTASWRTBGPee2ES6u6taX9bdxQUIj179tiNHkoEAqMjwpSeHZ2qMNCkZkTLC+TlUZAIq
I6GFWNPX84a1Sx0uNaSgMmMgskUUFTGQIao2KCphulT0gqpVXHNNLyWFjYx7TUFPV0hkBzTDwSFR
V7HwSOL7yAczMhKNGe6sFpYtAz2r0IkEaeGDysgMNWNEcDuPSrQsY9MjnUwkrDixoQqjx9CcjBgx
Z3mMEUrvwVDT7r7lcWcm6SEjvrWIaMd935Q6wgNZa2eUzzx65SKpKcOdMSKmaOnRs9LkHT0kGdnL
PQ+JQril9JLdpdZpVWZWTbxHr46fivAgkN6LlM+IwuQBQVhmQG2skaaM6CsZNas7++qVTOso+36P
XqhJZVlnfavQMo0UfTXGvkxwynDVVngOo2V60NMjAbWWHjIeh4QKI0JaRsegS6FF9QwnQHWjeYiV
vqi2iQhERnatgTshRCBMKH0Zu0rPJaM225G3zszoJXkQMWVmhmZEhm21yGBibMO1MqSOvnu28AgX
5hYJrKQONXsBbAoNpsUU4dGVqOm4LI4LM7MI3rCtRgyRpK/pmToN/b1sPpYf8mfJaG0aM3Q1HUJE
ZGr544/b4w+vS/Szrud5nmoKA6BNM6rSnVNrRad1ZiTNsDcr4q4if2J0+MK2Jq9y9VefSvE8uuks
S8euWz7gCC/SEh2l3JdpU2xYasJUYLZ4H2V3haOLIIZ2V6r1CqRIEALMNqUP0J1SLXkUwvQ+PW1s
2h5Jcm4m94kaqiANApU1KoZcmbBhuq8QhxFgOCoACh3fnE6jXijC1KrMmVuPUbU0h1fqrI4wPIF3
301T7b+lJdNRElM7L0Xr4NWtDH2s2mvvUkMOUHkHRTB6jJ42BWouLOqi9swqQdmAiwH8Y3N6Vgd1
hRaqGUS6R4+0ZsWZ2yh8KEPKFo0g5bpMfF+pSKsLSQcEJqIVtVrwa+VPoWQOuaV6CVAdOdzyNwk1
SyJIoTSzESeZKYLJai6KUcFTkpCNUs9RHVQArHh49bQlKJRCHljgKURQgWRjZawwBapmlsc4QE5t
Eko9SrzOfJOa+JmYaxjaWuQLsB4TecKmVq1wIphUdStxsday+rpVA1yzvGI06NzauvZaditZjUgm
Ta1BlOoRZqKSAnjBjmqC+/K22igwcG1AE7W8BL3AgVF5WvVlFGTObYpeZq+izZDMUoyYQoFZbVmX
EUz9R3a+iCJdRh5hdYarqbufb2//v5z9Z7ck2XGmC5ra291DHJ1alNYCqIIm2BRNsrvvvX3vWvNb
Z9b0mhmSTVABJGQVSousyqrU6sgQ7nub2f1gHgl+HDQ+1QISwMk4ER57m73v8xw+uCPEplprpSSq
auA8Uk9iWripdqsBM7PUWjefHSf+o59+gMAsSBjAPgBNQtUMMIaSFYWZ4j7FiPFaIUOsf9NmSx99
IkCHnITGjq+peRJJKEMtBsASNxO0qJm6A4AQP+Xcjrnqp5Ihd0lipiKESDFuQEeOjkfsC3BManBE
RZEMPHJz8aZiIY77InN1A3CRhKP7fXzyxNPZEcwVCOLIXkxhzGQhI2gkfke5oKuONJuRgEpIoUaN
tIIbIcWHeqy442jyjpNhVWMMOA0FpFiIEEEC4YPAiWKvT4wjwn1MxY+b2Ih2jpRxsFhMRZcHAIdS
gjUV6a24ewT4fGQixi46Sa2VNsFKN4sYe0wPAyWwEYEaEwKisIzCzLH/7khADO6VWXA8nIzDfCYi
w2j6jy1tBxYKND0RBtQ5oqSMwAIA6BVGybkbGjCRE6nZZroGcXGK7yxmAndmWZey4YND1YpZEFBN
eQw+BPMWDcJKy8QYpwwRcgAmrqbV4oIZsmJPguhKAI1IOBXiY+C1jMSvcVoHOAZ8xzcDO21mZ44G
5sqISVKvwf51EaHg7ca1iiwaUaOCCYx4bG+WoeSuVSs5ESDV6kxRp4ojglMIhxCEyZBGrD3GQhII
gAFjHJIYqykBNAkJ2WoIFEZSGTMzIzGpe0JmAgNd12H0dZOzUKkVmZmJ3MVJiHQUF41ABxExt5xS
Yo4JmpmlnMpQSDhgA8TjEYujtaEmTDWGXMyBwJS+P3U0dE1J4hlbrBigl+qAps6YQt+kwXAvQESu
4YzHKAwSInlBHRJaQBIsBpOmIgm9NqLChg7KyskVzHCk3QjFV48BOwuA+Ch2EkayUioRJRbVmkTM
1TvBqIXUhKSA7OPBZxOXAoo0KYI3TV6vg6uUak0iDOC1QNNkH5mfrqoyDm2qSFCIgYSKBnkPtdYm
5ZCspJyGoYR/L1LNTSww43lqgEiqmlJSM1NNKZlqklRUS6mpyeHUa5o81KpmKaV+6JlIhMtQcs6m
BuDIWFTBXVisaGryelgTcRKOLjsiDsPAksyViYRltV7H6FKLdl3TDwMASkrDUJ6ScqJ1Y2ZN0yzX
Ayd2QC21bXMpg5kJc30qdVZrm2boe2ImosVyMZ/NhvU6p1y1jh1TxDIUFrFaRYQd+zIIJ9XKItGw
jsNHSuJI634tKYFDHUqb82q5yk0ion4YmqZZ90NiMTOttW1y0WruWVLfD13bag28EmitKeUR0j36
ypO5OlibUylDkrzuB2ZJTV4tl8SCTmDW5FyHITWstZqZpNyXIin1ZehSNjevNeesbuaWhPvST3Iz
9JUBU8rrYdU2raoBgiFVrU3T1L5PIkiwLmvOUkoRTh1nqyY5rdbr1CQzX/erSdeVfhAW9YrMkqVf
rHPXmrlWa1Jer1fdZLIuy5SzmpVSc5NrrSxiCkPxpmnBPCdZrRfMmBKV0neT7uxsISxd265W6/nW
9tHpSdt2AF5r6ZrUL5fTWWfqy75v23Y9lOlsdnZ6BkStSBmGndl8tVw2Te6HkoRRuO/7pmlLreYm
Iv26n89nj5482tra6mtPjMzcr8tk0q1X6zanWmqTszsOQyXOQz/klAC07/v5fL5crqbT2dniLOUE
bqUObdecLE4n3XS5XDaSzZ1IiHi9Xrddt1wuurYtZS3Cq75Hh9l02i+W3XR6fHLWtRN1IwcH61d9
7tr1um/byXooIvmPblghFFURjrTYU8VITvDCtb2rV88zoY2VC4pvxCC+mVsS8bG76IZkgA4uBEIY
qbA/qJBDxhAC6xEJN5JsGAljJIlWTDme2o4c1XjcsKo3eS3fQCw2AAxjIQ1FuwOELyfqwR71z2h4
jyZBGg8ZFEgNBw/7SNR+4qgUa7r/cPGLy2RoRdFhE0KMpJl7QJ4osNJjnDQ2FWDmPOIIPcQtcSSK
76fYiW3+5HgRxPDuxu1xo6sZ4TcbmSQ/RVlsCK6Om5/zKVwkVNtu9Acs0JhyGsFdMHLFY10z3vH+
8Cd9cy+l8W8KXmod7RMYRyonHIkvozAaAQASsWnEWYGRHEHHHYL/gUfsrh5f6o40BllHWwKS+uiH
GJsRTCGC2xAhx9d5E/aA4F07kFAEs7GG6jSw0m4yehGwqDoAEbsrR/vGN61qGNu/4SEJmnp8veNT
6klgn914bG/BBkpiQhil3IDoEJG66VgwQ3NjxERkOqoYAqurWoQYXIQ5SJWxkiOIzxGom9NYDzZA
dW/Ht9O4Z2s7NlcD7zCpOsX1ySAhZUqlDMQ0mtXAkTeDAMrVAJCGUpOw1cLIZMYwYmAN2QCJKUaH
BlC0AqAwk7kWFWZHqFWRKdhggM5CtRZC5MpJuGrNkoZSGFBYSqlErFpERLUykQMQUi1lwXr2ADhG
OyH6JEI3IDYfqxbMVIoz84i9ASQiB3Kv8Wb+46+lcdsiUzd3kRRh9ACnm0Xl/ylGCGJXaSGOBYhh
xFPjrboJUHzEcBNDBABmJow+KZopMkVmlZGEOXjN8QGJkstT6kHUAQKBByOLgWM/yc6wIdj4JmRn
7sLEhOMdkdkQN4AaECJzlzA8ExatcRI3NXVXNyBk4g2/FGgEfENc12hT/GPiUZs7urI4dntqUX2F
tMFB8VhWAIBYFI9t1Q15CYTQnTzGPe7u40Ur7qCbVaomFnVQjzIMMBMaIqKiuY+3ViRShahlcmIz
I8Z4QDIiS0SfRoMlITpSscqE8Y0T8/Pg7scTOAIX8bHnzbcGIA2uBERMqhqNo0gaR14mvtMcIhKP
zKhmKYltHn2IyHHpgmAcILOoPeVvg+EG7eqARCPGJJpaobd1BwQSpnA8uaN7Hud0buhNHPQJmaTW
yoiEJByKTmDhEWgUXo2R++TqluIRBLHohkDoq411Qg1HIhEJIWAtwMLgoK4Ymy4AIXLzhERM/VCQ
2bxGOQsREhMgLocBAYRFixJT1ZKyVPNR0FIVwZPwWDwQKbXmzObVTIUloL0x1sk5DaYGzomrjcpo
iZIbKsWXlFNO7K6JmZGqKgtDbAKIiVDDgI2IyKZq5jmJmyFQQwk5NE7i7m3OoWYgoCwSTQcHqAAS
zS8HGUm4QMzonkgEUM0zIpCYuY6wJYKx6I2qhkH3GDOiKH/9J9cNlIXanLUqM0niopWIAagUTTnR
eEFHc0tN0lLQfdJ2pRZzr65u2k2bQGKKpFK1lDqbzZfrlYF3Xbterye5IcChlJRyUe2HMplOh2FI
zMy8Xq+bnJLI0K/a3PSlrlW76WS9Xk9z27CcLRbIpIj9MHRNFweplBKolqqc09lqmdqWENZDLzkj
4qrvd+azYdk74KSdLBeLSdeZ1sV61UwnXpUBm6Y5Oj3NXYeqrjVehOrWdd3p4kyaJCkdn5wcbO8O
616LzrfmhycnOSdgOl0uJ9Opq7taEillIMI2pWEoLMkAVv16a741rFdx1F2tVt1komqqOpvNzhYL
d89NM/TrnHNK6fR0IakxrQSQW1mul4SYUlqv+tlsdrpeEZEk6de9MCeWsu45para12FnvnW2WDCz
MPf9entr+/T0DJi7tjs9PUs5IQBobbtmtVqDQ9tOFssVJUGEWuvWbPr46KhJuW2ak8UitU0p1dWa
Ng/9kJssRIenxxd2dhfLRTFo2265XDZte7JcNJK6pi3DGhAy8+lyMZvP16teDVLOZ2dnezs7RyfH
s67NOR+fHlOTkrmazSfTk5OTrp0Q0snp2e7u7oPDx/vb26p1vVrtzOcnq4UhT3M+OT3bms37flBy
Fin9ejaZLZZnIlIQSt/P5vM69Iv1amcyO12c7m5t11IHcyI5O1007cRV3bRpmsXZyWTWeS212nQ2
Ozw9abrudLmcpiZl6RfL6WRWa12sV13XHJ+e7My3yjBklrZpF8uzru2Wq5UzM+XFerU1m5VVL0yI
cLg42tnfXSyWTDkBW9Fm0p0uzlKXrehQmu3ZfHl2tjOfL1cLYMIk60WWrhvWgyB1KS+XfLC/u1gl
5rQ2VdXcdeuzFacsKEeny+3dvf7sbNI2VZNqTZlWK5zMJ80UELnJraxoMmnWmGfTiYPXYZjPu+Ux
NJOm74eu7abTWT066ra7SjUmV0NvNBUCTm2qbMSUu0ZJZZL7ReXUACKAcpfbrelke1rOKiBwZgLD
LDYgTVpRLaYszOJNblEgpeSu3iBPmzIs01YLddHMmlp6xrZpcutFGuloMm0nx8slirRtA9nbNgPr
pG1LRQDnKde+tLOMXKfzFrKn1CzX6y5nRJAVbu1snZycdpOJrNc5N390wyqJOBEAc3ICd2NBRMxJ
XIsIMYWfZXOMEx7Xz+YYAEkkQKwappgx2oREMpIdxm4SRhLuaSTScTOnHlvnDtSkeKYTOOLTHSAh
S4pUasTVkCBMEgCg4/UjpCyRNQqY2bhRIEZh0SgYW8zsUVhgjJDRWMoH8k1ulQifflX9obsEnpjH
Mvu4bIsNIFQzRBiB3uDxPcfCZsYpLvy4UZ4CxlmcRix4FNc2JsDQGLp5THg3r9HmX2OHcizxhgAN
YkgMmyzrKIklimWtjNvKcbkx7qBGjBzBZsHuG8JFjHhpTAZ63LQpJspIKDImTjeXnM3PQ0xoqDCK
HEY3GNgoOadNIysK0uPNHCnu8IzkcbjEML1brC8jukNMThCIHXULHM/odxyJWjjOZB0oFjeOsT4d
SR0GTmM+LarU48oFN4RMih3H6GfHmImEiDLYtiGH23jIkCiyPGbu5sxgZsHBMXWJpU0tLCIYHFYX
GgMYzBzjjlj3NzmrKo0rXAyUESOPkQG3sRbIGMznp2rR8d6rNRINTKTVCDyxtCJDX5okWuvmlzwy
deMfN+5Dr1ppfN1YiJDQdYxci4gh9kVNlZiIOBKA4XlijnSoqRsDMZO5Va3sGG9dTuzmIkJMpOMK
KX71kWQX4Q2Z2CnYhMQRSNFRqmgOIIToDKMBeNN2dnfEUqsDBB/KwR3/6BaDEAkREBMBEdei8W5l
ZoiLD6CDM2NfBiFuUi5V4yMchLEAPrsjkaCMFtyQiJo5MRiYIwylNBIoTAKkyDsQbhxfkZLYkGR1
NAmBjZ1/tMgqb5ioYx6yWkqCHiUUUfPIdzGMT5inN4rxGhzVbQu26h+eKRIiFwckqloXizMCJKah
DPPZjJCQiDfSINg0rtHHa0nUBS34QoAImISLlqdPz3gybWA5rrUul4u2aVNufFwDjnzpEfw3Xv0N
xxla5Cc2EUBEBhxb6DFYcCfAGN8EHmAUGnrMBgiRwtiEcbd3j8JUYlGIrX8EnJEIhlJjGMUjJNZH
XJNIxHmD7eTuIlJGjqlHiTe+rUYfcXB0nQx8uewBrW3aEakCsMm14KaHH1HUMbjBxDbeN8Hd0D0x
IQdKEauGpy8e8tEPcEYUJgsH4/jBIh+XVCjE4EpAQqDuMUsN0wwBMNOImUKubpGgYSA1EyJCE0QX
ignFoDUzuWlKEvwe3bhUicjcYsZt4zURRhIKUlxpI3ICoxSHCCmn7G4cwWR3oqAQWkCJWEamFgOx
UK2GRCTo8bACB7PcyPhrAWAfH6FmEJQDGtsQPP52kJCkFk0pmxoyRaFi0JqSVNOcJJ6QhOymriYs
owpBVViCwlhNRZJCRYgPghOSMA+lmIETVFMGFAImQRhGZHqsqRTG4K65AzInRCg1zFMogHL54m61
Yg5NbsowAHjbtf2wFhEzQGBKsl6vJbXCvFou2i5By6Xvu44bI9VK3A61MpM0qdQhSSImjIizyFAr
OGZJTUrxLk9J3A1zmjQ5EAhNk9WquSKyMDNzdkQRMM8sbiaZc0pOKMKqtWnE1fqhb5pch4GTCEu1
ykKJxa12bVPUaq1xXEBABpu0idBQIotHChYL5UnbMqHkZlg7E3FCcW9Tsqat8RFjsYh1OwJSmzMJ
5SZXLYnjVAddTmC1yY0k6YehWuWUnTC6vQjQtg1hZEK4oifCra4F8L7WJEQIwtzmPJh2XWNlaJKY
ZQNg5sm0y1mSkjs0OaOZEDMxijYpeUqwrJ2wTNqhatPmWgszt21n7kTYtrlJWV3LuuaUtWoplkTa
LLnLSHRyespCuZEu55QS9QhMQgJVc05mFdyI2QUxMQl7KSKUsyTCaZfJYNaks7oGFneTJCycsxTV
rhXX3Ai1WRCsSdwkhkTZUasBIrMwMyHlnLomZxFGFBHLGUUIiRMTYRYy8sGrms1zUwYQiciKCRMm
ZgYTImESJuSxQ+baNZOyWk3a1Pcm3Ehi0yyJgQCptm2GBbQ5GbQZsOsa0tp1WQtVr7PZZNkvJ5Nm
5TptW0ImYcoslhWACbs2zSe5sq/LICKdNm1KRjLtJqawrCsSRkZHgESCiZIouBOkLpdhoETEyMKS
BNRTzjysFXxZqihA4kCBGIBXM6pOoFZ7rQ0kJS+lJGoAoR96iMioe8xEp03OhINWQndT5nFdROhM
MMIMwESE3QdyJid0Js+Z3K3YQKytODYE7ObGLWYxt4JQmazJCRGMbJrQE7FrGXpOBKjmhUUdekdI
jZS1OyqymxdO6GAkEERo8yKcKylSRSyJkKCCDqBMYFlgtRpSkpw4EQIogWsdANRRMe4jQgp1sGHw
QaAfrPfhj6+XgkbqMu5hTshEDp6FfKgB6AyqGBEHGMYNVO3hwwcHB3tNzsyAgCHOcoCYGiLgaKAl
qFWBSB2YCJEdvO+HB/cfXLh4AcG7JiMaxhmNnqJqNqiRKHhuTp406uVHn7yB13AJlirMG+IPbLzh
6GrCSTdBbsDgLYW2HDZXJrQoBYxPSwAwYtooMuHO7Tunx8fdbLJenF2+fGVne/vpPpGJAUMDQhSn
/uhXmSFSrIOipTwmGkeIL41+9LH76ar61Zc3Ll44t7W9FTBkA6quFOKIzeoy1olPVX5lKEQkIrbJ
SY7Sglj88qhKx83B1zb2hSiAPVXFunt0nsajX7gZxoN1jBJstDCpiTASbbbCtLnEehyn1BRjPz7S
zv7Q5oqDfORvkYkB1kN/44sbzz77TJMbGBdijB5J3rFTqlpRSDdZ383fBoK9zDaK/GzzfwZPV6xA
LDEoQRu7xxyrZBsLXiOZuRF2xKJR45Z4jYVkMI/VNPMotxBiB1AbCyY4dtchsWzuD0DChGg2FnuJ
CerINNr43BHi7eHg4MHYYUccpaE4KtnGAouP8MagaEbtzNEJgjsGzEMtImRqQkzEQVtsRVy1SaJa
xyJItZwSIrCwIi5rDbUCOFazFCMTiDsx1jo6YIkZmdW9mnHc4qyKCKpZrTRm30YqPiGZeXUn5lKG
zBK+rPgzAKDoLNxXjQxkRExjPJBSIqYYXRGCai1VJaeilZFcLaWRevBUNptzrqrqCkxoTv5H65sl
JVVlHnuiIdgID5GqllriJ1mvh0Htm69ufu/dd0YOF/xBEwiheTLb4H9crY5BEnJArmZf3LgxT3m2
Nd/amjkiswiniHiGyYOJ3ICZq9lQzYFKLV2TGSHUsyLZLRrC6fTsDBFmk4kajKZuB4393IhThRqt
OgkcjjNx8MQNwByW69UwDIQw7SZJhBw5parelEWHAACAAElEQVR2fLb893/95Ztvvvr5x58/9+Iz
k26CEqRDJ0KNPISZcEyGCABNPVwcHLUK1cdPjqM9Qcyz6TwCKao+hnEIfvPvv3vt1RfPX7mI42cC
mCiQ1EKBlMeqNgxFa2knnTvcv/9wvjVruoaQeZQ5RTRA47bmBut+HTlqcBBmczs7OZ1NZyMQBSCe
yKOy1UdLKzHZBqC9Xq+j+nv/3oPz5y/klGFTCR6745F43vQihMgA1NwRhlr6vm+7bujXCNC0TQh1
EenzDz4h1O/84N2qFqZKwmgkRcMDYkhRrY7m0qfTPWHyDekMgQnVPAmbO3FUTiwRx+5d3WJcG6iC
UioCJUmupu5xsR01zNEiACSmyLbEUA1jXclxoWUEcjMiAXRBrmqInlNCN4r+ZegTARzj0Q2MIkTm
FUO2TlS0hpwv6GsAxkTEHDi0qLTG/bm6EbFbxRCloCNqXxRjT43kCkly1WoARGBgrpZTiiFjxEAQ
DBkZkVGYRb2OZQpEQ6RQMNSRgGDgYFpdEyIwqTuLRG4HicFBuFErqgZxTVuvGaluQlV9KUhsoKPg
B0HVsjQKVs15xG9A0dG4FLU1BABy1WrqnAgcI2tiPs5hAFA2ZmELLFJukoNFmkJj3IEQcWcDc3R1
F6ToZSbm+OyVUpgleEpEhogpJ2JKTXKElNPQWx0/chitfdAKYQ5wJcIk5AZC5ITMYlat72dbW6a6
Xq0saDBOiSNphx4YQ/DIdag7IaWUKULwIkNZM1FOGdW1qrmXWmbTmao2klpJgzo6NDmX2jc5xfx7
NpkM67W6l1rDooNE88mEmSk3g67jfc9EjMTEAFhKycREmFiCos5JEEkihq3GxKY61vQBJMl6WBcr
pQ7RyCeXqjrUsq6D5OQEFdTGtAwSy2q5alLTcl73PSNmlrGpDm7oqrVpUjQYs0hYZMN1UWpJOTl4
tcLClGSoRR0M3cmRcRiGnLKZ1lrjfSYpCXHX5OOzs4SI5MLIRIk5IfW1MLO4E2MpZZLzhDJoRdOW
xRCYE5qRgyCmnFuWgZAJJPQ+CAzAxOIk7MKSJaF7zrxkBNeU2Kw2TaPLpbqxMBCIYNsIC3StqPok
5ZN6LMwRy+7aduVrcjAHQRaAac7CbFXVtLoGtC7F7Bw4OPJVzQBLraG4dfB1URzKYNqYrcvQu/W1
9qrrUhSw14oEJ6slNElDuw6mVqvVWsugxdHVtNbqDkMphKLmq35QAFBjZjWvqsBUTKtWB1j3QzHA
QCu5A2FxdbcuJ0ZamKppqVW1bs8n5Lher7Pgmq1pWNfrJkuT07CCJInA+qJNblaLVSPcEwohsgzg
RgTMlIRUh+KDWgXvtQ5mBNikxEMhYmKilEy1Gpmiu6wdBnc3FU6rdZ+qKWCpRpxUITe51KECFSNX
wNSers729na1WHWnlAYzMFhVTYGxF7ExbMl9qZJFUouUipUCJE1XVAWQiNucS9+7Q0oZiarh0Jed
7UnhCswKqEWJUzWfSALi6g5IjpRS+l8gUs4lg5Pg2AgkHr/zgmCBHIspcodb39wpNRCOaWdn97NP
vpy/M2lSGk87BLxJ0hLyiFMHd7ejo5PDx0+IuW278+cvEGOp5canN7a3t4bSl7Y7OT565upVg8hz
Rex1k51EWlR7dHS8WvfmcPVgb7vLY2IP8cmiPzpbXj7YXS2HrslNQ7QxeVCsGggNUX2Tth2Jt+OE
O3DRYbL++ps7J4eHzLyzvXXp8iUAiM5ZqfXTT2+88vy1m3fu7c2mk+mkqiYJbOxYG/yDWRMcEFMA
D32jhEJ8fPjk4aNHx8fH067d3tk9f/ECbXgpAXxS9y+++HrSNpPZNOJMI5URNyCfzR1y3ffffv3N
M9eudV13tliA+/7+HoIjBXHdxwt+CB4RT0/Pjp48uf7M9ehKAeFisTh+cnj5yhVmMjUzfRre3ixX
xgPVxmtgD+4/aFJuuvbRgweXL11m/g8/EUY6Gsf4KBAihAwm9M6lL7dufnvx6iVJ6esvv7z+zLWm
bc0id+e//+0HFw4O8m7aEIPHVyxEBQTALLHBcncWxli00qa8Pf4Eo3RurNwDxiErMtNqhoA0asKo
mhIQEoETM5opj1MUHIXhDohsFq+/k5DqGAomJFMVjrQpqnuWPPIFUQBchKJz5eAcUiRAZAi+fTAz
GSAJuwUpisLimKJXD3HPIYLoe4PkrKoAzoRFN7MDBBwxOZwIhamqEqNEwd41tkQABKZgGslU4DHG
ae7FPPqniFarmlsxjHAd+sa0gVjNgcgcS6k5ZwRDU44YHxIymUNOWbUmFiCqoWGwqqptzuROHit1
xGgVkgxaJSUzFWHB0VyAtMGfuBIHGAybponLBJph4pAemcUEyBBQzYpqdY0Fdfu/0GJQZZER7eWW
UxOBBUd4fHT8/nvvXbl0XkR2d3eHok+enDi4mhIoEkfgF5G0xtNoTHCsh/pP//SvO7vbTdceXDg/
nc/7UhbLdc62vbc3FPv3X/32tZdfuHzpInGKeU9cdZl5cF9Z+ujzb91tqJZzfum5y+N0qfpiOXxy
49bbrz43OLeJC1DfD+DeNFnVi1ZDZBEAKP3QCE9yGvdOG+iZARBSMf3b//kvly6eOztZHOzMXnzl
JQDI6Mvl+t69+4vFsqg+ePTouz/8TtF6fHYqzNtbW4vlYiglZgRMNJ/NDAyAmIWccKMW0UEXi/Wv
fv2bCwe7569c6vtBkkxnk6q2Wi2FedJ2p4tlKcPZ6ZmZppybto1RA2+6HowEjPeePPj9r3/7N//9
v5hb02YRqn1Z1UUjmYiWqxUQiKScG2JU83/6n//y5luvbG1vaRToAP7h//uzH/zw3d0L58owoEPX
NugwDEMQ1NVMkuQmDWWotYLj73/zfkr83GsvzeYzIFiuV+CWWIhxtVgHwTTnBg0QXSLbohozsps3
7tz45OO//t//y62vb9+/9c2f/NVfLBYLVWiappaSoPSr9WK9QqTcNG2ebCaxI2F71GIzuYGZIo91
xLjThU451uwOSMRmRiKRCSFkQAR1DCEjuYGLSAxekTHuKW6VATk6FxvyLQCNJjEEQhJOMWJTB3JM
lGO4v7HgQvirgn40LlkRidhGX40HzSi6NhoPVhxRl6aGRFAtQA8Uu/jI+BKSh69og5OP5EjscpHK
UJrcaNAotTqiMAfSHIHC+x7V1vEhGZMT5sRUtJiNpl3CSDKjEPZ9L0JMog5JxE2FudZa3SLAIoQg
UkthoqGvXe5CM6ZmSZiJVJVj9ioEFpvV+MzFlxgUMxBSt6K68a6OJnIc1TLoCBq5V2JwCAYY12oh
cc5N3DQhHsrEaO6K1dBKXafcIBMTI2FuOx/POkLCkhJLImaqNUkGwPWwVoBqDizxNTKopdyMgglG
rapeDSs4FFP1UcsOSNWURXLQdsyEJaWUSqluY0vePee8Wq/dcdUPOaW2yYv1qpaSmyzEVrVNmZHc
QKtbtSZ3jrWqbshxEFoUrVWIwUHBHHHRr5lwGGocMkQEAEtV4Sg2ojAH+qIfBiYmg3jJ3MHAy9Bb
ITNrckZ3AcDg+lYlagyBhEsdTk9OlstFJHgBoG3btu2YIEnERZSFSYiE+lJbIiJkACJWYTevVYmQ
UlLwvtYmiZeCRI6wHoaOuW0btSosy/VKXRWMiYpZMSMHJ3CDXmsxTUyr1aJfLKZN2wjXWt3MwWop
TOiqjGTIq35AEkRSNVBLSBnJXKurg+vQZxHTyiKRaIkEgptyxuPFIueckpShH8oAAII8VO3X6+Te
l37CLXk96ReT2tRaBoIEWd1WQ7GqjDzUOgxD7OiqlXW/BoK+Dqt+1UgS1X5YN9wBQshJqupitUaA
6j5ojd3IYr1mcxQeqllfwaGvOmMetKoqAxHjtJvoMPRliNwOEXVtB0Qkcjr0bcvcpKhQRMpfkJiw
V80piUhWzZIr1SY1DpASq9vjO3e2Dna2dnaAoOmaZb+QRlbLNSF0Xee6AiIgI5QYnRMzMJfqRmJo
hkSpQRIPhRe4OqxqHczDAl6dMiZEBUQ1yLkhDP6+VvRqRo7VAc2IGauJMDN1TWO1xryzYZ60eXU2
HtARvO3SajEAekq8GvokXKzmVvKam4Z9jeDOAI0gurWZnNHcU+aqg4GKgAdpk9SxcArQw5pJE4M7
WIKc6fSsbKf5pGnQjAA5VM4Ig5YAKkviMEHHqgEIi2mAh3KW2hdAjOVVzjlKBP7HbwwyCjEBkLmz
iBMwkYGzcFnbONcEXA3lo/c/efu7bzZdt16tPT7w4GeL1dHhCSFeunRRWgGHTIwkWmpiVqsOfPv2
/aP7j9/58Xejnnr79v3D05OT07O+DMO6f/L48OMPPsEfwOVrV5DB1YgYaNS3I8rthyd37j156dnL
9w9PfvPpvddfuHJ4dGyu7WT2ZLm6+e39WrHNyZlXBo8ePwbEc/t7i6E/PjoF8P2dHWJ69PhJm+Xy
wc6keboUjRYoqpma3/z6Tpd4/8LB+7/9YDqdHR2fXLl25c7dB0M/PLj3cJLo7v2HeH7/ydHJ4eGh
qm5tbc3m05tffdO0DSJCtZ2t7QsXLzCzgf4hpAegbvOtOTJ98N6H73zvO6XUTz76LLfNM89cOzo6
OnzyhFiuXLlUqw9DvXv3wfLsdL61deHCRaBY+47HVjUDxGEoH/3qg2sXLkLXlVq11qPj40cPH5Lw
/vlzd2/dA1VEun7tSmpbAHj48MnHv3lvb3/3wZ37gJja5vHjJ5++98GP//xPdvb2Ht6/T0hXr1x+
/ORJv1ohB5PTd3e35ztbjx49Pjs9a5r2d7/8zaxJL7z2Wlg0jw4fHR+fzOaz/YPdm9/cNtUmt5cu
npOURnYiISLHCztUe+8Xv93+m2m7NX/vF7/c39s+OTl7+ODhZDLZOzgIOsJXX3yltZDwtWeupaaJ
jUfcjIlZ1RARGE0Vn0aCAZ/GFMe1VVzrYt0GWM0g8D8iFgoeGtn1FgzXyHrB02u8uXvivEmg4ah4
VI0kKQG7o4gwAjOqGxiquqEzM5m6R1MITJ2ZwscYMcORdzbOewIqByQIZgQjSScUWLFd93FzynGa
SpyHWpg4YH7uqFUlyVAr6EiKIeSqReIBEcH0uPWG6IOoWA25OTOxebVROiHMCp6YGhKvSiFZBgT0
nGQ5VHXLObsbE1Y1FkHAcNqFHi82J0gUJ2KhxGiEkAmtBpoSHFzil0dpo7iBGMEk4hgrK0CgVUCV
ADY2EIiXiMAVvGmbWgc0Jw5ZKBFSVUXDof7ROV5nKlZD+544gXuwDJFwWYfjk7MffO97i+Xi66++
Pbh0yd0Xi9WXX9xwcDV7+63X57P502qAj5osqG4nx4sXXnz24OJ5c/zkk89OThf37z6cvvjsBx99
du3KxYcPnsyatD2f7Wxt8wjlChyUIdK9R0cPj+v3v/OMOvzid994Wty9/3B/dzpU7Zrm4fH64ZOz
J8vl1mSSpTx58qSq7e7uLfrh6MlxM0tt7lKm1elia5JeuXph2nBUKqN/HidbQLRS25xPfXl6uvzi
1t1yevbSGy//4z///ODC+VqG1XrlpqeLxc3ff8pCq9XwwnPPfvLJp7NpK7lZnp3tH+w9c/XKwf5+
PKBi5BqWk3bSXL5+Mf8+bW/NHz588vDug8Vy/dxzVx88fAymp6erl196NjENff+bX/5md3ebk7z6
6qsea2d3N4+QSFR6l2eLmK+99+vfv/HqC59+cmO2Ne26dnt3+2d/9w8vvPLi8eHJT/7TT6Rp1W1x
srSh/uPf/ctk2qz7evXqpZPj43t3752uh68++Wxrb59M5zs7H7/3u9e/892m6Y6Ojo8ePPzxn/7g
V//269TmnPL9+w/bzLPdnc8++uwHf/bjX//rr7e25sNy/eJrL/3T3//zM889c3J08lf/9c9SzjHl
TCJEpOaKaGaLo+PVanV0eLw8Xdy9++CjX/92Mt9uRRIy+vD5+x9/deOLvQsXU8pv/fDdJE3wtgL9
7e4iSd1CeuYQUdsoN4M5qhlzIsTqGg/YTU9mJPMwo3qlkQsUupAgzXhsj0NhOtLLEZmJgKoZMRNg
VIw9ciejtRTBoaozi6CF0U3rmMxz1Vh0J6RV2TTPw0dl47hHbbzvalWh6Ho4UgpGkwMqABAEW9sR
SYJSCQ7hRFUA9PFgyJsrNoAIxLnIydRqsJIBwNBUpREzG2pVBGbWUok5+sAjFgJxsEqAkLhoDXDj
MPTjkxMRyB2NWNTUwVEiGYF1hKITEaibqxKNap+Aw22E9kAQnwhkAGY0DyMXOkCNLeYGXRGdGi3q
ZqUaAjA4IVLOKQwrQOgEhgYMy77vi62Gevvuw08++my5WI2cNER3DHG6IfWqy36oDkOt/VDAEZEd
sFbXahHqAACtVZgAvKoyMyLWal9+detff/aLYbVenC2gag6ro9b1MET8aRiGeHYPQxEZd2tuDuaq
NlSrig4yFBNOQkmIa63uCAam7k79UBVJciupcZRHh2dniwFRmLltmvFtNP6vKUk2RHcSTolTkxp0
aDixAzkyUW5yKUPKGZlJxNSSSJsaQiZCYWpSnrRNEmaAxNQytySZOC7JADSof/DR5//09z+7f+/B
N9/c/cf/38++/uyr2hcRiV4UIyaWTU5dGOOAOn59mlnEPolZmLtuktssWYgJiDhnYNZIc2p1ryJE
BKGGmTaNEBNz0zYpJ8mJRBzw9jd3/+H/+bfHjx41OSfhlCgjNkRtyklSm3MinjZNYumkYeSuaRNR
IylJIqApp5ZTYiake7fvP7z3MEtCZBERYURomyYxTSQJUJubRNJyZuYm5bbJ00lLBImJmbomb027
4AvnnLpG2iyCMOnaJJKIG0mtyKxriUmIt+fzLNKkJCkBIxG2OTdtanJqmiwpNSJtTq0wg81n3cO7
9x/dvjdv207SrG0akZx4ezppmzRt27ZpIiKJzCTEklLKjaQgYAtL4ALaNkr1JkIAruYFvJgaQKka
7MrV0K/K4AiP7j34/T/9y+rxI0Ds+2GxXhUtq9Kvay3mg2oxV1MWVlNDH7T2pqsyFK+ILsxNSoxU
+kLuAtAyJQY0E6aGUy2aOaFD7Aljm6FakmBisDqgmWkhctMKYBAJSzO1+HT6oLrs+6PTxWBggNV8
3Q/9UIdSi1pfigGqQUq5Vi/F14MpymC0qrBSrECAou5qVqsSyTDUor4caq/WD1oUylAFqQ6FSFR9
XXQ9WKleFYq6mhdzZgk9WnFXR0ceDKrCeiiBYu+HOgxqTiLJDEzN3IZah1K1miqYAeHIjP3jyB+b
Vw8IjAwYgDFAXwBPDQik4OZweHh0eHz8wQcf9+u1qtVaP3z/k+Ojk6++uXXjxlfxOVU1r5qICKPW
4kC0Wq8ePTo8Pj779tbtW9/eQqTVuj88Ovnkoy/atk2p2d7dAkJmjq+QsQEoAgiHx4v9vd2D3dkL
1y8dLcuXd47f/+oxtlsf3Hx0NiDn6fbO/rcPTh8eDx9+/XBV+KSHz75+8OW9k28erapMPvz64Vd3
j46X7thWHfeaBg5ENhqzMOa/jx8/uXv3PpEM/fDJpzdKKd9+e6/0ZTbfunDx/PnLlw/OHTx88uTm
jZsp5/ff++DO/Ycff/TF9vb21ze+NbNayujfGzuitqlHcm6bPOlYGnX46OMvUtvcvHn7808+/92v
3hfkO7fvf/X514A4lPL7Dz5ZD+Xs7KzW8tRs/nSNGaldBzStiHD79r2bX35148uv796+1/fDerX+
5b/9+vjxk29v3/7so09qKVqruavq0dHpv/3zv1X1n//TvzMykczn81/94pf3796/9c3tD3/3wfu/
/vDL33/aTue57c6Wq1/84y8ePXzyy3/8eV2X48MTAG5yI8y//udfHx0e/+v//EU/lH/751/ev33v
53//r4vDk/f+7b0nDx4AhqwH1EzNiJiYkWXZ93du3f74w48Wy365XP78f/6zl/LJ+x/d+/YOOpSh
/Ps///vi+OTmVzdvfPpZ3MDjXhZ70UDg1qqAZEgKYKFJZGJhYeaoDVFgViBINvGCxYYtEkbjAQ6R
gKILREgAoWYaQ31gIBS5zsjNUiQMYx4N4CzisUgcC6HhnTOkeOcSE8cBJXRFNjq2lIjiB99U/mi0
ICEqYA3lBZODC3M0QZ1RwYHJEEkEkKu6ASoYZ6no1c2eEoLGpBznlAN5HXHBsMuCoUhypOoQNcXM
kggbFgZqSBIQVB2z4szV3JGKGrNEJ5ZZ3L1rWyIONKIjm2NVqw4VaV3Vid2BABMxG6CBIKMBE4fd
tmqttTKgBNEFARAVvLiF8CAg94KUWeJ4jgAWS2/mcDwgMUmqqsFgq9VKVTVQ+KN5vIG0SUmI4v3g
PN7rQZi1X9/69tub396+fe++urn54eOjr7/4tmu6R/cfPXrwWMcYY1RkWc2qe3Vzotu379/65u7h
46O7N+++/frrVy5e1FqPjk4AYDKbXbx4cXs+H1NfEQwhUHdA0mpt00ya1LY55bQeyqrCM89eXRmc
rWo7mV+4eOCUVr19e+vJ5fMXL126dPPuk+Vg063ta9cvPTpeAmXgVOIz5EBIGJKdWPAGEd58dbZk
oqFUMFiuhr7U1arf3d2ZzWaXr1yadNP9vb27t+630rSSjh4d9uv++rVr15+53k0mpejGUhWPONx0
/jEoXzmnYd3fuX3v5ddeOrh44cYXX9+5df+l11++cOXC/W/vxF1jZ2d3NKaOZOC4FFF4icYFSviE
gfrVuval6yamwCy11EbyG2+9uTw7++KTz259/c3Z8Wli8apl1b/88ovnL1+oQ99NplevX3n04JFX
aLvu0YMnR0dn21s7z770oqoiwIN7d+/cunX85Pjd73/3je+8fv78hYO9c5cuXOgX69NHh94Pb37/
7dOT4+Ojw4bhu99/S/u+9AOOKFoC9zD9oIEg9avVnW9vnxyfAuCtGzfBfD6ZHD56vF6vTLVWvXjh
3BvfeePu198+5b0XUx3rvjGLjdx0CDDQgaq7BVvuKRoKUDabA0cMNVPEaYUYDYIKQQRRbQlpPI6G
9YDkP3VjhLx51Lo+FcnGnzF0J2TheHaOT0IWIgZAZmGiaG0kiaEThjY5btQwwpwRHUSYERlBEAUx
yvbmIXYPcWxI4NwAqnkxM4DYUwFgrQbMgXoWiWsLqGosXMdhJaC7IXNRdUCRxCxmLiLMEiREBBIi
cG9FGFCYU0pVq6rlnAlRGAHU0domuVegsGjboKru4GhqI2ojyMNE41gA0W3kYDMRgqWx+QzxD6o1
Mj5hXVJViyNUKeEjYEAA8/AvRqMaEGutpydnaiVC5Keny/sPH1+7fm25XH396ddXLhzguX0fJ6Ck
VnOS9VDUNTdZS8mUkqRVqWE8yyHKQXn48GG/WnutANDkPJ3PkuSUU5ubYV0P7z7xql99+/Dc1uzg
3N7DB49IYPfCuRJjD2IwRwARsQgXShq/eaQ5XA7rRfnmzkNwaCdnO7NmPydHc3QWAXU2k9TdfPTk
6MnZGy9fr55WayeGJgsCBfJSCZQIiZPk9WqVs7CTayFkB4sJPUHAIKBqSakbyrqoddOpgqsDmPdD
kZRv333w8fu/T4mqAxK8/frr09lstG9teGW1lLu3bs8m3fOvvPDzf/4Vun3vJ99TVbUqKREjM1at
fSlOqLXGEsm11lqicOtqpVYmGqoOw9oRvMnFXde9OxyeLb/86PPl6akOPXvlNjVt+9xrL0+nM0ZS
q1hp0OLuWKlqScyGMPSrdb9e12G9XOScqhYaUHLTu50sF2BWzUBYTQlSUTvte2nb5TB8+NsPJqYv
fed1E6nuiuQIizJkIXc/Wy4Drlu0OqKZ1lKr2XoYilZQS8hffX7zwTc3v/vDd6vXoQxh/FwP68XZ
4ve/+u3u9uzKC88ul6Bmfd/HU6CWuu6LTnwote9XmERN0RjMyXzoh9UwCKGZFdO7d+5+9u+//u73
3212ttuuIeHFcjWZztRtPfT9MAzDMKTigP1qAJbFejUTjqt9P/RVlbWo6lCH1DaMRI6CfHpy9st/
/tetrem7f/6nw1B+94t/7whf+v733L3Uvm07cyu111qxugCwe2LMhD2BIDaJGxQiDtABIxojMXBC
RE8puYECFrPqTiJ9rZlFw1EVD0KnqiqY1TGRuJojGgNkdqbePAGSZK29sKxLEaZEVKoSk4gk5jYn
ckiJ2iZ300a1AHoSRszzre7ES9ukXisCtk276otIzrnpcrsc+qZNlHItBYlJPHMcs7wV0SbPus6G
AsIiIgRdk7WsZ113tjoDrLkhB2o6zgvMmWqhSduVUuOEDTnnJhOgukpmdWizkKWU89hiAWfGtk0L
HZLg1rRrJ5OFLQGx67qzs7M/vmAqo8mDUceRmyNSUO/JEAiBWIis2qTruul0QyCCft0fHR4zcxZW
1aqVKQFC5BzD3JA4MzMh7u5sSZIHD5/Mt7avXb9y58Y3jIwOTdN2k0nTTYkSjGa/UR4TXKA2p9Va
waFWQ0JIqWkne3s7cvdo3Zeu69qmNSBVXa+HFy6dX9Zy99ZDnrbndnfOH2zfvPPo2tWLp8dn9x4e
TzPOJ90oi4rlDJMjQjVh2d3evfrstffu/9bMwaDvSy3KzG3XTWfzfLKWlJfDAOrLxfLChfNVbWd3
Z39v/4033jh6/OT2t3cvXLgQZsVIRYeS2xHMAZmIZb0ehqFeuXb56Pjk8PGTYeivXL28Gsrp0Skj
EdLLL798+PjR8dHJ5ctXOCVyf3o3xbGuEsiEGCqDmV+5evWbr765d+fxfGtbKF25euXx4uybjz6R
rk0p5dSYmqru7Ow+8/z1Tz/6jJmbtptMJoePjy5ePMipiV/nteeelZQ//f1nBv7g7sMHDx7m3D7z
6gul1kePnky7NN+aA/jZ2QkxvfjqC3e/uX1ydJKb5qXXXlyeDf1i3GwEt5NGhyqBO5PMpvO97dkn
v/14vR6Oj06HVT+bTIe+gGHUda48f43uPnh45/6r774DWsf1zshEAQdgYQOMG+Qokw0MaVzfN3/S
ACMdl1k2NwbwcCOM9b8Nenc8+I62wFhQjJFTpLrxoGKc2ZhVjaJf6g5gIslDtoNkbujAAbAiZEJ1
JIIIaYoE3TFAO2xmEUtGQlc0pIhKqFv8AdrAnyq4xzrBzNUkSQimiVM1dUBCBuQIjVHEOBCrmbDE
/wRQgJND4wHIPJghcq0VkUJpI6iuGkKcjXHNm6ZblnXMeYnZwc2NiaqaEKXUaFULNLckda1aiUdQ
SnD4Q4KB7kBezRS8RACeCH2MRQNGjM8kZgvBnVYjZq8qxKVWR+A48KqZQ1X3akhYq4O7VjVwABjq
H78thfBMjPBbB1AYVRxR25l0k+efe/7J8vTk5LhrszB1XTubTCZt+/wLz507d/CU5jb2hyM8TcSc
Ll+6dP7C+VKrO68WKx0qN02bcksyaZqY3EgSJDaF0bpJpI4HO/Ob3x4+fHTSmw/DsH/t0jd3Hi7P
lqi6vzu5X/p1P1jR1Ob5vDs8PVGASSNN4szUJjHTnLjd3rp9+/bJ/vZkb4oE7ubqkpJHjsCtyXm+
tZVKvf3N7Wdm82+//PbenYfr1UBIQimRtJInqb104XzDaWt/vrO7/eTJk5yypLS7u3v/zoOjx0fn
zh0gETCNH9JNu9sR2pyb3O7v7n779a0nh6fnz51P+ezWV3eeHB5f3t89WfdmPp3Pahk++/jTF19+
0cBpbJaOj2UDJxYDODk6yzmRea22u7urrh/87oPv/+QHw7p/eO+hK168fGl7dy8laSRnTm3Tdk3X
Nf16OGma9uxksbO9tXhyPJtMn3/xRXW39apY/eh377346iummiUT0sN7jwwg57w+OY2q9nQyBYDH
9x6VUqbTacpZmkQicaGNk22069GRAVrJXTd74ZUXa7FvPv30YG+vPznd293dnk3PzlbD6pSJHx+e
PLx9fzafMjMQAmM4+Agplm6JEBxtFJiNbUOAMZYYQTxwYGJ1j6LKJugL4wwi0umMKFI1jOub1vqI
HTEW1lqDjRdXQnBIIoTWu6k7MQVSPij3iMBOhpBEAqVfTVNURTx0OJqzECI7hTZ3RLghxIIhdLEx
y2DAYoaIBqNDW1jQFd2ZxvzwGEMwb5jNECgKMxT4eQOobonFEQixzalUcxxN36oeW5NRauiASGYa
d2kw40DWIQxDkVi6IFQdW7eImJncNQLWcdVmQnJnhBi4qakbMEfKxpBIQjH3lOYwVvdtHMABEJKG
NDNOW5t4sKpZKcQMbl7dzcWj98eI5iLpy8/e//qLL65euUw5S2pefuHFnNNqvQatVutTfjeoC5AQ
Q/JBvWka9DF1LIRMoG7CLJygDF98/MWDW7ffeuPV3DTqgFMf+p6Z+1XPEHZJe+6FZ8Xrw8OTf/nX
3z733KXZ/u6kydVrksarOWJKaRhMVdG8k+xqlfDuk/WXNx9NumZnZ3rr/tmHnz36zmtXLl/aWq6G
oV8JJ1XLYDdunTx+eLK/v5sTtNNJanIxWAx+dHyqat100jV50dv6rF+v+kMapk3TiAD46dkw1NIt
tE2o6ilRaABTElAVpCY3jICJkrFkPjw+ufPtnb/6q/+kTfr5P/zjh33507/4s8NHT5q2aaeTul49
efCw1Hp2eNSSP7738OTo0Gp98vBJM+lWq9V6uQLwra3t7b3ds+PTvl+5WWLOkpani6Zp9vf2CAFN
c0oOkFKK6CwTABELA9Js2n3vR+8Oq/U//93f19OTP/vL/61UPT09Kcv1ul1Mt2ZKOKyWy5NTSSmL
NPMZ4+huOl0u+qOTslhrrfvnDsDNVVOTAVCICCgRZyAmWDk0RHtt9+u7906XizfeeSsnGYZCTG2b
CfH06Lis1/1QpohbnE4ePCLwft3rqifmlHPwKyfMp49Pbn36xXe++zarHt1/WIdhWYadvb2yGm59
emOx1e5tbcnB/vLkDKpG8n56qdX1+tHdOzF00bP1arXkJLPJJDfZalktzurRkaqz8NH9x/du3Hxw
sH9w5Wrj3nCadc1iuTw9PjxdLe3srNueoun9W/eGdX+Yc9/382fa1GQzmLRd6UvOGdiYcJJywVUA
Y9zg9PC4RUDhPJksTk4drM1Nv1jfvXFzGIamay9cukARaAA/ffzk688+75qm74ed/d2Lz1xBckEU
ISCOM5OOxzVEEnGYTSZrWDNQ8dg5x3TOhTkRWVVBTkypSSMCv7gQIBiCu1UhZ2FSaoSVkBEFMTO1
klYOpDpWQ6qrl6EUcx+GIkmG1aCllmHgnMMZOAy1VlutVlp1sV5Xt3Xfd1NC4lIV1EwBE1UDBx6q
DX2Yq8BVS3VTc4WhH0wd0atbKbUvVR0W6/Vy3Q9Vu9ys+yEBqPmwWpEjoLN7LbVWHUpBTkNVZhSR
08VZTnm57inloWg5WzGwuQ99+V8wJYwK4EhC0gbVCEQkGJxKJHXIkqaz+db2znx33nYNEE7nXWq6
85cvgHs36bZ3t5FkDFnG0t89NIOz6cQAVqueS93d3bnx5VeGsFitY9vfNi0C3r3z4Mq1K0FHG8cP
NjYqr5zf/fiLO1/cfHR8uri4O9+etd98c//GV7fZ6zOXL9y+fe/hw4dtxkbo0v72nXv3+6oHO/OB
kBxaxt1OxJRNh75UNRjHuggjtR8CkrE1nx49fPzw4ZOU23Yy7aazjz7+4uHjJ89cvZRSogiYpPzs
hfPLx08C0Lq3s3vYPjGHs7NFVV0sVwYGROOamQAjGwrRdKWmbWfzrYsXLr73qw/Ozhavv/big/uP
fvebD5fr9fMvXO/V3Gm57M3w6MlpfH0ZeAh6Ig8cJjYUun3n3smq7/teHZbL3pGODk+Wy7W6ffrx
p73iSy+/+vzLLyHR7dsPs7RCknPLyMypm0zc4cH9x5evXHUdJpNub3v75HQtKa/Xw6N7T649f4UA
D/YPbn5284Nff9R2Tdd2R4dPTo+OiWh7e4dQPvjVR8vT9e7+PkmOogmJEPGGNhwillBpQWra3f39
vDVt2m42nV+5cklEprPZ/rkDYkm5q26ffvDp8enyrbdei69538hszT38zxGXimqQxdEQKdo4G67S
SLuNEXcIbAwdACTzMNRqNdaqOJZYwcyQPDQGI5bDgz8s4JU2Z8EozzmhGagbCqt5qUWIE8kYEUZX
08wcVakwd8eK29SiFxMAlUBymaOZ4ebkNEKGRheHB9PZ1OMmzMxAXE0DuGDwdFs7HuxorPmigYd3
DgF4E9oExzpuJ7ACJCJ1j54FjHVNYIn7qTkRABRXZwzb4MiOAggDhJlXt1D2AQK4YVigEAgpE2sB
DP2sOQTmGrG6O3EFYLcNf2XEh0USslSN54aqmpmDl1JpvPP4iKoEqKYOUAdjIhh9phAWyqeC2///
/xXt5WBVMJNqieQcOmxNps8//1zTtTOy69eubk2mL7zw7MH+wStvvLJer1i4aVsHZw7wdahQKDND
shdfeGa1XN+5fXdnZ+edd944Pjzc3ZmfP38w257v7e18982Xjw8PV+t+Kgk3v3pASMTksD3N77x6
6fD4FB1++sZVEJ4m1+Xxq5e2Lp7bOZjicHr4/Llu0rZdu/PkyWNze/PapWXfA0LX0dvP70+nzeJs
+dK181vzyRj0HJfVykxJ2Dy9+fYb7tqoPftnP+q6Kb35ipn++U9/eOHC+d22nXfTd3/0bs7ND370
7tHhoarNt+dvf+fNnd1tQNChbE1n5w52o1fp7jFaQkJCClfMq2+82jb5GZHHDx/t7u1cuHh+vR4O
j45mO/PrV6/uXjzfde0wlJPTk3d//APJ+WnrgZljvAXu2zvb7/zge6vFYrXw19967eBgf7Xqj09O
f/CTHzthbpqhLz/4kx9evHiJiQH87e++sb+38513ZHd7V3I77O1cunplvVhevXataydDX3b3dtrJ
ZG9/u23bt37wbunXb//g3fNXLv9oa+v48Gg6m73y6kv3b99dni7f/O5b585f+M733z05OfnhT3+8
d7D31vffaVLz5rtvtdNJWLUC8RqFcHTb391694ffF6SLly9MJvnq9eucZSh1Z3d3/9wFt3LrmzvE
IiLf/+mPc0oKoKApsTuUWhmIEBJLVTNHB9MR/rvZTgEiICdWs2qKGxsYEILaCOICBKSEqGDmRhsG
Pm3g427GxA7IxAbGEQc2g1E6heyoYAobKh6BqWYWdKyqhmPsJOzTIgzuRsTFFdw03JNIAIwE4Mxc
YrQ63n6NENCtE+ndq8NY43dIzIOpKSATEWr8R8zorl5FstVKCMIStpssaXRR4xji9XHER+wWD39w
DdhqdbVamcfyPyK6KyG0TTKzcI0SBgwAE/GGOe2BazMzIUYNeAGMIerIdRF5haggsCQ3U1fmQANG
R4OYxk1v5HhDpYsc+OII1ABo1apBIEFEQdwoes3V0AFef/NV6br7Tw4//vTjZ69dZyYRUrfV0H/x
2ReP7j9ytYPd3TffegOExscKgKlmYUUw1ZzyupbETa04rIcs6YXnr+ZJh5SWq/7+3YdffPQlOJ6c
LbQfSim/+tnPL+xvr9WPDh9/VdfDUN5+541J11qtCMRMpQzgICJElHNSMwP76t4TAHzz1WspwbXr
5/7p519+fevUJP/ud7fmk8SZqsIbLz+7WOrx6frm7cPt7fb+4enubPLScxe+vXP01Vf3WGRdH7/4
7MXd3a1/+d0XVOp8a7LoH167uDvfm330+1tbs1YQru5PXnzmXNvkft0HStG1mNtoFndnkXB/E0CX
uNndbjjFWv7nP//l889cfe6NV775+u7vfv7L7/7oe6UvjeDx4bGplr4/O1menvUf/PrXW/N5Navr
4Ud/+acfffTFzQ/ee+nVV1ya+9/cObe/M5/PH96+98pbrzFi0aLmKYUQS03J3DOigblb27WqxikT
kKJ//fHnt768sXfp8v17D954/eXrr770/r/+29mTo+1zFw/v3f/eD7+TU8PE4H77m7tf/PzXz7/0
/MnRyUtvvHzpxeeEkKPKb0hMoSxvm9YXAADTrg11NBMD0NLtt+/9vqnDD//sT3/xD//SoKV2cry1
9Z233/r7n/3r4b07V597/vRssbcz//P//OfYdOa11jDRY5J0471Pvv3w/evPP/fg+Gya5NnX3qx9
XZ0tjh88AUi/+/d/x6q5mxw/OfqL/+Nvbn7y1dfv/fbK9esHly+1k9ny9Ozs+OTw0YMf//mP253d
X/3sn1G929orpXSTKSAvTs667cUXn3yOdfiTv/mrD3/73t0bN/avXf3k7r3nnr/63Kuv/fJv/16I
zl1/5vaNG7x+99nvfodcV8NQtCZlAujLMMGJA6CjakiVMYKCWgqoA8N6KJ/++pdHd+488+orN977
aHHvwYXnX0EHdD17cvzVb96//vyzOJ2+/y//NqEfXbhyrfaD18qMSfhsWTh2F45WlY28GFQz1CRs
4NVq0RgtqbCZoxkw8rouU3w9ELhZX4ZimtumqEUZtZptVBQ8lHUt1jVdlmYohZg9cdKMwpJTOL45
cZNz17YppYbTuh/mk4mWuj2ZkXnbNYMqtg2KuGrXdVCrgSdmLTJtGptMJ00LBhWgzQKLs61Jp30/
aRsDzSKVMDF0TS6NzCdNRhCWLLkl57ZdrZcoAmaEkIVR8860PQPNbWIwEmFApEnT5Omkm027M6uz
aadFVS1LBu3/aPJH0MVisQHkGF5EVPWqaj7OWCdt884P35rOJrnJb7/zxnQ6/e78zUnb7e7vLJcr
M9+ab0lqfDwb4kibRTD3a5cvbU9nzMwi+/vt/t62qj577dJsNjt/Yb9pux/9yQ8Qock5IolgRkiG
Bg4McG47T9+83PfDs5cn3aS7d7jamzcvXtrq2j3JfGl+SRivnm/blMGh76cAPu3aau4GLPDTN64h
cL+V/Zndrk3MMeo28BHPAG4p0etvvFjLs+D+1msvNW3705+8o6rwDiaRa9cvNU0+d+GAEVnS9p/+
pNZKzCmly+cOUk4vv/ycqRJibhoiisF/eAtGuIVTZvmzv/xJTuna1UtDvwb32Wx67dql9XpNLE3b
XLp2mRDVofT962++Mpl0tDGex3eMIJvZtOn++n/7y1orEL7x+itJEotM55NnX3x2Ouua36SLVy/v
nT+/v7cbwaTLl87t/be/yDnv/9n2JDV//hd/0kza7a05Inz/h+8sTk/BYT6f7547J1mkzX/x3366
Xq2vPXtl99z+n/71f1ouF/PJtG3y2dFxlvSf/9tfzrfnf/lf/vTk5PTlV56bb8//+r/+WdO0b777
WhRDkAJuiehjgHbatf/5v/353t6OE/zN//k3W1vz3b29s9MzZp7Pt/7Lf/9rEs5Nc+3Z62/u7e3u
7QKRPVUKgY8Wncj4QfjlEZljOYUIaiP6NwAivglojhpbpiBecDhIAu9sjuCEJEIja2lDQgxudzWN
mg+ARzsgguUAf6ABEwIjRweSHcE1nHsQQCMkkRRINwQSFkKNPmS4N5mpag3Zj9sGaGRB9VAcjX9P
qShAhEUBCKpvDo0AkgQcVBUIVXWUi6glIsHNtQ3QEYOOWmtVQDcDpqEWQpJAKxMW1czCTKV6MVOv
nBjcmJEc3C1HvLgqxxkWCNBZZLDSlyHlZKaJxM2YiQlNKyBWrSLs40Y6DEyjzSinrLUQRK8Saq2C
4XgAMxtKMfLASSTm4OKYe6k1Ao21KLirjYtcdPxfmMqpGjKPS/44y8aZlHAynbz61uuItJ23569M
G0m72zsA8PyLz8SOnZmRKRZK4e2Mn1yY3377dfTRugSIapdjkRVag+3d7ctXLuNm3oTjOcYQx1lt
dzC/tDfNkszhwWJ96WDy8vVzXUJC2Lu665sitTDvTg8IQZBslqupE2xf2auOdZqJQpNhxIjOFus3
QkAXoedfuD5eyM0IcfvFZ0KF6A7z+dQcLl29jIhbO1s7u1vxJp/vzCK0OJ12Y3AjWndhhwc01/Hp
DXhw4Zy5MdNsawrmhDiZdrv729GVv3TlYrw85y5dqFrxP2hFEQnU1M3Au2n38usvM8LmZ/NtgPOX
zhOlb2/fvXDl6kuvvCQiiCjM4P78i88iwPbutrnNtqc2jgXJzHZ3d8c2JuGg2yTywmsvEqKpEcJs
e+vilUuMROjn9neDJOqIzzx7nSXKPz7b2gLEZ156zk19dLaCoASG3tB3D3a297cG1YPzB7vn9xHx
uVdfjhRCGKQfPDx87vnn33n3u30tQ0hlRgsvcGKOIik4gqdoTQc1Jzg9UYWneAACMblZmH7dIcJN
I8EbR48SERmM8ZAAtUYXHBCrqrkzsUOcjkhEIOZoCBSgWkIw1PjhEdE9CVf3sFWPFXgiNVVVYtJa
zc2Rq1rotYWl+mgbq7XkCACbAkCkP2pVYTYPIVxFRMkyFIWIWmxs0htoHBiCgVc1ZlGA+IZh8MRs
7lGmiB/G3ByhukvkXAAmbVO1mhoBMlM1DyozgoMZx18RAEK5pBU3IiLf4J3UlJ2QwqCGSOPSmNER
IacEDn3A6zJqUQRAYkCQJOjAxO5GBETJTE0DOw+AaGZmSoiMBK5gIACuqnGbN8fVenj46Ek3na1O
z+7funNpZz/vztHBq929de+z33/4yisvzbe2Pvj1+1tt9/ybL1tVdhdJbioioSVgGqU7SVJKvDo7
vfHlzdQ1XTeZbW1/9OEn+9Pp82+88tvffPD49ChlWa+W64W89vab337x5fVrl979ybtN01itOSd0
WveqbiTc9700GRFFZDUMpyu9vLe3P2+AwHO3u7f76MHjreVsNfgrL5w7f2H3335/45s7R7Ot+dmi
f/P1Z5D0k9tPuhaPFv2Hn91+5fqlcwfbH3x9//MbD15/vanmF3cmr7527b3Pb31z7/DZSTsUvXB+
b3vaZR+q+noofa08kushMS/qCoXbpl2uVoRogFrrr/7tN5TbxenqpRefLdqvS12u14PWCoau5y6f
2z23NzV9+63X7z95Ury8/vpzf/v3vxiWqzd++sNVKf/+s1/c+vpm3/fTyeytt996tF7f++b23vm9
y1cuCZEICzOaeR1oDKkjIhbVEA7GpleSDKoJ4Pj0+Mbnn7/zzhtbz74A73/8+e/eb2ezu9/e+ev/
8ud8cPF3f/uzm59+/Oxb39OiDFj6AYmff+WF1WrVTFpJXAZUM9PgeZuaEmBfBjWrVrWWWIhUrQyW
c9JavRQdyunRyeXXnj937XrDtPZaVHd3dr77Jz98cO/hr//u77567pnzzzx3tlzMtxyZAXCxXpXq
Xdu8/r13uqPF5//zH16dNd10urs/uf7aix9/9tWje4/+63//r5Dy3/+P/8+NL76sxZrcvPvD7w+T
1HUTXw+Lk9Nf/+zu1x9/unv92eMHj/7q//F/zXb3Hj56Yqvh9mefXnvu+u6rL3766WcCulovbn1x
4+3vvtG+cK37cHL7kw+uPfM8ql9/4drrf/Fnp4dHh3dvX/vOWzEPQ8SitSHpcttKjsqVsLAkQ3z8
6PHP/99/OxRdHp+1u9PD46Nvv7r50ivPt1uz2d7Ondu35xeuImFYflnolTdfL7tbR/fuf/XZl1ef
fZ4kqSkS16oorA7uBIBC0kgCQgNrU6p1KFYlN5KzpOxEyMxOjA4ELNS2yZXquk4nTV+6tskKmpCN
qapPco70XpbERCy8WmnMsdBM1RHJYmUBPvJP1VxRC6hWBxpqNYe+DNW0L4MBllrYvar2w0Dutapn
XKz7th+WQ+FUVqVUdTPvi56thlWpsh6GaqbFhNFouVipwtHJGSMv16tpC6vlsiUeSgWPTYsXk2Wp
MtSj5WqGvOx7UW+b5mQ9KKejs1U3m6+LwnLtNb62cYhF7R/VL0V2ByQkpkHVCd1dmIRZNSoOyIwO
fnB+N44h+/t7TASTSZj/ZvOZafBrCTioLeGKDwM7TCeTtm3jNI+Ek0kb35qR5HHwtmsJwgICtjlc
snB8qTVE3KatSQNIjrDVyEuXts7tTISdGa1tN8kZVLUmNRH8Y1UmAXDMqVbNKSGh49NmDQJ4EG8g
mJKzGYRf3N3dJzKJAbNBQA4huACIOJlMnh6OY1aYZCSEwyYa6hBQ2FGPTkxmNptOANDd2jbHxjZJ
atrWAQ18mtN4K5pNx6rMxucG7uYWdzUW2d8/CEvqqBR06LpW3dXt+rPXr1y7unewD+5BRW7bZjrp
3JwQwf3cwZ66dV0TJ5StrS1TN/c8dWY00PMXz6lZUB/btjnwXUYkh53ZPF4aA2/2m/2DvVAKnr9w
DgDbpg0SsoPzqP1zFo526IVL5xGw1GF3f0+EJafp1jwuJ82kraW+8Nwz165em8ynBmCRscBRWThi
Tn1MsCGGLRYdMRYCsVE0i5M9PpXggSGOrnmL1ryqIrOZIjozM4xvNsRg0I4QYyLyDdSRaeMmYYr9
p0PoSdlMDbC4BRAosYSnyMzNUd2KGpPQuHUgAgjUdA2ksBmzjF6f+KkIVQEBdcSdh+Iy0nRkMFpx
cfywoapprcECISQDjXUxAGZmrw5ASUTNelV1NIPRS0DAiGYK4IDGhGYAFjJAJIpaODroWNT1sf3p
mw8OADLHP5kQ5STxIhAakVO8t5iruyMoQOjT0JXiI+NQqoIZORpYiB8DbqtVmcjNiLlaFRjJxnF6
QwAWGWotpTaSN2AkJCQYe19/5L7U2MFR0B3CaUlxh3dg4sRJQykcPWfi8UcVgU3t2cxE2Azjl4UO
FiJHs7h2brY6AeuKOmW4bvwP91L3zfwBmCl20IiG7gfT/JPXr3QtE47PhI3tM954FAMYJOTRD4dk
kNIY2YQRnYzRZwz1FSEQctxkgEnNYihbTeO66eCx+SQAdGceIS5hLRIW1/En0ZjxOIyCk/HZiojI
xIijL3fMzG8opXGriXM/kjhYrNd8s7t2JEKyyFIihvpIRlMomNnVSxcuHOzlLDhmEBAAZGNjNmcA
IDJyMHdi2Vg6oojHYUKtrqNbCp03astogDNTfA/GI4iFikeRE0P6ZQRoYd8JnzPFXzMhqrsQqzsS
kiMhmyqCv/j6S42wA4ikoVZhDt0t4OjepacZ5jqkkFNROK4sqtgj5xyQECgxqBl4gAkdPCFFiQbc
hKj3SkRVLUkyB2Yy1UTk5ozkGL8CJGLkceeICAJk6MFgdHRGEgmdt4cHLr4iRSRoTZE2ilSrgxCi
oSILuBMCA8dbhEVoXK8bIQN6by5EGGnE+LYiHNQAQSRZLYLAhNWUEFLAZQgZoRGuCG6OTJnIi8Vd
wBxrtcQsRADxtQaEjjxCD7JQMUgshO6hIIYA/xOgmyoQuxogCadiRpQA3MzAwAGSJDAXoupg7uqj
LYmBmpzjAynM1b2qSRJwL4MlYjcjRAEk5PBfWMiozFw1sTAaApuZmxHLUItMmrY3LeoskrK4lseP
Hs+KnizOalV3C/MOGZwdny5Ol4uzRb/qSykPHz642j+bUoI42loNIZAjKFh1Q7NI2ABR0zSSc2w+
j88WP3jjpfne/Mpz10/u3lcPJAM4emqEmSbNRN0QeaiWGIMsvwFpQFU18AJpkqnWsiq16JA4DVaR
CVAQaWtrfrC7lVPz6GQxm00kiwaFVhiIVuuhqB+c280tz3dmh09OqllK6WBvvtWl2aRdn/YX9/b0
GX3w4PiBH10+mO5tNynltsvMKJyUKOwbzCwiSTgxCyJLfuc7b+1du/KPP/unLz778rU33yJkq9bk
hPG3AGi7qS9PiWTSThYbHUG/Hr764htAOn/x0mxrix4edc1kNpvmra38n3784O7d3//uw0nXvv3D
d1g1vjkllrRAKSc0IyBATMQIIMIiCREzs5pN57Ombbe3dw+rDqu1AM7n8zKdTOfb/cPbhJwye7U3
X3/DTpbv/e7Ds6Pjl994affqJQOfpLysa1Obz5oQGiaRedsiBt9EFLCYNuiSBADEYWs6+f5Pf3jn
65u3f/6b87vzH/zwHXfsppO2a2fbO8By88a3394+Wq2Hl197yYHMsZhyzk3bbu1sbUFCllp7SalU
zalZrYqqffT7j5B5Z28/tRM/69t2sr29fVrLb3/2b8snh+1ksjxbn3aLti9EvHf+gJumGyY6wjso
p0RMMLg7WNXdrS1sutn29t1SqxqRTLdmXdd006nVdaiNg0ZAzIC0Wvczc8ktAipCqUXN9s+f++n/
9X8slqt/+n/9D6hrRCKi0g+nh0fnL5zbP7cvwu7U5BYwhX3YU2amEFECS5ZcAcLXlYWbnITJFM0q
GWYmgVETzQ5uWrVGV0GQ3YYyFHAY1gMCDP3Qr4fjxYqlPVsNjSRD9Gq07t1scDMfink1V/ehDrVW
NHeS9ao3ZHbQom1K6JS4IV+2nMp4znZGY/IkJBwPMkiZ1tWEFB1BQBhSJmZ0NwBvsiSzadegl06I
JpMmCydxt0poQ2mahtxTSgi0HtZNK27SNeQVU07gXmrpmlaHkijNmnbaNuhmgEww6fK0y7XvtGoW
YSZANLeUGPo/+mwmSAhoDlaUhG1M6WyqeRQeL4tzz0Z7HZ8yiXQKkeBIg3MRMTMAFBYfF0wAhEIy
bpzGeGZcSi0EVx4myY2uZIOeR4xCoIOQuId9lA+22oN5N5533CRoEWMoF4loPOXQH66g8RJhqL8c
zF1G72BcJ91qDVhlXCAjYcg4iltHLgP9wSMaMgbA/9BTdKCw4myc9XHJiWMWhdiU0M1h840YVbr4
eMJGqrm5QAKOZ1dw20RMERUibRUik7EYCQiMhKoJ6cc//v54GgZkQjcAJne3iAUZoLsQh13RzC2u
tsyoOp7AiDdnZTCHEJbEgTuu4gj/IS0ZoAILMYyPkheiEJshESK5abBtccQUjJYXRDIwU2Phn/75
n4xZWTdCCDQjE3ro0dwZCYnNTW0UscZLrKYBH9HxDhv4lfH19agVOYLjuGTwMfDmo8KVxmuGGhM4
IHMgwGBUKDgIS3XXcAAA4NjLMiKu5sQ8xtbjl4UUPMnECVxDi+lmrvE2YUfnMSIX6dk0DCVqROjO
bg7kJIAg48oAgUjdq7ohWqlJGMDBPScZMYiqAJBS0lo5uKhRKiAOwkkS0WrIUqoigQCI8DAoEgjR
WPpq0jh7RepLkZwHtSTkYOFxCWbTU4FNxO3j7RcmmBjNjwk/8GhN8uhaRLeK0WHzMUzIRIONuPiG
uUt5xJITqVnVmpIAeCNMALWqj0As4KBAmQrTUByZzb1qxT86xhutThxlwuP4iUb+DqK7h9svFuCx
BYoFY3BaMAyomytofPDjfsuBaQEIYQaNyt/NaRji3RixVY9bbkRux3VoHNkZE1GTupEnQxw5NXND
Jo83aty1IgEbJGkYYVi+GSUwIxowopoRU2yQQr+6eaSTgzOGntei6EDEVpWI4zM/LsrcNp8OjPBC
zBvRDcfUO4FDik9WTDVw0zsdxY/jBcxHQbSPCtvxA0R/yNsQoo/RiWhxQ/h1Y2bE+Q+3+rHRN0a5
wtzjEHFN3lBU40hD0S8nREDB8NPQ+Pog+B8gafE8AnAAc2WiakCAJBKiDyACJHAIslfUzqPMCePz
04n4qf8m5ya8YCEajRSuOiCCgpNwtPaQQECQUU15BLN5IKx0fKjGf9eFqIZSFgGZzXykswEg41AA
EZgoYn+E6DQ+7MmdEGr4/qJCZd5KQndTZQQkqmqb/fXIExOO/Wx0/DcTCGAzTcwIOoariNXtqUaV
EDiJqgKgB3khxF1BHHQHh8QEiMWMgTS60CQUHo1SmBiINb4FEJlhKEWEiZEBSXLRGsvmJmV0CwZU
jCtinOQjIYkLuJoFEA4QxqiFATIpgBpyEreADMdfM1K4ahq/CyNEVE1J2OOVBAOoajGBRXAyc8Kq
ykRt01gtoQckRABPRA7gjKVG35WDzQ4OiXgMmzFJX6oi9KVIbmqts/n2i6+8NN3Zufvgwf07d+O5
T4gNcGGYTSdXr12ZzaaXrlzY2d7p2gYQc2IErDX4WlTV1SowG40U2dw2V5+5Qk1qcntytsxtc+/4
RC4cnBwfq5OFBpYImZC5qpWhz21bNcDKJMzMDEw2wFCLISRJbTO9erDz1TePjo7380Tu33l8eHz2
zOVz860JMz86PO22u1W/PphttfP26OhwUM2JMhOY7cynk665ee/R/sHWoycnuc3zacvoWTCjC6HV
Ybk8nUz43P6FL7+++/WdR89f33awqpogeZhjEhCxI67KsKpqrClnRC4GxAxAfa/mON/euv/g8ZNH
xzdv3FT3QWtfagOk1RIJOjKng/P7336RDy4eTLdmd769M9/byt8mk8xI/WJ5enJ6/blnbt785sv3
P3nhnTe0lixJHZf9MJTKgMhS3WISqbGXj8Mu0aSbTre2P/7wxivNzr2vv5lt7Vy5cvnDtvvkoxvz
5+vj+48u7RyQZHMy85MnT2bbs1fefuUf/8ffffvljWffeUMRh1pSzrUfAgE5lNLlpkEhIyBmlrWq
I6yHfq3KTAawWK2Gfnj+zVcf3nv8+S9+8Z3vvCYij+7fu3vv3pMHR2D++vfe3rt2/ejouJlMnqwW
xOxEFcwBFXGASkmcKLXNcnlaS93ZmUvmS9cuHzxz/cYnnx9cvPB4sV4gIdLQ671b9196+fmDixce
P3qgBucuXEDiL97/eP/SxQd3721Nt5DTk6OT6dAjkjlwbmZ7O5989Om1LHdvfDXf3W/aFseRMLAk
LEMxxajfg6NDk8QkZ2QrlTMAWEqMhMycgCYps7AXnM/bcxfPHx0evfn8c4cPn9RS9y9MidAcHUDV
Pv3wY51OF6dnr73945VVqnUYtAi0IoNq0VprKbW4ezFEs6qambSYYaiDo+KkhD5p88pK2zXL00GE
ELHtGmTGxLnJjWlink6mJ0dH0+m0Dj2YzrrJclinJAbGQm3XkFoAkTFnVFX3xEndV1YL4vh8Apck
kkQaIS0iEgHRRFyIEbGq9WVou2l89+UkMoLjoJqve22yr4tyaqqBVUtt06uqk0NaF28S98VyxmrO
LGqANURmUpyW1anaSgGLVUd1R/WhmBo5CknjUJBT9MKKbbwZf1SOF9BjMoBjIsvcCT1liRgLIZlv
BqsI7pZERo0HIQC7Px1Yo6qNpxwfLepxCNs4tMcL29MpO288nlY1yJ9xYyEKT/2GKQK4sT1irFMV
Rin3Jg0zjvPjijue8BxEOB70AWGOa1MEh+I0Ez8dMwWBcJRumFOEqjBUonF4Qqbx3Pb01IQAQdjb
uD8d3aNJGBtRR4z6+vhDERhEAguiODoKdzaY4E18ycZLyUir8IgEE8NYzIOA2bsDJKJQiBGhM5ib
uYebdBzKIiBRMR13NbFe8zDjjVBNZARzESEY5wI2UnBwVJL6eJUKNXQkS+N7W6t5AHLja3pzCEIi
H6WcgA6MHPIHdIyfnChcnfDUnBoRbscIf6EgebwysXwgJjJTEJGo/dh4xI23JnJIVty1qqS0gal4
7JoC7yXMI05xjGNJRDeJOJJTCM5hFgQM1VzYUNTd3EQYIra5AcVTUCNjmexggEzsZonYx7rQuEiL
MUkcrwmxFosa0VhGBvPABAqRIxEWLUDo1QGQZSxfmntoXBHJ3UyriIC7ACZOBKg2DmgwxAZIVU0k
LWodtBIAk9QxnRLjVTQwqxprBxZWVSEyQwKq7mouSKRG48oMgkvChKpqriM2P/IJAIbgGH8RqVqJ
EN2FxdTqUBKzmwuLxTwDAEwpnIRRSi+FmIXE4sMFYB5vrdhWaZTHooho7mYVAAw98x/N443ZEWIQ
VWEUEMVAyg0wnCWIwKoqIsMwpJSe0mJjbwnjpcjdDJGYN/we4pFU4x7ypJj1ACE4GIAwmRkxgeMf
1qeARSuO3LDRDxmjqWoa91tirmNecZxdjI8XBjUHCugLEFBMyqDGkxwRUVUjx+Hjm9IVYmwyWgl5
DD7A09vvuNccXePoCEQ8fpABNzDXWHiOterN4ndk+iCiOZiPm09mAnMWifC5hQwzsqnjnQ1Hda2D
qgOSGhAFJghIWCPMs7Fu+rjMDA/IiHhFeqpBRqC4b6M7JOJi6mZhAWWiOOQbAI1rT3dw9EhVoJoN
Yf5kjmA8jZMudMBadbzjw8guiJsjQ9REETzOERQXYK0FkJIwutVqYXAJ1TMLezX1aNE7AQIxeDzF
cPyi2UwC1BTdWDg+NcIM6hiRoDFPTja+qQyJNx5yjy81G88b0ZkAAgcDHgNEY9k7CaOBm5MQqJnF
gNJiYxEbVQSPz70ixtosdKaEICnFk0T/gPk1AkpMBK61hlY1EWstSRhdCSnF2JFJiFRrkhA0etB0
wQKm6ERUtSqxujuyCHu8PS04c4oIY3lBa5OyqpZSIQbtjOGlima7mwtxvJOqOQGqQdRhhbkURSBh
slqeIs7BnQlNVSSZGW4QSaiWRJBogEJIpVYJ+juymiOBqhFhjVu6A5IYVARyUyAwc3WIvw0hYZsQ
zKZdboKjmyU1o5h02nZNbpDTpfOXvvn69peffXP+/Pmjw8fta5P9lFRtTACySErGsF6vSaTUIWGS
lGbTybfr/qMPv6DEXdPt7u+9+uJzX3xx4+HR2eP7R8CCmJvcIWeSdHDhwvGjJ+//5qNX33hJcrIy
dNSoWSsS0sjwmroDmV8/t9Wvymdf3K9ua7VzO9OXnt1+vCim9dtbD4+OzxqEN145t1K7cw9+/+Hn
58/tbLVp2sDOpHn+mYM79w4fHx4h0Xdfud6g7nQkqJ3QLMPOdtc2+f79oxtf3VOzV587cDR3ExE1
R/KiNgGcNu1QCjP3CGA2mXR7+/uff/HtV9/cK4N9/yc/wZReeu3VLz/87OPffIYVDy5eFk7n9s9x
GQB4b3s3nb8slF595aXa16++vgMA3WSSm+7gYG+BwDmnYqr0/m8/BfAXvvOWIhGM8swm5Tg2CXMj
GUa5EBFxavPB/h52bZvnP/zpn3/y3u8/+tV7meWN//QnNJl858c/vvnJF49+/eF8e/uNH7173Jfz
V66mZtJ1s3u3fn/323u5m73wxsvT3A7LdTi5SMTMDD042Qio6kSyu7937+jwl//089gWd5ymu50D
r5fD7S9/P5T6zCuvyWRLHQ3lo1/+3oze+vGP02xWVZlwmnPXNlv7B5yb+fasWZ4DxGmb9g4Omty8
+Porn/3mN7/82b+8/tYb6Sc/+vSTz7/4/OuU8pWXXpjNp/3ujgl388krb7x679vb9+8+aLv5zv7B
pUsX3/r+D7/97Ma9r+7sn9t/7uXrD1568dbN28v1sLuza9MpS/rOn/70m/c//vK3n3bt5O0f/RAk
nbt6tZvuTCRt7Wx3O9uhjZ803aJYPPyDiF3NitYghT/zwvPTrmUiETp35WKD2Ey67/7Jj7/+5PNb
N2+nlC9cvTLZmr7w5mtb+3tnJ0sSAUKq9bUfvHvpxecBMDdNVcvTpiE+K+tJ162Hvu1aMC/D0E26
FSoL5CxaBxFGwaZJ7ZDaJsckEpCbph1qzcJFDQgzxeqDaqm1VkRc930dytpK5oTgQ+nV6mro+1LI
wXMeima2YT0AIRObexi6MnOpVVWVQbXUWsx0tS45N+jG4FCHppkiaCUwHYgsC6ygsheHiuAJaZK8
S4gVCZQ89DZkhFoqmIuQUMTwXAjBtAkGO/NyvULhLNgkBpVWuDgVs8wwgGb0hJBiqQKehMBBBIX+
+I0BgLkBsrsl5NETO/J6fPxWd9y4GQNWiqMPEjk6XdHYdEBmcovIYWwdMOblRGzVnno7IhFnQO6K
4ExMKbh/sS7wGuQFHye1cc2Mw39wbuMcFQjP8YwwprzGO2IsIuLf9AAaIISCOHgDcYcZz6GIyFTd
1S2+vOM2EUcZG3OtEGtG3xRRIsrkZlEEDUhBNEL9P2hJ3DxU6B6sf9UxATkCcoyYNgSZccXsGKvc
sQAcgVgNvGGsHQAcjMd9hNN4LQ/NqY/XWab4u8eBO0KtG9/auB4yt3H/6XHof7pkpliA+FjjRHMH
MwCsprH9MLd4kWPEgByhuY1OL7wl43l5cxYf79vg8DQWOk63N+wi2vCHPK4i49IJRyRjzMsldr+x
qx1fAXo6qgAzIomxQxI23wArfIPzHt8RI1ciYmk+hq8hSEEBx1JzYtIN8DZUg0ijdFKINjk6iPXa
2PzbCGmCwAQYrScOL3G896KPY2ZJxFVpDNODuhatAdQFQiQAITUzMyLMOZVSYkikWhFJROKzRuM8
BaoZSiaiUmsx5SwO7uhMOJVMglprVU0s5O7qQJBYAvpbtAa4VYM8ZLWqCnOQjQTI3YZNIbCYEZNV
lQBGAYyfKQSNtxS6gZlHNdopdlRI1YaYyiBSLVWYtWpVV/dIzOI4zjTehPAAwQzUsRqoljRSVOLl
jGMh2h9vyXIGQFKIsL1Y38eblonNVUTCeaiusSlNKZlZ+BFg3HjhGG9/ulYSia8eC+dO+IvAcZzd
xNYoHvtoVglQR8MKbIZR5A7AjBTVDEwSnTdGRHV3hE2wBRBgzDmHdYOpVq21NjnzWK524Cg2G8fK
MHqEsZtHdjd1E+IxpgIQher4iBJTROo3URccCze+eS6Pt68xj7rJa/hThLjHDMVcRKqruxtYPLqQ
CKJZxxSzPxgHc09fVCCiYKUiUhBZq1XYTOyecr/GLmU8+ATMfLziOkSGX8bxkAeYhCXruL9FR7Cx
genkcSOmqBF4KH8xGK6IxKY1+OpqvtEDcLxJY7/r4PUp4dnHEhgDMaKpE0qgE9AhJdGnqhYHQBBh
VzMHEQEbYdFqGmjZSDcAeHyLOaFuoLfVjAJrxBzvzcSsVceUtVls4Onpm3Z8MyIhWVUOOZYDuEYI
pJgGXhvGRCe6qwEyk22qyPHBYwQkqNWRx7MCbaIeSCgOjmiO1UyISq05JbfKHDMhGLQKkyNyEq2a
kgxFibBaFURErGaOZA5u7uaJMMyUibI5VAsSuJv5/83Znz3bdl1nntjo5lxr7X262zdoiIboCKIR
ezVMUlIqU6rKLDntsMt2VEU9+H+rCFeGHRWZzs5plZwpJUWJpESJBEASIAiiBy5ud87Ze6815xxj
+GHMfcjwG1N6Uujinnv2Xs0c4/u+38dJaqnVjQhULUlSc0Bq5oRMjGpeoTXFJGje53lDV4CmFswl
IdZSEQmsN1gnFtUWO+7mRswO2Kx5bMmJzL01zSJEoQwDIIZo3MyQWQE84r57/tTFSzJSvurazBVQ
3UxNYsuLYIn56ScePzlYHx6uM8GNKydf/dqr63E1Ha6++s2vrdfro5Ojr3zjy6enp0x05cblw+Pj
WpuaEbOBN3Bxb9Y4MTG5s6kC8xeef+aJRx8BADUbhnGYxsOT4yc//8Rmu2PmxHx4ePDtb38liSjB
17726m6zQYNLl46b2q6W6For2pC5mQ1M1hDckeHggL/80qOIuFvmYUghPZxv7XAaX/3ijVu3jrXs
Tg6ZnT/3O08rIgovrRys1q727JOXnv/81TLPU54YobX2h19/SltFti88dfXpR4+HMd++9GgrBQGZ
obSFkiTPgIAiKFLcTVu1NlHKQ2LCRx+9fvVP/1BEkHm7262mtbpfvX310aceXXbbaZoAfCnL73z7
q3UptbUXXn1hee7xba3Tevr8Fz7//KtfAPBay7ianlt/nonHaQ1ZfuvrLy2tllan9XrezTmnIaft
rjq6JGmqThirmjwMcdAkhBde/cLxyfFms7ty+/q3HvujuizTmJlpu5ufffn5m08+AoRDTtD0kWG8
+fiNpdT1evWP/um30piIaDfvmkOaRjecxmlzdg4IQxKUns+QzIj+ytdf+Z3f/8Z2syWmJMPDs83B
0dEyzy9feSWNX1k2c87DKAnzcPPRx179/d8+PDwix10tyDKOU0J+6pknHn/sFk/DwaWT8cuvTONq
A3f/6f/5f7/Z7Qjx8y88U5fd0eHBpcdvPf7SszKOZTPLajq6fAxffHZ9eFjPz7/+7d+9uz0TpJzz
st0MU37xqy8//uLTl4+O79y9ly6vv/wHv73Ruj48OD07PT463m7mo8ODrz/xue3ZZjha6TyD2df/
+NtlmRX8i9/4LQHcgoIBRXOFJJJUbK7unAUYs4iP6Wt/8M3d+cbQcpZnX/nC1eOTjx/cu3Lz0tHl
o8zMnE9PH66PDr90+aubspydnieRF7/0Sj4+ZuYkvCyFGYBgM8+eEhOVVpdaaV6SyNKazctcFiVY
5p0RzbWo+VKqGTTVnNJcmnMBM0dSB3Wv1RKlVhoRpsS1FtVKaURt0zAMWYRxyqmMeTVmYiSHRKTo
WZizkMh6mupSjqbpVBsnUidzy+MA220e8m5eJIkTOCMJi6QkyQ0W05QS52xElBISm2u1lhhRGESc
06aoOoEpipfmechArmCODMyUctntQIbFZnEWJidBSbHlnpuKY1Ewh4yMnIt6NVhaLNkwiaRMADBO
0296MltayzkFBaFPgO7CXAJqhrE7DIYdxkI4trDYvW9xngi/4Z7jgIBAYXiDOD96gP+AmCCmjchf
Al+44wDBoAecCKJIA9zCBLVnliLuGa1GjA4oxG79f+MtCxcu2YtqQUTfu4ip03jxwncXo3NYUsNe
RN1DCdH4EscrcHBHYrY+nIKpMWESiV+vKzB9/iWIuF5s9LlXcar1SJi6ApDtM0u/8rBdhCpDS+nS
jbsH+TOMcoQAA6U9DMZi5gyfcR9BzUMOhQuAUD9zAgKpeUiGTIxgkRPrnxh2x1HIs/0Fp6EP0v7v
M0Bg5D5c9v5GUgOIy8O727aba/fh2yhO3CeNqWqLY2IcP0Hj8NQJpftlf6C5wMCjQjNA2gGSCdQh
IpqBYHeVgrCqIqCBu/e6uTijI1NU1lKsWxjA9uMMQlTPgfXqvogWx2ce2bP4sjqRKAYIwN672JX6
3tkQFammDhKOODJwMCfGi9I/R2BiNE9IDqYYkf646oCIzRr0psR+0HO3qCqlvQITqwgEVG2JOBF7
clUV4ZQYHRTMCMy1FziBOcFADGojC7kzomvEo5yZHbG2CohDTgiuhIzMgNBa93UhVddIpKoZx2Ec
u/kAO73FhBkQQaQ1baaCUbVgiJhzNrAeMidqTTPKICLMCBhiePTTxfeoqg6u3XIpEXoMU3qWpO4W
dgz6jddy6iYk0ldUjoBCrNH/QehuvTrIMTQo7IV5ykyx24D9LUrQN2uhrAY6h/fRhJhMcZ+GdPCq
loiSJAUvpnFudotuKVI1cFCHFqOfN9yPYaFgxz0uGFC0SORSM0Pi5q5O5uTBrUEy9xYqNjgTMTP0
4Hu/5cEhngAaFnzvDCIHD6NoryuBrtyGdBZLxq72Y4fNxPATbnYm1P6siTUiCnK01GKnGcV9hD3I
F5SZHmTt2Qc1S0Lqtvc4900Xxsrq4rrrhZ+BKQBHdNu/DBwIyMyBPBFDX2fGOygehiH+QXR6cRe/
PC673gbM2FRZIklGzd0dzUE4RXQFCQGd9h+BoZt5rLQEqYuNe4+FmyGQh7lkby/qNhkid29NDcBa
A2JHb25MHETX8Dhc/Gb9NYcAiIwSFUw9ZUtULZBUzvtNZ/dsE7V9Z2kQjNzAEap68xawI2YOUBAi
EXur1kueQ5qPxKmamjESI2nfzHoAikLMD4WzHxIIkLGY7n3aHoQR9ehRp0Tg5oMkcGdOrg2J3TWq
fX99V2vqzS+urN5JHXeauSVmBglmeLiE1BQotGdCh9oUgYITTtwzw30X2QFyxAyuEb9XihV0oMW1
EXKS1F9wDmCOYZNRJcLm1iyCo6SlNDNA2COpIsHK8VoxUwBgQiYiwGoaRD1pqikzqBHB1SuXDtbT
6nC1K/NqGD/35OfqXID5+u0bqmqol64eXbp6MuR8ttkMaRhSPt/uHIiFdrUJGDAt8249rFwdCBV8
dXR46fJlQiylMockreM07eZZwYZxLMs8DMOQ8+n2fJqmg4MVg49jfni6YWZJaSklSQLClJKaA3Fk
8dfT6IjDMCTxcRgMfLMrnGgYab0aKLEDz7VcniYokMbcwKs5kLXWWEiS1EacGcGXpWbJTc2t5mGY
l2KuOWUz3B/ieHHb1srMo3QrXWgB4eGxpimJZMnjONfCKSGTOAjRNAzQmhCz8Nn5uU2e8tBaIyIP
qrjaOAzEoqZKQsQiqak2cEBIzMSyK0VIUvATzRJiRNe1NsveIy2IDiCMQjBmYfKcSU1Tku3cVmlV
W0MCIZySrMfBmXbbXURkN/MCiHkYoK/uEN2WpQ0iRMQiNQqgVWUAIFpayyk92O3WBwfE3MwEQFIS
5sZCaohk4JKSKqRpIkZOouCck7ZCzIrQtJIQJ045mVsxJ28NoIFLSubKOc9lW8wWU8nZhJCZhcG9
1KruVbWAVfAsvLiG1QfQMTELjWM2b0OSnbd4kM1LIcCjceWOiRkxPOS4HkZoTZCrakoZI1PULBOX
WmUYVaubVq0AudT+zkamXV2SiAMUVUPaljI3XTmsM6FIVaul1WbjenXj8cdJMjGrm3A2Amds3qIE
2hzUnFKKihrOkoeMPgzTiAjFbTWt5lJXw5QpqZsDHByuMEnZNUdIQ2KTaRpKrcOYl1Zjom5NSmux
0i6qBqAAVUGdds3JvIkaccSzlqa21G2ra7e5VVjQ0ZZWfEZAnOvSX6WAtZallFiLdGufW2m1tjpr
W4EZGMeqXxuYMuhqYEDZbguTr6fcwJtXZkIwARhZzkytNaFYPjqhMSp5E9AhgYDywAGcQ2+ZXMjG
BLU1BAFoyzIfrdfbbf1NT2YpS7zmdU/8i6RTEH0QgJjDeRsvqjh4BcsDOktz/48GgA6vAyLknjWF
EK8Y98FCAnMP9m+zRr7PQBPFwUjdWlN3ZUUzL+F3tX7wJyJ1Q8Z5qYRcAAlQ99SN6n2767HQJdz7
6HqQTM2Z9jnDbr7CcLsRkf/apHWR8NwjN90h5jeKY4AQFtP9iO77rpJwJipJIHZC1YtBK87i3Mzc
vWENRy+WEp9b2Mw6XydQKB33gsyktUHwHhD7Objne8kaxEsBAMwtbH5dnNzPDJ1WG0pld3uBu3U3
cqcsGtL+H7zvJCyqYeFj5OAguJtB1yDDIw0AYZP2PR3FVFUVeojIIvhZVRHDkIZ9gkUqWpkYrEX2
l5mEUwD08WLeie/UnIidHMKTjN0bxsQXluFIw0Z4Dzq4YS/hUu+t6Q0raozsiATd9hyjg1PwYpAR
AcPjx/u1Qxfh9zsIcIyTN4IDEtdaOt7j12A2YajTGNHdESUus5BvGAHBObbjaiys/SP1ixVH+CTD
Ndptou6E2Fpd5cEDsbuHJBEiMpJ3e0KMg8UNzAIBGv/6gdNIjO5xOzuqJKlqTogi5tbcGCCnhE0F
CVMKGc2px7axOQFyhBuJWyuxGzDVIeWizR0YyFxFkquBW0ocNs5qVS288xBOfldjJuJgOaO2GopG
x3WaE2Ft6g6M7NbireFuxITuKAL+G/N4CYkJASGlNOa82WwQCF2JAYkAXYRbtYv8Z2g2uJ89qEc2
vH/ke8hRXK6JJXZY3vHFMa31KU+Y9qtA+vR89+mDrfZgQe97j6VOkGmx+zQwQnqOrt242oMNwhQs
NDU0D7vgDsKLYe5mhwO9+ORJZki9Jgm6TQMRzYSiP+lX5RzhVwVQcA8Ac4hjQmje3xSmKiSwZ+FE
DW/39DqYNUfeP38wSEIxzap3XrsHICA+Q4ALn2qM/D1psOfyBU4uPtF9ISeZxXjobsFX757KeMgQ
IEOP+SaOpw6aWSI2cAFQA0Hy8PvsUWr7oHp3DQmLm5JDQjTVSHYwRHIcVU26Gcd7PtCB99ZiEg4d
z2sL+FDUfggyC2/LTETeJcHeuCPdz00IpODNPSpMYL/46Gs+uBCkQzwm+DXjCTrGjRNA5nD5MoSv
IfJZHikkZgbz2poBekQzMHL13FpDIAMsrQ0RhAZw9FaVGRBArf/upla1IjOYMqGrGkDrARxoxRQM
gBzMTQ3JqqkZMKmbugYfylypL52bOzihW0NsSOSm6qqmCKAVoi+n1ErERNi0MFNt6qUQgoGTqrsy
MQIupeYht9rMVcFDIpdAdgE4xr0D5LDsZgcgQEGqrXVJ3rVftNqMAIDMul9drRGgCM27WSSdb86i
JUwBDHxXamJppbmZmw1ho2C+yFBA9Bp2o1SotUKRHJbETYOdaQAwTUNOUho57H3xhETiiMwZAZdl
AaScB0IahqGUmiRVa9RXmjZkGXOqpQizuxMSCxMS1IbMzNzMiPrLxk0BQFiEhAwEsDnUWlvKUWXW
WnPAuTZOaVfalAYgbt6qakCf9vc0NnVHvHX54PArj44597xE4gbe0DKjqyOTISp59YrEFdqsSyKJ
1FMLOjSRCCNRKaVqm8ZB3cygOjqLAQGwKgBSIkh5nNIw73bELClv58VrI07EwMKtVkQwU2Z2NwBe
jRMgRMUtgifuwVqvnZFAbsyMSlFYCxBBG0wpI2JKoqokVHfK7FnSQlRUJYm2FlGW+HGjiJsJoarG
bdnrMZHjjaIWiwNUBO0bkh5ViiNUyAUijAhqhplKa4KwU21uiZMIK4YaQ0koJclqU8rbeQegFCxE
rQnly7/35SvHxwARlOYokjAwZlpAFX2VxMwfPHyYxylMAmY+1xbfxpBzNWXEHQAJhxve0AZJBt60
DTkRwHpcndfW6SVCDRyZOIlWNdM4qOU8zLrs5uXw6BBaKqqODm4sYkhFdVsbENEgVprkVJaCxK01
Z3ZCYG6AIlJLjeZlEaGoREhJiA7Xq1Uzq40RmSkNCVwx0e3Lnzu+enLl5ORsuzXwJGnxXSKe8rAj
T0SJaTXkWkpCXMCC/r8tzZMZYClasrpjqW2zmx0hCczz5uDocNHmREtpu6UuucaaTtXcnEU6JAZg
V5ZBwlECSQjBsnAGRKRGlEhUi2mTaRDGRA7QUhpUIRFlEsUKBk0tEwsLIrGkXdlmSoBUyjKNCMjm
XBoUc0pprttFrZjtamvNTVWSNAOSvNnOkHMzrO408La0sdTmXJ2qx6Pcl+ajAefU1AAp8Otl0bye
3BdErurV0EwMQVDM90T63zRfqm7QRISQENkvkLRAHp0WAM0UiUyd3MOodiGFddaNdeqie5/T4nxC
ImoGuGd3ujH1lXgMN0QRVMYgaESG0xqcnj64dHwUQm6cSnCfuvEut3oUn/reOdolK7+YftH2s2Vk
S1ISFuk715Al4zFjfdK4UCnjr704uvr+9NzDWg5hgQ0JWU05gMU92xSJtaiFQPXw3DoSNdWYKxCg
7TlDZt7rXgPH4V3JUFNi7kxawM5ldXByd+OAC7sjibkRoAjHx4KG4CDEcfbrv04XF8D3QscFFAq9
C0HmZm7o2KyjTXu5Bbg7unmLOJOZauvwlYhigeterUWmphar+ov4LribN4xYlkd4C1QVujZIyDHw
gxN++umdmzduRgVCL5BARAcFD8E5iWj/sHqBn+/zrl1bBgUHZkYnJNSoNDNn2Ld6ALZWd/NuvVpj
l5djAOyDReuWAIqj8MWgHjgwwos+Gkd3oW68DNMBM4V0FmigbjIMBox5LHfi20/MDmHQhYbeTIk5
xt2U8rIsYSgF06Yq3CW7GGaSCJhlSWTGTNplL2BhUCVEJN6fP0HNU05Qa/gDai1JOGMAbRyJizYg
au41thsEhOxgpRZwH4DMGhMBWog5NULgsXp2dDUmUiTq0GOqFp+5ofsqZ9XmiPyr3ZNWbczEQMHV
hAjPE6JwbQ2ADNlMhdnNWlMgbKqSpJaKSHHZR0q4NRdmpO4w/w3zpbQvynUiVLNaSgzG3pq6JYmn
AagqERq49pwyIBLUgn1p4YbojuoX6x4QZtszoqPkZm8BIFVNLNVLKG+//PDs73++q7onOnQ7Rx8y
AoIavkgm0ab4a7GFeOjE5dH2jbiIZPEPjmoKt8srvnWJRjHuKQGMnGqUDhISGIZzPKDo8f9FjH7g
ni5oTSVJH8UJvEfXu1sYKWpXopjRzLWjlYKgE/FU9MCxxuPR1NV6mA8vIrhNo4ozEtTuHn0brTUk
2ucIsPsR+rwWGQGKKqnOQwZAc4YgqHUT6Z5/FhYciho5IDIwczdTBAzfNVzglNTRLc6WDqAOjlTM
gmBHiBJnRDOOZaEBIjrDbE0RW2tMTLAvjHFHB0IahtxCskZsQeIGIAcGlH3aXMGqWwtjs2FmQQNQ
ZWJwI5FFm5qTcAEDNcEOIYz3ODAVVYUZkBISA5D1HSoKF9cGuHjXYMmdIbovrSHW2o07S2sD896C
7ksxZ6zVEECwlzMjIbjV0pDRjbDHI/pqjdwZoVlzZzcDxoAhzVUDCSBMgijOhBi++fC0M6d4f2WR
oi1GAIhQrvmYMhJj30UQEJCIo2urkhis06GHaXCAlIUoLa26o8TXcVFp18mJIKH5xQbXDJmi5Ssw
xCzc3JpZJo6bHkVC5x/zgAQJ8v70jdWUJFlTYR6HgZHBkVlYktri8dzDvQ8MHYncACyiRlVYknmr
pWnUh6lRVTcgpixZ2dwxsWitUeoTkMB4ymznnTkElJncM3NpCgC1Vo3npWOrNecM4LbHl0WLDgMq
WOrcAzfXlCR8xtVVwfKQtKoQ55SL46d3y+kW6WwxBzUV2bm6WSWupVYWL01NNQ+GQLXOMlipzXRe
DeOyXYSViJbWJPtSqxG611bbakCwWVUNCxMvy5xyQ6daTom51II095B9qq02ABjT0sry1KP02JXV
bneecyIkrU0mGiSFQ0vdCSARYwJGbOCEmJjGLGaaWIApIbpIkKYTChM3M4kDBImpm4MCoFkkc2K9
Ye7NjCRKGliYk4iZCWGcRM0NCNUtAWZJtTUJT51BSmJQhDisOJIzEraqImnKKVorrNacplhXHU5T
a2oIwVIH5toKgGCWnTZTzDkT0ZCHzTwDMSCVWh0QmYWTsjbVYcjDasrTWEttZpw4XobApOANvJjv
ajNTFEHkhILdLwcps7qE8FFqVUoGLkSMWOfFENSBiDKSziWqHRbzxKJNDQWRq6oIDymJw8CSiY0F
3UqtajoMCZBdkRFqq8w0jjmLWE/Q9Z+1yvmjh0WIB+aBGQlZUpzVdq0djmNTV3UEKktlYjVTh91S
KiIjLEvdcavup/O8NFW32efzZbZl27QuVUcUMrCiyUmbtWbzXFIeAKn72gAFOcixjEwE05DJmiBm
5oJITOA+5NRqE2FRIoQxpcIcVjtmMcBmgCSApE7E1FoTpKIq7kjcEAwiquFxqCJCAkgiCyCijMNY
Vc2QOaWczzYbcEtEKeUxD4kksayHFSFXq0CUxjTVkRhSIlUfBV2QsCUBSiAIzVTIxkFWY9psfGAq
ZMJOCJl5NQy77XliKsXcSmYCocSQmRLT4WpkdOlxfcuCAP6bG9mgcz4cgqDAxGE6Y/bWtL/g4pUZ
BsJ+WEdARwJh6lWGCESoCrHsV3PYJzFi5jOLg10P4AXsJ54Ge8AnIgeEybPItWtXcs6R8uAwT/b+
w+6cdHBhAUAzDI8NExHE8Sj4RkEkQlWtpaQsYYiMwClcaL5xkTHvvaxwoQBEKDReXoRhPwuzpiHE
dRLgHtAWRefIeyCKX8g3iGqK/d/TTWh7aEcHkJh1C1yMMb3jkcij0nffrtkNwyF3YhcSuqGrb7MB
CU01EqEB6nA36ooHhomuo6egJ3PBPWAnfdceyiDR/tsPSJD5Bern/2+1YYYdNwqAEJ7QfRubR+7O
OmTLI34TH5rt0b623/yr2sMHZ0js3avWP3w3ZYrYe5wjwg4ZwnV3/HocK7FnX22PW6bOaoZeUIHd
jk4OQhSpWtw7MjUO09wXPc01KjeJMBx9CIRO7hpUF9+btzVk7f2/L36pyF3b/roKyrnGP7J/y95r
wIOfxIRES6lVFYiEJQzS5B7hRkSMo3PQhkR6DlN4T0U2jcNJfHlNDYT7qQN84KStSqQ3KTQ5Y6aE
3ALESiySwLRZA/eBs7eGHE4+IOaII3jtFTgSWFWmgBipuxM6QoA9sogAxTFazZixthaLCGGxYK1n
KXNhktDSmwZ31zEohoGQSKKqKf4SYm0WGhuAp5TQLS6q/4p8KTMy73MEDg5oF6gx6OwoN7Au9CEi
MJP1lZwR95KekLiqagTRiUiQGLGnHCPQjshBAzKnIbvu12Hmj1+iR750wjJobBYI3AwBRVijODEK
e4moe7qxNkVC7kbhvvK7uPwobny8sLl6IhSxxD34Z7YvCY4K00CzNIVoBQtQE+7B13tYQCR/W0fv
9g0aI5kpEeu+xJUJ3UF7XD4y291OrO7EZKohQUM0BvUwiAdQIHZxrSlxSLj2K6wcuIELMyDUGl7X
EFaxaIT4OHYA8UtZM6FoTnEwkyR2MS4BqHkCCc9FUJ0dpPua3eIOZUQUECJX28OQwRHF4uchIXCI
qkzSQ4kQmIEBtPVvIV4anogQCNRPHzyEJAcH68AWkHAUbaADqg9JIGz7iNu6pB4wQSZmJ3Tn/haF
pM0AbM+KJ/ccRsT4NBm3pYBwMAgGFHLHvVsjgSn2FRIDgpkAZEYmXMyWABUgoXsCyNQjyQN4i5Nn
CDhNcc/lrtb2m55oY+7n+cxczFqw68BzX4aCUwNmNRcWMA1wsGnLWdQM3VMv9kEDp8SRTQWK1yhk
IIjeppTMVTIvrTFz3NHIjkDNHAjcLRGDaU6p9mSKs5CqRn9HlBPF/dLTyCL9rWSGEQslrssyDANB
JDrCYkYcpouLaxSxuaGzMJvEQnyozRyImWptiAxurTUmip/Y1OKaMXc3Z2LRUtKYh2FyQCA2BydW
g6YNWR1QRIRYWKJfOmoSXKDUgjyo1zB4JBZvliRpA0BiEVOfxkGJGAOkCClapZBIWDChQhYBBTdk
JnQUEsrckxKI3hSFTdvHm/mvfry5+9mMSBDugXA1AYTrHRFJ2GqL8gP1eFsDMwI8jPLNKICNHjzv
dX+KDiJkYOFNqaWlNFhzd01JWkjmSKaKwkSk2pgI3dbJrq6wllqXxo6mXuelLkUkgaCWqh1vCMvc
AHG7nQG8LMUAOEMphZDmZYlTbJmXNGQksmYNqjpoaw3JW2tqyGpLc2m1VjBlTlgMWJfdUkpRB9Wa
kUak1qxWXYBaU4dFRKyqVUUHa6agrahmc3VF913RonnMXgurQSkJwABJodVmtbHDbjcLJ1AdJVcz
A7TawAHMBOmIBy1qVb26Vi9LGSTVVoRIzKsqAbLqEbEVdXVTpeRJbXA8q1UBhUgRtVaIEIDqgOxN
B+ayqDVttWlyUwcFcaylOasjWqtWm9aCOjE4AXpt1hoxIZLOVbmQQSm1QatLqVK1adkttTatVdDa
MjuataalJiTQ5rUtu1mROKe6VMANuZdavKmrnm/O5+08GDl4mWc1L6VuTbXWzW5eDeN2V9hZ2Lfb
rTqaaSvFwF2bavXWwAxUa60ZKDnJYstuWU0D1AKtLfO83e1IUrDVW6nzbiZHVyWzslvmzZwxbc43
xDTvlrPN6dHx0W6ZZ1Ub11Ts3r2H2812HodSCpDv5nm73eTVWMvS3BcpDx+ejZh3827B2ZDaslut
18t2V5YCbnMtUOr52cMBrGzO59rmWtBhV5a6q5vdXJsutRwfHp6fn7fqp+dnKLJKeVeWsi0Pzs69
2Nlum5kqNNV2tt1QNZFMRrXUYSwPz0+Pip6fn6dhcDP1tpHN+eZMF90tWy221BLPilpbW9rp+eky
q1nbwYKEqr7ZzOfnm1btdHu+Xk1F1d2IeLfdrdZ1s9n9xiezeIZzR+d0DD0iILIwgjP2szMSAVJU
rnXenXVKkO15jNxxETEzYHD4OIQoDsx8L1MhdEdDNARDBzUgFoMAM2Kc+B3pfDe/+9773owwKrcQ
3FvV24/cPDk53sN7o7+xDyyd4+hAQPGjSSQwehdVJrKHNxCG5wq001L37IzgeXjwbIAQCUPYgeiE
2dPdu9Aqwl3k6PwaUm0S7y/qJJx951+nUMRJgpl7X2jUvXRXcXBPg24S7YM9x4W+7wN0iPCS+a9R
SeLtGI0XGHYw8j3tE3tRJAcofh+r7EdV1V5B0XHK3cVqF2LyvjKhdyHE1LjHwNivthyAyN1OFra8
YN6EkTXnHNjSjlyK+p+9rmoISLJnV2H8J44IGIxTV4sm+R7SQ+hHsCB1l1rMlIlFJJAzF85eu6jf
DCwWEffocAQ+aQ/6iqMMG8C8qw8ebpe5gPvJ0erK8YowulKAWCJBd/FVirB5xPMMWfa051+11kTb
SBwhQgN36nRWc7vwQJpa15yx90kQUJIYgN1MOeZVbejOhM0aOe3rcVy6uxV6UQxRMzMEZjGrbpoQ
iSTmY2AGAgNrDhXcCIRETVWbMAkhtAaIiYgQ1UPiJyEaGSW6Wlt3xhExuMauxPZNPPEvRneO1Bwo
MyJgNLj2xmO3lAWiPHb/ZQGSWeBkLYbGuCa1WVwo4XSIGSM+ZTejfpH8Jiu5vmtjEWEWYk45Qy93
QSJIIgBYSwvnXKfi9EcfEoAw7QNsHlvTPirFcZ8g+mXNnZEBnKk3WvWOSERyP16nR2/fODo6dHdV
baYcoBcgVWOmnJNELhTcgiOqPdXQzYYh1/f9FSo4AprHdgVbBOj36j0T1S6qk5lBjzDEbsu7OaXf
4qBmAJ0+EKgn6zyiCA+6BKAOSb1vB2JKb2axtOpewrjB9muvoGR1nzbyBUZ2vzeMtAWEk5agG3f3
KDWwIAmbBZFLzWoAt+MSDJ8IBnI2wE+AbvCr+Kvvc6fAzFWjrrFPGgoA6Lq39Q1RUtoZ3ha0IHWt
bkBUWhskmWqIrAy9STUawgxcO/EYAICRA/b+0Xsf7s7PhzyoGbg6gIhodHtSX7PFNJplAEYLtdnA
+gsrsrEwkATvTQE60kmNmQnJ3LTbmi6i3wG060wyxm5SCNdLSkJBeegcBtBeVUq/Bg8kQgTTuAcB
0ImiI61buxFb/FcUxnAwb7GaCUeQoc+tpQhxCAFSBEAigU+E7ogcfgAkEiRHdNcmhEYR06VmJswG
RigdGe2OiENOsRvKIq0WZq5WDQiIm1rCgHdqOBxqa1GxGx+MmkkfLz3CBuDWzESEAa2pm43DUFrt
z3WmJHIhUlaLtQiZW9hCuoEIw8xC7hBrlHilRhpZWyXuNUi9ZLs1Qpam1pa6W+ZhGNRMtbn7EvNS
Kbt5FkmJpZQlTChNm5kvtSylVvUwuwYFa66lWAvcMwIsyzLPQ53nlHLOebebd7vdMAznm01rVc1c
dT223XbnCCnnpZaiDdBPN+dzreSorQ21nW3nB+dmdZc5wh+soIQYNR7CiRBUWyaEgWK9lPZpB3Mj
JncEIUJstSVJiFhbzTnXamae075PGLwlZkZr5o7DwBoReEBQdnTJpK3jC9o8f/pRrcvuQXporoiY
ssylIKCkPM+LCBOBWWORqk2bppxVtdU2pNxqHVI2h9Y05RwLfgdYanUiZCylrKfJWkN3IDKzu3uO
45DyPM/RR7TZ7aZpBaamuhrHUutcyzSNpRRJbKqllKP10WYzA9E4jMtuTlm0tWY6DMNumQlpyLnV
IinVqmq6mlYPzk4fjPfBrWnjfE+bMcmuVjMfp3EuS2n1aL1e5t2YsisspUyr1en52cH6oGq1ZZlW
QymzOazTNO8WHodw8Q3DsNudH6zX97fnCYlSKnORIYO5mp2nB5vzHWcWoqUu6/W0226HPMy1QPNx
NbZ5EZYs6WxzfnZ4eufhvdPpAQPWpaxWq4ebc8oZ3Vtpp9PYSjUGAtzNu8PDo+1mN+RhqQUBSMhq
GXIS4rPTzeb46PT8/OzTB4tpWep0sNptzsdhtFbNfRjyw+2mTeeltC0gMpV5TuOgaospE2/neXv3
9MHp2WqcGKnWJaW0W3ar1VRLMdUhD6WUPAxLqaXWYRzaPD/1xOMBIm8AS7NhgGIwEAJSqY1Sf1zF
MbABcsrAnMex1iWPedAhDYMjjCzrlBlxmtZIOA55Davdsjs4PHB0GcZxnHZNj6Z1Azo+PmGRLDyb
ycGUx2kZcnWfcsbt+aXLlyjhwdGxC2eWBGurNR2sy3bBNLSmanp0cJCG4fjoJK9XJDJyOt9urx2d
jAen63E6rMvAXNFaWdKYuBoQsZM2ndar6XRYHxysDybJicBLq0er1dn5wcnh8b2HDw5WB0spwsLM
Z5vtpZPj1YPVwWrazdspj46wOd8cnxw/fHh6cnycz4ZxzKW1xETCZTevD9YPHp791wim0FVp73WO
TERkGLjgFGySyFSYBocgrIAp5Y55QaqtatMhDb1PpR9d9v7Wjiyi6Esoy3J2dl/rDG5jHo6OLknK
DgqO5mgWIwSZw09/9vOE8PTnnxQiBGeW1uz113/2vb/62z/849/n/bk/4uXqbqYEoFWHIQekE5zm
srz73vtPfu4RSmkp5ZfvfvDY7VvEHB+1UwDO7Rfv/PL29asHR+tmDgFNJQ4CCuxXpxeTl5ppyGhh
5VEd8gDme5tUzIEUuz8itsiHofseY3sx2TFRePwcvLWamfedgDGz+56P64GsoD2Vvnv+IJJRvm+5
wD43XpCfIrxKFNQcRFeNoo4O0yXssOXwMl2YD2FvirY9Z9MvNGO4yE/ir0Wd+s9yMApQkFmPPu31
rPAvMQMahXs7cnIXNUJNdbvMKQslAUMzI5aLdsMY+509WLw9dKlVW713795nn909Ojo5Oz29fOn4
5PgQc5Y8InP8AOYeOa5NTS2kHu8QBUfwICg6gDrevXv+ve+8+fEH98AcmI8uH77w/I2XnruVpX/M
AEhICqDNUvTrAJh5iq8vQmvQY6V+wX9GBHRG2tunSV33bC0DIjBjoqZGLO77ObyP1hZWWHDr3GkH
IeEQz8mbKXKyZuoARIZugM4EMd8SMkAiEqBoOomDVG0FJVE/9AMjqQK6evNJxA0ygVqHUoJDtIwS
RtgVhVIQayTxXlrrLvp+jYbMiFQtFjGkptTRTQ6AF/wSRBTi/ZUQTR+M5om51hqVBKZGhMKk4ATQ
tO0FriC7/IY+XtivwMybebNeLOS97cN78yyHtyLgzAZgIkTwa/VQAWTqUBgn4iCNA/U+V0RqpowY
T4g9tBbcQWtDdCEa8/DRnbuv/fj1y1cvC0vIcwD4yb3Prhyuf+vlL/7KeBz8uU4IAwQgIAY0dWSq
rZVahmGIe7LVCsI5JVPji55Vt2VepnEkQEoS6Yg9367nXAnB1IkQ9wN/3PIdq7O3QlxkR9Exrove
1QuO4EbUN3MA+0ZTsF+HdZv5/kEVGYdAf2v0vu6TGp21vp+fAYz3eVFCAnQ1ECFVi7gACYe4CgRq
HjXcKYzCHXMUl2f4RVG7Dz6iE8bEcS9AD4/3FSSJQB/UCaOjjFmYLhTLoJMrOhNJB7R7OEFiQCQm
9r352ZQIBVghukkZEdWc9z2f4DBKKtYMfB8JxqaWuG/kzC3wwsLUVJGIkdwi6E/aWmstZQmiXgvu
ESITqzVhqb3tE/frVwZwNSURRtSeseymKuwQgQ7/C7q7R0UqobkCYFWzMKkSgBOARZYHKWpSI1FP
iMTsjNQcnFARwrDTzAK9hkhEbACuygQiXLQxEVNCQEO98J6EeEkcNAfIIk21tcac1ByBEtEFU5AZ
E0o87ZOwOwhT9MTiRbKZKIrMunFiTydgYjNLzLRHBqoZAcTuz804Sah9Gl96z+wQCyNjC7cUhaHf
AKP5DLUFfb37jBzc3AQIert4vJAUSDjnRNwTeoBIScgaiyA5NneGBMkJ85iNPcwVERNldK11nEbT
hgjr1UqTiKSev0PKKYN7mgYzV9WDw8M0Drt5Xq3Xdn6expGFdq7j0YGYg9o4rtI08lilttWwTnkC
wG1Z8piJQFs081QmFiHVmP281rqa1kstiGGNi/cZttJyzlEmOY55nhd3H8ehNWVGNTPXqOcmgHEY
l1p6lKXFR+xqxiKmNSdKjNvtZhpHANfWhnHYLUXVxjukQgEAAIAASURBVHEMkVrB3DQwuaoqzNZa
loRIm+0u50HdQJ2Ft7WMkpPIvCyck4FrrSklr83dJCdtjYXdfF7mo/VBbW2plYdht8yrYSTzWgon
cbPalFJqWolJmLfb7fHB4W63uEOSvJt3eRiqNXPDlG0pApgSt1I5iZnvWluP4+HmfBgyI5baWLiU
KsTK1JaaUmLEXZnX09SWquYEaGbTtHq4PRMmYW7LPK2mFtNvHrbn23G1arWiw8E03T8/zTkftSWh
pJyXZSGhwJ+v1uvN6TkOiQC283x4eLCURZCAuczLtFrV3UxZEtDp9vxkfXCz3owU37zbHRwcLrtt
kuQIupRxtSq7nTMJp90yH60PH5yfrcepgVqr4zRCrULCxA8351eOjj47f3htdXjaFgI4XB2cbc6Q
ZZB0f3t+slo/2J1fPjzeLgsDoIiWksdpO28b00rydrc7OFhvd/M4jOawzLvVwXq3207T5GagbRjH
ZVkkZ0SstQ7j9MaPXkPCg4M1pxSC1/rwgFNyN5IkCVbrgyQy5JEQl6WsVhORpGkwJnEZxqF6Ozo+
evDg1Iklj0lhWh8o7turtJJkpCQ5t6YmjknyMHKSlHMWRnCt82pKtfh6GNBsyDwkAYScEwtP47So
NndidocsIsS7uiSWgRMTqzk6LrWZQ1HdLWXMQ62NEQ1BFaB6WRQj8tDUl7JdSl7h2XY5lFzm2dFO
z3e1tbnUuTaci5ouRSXn811NY91W1V0pzXZl5wSgfj7PCrAt81IrCSPSZlfSkObSfK5L+Y3JHwGe
i9GDJeKZ0UcQQAvvGqYQApqHNZEW1cOTo/VqFWUeVe30/FzV56VMwwAAxNiXs93IS7+uIG02Zx/+
4udCCu7Esjk+zePakRxhHMb10YmZmVrKeLpZXnr6sdU0gbswOdDd03t/+f0fSm2/b6YGzHh6dv7x
x58+/vhjm7J8+OFHj9y+NW+3165eo4AGom2X+UdvvHXrxpVVYnV9/SdvXT4+VrfLxyfe68gN0H72
1nurLNPBSh3e/eCjS6vVtSvX4uyzLOUnb7x55crxI4/cMnMDA0ADeOcX79y8ccNMaylXLl/prlgz
wegBdyIkogY+L+XNN38OYFnSE48/Ok5D4GF76Sp0NOKnn965eunyMAzBEYnTRpzgez39fgTt/ai9
BRSjlNP2muxFyAhjnxoxTOylfiJwARqhjmTc90P+mh088rq2V2Wj5iSmaIjwiZuD7+GQvT1c3faU
2g4twYtTKTMJual2baNXxPsel8XkOUtKrNokibmllLiDi+NQ40hdcAtjr6ne/enfLnff/fn7nz72
8leuXD3Z3f/s/e/8B70y0eHh7a/+sQG5Y5xjiLy/iRwiZQS8X22HMwipqT88m//8X//NvY8+TmRX
rp4Up3sfnf79bp4SfeHZm/sdC4eNmpj3TFYTkQtFKCzjsbkwc0G0zoUG2Nf5Bq3KAaoaMat5WKxZ
BJFa68uCbooj9LAT79fxSGStRbNOF6XAicE0gr4aiQwCbK0KYGaG1pwcwCSl2DFITs29qZIIQncb
EoMAoLskAndiVDBEYAeBCIgFagyja0HdhMgRwUz68qPupYgOw2GKYiOISkPp3goncDXfy2lRLCCt
NiPUpg6uBZB4KSX0NzCz0iI8GVOf9fD0b+zjJRLrJVKYJLZF7hESUItxzC+WPXtvQvBykdgcglka
Znx3h2hvNkUEYWmmgY4LswX1/V//K82sGaBwFH40119+8OG1K5efee5pBCIWM5hbfe/OR3/73e9/
6eUvuntTr6ba2jiMza2WBQC3m83VK1cJgrliH9+99/prP/vmN7865PzBp3d/8sPXvvzbX7r/2b0b
169D/w3tg7v3/vb7P/pnf/ANSrk1n+d5Wo3o/U7eLYvVul6vfJ/bJ6LdPEc04M6dO9evXydCZo6c
dx/wmEKtMrPtduumgB7lgtO0CoNCrzZFbK198MEH169dk5TCFH0R6UcAYQ4bIHfqr/UoQ5+RkIEv
kg4OxkiJIfhw0ccT/3nsBZwMAdzAoJfK0L7YCcAjXhEzSItaJ8CLHmx1YxK1dtEFtbc2hEgYDKxu
h1BzBL/AHVMv73J0TyGk99ZKQmYkiudveB8tjCVh39jvBM0MDBKnVks3wwvbvls7lgCh1oTpBn4F
LO5tx0zMSNZtO9QHZQDA6LkJ37QZoIQs7BaEQPIo2eqQHtxXxcadUN1EUtT1RaGPBfOP+s7O40YG
BHRCsIj1qiJg4gSm4esM36wBkBCqR3uURjwSvKkJdvy7MBX1FoGOCCwQIIKGIb5/0mBgCFGj5czU
TFVbzsnBGZwJ1cJmFJ092HF92PlDOaVaG2F/sLtC4Ar67w3R4qth3+gLEnd1SzlVt6oqLMRUa2Xh
YJJRZw4aAJq5aQAC3RxiUArUr5kRsjO6mbhIzilPowMQGBGM07gQIOCQBl4WIBqHIQxBksV223Ga
XB1KGYaxWEWio8Ojs7NzShJUayfKaQT3lFL4toec+8zNOIy5uQedtZorggwDMudxIMLEacXDBKLe
Ao7kZuzlcNSXnr9xeHTAxOfbbZ5GcKu1rMZxmRdGXB8cbLbbNAxFfSnl8PBgu90loJTSXJc4r7el
5iED0bybh5wJsGrN47DZbcc8ENF2nodxaLWR+2qYznabSjDm7EtbDaOqLrUmyWqNhYjlbLdZ5ZER
tdRhHLelNLc8Dl4bAlSwtpTD9YE2ba2t1qtlu8uSiPns/HyYRgew2tar1dk8C1JO+Xy7YRFnstYk
cQJelt04jVYVCQnp4ebs5ODIzc7nJa+ne2cPT8b1JHy62QzrqS0NET1JLYujT8N4dn52fHBUlsWb
Tev1J6f3D1drYTnbbiQPYi4OJrTsltVqVWp5UOdr66Mru9kJc5LNbnvl8Pj+2dmUBhhke7ZJ42DV
zNpqvdJlKerTMD44Pb1xfOnB9kyYc06bzdl4sPK5OhImqbslpZSYzs7Ob55ceu/BZyerNSPulmVY
r+6fPZTVsEKpu3lYr3S3zOgieTPvrh4d3zt/uOZhC07V8mo1z9uHvtyeDj68f/f2yeXtPCMTSzo/
Oz85PG67ecq5orXdAlMu25kzZx7uPjy7ceVyevBgynmLDUs7PDjQeWFOglS208H6YLvmo9VxWxZy
mw4OdEzjahL1cpCuHZ4Mu9Wl9dF2mVtrOA5tuxvXq2mZGsNRnspmd3R4WJZihM193uVpvV62eb1a
uZuq8pA359s0DPNSkPng4ICHQVUduaglImKJKgiL5eWiDl5aYzHp9B0qTdmUmeaicYwurRGTiDCR
q4K7IJo1YcpCBJYkvJAWZdAiXFstrQn3bWk4XUw1zk7b7Xau9XzeGfFmqQ1QDVq1hqilJKLWGhAu
rU0OSRIhDUOqreWch2HIOakpgk85s9o0TdW3nAUBd0sZcso55ZxW08RMR4eHu3l3uJrON5qYxyGP
WZCSVk3j0GqdxqGUcrAeS5MEVEyhtmkcUVvOsloPQxIzQOc0JgEbVxm1/uZjKYK7SIqXHDGF2snE
iFSbyoi0b4oPb5XvcYidEICYRIRTqaU0RWqrcaT9AQL3Bwsi6kvcCIMty6KltsZprOWe+n0idvAh
5yeemaQnNnBkHoDuPjz92U/fev75p93gX/2v/+7tN9566nOP9W5rt7sPT3/ww9dvP3L9wdmDN/7h
Z1evXd1ul1LrnU/vnJ2eNbPDS0dnp2dvvPGzYbW++ejN6qamp5t5HKd7Z2f37typrV26fDKX5fWf
vP3Rw/OrVy597/s/ujoNr7760pXr19Tgs/sPv/+D165dO7l67XI1f/fdDxw85eEv/r9/9dxzT958
5BF2b9WI8NLlk/ffe//6jRv37t8/fXh6dHjwyO1bQLwty3e+88M/+MOvf++7P3TVy9eu3P3szjhO
jzxy+/7Ds08/uwuIt65eNofmujk7vfvpp0nS44/e/vDjO7UsBvDIrRvDOHatEjCO07C3Hwe46AJd
a7+yGGP3fyLtA5m9riKkbAu2U0cfxfIA1U1YwAwoIndgvZCmF/Tp3hQHPTuKHWPZlUTaqysUfy06
iMg+q9kRvheR1EA7IhNGBhOhtTrAKMwMGGRLAEC6SCsjYvxf6Ej+4DPefEZts7373tt3P0aDumxs
aa1ugEj3iCLEKLBB2pO09tJQN9sahtOcXvvbd+68+/G1a+nVrz//5DNPrA8P/+zPfvjjH/7ih38H
Tzx2eTVlRIJ+iMKofEAiA42dfXwj1IE1UUUZVb3ALNXUrNOlQ+5RNWTWmDPVOnNxz8ASJnBIzB20
yd0oaFURIKfkZmrtgv6FAJKomEXtdqSZMxO7kxsyuSlzJLUhJHQAy4m9J4Gdk6g1MzWALMlUO9sz
NlbmaHphhuyxSws3ZohdoKaJCNUTS9NAOiGE1COEAIOIxvGuC0EIAK1ZZBqrNgBotTVTZjJwq9CB
KXutGANmfXH+RrLfnHt0cWWkaP2i0My64zFmZWaOWhwi6rlMoGi4AQP37j8MOQUI3S1GXAcFcCRm
QAeNMoGmF6lzJKKBqZkllrgpWrP18SGhnJ2dHRweKuDf/cOP/vO//fNHr14GVwMA5A/u3vvpj9/4
k3/8rY8//PT1H73xrW/97jgNDr604ubVdFt29+7fPzs702msrZ6dniPQalqp2dJq1QqABHb24P7D
hw+H9fpsO3/3O9//1u989dKlSy5iAD/80evvvPGzf/Lf/uOjkxOt2lojpL/78eswL1949Yvr9dpa
q26r1TQvJRL1tSyIOI6TA8yt/Zt/9+eP3r7y0Ud3Xnzuycs3b5Racx6naSyltlrjjlgfHBhCaa3W
gkRDzrtl0dYYcRjH8LF3KFwI6dY7LOMi75aB7p4N6nunN2Ms2rAHMxi5RdeudrU1hOto20YIJoIB
QELWYMUTtDhRMCNGtwr4Xr4ig545YAaMEgSk6ILa49hMnYkIgYGA0cGjuios7Lp3EEU4mJAYPG7Y
QPlEpiAQ8WYmHT8O1nSz3aBDcjxaT4lJwTgop8zQeWO4BxQQGTGzhfNWmBC1KXcKDJTSPr7z4OHp
OZifHB/evHx0kKRT982AyDwEyZ4nZkJHrNqIuZiBe+aEUaEKBGBCVK0bCeJ5ZNaCFUzuzAIO5Ego
AGbmREjYIfDhU0d3JOC+2BUBYNAk1MyKVnNIzK7NVRkZiRGg9eQQqjVmNvcWtGr3JHRBEWsaKVIQ
4dosJwaPH03NlIQjtZtzUjUFV1VzYEkI1tuhCWo0iUQvcYo+YBDHyNb1dnHEzIIIBhbB7ziCEkjz
4BgBALWmRNIjQxhIPmXm6iZB89s3a4EkArcpD601M3WLDagbRBu7qRsRlqYpibuGXXZZSpjdO4tS
O+Va1YTJAEspSy3TOBKDu47DFI09wcNwb4QozEQoQtM4CCIQmyoYZmJIeWbKwkTIiYecODE511KY
ZRqptopMCiYILCTOCDgNg5YmzCMMhq6MrAZhAyFcrVabzUZEmJmYx3FkJFNNkpZSmHiuy263m44P
kyRtLjlRIzObxtwaqemUs7YajHVXG4ehmoJjymmpbUxZwKuBEHEiISIkZlFwZh6HkVlEeI6NPqOZ
keCQ05DzTisSjnnwppKEc1IzAJCcUk3OpOAsvB7Gs+2GmfIw8rwQ8piFET3JbGbgDHQoIyEQIqc0
JSFmIU5ECWmVh+1uK8SNIA3JCXNOYtWZSHhnKswaeG4iQ1inodJMSCiEzZRAHYYkmRmFOEtaRGON
RKLEkogBGrP7klMmQk1UGWZ2IMos27KAkCRhJCMUEWds4YZhAmZALOhrwlUe5rJhJiYKHMNRHqaU
QX1xRWIWRuE4e6KQJKGcdKnrcTXmfF6XMSdKcHwwZa/KdTUO1VwBp2GQuj0ex12bVnlgllpLYoFx
NGEGGyXlIY81JyIm4pRZ8gaX2A/PS13LYACztk1dZq0p510rCddLa1AqEMy7eU3cqhaf3UFNF20B
ae2hLyJ3L1qJ3EyZgRHJfWKemEtrCAZgjKZaI9UUjwZwbFVVYZSEhAq2W5Zxyk5QVCfias4dOE79
oU+8niZCH5PstiWQy5yZAXd1Lsu8GvLhtPr04cPD1RoAKwCn3BxcOAk1m4VhyJKFF+6HmDGLYXBu
XEGJZVuravOlRjaulrpUXa1Y1YNqqHOtCEuz3HxbnJMvzZGsWIXmA1N1O19227Zwobm25AiZTZ2b
Vkedl1rbZlsODw5KgzbXNlfgulvab3ooSyz71hMiFoP+hFBTYglGraqLiFnYQbFnqxAlXoRECjgd
HP7k/fd//ouPBuGvfOHxy0crv3j5AuwBPM4sAChEAjiX+sTTn7/x1NPMKRbQb/30jd39h7222wCR
mATMf/nuJ//Pf/WfnvrhT6yVD95+71u//7tlLl1IcqfEDx/e/9mbb3/84PTB6fnZZvvaj3+Wc/r7
v//JF178/H/5q797+dXnrNlqXL3/8WcGYI6q+uPX3nz15ede+/Fbzz/3ubff/ej+vYeARCS7oj//
yTur1frypcOTS8chF/zyl+89/8KTD07PPv307sf3zx5+fOfZF59Zah1X6xs3byylvvfWL59+4alf
/PQXL776wt//7WuvfF1+8N2/ff6Lz37vuz+YvvW7J9euKMBSy3sffLiZd0Xrf/yz//zFLz7zk394
/ex8+6PX3nzxi8987wevvfLsY2++99nvfv2l733/9c9/7uY7739y/vDs9Z+9c2U97EQefnzn1W98
BSDaKWBP+jUMbIh7V35gX0XRQ0WdTYK98oQA/IIuuzfF7ZENRPvCz86jRMcLHSp6R7CnwRyRLtKV
3nsce/7q4uQdtCR0iL4KJAgYSlg09yMtqmlYkwBsX1fbC96ae/Sou1ufm/Y4pT6kOnJbLk+Nj1u9
/3al7EDrE85D3jaotTlL78shZuru2ehKBQQWNve4pDnaT2p77+efiNNXvvrCk89/blodAPMXX3nq
3Tc/vP/xZ9vzZTWN+7zbvgIRwJoiArEQWHzCRGgNOFJ88ctzII4cmXtPhnZB2xxVm5slYnQjYm0t
SaqtuXmW5Kbeh2pCBEaQxO7N+y6/VwRB1DASEqIBJmZTZREwhb1jOSKR3l2iaKA9FgVIiMzspgzI
Irhvh9LWHC4aUQjNmFmXxsK+X0XUWvM4AEtrlQASUg97EyJKgJ1ararAnDx6gVSDGhL1SExijn3r
ZY49B96PZ5nF1MAcBdUaETKQtZBY2U2j+P6/4gGIex2P9qE43rdi9BIHt9ZqBLeFSc1La6o25pH2
3u99Q0cYthUJKCxjbuYwbx7qMhNSNcvj6uDoSFvD2OztfapAAITN9We/fPff/Jv/zze+9ioC/vv/
9d+vVuthfRA3NzPPtd355N7ZZnP34cO7nz28c+/Bmz956+Xfeun7f/2Dab3+5S/ee/Xrr370/oev
v/bT3fnu2S8+Zw122/m1H77+4pdf+t53vn9y7dJP3vj51373tx58du8nP3n73sPNo48/cufDzx58
dv/k+AQczrfbT9779ObtW2+/9c7zr7z4l3/+nUuXjiUNH374Cc7ztUduvfEPP3v11RfeeP2tb//B
1//qL7735DNPvfPOe4S+2+2+8uVXLl2/5gD37p+/+OLTn9x5cHq+fe9HP0W0h2fzV7708k9ff2tM
8vO33/3Sl154992Pv/S1V9547edu7bOH59/85pf//H/7qyuH09Ls61955fKt63RREwwR1uzPFtpn
UL0bicEwirJoX0NFwUgL0hL0gz52AlzsqMD1oubaLZ5mF9wmcxekiwbsyGHGQKuqF34gU8NeCNQz
06GDMewFdjWOCh83U8UANCAi8W4uacjjkGM0ZaLqDojN9kxj9XApu7WE0MpSt2effnbnfDNfvXH7
o48+vn3l+OhgonHg1WG8st1hIImsLPZCHWAkBQPqAdvIrjaHh5vlu3/x+i9/8YGbAmKe1o89evN3
vvrkwWHmTtf3LgwCOqIhmikjMqcAS3REOXYzFCM5WJTWckpNbWACR3NjETcjYjcnAwYHICNt4JLY
AKM0ighjbxi1q0TUWuX4lzskTilLa4oIKSdwjW8qTLBTSqLAzMWUEIEhMddWkMCiYMxAhARE1UKr
dnc0I+mlQMhIiKU062q4M3GtlYkIbNwXKcVMoGCCYuDmQax2JMJYc8SLL8LGSNK7jqk07X/YuuCt
nY2Ibi1S62ZgAOIOrbWconXWIt8Sj3hmyonNGzomQWayeMEDEmGtLQ9DhIiSpFIqISYSwzZIClNJ
zoO3ygxJBMirVkxDGhIgZBEzSyJNlRSZmY1Vm4M3a0LCJAgkItqaCB9OU2KJ82NxHeJySIFut6ql
+WBu4bPStiBODk6MxKy1ShJmsgSAmCRB0lJL4MQYiAHdtbmy+0BciMEh5zymnAwZcDbd1iKAzayp
qaqbgXlGWVqrbHOrqVZ1V1UzA4LW6jiObV5qQMTNalmiZ5jAqqsbouO2FmQWoGItLBmtVkm01NZM
DVTdN2VRrUxkbVGARRsCNDDVtpJUStmGMQJQETa7zVqOVE3dh4Tx7mfmVltpjQHcFYGy8JR4W9zM
VjzMZVdbWbGsADIjMS21TEk2YAh+MkylltqqEA7EBRWMwIGY1BTR3XS3zBFWY4cVyYhp23YC4IwO
btpGyq5K4JfyyEKztWqaEQgpUQxijgYBoZ7G6e7ZA/S1uiViIlFiMMuERyiZ+CBlVdMwjqCPkqbE
M7ijF1PSlmFMwq3qzsp2KbulOOB2WXhIqkuptbVmxHOpi7aNKTjc320opVIXXI2bZVm8TYZndTns
/zk1VTU9zFlNM7gwHzKjOaiBw8DSwFbD0OZ5YEFJq5yLtpRSFgYmyomIN7NNY5bEXH01ZnOPtZcD
qiGQAFG1RszIBEyIHKlBzoJCCCCezG0YhpzyOEwc9FpJgrAas2Q2NyRnwdWYeEhuzVzJlcFzovNl
Nw0CrsF6qare2BzMXAHmsszLUqpu5pk51aoiZuoKNeqkqrazeYd5DA7NtpTtvBAnVQXVgXgpC+UE
jADatLLBkNhdhWHKQmBTlpwTgjF6BMYSUU4yZLGmhD5m1tmPpgxtHhIwsasTiyU385SQhQl8GkXY
TWCchkVbEhwz/+ZiAfCe46hmQcJgCRLznl8KEK/sXnOCvTguKoIUnBwenG3eeffejes3P7tz/933
Pzt87hFG7AkyQFMjRhGOfCmLRC5pGA+WYmqzmg9DpmEw98QcTxJGzCJN4fnnnvzWN7/6Z//uP4GW
/+ZPfv9r3/7Gd//8uxwLViRCGvJw6+aN9cmlu+99Fr0lp5stUbpy48rh0ZpMT46Pbz9ya9Nge76T
eJASl1JaaddvXL232W4/uydJbt++QUdHb3/6YByHPI55SAYw75ZPPvr01q3rzPKzN3+pyFePj2/d
uDbXtl4fDEMGx6p29fq17//Nj7//g9evXLu2q+3h6flut7t89VL4xMghD+Ot65c/fP/Op3fu3fn0
zvn5I6v1erudcdFnn/nch5/eb1qZcFnms/Pz57/w5Ibxk48/ZeFnnn1qS/LhG2/E6+ZCIQVE4Chp
2KuUHTrSiSNdwKTuFg41zDta03EvYZtaby0PFggTOu5r0bvkekFB34+vftHPib9mxxVO2tsbABGF
Rbu1L5i3eFHzum+c7hWsFyQSJ0CmBw/P0jS5ubU2TWtmdMMOiLpocO3NK+BaVyPCQd7CODz7e+ng
mhlUhQPih/fP0woOD4+5e+oCCQkdoirs2O3MQQ4iRDIom5KG8cbNa6thFa1dR0cHR0erzd2HVvWC
CUyECKSqRGzerLvVI7eJ7taZIntKE3iUTGAQE9w1UJNBpWERC/SUgjAys7nllCAEcAcC+rV6TAzw
TwSf4lzb1ImoqjZVJ2raKBDBbgiecuo+1JD1wEutJCzC2pSpp3C7GoBk3twMBBTAo30YPFJkROiq
0zCoqfXMMErKaq5Nc0qMBM0cw33NRm6Rnc7JakNEMyBkj2aM0DoAnbgZ9GsPwAFDdFI1JnIDImzN
3MnNO8SYmWtz9SFn9f+6rVy/Gh2hagBeLUwBgMAk7l5VweHalSshght4qXp6tilLSSKUMoIDOqcw
y8f1FbhLNHOr7aNf/kJ350KiQNPBYZsvRwEVsayPTniP/BYWdT04PFbzf/l//9fs9siN6//df/+n
P/7bHxFxtDwD8eb07J1fvv/p3XuuNtd6/8H5+x9+nIfxpVdf/MVb70xJbly/9tJvvfTn//Evd9sZ
EMtcHj48v3Pns8T0W1968Ze/+ABNL51ceuXlF/7yu3/PCCfHl24/cjvlZAB379wr8zLeuvr22+9d
vXX99P7pt779DSBp1upme/vW9b/96x+t1lNx/fFrb9777MHzr65+/OM3v/H1V+7ff3jn0zuH1680
cEN4/4OPP/r03u1Hb772/de++vVXPru//fFrb/7yl+//T//jv7i32c3zfHq62e22P//Ze//D/+1P
//Nf/OC9n//ybLv5g29+5Sdvv//xex9ee/Q27bddsfnglEIyjeanDu/dF0TRPjoLvVA6YrdIhAbk
4K1XjyIgVjXiaIEGoTiiOUGMVYyIRWtiVlP12I+wuQGTx83UUU9o+y6sCLkSRNsVIBAyuAMTOwKY
YUhjgIRkDkA0TONuNw9DDruyAzCAdknWAIkTg5owx7Pkzk9+cPrJ27/85O5TX/m91cBnVt/97p/d
vOR0cvXWV/9ZZAOYEzBBjOjuSVibmqpI7jYlcCY296XZd//itbd++AandvXWlZPLl9579+67P38P
Tb/9j5735C5gEeZ3CJoRuwul2AWaA1F4rYFjv4YgFGRBj3pFYu4oace+ngGni1segI0amJk6kjD3
TU1sIcxYkqoKBSGPiMi1Bf/P1IGZup0ZchILAjMCuDOCB0SASJjDKxQzNiA2VbXe+tPDyebC3FCD
4TfkVMx0b+SOJHnf0AISU7tYQYCZhS24P0OICMOnbdbbpImIoGm7oIVra4klurUYk7nGqpQJzfoD
SBJxHlJrZRoGINxsNpwpMS9lyYlVcKkVBXWxAOsCYDNlYVVlwiyplwYSLrXIkKRvz1xQwAGZTbVT
6gHcvTUTdhL0aFlkrlBU1VQRovskXMPUtBIRMO3mtqmluLE7mm+X8oMfvXHn43tqNkoWRFV3xNk0
Jzk9O3vk5uVvfP0VIho4m6m7NbeiarXGcd9NE2eNcwwimM9LSSkhkakOLNWUiFbTKCxR+tRciUUS
OwKxOFpHQca7QQSJpmFs23NXTUiDpERMRAaWU2pe0pAjF4oIKXHE5bNIEmag6B1lZiRiltlndY8X
cWIWAHMfUgY1QGSkxT2TuOSixiKbZclEu1pb525L0+a/tkgrYAfCq2EMsGQUnym4uGWiStjQSYgQ
d1oILHPsnXxxbW5LK4c4qpsQnhWDpiOggi9W1zAmpmDub0uBJIt5br5za2ppTCxczXalKHhxL6Za
dsQyW8uuCgBqG3JSndTcYLaKpcxgs9aReFPmUXjWmkwYCBSq+aw2tyXqFyeSh2VblqgaNxQspmYt
HoLCbOCEPmZhBFAjh4M8ns2LMgC5uo0khdLhODrQAykLepJEg6yNnO1ovRJt4zC64/3z05SSEMNe
0M7DWOfaHBZ1kuTEEPc/4WlVSbzZ7a6lhMyK0Nxm09GUmL3VWHwiAIclhq25gvmYRnAQREF0ck7E
5EaQs7Sqsyr0huamXgGpWjtftlOm3bJgxTykUnQpy1yW1ZB2tSy1RANE1Wbgm2Ue8rC0Osk6omCj
5PPdjkVGQhFZj0MinsapuPMwVFBjWOWUmQ6GYTeNlw6m3bxTw5wE1I8O1qBtHHIp4GCUczxrBQgR
Uko1nCEAxAQOgKwGRozMlJKMA3trBsjZtO2qNce5VnNszRTRzDOhIY552J5XFiHk3bybxmG7NMmI
IGCcePiv4PH2osluKXIW6eoBCxgQEhKZx4u/O2bc49jdMTyAOOZU1XdVi2ltnY3PzC0KVCjqG3tC
kghJ2MBba4AErsyEkVREJ3TqSgWwcFW9PK3+8Nu/vc4j1PqPfv+3TWgccjQ0mMOQ0vHh0dHRkaRy
dHC4ynm1Gq9cufzBe5/8/d+98cH7Hz756PXVNJJwSglNV+PIJOvVNK1WNx+9+dff+9Gdu/duHB0c
rNcppTHnachHV44//vCjmzev3rhx495n9w4PD77ylVdOt9vv/uUPHvvczXd//gv/0RtHx8dHxwfv
vPP+0ZXLktOY8+eeevxv/svffvm//2/Hg/Hy9cuqvlqvDg7WRDSIjNN089qNr//2wV/82V9cvnRl
ntvBwcEjjz9277Oz7//Na2++8faXXn6cRfIw3rp18/t//drHnz344vNPb9/5AEmSJPfeiRpDZyB2
Gcmgd8lib7fRbnMl6ivqX8vdRdoNIlEU2BG3Tm/aZ5MujK290gbAwJEpuk+7gzJK/7rDNrpMgTEw
UaSdGA+OzsIhy/aSwv5je92iI4YNslOQDRFZAXalltJyzs3qRcmkcMDq+7+tF+ECeKsMIAjocPL4
s2c7nHfz0hamNI7rUqpgB6hEt3uvPkWMbhAmjjwVAJhDSrw+Wt17uN3urBuICZZaH957IAzjlHHP
S7E+hIB5PxLsWT5RFoLoHfYBPagGDgEy6nZQc2eWWqv1PDCAAWFgSHt2ixHRgfbFhHsqqkdDpu8r
DlRdJKsbMltrSRgRJArW1IRFayMm6ElH1uaSB+aobCAmUW3mFtG72Fk7d1Nii3vTUUDcIoMctGfs
HRy/4uJwrS2a/SJjpq4G4EhAbgjV1c2FxXsiNzULqjg294wYFNbWmmpD9M4K6l2dwCzu6kRddtjT
RBZvy28+l17cFQF/cYRAbkeFEvU+CCAiCzM2BjmGmnpprTnUuRwgD4N0Wa9Dvd0AwsZHRIuZllp3
y6wzkNTip6cbRKi1SJLPff4ZyhMYoMVmBB69fu3/+n/603/5v/ybtlv+L//Dv7h88+pbf/8TBGZO
7jAgXT66+vwzzx6dfHb23n1kAeJptVp2n9z97EHZzAnwYLXKklPKbh7BXkAaV6ul+gcffnp+dpaI
VsOYUs4pC9CY0sOzs/FgpWbvvfP+177yyrVHri275d6nD4acPvjgo2Gcckqn222ZCyNyzp/7/JN/
9q//7Mtfenl9cHDt2tVpNT31zJNXb15nJEKchtWzzz17/bHHv/+d7x8eHozD+PwLTx8erD+58+CD
jz67d+/B9UsTMuecxoPh/fc+Ont4duvyI0MehzQcrtZ1c84BGwZUDeAz7puKETuMzcLG6bBfdsWl
S2TWq6p6+XIQwpgNvKoBEDIFoggQI8AQS9hIj5hZYnG3kPKbKQYmycNMFJZa2vdaR/dyIGT781kB
3CGMBuw4SFpMLUqbuWuPc2mMFusnIlJz6SsnMEB1A3NGVDOO2P/53VFPqTx8+Pbf3/35a16tnH1K
J0fz6R0UBnUWAcSqyvteZyJkQEZRd2ZWtWC6E/Kdj++88+O3Bilf+vbLNz536/Zjj77/7if/7//l
v7z9s3deefH29dsnHB84IpAjEpgH9Bv3TWPFFCP7g5iYCQkZm7uhYwCRAIQ5ALs1KLVRD07d1guE
gtgc4qmeRJgQTBEhxW6BCaL0tiux7ISqTszMHIIXMwdSquMk4pUUAPDocHIwdyFWVVNn4qBw2d4m
1NwIyH/VStCrfZNIqYU6+WnfUYYMtderAaKkBB2zFH8QzS2A88RESKbmjiFUmynsDznhcGJii1Ee
CAwIuTuNg1PnrupKTvHQcTdTVa2tWTQlRD6EEQcRa41TMlNwTyGPqDAgEYsTMAt4SklriSenmosD
ISNBYilaOBGag5sIN1VhFqHaPPYZzUwAEFwR1E0BDAGEqnugut78xXufvPHzr//B76aj1cnBATQN
8Xa7FGT62Vvv/sW//d+evnb5mZeeL7WxoHhqqsiciNfjJIiSE8eh3yATjzmrqxBXaAggIrtd/enr
P7t8kB995JH4IrfL/POfv3vr8qWrt28x09LUCRxciDLzQrQpy527Dz59990Xv/gCC6s3F2Eigz1F
zYyRmqkkMdXa2oTZelN9375XN2wqhDmlLLKtS20tqnpKLXEDN7NhSA5OiHEcGYUXJnZbCRuNzGQt
3mHEKSGASCpLcYdE0sw4CxEJYBKRzibBmIIO87CE2dcgAR2Nq5ETMIpZFvGcBXBMAg4jMY7Tsm1I
tEpZhJMkdD8cRltaZk5DzlUPx6khNrAMPGpOwpem9dLKMIyjwfGwult0LUNBTXk4mg4aLmdlXqV8
JPlwGFcpbXbzkGRJxIkH9MHHnARSUuHEiE2P8rjw2dE4bMuWiBPTOK3WedW8LmaZecwypbQrcyJm
zjtsc2lDGhYrQikxARMBm6OBVbUV0QyekSrYtrQHy7zU1pLVUs9rk1orADYrVVG9Yi1Ns5kj7Moi
SciRAQVpZJmtTSRWm6tSILjMwM2sDcytle4wtMbgjGjAHXTGPKuKWXMMCLu6V3NHBmRiLlXVgTlF
PgOZUmLJwkxjTjoNB9PIpmNOA+LRMK2nSYoOTDINag0JhRkIs0g8yYgEULZLWVUv1ZwNayu1AZdW
C6PMTXe15arbZoP66aKl+DjSblNcz09Pz1prjO5g63HczNthmsjMVEHETRnMdNa2I67owMxcysjT
DhS1oDci9toYEc0FEVTRNZGQmaNNBJtWBUd2R9VEVNCFPQsSVBbQVqL37DfVSwPWioQQokRAXKD3
QIJ39OceuIrdfmb71AkCIp4crF74/LXv//gXk9ATj9zehxg7j8UsThERhQBArtbU2jxvT7RhICnK
Yrsz8FJ2W5QpftIw5btnD6/pzYNx+NY3vxyxrrPtJmD2cTK+cnz0J3/8rXEcp2H8o3/yOynnK9/8
Kuf8zPNP1bp8+OGHly9devbZZ6dpfOHZiZnMjVm+dflEUlodrk4fPjStx4cHL37ppUESEd38nS8R
4/zkozlndHzkxvVb168K86Wjo2///jeY+Kknbrdah2F4/NGbtRRAfP7Jz03D+JVXv/DS80+tDw+Q
6I//yR+UeWGi9cEhIR2tVv+Hf/btw4ODS5evXP8//vMI8zPz+vDg5a99cXN2du2jjw/WR7//0qur
abpx8/b5gwcvMF2+dOn2448OORHx9ZMjYgEADmDLvkOwww0vNvX73GavzfyVOzfGuQuQ/a//mR6z
9D0Ul/Z1ptibOQEBgbrTCPu84QRogOYmyB7DLgA4JOKwJu6JssAUFRfWM8kAcdyM6SsO9IhkoFV9
9+Bse749P98cH0uwf7B3sfazZgzhUe5CzKYtfm5Tm5d2597ZvN0h4DhOnNauyoj7nGxwEHtHGvW6
WQzwPBEh+Djk51989D/94tO/+et30uF0cGk1l/q3f/Wj008/vXb9+OAgAZgDO+y7N/b/QxR9IeEp
8Ig5oUQfj8ehDlXDCOr9d4amyinBvvREAl6L2CuNor0WMYmomqObqQhbU0RCsPhxgXByACQB0zwM
tSk4NndBZBJGEgGAYHz5sm8mExEHylmWWt09de8+IJjGmBwnPLXWXJjpV/Z6cjeCuJsIENUAwQlt
mCZtrcONcX86D25i09wLOoF6cas7QFPTZhb+KAth2aMVqlUl5KpNqBu8kZDjlGkmzCGRzAGA+s2f
fnGFp5Q6C8eMOFYo1EulLgqHEZjDD+/DMNi0/sEP39ye7b745O3Hb56kSDowA0LzqOXzaHYJv8A8
l4Ojk+e/+hUATJKQ+YMPP/jwrTcDvROEsHEYSi1M8OitG//T//gv3O3m9RtzKcQpOrrU7ObJyVe/
9lIWuXJ09MqXXrx55RK+8vytR27WefnkkzuZ+fDg4AsvPT/k9PJLz5+cHB2tVlcvH3/1a1+8cvOa
frE9eHDGCEfrg69+9eVhmF544emjg4PjS8dLWRAgMT/xxCO3b90cpuGlV16oS3niiUcfPLhPiM8+
89TBatwty2/9zsvDenr66cfwv/n2o7dvrlfDH/3JP7rzyadEdHR0xMRDwt/73S9dv37tVkoT8zRN
p6enwnzjytVvffPrn975TJc6puG3vvLSyaVL//RP/tEnH3383DOfe+a5p/NqfXBy/CQLtJqCUg6+
54rZxUqmezEkXXwxewichdf/V/dkwHgAAL1F8me/biNmczOHQHaFMhnPqD3xqMuw7A5MqFFx60gd
XUXErg0AUlB8ETHJ3JQY3bB3aDEnxOAtcYRi3AGRhThJXXbu7qZNm4g4koI7AgMH/p0C0WvKiNR2
Nw58vJlnv19oxNVKDh7BnNVpc7bBYUDkzhgjAiB0QA2YHKl7NWXmcH8k5gf3Htbt/MQXbj33whM8
rVptl69e+txzt3/2vZ/d/eTuzccuAZHG6lkNmR1aMxei4HQAYqkWLxeI+hYKq2n3XMCed4euUXJu
HotIwH3nLO9rm0vrfZ6EIQ6bJClBozBjkQDsYZSlE1lonoixdosVAJgCQk65LbWqGlENu5dDb07i
SBE7IJgpAYFbDNth7Y6Md2LxpmBQagNAEUbEpjVqzcxdEeK+VjM1Y6IhJUJEkaYamjiYu2mWpIhE
lFJWU0ZEpOYevphmzuCqRsy1Vu5jeXNwCbQVS7RyWkoSAfeIwybGqq0sBcBTygDIDiklRBLiEOKG
lFlYjRGRGdAiNm8SBEvT+PvdNbDkKafokmEENE0E5upaB+Fq6u4sCRzykHfzEpVFzDiOAxOyg5t9
8OndF64fPP/ErYfFcs6YbMayntZTGs9224/f/+CzTz54eOczB19KmdaHbakK3pbqtTr4lIezs/M8
DI741s9+kcyfee7zFYxN5zILkbBsdvN3/uYfXv78jZvXr9E0IdHpw933/ubvf+eVZ+lw9eaPfvro
Y488OjwODkkY1LS1vBo/vPvZD/7L95568tH18Uk1ZdPNsjOzdHSE7oLU3KJDbynLspvZnAFMmwI4
QnNrpmAOre3Oz9wUkrz91i99Li984RlIjETqRkDokJHnujjBdp5pkOKNjJjT0tpSa9nNy7zTsmgr
62kaEc9qoWVp2kotmPhhnZ0ICM9qndNiaj/90etXhuGJp55qIOp4d3Ouwou3VnZDSsUa13K+7KBp
YXKt4oPVurM2a21mWqsiN7Ni7V7bkXI1Va2p1drqwzpfnw4IYVuLldLABHxX67TUpanWra5ybQ13
s5htXSdr7riZa2m1ahOzUnVyWMyh1h251apkZIBNcZmXpqfb7bmWWquktZZ6Blsx2C3LMXi1uimL
I2xLOeSsVWX0bVkKNJOUkOZSEGBTF0oM6KY6ECUDc7iSxuTIlNBciBLhOidFnFI2LYzEwINkF0F0
5ZSAlDhLOgOsiIaiULZgjRzBcspUk0iSnMv5xkVavA9IAmVotTgSMrOklGTIibwVBWEcklS1UQaZ
Vser1e78fD3I0goRganV+tEv3/v4w4+JGAnc7QtfeMbAfUjzsitx87fKKtvtVkGnaVVaRQADj6Yl
q82QB8mZ+fLBtCw1EbgwMOQpA0MmmslzFkcnwmXb3vnpnfufPizbWZsOU7py5fCxJ69cvrYyA+G0
mqZls0MiNTBANZSUWVJKagZCbIDqziKUki07RsrDaEtjGVzBgA7WR2YqiJt5e3AwVNuaI3JyFmbx
ulDKDpuch91yvjo8rL95vjRKyBOJI/ajefQcmCbh6HXAff16dAJEy1zP+ew3x1noS889dnnNdTdf
PllH1iv+ECESSa+mQHSLhgkS4WV76vOpEBIDmN48WV09GOv2fDxZRW/lE5977K03337t9TdFQlI1
RFyW5dkvfJ5EIm1HRCn0GffDw5UZ5CQKmIXv3z1//rnP37p9a5wGABxybwpQcxFBotUwfnj68ZWr
V5575qnVOCUmJoaczT3nHEmg1TiGXwuJjg4Owd19iNpGBIBpiqEKEGkcV6spLAAyrWCc9st1TERX
Ll+Oo/DVK5cB4FIQWd1Pie59ev/apSuff+aZw6Oj+JSO1qtQAq5cGcK8tF5P8ek5/AodFLYlcIuf
H+u/mDCZOUiw4b/xjkd26iWH8CvzWxd5gPalJsFgJEKL8knvsJd960kseKMINNpeopKciraosQj1
L/Si2CECIHIEL8kBPPTzkB4pPMXOzJvNbnN2duXK5SRZOKluOxP1V1MHujt2A7MF4yP4tmoxOJuI
INB6vQYz7n14XRHmOM4QEpEQd9mTQt0FVReiL33pyY9+8dmbb3xw539+eHwynT787Pz+J1C39z+7
9w9/89df+ebvReOJgRMAXXSihBlPuC/je30fIPZfP7xFai7EQVV2gKZKgAZARK4WLjiLM41pQDJj
confoHfyBtjVerDIIFpDwCEsdUSErTVG6qlaVUGIEH5kPgkZCIDJzUvVuKhSNBq5MzESqFlr5gRM
iQBAVURUWyzQQ4ZScxFyN8f4+0ibxrcc2hJctPv2BlBKRLW1C++3mSdJ6AjaT62BgNJWExMLt2p7
KnGkVampOmCSwVSBsLXmCMK/eb4UMRiziCjMbkYUa4tGHNhPULNWLVA9sfaJOfPHP/9gqXT16vXX
f/rBjUsHwnxR6uvu1HuRgLnX4RgASmqAtbSluZpRHkjBzUUYABOnm9eu/cM/vP7GT97JOZm2JPz2
27+4d/fBpSuXEBHUhOnoYHX07JNIeHy0vvTiM4B4fLCeawUEVX3iuacvXb50+cY1IX76qc+B+5VL
R0x0eLBeWkOEZSlPPf3kzWvXh2HgJI8/9ggiXrp8HOqNAzz9+SfjArh+/Vo8GG7euqGqBvDM888C
ggYCw+Dll78QF2O+cunK5ZPYNUSt5TPPfI6YwP3FFz6/j946ONy993Ap9eTSyZNPP3Xp6iVAPD46
euTW9WZKRC+++AwYrNfrmD7D0Ul40cwEgZYNTK6aIiBTSKLRSRZ7Tw91NEoT+8jqwL2uCJFJVfex
3g60BSZDMI3HRRg4RU3jlRdGUgSqagAeZSTR5IwWVTqoYS7vDbJgAOpOHbiGkSNwdCHSWO4Kn312
vjs8yIm3u904jWkcCbDtHRYOaBhrYXJwUM3SjiY2hatf+5PV0WOEXEu7hXTv9HRkSQPV/diHgOE6
YhYmJtOoOvJO/NZWFRwPj49lGJlTbcqcxlVynbUVdwvbm5qH95WQRPpmOjFr0xyFLoDRl1bVCEko
3A0RC9LE4hSFR9hj74SuGr005MDEu9aExUm6i+eiYDbC7PHAhF7LXao6EjA5ep/2ea99I6gZqsbj
T/tDEpOkplG047HFQsLqQISuAWMrkkRYyL05VFOPSTUqf8CIEJAsuAyd1fyrt2d/fyGpaQSd3IyZ
wEHV3MCdtDkaOrqjB+UuntWlKVI0mgICtNaIsalKLP/AqLW2Xq1rLUREzKrmDqXUWsswDrXWeTeP
w7jd7lItLLydlwkhS661TSKEaKbkqVlLUdIMiODIXNS0tRB5hQKUhwzG0NpyJkxt2RAkYjF1wGxW
UUhbYTQGW+fBSl1qZYcBZVebgydkB7JWi81JZGeNwO6dn37vv3z3O//+P9Zl9lYEGRGXUpGwbJb/
+B//8trx+nf+4Pe2oN/7h5/c/+UHf/TP/vDa49dvrg8BiZoOLIWYEIiIWZBgt9tFSZQIDSm5Oqhe
PTq6/LUvqaqhk5A2Xa1WB8PgjCjM6oObJNamwPTaT9589ydv/fM//eNxHAlwlETuhPzuL97/D/+P
/9fzzzzx3/3pP1nMOSdVJbXDPG7r8vZHn/7Vv/oP//yf/ePjx28/+eSj0zQKYMy0wkKAmbkkVtcs
MuSUhQF8yElSnutydrb7t//zvzxAP7h646P33vujP/jGc69+6XIaMzMwV8CTYTxbNgPLWvjebhGA
MeWvvfwSkpvCyBkASGgSWem4RVDb9z4xCuPlcTxVLd4EkYAAiYmbe7gUBMjJhfEwjzUOToDGKMIT
JyHylFpZyHExc3MWTuqTDDNVxEgXICIfUDbzQXJTzSKDyMi0uIMjJUSmLJKdFOphHh4IHuS88SyK
h3laMjThFaBBXU15VdNqGAiRBDjxMCZOOGlilikPl2obcy6A2uZpnHY7J0IgYmKRvGlbSXm3K1Wb
iHBKzbECjUAguS5FhQzRwEIASTmfbc4jw86AlcLNhc7MLAecGvLAIkibeXf/wb11Hm0gQFdtBIEo
gVaa1apqrbVZKwMupeyWxUWIdTPPllI1m+fFdJlPH6Lp9u79D9//6OlnXxguXyLmH3znO5+8+cbJ
4TQ/zDwdTKtLiUhFchJaTWptGIdaFmYWoiSyGkatagqN3BFbcycCJifIWerS1ICJiuJSsVj6xdv3
3/67t+6+fwetghUi2p3znc327P7m5NrBb339OVNflqCCCSGpakrcTMNnIUSEltgTA1jVMg8IiR3B
K3kSmneaOVltTeuQh0EgkR4MmLlB9moFCBAsEU7DQOiJEE0ZfuOeGGYR4iBcxqoPCYg81slNm7mB
QhghESn2jTHzhIAQLy0iHge6enJ8ihB+mL2xqqNZY/CIk1uZt0889ujImJMwNneH5gAwMlXHcKm4
qzAeTMPLX3zeTIU7unP/ukpRRvJrRST7zk8wRELzx25df+TGtd5BAkhE4GGrjBGIEOno4OC3XvlC
0P+pv2fMPPxO1HXibnal7s+JIlbCXx1trXN44s9wRBUdYiAK4NNFLcqvxQIp8jaP3bx++9rlngPd
VwVir2/Z14T25noDBAJEt9497nssSLeBQqjbFkV65kAc9D8kVFOEIPyh71HMF78C7vOleMFNsrAO
RxVd7J0v2s+jcEWgS6x7biSxuXfTE0Bs1vdWOu+iq8d47sRIgBowkj1mZkz56Ob1PORhXKWc7929
38nP8UP3JFszdwRkArPmpoTA0hqA6TQMNOCtmzfXBwfvvf9J6cp698fGoNbgV7sVMMDAjTDHeTCn
9Cf/u6/duP3W63/35v1PPkNcLp0cPrh7ry7bv/nP//nSlZP/H2d/+mTZdV15gns65977nj+fPSI8
5ghEIDCDGEiAkyhSoqRUKkuZSqvKGqyrrf+07ra2NiuzyrKSchAlJUlJFOcBxBgghkDMc/j43rv3
nrP37g/nPgetrb+gwS80AyLc/fkdzt5rrd+68PzzBfjpCOXQ5cMQwjoAWRwAgYdfX3mkm6s6DD9v
KbWH4TIQRAeQENCdym/LC7AKaGFaLpuXIym7CBd9kQlLHWLRK81yl0VYRKgwq1XLNUmEOWsIkalU
XHiXUmmmYJSi9gqyFliMexAupz/N7gBCnFMaVHTVuqpSziEEK/oVoasSIjpkcxYu/sY+9USlQ88K
OsvAHTGDAjMwCVDOGkWECLIXDBW4RWZ07zUBkhZyyGDPG1K8BY6rqsxins2/8NMPGdGwoAxioMDl
OhxWJwDIwqBO7GZ5SDIiIlFAMxtQl6oZCMxKO6ijY2AutxwzuSkxkRALE3kUyskdLESed1aiu8NN
BHBiY23y5iuaC991uKiOH99q6qY8r4jJi7bujiTmzkQB2R2fuXwRLwMhVVWEYQLBAZSKiEA181MX
zl44eypKqELwz0tFCkw4DywuBIeSw6QCHhhSggVRVta4brRIsy9MEIPB3t25VOMAILOblSg7ALjZ
xbPbZ7Y3EbCp6+KSKx7+wFxWL04loD3QZSvibKXDY/F8ci9hTlwYsI8S17Co4hwkufKvzBGRB0hb
8e4hUvlyWNRvJFRVGIyqBAjqPtyAREdZMDVnJgcoNZuqKuVbASwMVHUXoKJY5lxs85TMBAkBCCDQ
8N4kxBBC3/ez2QybKsaY1Yo9KUh0cFUtSx0d2GCITuRO4G65Xjl279F+arvUp6W6lrqylKgctHwI
ObOw5VzuRwZEYoUBuhSQtzbXONb3787nc63RRMK86x5cvwPQb25NCAzdpHhlwYkZB6sCMXip8TRw
Bcg5C5GaByJBcAB1B6Ss5QGNhJxyYiYudXQl1YPIYOXJxkSpoA4RFFwAmUOXemLK7kzirkBA5kRY
CWcrvWIIBkGkTdkRiGRBnTOGgac91NiYEhcolEcWz0BIVt7UpYgZhJGH5i4iBedCqwMk4KyZivuZ
qTz9JHBZskcSGyp5F/W/Zl4as9zchhOEiAREIWSibJmIbAAFIhM5mFouu+IybQXmktkwREL0lJJb
eSymUqPSd13T1OvrG9mymYcQSllqn7I/2SWgvk/EJMJqwwNVVVvVqqrLfJtSkhiIJeWUcyYNwNSb
2nR67YP3BTIxHMwOxktLarCxfapu6py6jBDqURQSLH2sgAjCJAQhBkZG9SaEm3uPfvubt7e3j5++
cv5wPv3Zj378k7/9fns4DVGmbXIkdwxBUkrZfW/3YIlK+ogOZ7O9x09S1vtPdvbT/TNPndudde++
9f7sYFYgfheeuywItz+78/d/989QxfPnT9erK9m8z/nB7ODaOx+dOnF889yZTz7+5O5nNzjEvtdz
pzdHsWkPZz/6wc9SaCbrk8vPXrz6wSe3r370/Sqeu3Th+ZdfdKZ532nXf/rxDaRw9/7u7dsPJ6dO
eMKPP/z0zvWbirh98sTdxzu3P7v5T//wT9uXLsbJ2Lv59oUz777/6QuXz2+ePvHprdsHv/vs8pde
7AE+e//q/t4ex/j0808TUTTP5m2f5m338vPPvPhHf/R//r/+37/6p5+cePaFa5/dvPvptU7t4qmT
r77+8n7Xf/zW1Z0Hj9ShqcMLrzx748aD5egnn3rq1r3dxx9ee7y7u7m+9vLzF/dMPvzgA53uq1kQ
+dJLLx0/fQrQu9QHDqscgnDPIEShktQzk1cxIGIgUkQmQqJVrAos2wAcoSIZh7grLEwMROiBKTMp
OhEHQmIKzBTYDAotgyVUGFooZwZE5ggSifas602VsdM8kqim5JRUTbg3m6V+BUDN264Dx3nXVxz2
2tmkFgMDw87MHWc5H85nIpBTyqq95gCO4J0m15y6ngDYoSZWB1JFBHGYp57BjCxZcnUmmLatjJZq
ZEza92kSGncd3H9qgdzV2z412duso8kkNNXuzv7qZJTUx+OKDXoz5lBKYlkY0GIleZ7G4xpVLXDF
Yd7hUlNT369WzeGTR3u/+eeE6c6D3Z150rNn22kMQdLBwe1bH+Fa1UWYV3HjtW9NQzVv+1QC75Yx
5D7l/dnMHJLavO20VEu5uubI1GqqA033u6oOqBoCkxkBqOnsYP7hTz4+vH1fuymzh6aqR6Nu3h88
vu+u7Wz66fJ44+RIYsVE+9P5qKqRuE+qCvMuM1LXJwbpk/bqbZeZFInaTqsqdH2vrE7S5owOXfbY
hF5p2ttcwRXaBErEJI7BgWdtW1V1q+pZVb+wk601rX1huuVCJSh+UA9BfIEZBy92XixQHTNLro7F
FCQOZIvOjzLfDWSdwT6JcBQF+tx9ymDWdd0RFHYYNoDNsNiKTY2YOLA7LxhKR0idAWMzhHyItdAI
BjAPSskgoSGyD9OWgw+kTWFCLHyX4uMfHK3lmOULs+hg9nOQgukkJiJVhUEBg9JMQciIYG4GXiyy
NBTqwALVY0jog/N5OL8VN9iQk5QwkITKMnY4YuHRqesoiQ2DvXGY4obD6+f2tiERtyh9wQH9Vyrx
FizKI3go4NHPaYOJEYcWmYVIOfykixfl8KUJB7JvkYPLZzZcJwClcp1wMLP54MksFwhaSZEiexEV
tZBBXKiAD3hlMgkxNuOx6SDB+aI9slwG5k5MAEOnyCzh/SfZAfemetLx5IntGMPSZBJCNLtLQ6vE
MMYP5aHDJIBuUDYmQsPqBRAiMY351Tefevr5E3s7u48ePNp78uTGx9PHd67PDg9/9g/fP3npKQZE
dmYhJnPQYs3SPFjigQcaspkuvpoNfKPgAxp0IF4SorvBkKKkAjpCAiFG9cBsZgZgCFz0xyIPM5s7
IRuRumc3JM6qSa0EwhmgME6ECVVDgWIguzoRGUIqnMoydaVUSFCqVqTfIo+rGQpLYE2p3HZCnHIq
FjsbxAJmNzMNHLRPRMhS7GPkiCFEVVXNVYg55xKIBUahYG6qmYDqEDUbsxStBNyHqJ6ZmgaRGAt4
04oDvE85SBDh1PVASGAR8YuPpVACpcIsLH3qDYBYcNFNCcPBGoZfEEBRVoEgIr3xzOnv//iDm9ev
P3fhZBVk6DdEIBpoMSVkWjZ95qrap9RCmpEmB3TFvL9DpKmf180I3RyMmJeWlj6/135vo8csw75j
cGba4hli4IXTMSyJSvdP6Z0uyIBh74bcVNVRw0p5YHIBoAxFlDaAvpHdrUDUy31rR/ZXBwRkoCLi
0fAxYsGxlkZZFhls/Oa8MFkUxyMTRZZFPhwddGgoLSWZRFrSy8y+mCqFuNws5QEizI6gxRsy8E1I
VctzrzwiCHHA8iGWQstFzzMgoBWmVVmYEgCymdnweEEnSqoyYOTxCF0uRA5aHC5HMDOAYV1Lw39W
PBwA5ISoAO4uiIDIxR8Jrm4lLH3nzp2+7+dtK4EqFgQPImSmYIhsaFz8uKV4GY/gAp7Vp7N2bzrT
PqHBZInZEdXJsWJJVqz3fEQ+jzFAzp3mUr9ZNo0nT62du3z6+if3f/TfPrjywhki//i9q3c/+Ri9
A2iLZZUcmTiZFmsul9tisJx7sVqVVhnBBekHLAROpZrbPbszLApxoHBdgLDUFzOBqykz9rmA2Yuv
BwBQiPNgqlYikPL6cIi8kMQX6RVGBGYAJGIu71NyIezNsjtSWaxZCExIRaoFN2HutS+si8Kog8XL
sXSpFRpT+UEcMasW9FtJ/JZCMwJgEfDixcVhsEVgIlUv3bnIlNQQKHBwyzRYc4CQyDFr9uHMQAJs
uWRTQYJQkDAYjpn7rFUkR9CUWLiKFROPx+O2nRtAVVfz2RyJWESCxGa083gXCEajkSDWdY3IxsrI
XRpgR3XdtF2LhZCkXocKFcyt76bd4YFUpGromvrWnO5cvz49mGV1Jo4S+q5dWpqsbx8HUyEsSLEl
qSORGzyad3//o7d+9YN/Xl1pvvUnf9Dn/if/9b9pn158+WUKVTbKapo1pZxyNndmmh5M93f3k/v0
cJrNsvtHn9yyxw+Pndn+1c/eenLz9itfef2nv3xn7/bds5fPqfvho8evfOXL7396fe+Hv/juX/4Z
sTDSznz+1m+vVhJS1fzoBz+6cvH85Njxv/ubf/DZ8VMvfSl33aipVy9d+P73/vFUVZ88c+bw/oM3
33i9WVlBAHULMT689/Dx/fvf/tM/fPTg0Vu//eAPz5/+7MbtX/7XHz735ZdWT27vPX6yvrqysrz8
pVee3X7uue/900+6G9dPPX322q0Hee/gu8c333//d+njG8+89NI/ff9HYXfn4tdf//C9qz/92x/8
d//h32OFAtygqMHu3s6tWzd2dnafPnHszq27P/jrv3n9jVcn45Uf/sM/1RV+fDD/5B//8Vt/9idv
ffDpz/7bD4+dWn/3dzeW+vsrZ07/+Hv/Io8fXvmDr/z8x289vH7txe/88S/+5efrnN74oz/5/g9/
ZI93//h/+u9nfedBTIKb7XUzARfAtu8OrZfcO8CDw73VyUrOyVRMldWm1KtanxMD5j5VfZ71aZpS
dkO14NprylSK5rBLvat22QkpWc6mU+2bHPqc2K0CTO7qbuD7qV8x61XdPLCYJjJjN3CNwKMQBXBJ
qoBERAkcQGthMKuQaFB6gUyXJPTeB+GJVGvV0m67X5EQOoVAgXJvUQTQmamp6oPDuSlwjDpvkdiZ
WYSQopo7KTKicKjaXrWRwFXgINENHZhRYhViXdf9XoskjBxjBSE3QUCt721JQiKZxKrt5+xgCIE4
9cncXDFBzm5tTrPUN113sPtYp9MscLCz/8yX3yQym+57VZ0/e3J+u915fPPK5TP79+6tAM7RmyqE
IJY1BhaUpqqbWLfZosQYQtflqgqQ2lFTpZRFJJtXdRVE0OJMew7RidX53keP92898DQbTarzL5yv
VuqnrlxObb76m48/efcTDtW1D6+vbF6p6pD7vmqqpqp67as6VnVcGjdd1zYcQ4xiXgeZNPV4VKWU
UNDRmpqkQiMiZjAQhwBYiyxVVW6nlZCMQnavhCxIQBzXdWCOgesoEL7wyawiYaSBmV7ExmGqNCZ2
NWaGkihddMEVZ0vO2nb9oqAcHNCRrXRSL+ZS99IlTmX57GYFukMcd57siudS8OVggQUBzcDR66Vl
QEIgGXq9h+KNBYkH3dzRmdgGZcN/H1dgVtgBsFBKhzHWTIVlcbgdorVD+7mXNnX4/KRNYjZkUQYB
FooB2Axg0fY+LPEXchy557L+Lzma4tUZHI9lEX8kHi6AGb5AAR05bIfXJNFR0/xCfR18jz4kIWGh
MeJRIX1hBi7aFFzdSbB0twynLnfwIyhuKaR1Pzp00tBfYm5uLuXDLM2o5XxsVrqohjEeBkzIYPQo
R0ksNQCDlC0iSRUAeUErKezbbIYAriZAjORMhfHDBLs7u8iU7z0o5cJWugfNyqDrCyhTOXoy4tbr
f9w+eUIAddd/9tn90Bzk0m3g2HX9xQvn8HNo8PCDExABHe0pFsHawSRcfJgxynhcA0yYYTyOGxvL
070rD+7cPn3mZF1VHASYbfgwsWRly80yuHPLr4gQHIt2AEfhXYciQwUWMGN0OFoxLDCjaBCFvXQh
qB1lvFWNCYDQCExBhzEdJQQ1NTcJ7I6LTgND93JtO2CRmM0H4mVZnaSchamqKigtBuSF0oTgaoYs
JQxriA4oHKgE6soFwJzNTZ0BAxQsMBe0ihXjf+k9DWw5F++uRFYzN8+qzEhIpX1eVRflRE4EQFCU
CmYpsxWCE7mVRDIzMw8WhxImYDb/wv2lYxEvRRdQbOxF7yR3tIHaAkSklMsaqKhkRWE5s7n65994
/vpnt7aPbVUhFDthOfQ7eqGDEYG755QAXQKD9jrdi4MY61vLceXymWk3Y1gvTM6h8Xe4PX+PQ7bw
iRQtUYsoRKSqTEP7EAxD8BBlHKrUEGCQ3ouRcmhYYS4ksOH5AkUmRSpjMA6fRrmdsdQaDVrogjYA
CztjedwfravKA6jsp8qLoOirR9dMeXDZ0NlIxctfpgsd7ppFZ8/gsnUkdjMqpn84yoxC4XRayrnv
Y10ZDKR3dSxsl5Lo84EedKRLoxQSeBH3wAuZOWlm5mxanviCOPhKzStkRHJ0dYCB6wbIDIPF3gtf
JyADGhDmgtECMANFRHMG4EHEs5KUns5nKxtrcdRIVQ28MQDkkudERCnAV1iof1ndmbFw7LKJEIHU
Uk0my/28I3dGymosnHPxjwIymULKGRB52LiUNawvL9V/9GevfO8//erGBzdufPAJWGd5CtY6zP7u
b/76r/6X/3H92IkCVyvX0tG1wsToZm7loV1WFYV5q2BWYN+Mlq28i4mwpCPL2Nlnc0ckUdNBvGU2
pKQlDONI5F6kTycDZkE3M2MAGhzFhR2HTMgAErCQdxZXLCEoIkhxVpsWnm52UzdhRvPim5ISYC4W
D6IuJyIWonKayFhcx14MyUzIMLiLSx5E1aoYU8pMyIHMtByPwV01l204ICZ1iUFLItYMmXzxmFoQ
6cmhwJLUVZmYgMQBs+acE7MAgLCYfW4FKDpPeUKoqbqSkAOo2d7+lGcpxngwPey7PjD1KdWVAKKB
SSVJezcv10JWY8JhbwpYSjqS5r73Tvvd6eFoPHEQQHHYz2o554rFc3+ws1tPljqgbD5PaSlGcqhD
0KlUVbx05dzv3nn38Z0bf/O//Uc3tZyff/6Ff/0f/u0v3/oA+raKstQ0SzGiiCk68p3bt3/18/c4
hLt3Ho8L/E1EwVPO12/c/daXrjz78uVdwLcfPTFNTV2fvHzp/KVzs7r61V//fdu2FKTPVlMAIM/5
9sMnXZdefOPlvLy29dur7WxfRJZXll944fLypUu//Pk7s92DpeOboYqTySSMR9ndSdquu3HjzuMH
j6az+aOd/Yc37770+PGdO/eZ8dWvfUlGk3Y+v/vgcd2Ml8bjjY0VibF3jHV15YVLb3//xy/ff7J7
59Hlpy+2gp9du/Xs6c29nR0RvnHj9s7u/tbqWueJY0US7ty6feC/fvxgd/MrL95/9PjgYBqquk25
A3336of3ej+2vfrsm8/vjFduXv0QqSOJ1Fk/7+/duv0/f/frWy8931n4zd/+zaVv9LEaPfvc6Zde
efHje7sPP/ytME7qJoQQgmS1EARV1X0yGj2ZHYYQ1pCmOovCMcZxVSVESxmjmMWVGB3gUL0Ksjxq
xrFC59TOAbGKIcYqAC2FKDFaYzNLS6OazddifUgHjYSejIEmoZmKJYcqxiaGOsYqBAzsgCEEQIhV
NWdgiqg9EgkhCQOiMjEzxdhUtSXVrL1Dq96IoKPlpO4SAplz4C71uZJZ7oOLgkfEQNwOvA6IIcz7
ec3BmTNAQEazhii6R7NRkADWCGbNmns21JyUMZvNU0pJ267zbF1K866bzVvTdNjOa5KsOuu7va6t
U5olrQVVwU25tO25M8JSjMsxJqJRHWeMmfJSHSfW3/n5jxypczQkdx8FWh5xylnBlTBU1UE3RUQn
blM/CjTtczUJCRgcNVlv4KjM3OdkgNndLSMjoJtpZGEiApwdzh9dv+t9zwEuv3hu5exmM6pGk4qX
6osvnpvP+xvvfQrod67dOXFqTS1r9g7ZVHPOatb1fdsnAZj3GdVs3k7nnbC0XZc0Vc2omydx6tt+
PB5p0sNZy7Ge9WmUre0Ve3VVJ84IszbHaAezTqo6qUHfwxeWSyHCcLgr3tmCySVEJokxwKAcHFWK
lHekcZCDg4PZtes0jEwESCmphLA0HpfSts/BE4gG7oAkUkS88cpKVTeg+ciIVfIYDuCOTTPKagpo
QG3qbl6/3nYdsSCWrgjqu340Gl28cIaFnb30y5XzkOrA0UEEt4Hfb66+iFmaGxDjkEgq2mB5U1Kh
3hfnmw00jRLKYVjkXYY2vZIYK56msh9HRDBGHthC5diFRd8DRyjkIR+8QgUbCL7oaykn0EXvWQmO
2uA3XoAMjvy9jnBkWcRF+ygRGZbObqfP1/l+pDEONZMLW/URbpcWbKQiUg1kZiAnK8gdACgNMSWb
BEXHHur5Blqp+xAiOvqbFzgSMDMpsPyhc4iKhjN0PJSvUMRDQHSogkzWVw0KlNKJSUQKf3u4nqic
a6E0ncaqOX7xMl10xoK7LRkCGirlkIYyAPAj87YDAuQozESMRe8oNm93R7WC+qSKQhBummpra8NN
EY0GIxyQSJnTTK3cdMMOBQuAl3xIliKTFJE4ZwcAYiDH4vlkQCjtBW5CPLjByhbAvFh5FxsiVFgY
ucGtdNj60GhZoG1lrxEl2OIaKDugsq4wp94WlbMIBgDEljOyuGnhkRA4AhSn4NHvPWVDKeIVlfpz
YWQKvSYjyOpQOr6G2LFhud6Lw5w5m5YhpvglTFVtuDSklB4RIbipLZzoA/BW3Q3B3EUIgcC6wsDM
OSNKuTXyUGStxKyaA33hfGkkTAZabmMiJxr8mwNdtSyAcBB8CKxsDUqYm2myNFpdHkUhpiLID6lv
KxY+GsJy2vcnjm+NzxwXcEHX3B0VmUSRgzaTDDgwBbt//1E7mxdKdhGG1Gx9beXY5gYOP6APYuNg
3XdcFEjqgMU+KhAGVcMi+pU7dsDRoA6Fm07IRGUNMQCuh60T4BHz7GiBNeSFh4gd2lE404etii9c
M58/JYekKC4eFAMFt+xIyuthGJXh8z96xDOi4Y8CFp77IsArJWBvLsR9zjn1FASEF0YTUHMktMU4
Wr6XQESI2ZSOes4IF5WSxbZqBgAEhpBUGQjcw0KbZSTAgj5CAzBwAIwilpUBAZ2JbNgImhd9kACI
QMt4DVq6SYiEaW11ZXVleXVleTwa7Tx6RDkHBGQmxE4VmdSNhdDL7hZ759apJ+mzgmrTxIB84dy5
SbP0wTtXuSrBDszZgFARiFALPN8ceNDeJbDmjESEsHVs9a/+h6+99/61W7fuTA8O0NKT+zcPHu/t
PXn8vf/jP/75//g/j9fW+9QDsgiZahl8yq5BmMsjunTCQ/E1MDMhGFjJgQMU9m3Z3IE5MZfJcyD9
gqOXi60kkxGdjnYWTBhCiYEAE6Mp+pH8XqBzSOUKRygjnw3AZM6aHFBKCx9Ryn2xPqRstciivQ5d
y8ROhRxeTE9l8YrmjOTgahrLg9SdWBzcTcsbI7spOBGrZRLWlKWEfBgHaFz5uAicyBChhFyAsOCO
AJklpb6QJIkWK0kiUTN2AqDiGHY3JgpSZQ19yljs4AsrkaoWh0Yzas6eOb132O4fzB8/OaxCtbY8
McPsntFNTQZjgCF4n3MdhEWQEjIDMbJIrIA5u847rerJibNPA8WUrIpVWVnNZ9NHN6+vMU0Ck9T9
wSGzIFIMEZHnvU9C/cqVS/pXf/6Dv/7evc8+ZvRnrzzz53/5ZydObulbVw0pmatZSpkQLSVAOn/m
9J/+8Zs7QvvBn/z6AwdyR3XI5kas2Wd9FnKzjGCgNh6PmGVcN1Aqdc3doGIhigTAgQo+uO17ACc1
dJcQXIgQnGPbJVXvsmezGjCIZKb9Nl3/5Pprb7x24tTJjWPHftnqZ7/5YHltbZrTfD4fVw2kXDFl
8P152/WZETXlrHr23OlfRfnh3/9g+vDxia+9lhgdaTwar26srWytX7zyVK6DAfY596lzonMXzr/8
r/8EQ/j1L945eeVSXcdmVMVYffVPvjVZm9z9xdv9zHM2QhBwzx0XoqMZOHaaU+rVLKsddHNwlBD2
ct9H6bquT70jgnoi70sZklqb+ypWApRUy02i5L1qMNvPSbJWUCX3aeprkrlqY2Zm09RxDL0aqbbu
mDNxnLUdB/DcFZVgP3UjTRltnnsU6nLHfUoGnedZ6pLmaddOuEpJY6imfQpNk1IG5LlnQZ61HQBN
cy8i2VIDbgoRZD91pOCsAR01MSGp1ch7XU+Na8qBOZjVTOJgiOUQ0/Y9AChY1mwEBlaYE+VEkfrs
NSaHWZ+MqNU8R3PTgJjdIwc1qGIlJCFUHlNV152EpabODsQUEJsgG0uj2fRwLPEwhEls9q1jiczi
7EwUJPTzuZsl0y4lNSPI6+PxlTMrsRk/OZxbvQQcc9YqRk1t52xQoVE3b1Gtb/tyjA5MkZDdakJ0
qJinaszk7k2I065LOYVR086mMcYS8yB0c5/ut2k6A8irm2snz27HjRUzNcO27aQK2xdO3froWmrn
uw93EQVRYuSmrt0SI1VVVTcNB9G+56rqp/NQ1Utjj0HqGPqcmvH4wA6WVyaHeFAFwsh1wKVRzK2M
qtCNqliJZswAozpaqpoQlsejJkSsaxbmL34yG1XBHFiCumfQxYlLCq1oQalBXRSZls18XVUxhMXy
GxC5GH1LkvNImypipg+lGoVTACzMPLIYmY96++jIsFqaJKfTqZqb+aMnu/fvPnr1Ky8GEUAqgNJ5
27311vvHj62trK0O8iMiAqg6IPZZc+qqWGIaxXaEV3/36fbm+sbGphp8/Nmnk7pZWVsJyHVTlzN3
drt55773/YWLZ+3zdf6RpbVMWYUu64gIBkQlRA2DslrmD8S2769e/ejihbPNaOTubdtWVVWUtAEN
sqB6lO/cSiHW4ixZvMR4lI8aVN9hLi6iSDkulvd9Vvv0k+vnzm6Huh5ipThE7xYK4KBqAMDgD0Qq
RfUI7EPl6cLWu5icwY9yofD56bKMlEd1owv40MCoXPwuwL0AeLMt6FC+uAaKZVd4OIwSAYCV+JZ6
CfyEICUNNVQIlO9nwDz5YDQtsVcwQKTiYPQydHP574Q4qzIx+GDChOEPDQdoG1rjbRG1tcWxuky8
zixqimUsh2F+Kpq0Ydkyl99/8WuWz7N0miIBlQOyWfFsM5Np8QOUX/2iLlVzEqYiYJYzOgGIBDeD
ozM8MYAruCAbMiCYqxqQMGQvzeoG7u4xSEopCBV9yd2Eg7sboLmLiGYvh0J3JxLA0kLgXD64rIQ4
NOgU127g3qwMHkyEAOoKYM6UrEzPBKbMBDpEtEqm2sydXM1EyK2ItsPUW47m5S5zs8Ch2MWDcEFk
LTz5i5Q1gKqXM225EQOXBhstS5CcdfBIfNF0vbA7EqAj9aalE2tIEZRMJLo7KEABshDSAuFbPHpE
DiJSmpltWNwguCIOR3LLGRw0ew/aa6K2G4YxcEDq1dWLfI4G/mR3/723333pSy/HEIiodHs83t//
+W8++KNvvlE3vHgE+wDsZATwpElIkAYZsO36e3fvnT1zCom7pLeu3Tp9epuQREIZCQChTfnW9Vun
Tp6om7pMW2VMAIfhNihb4AElVVhrC/bYkJYHIs45f3b9xrGN9cnysrunlIIIEvtgM0ZYpEAJ6Qh1
a2ZMQ9DDyzKEqcDMyhhaqBzlsfP7bPDD2eze/fvnz50phnskdIAQY1XUS0QA5yBa/AVEDm44bHIQ
cGFppvLXLhxAQ7KxZJbxKMhSipCcAQdJq7RZZdPysSQzQM5uBaWGjg4uSCnrUWnQ8G+otMxAYHGA
3pQZm3G9sr5S2gdyyg0PfVoFJqcAgKRDIytOZ/NcbXx6Zx+w2Zu2k4PZ+tnzdQjtrMvzvL+zNz6+
KcQlIlEUPSJGzEVscwSFItZB2W5ks4hY1/G5589vnJg8fPB4b+dJVTtTnu3v7D580h3OJmsbggQi
R1sJM0ckh1J6N6yS1C0IiZcZnAHUAW2x1iEo9plSS+yB2QELqaFwvwuiolx+REQOXGho4CFIn5Q5
uKpI2SaXllcDKM1bXBZHFbEBOagDgruEkMwIULOjO6MQY1KDQWst8RNnIhZxd1cVGrJCxTNVUi0F
BVLuTy8IIRE+4ti7BxHzQZkPLEKsKSNhaawttdtlOvVBCnZTG4wEiKomxIAAZoQEDO6eXQUllFeE
SKhC7Ps2SGAW9daRu9THQGZWN1Xf9yCUkiITxjg9TD/77e17d3dCzR989NEffuXpzfVxRCaJ0zwv
eK4YIgHE8t5QYyQ3Q4BA3IM7YDZ3wNWVjZdeeTOZHc4Ox+Oxu8+7tu/TvRufATqYsqE4meakOVnK
iNPS0A3+8rOXJk39t//xP63V1b/5q3+9tb0pJKM6Yp+ofNCIXc7ZlJgicQTakGojNocUmGBUSQIc
NZPLly/86t2P21C/8+4H8/m8DqHhQMRIyOijehQ4jJsmUrUEMSILx9MnT107duIH3/vp6pnt+9du
XDi3NSJyomQgIqM6Msn28WPviXz4we/OXjx/Ynt7nvP9R0+mjw6f//Y3lrfWhcP9O4/vfPS7Lz/3
zGhr84ff+9Hm6dM47556/tLSyvK1D6+vb59iQANZoiYuxXNXrlz92x8+/dS5i09d7hBeeu3l2x9c
HW+tu/n88PDyhYsCEKJwTyFIINlYmXzpm69/7//+cX7y5PjWxu2PPjv/7DPXPr6+/soLL7/8/C//
t//8zn/75We37kx3Hi+LrlRVPggbS2uvfOnFn/z4ly86/u7Xbz/99OW11SVhLCbwWIc5GKKnnCd1
PNTkpg1UIjzLXU28xAKqDUmXs6ubAZoTkzikwdquAaVPLeNkiULBSZJZBRgpABIxeuCMgMQCVAML
YjQQRNMsEsp7MRAAUMWM5pEF1KjoouhEQISRWB0Esaqr+WEqdSCVSBOiYufZo1S9dhLYmXo3dKAQ
kMVZnFgJFdACe08hRi2oVhKpKgVUQnXr0Qh1qR5ltRhidIxO41jtMcfAkn3EAcRY44SD1mCAddUc
zloqZ1MWN3vy6FEzqbXtyzAUmKfNvO/TvO/mWdFaiNSrUVJt+8nSCAFSSm7GCAweAZOZgC5XQoFm
genYidHWxYNpXlpa6boZSzhznu8/arPcX15ZGS0vd12fiRJAQjSWTFiOAE2sEFAtKVKIlagjh7pq
qhhRjVCYJUrY7aaWEyJN1iarqyu8NNbUC6Myri6Pw6n4dozt4dRzQnJctIOquiF1vbWS1SygmAEA
5+xqOO8TM81mMyNu+77O2qbsLKY27zsgafvUpTxvew6x63MC0+yHXWtMbcrSpy7lADTvZl+ce0SM
5AV+gsSCNrQ2IpQ6hzIwUKHTGSCFEIrTCZlNHYDAnHgIwPjvdRuW3Tb4kYWxnGbIzTnGBcuOwECY
3NzIiahQ1NUN0FV1sjwajWpwJJLyJ2JdcyUwyJvYJf3d7z45c3I7jpqPPvpk+8SxIBJEBlEBMatd
v/NgFOLq6pqaP3y8k5uuWV5iGXga7gYIj/cO5jt7Z8+dAqaHj548efLk2UsXiSWZvfX+hzpvv/Sl
F+49fPzx1U+++rVXq6our//D+ezmtRtPPXU+hmiujphUP/jw2vb2sWrUuPvhbEYiyIwFgQZW3qVD
IpfYzT67fvP+3Tsk4eLZ01tbG+UoV+SCcta3Iec5eCzLePvw8ZO+my+vrv7TT9/6q43xpI7l8F8s
u1n1qGt+0d65UDfAB4cbDDChgWVqQxKsnPr+f8uqqmVagqFeCRHYF11wi1DcAvJbxs7hO/HPd8Lu
7sBEQ00YYHGeEZFZKbyFQfulhc+6/M0Iw8naEdyY0Gw4RuLiuyqeaV/UwAy+3SObo5fMKscYh4wu
DkNXl1PhQhVtRjWXPXbpKjBQZEZE1aRgjgXLAQRUcsZMNExfiLCoG7GFnAXgMYRyvFM1RhBiU2UR
IkqpiyxlEss5A8EgPQypOQUgYelzEZbLMddzVkKsosy7HkuXTKlbGG5glyhZ1R3NTITdTYSGlFo2
lmBuVDr3wMpBHwmzGhFlcLVsJRrnAFZahYfcZDbLZlXdtG3HjNmUCd1BhFXVEVlIcUAJF7t1cSOr
WgxiruhgqgxUEikEkEwLzZWQzD2EqDkNTCxCIFY1ZClGe1Ut+Wp1UAQ1OPKzfwHuUQhswIgGGGLw
RaC6VNTi4PZ0Fs5qewczHsQUVHB377v+KKntR3itsqtysFJKRBxivaPU9YmsJNkKB8jV1ACrpSUF
Ktr+/uHBifWNja11ACxFoOZeLY/fff8aeun+8FnfP7h3/+yZUynlu7fubR3bPDyYHdvaEBpKwuZ9
+4u33t/a2oh1M+/7t3770crqiqmur6+VS4qQe8u/+O3V9fUVaSJk/+TTz86cPtnUI0fY2z/46MNP
nnnmklTxw/evntk+sX58q/g3zP3apzdObm0uLU+yajF6/Ob9j9944enllWUz39/fH4/GzYgQSRd+
xWHdU+LuhJ9+emPvyWMJ4cyp7ZWV5bLNLOpZMdyiuyyApWYDn+j6jVvrK8t3dg9+8fNfnzl9smBj
SubeAEKMQ/+2GQEYlrJNyMPKrIQ0imHciyGzWIzLHLLAZaOaA0EJriOiAi4EfBjs3VSWRKiuMFjj
EQyyOwO4+XCFEJpT2ZVkGxpSB28zlCg7tLPpwwduZuQYidaW1gp0TYhw0MDAHJIDOoS6Pv+N73jq
wXzWt9O+e3T/sTCzU0Be29xY3lgHAkHC0ghqPpggBk4fIrAhZM1MjDQUESNCU1dbW5vNZGnenXAz
sq+3hweR8eS5C8UKoQTDrhMhCA/db66uuqBbQqEBedZhrQnEjGVwHZ6/hIScwQFJzdUAEEtRS3na
C0rKZenrQxjYrUsJUAq+mLFE9ovjqpDJBQD7LkklZjDsvnzYxC4ggMDC4J7dmIiZSo8TE4GjO5q5
mcYQyq+phJjKlVegRKUD3MwWHn0/8i7BYk8hQQp3n5BApE/JFlXhXepZpJjay7KOmcti1xZdd8Ls
BfhWoq0O0qYkdQ1oOWdhQcTUJ+Gohtk9mVEupuES2maM1GVVsI9vPP7kk4fra8snTqy//fZ77169
+eZrF1kwMFcSSvtX13X1ZBKEmRgRzLRQBPq+BQJidsjqrC47e3uPn+zMu65pGjVTzZPlibEolklP
AVCYopCrxlD1iFlzCFyxPPv0hdX/9d+HGI+fOJ5TSjhI4SFIR0AIq3UDOb/x+gsVeCKsSC6cPHHs
D5rxePzMhTO+vTVp6tdefe7k5vrO3v7y8qRrGqbw8ivPjpuakbZWVr783a/x6tKbX311tYoxytf+
4LXl5XEcxa9/9+t3btzqe91cX+dQn9w+8dU//nq9usqAX3r58krTbJ469gd/9HVQm6dewVekWh+N
vv1HX1vb2kDCGPjFl5++vdGsbW3+8b/504e37gLgyvbW5vGt7/zJH+w+eHS4e/jM+XMXj23V1YjI
v/rGy89sbSyNx6Om4ZxeeeP5/uKpx/cehIqvPH151DQlrFBX4dt//K0VRklwevv4d//iXwkREz3Z
3ZkfTq88dWH79MmTdVz6t38639kfNfXSZGnMS5evbNpTx6tR/fVvffnGyc2dx09eefnFK688d8vb
b//xN7cmY2C88vQZlW8TVxgxuUMIoN4DGHlicMIqBGVydGauWGaMimjMalDXjbZzV8PAdYwgTFFm
qRNCCsGRW0gVwAzNCUOIAJSSsggHUXBiBuaqqmfTtgRDe9WRCIXgQTzlZM5IczcEI5bIooDTtgPw
BN6runCnOgFIiMl96soATIAEoxg9W/I85rhT9B+iyLKnmQHJAIH6pNVI0FzM3XNAZ9PgGNTM3FNW
lt1+Fqp6lvpZ109zZidHOpx3HqOlbO4Zw2GflrMmR3Z0wECyOpnwMgXh1KYnjx5HZg5cNxXpfFI3
GaHPWleNAQlxlFDHqqnqpqoRKIb6wDwwkXsjVAmuXrqw9cw37z/eG42X0uFBhWQE83n72a1bzJRy
HyOnNgeicd0QAjmEAROpQMgMbTcHIrPsmsys7VOfc3GP9F0vLMVG0XU26y106gba5tSbervz+DD1
PbixUJuyuhNSNicSJq6rxoYlsTmiIRACCZUSYK+rKJQCi2BVibA3dRXZx3XAXEWCpTo2MQhh51aF
kD01dWCMTZRaRuq+VE2+6MlMYgAHYlEzdSUCJjIndwgh5K4F8Bh4iP5zqewufHYsJzbNziIFrzrU
/A2wU18Y4NAdBLi4ea1kFAekB8IA+wego/fNQrSggYfJxIOLuIwjbiwF6WMIrDl/8umt9eVlbqpr
n94Yj5supVPHNmdtf/fO3c5gbXmSzN57/8NbT3bOnDyREbPazv7Boftoefmzjz5VB0aEpvnk2jWK
uLQ0OZxN33/7ak14/sKFjHj9zv1r77x/6vT2b95674O3rr700tM3b9/bOzhcXp5Q4B9+/8dtOzt5
+uyd23eIw/rWxnQ2++07746Wli9fvvBwZy/G+PG1m+3BQUa4cvFcUrt+/UafbXtj9fyliw549ZNb
0WbLWye+91+///KXX+nabmtt9cT2sd99/FnO/frm5uHBYdu2Z8+czI5379xJBieObb79wcd3P/34
K998s22n71/9qFp9fPnC+XlK927dFpGN9ZUnT/ZyzlsbG+tbm3du3pkeHm5ubYyXl25duxFFzp89
HWIU4qPOj8+LZGhIpfJCGj3aEPMiJwY0tIsPxjktv/SFVxdLfwCBGYrA7/t7F9bu0tI0DJ/Fo1Xa
OIsdzp0GlExBbVqRMX2QJkroF4iHXjl0pxKQhd8Tn8tXHMSZQrFxcxdmGYAixXGoiM4IDhaEkECH
JTIyc9aUytxVZnoSAjfwQDQAnxaY0GJmJoQoDAM/wwGMkFCY3FnYzQLz0TxMyGo5lPG0OLdDGAqY
BpooePlAEETYAMw0SODyDDFLOZeB3xcFg1zImO4IHqX0jAdmtpLWNSdhRgJzRgbPwhRJ2B3Nggjm
pAAyVAABAoI5IsiwbJAC5A2ICtaMYkkdkzsLcbHGM7U5E1EUKfXSVPKZwNkADNQs5VRopuZu2TT3
RMBMZt4nRabUZ2EZzMzobk7MljXnHEOIwjn3KWcULmGD0sn3Bf8hpuKBh9qZkYQKkmrw/BMN4cq6
ae7ev3+U+IbhOA1LdSMDtGwognZ3YS5qcIHajpeWTp69CG5og6u65FSLJB2qqu06IirkLRoKYnnw
CwOwoxaFFdwR523/05/+5sTm5rTvf/nTt77zr741nc1yXr1//+Hu/l7Ktrm5fnh4+Pb7V5ul5e0T
W50aIu4dHo4mSw/vP9jf3c3mG1sb0+nsN+99OF5dOb6x+vc//MnrL1x+/oUX6lHzeGf/7/7rDxBg
vDb5P/7P7/3Vn327B3uys+NEp06c+Nsf/PSFiyefe+mFvd296Wy2tbV1MO8+uPrxg/2Dc6e2Hx9M
WcKdx48Pnuw608kTxzGEWzdvZrWN1eWzZ8844NsffLQmCJPJh3/7/edee7Ht+uPHji0vTz7++NMQ
ZXlldffJjplfOH/24aMn0/09ZzlxbPM/f++fL5/ZGp048eDBw7ff+93K8vKZMyfv372/d7C/sbG+
vLJ84/oNZj595tT+dHrz5i1kuXDh3M3b97vZdGtz4/jm5qIkGcpOocwY5S4rjnorDepDEpzKhFBc
y4OYf5QvBETi4ZlWMo0lBA6IJUiPoCXiaOYOBm4ATMiFbe6OAJtrq+PV1dLjFYHYYNCQARiH/1+a
QQAAiSfLy6V9a+S2gphdhSUAkgENMXZgLAj3QUomJUdjYYfF/wg58BATKII2USMMdRwBMgKZC25H
RELKaiKULJdNpRzB/BSYpQoEqiXMUnzR5VYVZHV3RFUNzAwIZuiOBKDuaH3WMJh3gJkdjACTqjnC
QH4eJHQEyGZILETZtRwvCJEYzcDMs3usIpZkB4CrkgSwwUk0lJqCf548R1QzYSREy+AOWuInA5dr
4SUHIKKUcxFjrbCmEblUgnmZHnVoa0Moi11E71NCRBBCH6r16rra3Zv70KwEQ+KlbKjdioVqKNli
PEoyCHCpB5KBcYjs6F1pmEkJAEOQINQnLQ8eUAfXqel+n06cXv3SC5eLr3b3wcNQhxAFwdGAqYCy
HcncFRxE6ipGKtluRpbATK7IA7CYR6MRCY9GTc455RSZojCogQHHaN4iMnNAiqPl8Ufz+YefXj+2
tebQxaZaX1t24ZT6vYODdtY/vvPguUvnUsoOkE2FhQlefPFSztlyRsLTZ074mRNcxXMhjmLFxPfv
PzTLZ04eu3vjxsmTx0ej0WRzPVZV6rpjG2srq0s550tPn4OUA8nylYspp4R4Y2e3riqABOZbZ8+s
TJaff/aKCEekp86dGo1GbvbClcvNaHTYzhw8EJ06tnn+5LaC5pTV8tbW2tLKCEPYrGRtbXl1Mrm3
+4gqufT0henp46NmdNDOGwmBuOv71Y31tLGa+pQ1EcLWeCmur589fxoIq1jtHRwsxWoj1ruuz798
JcyTAI5YLj1ziWOwlFfT9rGlFZ21XFcPnuztT+dPPXX+4c7OyurKyvLpuLYam7rvcz1prrzxYj+d
SRVGEtupH3/lWe9Sp/nZUydnG2vMTAmz24irqXfZtaIQgTvTXi1BohgNoXKcWa5zClXsZ72k7Gop
65xTYFbLYJZyziUHh5QAyLTEyMm9aGVa12qZiSogMsDsZJBziu5d7oUmKxgsq5qrJqqqEdAa8Ez7
2sHRWEjcgCgi1iQM3ADtqjJCYEZSQlDXw75dCnXf5l5zqzm7Z7c29RJCl7OkxOa9ap9Scpv1fTIr
xZuWs4SQOSsgqgOKIYJIFSu3WWSmIM1otFQ1SmGa+qW6Wh7Vy+OaCWOMVaz6+Wz/4eOc0mR1pa4a
NU8OGXDWZ1U/aNtYxy5nzUlTwtQvA3UpH0xnXZ+WmmredVlVVR3MXLMbAsx3dt750S/qqpnNDmOU
qooXLj/lXc/m6pbVzRUJ513vMTpQKoEwZPNCThVEckyB41TnNQmzEWHkCI6jwPVk6XDeT/faNE/L
m9Etc6wCUkq6f++x9omZNo+tjeu67RM61FWV+4TImnQ0brJpqUpwJCNM7gbUm85S3pzUil2fPWWT
GNqUetUKoM0ass97NUlqmsAdqFUNferajklS7tVgVNEXt7IBGTINZslyDNXBe4iAXkyG4BBZmFk1
82AGW6DzYsHcDBxe86J3YRE0ilmxBAl1oW0xUqFcmjmTFBnQF+8PBNQqDOBeGqJQQ4udAxKhGwuV
fj93ZKa2a69+9MnSo0cPH+9kTddu3BlX1btXrz135cK1ew8Prt9KSKuT5dHK5L2rH4Vx0+d05/4j
SL3fe9gAjFdXfvuTt55+5ZkQ4vap7Z//7K1nnr20sblx5szJongj8tLq2j//y2805bX11Wy6vLaS
AX79899+5WuvrK6vnTx14qMbt2a7uy+89EI2NcC1teVHB92nH3/y6e0HdaDfvvvhpeNrnVQf/Ob9
B7P5U+eOP9nf/+Tm+2efOg9Aith3KQj3fb+2uXZ4cPiTn/zyD/7wze/9t3/5s++8cfWzW7MH985c
vvj9v/3H7Wcvf/izX730h1//x7/7x/MvPbPXNMdObCVVV79+/X4+nL336c3nLp16+GD3fqCPrt19
82uvHO4d7M/Tz//xX15540v/8F/+25VXnrv2wccvvfzc/u7e+uYmktPC7ryQJX0Idy0M0kcWU15w
MouLeKFMWln6FnrNEGH9nJuMJYBUvKAGntVwwJzSojhmoCq7GQAECYbOhUriRYXggY3ipAU4iUIw
VOksAFMeRBYeRPz/EsYW7mgiH2bqoS/Hi0F0MCerOQ4RJir1YI7UYK0AQJhNuUSsFwAlB0Mf9OQS
5S0vXCryIKKXoBqLD1BpLA6x8i0yFU6WE5JrUUeHIw0t/gMH14IwAlQFRypMoNIoxkw+hAUXW4HC
S2ca/tBQXUvqnk2tRD0JszqUWgtwRgez8hFn05pAF1iO0v3jZgIwCEDoBqW2hfIi52xmguhgJWVK
whMkVTPVQJz71Pc9Amm2WdffvHkX0MHV1QQZHS1r27UiwrxIs5svJgAoWXUiyqqM5EgMgOjMUPze
4EY0OJK/0D8GHogRQJAUEByEUcvSzZ3K78Ctisw0dhj5UYsSUzncywCF8SCSci7sH1tsZIp2LiJx
uSrIMjOjQcXHbFAOu8UVbIVJZl6Csl5+A6WoBFw1ETZlhXR4cPDJJ9f22+7J/sF0Pv/NW+/Xo+aX
v3z7S68894Mf/uK1V59t+zweL3382a0xIhP0Kb312w+rZvSLn7/12usv/PRn71xJiYkm49G9h7vQ
tePx0vb2iaVmRMwiMlmdfPC7j0ejZvvk8Ww6Whor4o/+5VditLy8cnzr2N7+4btvvfPG176ixQZP
vJ/07d9efdz3z589+auPP9sMEjbW7/363cOs546v397Zv/nRtVPnzpRbURC4jqa2trlx5/7DH37/
x1/91lf+83/5wb//D3/+jz/79YnViWO8f/vXT+azMSTb3Hx8614cj1Ymk3pttZ120tR//w8/+sa3
3vj1P//sla+98r3/9L2XXn/1k/c/fP5Lz832D//h+/98+eLpm/efzJ/s/OLXV7/xB1/eefTo2NYG
E2U1QjI35oJ+dXcPxKXluOwFDCCZEVJyc3dkdnf1kr52ABSiXFTBUtpkXiYKYgLzgv9lJHFz1SKt
A7Gac9lEOxCgMDNSHcOs64nZ1GIICGCaidHAhdDUkdCNCJEBXY2F+pyJmby8N8GhpAVLkZshkqo5
DpVmpTC5iGpCxY3BC6EPjkZTRgf1qgpuzugBgQdAwODyaHMuXTuMwFCYwRaYOFC24csBEosQQNay
nPayfabhFUCDC5cJVUvuw1wZiYBkuMHBDNzB0BkcAYRKPNaYBbIhllm1JNSBiNiBCc2VCIOjl2Dm
0ME2tMiWtxIHLl2e7oYsOecQQuo7ZHKAZBqCEFDpkStKcukjOApR86IzXBip2Bzdhs0WDjR6CEjM
kHPxcpfzlDAPGMiy6CgvDyoN9u4GBZ1dbMkFNyhF069iSH1CpKy5JEWQMMTYd51adlAW0k4jC3hG
4RDDma2lt3927fGjty5cOP6bX334pWdOgWZTDMzgGgilNDq5m5sakUOvajkVm1zWzIUpnpXAR1WI
YTKbC1eSVUZQec6Mpg7qQ0EzuHd94hqevXyWc/+bX78/itHMOEifU/EqlIf55afOPvf80+xgAArg
AEEiGhIJMjGxsKgqIQKTuTPC6vLy7buPPv7djbXVjTe//GLVNE5UCtCESLhuvW1inKv1lkOsCIFM
Txw//sm7H3Vt/+bXXj//7Lnerax9hSXGiAAhRkVChyhh6JNlSqaxjmYWRMpzvK6qPqVu8P6hIyFz
qSwAgqS5qeuSVq9j8GzEhIBd6hEhAzBSBmzVGkRkDMQjjh1lNRMRI0ZiZGcPimBMOevq2prE6q2f
vY0K3/mLv1g+ez4dHIy4VunAfcyVVJbAIvAm1bRobBxx1XsnQKMQQCGSdMSBqOawJg0j1xKz9yFG
b1sCqEUiEQOBMC4SK+Oqnic11RBkBevl2DyYtpEpMyw5dYwhiCBRCAd9W8CDGayp6twnAgchFAbF
SWyACJgzAgWeWdcRkARBUeFeNdWScs4QvQDzWJJIcvQQskMK6J0rAHAY1w0rBAkBMbNn0KYKQWEc
6r6ycT22lOemVYxVkJVR03nXhCDkGEkAolDnXkQAQQpMOSsYKLhmzaqcM6ip0zz1h3335PBQROY7
B0lTSoVdKuCUkvV94s+rJDVwEIJJFdVMQlCzOoQqhFEV5x0zE4s4oITggE6Usk/nbTCrl5eWJsux
bcCsbmIyK30JFEVIkjsSV7GqOEKASkIQgCYYuuVMDBzQlJqKOwQGFKRZ11e1EMBoVJ+4ePLjR/vT
w/ybn33yahxjZRKh77obn9z85K33XHtiWNkaHxzuZ3NCCn2YdZ1U0V3NsplZzoU5XoCzYDnEIExu
ZbVqgRFUYwjgRGDjOkSytXETY1CXw65bGtVtN1tqIllfBUJEzV6HL5wvLdp+eWk5MNBAc2emKnLf
U4yh5GOqEIPIEIwr8cNiER3e0cO4YmZIA69FCgcIwAxI2BbHeTrqQHBg4sIMWdhM3R2Yp23bIoII
g+MCOFHeMkaEwtIPa1xERKnqM2e2N08ev33zrqkjYt/3SXW8NFpdWX5ycDiuq631tdHa2vXfXZss
TxgpiOR56+D1uF5eXUZCFtraXN/YWCMRIgosSIN2N4rV5YsXDvan68e3bjFNZ7O33313fXNlb3fP
TWOsmLnt0+rKZH19Zd53S0tLJ09sW9w/uH+3CoLmTVWfOnFiWtUf/+Ktwz4dO7alVXP/0YPy+uTA
9+4/mKxtvP6Nr/7ip+8sTZoHdx9q264uT05uH/vo3gdd108PphvHNlPKp06dvHT+7Mc//VUTw2S8
tDpZGo1Hz1x5Ktw/fHLz04MHj+fHV6sgq2srb5w89ejh4+DAk6XZdL77eGdtbXlzda0/ffqzz+6s
jScLNbtkOElteOUPyagjQhKRmx0FX8vNaQPTVaG0JSwCxgPSE1Gg4J0K1JAcHAwIirkWF/1yhSOo
ONQPel3V6+trTgOBSs1wwSwevugCjVNaagZSCX7OgHYAJnZE04HlW8ZUNSckLqT+xVBaBgAo3+pi
tjMYUtHunlVB2BEdMBViCjgV/AmWKosCFxmA0SWHJgs1Rt3zUPAIVLQUdUSYH87aw4NmPKomS2Ul
wEHK8S5rRqTIbGpEmHIGwCCiBoowm85SOx9vbhhBNjNwESKDQJyzMhEMvFTgGBAgay4MXgMjFh/a
ipjICYDdyUGQFXMZmFnEB4P0sCR18CDsWXmBjSmWbANnZM2ZCGMICN4nJUbV8jmAA3EgV5UgfUpm
isJdVjVQ1fnhdD49HNXVeDR2h7brl0MoQw6VHtlc3OxDe6S7Bwl9n+oYAdwtF/Oco8+yAiDhF376
yeByHGzekRkdmGGggBW351BG6kRCA2GlWAykFEwNKezFs2jh6fVSVQVD8U2pXRm83ACQtQSDS7tm
MYxzU1Xd0MUBgEA0EIakFFUVkilS5Hp9fX2C+MnV64XBM287MZPWnAAAgABJREFUQN46vjlZXmKi
lcnyqVPbO/vzw+mMmcwMHNt5a9mOHdtYW19Fs7qqzpw6gWGvP9gZNU0dK5ESsbPNzc0z507eunnn
4uWnUtZfv/UemB/uH85298ejJoaYVJdGS8eOb/UpL4+Wzpw9nSbja7fvW5ScM4mcPr3Nm1u//fTG
DODsl5/v6ubh7k6huQaWO7dunxxPnv/K6z/+0S/r5aUHd++C6fGtrRPHNvb3DtfqOJ7U442VB9cP
Tl84wydOXP/xL5rRaGm8JJWsbGxduHT+Zz9+6/ade9PDWT+bb28f31hfy09duHHj7lji/TuPz24f
W2qaqqq++vXXdnd2c9tduXLZCJgJjsqiBoAUKriULlYEciz9k+oeaMiiGyAiZHBBJIDi3M9uMqQk
BqOyDzGWAq1zRiSWXOQwBCModqESJ4gi6DasVsELEbBE2cEdCQRgAFq4SXkhIRJCEM7ui9z4gGsS
QizTKVN5dhUIUAgixQrkFmjoayvlmQP/zYDQI1ITg7qbKbGUTC4iluuhNStI20IMpoJ3MiUAA8qm
5eIt6PpSKR0AiYhL21N5lQwQOEIgCaF4DciRShDfHNwCS3YTRnYIjKoaEJhZDcpPV94dhSfvAAwo
hIGoPJkzuEg0VTejoZORIpO7VcIxxj7nkocnRxIhxCpIp0rCplYadBYtd04EjtCnREhCwMjulNDL
RF380mXJV2wyZfmeVXPXllJUQrBsjsoGBGWXiubgZgPxGtHK+DqcpchhoFhLLAkVLwg+IMKUklSh
gJhYSDUNL2YAc48hqCmpXdjeeOMr5957//qnn/zu0vmNZy6dQABELk1i5irC89kcm4ZFhCOX8iYi
Ecnolj0GmR3ug2eG3E735rP5vJtXdVQ1N01dh6kLTZ26lusRI67E2BKZ2+rS+EsvPN289lLuO1Ud
jZt2PicJgWU6nzWjBsxMDVkA2R1EhHIfinXEscvZ0YkpmaIZswP4eFS/8uqzMYSu68d1k1LKbsJ8
OJ8HCUwYkIJTB2DmgUjNxhKWtjdPra8EZiSatXMm4UApJQQMxGoGpqY6qmoDB0tgRu5MzABCHENA
AxeLgEjc2TwAHhtNspqH0j+Oq7GZdZ0Npx6caU6uCBKIyB0ZYxU0qzCHKgB6BquJuWw4kJm5B2fC
IEJuBeWO4BXT5ecurb3+sgBO27YD9GLMILBsi1oM6twIOQ3YUKgd5ui1G7LM+07ASAQQWjA1c3RD
b6RigA5VGZZi7DVPqvH+oR5YNyEJIWRCQMwIZT+K5iDcZ01urQICq0GvFtxVsEfo1A5zriQk6wRh
bhrByYGBD7Nmh961IrSC4yMsZE50J7QqcGBShIpkJcSZ7kV0hBwZ+r5dZqyQO0TWPAl1O02IzugB
vM3ZDXNKANh2PZh1mlvL076d5zTtOgbs0EIym2M37zIBVphB1S2bdaoBxbOujpcOu8wkjsk0B6xq
hvW6GhO99/GnVcUrS+OKOCMGkRAjMrFwaWCrJZRzorpVVeNdYgmWVYgMUM2zuzp6WToROME85ZGZ
u9dVqAO7SROrUEmsYtv1NBwYXBwsp+KoaPu+TSkG2ds7cEJXHUETLLRdonmrju6g2aoQASFZrtme
ff3SbHd276Pbj+48+ce/+dHK+nh5ZenRg/tP7jzQ3IHNNOUPfvqT42f+zdJ4kvpU16GbUx3EqqqJ
8WA+i1EocK+5qgRB3TxKnEGPFAzZUFACBOnMZjljtFZzVTdtlzWXXmrJ2RDYDLPDPGnJ+vX/f6A/
EIjJ1IW5PPvdXYgJqYoxwRSQDVxYSFiClOemQ2n4xt/To3g4XjvNptPpzo7OOxGiIKPx2FVXjm9l
L+9dmB0cep9W1teKSbM83q3UqxAjYgghpUSETNi7+SJgyIuzAjgd/azMvLk6WV6eLNXN1uZ6Uzfr
k8l4aenSpXPvfvDx3QeP1pr62NZmjGEpxGPrqyvjMbs3VaVI462Nd9/5sL/94HDWjuuqnywFkc31
1fXVlduBr127+dTlp5h5fXlpHMI3v/G6meWf/kY4MpFlG4+X6lBvbq1du3b7/MmTH7z3/m/eemd9
fXV5UjPTytI47TZLEJh5eWmMInUVR5OljeNbP//11cdPdjewSMq0sTQenTv/za9+efdw+tavr66s
jMo6fnmpEamfe/rye3uHkeNkrYGl0c7ufsU8CvXq0vLVve7GZ7fHdeWA46rK4+ZLr77QTg/Hy5ON
jY27O7sS4/X3P/rDf/3dG5NrdahlcyOGAIDTw+7B7fvbZ06ZDzwMH0pxBkHIF7bbz0fTIyDwoljl
cwASLLqEfKDILlJl5VTki3zx0MV6VMkCQ3SWyqvdkBBQJMBgzvVikhxcqTgsXo9W0aoaie+8887G
mdOyslbk3NIkBDnf+uVvFPHsi8/Fph4IqQOVR8uByRc4qUJd3r1z78Fbv7ry5//KhqIL/+ytd+pJ
s3npYnkOANhQYLv4HEqtUMElDrzTUhrrygWSA85IzAVEBENRqWM/m9/8wU9Pnd9u3ny9TPuFeAmm
BXkKpoUzOX20c/03v33+u99EYEJIh9P57s7S5npJZporFQxmTgHRNQnLAF51AABTd3RgTqqDW4Gl
9DeQOTuhKxVHK6ITZjcHSFpkIGBmJjI1KURlwqFHHtANEDxE8VIIg1CwVYDoSA6YPYuXUdyKTuZE
KGyApnD3xu3Dvd3V1eWLly4JMwEVNlhSJZISxAI0QgfzUsrkBkyM7oVDVNZSTKEK4O5FbP9iZhEq
bVJASBAkEBX6ipkiERMVMcPMkUqRpIVA7k6laXioDnZmQnBGLnOmkCGCuw4H0BJwKB74RRdxCe2W
js1FIs7NoQfXIywQsDtm1UBYtioAGInX19bWV9cOXZdWVwJXK8uT1bXVpeXxL3/52/u37lx56sza
yjIRj+oqCq1MRk1Vry6PVpYmp0+f+PnPf3vj2vXtl59dXRlXIa6Mm2lqz52KN2/cWp4sr6ysNFU8
vrn2xmsvv/n6l9776FNK6fDgMACO6rqqq3OnRrdv3z176aIz//znv11fX9uajGOMdV03TTMaNyGE
46srsaokyMrq6sUz2z/79Qf3H++ukTMCuk9Go+MXL772tdcfPtn97VupmUAdGyFeXho3XL356ot3
b94WpPF4tLW2HquqqmKs4unt7c+u3zlRhbWVZXRYWZ1cPHd2/uQgdbo0WQ4SuzYd7B3M9qdvvPHq
bH9Pqnp5ee3+g0fsdO/mXXZUNQpDw6qCLwLpw0aVAbJZqQxiJlAt+pgRqvkAvgIQAEHkUrhSLOhl
gEA0RCh1L6WLdUHKEaJUXKyAZs5l+AFgpFDOnGWHNeQEPOcsURAxMibzwENVNhEwoasTeCVUgrXE
TKWEFYGQshfnJxqRmTNDXZpMzZmZEXo15mLgJwEIjAhW5NEeIDMyoACHgvkmVAAzYygQeQuAkQjB
EKO55yIJlG5sdSEISAauiAk8qQUWdgsl4wvuSD14iUEPQ75pZCpEfQUAQEYMiAJACL2ZCydToeAp
CWIgymadZWIpzuHAnFLPIWjxXQO5pgJeLvi0YmcozyzDctsCmDOCgvdm5hZJCrAxuZtbsR8nTQYA
rozORClZAeoGIgLQ0kLsnnJOmg151nWH09nuzq6pmmbPGiW6YjvvzTKVJ3FJaACYOdDQq1Q2CYOE
7EaAIjTsUABchBAZwSuRNiUmSuXQVjYm5cXszkhViIz21ZfPXT6z9sHV3104uX18Y10tAbrEiJYB
UYjrukIiA0ya69EYsQMEYe7aDAaQB9zT7GBv587NpclStN7nfR14NjuchPjisxfns/Zg51HTNIaW
k+HAdmdCjDG45gLaF2FhDiI9SSVVzsk0I2IgLhBkzepiKWdXj1UVIfR9P66qPnemhoGRyMCSe2t5
iamCaH3LBlKMW0DunnIiooya3Liw44vlDzxSKXBydes01ZrLMzdKmKecTH1Q1Q2ZsqlQ6C33rdUh
ZlVRU9Pknt1KPY+adTkn06Pqglnq3ERC8NI0RSwhFAOrgbtZcNSswtS5u8PcNCAJEBpktQDAQATo
zH1KDVPNjEJkQ6VctozgDZKBumYEiMV4hoBuTNz3KQBSUgyGSOyWch/Ahfgw9aI6AsxIs5ScZd51
0FiN3GpO81YcahRQG4P0qc+aLdlSVecuBaC+71YkiltAWnLukHotV4iy+bpU6uZmYOpgNVAFyACQ
s0czAtXsDjXREssjzdny1HpxniULZkFBUOZdEkn7msdmO56rnEhoOu1dK3VMSQnSzK1XRWEnQuY2
p5VYtW3myETkPUpgiowMHLiRsFE388Pp8vJKy9OZ23Ld7Op8UoVHgeqKu8R14AwuIo4gIVjqMrkK
zUznmqSO9fI4AMyLRkiSzXLOKWfVbKpNFbRL5gTowqyezE0CEkIgzJbdbT6bo4E6OpKa99kOD6ar
Xb5//9F0OQH6nNrltclGVYOjqqWUUQJzWKrH88NuEmvOGlg4kvVtstzEmqMwC3ge1TVmi1VlWR1w
FKvZvK2ihAq/8p0X3m3iJ29/knfmh0927kB2zwAK1oO1Tvbk7p1f/8MPXvrOHzpx27VqPpu3bdcD
Agl3fTeKYpYxpwrM0GuEiA7aAxgzdjll0Eq4lG6lnLNlESQwBIScQl1VjGiaU2piBEMAi/yFnWyF
zhlCaf8GAxAeACjlgIsASDwUk5SGkmJDKYf3BXS3+HQMHQBCFZZWVj575xdrxzc2Lp8/fPzk8JPr
K9/+GrOAgjn00xm0va+tIKCbq2ZiKY81GAykxXVEo1h1ud/Z2a/ragDJGHR92t8/PH1ssxhFhemb
X3tFhAHoja+8AgQnT28zU700beqYU16tR6++8CwSAtEbX361WCcLHG/a909fPvd4dye27flTJy6e
OiUhfvNrX0bCje98HQEkBAT88peeI3AJwcy/8bXXQgjHjx9zd3rztRjC1vGtEio7c2rLwZno4rkz
EmRd/fypE+YeRLZPnSps/a0/fOOwS+ury599eq2azYr99dXnnyZ4OoisL0/++7/6bt+nN157ua6r
vzy1LTFeWlneXl/OWZsqsoifPx2D/Plf/Sup4rF/910E+Pd/8SdNU6+s9nb2mMSwv78PAKvLyye2
j80PZ2++/HwzGm385R+3XRer2IyacVM/+8xTqyvLuFj520B5+dx8C783kS7YJSU7OKipR+0yAKBm
AE4OhGjwe1QIWECcF7HSRVEqZVX3wtMtUpcUQC4PZ3lAJHBDc3BPKTEhEYMagmdVCQJElrXr+wc/
/9n68hjX1ot1toxz+7fvPf6XHz7/v/5fhRmyzQ8PHaBZGhNzezgFtT7149UViqEMNIiYZ+3s5mcl
wQwA+4+fGPh4dYwImPP+zbvz2Wz95AlcanY+vpa6lmO1evEsxppZikxGDtMHD/c/uykSTlx56sGt
uyvra83q8o1fvXXqmaf37j3ee/DYAU6//OzG5vqTpTF7AoA0b2/+/FdPfe3Ld97/3fJkqVnfuPHb
99vUHz93vD62+fEvfnvn7XdgbXn7ytOa9fr7H05qQQBt0yff/ycOUiV76luv/+4HP28PdyiOT14+
vfncs+ZYpqYgsVfP6khSRvqULTAJIhOCJimEpWyITEyaXRaQYVUNTFh6YgEksLo5kpoGYVdlRDMj
oZyTAhJT1kwkROxZmclMmYbWe3NXVQIEdTRspx0opK4PIjlrEQ1L4M8cUlZEFyl1f0P1kbkzi1su
6mg2R5CcFtBW/MJLObWSx3NHV7fB/8yhAKJZCCmoeSG9RhEHK7LlACGHYvN3Rih8HkB0N0QiHjp+
ZUAHl6mZiEut6MCGRaSCwywpsqoKs66dzWZVjECQsqrDrO3m7RyKIcC8ruMf/cnXqqaOgH/6x9+I
MX77D79Kwk8/c2E2nd1fv7exsXbpyqUqxpeefxoRn7ryVAj87W9/lUmA4cne7s7Dx+urq8+9/EIV
4trqMvg2IuaU67p29OPHNje/880YgwG88NzTCPA8Yk4dABZUmCYl5lMnj6WcQwiXLp1nZnXb/vab
xYX4lBsSOdH2H3/tYDZfHlV29ZMVporF1L7+lZdKmc2x9dW/+svvppT/8M1Xq1j9u3/7J03TvPri
M+2l8znraNQ8dfGMiBDLmT/5Q2bunrmATFeeOldV4S/+4tsxVqdPn9CcRESCLK+O3Z5fGo0QoJ21
5j4aj86cPpHa9s3XXmqCeAECkeey1xx6mMGRejUh4LIiUCSHKGIAmRaW+wJtAXQCNWcAoYGTlAbC
ORaBmxDZP18zlOQCEWZVIzYAJHZzApg0zcrysiIkMyYORGROAFI4ZITZLJdhjojcubgbEJ2wV8tD
fB7EMSAUYAMKJ7cMWP5OBgiAFaGrGWFvlsENB5hDABL3koWcuXYlxgpIDsELYd8NsHdI7hwETAWR
1QQHi6wh9WpDc7UDu0VEJ8junZmqgZsQBaQoUqCJh9pHJEImAHIjs8ispoagbgDIgP3htBlVwhIc
WlNCCSQcg5QMAUDEKlkBVlEtoiGQUJuzlnC/khTit6oTFj8OFzg2lPsWXQ3L4cMN0AWLa8tNjYlL
FjdyyDkTCoEJkRCXdRsjuipzcICUc2TJ8wzgddM47mt27fXxw4eW09rKSpCq63oebESshVlADK7g
CMNiYoCgEXPZJooMnMDSxqQxCLqrJtUeiYOQJyBgKC2uzCXCKwVyGANurD7eWJ2MG2Twwkk3z+op
a2E2mFlWJeK277JmIMgAfZfa/d0YKK5OiLAZjTZWR8LIaswYBSRiU3OWgJrnSc0SE7lrFRpgUvSy
+q1CMKXIkQJasXtwMDVhKaF6ZnGwZIrCClBVddvOkbA3Q4TIBBI6zUgghBOO6p6IC/FPSIYiByJm
AgJEYGYxCyKlDxCR8gKEEmNUVQmBcmbmINL2vSMaYS65YUBmNtUgoeKQJZibCKswMQWSkYRSzhAU
KxIjVPAogkqIGKoIBkE459xZrhAcQYiVPOdEwsyUwZCZmNwNGTo3IugREJyFLScEV3BlTKgkZOiZ
QMFEGAOrW1NVrWnyDEKqmgWByYmEuOvAAlMMnVldxc4sRjFPWbWuq67LgOhMah6CTKqRM4F5ZG5C
AAm1xAPrclaSKkiAwIDQM2SwRN4SjJtxN+0EIQEoYqyCa5eIsmPhQBqYoWMljYQZqPc5VFH7XmII
Dlk1gydBBQ919M5CHam3OgRwAodIXAs3QqtVrJHqWGmPTVWnrJlhOVbTjirhVakqZA6VgTRAKNyb
VsKCDmCqOTAGol6zdp25PZlNte8PPCv4XjvbrebZ8rSfM1DX9cDcF6+96jT1S97kvkfN4yhbGyvH
tregT5tr6yn1UlfztlVLItTUkRk9WxQR4h6wV+UY9g6nVNU9YutOMSrgaLI8M5CqciIOEYhrqZaa
0frG6tr6BlX83JWnkeFwb+rudQwUKyHuuqm5EprmLrAD6jz3vabeknVKGEl1OmubZjJrOyABA3Pr
ugRumvo6IIq89u0XNk6tXP/gs71HO2DZTCeTJnfT3YcHpj0QXHv/A67CC994E1GFrIrEICiYCuOR
OAQeHpRExbUlIiyS3SHE5B5IQIIhYgwK2JnVQaA4ls0AmSQox2SMBIFKS/gXNvICUcERkRCiLcJz
GJjNgIWPgKKmdueT65DtzDNPEVHXttffvnr6yvnx+vqiKdERsaqqSkJVhXFTNUvj+e7ew1t3+K33
cpsvvPZim/X+ZzeWOG6eOwXmN9/7MPddXBqfuHieq7ok8qkc5gAm49Fzz1y+/+BheeISsZqb+umT
2xtbm4WzSoR1Xbu7GoRYmlPJHOoqa7azZ06eP30yxlDwBgWrcwTyGRNVQSZ18+wffKWpaiIumi4A
FOxwMalKDIshHJqmcoCGmyKAqGpdVQOjD4fuivLNCxdHqAMAizgAu0uQnH26fziuR8+/9DwhIdKo
5gF4IDKZTHRR6RZiLL/RlZUVKMVnC1NrDBHcq7U1HIo3XUIo67+6qct/FmI1XloiQHdYXluZLFS+
zbo+8ugOuhORFZB9cYYskCBHeBjAkr0mVcNSzTcEZcrzf+hF8EU7zaJ+3IGoWBz9qM0QBi83lGL6
IcpYTOE0YEhg6D/MKV3/xVvJUnf/0Qt/+gcffP/H/uQBrmxsbG+uPvPM1b/+m9HGxu6NW2AD35+R
ALBruwfXbrXT2ezRk7oe3/z5z2b7T/q5Hr90+vhrr3/6X/4ud7PlZ1/QU7p04hggCrO7qZl6LkQl
IopN3X92a8Z9c+z4wf3H1//hR1e++41uZ2dUhU//+r+c/8ZXDm49SE8ebn/9m4OHEzDP5h/97//p
ue9888GnN3f6Tik8vnFz48XnHrz91sUXnz8w3zh5/OMf/nilhs1XXmOE4o9j9YMPP6y+8frs+u3l
85u2srp6fP1gZ+/Gj/7l1f/b/+Xcs0/nh3ef+fKX5o4B5cSJkzs3rgLC/v0H3b07r/8P/+7D//1v
043burN38YVzEFbvvP/LE88/lwGFOLmpO7BgsSmWap2SmSIoft2ypy/bgSFeO3QGeal9ZURGAjU1
N/Sk6kR9zmomiEHIVJHIHBxBAdWdfagcqSUQYIZFUwyhQSnusUCsBq7FzSjFVulATKB56JYs7VyL
ngZAd9VcnPyFUVw48eCAXFTZL/ZPNhUULUQ3QmKKVUQOiMhCVROLj6NQ2BY4N0AgG9qFipm8rNzd
sfgnraBbaEAVOXoJnSIiI9OCbjLon6W9eXp4yESb66uzM6du37xTgozqkNXc4aXnLjejEYCzEDly
GJcGxSiyKBrVUawOdvZe/crL2ydPEDMRBxEHZ2bTHFgQsY4RDV566fnTF87UVb3oo3YzDxIK+5oQ
QLjsNepYIaGalYm03JQx1iVSHoYCjIFo5SxUeoMG4LajBFJ/0vdnj29euXwRzIU5MhXVyB3C0hiH
3hsHiOVOrCSUhuRRrMqToQlLgDCqq5LANvCl8YiQAzNAU1zlIYTBDAcwCqFUDE3CGEcjXKCVCUCd
ANQWK7aho4txAYiFEggolbxlgzA0ohJmMwQMBcOw+P2jEQ9QaEfHkoIR5JJtRKJekyMisuPvjbUs
S81obXm51ZTLjg88OAlicCz82NLXmd1704iUD+cBsaobRFSEXks8mWZPduaz2frmZl3XhuiWEUEo
ujuYckmTEzsiWGaERzduB+GVkycDIKmT2Y33rq4/d6kKwRzATJi4ePtNAUAQDNwtl1xdyYAPzVvo
5VNEBEakoZ2nmN3hwa3bt//pZy9/+83m9JmiPwOAMJmVIjOLSEGYzG+/+/7qyY24sWXunvXTH/3i
pe+8QSLkpZ7c3bP50DUGCGYARDYU1RoylS6WcnQZ1kNmSJQ0FxDfojRX7ci8U5BXyFmzlbA6QFg8
oNBBcCgjI6QFbXtoJcUBwW3DTteP3npohu28v3P9DmjqN2bnLj4F4CW2OuRW1NBciM0hqy463skB
cs5BBN0kWyJAN4gxmGtKWr5gIEmqKaeCXGcRUOsL+K48y12zF4i1OzoLZUVCFBEmIuZA3FvHTE1T
d13PQs2oRoA6hBxlbunMhbORbKlp2rbtuznFoH1HgYHBTU0zuAtTMKyqqi3Vzwg47E/IhtMjOFjJ
54hUUpCwpohAgDGEg3YWiBQgItUUOp2heyQEITBF10CYclJVQogiFRUj7pDyBoCcUiAOHNCBAbI5
A6TyegMoZbuC2OccQwl+mA491YPymXJqYmU84BXNPVtp6fU+ZwPocio+qJQTYUEs+oRjzllEivUl
q4JDPeQ8Q6+pNBAE4mmau1uRW5oQnxwcTmi0IlXb9eAmhGMKXUoBeByqHkj7lhzGItmchYmxvFSE
SBDZIEhsUycOM8sVowDWxAfo7r5Rj3tVIRKEhsPM+kiciWMIgMhMObkS1iJqXscwz4kRKqYGsC25
Ogd1jyQVh4f9/okxTSQ2SJXEQ06RCBAEsQI6FpqIiCG0musYlcISVweQK8ep5pFw1tQguNk4VtPp
4VIIjxHYrEKsiFao6tjY0QAPuvkoxg7M3QRQTTFTNuv63HW5ZxBP97q26rpZyuBtEJm2rYlM+16D
FPDJvM8ElJKPKFrKVZS59QzMSAGoZqmJG5GaZTlGBWTkEKJE9Tp6ynNP47pq6qqqqyoEB2v7jrNL
iDHWc9e211JNJMJImM0rkSpWed43oe6msybESFzyD9mUI0/7ru1tb7/LEDsVdaYuV4E2jm2ur68r
+7RvIeD+fLZ/eNgmzcmcKSvmDCk7AHaq6AYV1VVkIwEglhgqGUFgDsxNUzOruTd1SNqNmthbChSw
DmcvnThz6dSjB4+7rt/f2Zvu7uF8NJ8/6Q6SmZL7p2+9c/L8+fHyupoTohD2OS0tjXPXinAHaMM7
zisiIgqEQhgQSdjca5a5ozATUazibD4LFQETaBI2RovkDfMoSDInM/zic2nuoQcz8iA8jBFEZZLB
0jmuyoKDXka4fmKTigiAWFXV9pUL1dL4qCahxDPc3NFJgruzEBI29fj0lac++edfp52d5ZPbG5vr
e9fvmJub7997uLW9NV5ZLn8nIJSO+q5P81nLwutrqyvLywgwFEUsrC+q1vepHIGQSM0R0BagBXdn
orOnt4tJrm27o0rGQbgbgHhwfHP9xNY6IrR9As+lE3zRazD0fw4BssH5OUBhj4ypMLT9FXURF+Pe
QhWBow9vKGitAj3/zMWi8nR9GpixMNTA2LBALbqfHxXW4+/9aDbU7iECQB5kH1h8RQM3G+i1nwOI
fm8CHNpYF9/1UcEaDHWRpWPwqI+0JA7Kh6CfS6luXqgPDjpoRQWiS2aGDuRHBTNeeJXgxT6HKau6
lanXyput2M/Mc5/UtCwFxIFYlrfWp/t7j69/1t+5mPf2zz930ZdP3v7H78fRcgX69Le/Nf3wKpf+
8uGbgNHS+PSlp/zq5tnnr8zn/YO333/jf/mLB/f37/zihydee8269vTLl1dffAmIzLGcKxzIAUkK
UBYBYLw0lkBBiJBCU403N+6/fXXz8jk0q2LcfvZyuP5g99P3AyIglZqbPG3ne4f7jx71s9kU9MSr
r37yX97PmrcvnE9Zb//k1ysXz1jX5flBzlndkJHAsaiIDtYlQb791vuQ53F1o53N1N0JWQIQC+JQ
GojEANp1saliVQUWMmek8WTSJhlGJMcu9UbsSFkzc0iuZAgIFQsTkhu6Rw5Win+IsruCZQNmAVdy
CFzWYK5ZmVDdBu8YAgBVQVxVk4qQW8Frs5dOeTcmMs2ohkAFZuHMlhIRjGKczpOpLhpWLJtm1SE/
7gMvxWC4qgt2BofFDBCxmrqDY5n3zMBl4ON+wadfzuBAXHgnAIyEpGYhhGLbZSICZ2Izp9Jm746L
4YUI3SHN20d37k4fPCHz8dZ6szQ6vP/w3EvPcAgGoOD7T3bnO3snLj3l5O62YKQM7dBIROXvZ6w4
PPXUuaPINyCa2iAPDAwyKFvqzw0IAA6KCMe2Njc3N3+/kGlIwagRDefyjbXVzY21BYEFSlcUIgGY
Oy2eWmS+eGbg0FPlZoua6CHdh4gDBW2xhyu7OVo8X8qAsDIef+n55xwc3Kno4cP0AOi0MPaTmha+
XPmrpLicfw+tXajOAFAefQ6uqjQUbpkNDadUsp2IhfQMpZjr83wjgplzMWIMKd4hQOoFywcg5eIu
ntsh9+tJi9OyVHkrwmJxRziY2tEJwACSuThY+Rzc0LEiSVhyJ6jgjlQWLURE5pUEAs8DvBlKFRMi
MJCDmTshMCAi3f6HH51YX26+/kax+jAiIHbT2Tv/z//Hc3/539GindXNJEp2N1M0MzeQWPIUhGhu
D375m9XN5cn2dhFO+9kM2r4sS6zrre+ROdZNP5+ltk2aw9Io1JUNNVzoDqnrDh49QKLlY5uzJ7uh
jvV4vHf73trG5uHB4cHOLldhcmb7xPkz9374L9DOALHdO+ju3zv29OXH73+wdv7s4e7hk9t3RhzP
Pnv5zq07733vB8eeOb3+7Ivb58/f/uiz4A7ZNOvujdu3Pv5IJF54+fn9h/v33ns7Lq2sbq2sv/Rs
tqK6EjkOph0cVqtWtmxDn5YP61yHEvsv5ltCHOjlbk5MAL44oXU5A2JgBrOSWSh6Y9md9JoiCyAK
kRoCQLLERLkw4Uto171r+0DWta2aknAZIV0NAYUGcEAh7Aw1aWroyMRgHkTEwJiYhfvUVyEiQt+n
IFIjpdksSNSuBWRiQUoxRHPv+pRNRYQ4i6kwOLkWZ1ipNtJyRqNkJmqquWzjkqogF6p8n9I8p96S
d31KSU1d43w28yqgWzufW8mC9tkppJz7ZByKxcmHGL4bMnhWBzXQlHIVIzN1XYvMWXVgXwMAQjIl
yyRCzOjQaSb1qiIiBHUhMi6zLiTNoaoQMeW2orpw/ByhNyX3uqrSfC6qCg6AUUoJErp56UpFIuKB
m0cSIktH5Iit5uxWmPE5Z3QzQi1f2hMCHTH9DbC1FKgWYkNwxN611eyEbcqUEzCKA4i0qXVwqSpA
7yw7YVYtsuE09eTQg5KbgrepgyCz3Ke+c9NWVQgModMemRXB0QPRYW4zl6eYd2aizs7JLWlCQHU/
zH3fJwOPGIkopdRaFkJyUPeD+VygcLQVDOaaDL3TNAHsNIesc8+sOkYKVb3ftYiY3dQscuxNTfNh
1zZ1VNVsShS6LiUhMmstg+Sp6QToSd8yUifedV1WCaasFLJ2ZrOUWs1t1p5NVYNjq4pmiI5RnCkT
9O5zMAauYtC2Q6EqhgR9EDzWNCt1TWA1hRACmDdV5bnPVRg5dcirTdP3XS2MKsgSY+haJCYt1YxE
wGyEUUJv1qoGQwLocm47rYAywGHbm0KftDeLVbW9fYL6TILdfA5M4GqeCSCnHq1BN+uThyjEXd8V
fH7O2RG7lNR82nWHQjsrp35+Y4bGHHX3sKKdtLazm1M6ODjs03z3wSMU2t05yKltqgpHdWBBt1El
3UhioOwMgEpYHCllHMnuKZeKQpz3ibNlVY4CRDmrqkHuRQhMYyV1ROEwP0SppK5WNk6eSdPV3Yd3
c5qHUFV15QgG2ruaZSCcd62Bz9p5NrVkhNDnTBySeZ/9cNZLaNoumbuI9Opt0l5hNk9V1WQFc5t3
ySR0WVvHQ3VLaohsVsEXnks1a0J0IWRAAyxZMuaC8jMEYjYzJi5g2tHSUgmLECFzWFlbKdNSsQ1C
mWOZzZFjNHM15xClGXM14hBz2xFxrCpyKpzVy6+8vHvv/o33Pz6FNNk+MUxe4Pv7B6NmVPg08Pmg
h+qmi372RdNg4bb7YvgaJjF3Z2IEyDmXY0oZ7xbtNV5KPoCoHHHK80e9lJv50QR7RBxdKAalw9GL
JALDXIdH0t9QNHAUQXQbYMVw1KqGefjawFTySYPeXN6ssJBZjrgapYweF1nN4RtbWAHLgaR00x+d
GgtOthzUBowxuJXPc+j6KT+XlgG3tLQpGFGh2hb8oJdmo3KUJCwNL4tQDCyMUO4Ft87FPVXgdUWE
x6Jpf155OozZNCBPS8mnqhVY/+HhlJFK1yUR7dy5d/v7P7j8b/7VY2brEiPFZpQluGVCIBGmI3vX
cDwuVCRHNCAoZUMioEqqQSIjo9N4dV2IvVTpDolZKC3NxdLJQAWIpIbgFppq+2uvdP8fzv7ry5Lr
SvMEtzjnmNmVfl2L8BAeWiAigEAAhKAmU5DMpEhmVmZNVnZNVXX3rO6H/gf6v+iZWbPW9KyeVWtq
TWdXVnVWpWBmUpMgQZAAoQIitNbh2v1eMzvn7D0Px26A/TYsLLwAEeHuca9ds7P3932/78n6tdff
fGbp674qh6vr2w8ftSamDaRItpEoLnP9mdmpPXt6cwuu1WpNTVowq7968/z/5b/e3d6No3pmaf7+
L98xhq3hYqK/sb6ZbW/bzIJrPbp8Y/3Wvfmje8vdUXtQbDx6gmgjkrbyILpx615rdmZ7a3vj4YNy
a7h5/+Fgevqup6tvvDeqpVhY0PevkitUQCBjMluP1y9+/42Vr37atttEpKghxtxaAWAEUjGJgAma
2iNDVCR6ui1I9fQqQszp48PEjFLGAE3fDlZ1zYCZYWwWzSQxpu6HGAKB5pZRJL29xnAVAhLVPhIx
IokIMykoWeOjKKISU5pVBBQ1jSLp2g2JTME83tFgqlEETbRnjRLxv6C/FFkBATnRJaOoqBibpTZC
FfVVBaKcoyETRcrhkImLditVhYgIAmR5vrh377V7TzKJs3uXttfWH39waXphBo3pTg3qEMqdnZax
yURQ7u6MdnbyLG/3e0AsGpN+XXtfluUnH/PG9E6qEGNyXQizAYUQmwTFUztDgqnH5GwkSoszxgZJ
qppKR9KeUT7JhwOkJggkUNGmH0WBiFN7kzytdEq/Od2LmrKu8VUy7ialccyt2b49naL1k2hAymOn
u1macJqM9/ivnO5JlOTK5NwgGv8wwsQ6vofHprYKKS1Pk4aF6fOPjVEj/QwijEjpuwAqYgBNwgmm
0AFiHMO1DSKL2vHGLoJGVUGIAPpUNBMxAKZ5okDq26hjUCJEEgCKUgk6wigRCAUhgAbViKhRSiIW
LXd2xHtO5iBQo7izuvH42o1Y+eVD+wjNtV/8IhtMsLWL584++eDS8OHjJ5euzJ47xkQRhIlUMVT1
x2/8euv+w+31ze5gZv3azQeXLkWg5edP5QvzF//3vy0KZ7qDfSdPFIN+AnMzMYGiRiAExRjDgxt3
Hr/z9vzpw0J8+6dvaj1ynfah8+eu//BnW5feHRw7W1frB7/+B1GBgFWBgC5/9ycoNRi3NZF72/JP
Hi196oXLf/O3r/75v1i//6jbbn38vR8e/tIrdt/B9KAVwGp9+/7rP59bWXn4s9f7k71qu5qdn732
4zdaUi09c+be7Mzivj29fcuKuHBw/7s/+anE5xzwpe//+Mhnnl+/s/7oV29qa8rVO3sOnbvwvb+b
PHWYjZVmp0lMiAgxRbgJAUk1WXrJskmPSEw4P4QoQmndkHKFojZljNPmlNCy+WQbgqlaJmJaVqtY
NkikEpONIqjEoIatRG0+dKkyylL0XhsiH4uCNItdiEmxU20GJWqI6MyoShJjHaIREEATRes6ELEx
RhVjFE31OFGjQOUDMFd1UKiZGBBFqQpJ8RMiLMuy1+0igoQgSBlbxlS4x4jkbFbVdYziY4plppiB
2djadBh9VYuIgGBd12Xlo5Z1rKpQeo2itY+usF2wiKEWFQULhEg+1iwxIZNJMSEPg0QfUwsrsGFR
UdWOdRmZ2tixuzp1L9kQq5B41aRsWD0CIjMXWc5ExORHwYC2jBWR3LiqrlNQu7BZznYkkswzjoyo
egRB8CoFGUMcQdnwcDi0mWtleV3XubUjiQaRmFP3txChMY4YObHWMbcu7SF99ICQ51nla8NMhIWx
hmhXRpm1dRSLZIwTDsDkiKeyNhGLJQDIjcuty6y1SKCaWxd8nbFjaypRNEzCLgFegJzJLZuRqqL2
82K3Kpk5cCzYkDWowsgRBAnJGmRy1pJAGYMiBIKM7WODNkqbKHMuMDKRjmJN6IzxqEKARIaNMkYQ
toYDMBsNCsyGjTVWmNFwCFEByJjMGLDOGVMxWEJiBISuy5yxtTXWmiKznSyrtGrlhclz0bqW2Mvy
DWdyYzJrWy4jNKQxZ8Y88xpb1m1WWljbQm5ZN6hdZkyLrRLWEk0C1AFWwQcRXwe0BGx2qhLyfLMq
AUTRbNXBjkZbtbdVBVF8XbWMrbzHECRGi6oSW4IUIok6hNy4MKpIo0rIOcsiOBXLyIyG2SA/frg6
2q1iXedFazgaATMbbvUHu8GD4RqBDGskAYyKLZsTRanLwtltT70ir6Tu27Y7dGR+bpGI0XtrzHBU
Pnmy+vDRxvZwWFdxWI+sNWBIAc4+/5xn9sPSWTcqq/RvkbeqOqASOAMCta+NMSiaGRrFqCEW1jCA
NeRjHcRHCUiQWc5cVtfR5cY62+62kahoF2sbW91Wp5ifnOkPtrc3RutrU/OTM0vzNstVKE2SmWFj
LZRVURQSY7vISGRnJJaxyI212G7ZdmELR76uW5kLPusWee3roshC8KSQO0siNs+qatRyMCjIGFBk
Fc3Gbqv///8hSCYZ9lEJKBnpggohkeHkjUQglaR/4er9B9X65p6TR4iMr/2NDy5Ozs3252YxPR2e
lk2q2qKIqXfbGC5yJKI8U+Ltra2NtfWdnZ31x08GU1MbW5tA7OuATw1g0Ky3ROPYS4qIGEJI0yMR
A1HTPDae0CjBLQHp6VyXdvaA1tqno9346JM8RRhjhMTiH0sKnBTL3/CpNvIQ81gxBQBg04BnAYAS
Tw0/4Sv85vmSGpkTGcaetbElV6RpjEwb06f6z1OrawOWR1RtRI9kNBMFgSYUmvTGxIlNSosiJGhh
I0giQIKiJWZVOoFCo9BSw9dFiREQGFATY6bZE8NYV20q9RqTTkpyNq09ysYk9Tuk3E4qvQCEpNsQ
eYlN64ZoU40yTqBKs2VovkvjIG3UEzTGIJmNm7eHG1tKzNYhOTTGZK2JPcu33vj15R/8rN6u1VgF
5FTBkX5IQ6Y3AGJysPDS+QtvvFcPyyOvfAEU8ukZk3VNalgdz9kKwK2iyqcv/PxtNnZ+eWnj4eNh
CNWDVenf7QwG61fv1MPh3ldeQmIy5vGlq3l3Yv7saUZCIhElxKzfPfq1Lz2+c9farLe4QJZnP/fS
5NbxbHqaRPd+9sXNrd19X/p0d88MEi6cO/3w9u3h1s5gaX75q1/a2d4+8O2v2NmpPQcPb62vTRJN
f+o0WNeZndn/1d8RiWjIOLN4+ijRMeNcu9c79fXfC1W159kT3God/srnTZ51RI4tfUUA7ETn4Fdf
yTotr4LGSFrDE9ehZmRGIhFElRiBm77BFHwKMaZCE8sMITASMI/hyaiIAkkSV2ssgxJCjDFjKwqS
kM6Y5hVJ5P+yqqw1VRBDiAA2faxUkTGKsuVKggAln4IvK2uzpJSmBGAM0RCjKlNzqY8rcxNBExVE
VdhgiL99ikHAS+oR5SiQQrCEgmTS6m3ryeaTm3eOPPsMONIQb1+6PhhM5Pv2ADdnWWpstGCzDMuh
s84YO9rZ2V5de3Lj3tEXzsJEzw9Huw+fTOzfKyFe+8Vb0/NT6vJWu4CsmWQUIATv6xrSlT8WfpsV
3bjgV2LAZgGXKKCatFABQUlzB4Qo3HQepjtec99LqBUBAG32Y4bGq7r41AYyDkaOqWXJIczEjU8S
IC2MsFlMjX+wZonWfK8kNT+lo4Em+VHS7VcAmsBwwwdqgr4KCXYKITV2pvCANDI6EUWJTylr1Mwk
oEQxhhQjTK5IbJCtgCoNbwwRRFNZQBOGR4QkjYgIQFAhYhVQpJCWlNCwZMfxBI0KyJymmgAqARw1
PSip1UlEgDDGCEBpq8KAqMCYGlmECb0iACiREisAMwcJNjlmq7o7Odi5dufW3//Tyqc/u/XuW8//
m//mnf/1388tzd76p++d+7M/2rp2vVl7psyIqHPu2NlnwpuvHXruTAhw4wc/fvZ3P/v4yebdH3/3
0J/+RXX/zvLnX+0dOsZs0lXFyKqxUZ0RRIUt7zu88uQn32NVhwSVJ6TuRI9IwPu9x/bPvnjuZ/+v
/+vB+LuRCgW1xHVZPXj/8tEvvVgOq9XLHx/7ylc/vPDu6scfTc/P1YYfX7s+7HbrneHOk8eD5ZXE
6RUVEMW0OggRJay++8Fwth98PdzaMJljMnleEDMgASmqMFIMEbx0JwZ+M65dv93pzHYm+kWvBz6k
/WbaqKYQLCEyUoxRm61Js5UmEGKug0/dpKlXzDCDKIDGGK0xPkYgUBFIYVRNEdCmuI5TnXrTDUKY
usHSnKqACGzMqCpFlI2BhLtDbDQnEEWQpp4AYpQkWaesuEQBBB+9ZUMIqf+WiRHBIGGQSMqJTQ6K
MarLjHixNguxGlX11tauK2tf+xFWxpgQPNuRgMYYR6MRI3U7bUIEZOvYGBsj+ADWMbFVYGNwWHnD
Ls8AomRZtknE7e5uNdodDh2xQfbBQyBji5H3JlKMGQgaZzWDTn+q3envDFcRSEWAgZAfPnh89co1
UU1WeQJKgPVRWTm2vX736LEDPGAEBBFDxIg+gewJVSTEoIAimpqIogdRGJXlRLevkPLcwkRBQohe
garoIyRMn48x+LoGhCAidcUKUcQLBpUYo1NOBy5BStWsvvYSo2FTh4BYO2NENUEvYhQfPBDWwTvr
JAaDVkATDVhiRFGMUnm/OxqSMapaV1VQ0RgzZh986jZTleADM43K0lmnInVdgzExRlZVUS8+d24Y
IhLVMVqFOnoCiSG4zDnm0tcJlkiIPoYoIggMmhvjRbbrUddmHTAaAoWQhdhu8RMJEkMbmSQiQIxx
V2MbXaZUh8ASM4COdRu6CyoKSgpd4TJWEAKDqkSM0mMbogeVMtZdzCwgi1YSTaSIAAisjVsoJ96t
ylFZBok7dRlYfFAXMi+6XXvH5epod6LojCTsRA9MVVWLy8qq8kx1CENf74QagjzZ2bHGrI3Kytht
X5s88xIqDeho2rTKuiagIOJSfROEwplotGNMJbbtMi2k4zKIWiNkzmDuXG4DqcaQW1u4zLmM61qZ
xHA0FA2JIWT2qCGysHHWCWBkmpmfXVk5UA1HLstG5TCQtpxdG21ba40xbTaOiIIQYiCIwROgxFgH
70Mo63p9uGsLE0AhzyjL2McAmLfa091uv9dbXV/vddtb1W63yANBLKuJ/kQcVgzSzpyB2MntaGQy
YzpFbsAEw3FUokEGQmLjcna1zfLdsiJiQQTrPJlhhBbwrhdkBWMUsVXkrOIyV3vvWjw/NdXdcJPt
7k7Z6bUO79ZVqGtWJVRUYYAQQmZsyrPH4L0nEgkSK19v7O5E5FEMVJa19xBUiDd3hmhsWXmEsqxr
g2RC9GVVGKqibA5LL1qOSiGGIF5+ayebS7lhERKKqoDikBs7URMIbOI2ioREW/cft9kkc6n3fuPO
/bk9S0SkTQslMqEIENLskQMpi9UdDPJXniNrlp474TLnQ5xaXpzau8TWkjWTS/Ohqgf7l/JOW01i
0WON0Ot1BoN+4zUjEhm3GULjBZOk6akSUVQRETImhLC1uTkYDJoGs3GDyCc1NqqAIJJOEhFAyZiY
EKAilFzMTaRE9ROmxVOdEkKUJ6urvX4/c1bH5P90jEwt2wAgCltbW85wq90ee+00FVOGGNMJTkCv
3b5bb2ycPn1KAYdl6UNod9q/IeY09rMYmzK0RO9Mq/46xjffetuCcpZtra4++/y5dqeNY0jp0wNc
gxJPhkgEaWI6kDJ7yUabxntJWZdGcqaYzp0JIxQlHUDHVElJOA4Y50LjWMttSmKeKsupda1JbWkS
lMdCUFM72ZwiAaJqVB0Nd7CB9QMhDeZmTvyzb4uE6RPHi1738MoRYw0iHv7nf2by/NSf/0kM4cDn
XyHnkhU5fWUi7c5PHf3Tf+ajAtOe82eXzp1JWGkFPf61LyEiMWMi8RCmh+jgwFJ3/x+rxHQYaC/M
Lpw5kf6mqrL8yrMWWQHibtnpD458/vPYakHDnwXmBhA9sTjfn58jZlEF1OmVfUz7VYFJ508dGvf0
KgAU/c7e3rEIWqv29sy3dVZFmS2rTgx6mCIxZKKJndkZBDVM/SxDUZNa0Im7g77GmBnDgN1+T1Qt
IQGV0ZOzee6iKgEpKKQjAqgjpigJ8ZGSjalBABAiNLWlCenJCGi4Dt4wJ/dmBAQiQ6kvB5OwyYwi
qKAiIBKRWSQYZhQQ1aCBDYtAqGsiw8k7J5JYtWkWAiQvmvYsztm0IErnDRVlJFRgNggSE448saCZ
VZQMS6r55E+uu99iLNWmizbEmCwKigrYTBdENDM3MzHZt5kRBOvM0dMnUnOMjj9ogCgCwKTEioAM
QNrptBePrGzeeTh6stGZne50u09u3QURQuj0+rubu+0OxOgt5ckpQYTdbrvb6zzdD8Anq7Hk420w
19JECMaVv421UhoLqwIxjS1sMo4ajB2eCEqYdJt0vqaxEziKKJKIJgwbiGKz5muGzzSrpjuZgDI2
XY7jTSSqxsY52VwYKg2tqvmjIQRCZGMaxJNCilqk8S/dJJ4+dABgvOAca1ap8wlRJVpjAEnGefWU
YoigTb0uNLaXpGimC4YQSJr2pvQiR43pEKtIgqkqGVXBpn5sAG7IYZDaE4KIYkNwYEBUdZjqQFAB
gkpItSDMMUUCRB0hKwCBAnhQDxLHKWpULENEAFIUVUZ+8uFlHW05csP1Jyjam+x3JyeR0JcjNFwM
+p3JPlCSbYXZMCioMhsynDwJGjVrtfKWl6p0TIa5PzvHecGAOF4pWjbGWAUMEhQpI5Pm/7SQ3fvq
c5uPnlz9wWuDdtsy+2oU6oqArHWjmLplkKzNJnoxSHtupjU/ZQYTpujc+MGPzv6zPym3d7fuPTzz
xy8+fOddRmSAvNsd7uzYEFy7CBHWbt/dXl8XH+qt4d5nTzy8cNUQC0BrenL10Wp/ZqvodLfX1odl
vfpodbCQT+xbvvr+xeGTreXDJ4a1GFsoEWWZIap2y/d/+NNDL5/vDSYipE2CErOH1C9JGgIBcENj
SPwodNZElUQ4izGkvutUqW2ZRIWYUSnGiMCWWRSixLRmU9UEcjPWBu+DxOQcR1IAcNZFFctGoxJh
jAEZowqQRo1ISqhAkGqf07Y3pVhz50CDRCWiGEVU2bABIsfOoOGMAdRYo3UloEBIiP1et67KK9dv
5lkWvU+rZR8CMjtnq6os8txZ60OMoBGEoKlM9qFGBi/R15o750W9D7X3rFCHaF3W7fR63W5ZlsTk
kCWKyWyMIcTQyYu6rJXAZHZnNOx3J0RJicJ4vXT38dqvfvqro4cP7D92UEIw1hJS7YNt5aOyXN/a
+eWv3h+Ndr/wpVeTucuHAAqG2LIpU52ptcNy5Ju8KhhmVnBMQSViyvvi6sbWcGNzYXZOATPiYMy9
+w+71nb6PWMS0liYGUEsmcLakVbb9ejGtZsTrWIwM2PY7o6GgmCtRQSVWFjXhBKQnLW+rpSwyHPv
Q9N0Thg0FibrF21VsMZawIxNYZwz1jkHIeY226krX9d3792abOedyUHKIBtjkx1EEFouE0I2poZh
UBECrxIJI0Jit0MMHjg3RnwdJBoiZcrY1LVP2Pg6eDakaWsLhEgx4b8T/h/ThpYqiW2X7fjhSGMF
4oEqQFAc1qF8+GTQa7miiAi1xF0QluBcHhBHGCX6kQZlZKCd4KNCRBQEZAOKFaERSZBlIlKUKMpI
mjAhjF5lqt3dKTc8QZDoMsOWMGNjeS7vOMAsK7SsnTNaW2OpUFQt+i6nbt+4TFUxxiJjdQwZZ+Io
ojMGbWZaxa6OYqoRih4xV6KAWAHUIjWARhx6YaJhlCCy7auuZNH7gAoKDjiGiAoi4ghHwTtUBPGx
skIo3kkkiQY1ZfejRi+RUYFxFDwrCWAdJQapRKJIrH1mrBcxzJWvA2lksM5k1nbzvMisIqCxeadd
7+yCMYZN3JaiyLIq67SLUmsmyjJXekHFAFBFUB/LENuKXrCsolesfU1FRmyqGEnFIvkQAIRRLUjB
4GNFIEZj2xqjkiF4X9o8I9IovvIVGiTChhyA7EW96G5V+1QjgRQFMjJoYXc0igmEYUwKCDhGAWgV
RenrVm6D2G7hhqRstN8uYjWa7OasdSvPKscIFBANSKvVSoRMIjREbFyovIxRPb+Fkw1IQbiBZWtT
lKUMFgAwmZaJOSWpVGX28P48c8gGQI1zB1861xoMpBEVsTF6ERBxu9dNkoJldnlOgK1eD5EYNOu2
2TTyo7PWtYvk1xqXbwMhWWuty9LpHBENNzYzbKw1Dd0yQRE/+uhybvjIkYMeqd1uWzYCimP/WDIT
IYAxrArbw9Gv3rnw/LOnPrh4dbi1+fz5Z995+8KxwysTkxPN1h80ZTOjNPv+RFYY12Rjv9d11iRn
TyLRR02gIx6DQ6HVajGCs2acY0Jirn28cu3mzTsPRltby/uXVrd3zWjHWBJF5ywiOOvSFExIgFTH
8Mu3L+ysPgbjVhYXVg4d4LFivL21ffnq3W98/bN/8w+vfeXVc4PJiYbP+FTKSEMkNsonEuLTcBQ0
QykhppNWyqM2JSZjrUQSkDy1gHxC1gXRJuUrMUJz8JV0eE1E3HEOVhBRYzOIwnj+TPmzx6ub66uP
jx06QEljIQbQoJK5zDKP5zdBpt7UIKYpFsClRlkV66wAcLuwiGlnkaLFAk1bHBlDFlNTOzIjpxZd
TEMMNLYlZMVICKpRUywPgU2DsGHWEAlT1Q0lYqOI2iI78Wd/bNodxQTjaRYe6YgvyMqqT33cpE+b
kJqGXiIVEZUG4oCUCK4oJM25F03zxiEBEDGAgCgoMqawIYAmXyIwc9qEJFclJrA8UaMmISYRiZm1
DoxkiELtkckaS6ACkAobgwISowRnTePQjoGRUltGEqLrGNCaKniFJhpoiUKImsQBhqCoEkGFGY3h
GEK6H1bRx3GYOZWCplhywjeqQm4zTPn0pqUTJCo0/Z+QrPIAGqKwMWOnf1I8ajakTT/tb809Sqnk
9ESnp5nGJj1OTKhRYoiapX0Q+toDQtFqamwkvY/YgJdSFJ3Y2DxTYnYuudmJmruJYVpY2Req8sqb
77YHg7zbSy5HRk3Y4XSDSqfocaa0eb8/sSeohlQ+j7g73A3e9yf6iUTGlBAtkAhJIoqkMURAQMKy
qrIsT3qAsxYJ6JPtESAhPw3o0niRp7qxtcWIg/6EoqT3jgEUhBliTMsp2Nza1BgnBoNU7kRMmqqa
Yogxpv6byzdu7W5svfTC8wq6ubMTaj89NQmf8NJQtflRk9KOCXOAoKrbu7uvfe9HK8cP3752a//y
4tHjR8fcTVRVwxRBxsZdAsQQY7MqbYZ5sWRVY1Th5OBQcMQKyoxRsZbITCkfEimFUoAQqPF2iEFK
bB8NoslYoxoVHCf7iRpCAAaUhjRGJnmnFeHJkzVD2B70CICZowICQdOkqo3HWGHr3sN9x1fWb94h
BGIGthGRmE2WZ93+nQ8+Wr11d3budHp7VJJFWiJENQaJgHXm+PGr73y4s7a9fPZFg2RabTI2rXCS
4tJc2kX7yerq6IOPM+NmZ+ceXLo+pOzaR5cXDx9eu/Nga3WtmJm2U9MCl+9fvzfk9w5/4StRjKVk
alQwePTrX3589cboyfrsyjJZO3P+HPW7veV9grTnhXPXrt6Ye/5cd/EAIa58/tUHN2/C6pO5hcXF
z39ue7R76htfby0s7/udYmd3eOjLn52cnSJDK5/+1OPHD9UHRqzr6sg3vibGkjGHPv/q1sYGW9uZ
6LdHlSFEY09++0/IthyEo6++2O73kg82PXQ0RCSKKkycVE6vguNHc2PvTiZTQsMmQcsy5qc3uhSv
MWxSbbJhFk3t08kSHokaBT6FGaIkZLykCwIBLVMFyMQSvGVDgBkbRnRMvhHscFxwyoCaOmqZUpE4
qqiIGEscam8yk24DPoRGQWW2GSPC5PSgW7ezzDFAcslWPihCatjL8xwhRWjIODssq6zIiNUAGcOV
r50zAkpEjGSZE9gTFNpFuyiy9d0tyjMSjCGY3FHwGHy703dlCYRsjeRZlndi5U1mkSB3HBEebu8M
y/LM88fJFXVZFUURg4pqIMxcNpiY2NoePXj3w5ZxHiDUdTomDH1lnU3mGAK0gCywur5159bdE8cP
W+cQIYx9Y1HlwsUb63fv/Om3vorMFlwV4utvXpi19MxnXrh/9Vony6cX5ox1tUQVcQhEOBr67373
F596Zn97MJEWXqWvY4yqklPhRVIA16v47a0iz4OKj7GsKxXJWoVX9SA5QAwxoCJAXVddw0kTD6Gu
YjAxsjVPtnb//rs/efXY/rOvvDgEjRpXV9ceXbk9vzQr3Q4ilsGDtaMQBoh9l1d1LdqwTD0TRplw
Ofk4DEPbNLyDU22T6bDdgiER9Wy2VW5HUMc0AZlhyovCWYM5rW5uWcOFcy1jjbWe69yYgqw1RpjK
GK/de/Tdf/cf/+JPvjpYWFjTaIhyYw2ydSa3DAgZs4K1TJkhMOjIZIzdLNseli1nt8PIAtUIhGAI
XZZt7u4yorVUODsJRaZkBTNrCdAZM4yVBZyhvGAXoY4EAbRCgRAqiXWMjrPah90YSh+8CAFt1/Wo
MnXttRy2IpYxrlW1H1WdLAuqG9UoI/BRWoTeRya2oH1wVqkWSHXSdV05yQsmipEVrDFNK1STPuRR
iEqUOu+RCJCMsYEAlGqFQFTHoMYooc1dCHWrlXezfOirLHOmstZYR0hsuSikjkzknPMQWnm+OdxO
lkIfPFkTxVfDUaw8RsgNVl7K0td1LCtf1h4VmsOTgIZQMOdEhjkDyAxlluqqNkxMVIlaNhlxUKhF
RSkqekCjWClv1bUp2h59BUguiyFazsSItZnLPFtLqnnuMmuc5V67JaC9Ih9FT1HI2ugiIiohFXnL
2XIIzhhrrYh6iSkhA42hK5RlGWIEgd1RBWC2tkuJuDuqIkAMnpwtay/Dqi6DiVqWdWG41bLDYYU5
/Pb/cMqNgDbH1KepzWY6gWRDwlRu3ZueRAQVUAC2rj81jZAiSdAcL0BFoiFukkKAgs3W2bKNImNN
C1JPYAqJNZokgKJSEvcEtKFeQrJjpTyqoqZaGmjaIYAANra2O9agxlE5+vDjK8cOr7z59oXMchXh
9MnDa2sb62tPfJRnTxwbDCaMNVu75e37D27df1BubK0c3rx9656vvS9Hy/uXkWh7e9uyPXjowM/f
eJsIiMyJ4wc//uiqhoqNO37s4K37D/cuLly8cbve2gZrjhzaG5SuX7k+DLLYaz//4rOicPPu/Q7z
rsitjy+3ep25mckjxw4R85EjK6Xg1UePT58+9u6Vm+98/8OfvvZmq9Va3Lu49uDx7J6Fj97/0OXZ
yaOHe/0+qN68df/0nkmYmHrzJz9vT/dWbz86dPLYe+9/oCC3btx65633bl2+dn1p0mftaxcvR4Fn
Thx5tLr+6NbN5eWlAwdXyJiEjUyRQaLU8AlJgxX9xLCHCUYCqYJUG09yjIb4qfgqjT2noTw1BuBk
D1QZOxsbEGnDPEz9jDAeuRozM2xsDf+f/7f/5b/+N3969Pixp3iV9NTXcUfN0wgtEUVVAkWmFO1L
XyrFVQ0nIBamX0seYcWn6VZp7IVEiqmlEAyR6icYxUQlbSJIzVfHxGIhTXpCEpfFIKKxdqKvyeue
xkfAqDHJJoDcOAcIRRSQImjTE4AYfI38ydd7OqYnaH9qbEk9h0mvC1UFw6HrtzG1Dio21dxEROhr
v7u+WQ13ZufnXZaNRqN79+5k7c7E/HxdByBmw9aYGCKE0DLEqhgViRnRUFNPEgWEQBBTObJBAFXH
RiUyIjOHOkgiKTHXIs36Q9RgGuSoKRcnhbTDUgOqEkWVgoqmyKnFUHvUp2bttAEmYsqs80ERKX0X
QiQmgxpEnLWh9thUezZltinsaJhTIlg1MicL32/tFskNpztewn1GkdTtQURMSMAbDx/dee/D4597
2bRaUeL1t99vd9p7z55q+s3TERNQQPN+VywDknGus2eJ2LbnZrnf21rbWH2yVrvi8Z0HC3uXRsNy
a319sGepNzMNkkKySJQAupSWR+PGmWY41HGQO8VNSx9+9vqvzp44MpicRGJjKcYYJaYFmWEbY4wx
MpG1VhU+vnoreL9nee6vv/PDL77ywlbwWw8enT57kgiZ2AfPbPI8q+sqBcOdszGKxKCozlqbWQYs
fa0SEdQyE6P3TVV2xkVUNZlF4dLXIAIKxnKql7x58+6V67dX7947fPbEk62dan19VI2MtZlzhiiK
JFwqJwRJkP/41/+wd7a7tl0e279n5fgRjIqGEeHGvcdba7u9weSdKz/98hdejVFFI0ozSwAIIVnG
lPpIXhikZiND2BgA09weRAHUEoEiaCBARWSiMG6XDRJpTLT6jRuWGCIfIzOFdJ0gAkBsSEWQvNMC
SNBEAwxRwkv9+t2Pbrz/zp/+639RdNo6bgcCNjHxZEWYKIIe+/0vbD56ODh5tHXuDM/O7P/qNyjL
Vv7wD/OFueN//I2NtbWjf/LN7mAghKSN/QSV83738H/1L0tENrT3i6/4rR1iLvodZTryp38M7Xba
S6a5y4cgoPs/93IdAzIxc45m5blTR86fUVU1tHTqyGxT1sXo7KFzz858+ksKWJPyeMlLhIM989NL
8wSghkqNU4cOTB5eiUAksP/F51JZryDUANn01J7JQZpp544dNoRRtVSdOFAAsao4gqiQ9zp7+h1B
KEOY27fMQAaRAa3YvFNEBBFsZRmIIGAndwqSZ5mxLkUwEnwqCfsRkiNI0yfJGONjcxoZ148hNROq
UmowlsSaQkSwbKTBPcjTAHaMGkUzazi1aosSkGWKEkSbLhzCxmTGlo1NKVeWKIZYMAWghYhIk88r
Qd0S36txmoAKElhmVTDWWoWQZ6aqah0DDw0zIGmMRGitIdB2kauIU5tl2e6oFFVjbdK1nc1D7Qkp
SACCCCrUQMkSu9cYk+DLIZCCEKG1TERCQogundoFRISNiSKVRFEwxEDsg/hUBpX4uCoCUmvIgXM2
wyAiGhWiRBFpuSJC9CqZddWojlHU8KiubZZZY95/+72t1Y0XXj6nbbr76PG7P3/zlZeezwb9uT1z
ZExUrYNPW+Ohr8iaQFr7OqrGEFxy8luqqzJqWN6/3CYD3KQOogiCGlCHoEAaBSSiasH28cb29773
/Zeee2bm+MmOtWUQRPrlB5ff/t73zp85/sLnP7tRjV7//k8uv/vut77xpcHKsSoEsdESWeBK9bXX
3+qEeP7TL5a+NuhqiZkKCCoQAZWjMvigzohqt9sqTh6sQi2IXsIoxgzUWlMGr6ojX2O0o+BJgTgD
kFhVFuwv33j/1ttvtdtdH+Xk6RN7Th6sUUMMW0Fyhag4qn3lhWIYkYZyZKMtXLYTa1uXpQ9rYTeX
bG04LHKz5ctffvf1ubZ77txzQSWEsqpHVVUO1T8Z7QTAJ1XZYdotRw5j8FFUhtVoVJU12qC1eCHO
1qoKdoeliviqRmNCKMuyS/ZJNXSl2/HV+nC3DiEoOjJVFPWeYyxjrdAplH1ZO+BR8GIDSkTSzLAD
IObMuiiRmZCRkWoPGUPhjMscIrSMbbms9NEQgKE2mTw3puLCWuNcMJSbLPqITMoYSCOA5rZi9Kho
yYFLspoSByAkFkBj3I7uFkyAyIQ5clTriNvGFERt5La1BoEZBCKi+BCiNRKCD15iHHlfBW+UMuKR
99sSLYKXsFuNKgkjXwMgAbGiITbO1iFGw0VmnTfOGWspd7YH7QyRmYfplGEtIpNxw+EoB1R2wCbP
i3K3RFI0lBXOCpahzq3xhDlzwVwwOmarWccSMuSEJYhhQIkSfFApvd+N3iGlLpnax2Hld6oqhJAX
+bCsCQB8RAgMUJa+cK0QxNfBx2gbKD0gADMxYifLMzaMAEEMgyFptUxVesPkY0Bm62yBhc3cCISt
yZ3V6HPHIees/VsPptiQGz+BO6btfpoOEJABuUn9N0lLEWHk5lSfnsfJ69g8w5FAh9s76gOqEnPW
KkzuokQdR0WTZwsVGFlFYezoS7YJaITTJp+Zbt2ISgZVBYEbrgYgjBOeyFzXPgl6T9Y2a1+vbWy/
fP6Za3cf37x+89qNuwf2Le7sbl+5fPX5888ZY+bmpj76+Koj6i7MfvDRlVarqEV6rfaBlf3rm5tR
5b1ffzw5PfHo8dqrL555vLXz/vsfPnq08cKzR3fF/PqtCx5xbnKwtr51ZGHGF9kH718aKj5/8sD9
bf/o0kWBs8j8ZGM7AGwgQMD9Rw6+9aPXV46sIBMx2cwRoGEDZDrt7qHjh773jz/N+p1bV29xkW1t
bJ0+c5xRkxpGzBc+uuLbjwfdbllXl65cO3Dy8NXL18+fP7a8Z+GZMydu3dk4enjvj954d7JFttN7
4wc/p4k+bW0c+MzLCcnbxEqT603UpL5Zk+BGjZcviZ+Gxlj+JtAlRGbMfpCU3Y06vlzGPBOQhEht
SP1pKqPfoBYn73HjBmw6ZlQJH9299W//p//pf/gf/8epxQUEYUonIk58Tomx3N5qTw4iKKikQzkb
jDEyYEP2VUBmVbVMY+RTwqUggOK4vedpEhgQmaHZe6RELIAvK86cIapFDCXKV4qeUozRsDWIMcR6
ewdR83a7sSsCJpcBAmw9Xn144dKBz72QlvFpktYU/01e5ibIFz/83k8Pfeqs7fdV4f6FjwfL89Tv
C4AhCtEz0bg1AFUFlIZP1h//0w+O/8W3YlSG5rCMY79u2Clv/P13Dn758wAaQrj+0zeoRd1nToFK
Tizj/CQrGAWjmhy0Jn0bESLyMbDhJmOZUOcKDGmTT4xIgGxNlBhVqyhCDUfUEVskUVUVQgsSASRV
aBgmCcFgCoFHLwpEgppA3yBNJlNUCIARGSEAUKqR0wiIIabKH9aojcqE4yi1KCkYMuOLC2IiycI4
uf1bpRiYJb2FRKKa55lNe1UFBAoxlrXvLsy7VqHJSko4s2+52YmMmdwahQjnD+1NEnzW6y6/dE6N
WXzmWEprdicHlNazxkzvW5zct5DU+CSkj+PoTcFFgwUak8nHo+m42wJJNNx9sHbqsDDT3SdrW0/W
+1OT77z1zuzibFXXp545fuGdC61WzoCfev4sMrc7xS/fuGwsb6xv3bpz78HOblaH//Af/uHUiYPd
wcTW7u6dB4+fP33syq0HT27d6wwmZvr9UuKD67e6M4OJdodylyPuKFz74IO5pcWOddPLC5ff/UCd
81u7X/vm70WkS3ce6MZm3etefP2t+eVFh/ryp19UNHsP7N0qw+Pb90+dPv7Ge5fe+8WvxbV6zszt
X1y/+3Bibv7yx5empgZnTh5rdzrp1v3CmcM7uHbtytUd53B9a/n08Z995wfYH9y7f//tdz949OjR
5Ru3Hjzc3N3erGv51Cvn/u7vv78yN3H62bOTUwNOBdcIBBBFGNOlKtjk2VUU0gojgKKqS9kNVYuY
SGkxRiWSxDpqnlJEoASCiMimjiGh8pLa5GM0aSRRRVUGlHFxSmygxBgBX//x9zMO3/7X/5ryTBIg
AEEJfwPrDp3ZqWJ2UgEMcRBpd/cK4dTKXiCWzJnJXqJwQ6O0Jmo6kOHW1KQHRSKbZ3mWJapdDdLq
dYOmp2siyjdtWMY6LrKUvCBgZyyIKIAQSrKXKHrV+fPPtqw11og23UZRBDAVW1HqpUz5fOdsFIUI
zaamwS0raiPU47hrp8HjJqMRNOo/JSQEQkR1bALoUwN3uiGMgcmA6ZEESgRN3Uvj0RJQYEBiYuBA
wgLOcLo7q6E0qjKZID41laT3FVUUhJPFNuXnQ0hUB0q1WonPFyMz1b7OmJuoc4gRRKIysyGpVNJ9
P6GMQgzjfcaYOJ6Az6rIDBLjGAyR/i4J5yyq1lAIEQBMhLRGRSBM9e4USQSIEVPQAho1P6COfE2Z
RQISdQZDUCZAAtGAwAxqATR6psQlUwKt65K4FTUqaOZsWZaEIDFo1Ny2ciILJIhBoZO3RlVJyFEV
CKOKqnrRYV3nZLyIqubMIUTDpoWQI9bEId1es8zXtQIAk689MAdNZzhDxARojF3f2H54+57IWWCq
Qrx+7fZzp4+7Tmft8epcrx8Z7925t7m1owRMtLB3IYpsbG69896HEWDf0tLcwowgSYhBZG19dUJw
YnG+Go2uXLo8HO7meavDOLtneRjrGzdubYvkLj+4snzl7v0PP75sYlUOR8cOHclsbpCD1wf37r0v
8szz59dE3nnnws7jJ3m5s7Wx/fFHVy+zYcSzJ47sgH788XXceJw5u3ffvu789KULF+s6TE1NdWfn
Qwi37t3XX/zaFMXKyl4t7Orth1OD7u6wvHX5yrAcqWDm7JGjB1udzpN7jzfXLiuCQTx+aFHbfbAs
ETZ2Rizxn/+z3//bX1z+x7/9p9/Nf+cOZCHGVl6cPH6kFrh7/bbs7lS+nF1YtGxu37sWo3S7nalj
g62t4drDx4S4Myzn9y4Orb364eWHujtRFNEWjHLt2s3K61DjnpMnie2TR48fbt0YjsqDe5cg54dr
6/XmVhDpzs8uLi8/3h0+WL1/9+bN9XZ7Yv+My9pbj9aeXL2R5e7wyv5WTv0in/GtblZgDqOyzJ2D
uvaO28i1D4W1ajNjTVCNqjkzAWTOaoKpJPMfUyQMoNYaGakztmQblIBgNCrF5JUIqvjoSxJCrQBa
IsJIgkEVkEYxiGolgclgjDlhTtwGEgms6ggrEfEVqqDEguw2qvd1ss8EEA3iRUofMYqIRNCoUMfA
PuAYjeeMzY2tbdbJcxOt1KHIc/VRrLEat+qQu8w518qzYV22cxdVfYCoEQ0Za8oYa4UyhJEPPkrp
gwB0jNWEewQFEMvkfTBEVVVKllX10DKCBtTg2EkMBIiKMUpV+8oHsjai7HqPXjbLOhobIgQfOxZD
ussaZmcKpN3RyFmbWZdb28uLwlqyxqkWrVYtu5Q7S+QYOy03KgtjOHPOWeuIYinWmjgCRIqiwmit
rWOFjMBYx+AFao2G3XA4cmyq2ufGVXXM2SDgsPbWxVFVuzz+ticza0gBU3KmCReiQooPYVIDkj9K
U+YPQVEREEwi3Y0rBcbqpaZV2XB7tHH7blxbXzh9zGZWoyFMETZCxvH3asbURL5pvDIKoEIq1Jgc
m6O9YfPUZtPU3SEQoYIAoDNcl2WQCKoSFRTaed5uFe12Xm5uGjbtVmt6atDJixRbWFqc+/lrb546
cmBm39Lf/vWPXj13zBT5hHXe+1++/u7Kob2jURlqDwAx+OQnFIMSIxqbTq0xaOFcu9PWTvt6FcQY
BkYOIfhkl7LG+LIyeTYYTHS7XQuoImw5dahGEQDMjZudnJoY9IE4hKhRZmanVeSjS9cPzE0fOdVT
REO0f2Xv1OEjP/73/xkVQxXquo51SQCWybLttlqWOVR1qTozmJw4vO/Ok62l5aXMWWnwloDNthg1
8TxSl9oY5NskSp9qlWmjy8SfKKNNtDV1eOjYXD2eRccNE2NFFD9hKDfZHmYKcYxWTl8e0bHZt39f
q99NyxEVENBU20ZAGw8f3v2b/3z8v/lXaIwkSj9CjA2liEAROKpC6iBRVR8v/ee/W/ncp+1gggAk
SpCY7n0AmJAFSEjONk5HBATcWV27/Fd/vfLNr3C/r4ar0UhCyLPMWjva3cmKoh7t1KIa5eJ/+s7E
3MTk2TMTU1NIREApw1wPy41HT1qzEyARFdav36i9Z2Mn9u1BYyipo4hAeufSjbzVMpYQ4PaV65f+
5ntzpw90jx2f3b/vyeWro4319uTEzJGDASKlWgdFE3T48OGtH7zOLtv3wpk7b384v7IUIj2+fmXx
mVMf/+xXWw8eP7n7KOv2H9y4efP9D2eP7ctXNy24Sz/7hbJp9ToL557ZvvXw/i9/2d6zpzXozx4+
YCwn7r2oBkBAZGNr75HQsTGqDMrQnCpToFGRAcFAAz0a5xwlIWck3RIwwTskijpmiBFUUsNJFVV8
MKnEHAAAQghJG071PvZpU+74Ak3AMAIIgJJW80nMHFs/mSidWCFBp8iwhN/27tfKbAQRhACQsmSi
ymTSbccyL+xdbmKohFmWHX3xOWcsIGKqYcQGRQsKxtgQAwA03Q+qnFIVCRqryWytZGzaCCRhNnHM
k8koFQGMV0jJDgBjdhHBUzQREbEJEqPCblWvb2zZTsdwduLUsb//+++3Wvmjx+vHju6/dvHaM8eP
dHr9iYmJcjS6fvXWs6eO3XnweHN75/zZU6vr20eOHNooq83d0c7O6PqlGyOEuenJlVPHfvK9H7f6
vYlB/9jZUz/6u+9PLsxOtvLS2rnp6aOnTvzkOz98OBwe3rfMg8Gv/+lHqd5+s6xlbROc7Xe7p184
892/+lt45QWyCIhkTHrPrXP79yy89Mpzf/uXf9Obm1pbXe/NziNSp9sxzJRu5qpXr9y8u757eLpX
VaPR+sYy0eqjx8+dOT28cfPYc2cfXro2sbTwl3/1vS9/6YXLH9+4fvHq+urWc1/+zMTUtFLz+GBM
faoJeQBCzABRpQ6RUjdv01eY3J/ECSSPEBRIBZEjYhSgBjunnC5FSfqw8SKK6AXSdGEbo0layCZX
f2r1BGnWckSgmbWZscAm3UyDRkCMKgbHSIPGb4SaKnkRRZQNx6jMHEQVISowgoom3lfqAjUIQZsi
r/HuWJtKn4YLpE/NGQRgDEVKCf/UBQaGOZERSNEiBRBV6M3O2AYNlvwmjficynjHM84YYIeolLBA
6uvaWh4/UKJhSgs1RkL9zY1zcm6q3xlC9HmvxYhpP5W208mFMdodPnp037W7/akpVnx0/SYyLu5f
GjevEagyIUli6ikQiaQiZTVICIKp0lI1KiFSgiSnzxFEZWQFZYTYJBOJAdNiosEfaqqTaawNSBgV
2LCIGMOIxCiExIhsjGE0zMyGEGVsPCNikJRcT8wQAwgShY0JElGUm1cDNJHsVYxq0xZgrQkxoKph
9j4wkzGpJJgEQtrxR9BKIwAws7POey/N0laJmEHZOWc5gKqCZVbnhrGuY/CqMYWjCKOKySzGhlYM
AgGV2IBo4fIYdgkJDYqIJZ7IW8ZabtAjkpHZ1kCGqxBI0RBn1hFw5T0qWOboY47GIgOgj0JGRTWo
qEANGqOPlS+Hw9rXdQxVXT/Y3Prxa28sTs88Ho5+/N0fHj129Mn28K033v7WH/0uZdnGoye7O+VQ
9cLf/eDPvv65SiQEiSpvvf/RHg/L/dYHb15YvXbjyLnTP33jHVx9/Gf/8s+GMTy492jq4P4PL964
c/3GnnOniry1ODM7MzsLhksJOSiCdro9zIs33nirNTkwQEW3vz0sJ/Js777l3bp87bU3Ht6988IX
Xil6Xa22JhdmH0H8yXe+v3bv3jPPn7tx5/4826jx1vW78/tW3rpw8caHH5z5/U//8LuvffHcsXLl
yN/9x+/smxwsnDnzo+//3G+sThw5+sP/7e8OHz7yKPp3f/yT/+FffL777GdGZdUyeZ1EIcLW/gUi
3d7cWljY93hz84ff/al//GTq/LP/+P0fb1368Mt/+AeXH21def31icz1FxZ+/N3X/vCP9fJG+ZP/
+f/9mc++sgHmFz/86ae/9WViMqFmI5HJh3Dl44sx6/3iF29yHWDPwe/95f9+7NC+1Sq+9dNfffnr
n3/ttbcy2dxz4OjN23en+pMXPrh097XXD5w+dvmjS9136fznPvN3//5vTx9ZXLdutL618MLJ1boW
gfW6zMlslVVw+aiO6R5ohZ+MRqOyZINah7IuybmIWFV1VdcttjvRj3yQGEIINSlGTwCswAod4DL4
LhsEjaJ18Jah9N4hegUnGAU71gFSKeKYEnXZo6TyKxVAwMCogjvRl6BgOFXLWkQBNMaqzWwq4LOU
sYWsiAqZcY4tI2XW5s4AKFrOnCUEJmSi2vvEVah9GHmvqMkaMKrqOoRRWatoWVXG2qqsnDEaJUJt
iFXq3HQIJTPEIIV1hOiMYaIU4g0S0VAQBWtrRTRZGuzZWmLOHBuAInOxzFq5i7VrF1kVgxHotVrs
vctsJKTC5pmDmh1DzgyGScE6RwjMFEE9gFHVKD5EX9dBBWpvgIZVEFsPYyQfQwRjAAQsWQIWAQS2
bB3bAMEZU2QuVCUzZcaUMVhDrV7bWjvSmDlS7lQxWGbUrOMctou2Nb+1YuAoqDZ9a0Da3OjiONCE
ItJAvwFAZbRdrj98Mre8aJ0DgCcPHjHT9PycNm5cSvWKMwvzcXOr2tyempsRhY17D7c3Nolwbt9e
022nkycSaZRqZ3j/+k12ttXv9WenVm/d211bl9xFxPn5GUSTpqaGtcgcRYmMaiRohlJEnJse3Nze
ev+jy8bY2am+s3bP4lzm3MLkILRbK/v2PXz4MHo/PTFgZkCYmeifPnVsaX56fmH+7DNHDq3sC6pO
oVW09u1ZLHeGy3sW8lbBzJev3CranWdOn3zy819du3G76E08e+bUw7WNVqtYnJsp2m3Tai0vL3YX
Zj+8ePXBk9U8JDcZTk/0dFT2W0WwJjN2enGOyBJyBOm2stmFWUbqF7mfnrTIi4uznXYxOTMldXz4
YNV7dXlOTKQwMzW48+D+k3Blds+eyd6g25v45Wu/rndHhctnpicdmcmJrjXFyy8+d+Gdd3c2hwuz
k/NTE7mJjX23qWRoTg8JNJKOMZTcj43JGkCBmSUKJoZuatv7jTkzuWalYUhQOoI3oT6Fp5SRhDPR
ZHjSxi0bRRL6ORllBTQz9Nz5F/7s3/yzTq/3lG4VYkSk4eO1m2+96bd24miIhCGOj1yEu/fXrr/x
C2uyxSMH817/47//2/biAuz6Q1/+7I2Prjx8+0LRbnWPH+9PTV/97g/YFYhw+Muf3nq8fvGv/2P7
yPFsMLF85gQaTjt5H/z9qze27t1fvXK1f/hIrOrb3/1uZ+8yDMvlz3/6zvdfn1qafnjl+vLLn1KX
SVWJHzb0KaLmoZzOcz5sXXp//thKtT386C//6tS3vnrnZ2923AvFgcOiGppzKw72LV14/bWl0/sZ
ezP79jycnZo7frBzYG8o6xuvvX76K5+LAJg8tICkiOkuTXH/uVMf/t2PqsXpnSs3eXFitKP13Vut
F184dPLErUe3jzz/TATac3Rl9f33Vk4fzuaXr7/xtquHK5999cJ3frB4+EDYGeX1cOW5ZxSQmJM2
Aoh1iMmKKiHk1viQsEeSErBpJRGSEtpsH9QiSQyZsRgjaDRMXsWLGGPqGJiRkVSiT7RFIFGVKEEE
ER1zU43ebL+S0RG16ZdP/ZNCbCQEIvJ1bCazxiPZAHU4NYk0tGwCESYeY6d/y3wpG0KNKAToVYwz
CeyTJEogYkOA4mNEUDZsrANtelMSOzcR7BKczGBDKoLfKFPVJnX8CVx3/FEEBExEqUCpZa9BVDew
ojS+pgP0eF4VacIRo7Ie+doghBCcMZ1Wq5VnubGtLHfWTk0OOmdO5nmBgO1WMTEzuPrBpT/9l39y
57s/NpWfmRp02y3D9sP33m+1cmPscGcEvfb6+urmxkZmrcuyzcdrmxtbeeZclqUkf9Fqt4uC0OZF
+9HaZs5mOCxFFBmYKQp0XRZb7czlgiwKBlERrbMIyIiWuNvtdNutzFhUkKiDQf/YscPvv/thz/DK
scMAmmfZgYP7Z4Te/+GPnj9y8N7W1UePVuudYWbZOmuMFeTCuk6v3et1nz1/utfvtd+/alqt2IQH
msAJgwBATCU1yb/AZKxpPoiEoooMknLFgJTcv4qFcZUERPSqAoSEn7RVN+x6YEwt2RARBcADGFBU
NEwq0WCDdk1oOmay1nzp87/37b/4c2utjNU9a+0wjSgg9agkRLSGAELTZEbpiZxwOKDRECtTCOGp
BmeYgwojpQadpmojbYcUE2EnBWEsESqEujbW+jSjapPXY2hs5AmRTaLD3W3TKsYp9qQNpwwFfvyj
nx964VnXaqfSHSZURAtUB0n8OkBkwUs/fmPluRN2clIlPn73w+n9y26iT00lt6qMF4tkAACJb/3i
nckiFC+9qFEZjA+RbUO98XW49dovsG0nzj5LgGtXbmy8+cbBr/5eUozrepRKLVBRfK0akYhdXqfe
EwFFZYIQNanoaeYzSJi8tVEJOaYkUbIBN+1FkDpjGu4xKKE20iyoRImqSIxsooiIBFVFjiKGyDAj
SEJSPy16YzbcPFMxNYk2T0wgZARJPbVJYFVGBAWTZbmXykchhHTtUhROsnLTcEeZdYho2BgTM+cE
vPjAzIhoiJiIiIwhjBx9ENGY6v6YyENGxrItpaYmLSOoUleVJSJEZ23qu1MJjOCDZ4WMWUIsQ7B5
EQFjiGitqNRRIkKMCiIiUFYltDMFFIkKTWcmIUqIZEwVgzXERMGYRC5Bax8/ePTzH//StVsPVtdH
ZR2jiGJZ1qOqvH3nYWHsF7/w4q2NrctXb6AO2diVhYWXz55YJ3P18vXdjXWymejOwBaiJOp3fXn1
2u0/PH9q+tTJHciu/OB7uTFF0Tmxf/5T5886N/H2T398tN3pTQymJyfnlxajaPSBmKy1Rbd74NiR
C+9/PD3onz3zzIcXLqgX43KFHQO4uDB37f0L5+oXZhfmNnaeLO9d+NmjJ5cuX/2v/ugLU/sPO5ff
3tiwWXb8mePnXzpTDgaX/+4/dWJANiAVqVqXHT57+JlXzt1+8OTWtUubYDqm/qNvfOZna9W9ix9T
8ITQISOoamhza/vWnQc33v64O9Gf3rPY7Xbb3dajfXMfXnjvldOH25mbP7bv1LMn/+nyg3s3bn/h
//StrD+49OGl999+V5b2DQbdlz9//kKga5cuj+r1yYX5QQV7jxy4t7arRM++cOb4Zz578f7qex+/
HzZ2wu7a+Re+dmNz+J1LF2/fuR2BinZref/y4eKIy9z7v3r75Ex/+eByq91+/TvfO3zyJBvT7/WX
9y7tmRhsEnTYCjtkSwAG0RqMrLmzmaIGJGfzTHdU2LAR28kyU4cuZ1scHREaBmOQ0DrLqJ08fzIc
EpmmwNzZWNYRIBDUoLmxECoBUjYRSa3bVRjGGEUdgRgmxswYYSzY1MwOKSA6azkvoPZM0La28rVK
tAAQPIOkSHgVahBbBm8sVdHv1iNF8CLDEDX4QEoS2Ll0iDFEmbW+rHrtlgPFzHKM6GG2M4EGZ7qD
TlkUZJyzu2xdt7u9uyvWEJK33Ol0p0GKdme25TgoWJMZ0+l2IfNDiR1XRGPmBpOBZaY7sVuPLIDJ
rTeWCkeiPsRuu2M0Tk10CQMZR+CsCcbZdrudt4rRqCSD1tlMY3ei55hNnjnk7bKcanWCoYX+RLeq
0rwa6jpvt0JZIjMD1SHkeb7ZafV6vaoq2RoG2BmOBp123mkN2hOrO9stm0UjfjjKOi22uW3lUHmv
2iry4e5ut9NFs9nrdOrS9xwz8eZwu9vqENPM1PRvrZemgAVRmhjS7Ssl6kQ0wetSj3maPajx6mDy
eSZNVVQVP6mjTGE/TnXeZKrR6M6vP9x75tjq/UdPPr6+cP5U6vlEEYly7+IV8mHqwHIQBcStR6th
Y3PPi8+tbm5GARJlQwnG08w8TKrSZAubPbAe2DO/f89cOhCmrtBBv2uN6XZaCdu+Z2kOAJgpuUnb
zn7pM+dTF8UffOllItZxG8G5cydTsjVo7PX65587Mjk9hYSD/sS5o/tnF+aZzdzSvCGaX5xLAuDU
82cfb20M52eiysAyEyHQoQN78emzHfH5V19M3V0IsDw3vTzzKgEeWJg5uDCDRF/+3EuCcGh5icnM
TA0SWpCYWeXVT52V+AykCDfR733tczFGhFcy55aWFpn4y198mZjbk7C48AVQJWJCBBViK+PmHJDY
hEDHSjWNIbrMiJoqZxp1NQ2WiYn1tBECFJBQRXBMyBwjClljTIt61SY/lUx04xghjJ/p+tS0hopz
s/2/+G//eb/fTz8WE6OCMqvClX/84dKxpWpq5vG9q0gEgmxMVJEQL/3Ndw6cPWym5m5+/3tHf+dr
9YP7z37rW+//u78MT1ZXTpzY+ekbB58/C9Ozd375rmw+Wvn2ty/99d/6xw+hAiy3Dr7yvFoLhqVR
2sGQ3XP88OjNX+0/c8q0+xf+7juTM4O5M8+8/1f/6WAd979w9tf/j//7yisv9JbmmczDXm92aWl6
bk4+6X8EIsqyrD/R2yVxlnY1trqtmcMHnnx42e+sF6g67vpRUMycFykRMgJwDizbvDBsyOG+s2dv
/+rDLLOd6RlESq1DTIYkdnoTRbdfFEUoR+kjEKs6agDCCAouAzYiSsYoU7Q2II12qnpjdOOdj2yn
y8wgMjE15fJMAARRQb0PZExMTKwY0snEGpIQiZsqXmLjY0h/JMSYFELAaAHFe8uYwGBsLQQvqThe
AipQIxwBAkWJxliOGjTUIZCh1EneIG0RokY2DF6CNFuL5K5OxcDMJg0I4wZCSIsABY2fVNZSSDTV
/5LBFIgTVZhElA1pI9RSqjpM3NikqSU2WGIdpXBsOuFXZbV6/+Foc8vvDluzg8n52aLTxaYjMTVP
NG2jqX8VUFNnXwRt7O4aYQwq09/AcafzakoucQpZMLLg8cPLWzvb9XXPSPv375nqdVqH97bIPvvM
saXlxVaRb25u97tdY1067Z4+fWzP/Ey/133x+bOxrCf7/WdPH8ucPXPi8INHTw4szU8PJq4+eDAK
sdzeefmV81dvP9i4+7jc2P70qy/VICgizmZBcmufee743N6li5eu3LtzXy0TGwRcmZmuXN4a9Lat
dURnnj1FzCn8PzPoPHv+tEO7PDM5wMMG6Myzz8zOz7XZtJ19uLU9Nze9sLiYqoDOnz2xtroVFV79
0hcXFxfXF548vH7vmeefW+h348mjg9yePXc6z/Kvf/3L9+7cYeI9Swvnnz+BzgCnclGMDUKGIAVK
EZmwjpLWbU3olNmHaIlD8nAKSEggViUAx6YM3jSCE4VmTgFtKAjCioDACNrgKlG0AcIRogFEMlHV
qwBiEHn29NH2syeKTgcRPQFrjKo+xqAYo7Ch6//w3cV9c62zzxmiJCMJpOULqAojYIN4jSiqILd+
9suZ+ZnOygogpIgjIhljQFVCTGxAJvYqTJhQxhv3V2//0z+c/KNvUVGwYjkaiapzTgGrynPRqoY7
Js827z784D/85eFvfyOfmrWtdlQ1SAREGjYePGr3uoZYRbfu3/OjbRWd2ruERQtTJgdIVe/fvktM
yECod6/c+Pjv/2Hx2eOzx59ZXF6+deGjWJatmcHg4H4DJE3hEZHirfc+eLLjJ2Yne8vLN371xqEv
/c61H71x4MT+1c3q3oVLg+NLu5tboQq33v9Ytrcf33+0J29d/MlPlUJdxkOffcUH+vB/+w/9Y4e4
310+eQw5LSAa20E6vRAajZERASFIJOLkvknI6LQCFhECJKQ6cRQUU1YWAX0IKSqSSlwAU08bAFEK
KZhUDgyqqs4ZREp3MQXwMSoCGwZQiVFVkMgyq6imZA2bEH3D/yeMACaICkAVPBMlfT9IIEBnsyjB
MCeBndPNupbgPSswcwpmBBEv0TgjoMwoMQknpvae1JDlFjk2zvmamDNrY/TW2RwFQjTGqEJUDYzE
Sa2xzhgyRtkIap5ljriKIS/yvMjZEltTGDOBjM4wO2WD6K01DBDGTuU8cxHAWBYNlgsiNIxsDZBO
z0z+4Zdejq3OjSer//nxGpPxhgDJS/QxAhNgTBN19NG5wlmTZRkrKxhfBSL2IiQAaKJ4JpYoQZGM
ybKcgDSqM8a128MYqJX5KCoBiasQvY/GWsE4DLUaIOQDB/dfv/Vwa3XjC5/77MeXrgWhD67c/MX3
fnjy9PGtnd3dnZ3hqATCKFArBBUfBVFZARUqiC5zRcsKgmkVmqpmiZFgGzwSt4tcHJpWXj4atbwo
R3Q62e1b50JUw9YQDw2bzA7L8urVm8szkwc/8+q7l28+eve1g4dXHt17GDY3lEpA7g1a1qJIDMHf
uHbLttYOruzfe2jp2rBut4p+O29B5rKCfGVdzqWxNstzn+etbrcIOeQTvfL+9TbGUIbLH17d9eGV
588e2Lfv5Kmzdy9dev/XH60+fvi1r38VVdbX1+9eusZsX/ncK/3ZwVf+9A/XLl17/SdvzHfsp7/y
6V2NIxGMIXdOmhi0jQoVYQgBMwOklDnxMRBFhY2qxCwvkSRIbdlHsaBeo6iY4IFI0juuuB1KKwKc
zOxqUCfZTpksyk7X2Gp3VDgjJEoCsVKpNBIiSggxpAc3edHgA3C5W5fMUtU+htgyRkQROCIbNB4o
Ajub1yYiUivLJgcT8wsz/R03MRjgqIxE1tonWxvzU9M7W7uZNZFwuDvK2j1kglaeRR3Wtih6XdRO
r0/G5MhFnkdAKYockCy3DNfgJztFqdWg29quMROMlsmwy21ACDUUmcuCZSaTuYBYG0JBdi6akOdF
rL0AgDGaGVvkXGWtvEAmGPqsXWyrdHptX2SjepTnuQXpt4paVKyxwFWMmcvyLGPrMkBSqJgqra21
w2GphgrgkXiHXIsCUhAIIWYNNAhVwPuKCVADS6pjFtAIMVjC6KscMi+eY1WYmFMkCL6OEFU2NymK
gxB8+Vs3JZBaMkgNoTSSCmg6MkKU5DhNxg5iBsRWu9VdaaUkFDNPzc00Btzk70RAVSJAQLJGIjQk
CYDeRH+0O9q5/zANuA0yRmS0tbOwOJ23ilQ/zWxa05O23XJVpZi8UQ1KMJELxwhJHeciMXEsU5fM
mFmDiJyWson001SJJnlDhBNsg1QFjTGpe6LJHyYCJoNR/uxLp3vdlnVWAT79/DOtoiBjCZM3FEnT
+4YAOOh0qkF/0G4tLc4lnKUxBscmWEAE00x4qQyQjSYvX4qXMRtEQcOoRMYktSoNlc5YZYPQ8MaU
SI02fFuyBOnZhKrANnF/UkTNwBiAm7QmNomnkg78vzHTp3hwOiGoKDXNp+MKnCaErCIShYg1+bd+
o4qGPiEAj3NEqjLmhiTKUcKHpvLS5BzOMldkGSGqCFHTY5B8WeX27mBuaafWVeL0PqeuWiKqdnbW
HzzUjaGbHIQQik7XZAWxwXS2MCZZT6X2o+36/tsfULfn2SiEVn8i67R8UjrG1a9J/g3M6fVEweH2
cO3GrfnTpzh3w1v3+v2Zeq1kHzkzzFYV9Tcs6M3F12xtRDQSgsmsYxZIXG4Z46VJYlQRH9UrGBUk
wiIfbu7amZpFW5ODqZnpi//wAwrKGSkCI6eraHt1/dHFa8O1zWLm+WLiycMr97aebBI7RQBCZRcR
I4JoVDRKloj2HD30oBoVvZ5rt1xeGEJyhTXGq6jqrQ+u7D5cXfnceVVVYGjMaZIAZClaCaghiiIR
c5SAjEyYhgeLRCSkEgAQMYSoCqKKKgYST4YJlSAZUNnH5KpJwMl0CZNIDDEyYp5niMCEzpgE5JUY
DZPGyEhRNNUHajrzSaoAgCiRCYkxeKnqmo2JEq3j355GDqDIhoHQIDnDAtKwwZNoGaMPlXEWAYmN
rysVsVnWsHIRESDLs4XlxTs7Q1nfWTp/mqytyirWtWFutduJDBpVQwgxRMO0u7kpUbrdHltT7uxK
8Ju7u1E+6U9J028qWkn/y4zT4KCSWX7u7AlQpXHEm4hgbgoAjh05KIjHjh7Bp59NIkbcv7iwvDhP
REcOH0hiV7/fRsS9e+b2LM4mqWZzd7h8pPvMmeOI8OjJ5jOnjp599iQzBxXApk1HAY+fPLJbVkzM
gEdPHU9p3LmpSZqeQsT56SlVfeaZE9Y2kIL5ycHcYIIQl6YndXIAhGfPngSApZlpJp4bTDQEMASj
8Klzz1DTgROB6HOffT55cwlobvLZoHLuxWeRYP/+pf37FtPgePaFM+nZ0NxnoOmgGrPdVUUcU1AQ
EAFkIhFl4jhG9TIxAikAEyKqQSRjUx5KIAJxiJLEfYtIxMlgSaophRwViCA2rhPihoudUuIKAL3J
nkVKQwgpWqCQ5iWA9YtXRo8ePrl4aWGha5gCIAEwMoR49823/PZuK89Xnj9z7Yc/8lIH5APPnV2t
wpWf/WJn79xUHRYOrtx87bUqBq3jsS9+pqr8xf/1r6aOHcJuZ+/ZM0mLR0Dvw4NLV9du3Lp/8crM
4UPrN2/dfvtNMzU7MdmfOnbs2t//cOXMsZtvv3v0m1/b3dyMo9FoazObnNaGfo8IwMTW2ns//8Xy
kQOa5Zf/8fuzc220vXu3ri/9zu+qCKRQQ9T+7PSdf/phODJvJyYX9u65NTO1dOhga3mxHI3u/PiN
c9/63ZLVgkqjS6aubJmc7C6fOfPmv///Pvetb+xcvYpfkN1bd/XA9NLBwxuLs3uPHmgtLQng8vHD
/upo/7EjO4/Wn1z8+KU//9al19/euX6js7gfRlvHXjoT2SHZgKSASCl2LoTASKnpN9ksLJLAU1OD
KkJq1lXAqNpgwYkS1RkACdUwETFEQZXUMyeAqW8c016eSAWiAJNRqJEJ+entSCNIQtabBGIAJOIY
Y+oSbxB/2DygAdQ4axIUzVlmhjzLVHJGsi4bVTki2cxVw1GW5Qqa55lxDlFjlCzLy6pSRJeZuqoy
Zx1TNRzlrZaobg2H7U5bgzpkspZyS8S5y4rcdPLCh1qCdDrtqiwBKRj2ZZm7TBRC7TudbllXxmdF
0Yq1z5GMNUW7HQDL0DCdELBxwSjUPhhnomgdgyEKElNqQUBDqEUlikqINlkK2AKRY3bG1jFGUsfG
sjmyb8/1C++/9ebHu3XYebQKMZoxnbHNnNnMe8yZagA2lLGJip2stX///jffu3Gs6L735nvV7sgQ
GcKhD844IlRBZ9xEr3//7qOVozv9iYkgMUMsmJ3ibLf3zT/6/YyZjQVjfeTh7kh9XFnZ++DJWl0F
iKHVzh+Owu7jjT155/C+/T/78fvnXmltbG3GQSc3pBEhaEFsyKKCIgUl5OiMIaUYIjEy5SvLey/9
/J0f//zDx2Ie3r0f5ECAkHkyhjPVyenpV159yedFzPOHP3nbWXvk2VPX7tytooIElSDK20FmF6c6
U7Mma+8/d/rimxcKst2MVDFErCCIgq2hcPnaxnBtbceEWNgMItbRxxhziCvLS3fy9mB6ujvdu/fR
1Ujm8sdXFycG+cTUR2+9HTaGBw4d2P7w4+X9BwLgk3v3gpcr1y6vzM0MdreuvfXaF3/nXK3CAGWo
LaMRyRRqiYXaoa9JVEEsYKjqjs12Y5kh5cZ0yYxCWZDxsc4YrcacWQNMGOdh1LV2a3vbs3EGtQyG
QUgdEpMZSjX0wSNUUXcRNagvbIDSMKk1Nam15LKcgJWZyBh2JFFdZowriqLNNoTQabc3y6pX5EMf
rM2iqlCKqWKqoGDDEWnoxYYY6oBMBTIo74zq7bouYyxcVtUBXIWqIdYs2BWwEiB68sEhMWC1s6uP
HrvZgSS4GnHmnFepVHZjGMZowIQHqxu3b+XdzsTyXldkzMSMubX9LOtkGQrmEdg6Y6o2W9PKtke7
XWs9W9MsQUkUtm/e27jw1sKnntku9ofK+xCthboKa3ce3vyn7y5/7uXu7KLGUMdaNXpfqkYQLTC3
AFldG0aJkllWjQZiYYhUUEJmMgs6DN4SKARncduHqMhsI6AAGutSzTiyBTJRmU0uUgmYgHFU1vfe
vbh24eIkxeVvf2n420sGZpzgTBMdMwYRJRBAw2iNgTSVQqMT+Lp+8vDR1NIcOQegu+sbflQO9iw2
LeTjVjoFAINqTC2RrTWtYv3R6u7GZtGfSDNQo7oR9hfnVh+vYW9VCftT0+QMqzBbRBPTgxqBmUDj
U/DSb+TUmjFszNTR3yBYNr/+tN4dxxJfg0gZd+WN+bJNT4WOv6xBnp+ZSiBZAZ2cHABhKgVMIzU0
vEYAgMJl+/YsafoKMqbv4NgKBACIMm7oY0JtOi3GlX1I46yuoMBTFx98ghBsGjWeeq7GVaOIjW8Q
knX2N0sL05AGMO4wbOCvCUKZzJHaVP4RSZNu0gS3iCqNNTclnxCR0wGS/g8vowIjjYdbTYeYxtzb
wKnGEeLEuRClZOFOj6/01jRGOQCJxDS1f9+dj6+ORpXXZKdMw60i4fzZ00arfGYWZieFkV0GhGAM
IqHhfGrq/uXrfeXZwyvDew9c0cIJzXt9X67ZVhcaum6a20nTS5E5nJy9/vbHc0cO7j1/7tYv3yq3
K+tM8OHR5Run/+Vf3Hj3g/Xrt+dPHJk9eezWlUu7xZX9x4/QuH0IEO/2ibVEAACAAElEQVTduvPw
4s3AE1ffubjn8MrE8eNqXPfQAZyaIiYBTC9IqPztDz7uHTx098rtpSNZpz/Y/9mXN+7ds49W5xYX
R4a3N7ePffVLnW7Pq4hqAnt2picOffObgeDA175kZqYXPvvi5oPHswc56+QBMJsf7P29LwgSWQyq
B3/v80WnbZgm9s1nkx3x3jlbFMX80QPh0B6BRu6bPbgs+5ecsRJjBAAmVTHMEBWTPALjkkxsPlEN
fzsBSUQSQjLZO1HVpKs9UUmjGiIRD4jETAqcgFQiwCYF+lIy3KQaFpFUd4wgqEIEImCJah+IidP+
ClSjMpKwUYEocRxFFULNnEEkfHrV/VYsckjSRyryISKKUZsxBwkARzvDGx99fPj0Cddqg+LNSzcY
4MDJww0yWrXxxlvnjIlMxOyr+uYbv+5M9nfWNvYdOtjdtye9dIIoMd67eKXc3uovLe4Ctif613/5
DpO0DuxTTMhdwHFHi2LzQdUm7/aUSwekCND0x4yJdCSi1togY58w4JgfA+MEIwAoNyVMQo1LMy2k
4PkThwjRGVbEsycPQdPNCAY4pjtachgS91rF2eOH5fBKURTMrCDJk9Ko2YTUIFvAUNMc2eREOD36
hZhAFDSBsgARQ4wAaJlh3KmlAIZM1JgoZoiYYtfJ8pjuTpT0T6JUIpUcGbVEQkrLz/RyCqhF8hGI
gZEjiCIGkZh6V0E5obNVDSghusbZ2DzOlDCOe0pVgIlFIiVyNWAEiU3PDhpEAiDRAM01r4aDJsYY
p6y1qDCAM3Z1a/vm975/7k++ufrOOyRJME83cV27cefBj3703L/5Vxf/+j8vzE1uXPz40BdffPJw
d/29t+a//NWFfXv3HlwaHD28+eDxwzd/8dJ//99d+McfrF78qLd8sHx4+8Cff0vyFhs2CUqs6vJ8
78lj4cKvj54+4Y1757XX9z17VOYXbv2nv9l3/oWlowd//b/8zy/9t/8q7xQLB/Y/7PYW9h3gXl9F
xihEQNHpqWnDCI3Fxuw9fmRrl+5/8EvDZAAE0SAKQJa3cudIlVCzzGV55pyzxpicV159+cbbHxOG
/uwM2ZxAKAmrhnuDgWu1xPuU07GIWlfNIoyZLTVGZWYwBON0+/2rN0y3bScmEDErirwoPHAU0BBC
8FmeNTmLJJmOH3hMIKCWyAdhIhVgRE1lYCiMyKmDHYmRETW91xJTOW5T8CugCBhUCNEgJdw6ErIx
IigRY2zWXs4YxFT3mOzZjbUjBIkxGmaQ9ECmJkWvAEDGMCMQMRkmFe8yI1EAkC3nkKkqIVjD1gCR
QRXrrPc1ETkmdo6IjOGt2mOMKhJ9HUokIhMjVjUJBvEWwTTBHhUR7z0B1qNRjeBBQLGVdUWx9t5a
Swi1L0MMVV128xxBRWPt1RBHHxkREXLDgdVLbVCT38AAeVTDSIgRImjMHBtmBXVsENFae2Rmduq4
cpEB82S7c/bMqf7UIJuYOHfmZLfbnev3X/r0K/fuPazqumi3cpPtXVyYeMZDllmlMycOT+3Ze3o4
LAf9zOYn9y/bOswUnZc+de7alRs3bz9gJlcUxtgzJw7PdQsSXJie+NSnX5ybmPz0yy/c+fjypfcv
nzl/Wg0K6NL8zHOfer7d67ULl45WLz5/Zm5manp2GneHFy9cW+gOlr/4+ZnpmcnFPf2R//CDK4t7
Fr/17a9d+OXbVz+6Oj03szAzrUcODTKXc7YymMAXX57sLzx/5mRvolW0Oy+df3ZudqFH9rlD+4et
/PmTp+qvydXLH4987HQ7gpatQ+EJdscWF2fjmU67J8bGPPvy585/8Nqbv/rhr2Z6g/7CwlRr8tSR
w13SLhfnlgaLf/7td37+641//FkryxZn52l7pz51yrnOCmN19vSB+cX5Pb23h9tvf++NxcMrZ8+c
nhrMddicWFnqT5kXnzkhf+Qvf3w1fOT37NlzbO++XMzbv3q7LOtPf+Ezew8dcHvn703NffTWJTJ4
+uzxianJ9Z3hxfcvBe+/8s1/nrmFgMqWDaKzdmRqa01mLAGgIaoxEEaE3Dg2LhJHwCGzBw2Gd6pQ
ZywI4iyPIhBF5Vq5DlQZWyl4NoZTHSS22GZAEblt7TaSRWg7zqMCQ26ZQJ2zo+A7ZCDqROYe7m5H
qWsJHGMIIYgMyxKiaoxUV1WMVeW368qqsHG1j1pVZV2LBmCNsc5RWwQW1TEJYc4MZHrGWReMMUwM
eWazfLOuhRiRIiG7LCCrYUYF0d1Hax/923/73J9+vXPwRG0MKuRs2zbrZ26yaDEo39u48P/5dwvP
HjFTk4YRQnRZtGEIUmg9imS91BhQSIMPcTQs0EiIZVlVPpSVt0lIVKi3th+9+YuD5/Z6hNzYMkhB
FNlklnqdYqqT53kWYsyMzY1pOefLkbWuFADkAKjINQKIiLHAdqMOObFxOSAKQuFyBGpby+o7jFnK
JqC2iHdEtcg0+kqD5VhQ5LCbYeWUkT218fnPnn9/tBsvf9RGYPitFYOEMSEkZk5eJSZKHhVBSMKg
ipIhQCCm3Z3hw/cudRamHGWo8Pjm7QIIl5dAlJkBVAgBlAG7gz4eP8DOEcL8cyeGG1udxbmp+dmn
Q2Ci+M4e3r/WbVcxdto9YppcXsysbRADzEycKkjS0edp1EeSivsUrzOeaxoBM9V1IsZPNLtmYNN0
/GtUVYppTwpgzLiYPs26+MnpsGEHSTqpjfW28VgyBtNSMuOlMTCZnAWUGiifIqpJQ3aK143Jfokr
mNiKqTg+VeaNEz6QOu6e1qY0ovRT2p8CEEXRp8JmGkEbUbmxzYKMI46a9MI0oqdEX7KGQvPgJjap
MAOJJKmg8BRXpKLI1IhfqSI1lcSkWvb0CwnSOLZRQQNMTgGdpEenCNWYtxFTHChdjExIcOCLrzy8
ccsBzD53EtgSaIjKhgF16TOf2nnwEGLoTw7YZPu/9U1wbuWbf2BabWY+/I3fr4fDrNW2eXbwD77k
69pYy61Wd29WLP5RbM6FzbYeCaOIaWXHv/1VVrXGgurxP/gdUDBERHz6219xxh770qsxBEScO3l4
8vhBguYdSpUJUeLCvqXFA8uSQkKgR770+Vpk8fkzEZKMCSIRkV0rX3n+DI25u6QwubQwu7SQLJoL
B/dDbOR3TqAcAUTM2sX8ycMJwhFFikHPdFrppRQC085ttxXSbMdUTPSMYQ1ChvJ+hxBIUUCKdh7E
CqSSVyjaLUD0Mab3QlLaTIREW2yoKahVw2ZsvmVCMcRWIab6RlABFYAIiswU1RCDCiMKSHKjEbMX
BWYJEUVbNgPVEKMPIakQCMhAKGoodWU39Ks0CyATjdnIkoziyfUmgkQx+CQzMJPEEMUDAv/WNTFA
jDIGthGBAhtjaTxkIWqr2zl+7ixZQ9agwv7DK6liJzaGDWomclWyDKSEWA6H5eO1E+fP3gpXVm/e
7u7fk1Zp1lqvunr15pFzz3SWFgAwiGiMc/v25stLq0/WgJkJtbm5Ne3LqTiIYGzC/2Tx2IyKKbYq
DR9Vmv8EJSDQNK8GZk6EE2wQo4CK3BCVGttEnmXpTqYA1mUp15DqNLBxLGMTIAfotNrQxMj1E8gZ
gjSumUS8BlSghk2nMq5dAQWNkbBpS0rbTCbW/8NNfOxwAW40rXT7GkOYiVgBJI5rk8e1Q6KpmQlU
o2VOe8m0hEzYrdQJIgCcVm+GG5IaAUNi0wOAMKEDqjUKQASMoDTO4SOATZvaBvzTFMbEpskWCdEi
ASAD1al6HgmbHhFIwKGhilYVM/dmp/vTkzQOVjjiWmLY2a1DfHj1KrXbIaqxtj3V29rSuLoqCMBG
FMiQ+hAD3L5wEbPCdHsxSt4qiv5EKUDEBOolxpRtZkoVboxgi3zj0apx+exLn1LQ1Tu3Zw4e2rx9
v3XkGBASOYnSrAcIpbnGmh6wKNGmuA4aMskwjWObgxJgXY52hsO69NbXbJztdHfWNnhmxMaq4bkD
+2+88TMAJQRDLJISn3zn4r1t88708ort9m138vav36k2N4GdknJRWFc0VCfDpt0HovbkxPKZs7UH
BW5NTKhSPjsfoMlKbj16cue9909+4bPGOSACpCiqIA26D5AJm5IqIkBVFUMsoEHSkk4RCAASrx1R
UTEzrKJKnAKyTUm7kEgqLwVjWGJajDAiW2OicLMOFo0xJl8qEqLSmKVsAVRQmp4YRGttXQdCMgZB
QRwxIyhR82UERKJICCKFzVNjcyqTJFWDVEevCiEGoyYgMNLDW/ceXL0Vd4fhyXpR5HHQm5qe6vb6
j99658grz5uleZFonI2GkcgBXnv3Ise49PJZY63EmEpg0uYmtzZZtnJram3AbsmOaw2FgK3MZu32
tVv3Dx/vK4oPUQhEtaxrl2Xbo91H9253+p1hHVqFi+JTA/qhlb3Hjh6wxsTSz09Ofu7V5ytSyuzc
qy8QQFBxuXnu+VMPHjy+fe1mvz+1Z2F2enrgWi2t/YsvnOp1Or2dHWv3WGtPHNpb5EXl/a7IzOTE
/N6Znde2aXYK8+yF544rAIrumZ2en5rQKPn+haU906zQard1uMsKywuzU/1Or9UdliMiMpk7c+7k
RKs99HX35TN5qzDEvvZqOIqcfuXZiaLty0pz86nPv7BbVt28tVuVC89OdFvt0c7u8sxE5wufUh9e
+vSzVV1Fgn1ffCmOKgN47OiBjf1za9Wu6drnP/fCvbWNB1cvFdMLpcQE/9h/5MDRU4fUmHI0UrR7
l6b3fvt3iizfGu0URavy4dT5Xrfd9mXZZruysry8MGM6rbi928uy/sL0wvJ03um1Rjsv/O5L7azg
nZ0v/vk3IAQMSoUN28Mc3KfPnal8jSafO77v/LkzlQSuo+t2Z/cu/O7hvQS4Wu5It00b/uznzh97
6Zmhr/r93vba1vPPn4Ezp0Lw0M5G20O2xkaJorlxgUYmatSoESInNy4IKANSFERokRWJFEQgZkQG
2ZBxAdmYzd2RaylqZA05ioM4ChEhYAiOjfpocydRQDRIqEO1U49AyAcNPjprqihBJESJqrUPXsFH
CIQCIEwRwbqM6zDydeGcZLabZ+JzZzOylqJkRe4kxpy3R0PDbA1nNrPG1BxFQZACQIWwWpUtyNno
MPg81N5XhcttVQ8ETFUOmIsYfLlr1O9ur0U/kjCKsS7VW2NrX1WhqoIfltXqo7XRBxd3nzzoTr9U
G7tb+coK3d0aPri99WSDHXeWeiOg9m65c+16P7PrO9u202vtXcys7RSuk2fDcmiNBUZrDGkExZGC
QVBjkOzDD69Xt+84iSFWtQ+q6ofl2k/fuvn4ETl34PxpWl7Yunxz7e1fEWoUGMzOTr54xua2x9H6
kUitEUyeVb4u75c3vvd92d2t6rDy4pneySOXf/imCbvLr35qp6yefP8nWtTZ73zt3juXNq5dBkQD
uPLqS2FqEoNXgUCxDNLG397JhgiEAgKQOPKKSIzAiFWMzFz7kKGiJgYfkDXzz54g61KXQ3tuZmJi
YtzMAQjjvTxiq9dt9bpAGEW604Pu9CB19fkYUuc4EaiqcXZmzzwjJf/VxPSUAgZprH9E6UHeuC6b
g01T+9G41YhYG4wnNOpOqsMEFKAQ5fq16+LDoYP7jTFA1Py2xLQAfLi6Wm0P9+3b05yuEnY2/Qyg
TE1zW9INmcaP6DE1FEAB0+vGD548Lrd3DuxfTu0siEBIkohN+HT9ruk8ppqOMliHgIjGmrQgSMnO
ZmwcuwVTcJMIRTSRPDUZm1EVIHmE0tAeUtthkltVRZpG9STsRhVRBARCGhMgG8NwmopjaltpmP7N
WUzG7lxO2AWVTyDMRCoJFNpYgmFcBpDmkzEnP3WTqsSYmtATawQRmRucr4y/ry2yheOHAVETspJZ
IKaUJls7sXcPpMMeQLsoIkBnegoEQDXvdrJOm4lijEW3U6QublAEBmMS6F7HMnMERSJAMJljwNRY
gKoGGUQA0aFNbxxnWZqWnnqW02cnapI5QEGAnlZ9ANBTgkZTwcqEEpPPWcYjHBmk9O4BIgEKIUHy
LBgAiBDT2J9IJanZUlSAMaSe2NRIkcbsFIeLzSSgotYYUNUYiYkQLJGXpv09QXoCpLmOIQoDkkDG
TAoxBCYGBK/BS+RkryUmBQ0xYxOjF1AFUqZdX7mxkJcGl6a+nhiRFKJPiFpm8YEUScEaHnsdVEGt
swrSRJdBUVXGVVKKAARRIqhqFEROKx/RSKk2FCGEkNKeAhCi/Bfc/dI1j4AiIAoS5TdQ4YSQKM7c
OFlFg0TjrKhS+rwmtDERIEYQBGI2Eaku6xg1YU50HNQmolavt7s7zCovoDbLKLO2KIgtkkl/DaJP
VjnjLVvTbPR0KKXxQAiQOj6alwsh0dPVNN5YZCIZo+MailJaP33Cbm2KytLoiONFW6r0laeWEMWn
zG2mBLejFOD8ZFpuPlrpi4+tK2lbMy6tfipGa+JoaVLj0kgpzZCHmOSrxhnTVFMipjkGQFXSY0aI
BFQJE2kmNr9BCZEMK2AUNQnrE5Wbdqpm5GVmL1FFI6CAMoEIKDGBgqSCU2UlHdPfAzTpCVQgREZw
ZIJq2kfWKoZYx/c1gxyiJwIi9DEwGVZgJAQlQEPoCLmdS6t15+NLj2/fWzy0BxGNoVoUECaWFzb3
7Gt3e7Rvfz4za7IMIWPrAjpk7izMP7n/yN59MJibnTt6iox17U4+NU2KrYlJQEOsqfSpSSECcqdN
07OX3vtg75Fjxz732Ssffaijut3p7DxeRcrO/Mv/89WfvrG7sW063f7ps1c/vDx37NBgavppU3UI
4cr7HxV79t6+dnNpxc48c4KnF2wZZp97Mb26ABQRYgiPbt6ZPXN6a6R56bHr9n/hs6sPH452dvrz
C5356Xq4e+yP/hBsloyyaU+wcO5UOLbCjN2J88L2xJ98M4Y4feqEa7WI6cjvf9HlToijwtSh/XBw
nzJzC4987uXaV8AG2Kri/m98rUYmFTI0s2e+PzvtnGsATwhPUzDwG/vcMbMCQDXtaNItXRVMar2G
JkYuEkGBCCXEzBr//+PsP58uu640T2yZvfc517w+vUMmPEA4ggRJ0FWRRVNFlutiVXXF9PR0z0RH
j2Kk0Oj/UIQ+6oMUoR71SKHuVpuqmrJNVwQNSIAEQcLbRHqf+bp77zF7raUPa5+b6G9CIyoqyGDi
fW/ee+45e63neX5PFiubKSWCiBQJJav7AhSGJ6+ZqgYib9r1rboXXJTGTyhBfGJGYlPrck9EKhYC
W9fr4KQmAVOA3nLA1PvyqXzdkEPouyYiGQGRphBMNYukELPisdPHTtx3cvfq9Tf+w98cuf/Y1rNP
UxxvX7zW37qV93ZrOqSgNWhvOWAAkfWD66Mq3aWwmYEB5yxtK0zEkcFy7lUzGKBwHYIzUDvNqxsr
jz75+C9+8eYbb1wGMGQCA1FFRmTaX8yR4HOf+nhAMtVAjAAVBwnB81oGRoyjum7beeSguUXiSCQK
zz//q77rnv30Jx586EEDSCF5pDumqKYxeas1NiBjpmghhXDl6o1r166vpvoL3/zkaFyjQUzVbDEP
gdUB3ITmJxLT4N92pMgBzMZVPW8bv/2I6SglVA3Eg7uEGZCCMZMF7vocUrXo9jYmK9NYzfsGAbJK
TfV6qntrESAh25A8M7BEAQ245q7tfvz3L7RN+9nPPHPmoUe21VgkmfbluGGEmLs+Ec9zrgKLKaiO
AkvfJkIQHSnsSRfMxqId8+1mfmR1vRexLAfj6PZiD6oqgU0BG9NENOtbRowio8CXF22AySaGFY4j
pDksRDqzXg3GGLc4RZPNELq8qJmb3shsirTKtJv7RLiwnBhyzuMQYgcToGtdw7aKmlMMAZQJgxFy
6LKEUfISFkQwRgbqxZhorrLIeTXULXGrOAPtDPdBo4Y0HkO3WEmTvltkJkYmDgIQqhRDrOpUCypB
irRaV9JLJ7xRj5v5YpLqaWrGdWq1I1UNmgKDCRPkQEjQSl70eaGqfc5i+/NmtaqbLs+l21u0i67P
OaNqMjI1EcOccdFe/tmvLr32hoocOrh64EufWnTd+X/1/4l5P62uz+/s3vvlz4aHHrx97tKr//bf
rKyv7t3Z7eYLAFAkLfUTVMUqcqiQ8sXr+5eudNLtXL48snrz4MGbl6+/+p/+YnL80J6E/VuXn/hv
vzXb2GgvXX3zf/3Xxx85TWce3r22s15XB06O287mbe7E5k3boTa965095p4VJWfN7eY9h3h1/Ot/
87/e9/nHImHf97tvvHvjhZ9++p/94cUb+zu3tzePHev2F5de+sVDX/+t8YOPvP4f//poslNf/q0G
sFY0DFVKwNz1s0s/+PHeufee/e//+fk3P7j0oxc3jmytr61e+unPH/vUo10/2jv3wekvPjOluLo6
vfd3vmKAr//l31z9+U/u/Ue/Pwp1ZBTSOrXxv0IxAAyILk2YqTd/EJKqMlOMyanuzpMzgJWtjcnG
uoB5gdvBUydKwwEiInmdR/H+uTUOMcRQPKRmgJBSyn1mDmo2259NJmNyWy/6kdq38n5jLKyeMuQs
B+kBCkKlbxNv7u2889Y7k/FIs544cWRzY31w+9i8a955//yzT3+MmAAB0Ic6NAVFFNMbO/vbl26M
ViaL7b177z2JgGJw5dq1a5eucOCTJ46vrq8REJReNfTDjU9QPi2pFc7itTs7dy5cuufUMfcrGkBW
vXLl+pUr18zg9Mljhw4eKKdAg1nTXLl45cyZk9u7O4F5bX3dQSnlxD5IEGZL5PswIDO5LRYQRM0Q
KLAta0VpeeYruhMU/qK5JVsHR29Rj1XdXovD8l/L5FwOoqpFESVmV6phcDsP9kI/tlppsS8uWWMi
cUsqe5LWAICY/aA3a9qd29vHjh5yUJXbv7MKE+PQa1+Sjn4mGE63Dv9V8/qOIh57Kx1R6TcqOC5V
ICyTnQ9PruSWV0xqpYtDVXkQpdTc36XLo/9wBZKZlEhS+T/3JZYdBzGDgdsUpRTaGBgGJDSNhOoO
QwRGBjc9QrnQwYyX813ZDdEgviMimCgRK5gAGKL3KxKyd5MQMiEwA6h64ad/6MTBA1Fu3fQwor8R
BgOxGRB9p2nGgA7cEhFRQ+JSx4oAqjGyZiUmUxUAMQscgEj7bAgJmdDUQMBEgMBoUECZyIj7Lgdm
R4GaGYgSIRN55TszpZT6PgcEL/ETEddJIgUpcnQxDhCha4AG/h98HPjI/aUeLUMu363IbCLqcGkA
A5jt7r/3wxce+vKn65UVBLz01vsyb+5/9uPFyO9IXkYQjePx+OAhZF5ZXT38sQfPXbjYi5x57EFk
z04bIsUYjz716NXzF+YfnNs6fCimanrkME2nBiiljGkpgXpTAC0hZMu0Ai6tHC4FAhmAT2WIvAQB
Y9luyTB8UrnuBy+Jf/Bimgdbe4noDzYL/54O/xk852mOl/AkheryLlGGSFMcKkp8zzRkB4pnWEvp
MEJRQBEAgTT7ncSD66pLXpqILO8qSxnWSg0KCICao1ZtGSjMUG42RhCZyjVDaKpMbKbs0q5aROpN
EElBBVBBCTACEgUAZcRYYu/Fs65gniP1QhTyuLmpARJxBnRNNRAjWgqhUyEw5iBqQCViykzBkMGq
6ejUt353cfP2w3/6jyYHt5AwEBuoKIwPbR7/w693e/srBzZ5a/3hb/1xWplsbRxbfOzBHmDrc5/o
d/dCqnhl9Ogf/nbTtoJYTScKduqf/dMGgf38jIaq6GLvJD38j78VAQLz+ubKx+45ooAYGBHvP37Y
mO/7xpcMQQHP/OazAqClF4VJDQk4hPuffrx/+mOiRkjHDm4a0tRgfPSgDFXiSECRTz1yfxwuwU51
dWtzurXpGLX1Y4cJDMl6UwMUU49njtdWaHUaENRUzUbTqd82/FFYj0f+HFfw/nk/2FIIiULozbKh
gqaYCI0J0RSIYpUMBoBfCRKbETqpEYb8jviqFwowgRiLCQLMZUrPnoiheEkVovhlrErD7dpxFUSI
GBw0FaNL5OAwv0CMwN7u42NnJAbAnDsEf8nqpwgqO2gNvsPG8kgTAuya7uJbb03Hk8P3nVEkMkgh
7l67deuNcwfuOz697wwadGoiql51jYTABtqaGjGU3CcbEFDosl547c3u/YtMeP+Tj+qhzVmzf/bl
1/fPXz18eGv14Pq4gsBhduXG5ZdfQY6c4unHH66PHqQlZx+AA2bU6BBhgGmdnnr8/gdPH6nrat42
gWhUjRaLJsaoCG3XVym5RaqKqYecc/Z5X0Bj4AwmaAoamBJTxwRm0/HK44888MSDD8QqNs1CAgVi
luzAEytpAxSwGFgRG1MAm66Nv/Qbz2TJalrXETMQUCAi5rbvKTCAjDgoUNt3zByIADEQz3NX13VE
v8Uhc+hyHtc1I1YUBLHtWmYytCYLgTiaj0NIddWAIqNlAkRlyqDM3AEQc68KWZjYQugkpxAr4hT5
kx9/+NFH7xmPxzf2tmVcj5n6RcMhpBjFTIiAeFSNLAtyT0ArsXaYvlOXsYpiRlUEAyECphvSHUAI
IWpgEEUOMaUutEQ4Z9New6gWbTvCRJAD9gTKtNA+hKCMlBJw6AiFA/RZAwuhIGXmSCGFai91jdqC
qTbIMeiirarKOu0pCwCmuEDYS6xZqum06/YDM7Dn7WkPcgYDBlNbi0mtm3I9D9k4JMJANokk0KcA
65rWNRBwTzQm6gJlgwQg0keEJredpFa6JGQQxOBO06BiKxL7vlPb7dvri0VW3GHReZsSs4GJ1QoE
hGIRuQKaQojEHQJWsYpIkYhwnxlSGMc412wEFJkCaMRF31QH1h/5/a/knN/4f/+/8EA8+NkvNds3
1k6s3P+tP3rlr/7uyos/uf/Mofd/9PNpJU/86T86//O33/nbf4/BAkLwbzmhgIlaznr0qUdXkPr3
XrjvmadmG6dnWd57+RWVduNLn2Wprv0v/7edX/5y5Xe+0ZoZdIefeGD8yc+iWCM5hEBMdRXrLtYh
VoF674ChEKtas+xrTin2k3FQphCIyDjUVQ31uLd469z16drq+r1HaRwZdG1tes8T9+vBE4cOH+ou
vLk1+fqi5XHirs9ZGsKoubt+/uLhUyfj6rQ6tjX/2Xz72uWVY2eMqqvvnOthLfaaTpxosi5ubL/0
wgtquHvp8saR1a7L2rZdlraTeW+5bT+yYkAoZmZKhGrKwU9opS/UF2a+avQbpYBRcAi6YSn08uU1
Ciy7TId+Byfyl81kiU6BWQiMiKA2Htch8DImCnS3IIG9NGw4qatp9JdU4ErLYBUi0s5scfHyja/+
xmcuXbvxo5++/JXf/MyNG7e293bH0ymGcO6DS6cObynQzdu3Z237wD2ndhcLUlg/sHn27Hllbrvu
nffPf/DKm2rd6TNn1PCXv3zj+OGtI0eOGODt/dn5D84DwD0njgPA5ctXs8iD957cWTQXP7g4XVsZ
jcZ37mxPxuNO5Nz5Cz9/aXxgY+PeM6eA6Mad7R/8/XOf+83PLHL+z9/58Ze//OzFS1eZcTSZdKY/
+Ovvf+nLn6nW1tem4/2mOfve+yrw4L2n7swWty5fA4CTx45wlS5dvDyqqtOnT4QYna9YVG4bYqbD
Jm6p0A16j0f/FIqA5wTdMCT0sARFff+vd+lQfowub/RwUDYtBZH0IUgDIpiWgJmq3hV2/GCBQ8UF
6LCqdu8xXrmz96//r//qX/6LPz1x6sxy9PUtqs+POpj+EEHUBXO3KLuIDW6bdB2TgQxNhydm8YEX
spS5f4tKhhYGaJPFwCrqmVhUICwDISEAczl2iAzFgFAMVQUB445VJGYxKZWoCOadRoYBENDEU0nI
ZsPcsPQrMqAZm4NCixERAHLOZfBn8kWAvz0G6HtzFwuBwFSZg7n9GwCdqpX7Irh506g7jNGYUXxt
YSADtxldyjYkMPcZAlGfxRAVEJASk6qq5JojiviMIBRUVNCY2UG+EcAke62oqgUiQyPkvCycNWMm
MRh2EBw5MBkiiacGzLKomoEhE5sqoIUQJGcfkcFKPyEM6F3v63HTvTuBP+rdL5sBqrvbCTExR6YQ
yvVvZrltp2tr48nY/3zbtEeOH3EinZ9f1fyEChvHDq8ePgCBCfjkxx4qekhgLeaOUjeydmBzdXMd
fHdAeOyRB4i57QXJC7zBwLh8y7wOB8smaGiYseK4NyQ34pY6YiQWtbZtr12+sr6+urWxXmoOndSF
pAZ9zteu3Th6+CDGIVTPhAbiR2NRDqEs23wOdMpoqXciNCVi/1Zuz2a7t++cOn4UaVgQfQgJZmpS
9jZISOaKE1DOGZkQyZaWkCEr72qtqerQzEIF2Oqgb/BcOtyFYQMVDwO5q4Vc+SyrJwRAUTVEFU0h
qJVfERGzGSGIQfBtFJKYMnMWLbB5JFJlwABACNmgN1OADDpC8qMWoUUOprI0USiSmKFqIHLcDpnl
LIzgWE4ulliJRIl5cujA+NABNmAn2LoBHqhHrQ9s1JvrIwpZbXLwgCHUVSLC3gyrauVgFc0EMI5G
cTLKBj2oqFbTsfePf4ifXzY5oebo+zzUqq47UXGnRiAA9CQFAWXI7tT30s9IhM5XZ75rMUIiRDIg
KyloIAIARVMAUWADT8AQkUiJtRuhKgwmkfJd9Rs4EzOarxB8ylfRsg4YyljLFsZMAQJ50Bot+yzH
VHafeWBDoFgpqfUGKQ7Qiw2fm/htysCksCc8tu3DI/gTIasXMUJA4kCOvzJVRPAuVvUNqfpzEgyU
CTlA7rVsLaH0EtFw8gGm4fFsIUYAy1LWT4ioJqjKSKRSfGKqagYiqir7V27tX7+tUrb/fc7zRbO7
vdt2fS9ZfWvr9wUAEU/hwihV5YGNFpkiQGACzaEKD336431efPDSS2h9nMSHn31ytDpub9xaSZXr
BlfefEdnO5/8zU8ce/CYshgAcWDgFBIhAbMwtrnPpoLQWM4I1XhcVTWnEGMcT8ZVXXEIVVWNqlTF
kAJVgRmAAMQs+17dEJCySZ87ZgyIpNblXlRFhZBiYEaKFCIFNZUsVYyR2HqvtGY2IsWaouYcmQPg
iMMoRDYMGMBAVciAzIhJRQlwTCEBRkSRzEAmFonHHEFURdkwEke3/pshkajM2yaLqEhUHFMgBTSU
PoMaajkGcTmImXkiWaQEBor5QNWAiWsKKIqqU4prlBgQ1VYxJiRSJcQKOQAiQBCNBrnvEXGEAb0x
GokMsgqTL3ggIESkDUootkpx3jadZDEwgVYUFCqgRDQFHhOL9ECwn1sFWA91NCJFVW37DhA2Q4Uq
BJYxE4JKTkA18EQARWpEsR4sj8AqxLqVCVLu2pr6VuYRBDVPQ1g1SkDQ50S43+4zSAIDU1YlUFTL
fe66DgkayY3m3b6Z9X0g3Onavb7dlf6Oyu2cbyyamejNttvu842cZwJ7ap1SohCQD8RJAFqrxqux
RoM6BENIIayMRyspbI6rA5Nqc5Q2qriaQj2KECgwE3OIUQDFSDH0CkrUmM1NNXCXcw+KxJo1iwVF
EBjHEd3ZvfD33z3/d99tbt7Rq5fqvk+Bjhw/NF6Z1lsHZ7s3pZ3t3by5emxrVoX6+CmKseu6ViUj
zEVmok2fFSnERDHElJh4XMWNSbUxirHrNg9urE/HBw4eqOrKFjMOHFMKqVo9fGyfqeeAqWqRWsO9
ThbZmqyNCCARekO0BARWqQmnxMkw933uOswddM3hh088/Htfv3Fx+81v//Tdv/z+bHuXAKrATdft
dI2aqYbZLM+63PbWGi4EO0IgDsw3Prj48n/6q/d/9JPRsWPV2sbaodUD99x/5cXX5++8dfD08YMH
N9qrNy49//yTn/34Z//k9+9/+MEEVgdemcTxpGbi1dF48tGJlH6NiwqgxUCErhSBqhFRCKG0YCM4
bQLQ0YWM3sTl21Jy3WU4LLI/2InMd/DqGkeRXofUIxPFGP0PipoBmWERbGlYWaGzOsgXbUumkY+j
BcBjIAAUwng8On7yxF7bv/3+pZd+9Ran+rXX31m03dbBzcNHDtaTycbW1p3Z/JVX37h66/aVK9ea
3L391ll/5K1trm5sbZ48ccx7sU+dPnX15p33z1/enS9eevnV7dvbZvaz539Rjesjxw5tzxav/ert
SzfvvPv2udXN9Z88/4uV6Wg8nRAaZTt45ODPX/x137RgcOPm7Y31lZOnjp6+7zTW1Wtvv/f9H704
mkxefu3d7Tt707X1EyeOfnD5xgfvvv/8S6/tX7m2yPLD7/74nfNX3n75DUvp+9/58a9ff+/mtVuG
1radepqTSREcm2z+AAJU79YoUzwMLF2D/+J44gNbcfGp30iJ3aRXjnsDqFQdigRg/rkPBUEubsOH
om7OHcFBfl/WpWrpl1xeF1jGQkIFU+T333rr//5//r9cv3LJ7C5FpoxtZuUEQAhmQ7TFiAmZzGOx
gIXHQqxgTB4gKiMoDLSmyIEdTTE0fJgNTClVZ3T5OdixUlzWMDbYwO7uxX30dDiwmBV6iqkhiUGv
JuX9YGYKiAGpIk5IAZEBEzEBEAAXZrGzZwb1edi/ECMxlg9Xxe3HQJjBu/JIAbNanzX7iwAHajun
BmKIxSbuJCqfDQIpYJdzdo2bixjrSiMTECExG0E2M2IgBmbvOAGAxJGHj9IMRf3zHI7aqv78JV+a
ADIyAmfRAB7yNu+URy7WUFAjJFNj4jomRu8F0KyaVcyvsbsrGCoMsXIJoWv+IgaGpt7GU3hjH436
xhCYmD2bqogmkkFluOHBxqGtez//FDIHJkK4/5nHV08dUT/cmiFhCA40phBCTGk4BROnFOqKCmRo
ecsCZOIqcgzIDEgxJSIe2gbBdwX+dVkmtP3LtayUVICLV6+/+c57775/7saNW6JiaAamaEbwzvlL
589fGY9rNXFrNAGY+XLDFn33wstv7s32P7hwqW07v8b2+u6t9z944+13b9y8bf55lyHYRIXKnggQ
jNhJakZEN3Z3f/6rV83Et2OKIIjX7tz59RtvvfzKGzdu3VEzNcuqWW2/689fuJQlX791a29/5v+T
DotOMVUwZOeaoi3VXkRgLLADcDyVW2jQ114udTBYYgxgfjZjxBicuwICYIQYSMAwBCMwRAUIRAHQ
v6HkPAIkA0D2Ex8UFDVgAGQzD5QCAVIwKGWYhEwGDBgIvdS0R1TwwIuhAQOSwfmzF5/7m++piIEZ
kQcrGIDd9oxgTL2VZ2SpR/a/P5EUr6cZGBMzAAMhQFYFIkRk9qy6Vy+Rlvem7AaZyj3RwQcydKEB
IjEhETAqATJr0YEd125IXEL4cNdooj6BsXe7lIkL0QjJbxR+N3IgQUmhIvpXHpk9KOQrb3/nl54F
86jkQMrzawPLXansMgOiY7RwWLwyQqQhHgOmZn6f95kaCpLZyjfLKyyCvwBSEw7oBw1AVBFGrCIH
BiJFBmIwwiwqPij7xIFow0EnMEfn5LOzUDirUWBEh4eXqHJW7bOaAAEGYkRARkMdkq26jCn5SpSJ
A1MALVUEzCHnvk51jOHRL38OAoeU+qwxxkAc7jl28oHTs/kim8SQQlAmUhU1EfVMCI1CWoRYxeTG
NlExMI5h89Tx0ZEDaXNj9tZZbXutIaaU6sp291RVcgbA8fr69UtX3nnpTZrWBzc3O5O26aeTqaqJ
iPZ9osiYU6n9AmJo+66uKuaUVWd930quQ4yEnQpSMC9cjikx56X3Rc3UAjEzE6GYEFHiINl6EUVQ
dcYGqAFRMOtzzuUmMXRbmyoTxRAVYCYdQVSEHqxC6kwjcrm+1JCg73KnqmiA0IMZQSsyBgshtCZM
oGTZtNWsYGrSaq4ROUUxFU8y9IqEPVoDUhfRBhXMS4GQaKF5BBxCNINGtc8yhkqRlGwvt6UCmLlp
24nZmBz/YCpCiAuQGoO/O2oWEaehymBdzj3bZDTq85wVsqqgVSFkyM7TX6cEgfq5ZrQUUr9YVBQM
QNUisEpGRcnSoYDxZhwjIRrOc5fiqJG8miLOSbMqoapmVQWtKQaOt9rdtVXoGRcqLQIDjiC20mTI
40QLxr1MzNUs2ziMFp0GQ0EQQBCFlPbBYqoywDiOhKhKqeEOOUjOLehK4FjHKoSNVK+mKjFxNgpR
6hqc+0G8Oa2utTwJMElUBWBKAU1VOYQ254hBGec5N6CzLm/nHhQ6Ru06XJAt5hMYkdrevB3HvLvo
xnU77/skClUQ6eeLmUo3AsyqPcOUYQZCpsGtdKE696vXFj/87pPf+n3aOviLf3297wVjDUA4qvcp
CgWGEFJIdQoIK1VltGCkcTWWKgGHmsKs41GM05w4EvQqpkxhLrqbe+v6NsQ462c5z5tdWXTAY1UV
zRAoBF5XQtA25yoJQx4FnFkOyI1Yp2LGIiamvpQT1X3NY1PgaJj2ERuitOhoOv3Y733tg5+8cP3l
F++HuBd4vrunN2+n0YF2e/vQQyfWpvVCu2kdF50wEafIdTx25p75jfjI13/zzrztrtxIWwcbs9WH
Hrzw4i/r3Z2P/dHvvN/1srvIGnupds5dvfD22ZVDk6bTvm/7Ks0Xeu3qrfVq46OezNRda8xqRgZO
24OllZYAPc2oBi6Dl+MVEpLnDNVsAId4CapzQPyhVTwqd+E3/q+rl88TYFlQep/kMvSlqkiApsXc
u6y+9H6jAcPjqoIgJGZRy6KLZoEKYNjM2r7tjx09Mh2NJuMRcfzgwpVLly63IDs7u2cObM7mu23X
9V3HgGBWpwpjjCECIDGdPn3s+ImDH1y6+oMfvohMh9enpnr46MG33j138+r1ucit27unNx8+fOjg
tK4h27EjB7kazbr2xKFDRw8fwhBz18fxpK5H23tN1+VM2nf9eDJZmawcPXLw3JWbO7d3UlWPRyOO
Ubtub3/xyOljfPjIz155qzp25MTxI6fOnHzthV/fe+/Ji+cuvf3ehfW11Wo8pkJkwcHTCJ618yW3
fog8DAPxeAAt8RCVQoCyIPBAaEGvEuuHaMZlr+3YUl94L/297iT8UJGpXyFMTMP5pXibl2hQAlE3
ExeIpZoxQmIOHP0nuSHTDyKBOBCo01pKiM7df6AKTH69uSJfbGRZLSASeozLiMv1mdVcM+HAviLx
ZCYTuTWLhyGEgIoPuUCoS+uQlp5eFDUgA2QBE7PAXPaViMjBcvb+FxjITwh3icTLOF9p1SMOBl5P
RG6AJALQgiVWca2JOYhknwxM0QsZiv0AMAVEVbfiu9vL1QVTZR5+ExbLnCFiiI51JMKKOPd9JGIm
UjcVmwEgkwB1Ytm96GaRCdvOk+NOAgF1DVARgQOTuCxrhAiEvYd/EAgB1eoY+j53lAnZBxzUoXKe
uBc1ckCLL1bIU+4KCuoXrWURUEAutcmmir6lKqKauEIe7L8iX6qElH0sQTNEMUd3lpZmDhQpFMYt
UQysVpYVRThEZCpxTL8sy6qhaIyFml22OR5pdnv6YLsXN/H5odzPwADo1Tt+qTAvA+IGaKavvP7u
xnR86Njhn/zslccevf/w8cNXr10TwAObW+fOXZCd/Z29Wdu18/lifWXlwObWjRs3Dx86eG17FxBm
fb55Z+fb3//Js08/8sCD948mk7ffP/f+2+9/+pmnmkXT5Hzx0qXFfHHk4Nbq2sr5C5ebpjt1/HAI
8dzZc6PRaDSd3LmzXVVVG8O1q9dffe3N6erq8ZPHMKTbe3t//1ffffqTTwrxX/7tD7/6tc9eu35T
TddWVnfa9rm/+f43v/a5OJ6klPZmi8sXLqrBqdMntnf379y+lQFOHjuiCjeuXltfWzt0+CAH9m/i
sBj1cykSEgYAVVpy19H8Hp6oiMP+9MlePDtYKrSUchSDKAKgamDK6tsWdWR6pxoAAxW3r/e+iCoX
0JuX95RvsudF1U3OSG6g8AHJ3feVsXT2F//6X1fafOG3f9s4VhxdSg2IBNSZODjYpTlCPxSTY5Ay
YTAjDgzQm0YjQMgfAuYhgIh5OsBJxWoQ/L/7ote9rH4fKi4mIxjapR16ZxqRqPhaCUzdP1XMvIXn
bILgoXRDD9QXf7dnMXFJ9EO3m4Qs4jvlLCJmCcOSXUBwF2yVxQIaE5sJADpMyx/6VPgR6FGLJWPL
Zz9ACESqxaLiCx4zURX3mZfisXJfAzUDFUIqgfbhPg/GpEAAJTcAgEh9FnAWhe8uTRjBEzA+hIch
Qd10raip3zlFHOI1WIOQOVpZ4aHv3TyZwUiA6hQ3JFqizghI1QJSZFRvk/e/LSFWKcYUc5ZICCai
GdCIyJuRkaDXjMpimlUYIiG1bRcphxC9wSggxMBzRozBXGWEgErByjaImQ1hlcMe6rgOx5968OCp
w9tnL1996/3m6rVjX/tSSBUSB0QRVUMxk7afN20WxSxqOG/aEGKW3DYtc1DVrmsDgea8WJgR9osu
iwnYQvIErGs7AFBQ6XLHfbY8my2CMRk0TYOIs7YB1YmOpetEhGNYtK2auROny705u08qEemaNsYg
bd9TpyLSdR1x27YLkXFd920PbWdMkvNOzjFw13XalktkZvs55zb3VUrz/RmIklnTNmTYda1BV6eq
b5qQ0k7upZeYVUWy5H0j7GSv36tS2pnNzJBMc86NWtM2sW+Rqe/adkGLtl1YntQjnTejkCCEvfmc
mE305v5OMxo3bQtId/pFnbEej7r5IgSqOfZt1yN0fdtlA6CbixkRddJvt32Eup83agZZc99vSw+t
dJ2FChdNuz+btW27IwCRF3uzDlHbdg55F7ifN9fNMNt+7laR2i73++1i0VjT5cTWtE00antAYcWm
aWez+eXdbRytQoRm1lYcpO9yb9B3i/l+DqPQilgTAPq221fbm+1LxSPgeTvbWCGZzVuhKNJIG+oq
78/vZMlde8M6qEY35zuTFm7v7kiTiXC+P4/TyWxnz+qac76RmyP7Kxd3bmOHZ/dv6iiPmGf7s7X1
9d3t3dF4TKq3mlmc6q07t6cWutluHyptIHVKAH3biQIiadPmqm2bdjFv+i5nkD53zXyeEvZNixH3
+nanbVrAKk1W4mhPWwRdGIAYVaO4vrJ/9eriyo3NoysVSUiBKY0ThYAumGwcP3n9Vy8c+ODK2Rd/
2c/7NqO0ubUux6rt87xrLcv+Ys4xAABxZRgikREd+9jDu+fOzX/8S23zSjU5/clP3xAhJuDIsVow
RI19QAPokRQwVTURR0YMocH03s/fhvdu77fdysbG0aeevPGjl7qbd/Zn/SvffWH1yIWTn/lEs+jP
/vSlcyLz23eOfOLpbqVusginN37wCxi/Cysr8amPX9+d7zedWTPrFhWHmkkQtz7/if55fPlv/gEN
148esiqJyPTYwdWH7q+SjU8cSyGOHjnd3vjEu6+/YaDHn3osTVNdxyrGY4/clxCvvHZu/0YDf/bR
TmZMAchKCyOiJ2aMcIBhUgkBFKZgwScOlqilda70fzpNhwauYdlWDooBeOLfoXXBXSqm4o645eBJ
g5Dr5/vCZrTBvlayc8PMZGCMtFrVEfGtd87u7uw+9sDpe+451jWLvuliDGvT6drKhELkEDxPOB5N
Th06/NL5K2++/g4CTKtqMhkf3Nh4m+Ct987df/+9jHTj+q1r127O5vN7Txw9fvLIu++833d5fX01
Iy16aUVSTCvjUV4Zj+vxgw/d+7Of/mp9a31tbbWe1IF5PJ14xuf4scPnTh/7hx++iCFsra2fOn3P
P3z3hZ/95OW9vfkzn3nyhZ+/8tpbZ0m1rkaPnzj1wosvjc9eOXHqRJiMbd4yM8awO1s0nd66tbe7
u79x8IDBsoQG3MkMAxG4DPzosygONrlBi1NQU0Rg9n19mf+zSMkDlQd1CZP6e+tGQf8IvMV0+O1Y
TtdmVF5HKVRUNWJCZDUlLqOgV+kV3IAZGKRAj3zsY//0n//x5pHDPAA2fF3vAo/3dvhr9nGLibKp
uyidLYFQWvagZAILLqeU2NiHUDHMYhqYpBQKDQlbVQK315ZjyiDCFpBxYWV49Q5qya8CIrJowcEY
oOTs9jY/QrjJmbHQpNCDtVpe6nJecYujf2WKWFoWMSUe7HNcNlWgXICfBj6ImpBB8Oi3KgNxKXsE
DOXQ7hYkApRS+g7EpGIuBDNiYIKB5qxiRtipdqoUoh/DIqHmPE6BVJA4GzWSnVrJ7usToQFR436+
EDGLmFpAjIEAoGs6910qmIqkGNCUmMGEgqNrBhCJqp8GmYiZRcSTvFyuPVPVFEPf5VJhVK52hTKf
fsS5FBAMePjMPau5ZA4RgZ/pXW5yJg57ph0MfchUg8GcvGQILT9uH1dgGCvVcIjMD2HRQtRGU0Mj
RlLN3hIcQlgql4rgrl0oax0YjerDx44c352/89a5c1dvRgKow/VLN6pxTWKTyZQ4zJrupy+++swz
j//8F2/89lfWf/X22eMbK2YYUoj1aG1jPaRkgGsrKwH54uUbh7c233z/3Nuvv/3oI/f/6Ps//eo3
vryxvvHO+Qs//dHPH/r4Iz/98Yu/83tfff6Fl+47dXSyOpW2XyzaNJk895OX//Cb69VavHj1NlN6
8MF7O8CX3nrn1TfffvmFV3/7d7/0s+dfPXH66Gg03Tp88Ac/f+3eQ5uXbs/Wg84wXbt4ccdid+fa
gfvvu/CjF+dGJw+tGcDG1nopmQH19ZOLdb68sCzDYs7RdLSsnjKz4LgmJDD3jg73HwcR+x4NEBAC
sw//kdnVdjFTAHL9EA3QccBYrAwFM0biw5gKEgYiQWDQbGAIvVoEjMNDMRKhQT/ff+6v/uLpz362
2txSFebIxIGICUlLdFbNge3ASD4oApqIIEUd8uxIiCruOvW6EfPyKzQxBTNgzlkSlGcxmvh3v3Sg
DZeTb4UISUrFmBv+DQkYOQJ1UogJtryH+og7FCgxYUBWFf9jTAVnyABkDhlSIgyGc8nEJfgJ7vO3
HJAUBteN91HB3ayyCzzFmyNCBaaIHqImKF9JKFNr6RErDyHAwJxVFc2Hc1Pnm1vioGCqwoFFsqoC
kqpHMZkAsmUEYM+eoOO5GcB96kRYMvkAxlhaNN0bAZARkZEBKWchYjAMFJgClTw1ocv4zqU2M5PA
BFQiKkO6IahaAcKLWnkAmYmaap7dvF3HQNMJhmBgItovmu7mjgXWVMUQkBBBRymA5MBoBGJETBnN
CM1IkcuzjCNzJOJY150hI6kYGaBZL0IIjCA5793ehr4/9eTDs/3b+zdudH0XKnaCsCEScqTQauEx
tH1XERoaAlTEMiyGXdY3d9gjhRjqKqpo8FhLil3fMXNKUUSqemQL5BhMNKaUUuxMRCTEgGoxREGr
qiqmENQkS0pJzdqci1Sdc4gR+rZDHY9qcbd07hGhqkfe2NahAjDEAAghRo7R1Pa7RgOh0riq66pq
cw8xBMDarAqxlZ6RQkpRNcaojAT9dFRLzthjlWJEbCVPq7rL3ahOpLCwZlRVjfSJI8cw73JAWqtG
K6odWhyN0KCKMaVYxcCI0Ns4Vi02gXkdK0KlgGmUEDEikVCDOhnVoyyjlLYJJilVGubtPBJSYGbO
BslCTAksjxHXRvWtxe6YaD1VibiqqtuLBbPVdYzGdWCN0VJUy2MIVSCJoWZICRMSRiSNFYY4im3X
j6tQj3BU8ca4nqQ0itRmUbJUEyKlkIJFjDSqaghMRKACoxAkQB1JYEyjnghDyCmicptzTpGmtYzr
1IZVGk1DPUI5vHmw5jiuxzPpR3E0WpnuUpBRmgBQs396bYsquH/twNZKWq9GwNSsTKvRaLOuLMaK
Afarg2ubswSr4+ms1inXUnPenafJiKsqxlgBt4BrK+uN4GhlRarIYuMRr0YK63WOjGTJkCapAmmg
U+ly7oJRUDn28APXLl5++S++l5g2Tt9Hawd3RVZPntbVg4vOqs2N6uEnud44+qVTe6bv/PSX1aQ+
8rnPjg8cparOCCkERdkYjxZE41i10ucjW0e+8bvNeB1jyArVQ2cOT//o+qXzm6Ppmc98ojl4KALw
kYNP/vN/3k8PVBQC4Wze13WqUdhylqbCFARXTx1+8v/0f6Q2S6BDMWSzPB2vPPHg2sraw9/4LQNM
43oheXr8wIN/8NspBQCadQsKqa7qjY2NT/6TP5wdPDwZTbbbxcpkIqBroxElqJBizZy52lof//Zn
Y133Wfu+S+PJfG823pw+8Ge/C1U0rvqm4VSvferJM2vr83YRQliJaXt/Rol1XJ347Mc32wfGafKR
yR8ABASozqoZkEWlMzrGMDASC7sSnKO7HBTLA2uZ9gRP9UDZvJbmFCq+wYEVAKbL/eddjtEwIMFd
nWew/pKWjj4ZBtci+5gZmGytTb7x1c/7tFZXFRJ9+pOP9TkDEofw6WeeSjFtbqzdf/KI/+SUqt/6
0udElRE5xJNHDscUv/bVL4BZqhIAnD519OSxA6YaQ2Dme04cyaIcoyGdOXXMABJzDNFOHEsxferp
x7q+Q8QQ4pmTx2KIX//K50KIADBO1W98/pmua1UtpTRr8z3Hjj/z9CPjlZVU14cObKpKCJGZkPnk
4U1QG49GWQQeOM0p/uEf/zZzOHZo68knH1iZjj026TiHkhcd8LBDG02pYxnYxf4csmFhTOrr5aKm
IqHDNtyXuJRwoEB7nSyL5O2AsBRjh/SqlvUzDHWsQIDMBIX5Sctf5H2J3nfi18bBrck//d//8yOH
DxIxiA1MoiKzuxhlpqUoyFznpOW62oc6KAhoNH/5ilj4N7bcdDB722Z5q2hADROxivpxAz3JN6zA
YfAh+1HOm3FksKMXKZhRSmtr4cgwE6oFZlMl9jcU2YumoLiE0ZkixSwJTGhcYkSDc92nRyYRRQef
4hC+DX0Wl3nRtCaKPgGrMdKw8R6aX6wUKYmZEeZCbVU0z+EzGDCTSCYiUGOmjCIAgbgHEVRTRTNQ
DAw59xWxqGRTQEghNJIR0VRGMUrfYXGLcy4SvBeEWCfZwCgyZQX1LQagGTOayxrmxkVLHAJSCuSH
XQPL0oMBKKQQzVO+hJGo73ti/xSNmdREVAAsxvCRsW9AUGptrYjA5kKaIQ9GcQN0AWTJpF02owyK
tC0R1uU7WIK7w+F5IN8WlreVEtcP3UWZC97I595BHB08EWVytoL+8TglUtN12Wzn2q3NtckoTetR
pWbRSBF++avXUp3OX7j0yCP3ZpU2933XSZ+ZgEOK9Wg8mYYYAPHooYMbv/Hsnd297333J+uHt3Z2
95v5YvPAxrUbt9547W0bxVsXLj/4xENbW5sbm2u3Z4vfPHl0sr4pN+8cOXLs+Ilj9Mt35vN5vb42
HY/mXd/3IoHms8Xo2OHV6eT0icPnzt3Y394djUdrq5NU15K7O3fuPPXpR/d4/No/fD8cOP7QfcdX
7jn1w9fffvY3f/Py+Yvn379y5tQJ80yxgX1IpyIfwLj0bxSkq/lqABEtGmQv20WIhO6rV/RuMK+I
BC71YIhghFgzNVmiE5URsmgraohilrwHFdA7kAAgA2SzbGpIAYEdzwsQiMRxwN70U0yYhGYjxgOH
Dv3J//S/S5trFsiMYGlBHGjn6sgkp72pOvU9m3FgUacrm4fKcSA7q+jyiewVmM4JDCFoGTuRgcTf
qtKSjQSFrZdFPeIHhsQMakvxk0wr/70cllc4eonO0Isz2GQoZwH0SIinnakU2ZoSglN/bPBY+frR
8Vp+Aatq5IBqpWCMyEQD0tDXgkQskpGRGHsdsOdYGnkNrGAOiJi4WD2hmIPK5onITMTUgMA3Taa+
jFCgwo/HQiVwPgESgioBMSIAKuYhKUqyvHWDhRgG9yj32QCp4jhKKXc5EPewpDepghqCqLi5zA8q
IgKITNyLMBExqhSUWXBzSJZcMZmREeZWPvjeT+tED/ze19VAFIjTnWuXz//9D44/8+R064AYdDnH
GN0QD0OhOzIgUhxPIdYiaigYQ9zcNK7UjKsqbWwFrq6cv37rwpXbl29CIy9+74XVw1unnn6kFbjx
xgeX5axlO/3MM2ura70IqkUKiJZFiCjGVKVqDXhfuqoe5SwhRTQIqlU1ImJUDSnVozEyA3NHLcVI
DLltOSUQwcChSmogAJxSrKqYEhmIzVMMSZlSrOvUATASMTUqykSRECBWSURbzSFFzcIx1HXdSuYY
OIRKUgphZTTuJccUESGZTUKYt00GGNWpb9sQAgAZogVKVLPaKFYr9ZgdX2U2qithkK5PKblxtKKY
gYwwpmrKDJHRbJJiiAEDhxhJIZlxjDEm5FDXtZlRYCLqm3ZlOm5mcyXEmHJDFgIx14FTVVFdQQzT
kPqmHY0n0rRESIFFNNYJBTIoME0nk+yJpj5Qqk1RAdMkyaLjqu5lAUwUIqVIKY3NFCykGmIIdc0C
Tbfo6gg5WYxoOIF6kkZz7oArHQllrCdVq/O6HrFCa8Ax5SpJTJvjNVAY1yPrJVRJwRYoo2p8QGRS
j0WVKYbA0nf1uA6iueIJhHHfjdJ4TFjXo5xz17XVynhmXT2u1ZBIV2OleRqZRlUFgQEVRJCwrsKM
QMA4YA8ajHZ76QV3Frmq0l6TJVrTSptlyqFVnfe9+SIzS4BcZTSgAJxBpM2jOoyIa8aFLA5B3UGz
FlOL2Uy63KmBiQlAZ9AZ7yuxmjJ3olVVjQ5tPvov/9t2Pp/1zfr66u7ezubG+uTP/pDrGI3v/fgT
9eef3Z3NUgoP/tE3+rbjcb1zZ7vd2tBZJwC92n6fx1mbrlcFCgHWV4/e8/n9nZ2QIRog6MZ9J/cO
1PdsHLo12wVSyzpaXx0dOTDfX7BABmgMxsg9kCL2YBkxjmsWC4cPyu4sppCYu7aZTsZHDh84sLG1
v7tbVyNDg9l8ZVRZ38UUCblDQeKOUEajNtQ5Vnud9Ebzts9qTdf3Zmbas+43/Wo1mvVGkCMgGlmf
0XLuWwA1yYik1gYKI7YaM5KwAqrWrHWAHe0DVQCSSD/6XGrFiKuKOOBbC18VkNipK2gmWY1t6CNZ
HqpoOUaW6cUfr449srL+XBpxycnhgeVue0pJQrpnz/8bMw+nfTIwAx3W4bCsJVj2DPg8PB7Vg8xl
AESJODrilFJijydErpy5YgaU0vL56ifaUZ0GboelQBiqYZaBqqqigQJyCClFlyPBANhNNDGmSCWm
G80gVVyGQ4QqxSoGNWMKCO0nPv7QxuZmSEkBVqaTAr8FBMIQgv/tUgj+/k8mEySs67REQA29LOqF
qf5vlmqE0lxahkxVJXQBaGAjubaJSMjlvAsYAouXyt91RxfMxFLuXtYcLk/JZjY437xddimkg7uS
loFJT15ZCWxhFnGPW13X46M1mGUzRoiOugE3tTm+gZAwy+DT9bSnQ7N8Oz58+GJGRQ8piq7jUkSz
DWOEY3wVjHyaIAKwQHfTsMuQjx9D3TRQel4RREoEzlSLia6EAIEHkE9BL5bjHRIhDGxgjzwtqxo9
d0eIuZx3HWM6IJO9I8//WCk6KGNJIIxDw637tqm8N/5uazG9lZrE4mnwU2BpxwU0FQVjJFNJHMxM
CZyopM7Z9qUA2iRE63s36PqQDQZuH1MwFa2IQCEgK6uZ9SYKgIABIRJZFiQWUMloZsgInQYEHk7J
ZhoCaxZScCyF5yxVvAfIskgg9tANMgJYlt4N0qoSAgGoy/KSB5jXR0sxACM6Z9V1yzL7YYnhOXhH
vQVE9W5Bi+c/sYTbCzP5Q+oTDhXBg08ehqYrh8aAqAZmIjRxoGzBHvnVVYZVNykUoQwMS+y2quOt
W7fffOOtm1eufeKJR3d292/euD6OYWN1LTZtJ7OcZX9vfqBOk9FoPBqtrk1ffeWt7as37j20tTKp
menA1uoH5y6MJ+PxeDzfn737zlkg2lyZPvXIg6+bapa11dUqRO1yPamrVMUQp5NpTPVTH3vkFy+9
sbG5sbK5sTKuOYT1tRWmEIlPHt66794TP3ruZ0Dh2NrmQ/ff98JzL/z0+ZcWtxef+8InfvqTl996
4ywbjNLo6ccf+fmLb2WKDz700J2eqgRViNPRpJ3Nzez2rTvadwHHaDi8G+AfhIgAAhMrSomKGBg4
rBt84GN//vhMoEZEWQufxpBEFBgBICAClNLpSKhIvYoSIpKRAQeVXORshEShNy32CSLxSiJixwp7
WU4ow6QqYDZjIFRAoiObq//yf/6fH3z68R7NnB6M/prNM+dKJCKG2GsOgJG8akkjc2/mHODo/a6m
kRnUFNRXKKIaiMkXcmaAkE0JyEdNQmJQQL/rFtis3+4Cs5mSarHILoHJfmcv85n7eIv1plDZnJzs
k5xZCOw9l2RL/4670b3nogBuSsoai4GXGFnBs+c8SKaMbGBE2IsQlfJPBgwhKAh7/tvvqwje3EnD
umiYw8qLtILrJwUxUyYCxF6cBTXUEKFj6rEUb/vDcSCJlcpe8CsCTTQwZ1FDc6f0YO0BRkSFyKHL
JfqOvlckQLRAGLmwu5gZ1c9OpJJ9qufgPQFg4s8mQ6QguVNTFZVMoApJu1nTz9ojJ0/HKs1ztiyI
dOfONkLcOny0yzlxUMMuCwd2hEDXdZ3311Thvt/9Yj2q1cDQNg9tpW9+ua4rMDj20L3V449wSkfG
4+P33zObL1IVQwhdzhTigdPHp4fWVsZjEwExY1QBAR1FNskpRUQwJmRSNEZKzCkEA6tSbFpkwszl
wQwAZBaYBdFAOTD2DkGmvuu9JMZEAmEgFM3MHseFRGxmgTgjMCETlb0NGDOKZARMzApmBH3uo4U6
BjFjpt3cRajcQtZL3+S2ppIJNstqKqY551FI0ZkKpo3lMUEgWuQuhdirVGoVcmOdSSaEoDbitG8t
qSFDAHIqfJ/7lXq0EWrJmTlkyZMB6uaW9ESsZglpBULktC9dRFyPNSokDrOuqzkERCZMxJ2IgVZE
DNCIVDGMKAbic4v9o2GN4wgdqB3SKMQF9tNU39amIpxQkHq808xGIaxzrJgphEZ6wbxSpZqpy90G
hwVYYmbiWMXFYjENfJOhpsBgk5gmWM2i9Ao1865KRbZGGMAIxADavgHrEUOFls0S6JTJVFCt1U4x
iqqqzXLOZCnEvabVUC26NkeWrm/atlvEpsvatk276AnnECXbbtstul6yGHPXNpBr7XNdVVXWVWYS
mSCOEbNZIkC0UeAUSNkw8moV71gzTjEQMts0RTUYVVXbijF3gMbcGW2LjFQ1pAUGiFXTK3KAwKNY
Sd8iEQRtYlivUhPiSlXv9Q0hKPQKvWFW0kzWSF50/Z22wwwx4zxnafsmtHuLZhqniz5nyatAFbHl
DJbNbBpDTyESzcFiCAJWxWSqKSRAEuQFoVGIadQQ9yFBSNMYunkTPQUfOCiMQ1ypqv1AkyrGBmuG
AKpgqOIQTQLIWTq1WZdttmg70W4/VnHR9jhvZm0XLEeObbuYTEcr9x8//ti/yKRd7tfq0d7+bL0e
A/M4kmRANQKb1onRRiliYAZqmswpQdelVItARsMYmwbHobJYLyy26FxE7BkShpDGIY61WTRG/xVz
aemupFKtoeijhQ05efUIg88/5R8t7HWnljoYo3gfBy3L0yOlHgZwefb3x0gZAZZgBdMhN4lLBM6H
qe4+fDLTEkPjEq6oloeNt9x7y7kqMkGRD93PM4B5hvgKKsgytuppIYO7KFsYTEdDPWCZt1GhGDU9
vUkF8INQdJ5S8lHAwoj+RoEf9UdVeuyJB3EoQikRxGJcVVeeEQdRxH+CDjFHKL7TwsQYDFZqFpZN
Eu7IMh1Si0WjMfScTDl2+Cfro5fzLwvraHnyNmBmBfENfmF+FgvrsvetXEAO7i1lMcPvtdIbh8vz
jQ2FpUu8rVuKBi239ACZgZpGJ+4iMpOp+uDm+36vVGEgHfYhLiIT3C3VcJR/aacrl9xQo+qloMN4
DA6PNdASo0IbGl89k1b0/IKTUCNvLHFHbnnnXaVk9xaLloSrAYGBDldDsROT8xaCf8Xcc0gwtFlQ
VkPC7Iym4grw670Is2Qu+Ih40zphaa1ABPIWFvDqC1seD31aUguICCiOKnGLr3/lRY1QEa00php5
ZClLRex9bL0ZFCoS+skrEVBWMA0hiEovAgTkk69qVolMKopEQKQGBMBMjrxxzosL4YmCcAwDHJWJ
swmo5X5QhAJLzqTFh0hIqK7GY6/ZdWiPon/Uu192sKipmjlOfDA1o6qpWaBCVxw8BaaqFFhhuMuV
LYyHsQ2J3W8pWchPnMNXpsSwvUkIMQb2f5EJi7QEihRUPYzq+OvBG6zmLnFVU9Nnn/pY37aI+NCZ
e0b1SM2aM8dF83g0LpyqmH73q18UkWcee3Q0Hh85uNVneeKpj1VVOnP/6ZTSlz77Ccn9eFyHQAc2
11eeeKTv+088/lBd16eOHsg5xxBCjIcP/Iao4Wc+UVf1ka9shRCfevzh9sF7CTHGdM+xo6NYf/U3
PxVCJINJlX7ji59u21ZV66petN2RQweeffrx8Xilrqujf/AlVX2EKIRIge8/eQQRx6NRWVAyHfn9
ryLz4uRB/sSj43FdfO9Dme3dwlXCXrOjd32h464NLJVL5Tvujc+JKJuRy1xD+jcDgtNfERCIwRgR
TAOxWIFvK5jjeQMBqAXA6FkVwtYUmNQg3+2JhYgkJk6G9Y5oBUAFBjt+/PDhowd7R5AisPsz/NLB
UkitCD2a97uAGRNmGdIHarEkMYtXmREQSVRKR3bJXRAjyFBh5aQYLG2rEMiBtb77IEToVVy6XDpQ
UhFEIXDIpe8NhlofpIFG4LzfbM5LYkQLwH3ugciXK1KQyOVZxneZ7kMzUClaK3YfVWUY0O2FLFTC
DqVbu2CxkA297sS/jF7bzEz+bNdhD6eqIorIpjZQ/Q0MkP3rAwgYyDfjvvWgEun3El2fVz0Eawbo
pgwlBEAlcMdHYXOoi60F3qQA6k1Lpf3bQ81EzISAhFSw4aWVXTmw+7BVNcaY+8xuYkLQFENGKf1s
CEi09sgDq4/eyxzHFMSQiScrK4e+9NnVY4db0MgcOSKxAiGzGVQhekalritMKca4aDok7BFxVEFK
BljV42pUa87IlKp6v+0xxFBVTZ6rAhiEEGOslLKhVBiz9B59jQhRdQTUZdVlKZqoqfaagzITM1Lf
CZplMSIveKCsKjlzoCYLKCJaVgtWyp1ENFEQESFUU1VBwEXfcd8hs2QJIbiHQdz+BMhEUuQLh2X5
GVL88hcTJhfksekzJR4RKWggclQXB0RG60u1+kJ6Kdo+IVGjuTIlQABSwL2+m1KMFBJHMRAz0WwW
AHTed2OVNveiGDlm0z5nAeuyIEtWsa5TQs29NQtSa7oupdoEmpw70zvNoq5rMFt0HXHY73vre+z7
aGgVm6m0zSikjLDbtZalhz5CpX3Obb+XOxGxOnSm2ragttu342ZRYbjdzFX1TrO/mlZFlTrZ7rsg
kNmi5ihh3re3FvujetKb3WnngnhrMYcQZn3fKjQ9t2azTgOkvbaXjFn6lXq0n727nU1hIdB02icR
9cZCaExGYJNY+bU7DckYYwhifZVCL90ohhDDSl11AsAkSEJYp4gSjI0Dz3oc1TRvkBCNiIFGVdUv
FpxC1KrLAoh7msegwiGktJ11ZrrI2aNAVUicIUHIhiMMyCwANWMimDBF6yek292i5thpjyqSO0Db
69omS59htuj2c9ZF04NK0ymZAYr2hiCBQggrqV4NaR9bRpxWdQ9UVSMWqavEhJAShaBMEhgCMbJi
EABBAo4ZSQ2y9jVHpl4RAkhlMiKtUVYYOsjRehAAVcnZzPq+DxRUYW9/0XS2vd8sBIJplgVkmRCr
U3aIUkqJaBrTelXNTQkJI6ae11dqkDakEDiI1nVkmaQ0nS7aLgBQrChEiGGx0DHGquI8b5RCli5R
VOtrjonCfN4wcte1BuOAyoQVWI3G2keUSdAgSmYIuN81qWbs56wJpCcYfeSEFZXCuuKPdUsMs1tK
AAksDx0HhRLpkowXVDIjWFlbu0eUXHAq5XuwBOiVadKMedmdgEsWOg/hwMHTW1TWpfN3aPJEMXXB
MIbgIZnls7O4f8UQucy4LmwO5iM/F/qvLixhAu8i82eNn0mL8Fg8TMtaETBTNoIBSezPbu/ehsG8
NICBCunUBVcmZ2SU6bbQLpdZSjBicuZ+yQOWsj4P62KJGZYKHvrQQIhmxh/O5fwXmcphzgMYbNXO
4/mQGQvMfM4B8xUwDXd4Ew3EhqAiS8wGuBMU7854NnAZC/QTIOfshBpPlxAWlTKLIJcKBx024kNg
dZCchvm/vDQzEfWdvbN8yxsNS6pMwVeqFPRGOWw548RxIKoDg6uMCF5g40eWQUNQ/7lqWv5Kbiwv
fF8QA/JjKywzpb5Y9xQbFhyRASMVs9zwSeAAmgKznDMRlwY8F9gHenA2paH+xw2uugxxq3/KOCwm
LDGrCHLAu/kvZST1zYObiJkMKat6TM5EfG3h0XFf8GQVX2H0ZmIgKkjk9FFUS8wggkTmfxKJAzv5
NhpEIGYGVRERlRADErVdRwSRWbM4vUxUwTQwdpLZSLMGouAbJuIqxcAUEFVKR0TbZb+0QgBDyKqE
RIEJMecerTSFcAiIoGLMwZNv/F8xl6oggWTpRYy84rUEGu1uGw3yEJgvFkEiULFlgHnAWGMhvrCI
UGBdssfKrU8JWERcVroLoKYlTWzY1yCqWtf1VVUPEDIe2pshIq1NxjAZ+wrMT9UpBr83Br8lAo0n
ExuG5wAhOXw7sAOpU2TCkbrcRxgnI4CRR2PH41FprVCdrEzUCsOsigHAIgWHE5tanQIh8mikbs8G
5MSjaurvDCF+5lMf39rcDCFZscCUHJ2Zra2ueOlLjO4NsSqODGCUUjEXuMK8LMhBUCtpTyqVmQUN
hcx+p1aw4TsOAYsWyl6FIwBD+l4QskFkUjBUZCBTKY2TEDoRQswqAhgIihwKAAYphE6VSh5YTcHI
O43EmTKKKIjZoHPREskMiEttCbvLALBXf0wgIwUCL3k2Dp4L8LqUMt+WjS+YWUAWMwJTj9KEsusp
a1YTJkIRZkYFVxo9pqGIGYb7jDldywKzOhS5kIbLXciWxcyAgAVyWx4fouUGy2TZ/ONTFQftGlpW
Q2KPtZekiZtYh0/nw322REiK/vx1C65ptpIE4azKSAYWiLGYXEyNbFldDgA2hPnNDEgBjQhUfI3u
U7uZ+K9zQJ1/ZcgBDGgDSnrwb6gFIgXLKszsReWFOsS+MvPVvPplmEXucjEQIpOqcgzSSQHaQ/AR
utiJVMtxBU1VBqhCMfZ3ffaUlBkE5uDdqTFw3/cIuH5wc/SZJ4nYkNu2jVVShAOnj9ej0UJUsgXV
FGOrmUwFoMuSAmeRPuem6xggxMBkSJTBAlPFwRTEet+g9tInS3UdXEwPhEw4oTQXUbWml+i4ZiYg
IubcixoaUpczonvWJYSYQmKgQNyamcq4in2f1TSjkpvgiDiEwBxTdG5TZEaEGNkhxIEJCCmwu+3q
FNC0Dry7mEe/JgITUiLuii8PU4yGkBGbNjOSAExiFYnqkIKz+LMEoo3xpOuzHzQCUAqJxZCQCVOg
ECIi5pjALMWAIuOqlq5LADEG6MM01ou+qzCmEEGUYpiBmEgVk2XhCmqOYTxVsBjCAnGcqlGIe828
rtJe145ThYE7oJASqY0JMFCsAjOlqnrjg7O2s3vi6BEhqlI4NFmZpNGOzFB0mkbzPO8YawoH4qiu
qk6sxGNSXElVY3lipCG0rByZDFagrmNC0TuQz771Zruz++gTT145f+Hszu49j9y/OlmlVJv2wLSe
ptlkHHgU41o1mqB2ukgx9IRcVVMKNWMdo/Ux1JVlWfQQI01iWplMYdauGEhgTCEkFkiz3K2MR9ql
KccF5orDHVBVCQgZsiIxsxuw9lX9+CNtX6/UGeBO35FXs5jMeom9CgCKEAXroOkzADZ974fuCJgA
IgBrXohshArnbQVSgY6IulYRWNQEYC93ZtopBLKFwQc3bmWETlSZu4x9IkUOXKHI+qhq+mZmPK1G
K7HfGE9nuRVAmtSd7lMVGxUUrJl6AgqhY1SDgNQCLHLea/I06qwXy92YuVMZA3aiKTBrDiDB2oTC
2iEiM+S+zdKGSNkUFNqsGaBVmwNGKAdIIA4xCpMRYqRxXad2Nh3VjTUbMQkjkQTmLjLFwESNCTGp
SSe6yL7WifNWeNH1Am2XK4a9ptG6ylk5a9f3QJi7lk1ROtO+72b7u9uT8Yg1KGSSPiFo3/WovWRQ
Iw6NV08Ydkg9UDbugPf2u+0LF9eOHA7TiWFsLc6Mx4ahGit99IQVKmDwDaXLL2AmooTO3uCmKdgF
JZ3tN+1iMfhn4MDWFlYVIuqy794VKgMAFClwGr/tupCVRZYoBRdey0hsS8osqPr9zys8QARu3b49
m82cYGHmuohtrq1tbq55VToi27BZZ2ZVcF5rAYrAsudyqJQ0Q1rKaXedxu5Nzb6AJ1JwqOGQgzXF
YVB0C5APP3a3uI9cIAUvQSACtWXiU4fMJ5Zlf0EB0UBSWSbXSkHfEKByJchpDwUsVBSVEuvVAURU
DmrFpltKws38gGGDZdoTo8bk4CvQ4fUzDUWCBR8K3p1Q8pYDpHdwJIKHGMXKrAp3NQ0CBVNj5lJJ
Wcp/qFgmh7YV3x0bmJgiMrohFpf8UWBGUWNmUxk+CFcX1ccAU+daEJghsw0ii/vsVAX9PFhU5nIs
LpOG+VGjTLhmRsUlO3ziCI6p9QIGQuqtRKPQPIVkpUKjFBr4XOq24aK7gpXCOUAcammMiLKp24kz
mBWADhRrwkAfc/ZSXLbJ+M9AUBVm8sio+maHycsTVA3QI7ioZsZoBqBSWnTAGEGoUKw8R0dEmrMi
Iocu90wUmSFLSbWZMWFEbiWHEMAM1QIyqKkIMXm8T82wHAoVvKGE0UCJjImyaEBANfZ1VRnAlAkj
0X7OzMSBe3dnAHqjDxK7ckyECo68EkY2NclKgQhZRdmJpfqRUwx97oHcdeQ6EkoJM5b70rCmAUVj
KDocqDKTC302eI9d+flQi68VLVqVQ1g2ITEzDH2MUHqVgBAD85Kw7RuXqqr8yypgaEouJZU1hRIu
E/t3t0+enS57OmKw4tegu7n+YtjHD1GehpsCql+xg4m/QGfLLa440pcSnGEJeFMxffucAk6fQoBR
ik8+/vDdJdiyw2owrVhhkC5vheWODQCiy/ivu+49MWr2IfHNXSqiikhZhL11GJEA1LxS9e4KLyDm
wRetJorQgjIglRg2sdOzPPJtYMSKICYEpdEkAHlDBIuYgQAoggJk04AEqBEh24CERir3/ZIKRjAV
M0VQ1YBExCJCgIwUySmCltVC+RCL49TU1NMAvgv1u45jXb0VpjTqeFlLadPwtY5z4GS4AbltuHjQ
PZCv5rWulmVIQAMZkWlJTDt7aGhDRUBiJNMsEnFZ2eLbXSQ0HoIkkdhdMwNC1+9MBP8lpBrLspiy
lMAneF90KSIr4WxPXLtXx/G0WADYxcNVpFVflRIjqIIQePevu40MwBhRmXPObsYxZ5iVp4mFslpU
h8uhaWDuJYPv6Pz+CSDD18dMqdCbgIhBTdV8aWUkpa6dhmA5IgAyBg7Q9j0RIgc1AYScfUGpbovw
r1PIfaYQTCCbMBUaviECofe2kWgIITAjAAdGw8jB1NzzQ8gpJt+LI3NIQfqOimFYA8VGrVcNIRih
egFtDBwoZBeuCxbcV4aJgyWAPtcxzhYLKh1WhoSBuAqxCOpqjDDioOXdJM0ySrFrWwUQA0TMWYgI
DUSzedoesG0aYsdw2c3b2++8/e7pM/ccOHSgU4uqfiS0LL7myarZzPouQOxETTtC7NomxUQpLtr2
lggTRoRuv8ttq2bj0UhNZbiwRCSriooxN32PylkhN21dgxpq1kay9llUuc9vv3c2780fefQhJFy0
jYo0YBTDrjTRQsegknPXJOCc8367ALFruzvn33r/4IGN0XiiWXIWybLQHHOXMDWS214qgd3ZrNZR
v2g4xF7t9dffPbt36x/94R/sgWlM1/f2L7785lYdTt17qusFKbTSNZbbvreuZbRFL2DWz2aiti8d
xypEbiWLwJiiGMwk7+f+hVfeefcfnvvKN77wyoUrv/6Lv/r6176IzKrY9QKddDlrwlnXL2pRg9vt
HJiavhWpWhWVvgHbbmZbIbZtKyAV8p35/sYo7eSm3581TTu1kDEuFh2xYS99zinKXtuP27zTdlOF
XAVUyJYJCRQJoTKaGCmGVeFr/aIG6vq+MguQibTLXZUIE08CcuTEwQwqClWs5jqrOcy7nogENKMJ
QRdwRhYQMgcMVUqjbFhV4/3FIiIZBUMGFGAYVSln++5f/PXjT5558DPPpE7qQIGJQyBBUOyzNF3b
g867bqdvbT4Tk35vJtb3TddrDyKmMkq567KYZbVVYFYJZjVRSDHndrXmxUzqiF1kMB2FBAAaeKYy
DWlbm/VR1fSZVFNK/WJeB2YINUmVOPQ4DryR4oTZkK1OGqDtMhORseY8my/atr+zvdNivyskifp5
GwC17UhkzNxnlT6TGpmQS7KBqiqNiLq9Wb/YXTt2aKuupjHdwiaFIBw7M+PQImmslOP8zuJX/+7P
n/6Dr9OZdaMEnHrrAXAcqzq2KcY6pul41FmmwBE1MY6rsLsQ3Jld+va3T/w3fxDTdHeRJyC3P7h0
Y+eVlSceqFfiR05YmRIoES8dU4zs6cTiStHB6AL4ned//aPvfNvaRUTcHE/+D//T/7Bxz0kqJWPl
sVEMSg4+KVKer01L+nRZZIKD0VRVInMBTiIy+0zrPli6tb399rvvP/LQ/Yxe5MECNl8sXn/r3Y8/
/sjKynR5yBu0VlU1Dmxo4k4eHexww2GrtIuZLfOB6kapocveAE2HMhUfkAjdZ+u2SBvmCEQMvqAV
uzssASDRou3m+3tbW5t6twiu+KaWYc67jeFOUHRtmXjZguDNEDDYaD9cOjIowgVzNKjQpgOEH5H6
3G/v7K2MKuc5DS+v7PpheY7CgfOvUM6mwykfzcdCFb9aCk1Hh2SyFT9zCXYW8dbQODIY3t7eNtXN
Axslh4mUTQe4CyqoF7Tgh87H7hrz/CEiBobsv5fAd97ssFM/MZdOQyBiA8VCABqmcE8hl0BymTwL
AWRY3TOTfrj6ctmUw2xLY9ZwvTARA7rb3dR4iCfBADOmoSyeHH7jUx8sj08oqk629xFCEdRUPE+L
KCpufmPnIEGZHkyXCOEyVCBiVs2SmZi8+xHNd/wAQBScw+lTK6lVHLyawEwYixFiCT/TUqyHMcYA
iCKMyOhtpSIEQBAoaMmzgVe+UCAgpzfa0pVqakwoXjTPDOpEi1J5yMQ+5yzf6uUUpEM4zX8IAKmB
AtRV1bbNMqZlhhxJfPxTMlMRsQ/VwP7//w8DahYvNjREYi6pRXAGbDkM8nB5ujauoKAaI4NhOS8P
Ox8vyvLviA7GXVd1fDodst7LFUY52Q/wsjKVOP9c/SoqKhaqKZULmXCwLA4ek8GsOGRQy4Km0K3u
Rm9pIAbDkGvAUsIx3DSG8kwAyH4PLINEWZyxXy9cXhcsu1XNsDDCcGnp8H+tvCQdqLlL3vXwYwd/
TVlP+tpITQd7yxIrUIYVb5lCQ2IWg+CSKQ5MN0QBIGB3o4YhEI/ILkhSYBG35Q4sbjOEAW9F0Lv5
B2Ep2Bp4wNkScu9kbbcHq7hH1inn2YwRxbVTLdFTokCYCZUBBVUByIBDIEQyTRyy9ApgBCaOdwuR
zMAYFcrDqNysfNIJxB2YgcUhz2xgRWMsLh0c3kx/8hYMIRZ47ZCUEVUAJqRylylMAVDxt1zLfW1w
BZgxYgiECuwSmQChh7QBAAScx4oO7SdAL8XRYlR38RBUNTBLNm8u5YEKBqDstGGBZZJFzZjLrZtL
dYubaPzD0TqGrB6vL9Rhcv8FGhKrF3aCEUFADKmiggVWA2Ukv/cHRt8A5JzJSX9qTOypYqeXA2D0
QL6D5Uo5UHnDmQNTXx6yvoUldiuRb2W9z4aZEZSRCEFUAnuTbNmruossxJQ8QDUa1QjGTDESYkRE
Jqxj4hBDCGjiweveekPoNXu3GKKIKSGrWdd1piJ9btuFqfqP5UBqQhQI1DQDYJbMyIG47bJF7bve
1XZQI7OcOxTr+j4SgRqp0d2nHUABXaKaiVqvmtRa6WMKCspFNShh3IAEZjGk3IkBfnDl6o++84Pf
/dLnNo8e6S2PJ6NHP/aQw4KJMJtEDsTIzBPALvdM2JqkwEzIMSLy5dn23377+S8dPfrgF59+/lfn
nv+bv//tr3zpvqcfe/vdD1597iff+rM/DtPpXu5SSkwYlBiAkYwUESJhXScz5cRVZDO0TGSaUmza
pmJ+9IH75+1ivDKdz+cp8AaO5m2LTJFD4pCYFlmIeUQhqiExImxNJqeeeVr6XsBSiiJ5xCEiBuIQ
Q17o9k7z+osvX7189YOz59aCHDtzXzWeosJ80aopcwiIoxgffeKR1vp5VgDosmxrv16PVjhtW47M
53dmz/353+jli4eOnbxw/dYzjz3w7Ne+1IGK5QSBgJTQgK5fub2yvr567NS5d68Ga5566tHbvIK9
jSi1KJ11GxyqwJFoQiQmI44CQAgrsTJi5lCHkTdJClPNzOPJeqhSHK2Fej6JscltDPWoskB1qJqm
3arGUi22UtXV3Yg4M3AdILIQVxxD4D5mCqElzGiprvtFyzHMEKrAJpIpQQxNG0YQ9hTGwL1pzhbU
iMKuihBhn2PhSdoUqUIYAxiGCq0SABEwm3DQ3FvuzBhUW+nnzDvd4tq5C2dffG5KOHr4ntx3Na8E
hYSoYg1oZvewQEJaCfHae5eu/Pt/c/rPvjY9cp+NkmbLOa/WtVZNJBqnKlSREPuui4SNSl3VWVSM
FENnVjMjmDXdhe88Nz28Nj2w2ZGNtGezDJmkjyi5m5OISY86mrf9XtPv99p3PUVo9+c1TvpOYkiq
igCTqjr/4zfmb71y+E+/tjE90jBSVU1GdWc9MKeY9iSPYr0f2Jg4VZqNkBei0ejWuxeuv/j9zf/m
T6Qa8RTMxA/GDBAAIkCdZUWUo37sa8+OV8es1mVL81bnrVhuYY7QSz+WPu/vL3KvJlAj9b11i2x7
Xe7koa9+eUH1zrzte+iv7t547d355ffvWavwYPuR51KX9soy2sG5ZTvqk2RWHZbw0Em+dvmCNg2r
dSurzXxexJ8yXEFx74B5coPu9n4MZ5oBHDrUSNrgmruLlS2VfViOdLNFMx1PNjfXEEjViFgBp9PJ
uXMXfXA1pDbnGzduHD5wAIlu3ry1sb6KnGDQ/Yq/1c06RGo2ny0uX71mCFvrG37nXF9f29nZQdX1
zc392fz69ZvHjx0a1bWZidnVGzfXJxNkunPz1uGjR0Lg5RRlniwFA6DArKLEZIRZ7O23zybrVjc2
dnZ379zeDiEcOnBgNBr5rK+mt27fWVuZcorzpp3vzxb7cwBbX1s7sLEGnnsZWLoG0OW82J+vb6wu
5Uofdmzws4FrX4izZnHrxq2tgwfa+WJtffV7P3vlMw8cP3Xf6fInmbLozVu35vP5ZDQ6uHXAH/+h
DHul6+XGzdsrK9Nbt+7M54u1lemhA1tE6GWPMIAZd2dz7bOa3rl+PYRw5OjR0WiEhFZ6GgEA2q57
6cWXvvHNr7g2WBKDCCpqhVEBy84fuCsylKSTQwtBlZjycMAyLZPtXX8vLss4wDNCSOT5ZFv+uNJt
OMCcCrGJymlehVxHBkCmwdAGOuSSTcVfvKqVGCoVFounxbCcY4c5xVm+hRi6rDwsw6UWxcrtzSSq
3nkemU18xgQCQzUuuxIzMH9DxIwdJmxWcVQc5PVSljPY7t1Orxpd3jW3NBsWXBc4x1MLYooVwMyy
qr+dwSkgpVTR/fbeBQuoxdJWQCYE5ilBQp9hXWIlZhHVkoMFBMxZOstG2KuTpcC5R0yEjK5OmIGI
YzVRVJk499kDPm3XMxMgdFmYybc9ISRQNZWh5OWjpOupFNKYoSEGZs1mah4D7tpOJNMwajpdEsoJ
FQaFxGNTpqLMQUvuHBTKBstdtUMJ51AJU2bLZQoNdJiRAFHdJAoABqJlacgMWELXw1RpBZJkww9y
BzsgGSioi/OqpQHRllKoK8P/hWlm8CHY4Bv2XxSYbFjLWLmfl1imRx518K6XkO2QDSijLAyPDgQR
JWLRu7XGy6QGlYePv1dFHymUN8dTFwTZsCOCAWeGLsP40sbI13lqYsZeoQzI5N4F748BQQxAvSi4
ngbQgiUE98mzfykAxE05REWsl3KDIoSEhAadaa8KRAqQiqiojBaRfaFpBZ7GBIQITEQiyARMKqCl
VtoQMJfuXtRhOVVuZSr+jgooEGvpZ/Zn6BDPHPa86HMBgJRiodKUG6Aomp3q4PRmImJA1pJzKRtk
A0L3LGvi0KtY+TQwMJpBsKED1u8nWBYuTkkkv7MgD8FPI8ACSRoWjTHEgKaafV8TmLTUm931LgVG
UxAsJbSECGTie+NyoZQbKRGaCgL0WcT3F2ZIYFrYD2LluxEQCV3qLE+DXtwyQhlMTQOjqRJ5dMJU
LRD7rKiOZ0NmAMXSwg0GkYOoisfmkQwgezbdW9kNKLAPosZkRS9UcK9v2T/6Dymav8/8oGYAwUFY
YJZz73g0723vui5WZKAifXR6ZKCsykwqfcWh7XsPeZoQEM7u7L/3zjlZLLpbd4IZra9W0/EDTz8B
40oguzsZASNz61wKJCYk8g4jLgnm0oErgSnGkPsMCEa2L20ma1EFjENkVUKsYuCsFccUKiJm5sDM
jBFYu8xMVYyqwgCRkJgUYPvOzv5sdjAElNz38s675+47fqQT+8XLr0W0dtGujkdPPPZQPZ5+cP7y
u+cu9SKnjx5+/JH7AkVVG48mWlVvv3f26CcfuH7t1mLevn32g0OP3ff+uYuS+zfPnd/7+cuztl1d
Xc+mezu7THTPqeP3njl5ZTZ76xevRJW261ZXVp7+xOM7i/bFn/6yjtQ0+dChrU986qk3L1xsrtx8
4pNPvHr2yv7589lkvmgfeui+Uw+cunFr++033tm9faceT9cifO6Tj3dhAwGuN82Nd9+5f2ulP3jk
jV+91O/tzBZtNR0984nHt6pDFdJ9B7aO/fZv3tnZ/1f/3z9/aJR/40+/wXHrP/7Vd2+++9r3vvfj
LuOTjz9qRzeuv3n20MQOnDjxxtsfXHn7XUtx+uTD66srE06JeFdFDD72sft+6w9//98/99Ivv/PX
n/v8U+9fn433dycff3K76c+9/Or66vTtX71W7Vx54TvjN85u7128/Z3vvfjQpz556dqd9998ywAf
fvi+g4+uvvn25VcvvtD2zZHDW09/+pmElBAVsQLa7TsDA8upCorGIbSzuartarauXbCx9I0aZJnW
sc/WmjW5X6js931jYtl2UOtOQheikXZCxpLVeukkm2Lf50mguXVsHRmT5SS6hmMxmQAsRCdZG4KF
imk2yFlMFbJ0ESpFNZSZivYmkYliZ6hA+6qtasg2rqMgg9NkEIEopISId65d+/P/x//yzf/uH5/5
+Cc0BEzKHHgccjunUboFiggKedE1pLnZ3553C8uSe8VeLOfQdtt9NxbNbQsibdtVfW+MQZXnC2v3
rZ317QybBU5H8529xZWbl57/2eF7jtVrB66DHDp+ap6lPX/ZtIe2PfjQGYsxEOcLV1cundetvZ1L
V0+cPj259wSsjLiu5qrGEDgu5osPfvjzqz/9pV0/P//zH18/eHT180+2GccfXLr24osGtnXi+PoT
j97Yb9/69g/ue+je0cMnb/zsldmd62e++IW3fvyLy8+/1Nw+/+K/+/PJkcPxy1+iGNtFi4aiYkhi
2CtefOf8nV+9s3fxnWf/yTd1/RAavvX9H914/rmDDz2wd2c+3UwH/uSPmWhcVa0JhTBNFVDeGo+u
39y98sYHO+/98nP/4o90srnb9LOrN9rdWd/M51evBf7IeqlDa3ywUQPNxVvrMwy4w4TcOxooJTA1
6Q1QNfe5h4H9U54KQ3+pFHW06CI8FJy4tVQ/RED9kGbjzlUevKZURtnAiYkQc86+Dw1uHSLOWXxB
Pu/7F199+8ufHoWq+sWvXv/U04/hnPd391bWVlfWVm7furO/v7+2urq5sYFqs6Z77ocvHDmytbG1
ub27d+7qtZWYPv7x1fcuXtOd2dPPbrx99tLPfvrKb33hyYcfPAPIovrir986MB7t7u+fOn5kstlu
X7ljqgcPHtjdnx3YXO+yNPv748n01vUb43p08OAWErU5v3X+2m99/P4rt7Z/+Hf/8PjTHyPO12/d
Go/Gm+ure203m83+t7967lOPnLjv8cfePnfx3Pvv37l049kvPvP97z3/1S99Gpmruj548ODubLa7
szeZTK7u7v347/7hd377C1uHDu9sb6vq4YMHOAQFuL29O5mMt7d3NtZW9mbz0XhUTcYXbtz6/t9+
9+u/88Wmay9fvWJ1dXBrM1YVgr382rvv/uIXj33yqZtXb6WY1jfWwfDardvT8ahpmipEStU/fOeH
R44fuXr2wmOffPL8BxdWJ+NUV8C0aNvLl6/U9ejg0UM/++Xr3HXn33n381/4RJtl+86d0Wgkoteu
3zq4ud6b3bl+c+PQ4b3d3WZvO61sLG3AUICQd72C5RPXIXTnaVZRKhhJ9KIYGDRjGKyBHlgB740o
sUA3BhsW0ombfIfhVwtJyCerD6mPNDgMffK2ZRdlgTq4kgtoJgU0RARmwblGA1fJ1AzBdUIvsBm+
abC02HWWFdEIe8nG1GVFJjFFpJw1+uFOjJkAlPFu0bzHaIPreYwgLtqjOZuZwJlbLvQxEYggsYlG
YgY0VIdlLgFVQJwht77gIQSDwEQGYUg++dFQzEyNyc2myGSSMwXOpoTg8z8Ti+SKGQwNshmKCCAx
RbPOJScmHjJa3i7k3uGARMiEkVUBDTzc7r89hLBUrGKMKgZoHIKKAJbyj+GD+8hAXg7AEBip7HQY
A2FR/5D/099/7/3XXrXcM8CRzc1/+i/+SZpMU4heSaoiMLRbeUTc/16O+/bk1PKDd49gkX0I3YVb
oMSDG99tFDdu3Tn3wblUJ/fogYECzBfNqRPHDh86QLQExZXRjojEdIgMYOGJARnasBYpF36pXmSG
od8IlvH+gd/mUjYXu7sOdmvAJcXOq30Gg8CH4d2Fmoa+jxAAVBMi1lKqzGbOe0criYzSJ6RqwLhE
qoINvWLFZF6EYh+Qlm5nhbv5bQ/7K0DTtCklQPQ2TAfw6IC0K8FUg0AoBh5/Fxi+3k4qQnSOEYBl
A0PMbho1iOT+ZTVAv7KzmTEJAho2i44Q4qiKxIDWmWUCBguAqBAQE3KnJuBrM8xgxIzSk0Fk6kSX
eq/fkhIHMTECVehVa+92QurNwJQAjVG12Hncb9ybEC6h8uBbM2IczNv4YZ8ODQ4Dg7LMGNjtVIT7
4gQBN7d6hFuGzlhfCyKCDAFrEYXBpU8IRKiAAcgMOhUi9hUVE7lop6Kl7Nd7k0DcwF8sIURY4qAF
fm+liAeHu1wmRCYUUAMU00BkYMyUVQyFMBiQo8I8ROoXm6pvw33qBAILTKKlcQYRAzECmgITi5qr
nwZCTKaWVQ2g12IjJ3L0HDJADIwDyxCBRAwJiclcDHejTRG4qTC6CLOIfz2deW6iYXBtqZtvnSTW
di0jmuTh7imESIZIONcuhmBqWaTi2GPv3ZgbBzaOHj4kTffr//QX66Pq5Fc+05tNptOm6w0gEnWg
qBkRvShJ1SKHxFyFSGAEEAFItVbs1QKAel+tSNd3aGbamwoDqKqqtLllM0PI0rfSQ29IVW9GWUSz
aM65zyLa5+AZ2z5LJyJaifgNaHdv/vyLL2+OPs1r9pMfvfjAfSfufezhn3z/xV506+SJ73/7uUce
e2htsvqzH/9sE+3o/ffFWNUhHT564M233rv3wrXF/t7p++/baxbN3v7Ozdsnjx365ftnd3/52lf+
8OtHT58GhKZpL12+9oN/+OlqzM3WoR8+98IjJ7ae+s3Pf/u7P2rnu+v33ffcD374hWeePPLwY9/7
2++a5lmq33vhpUcee+Dsldtv/ufv/94ffP18lf7ub779R3/2Wy/++lL33lsP/cYXnn/+1/O3X/3C
oyd0vN72/e22+cXLr03uO4qjtR8/99MzI3z4a1/58+/8qLl55Xf+8bc6U2saiSxmxOxy2ZwzVtX1
K5c//eyn3pjJv/m3//Fb//1XXv71pYfSLlbrf/kfvv/sE8dWNg+8/fqbn3zyCUIM0a3QcvvOnWs3
b+7f3uGUWtI3z14O77xy4pEH93Znz/3n7/6Tf/RbW2dOrl7t7nvqgdlo58rt9z/25APv3J599z/8
x89+5lNdqP7i3/zlt/7pt9774OoH3/6rP/mzP9584PTC+lZkKrDXthgsVCwO+MqGoDFClhyyABma
NrlbRRqJjiNBllGoZosmIWUTxmyYK4wbkVPUaYymmo3qKu53yEExKFDPtUmXBTHEqEAppIV2SrQQ
awFziAu1NsSOmAIrxhw4ESIYM0eODIwhjWIYc2q6+YiCcoyxymaCfR1YGC2AiYGKkAgpBSLTW1eu
nXvz3fsfebIK0DYdA5pYp6pNpgx69fal//Qfr4k2+3vW9SM09yGGFLLZZgghhQnZrbPnXvne92w0
hqY79flnq3vvu/T8Sxf+7i/rR+9nqHW2e+J//O+aWbf/7gVtu2Z7e3b16vrBA+tMi5deu/6dbx9/
6rEb567A++8d+/pndylc/tUrZ//hbx/4ja9061vvfXDx2PqqW7aoExMmzT3A0cce7O7c3H/l9pnf
eHxl63S9Or352vuv/bt/+8gXP1MfO/naX/+d4uyhL3/zzslDF370w4O37r/x0i9P/cnX5uP65Nee
XRmNr/5k9uk//YP9tY3V9c3mzvbKymozW4SUKg5rqWKy+x9/SI8e/9n/850x9RhDF7P2bR3lzNef
2T7bvP3tf784fz4fOtr0vSp0bSbjO7MmYF2dOnIsTnbefWm2t5DVtidYfeSeybVrUbY3n3wsTNc/
8lxarI5ggLnPQ16CxEwNw1CUhwF6FQrBxQBCVBDJ/mAgclmAYPASamQeSDmGVJj4BRjuAH8o9Ff/
/0tTWfEr4l1bngJoVigVf574AgakEFDNs39MpKqmgkhtzoume+2Nd+89fVy392Zt/6tfv3rfmdMv
/vzXX/zcJyfTlTt3tudN/9jD94WqNoMrd3YW84Uhtga57/f67vLVq5/67McuXL7y4H33UGAgnDf9
33z7x3/yZ9888+Dpn/7iVeoz1unihasLhpO31vdNuht3cl2Htjt6+NDKdFxPJq3kWdOkKr7w7oVj
R7cefuR+I2py/s9/86Pf+eJTb1zelhvnASkxGsLNS1dPHDs6v7Z7/NgRhJfaZkGjyXM/funZJx75
+evvH9taWV1dsVE9b5os+ae/fL3fud2FeHR88alnP5FV/+EnLz1w5sRf//lfffXrX3r7nXef+eLn
fvGjnz708cd29/favp1nOX/2/IXdfGzMn/yNZ9u+/8nPX/2jL3780L0PuAzSqyDR2QvX3nn7fW33
f+93fmt7ez/G+OpLr/yzP/2d8cEjVk7DoAbf+fvvHtrcGG9sTNZXrl+5wrE+ceLIgx97VLSQSADg
nfcuXjt7IW5s3H7zzc/+/jcBsJvPwmQ9DDhlMS0kDD+mA4gpGTpmuZxr3FGGoAPoX1ULLcmWfKxl
3aiDp7y6BpCpCB9U6Jp3Ua7kfTlcnOTqcmyRAcwEmZyiiEQqWU3pQ7hj9y6VVlL/XUCIoCJMAcGQ
SiZzOO66mdFLKUBVBcyFGjcY+JhBgGKQiAGV1EjLd6G473wW95cB0En2sdurEiOfS0EAAIAASURB
VFzSzwABuVfxFmCfMyIxqOLS9szFaV0GV+ZGspGf3Q0VAqBvvcFMXPozcGVT0fxAia7lMpcyUgRQ
CDGpCJohmI9IahaI1TCLkgEpMHGfhYiIAzIylyWCqmbRrCWY2GcpYFJUIhTJgz451Oj6G0qoYkOV
1LL576P9ExhJCzyGyfO6Q0zU9PL1W6+/8qp1fUDoTxyzvh+sCt5p5GqDB7OpEHoJ1Rz/5lAsWDbi
Ll+er0pUldzfSLgkyhjYq6+/8+j992we3OBhrBWws5eufXDhyuHDW/7rsrhxgHXQECORosnQmYGo
TJxFXCzLIi78ELFIHziomWTxunsvPfFLTF1gBQO0vutjCE5yMhsCzIUsvLTMuppMZy9d3rt6/YlP
PNnnbG6zZHYajSPF+9wHYkIUyT4qmCmHEBCNwBwDzy59WpaMVjzGVkhOIKamEOhuCh8Bd7a3s+rq
2qqB7Tfdd7/9/a9/48scU1kiGYhk63swqGLwTqUAKF4cqoLETZcRMYtq10XAOlUcCIHA6XtudjXo
ui4SN7M5qI6noxCTInRiSNCpAuL1Ozu/eunl3/vmV2zJdifsXEIzBbXInCWzd9J4dw0gITGYGBSH
qhvBzQIjmjGgWGHhiGkgdmMLIJlpBhMEAQvO/AYjk2xKxGWQKw0d9iEDBQoAmzFR9sgG49JU75Og
9x35zctBTQWtRwhZHVu4zJKASlnteadR0drRp34EUBXzMQ8BAF3LNDWgshwpt+aSTQUqxlqj5f9U
Hgmu65ZvkS9TmAwRxSdWM49/q5rD9gZ1n0ouM3Db9RyiDGALBweW7bkP0uJoIvLUukP5is/e4C4D
YsgAI6GoKphmcRY3mIVAIfKiUeLiE9ey4zOOdBf5jyCl7dmTTzhosRiYiJGzqIrGlAIHzXr9vQvt
ojn84GkKkQIp2O7u3u3zF1fW1+qjBzrpE0UCFMlqNm9bI3JWHSWsUp3A0BO1Au3NnWuvva19joFO
P3xfOH7IRNquR8K+z0kFTEWAAC+9+d7OB5cshvHqypknH4VRvXP+2tXnX9o4fvhm285NNk8cYQSn
uscQIIuBBqJpSp1pZyoAjLSaxq0tRinNFwtirlMiAyRKIUUOEQiREkfEnIG6nINYqseffvyRww89
8Pa7185dvrzP4fq12098nPuubZr5lYvnDz9wf9P3RPH+U0dfYn337LmmmT32xEPnL1z+9Utvzu/s
PP6pL7z/+gf3nTnz1EMP7DJv7+5funhlb3/W5/bC/4+zP3uS5MrSPLGz3HtV1cx83yI89j2w70si
gURutWRWdVV1T3V3dXOaPUO2yFBGhE9cXvjGP4HCFz4MKRSOsIUyPd3T1V3LVHXtmZU7gEzsW0QA
iH1z93B3M1W995zDh3vVA8MnYiD1gEIi4G5maqr3nO/7ft+VK5sr66EKTz9/4eJj5z+9de/jX751
cX1jcWnhleefmJx65JPLn3/08SeHLj6OJqxqzq1vrj/13COw37/71tv379y59Onn//y5MxuPn1MI
P772iQE65ob9odBb3gx6DqPR2eeOXXzswvmb2/d++Xdjx32CudAQszgdh8b1+4suCHNVVadObL76
tcf7Lbv/9odhf692wYNNRqMjxw5p0hrxwjOPjib1vuK48gt17dh/funjH//1D259dndzcbGpgqud
CoATV9eosDweLy8vhb1qY3Ph+P7oftOMV+YvXbm6u7Xlai+iKc6uXP6UnV8/sXnxyQt9qOabMSX0
zvsmsNKU1CPOhRpJt/pOkJz3yEzOGcCoqmGa6lCr9BFBVWZk+yrR0xTIfNjv1Ye6m6mqVeA7FTKc
KXQRFBnITVPfKDByjW5ClTMl1CA6dj6IMOi8DzuQHCqmzqAXwYBumjrWCmKsgfaS7qdeHEZRa7v9
ruulj4TSxol3vaTUwchsBgZAggpozPzKd7713d/7ncrzqPJeFYMP5KydAhAYffaDH6XtWy//l//V
uz/68c0bn8cQgDkFDkaeHZBLxu392eU/+tMTJ4+s/NZv3/jpm1/85Z++eOgP7rZt8PbIb30L2vDL
/+a/aS99vHTuUf/K09MP3zpy7sTc1168+mCP7u2+9+d/c/T8yer731l58+P7f/anG08/hkcOO8PR
2J3/9kt3eTx2QdlDL240itSqc8ywvxvnx4thVDeTJqzO6WTUerrx0adhVK088Wg7Gc+d2ty5/KGj
7608cl4+v/rhv/vDJ3/zO4tnT+/uaQjkiYJDz9J3s7ZrJcXpbBZj37Zqo2Zv2nryfZ+k6zVq26r0
MbWdmZvMb1RzR6qFLSZGnQGBd6SCFbtJFWJXzVVV287qycgh1gF90yRjbKpRM0rEo6qC+itzj5wx
KBqi6MP+PzNjJjIqbZnF00ve4eCMtaipT52ougyaV6EB6ZEfsEOdZgmKHDSylJYNKLrEw0rAssfN
ymoJ0onlByGImmMmogEhD+wYxJiIgByyKra9uBEQWqir02dP7uzsoE79qNm6u7O3ul+FKvVqZiH4
AikBMAAf/Nb9nVTAunj7/vbu9vby4tyNm3dv3Lx95MgmIVVNffTE0dv3t4613Y2bt5ZHo4rAIZ09
eezNH7+ZYvzG158TX1+/8sX1O/cPH143gMCuCn7a9VXwfcorTvBEySxFVVVvsLC8uLa+mhBs2m0+
fvgHf/b3P/3ZW8fOnH4gdP/K1Qc7D65d+fzs+VNbt+/sT7uN9ZWVtbW1Q+t//HdvHVseK/KD3V1R
QXILGyt/+/c/PXTsyM/eeHtjsQqVU0krC/Mbh9aPH9usPrj92Lk1v3biox/8VT7bI3lBBEJR3dna
+fTDTzePbp4+d/qP//DPn33k+Nzi/HuX3jtz/PD9u3fVxDkSw2vXb1357Oqp40dv3vjs+7/1itDk
/oO9EerK5kZ/+5opmFnfxw/f/mA8rs9fPPWnf/jHk/H49WcfMxUkqLyrvNPcw0EH+qQNoxvkX8YR
5fa+gxhlMQ2jPYzXFlCkEnIOuWX5lLA0A2ZpMAMTEDGVZkhkJjSgzCU6sBFmOJ8rEVPJxmBCAEgm
UEApRl8q2+U8Lj80GmbkRm7+HYy6hJZteyWgRaYKSEBopllkErMclPKOIOe1DBAwMGW8NZZa+PKq
M7zXBqd7dmsZADhSMcl9P8hmmqVIB8QZggFgqFQkKc3trlFATIhZARwBiDgiB8CADBmugUguqZhh
Ai3julhh02TqLygROfL52+SZC+SyuE1JJGXbnxv6IYjYIGbGLxEDErMrQcvSnkqUHfvMhmaiBmSm
TC6bRw200ElAi8pXZnj+6vnSbFUtplvPjhQIEYlEUcE0RlRRs9jHbMxMIkxcQqWIB3Cj/FEN6cyB
ZwpDq8WQts/XR+YeQ970QC6SKPYBiWlhbuKdy5M/IjHAaG5y/bPrhdEF+P7lKyx27tyZ9y99xn1/
8sKZ1PXZf3egfzoGYkoK16/f+uTdjxaXF4FwcWXp2mdXX33l+ds7u+/+6r1XXn1pe3//L//sb55/
8tHzF8/k8fSt9z+GLi4uz392+cqLLz0XvBdVx6gxA7pRREVMslrFHhB6kXc+uvLE0cP3prOf/e2P
qqpCwlOnT6xtrDvnklkX+z/7Tz/8xktPLqysvPPxlS8ufX7nxvUjJ49Rn1791tcUwDF775OoiBDR
Lz/9rL9644VXns9tMZ7IOwdAitZGISYV8c5JSk0zEpWf/PydMcXDZ8/dv3t31s68oXceGWdJfvbX
P5bd3fHi5PD6yrkL58jIVCWJOZ7NZvV48ubbH3Db3vr8843lRUZ+9MLZzSObjBYN9vf31awZTT68
fO3G+592s/3FuprMza2szJ955LyBddNZFUJybm97e2F5eeve/en2Pbe4llG8opDKFwo8MyB6JgHr
M+8g72UAgmOwwo1XhKjSOI9mjoEFPWIrAsRqoHl8hVLZUspbbBDlTbxjABARQBYRYgels1o9YbaQ
0LDy9Y47lSEMQoaWbfO5Sav0TdnBRSXImZqr2YeClm3nVCL0kqB8x6mcAsyIyBOagUDZDxIiI5Bn
saEOhtBEDSwHVssejCDLl/mfEaFlSpAaEaoi57JfZLGU3xEq5WrEZTekBXVQarESY3bsm/dOUiqR
ETVHLCpDA00ZO5GoUCHyc4Xy+kRyj7GYZq6uR4wg/cAJIoTAlMTYOWCU4RbhHOc0KRNTATFlJBOi
mSfWAaOYfwMnYkQmCobUJYlqHuXWF7faO9tLxw838z5JMoDYxzuXr8NR9RtLXerRoVoiDLV3XexV
BRGSaWByxCZtb6rooO1u/uQN7br1b750/a333v/LHz/9e9+BukImBLIkAOCcSyk+uHrj3g9/cvyV
l1YunLtx/cYsSeMcEu1c/Xy02Fx85eUb+w/2p/tKBA5TV67FJJK3mCgSvAMRYgJTyVozHcj5uX4X
Va1PqZcezaImQIwi3rFnXq7CyDt0LsVEwMFXc+PGEL7++subq6sCmpfBi6PR8vLKGz/6+dLawtmL
x+7s7P70r35wYm19bmGRva/HlXN05d7WD/7kb44eXl08tJYQ9/f2EUERulk7S4kRTVWUNKW23Z8z
BTNJ0qdUrDtIxhgByTnHztpoiHttnNMoAGLWq01jN+cqNFCgKJakByIkN9PomhA76aMksJ3ZdGFu
vpcEBilBLzpzfZQ+MINQxWCAGAWQLIl4fO3XXtPtm2+8/f6Hb/78937/d/bGY06JxTy5M49efOU/
+97K9b0f/V/+r7ff+ThUfqtvo6W9Vixp28cWNCSYJtmTHqja7/sI4hyPxzUgv/4Pvn/s7PHLP3rb
1UEBuwTS2zSmOsbbcbpgTqpKRVwfTWy37xvne5UuppSS41BRFU28ohl0oqEKrSYE2I+trycLyM4x
JZtJopi8wW7sJrUTbYNreDZz4ipIASyYGUBMkgSnUUYjf6tr/Wi0JT2ISuPzlxOMDB2iJ6eAXIVm
gWpzigAh1L1YIA+hCgyhqdV3ozpst2C1b1TJbD7gCtEo8Muvfu23/sUf+Lm5NItRYZYUSMTRTp84
wn7Xd5evTE6fprmF5ROnbnvvJQUCEwkIiuI1OZPu/s7O/XvVC09OH9zvIe3ef9Du7orqeHGJ5pYS
EnmPse/ZC3fALoQwF/zmaERpZrGVvQf7f/fD3ev3dncfaDubd9UW0Whch/nFONWZIjjsJDUGbS9J
zIMB0KyPSa032+u6tUZcQojp/u17b/6bP8QQ9h/srB5fbfs2ad/PpuTcbNq5mbQRMGkk7JU68VYF
pkDAwQdQYw/zTc2SViaTXbM0TsH70cjNjf1+Gt31AAF9sLpuwJAdjqvasdtHiWbOcGrWiPaEnBKh
kx7329aiImEPGBWnreBXtvECozOgvDH3zhWWhplzzsp5XfMpCg2Cr4gdICqaooGl3NZNQ/97wVuU
+BnQEH8xK0E1pBzVxwMVKGunWfRi5kyUOahCdeyGHjk+wGPkY6DL1kdARAzOnT565MNPvqhGd0b1
qGnqu/e3zfDWzdtPP/vU2soqIS0uLjRNzUgriwubh1Z/9ot3lpaXAGFlceH6Z9fffvfjm1/ceu6R
0zdu3nnmkfPnLp49srb62WfXDh/ZBDPvq+dfeiZV/POfvb156FC/v7c4N5mfjDY31n+qLt7fWltf
++LmPXT++he3Tm/vVAtz5HnzyNrt+w8eOXv8h5euvPnmOy74+fm5pYXxu+9++tndrVMLvLi4dOmz
m6G1+brxVVhfXXv1lRe5rv/wj3+wMj/2vu5jv+R4Mjf3/lvvHTl2SBPcvnH/4rmTsvtg/cjh+bpy
5BTg3PGjf/3v/uSf/ee//e/+w98+emIlhEoERlVApBvX71RMSCH4QnP06F584bG/+/u3H+txtrd3
9szJ51561gB+9NN3nnn2sa2d7Vs37l7/4tqvf+MFCuE//fVPLzw53d/be+LxR4++/KyanThx4Qd/
9241HjnmY4fXTp0/9SfvfPCjH/4CUDePrD/9wlMAmExGo2b6+dX13/vezt7eCHiytKFWILGlGY4O
Ku2KKEcwJEEfms2KLlPkynyA0IJmGmCPKEPCDofkKqAhD4Di3K2CdPBfKpU5WbDNEWVVyNGsYZud
uUQZ4pGDymwDwnRI0A3aVAZ6W8kzZ5kR1AgOKnFLkwGCIYgaMYECWkG85LisJs2pTkKAXPtZQFxG
uT2CUIHUFAczAjGlXKfKxA+/U+iAmAcDmCrjl8Z8ggwTEoQezHK4QDVDNUBlYAuZmaWU8ulZ1cjA
E3nPaGbZppkLhM1ElPORMicDMIuHIqbkWEWomE6R2IlmAqiKYUqmSMkGjAw+jBarGjnq+y54dsTJ
Bqxr1uqQDMy7HIDjaOn/JzD5/+9WDkolKLuQNPcS68EGbRw8Dw24Wd8jQMe5PWRoGR2k+3waf2hC
GVLGjGwHDE+1A1/6w+1baXqETKUujdCIB5RvBPCEXBZ8pGb3dvd93yvo/b09t9vytVtXP/t8fm5y
5sypL67f2NnakqSPP3JuZWU5JXnjzXefOnfi+KnjSezy3Xs37z6Iqnuxv3P3fi/y+fUb47nRpc+v
nTh51Fc1IG7vTd/+8c9PHN98/Zuv3N558PHb73MVNhaXWtVDy4s2qi+98/HasSPXPr28urr46CMX
q/G4j/Hmra1XHzv71sefzXZ3X//2q2oQVf/iL374zW+8+KvL19OD+x99cnlpwk899/yVS5/NT8b3
AV585fl//X/7bxc2VqZdund7+9uvP/9Xf/vThcXx0uLC5fvb93/5q5XN9Vv3dvb3dqbT+K1Xnl9e
W7m7t//3f/WzUxdPv/EXf/v697917Z0PF0+eSds3r97cka3P+3py99a9H/3gZ1v39v7h777O4+XP
b9379L2P/vN/9U84BAeQpb/dnb2//OufHNpY6ff3nvnuax9/fKXxfgHs6996DURrdvmL8tGHl97+
+S82Tp44feH8pc9u9F2Se7f/4X/5T72rsuRtoB99fGVvZ/vIufPv/Ke//Af/y3/uvJ/tbs0trCAQ
IyqigokNARZTB+jAlDCppgybAgMwRyBiVFjorGYOEREZVIoaD8icu3RxsCgnGAL5OZysJPnbwVT4
44VlaEyUrFRViQFTeVzjEDRQMwVwA/4QEQlZ1BIYqdTs89rIex9Nc8i8gCFKw7MNhJ+iJOpQpp1U
wdARZRMy5+ofFUJyTGkwR2UbR97mEFrWtKnkUguCgCFT4mwoEytE14ITxHLDHeISKJhpfTAE9I0Q
k5qUUhjDnHHNGDyCg8ong3wIKWmIYbsOopbd+kRkoi6T/AAZSQffS+6J7VUyjcAQ1MAxM6JzzlTz
vh/A9UkIzVSccyLCzJlbbmoOCUIImXCFRCLJj8IT336xn81Gk1FKagDeh6XVlWd++9shuC72wXsi
9N4xY1ILzgd24MolRgiopSKvnU73r98+9+wTS8c2bbe9/M6fd3d3mzNLrSgxApMYOOdB5P6nn1VA
hy+eik21uLlR1U2nqoC182snjrrxeOLwwWw6S1EJPBfoYp9iEjGDgM4b9WoqetAklwMeNnChPRMi
3t7eGW3t9m2/t98xYo62Nz7EBAzYVOGB2tkzxz977+Nb128fP3702rWbh5dXjDGlNHL1UqgeP3ni
j99465GzR5YXFjeObMbZbH1h0iwsLoSQ9tWAFtjFLjnnpvvt/oMppclcVUe1H//0nX2/cPW9jx89
d2F980jq4s9+8vb6A7lz+bPvfO3pe02jSUV11LgdREeBqa+9XxtVTz315F/89GePNh/+/K1393dn
fSrPLmbwTIyMbHVwnpFF55ybQRqTtOoALaVUOz9mx+QmRh35RR+m5MfglhwEpgkyWo9Kd7bvv/er
T4+vNstzoysf3e1nLdS1r2iCLGL7W7vdF3e6S7e882E0f6SafLjXf/STtz/+fHv79l0EbJg94Qq4
xsAxVeSff+TsnZ9sfnH52qGzJz//9PLGydWFuWqb0AVigQqByDzCYqgmSrVvos9WGXMEE/b3ciNJ
T8ZEyErUg7HjXlIy846mliZNExGB/Kxtm2akrlLimVpL0AMLVzOsNIx78JOqjv209k10BEiVZ+25
Zjep60UXYl0tKe2ykFNfkSRmpEkVrs/2Jt73YCqiYGjWapzFnpzvU4pI0vU7e3sjpi4l6btZkmhS
Q+UIn//m144dXXN149ERawBCYgOiKA1CHSg4UpBxVVUBg2c16Jk8snMBgdpe1YWeXPABfbh57Rqr
tW1/8td/DZfW2d/0ozp4dsGRQ0ZtPEUDIIoak6XdPro+unouLC5Pjp9wK4eOP/vs/uo4tbO27dmx
mTTAgRiJAdFnigjrfF21e7Nx410TkqhXmJkEX9VHNzZun7r4ve/SoXW796DVmVl48MuPYTZ74p/9
wRc/eXPy3seLFx6p6mo6rhGAur3FhbrhNHboQQ3BkNsuzWLanrb39/bc7l7byfaOzO7vT2d9p4wW
9nva76Oia5PFPtUozoBNa9QxoYst3Lm3e2ur7+POjdsYmsnSsvlqYWlxL/LeR5/XR+JXPZll+yUi
+Lywz5u/wabDjEyQS7oJaVJ7MzRgBVXD2CUa8LMwDAmqwshoJV5iA+VjsN/YwbEvN6kN8D4cZo+S
Pi3CkNkohCip63ofXK6+UIMoErsuuzGJrHL01COn9qdTUakunGqa0Yljm+2su3ju9HgyWlx4vu+6
2vvxuCFCZHjp+ccf7O4aQF3VoW4OLc7PZtMLJ47MjUcb66tV5YLn48cOr60uIqFDev25R4J3Lrjd
3cN1CH3Xqeh4PHHES6tLm0fX6qo5srHWVOHk8c2VpQUiCoiPnjtx99r1jbnJb33/W1vbO0i0sDB/
fPPw9r3tE+dPTCYjDtXWva13Pr589ujG6vzc93/vO1XTGNN3vvXC/Xtbp08dmR83LoR7Do9+77X1
tZVf/96rfdu9/Nzj2/e3urZfX1shREI4trr4X//X/3Jldel/9S/W5uaauhl97ze/vTy/8Bu/9o1Z
237r+YujOvi6Hn3r24xMiE89dvrEoaXtnZ2Vxc2FhXnnvIg8evbY0vOPzaaz/d29mnluce6JlaWj
Rzfatj12dGMyaQyAiX/z116/c38Lmd57853HHzs7vzT/+//sd3Yf7DrHi0uLOWfogH/v937TxLiq
u62dJ1963rzPsTRi1mGTjYC5WgALRJGZiJjLE14BgXRIjbJzSeWA91tCdgWtm1vhynaDiACLBpZX
IESco1CmZc+d1YlcYzoAijMHKP/kAorEof2lzLRDy8XQD/+QhmIPETKDvpkL9CBjSHKsOjf8Qu7I
KVUfZoxMQ8FsllcHdyhmcG9GPeVyHQFLWc0gEDAFiLmdhQjEGICRIVOIEAByViqrdllQJVExdoqq
asSuLOpzhIwpA/nzgMmUVwmQC0KdAYFmJysxGRkhiQE5VpMiFHPuFDETQ4SUBMEcIaDLB0EGcISx
TwDETI59PsbmyGLpZiAkh2YavEccBKEscauiKiLmahAwyIWNJor4lfOl+T7kPasZEzt2kmJRPKk0
TGRNQzSBJiYgMzQrvo/8MfEAM8cc4yxyMpSmIj3I3sPglz3I1CPikPTMbsOypwB8GOwkxOAooB38
QXQcZ4nQHDlTbdseDMfjyaxtf/7mO09cPHP7zv1Ll66sLC+KpAfTdn1jNQTnjH0IGc5izADWqXzy
yeXDayvXPrt+5+6dI0ePIBCzu3Pj7jOPXxg31d+9+Ra17erC/CcffHL+haff+OW7YXGyPjcvYC6E
atwcFP4AoYBO92ZLK4vOOWSGlHZ291RS36cAcePw4SceO0/Op739449deOenP/vFj99YXl2bX1rq
7+9cvXpj6+Z1ZOeqamF+/lQzGm1vL5/Y/Dd/9Fevv/L01tbNz65cmVtbclW4s7e79+bbW133dz/4
8eObh6dtpOn+yRMn3DKeOX3inaXF77/+3J/8jz97cPezlcly3/dzkwmF0CEa4CcffQoxnb1wcXlp
8S/+u//+f/d//t8/2Nuv+unKoWOjXQJGYL877S5/8MlkUn/y3sdff+bU2oWnH0TZunPn7OnTN7Zv
GaEBqNib77zN7M6cPvHf/uuf77Tp+MWznUpu/HHECmho2aeuuVHGzDtCMFZD0zyfDexxoDzFAQio
EiQzB0gAhESmDikZJFMPmDnYnthMJLeyMmVHCBMxZG6XCSoz5h5RR0WCFMsN28xEYDo4zYeE8FD2
AWCOSFSIEATycEVwQOlCIlQZumc4lyGbZ+4Hx1UGHFIJixLCUA8zQJPLS1d15MwMnQNVpPzjDcsX
B7JXnzN5QA0RuWQ3hrEbkImBUNG6qMwuSTrojuYcHtXiWQEw71hSspJILl9kLqx7QMDMpxUwZCiu
DQIzVMhkeM6w9GRGmUSuoAYMWDTkokYjIqckjksEgRAdkiPuUipMRwTnCEzJORNxhAwopgymaA5B
iay4qU2Dd8wsmthzXgsyO1AhBHYcHIsggzJwl2LTVMH8tG3NoI9Jzcg5I5asvyGIifaigDGKESNi
l5ImcY5FTFWMMHXRVCUpshNNjqj2wTP3asDIzo3m5yn4yoJjZ2aNr/sEDkgJnHPAiIApJmQ0gGQa
nENmA3TeJxEx6EXBYHlx/oXnntrru08+vCyi1fzcN55/enlxbn7UfOPrz1SLcwDw5Nkj/aH5E4fX
vvO9125/cW1ra3tlbW15fTVbSkB1XIUnHzk9/uf/aH1tuevhxNFD//QP/vHqymI1Gj1/7pTTY+LD
8sL87/32dz7/4hoj/e5v/9rKfBMFmsnk9Ml1iuml5586ferEx/v7o8nc8uahoPrd17/21GMXbu3t
rXz3GziePHYcLoRvjqrJIdv/jW+9Nr++/JSrVxbm792/u7a6yjcWjH0yleDYu+deenJ1PEqj5vXX
X16ba0YcHjuxeezbv5VozrkUtefgXUwvPvt4o10LfhHc0yeP3K9e78L8CYu/9evfatZWn3lydwVP
4srCS09dvPrh+xOA3/mnvz9a3QACc24+hNdeefbBF5c/ev/jmqvf/YPfP3zx8aTdb/3+712//sWx
Yytn/+XvVxubT/Hc0rFVcIvHT06Wv/fre1gd2Vj57j/5ne2PLqd795985OziobWnhWF1nnnCIBHQ
nJuZReZtSUuIUzRUqcklxh3QaCbEI1/FlDxhUvOYDejqmQLhaqgqkWAGSIzo1Jyqgo1AZpAmbLV0
iwSgUEOG1xikBNLvC6ILrfSz2O6ldrub7UuPwluovo+u7VnUAXdtnCboe+3FZkmjmENKiGLWk7Lj
hNp41xIuOI7e+6bGlPZTPw601jSPvv7avb0HTdUkQHMijlvEjrACmiJFQfBh4/ipex9+sPvCvVvv
vIedOnQBsCLCpMDkIFUE88vzx86eX6ir+Uef2LpxJ+3cA+ROZRZtq+tmmgRcn9zOrJ8h1muHr12+
unD50kKY+OXFU6+9eO9Xb45v3e13dnf6fvXQs9uMVV1H53xVeyExRPZTMSTfW5+QdpNNFfbFJieP
3fvV4md/8veLR64d+/qLGxdO6+7+x3/142hS19XGC4/tXb/3+XuXHvnma3L22CTRx+98eGr9aN+M
6iMb82ef/Mmf/ZTnmid+7bs9cy5GQlNPbkQe2u7ez96Z3bkzd/LE5x98Hm5unXvhhf7Epq3OjXzN
y3LopZdH6yc77xARnU8pCTggp8C3r92q2rT2yis7HVb395qFDTY3d/rYBn9L9/fT7CvzeB2yDuyX
oV/RkFBMCNk5NjwIcUHFLoRKQjAVQE4CPOS9iqEuFyYgZGMwEeWoKhEekBhp6GvJ3evlUFNu67n5
AJFKqyciLkxG6xurH35y2TuHCIrYxagGjQ+TxblcEWamTR2a2gPkpy9MJpO58STjBPxkTHMTAhui
iRiqsBqWAXNTolXzc4sLkzzFhFDl8biqnA+VqiHS4vwcIQJavbQMZjSey9Uyd+/dq4jOP3nRwOq6
OrJ5qMA7ENFgbXFhY2GeAP1kMjc3l7I0Z7Z5dNPKCEKjcTNeGDdVFUJYW181BAVbWZhbnp8cPHrn
J+M8ZhxaX808z7kjm3DA4FV1zMePH1HVo5t19hNWa6sAcHhj48to1mptNZ8KTG11bWVlbRmHvA4S
rq6voNnC4sJkPHr9269wqBBxbWO9IIgGSFFdhWObhw1g/FI1moyNaG5uMhqPDpROQ1DV0WiSP81D
hzdKyBKRDQfwJmbm7JC+y3kMjKJJUs6wFZW+9G1wrnDUMiZB1p2yw/bAmZaLWZFK+yUgmgg7zv8q
5ANERukOZUUwXLqGhQ5YcL6lez1bcpVKjRByFh2p1FeWw9ZARyYiUSnzCoIaJrViBDhIGBabAEUV
KgWYiMOXqPx9KeGQoepPkCiqJsBOUnZCsXPZNEvg0NBUPRGpkilnZmz2v+Vuhnz/JzRAUcDsMcvN
mwZOMf/XculfXmcbooIlMyAI3qMqI0HSg7YjU8Pi2zXPxExgUiqIzQxB1XJtcepjxsL2IsicF5RI
DKDOeceekFISIo4pOe/QEJQEdLAum1m+1dhB1JSJMleWDE3Mkyt9QV8NyDukmbMkmttuEABM1LB4
NHITUXEGOqaClMnVx1boKZlOCwRmAkilE3gIl5ZbH5GWMF0RYYpSmpUEVT7I+g7Tq6pmIaVErwEQ
aW7c3Lx5ezqbbd+7d2J1ZXl1qXL02WdXk6zXVVVX4fTJo6vzc4TkQ1hbXX7vg0uPPn5+Om2DWZR4
d2fnxo3bS/PzDx48GIf66ccvHtlYvXTpytGjmwAWHLz82nNQhZ+/8c64aiDZsSOHD6+vrRw98ou3
3m3f/ODl/+Kf7MVUeX7n7fdGoTpx7ox37tD60r3tnXOnDv3kzz++dftunt/YuXt37926fv3EUhg1
1d6DaTe146ujyrmF8fjlZ5+AF8Mf/nf/41MvPOYBZX964eIZ1fSzv/zhC9959WrXOdW15fmVpYX1
tdXVpUVi9oYbm5sf/NXfvvxb3/yz//e/+43/7TNXttUUxk1z+2pvopOqblwVfACR4Pj42tJbrB9+
9PHC8pLO2lNnTjJS1/W3v/jiyeef/+yjK7yweG6tOXbh9J//mz86cfkLU12om8effMQxbe+2H396
o62u7Uua43ThwvFrH7zzxpvvzM8vBIMXnnoMkGagaysrn/7op1//P/5XbWz7Ls2vbbKBYwaVsj9C
GNLDCmgOISD3qp0kQctoXQQkVEYyyNmZAhjm3MGBkLu1squUMCurCOwK15o422vZkA4WZ8yWkqoE
72lQ7IkdWgbmf0m1B2Bmj4RqxKCGbOiJkwkyYiE9FcRu6VB2BMWknqPUJZU9RH5KmzWVHhUCVRjo
wQaWF46BKZoalg4YyDXFBkyUco1NJmmZZn51UrFMshiqufLjIAeiXVkPETmypLm6piRWrdxEMqpA
c9o7+3TBtGSFFFQJEZHVBAq6rCyY8rYovyLJfp38gRoQIzOl3IGMxJRLs8Dl6d+UhoYUk1QFnzSV
/PFw7mLHmhRMMuwDDZxqn4SNwCynwMVM++ksTvdpfuJ8yPsqSTE+mEXP9WSiYo5JAPokmTCmoEDI
SL4K5L2m3nsPalCFydJie2trM+qNW/d81YSleUXw7Lzj6UySKjkXU1o7deLTS1e2P7+5dHb04M69
Zm4uzE2mRECkSCnD8p3TItwbmFbO910HZpmGlySJpuAdEatk0l3GJKiAOsCl8fhrLz1DiBT8dDYz
ppEPJmKEjz5+tu37JOnMkQ2ytZrdkbWVU5vr3rvYdcEHQ5zFLtf2rK0sHd5YjRLVbG5h8dAzTxhh
7f2540eAkB03qudOHzt/8kiMUtX1/b3d+7N+VFePnDn1yNNP3p3NQLFr95px/chjJzZPXJQYkejo
aHV9caFHmFtb7efnQuU3JKyeOTWajN785LJqOnXm+PXrNzY3Dvt6Msehb9vFKjz9yNlxqHf39g5f
POfN1Ozs5sb23BgRG2QxYLAA+tz5M1PU2PZkcvzoofHqxI/qieqpJ86OQ/XIwsKkbu60u/OHV8+e
+M7+bNqMGkkyUhVN84Efe+J09fT5vb391bnFqzv3nHMnwa9fPP3U0xdj6vcgLXGzMJnHJnTT2Wqj
F448O32wt0Qclxee/MbLDyjWCdCH9c317vDqKISt3e2xm3sw00phBVhUKPYsPbGxxrGlObaOEKUf
ExgppQ6sb3utDQg0SawE+yQxJiNWEzRhEzVtJTrgB6JjBfPV/bbv0SWBAE7QG3gjExNFB45dcBxs
PKqms3YhhMUmpLRf1SMk3ZW03IwxxqWm2tvnSe0TqldInsGTr1g09ioBtUXpCDuwLmkwikY7YvsK
E1EwFyMYgfYmXlgkOBoR1aYBCEHPfOv1nT/ceec//JFJWj5/7gGyB9vrelHoYw8KW10/WV448tvf
e/Cr9y//8KfEbvOFJ7rJZOH86dX1lfnRYjVf4TdenTt9dmE8TnVz+Hd/84u33rp7616zTk29vvC1
p3V1kgBiHcZHDvejBW/WvPRM/cixrdbQgERA4oShtt50xsCsGKAL3NcrzQv/6l/sdtMKgxtPOu7W
vvt1Tron/Vwz2ms7N7dw+n/9jyeTud7S4ivPnfjWC9DF0FS6Csv/2XdHtd958GB+YWl/b1p5cs5N
u8iBrLPx/NyZ119iQvDUdyl53p12i49dpKTbScbLi+svvkTj+TR9UJOhKZMhRtDOj/jscxfmqnqa
ogcnBH0XPWlonDt/zDP1bfuVD2YGauqcy9MdgDGhATh2muH1WkyCZDDf1CdPnOn3dwG1Dr4ez+NA
aMxWIvqfmDCHVeHDpg4cQiDZukY68E4Z8CBoiki5o09EY0yIeOzoZk4ils570wwy986J5BPd0G6H
IkMcgAr4sfS/OyIRRcJkWn5WFsYIv5T8GtyIVEaVjOFgZrEDKyEASv635ufmXnvlGQDokwIiiA6j
NTDncCGk3HVGrGAKYkNDoEGmx9tkMgEz0UywVAQSkKHaVEu1ScYl5nQggn6pgdDKPG8D4OdLtfSQ
5RqUoQlQh15yiSl30w3jkpEBIwkoEVXjUZe01Eia0cGqfGiSMIDReKSmmjRp6UHJqiNCcXCJSC6r
zEdxMMx4IQNIINkKLpaBscKIHgjUurbP0FoXqvJjkQw0TwPIYKKMlB/8ikaQBbqhDbEAtNhAk2mu
YOGher68Figd6IVXSXQgUeKA4kAEdmxmoMqIZKWYFItu8NCB+ZAFQySqRvkQiWakAJlzmbQQezRz
ljLv16BUPigSDFlUMyJiNFP50gSOvagYZFQ7EoqBmEY1NXTOqSgjk6kjYjXGh2+F92wqilaYsQbo
XTRFZhMRlaxao5lDJAMxAGZRBbCSj0LIwEVyTkkLOIpJVFNhlemgHpauVe+cqFL5OhkzS5TMmExq
ouCdc8gECFJUxrx2xxw3tQwBMUcewAgIDQpIE8FyX2X+RAAliUNEMOe+coyBiIcOLGTGwn4ZZkhi
zkYXh8ToHBACAZCA5WvahuJfHLp2mVgzNib/v0PxydBF/DBIz8wqJR8LheSJYOCck9IqnKsJyQxU
5EsVzXT+yNHQpY8/uryxOH/67Klp1+/t7i0tzB3dPLS4MHfr5k3xfjw+RIiB6NWXn/rs0yuXPr3i
Qzh28sRrrzxz68btRvSJl56Z9vHpxy4uLyxOmgZTMjEf8NzRw0eXF44e2bz06eXxZLK9s7Oz/WB5
daUK/vCRo73Y4tJS2tm5e+vOkc3DG5uHGIGYnnn0zNVPL7144XzzndduXL3hvD967Mjrr75w/fOr
pzaWTmweOnrafXH12ue3L3/t9Iml+bnXXvv6yvyCAL722vP3720/88SFQ0eO3Z12d7YevPjqSycO
b+yeOXX/2u1/8rvf//TTS87FevMwmAVHzz5x5tRSffzC2THg8rGjuDSDjcl4aRnanQd3737tGy8j
N88+9cj8Qh0ANhYm/+j3fuPTy5fv3rp1/OhRDA6R+r39b3zra+vra9c+//yLq9fOnz29urH6O7//
W7du3vYhLBxZ5uDZ4NmnH726tBBTivvtsfXV5YXRb/7D39i6dbtCPry+wc7nNMD3f/Mbu689N5qf
v3fn3vMvPFk3k+L3Rgo4JM4pRyiGEi5ARSBmRTJQBiKE4MgUxKTXxIYK4AAI0TPnLUzxzmq53+S5
yxHn9uPApZ+GctspUVKtmck0pVQI5Jjh1cO9DpGRGCE/zFQVkSHzsfIaKHvT7aDXjcQ0w35KMj+v
5UyzqyVHGYCICjVCy+InN05bgRSSZV8FqYHDDEYuflfLfLhhFZUPDYykKszocsyHhs6jvIY0ySeG
pJbpXDAABcwMgPLOM6PKh7x3ThgZuwzxxqFapjxG8y0gf3VTDvrnZjLJQGCKkrj8SwgKyUxKjre0
PXkmJRdc7gOn7AJjZgBz5IAxiWDOYBqCCOfmZMv2MnAKgETaC1XMzgHYbNZ+8fNf7V+6cuEf/nod
qj7Ghr116b3/8OcrRzZOf+NlV9VMXJGLeZlnGogp1PtdCwgaAmeTuqV6PF559bmrP3vn3p/+sNvd
O/TU47i6LCmpCggkSRDRMyvi+MTh9RefufLup59fuVaPRkeeegzMhMBvHu6dQxVmzsi5mFIyTSoe
XGCXQclJBMxq500EPbAjBPSO207RoGIGUUStKg8GwOg9k2MkFMm4eyZkA3DOWUqSkiNOYshG7JIq
AXl2lfMxxQEIZjEmgiw3g2T8fAYiI+SNt4AFouDDKOmLzzw2t7IMgPN103b9ofH4hWee8WGJXYgx
taINQ1TzVUDEPsXe1IiSSm+2sbq8e2fnnZ+8vTGZf/Vbr9rcOJmEULVdD2i9JgVzzJpSMq3IiWlv
6pg8OzAApgTmiXvmfY01OY8uESqTgirzlnQOamNOjM6zzkwII1hJzSEFCg4yPYqD862l2oVE6LzX
lBz5FswBKKEyO3Si1CJMY4+VT0DBN33fOnI96SwmbxU4PwVU5/ZRmV2H5h3vEgLDOtWikpxP6Hok
QD9Nac6FSBSaKkQ0deaDUSdEta8MrfF+P8bgmJ0LNc8BG1WrtaeZn/jQ5x0sFxIXkajG4NhjEuvN
YkytZ+6itl3PCnsxUdT70kXn7sXW9qe7ImHa7qZ+pBhZu75LPVcmoqmTfgI4ViGCBlFMwGDBBUMO
xB2CYzCiRCYIkXBqgkg9goBJ8Gl9cf1f/qM1DBLQph0sjnmvr0NNai2HhVDpeDKuQ1xbXvq1bx5G
badTnKune1M7fzRUZx/sTpfnm8WXn5fJ3Nb+FBHHiwuHXnqhGjWx63dTmpuM4dSxhYX5dm8P6zAC
3u27hSPrd0cVu2CoCalH6xCIPfjGmCICBe0xTNkvjuebugmGrvIMUNXjrp1VWDfe97Eb1W7csWPY
7XtU9Fj1UVJUSZY09cb7ESnC3T6OXXIKnSqnJKYGQqghoEJCipNQzyRVgZB0LyZHoXIcPPngiUGA
UoIOYAq44GvpU4ehY9SEHEKKoOgIhX2FaPbVyR8I2cmYT2klWlaqXwp90vJd2zE/cmLz//R/+N+U
wlGEUFXsnA0PuUzlLYLD0Eah+bwuQpQdcEXlA8hTYvHc6EGYqhQrmpnNprO9EHLbDB7gfLP/EgXN
Ouxg6AnMVSLlYVgAraUlAYdWhjxy5GMf58oFQMlr2iGCaJY7UeGgmrXolvY/UVkOZryD0+KQ/Cma
WC79MlEisgEmqg/doNkGqge99oOrsOiOGSifKRUHNehW6tUH0H8xr+LBb1JqD/HhvDQM3KgqMDSw
Z+ioIWg5JQNm4RFRcrHbMKRRRrOo8cFMO7xkyVRXxKwDi8pgT0VPuc8QBtYgWY58UkZYqYAagZLG
bM01YAAPzGazthtEJChE0vJiDQhFjZgL3Da/wwVaW0bm0tGaFUkgy7vrom9l6BHG2OdFzEPsFnGe
GHN1Qdb6MiMxDz+cl+7Zw2ZGiFr6dfNxBL+Et84kSrQDK7qWIhMEQGDI7TVmnh0iqhhnmSCrslkZ
s3J9qklmR5Y8TgZMAYmJDt01pspgbEZgDst7kc+MRAAqappXPUnNkJMkdk5VGYmIQC3vUxAZzLx3
SVQRiIhNjXNRpzKxqVKGaZebAiCQipT0Y5EfskqsRcNBS0myJziqJTGR0jdDZojgnItRDYDYiwCz
V80HaDEb2J4KqpbbOMHACCWHZg3LSTS3KcJX9vFm4GoyQSQgZIexlezeLS2tzg9+XTZDBUi59BUO
ajgPbp4uq55Z4WdiZipVlgMMS/PegdnUNLfU5hBa2eyAma2sL79/6fPNaeuHZC8i3r51Z2l1WdSy
uW9U+4sXzmRjCyE142p58ZH8oc+Pq82NFWZ2xGDoCBcm4yefeixJIiZEHI+PnDi2me8tq1D0LlfX
jz16MbdSHt5Yyy/skccuqtlh28wJ6p3dvZ17Wy+//BygrS4uri0tmJkbCsA2N9bXlxYC0YljmydP
HD0IYJ84vGbFgIwnNg99cuXzwxtrzahZefIRMXOA58+eoLOncjr5EICcOZ7f1ZdffC7zgddXny27
MCIFO7S2fHh92QCefPkZM1huGlIjwMefe8oRoRoDnDx5HAmSqaitLa8sLS2mshlDAZhfXvArix7o
3IWzdVMfOrxKjo4e2Ti0eahXIaLsKeDgT505QYR37m+RP+UAm8l4snCOzSorQQRHtLQwP7e40CGs
rK/WqysJzSHnunJPpGa9JSOnwwqUiEhKHVYCsNJKCmDgCBU4mpQnhRo7IjEC84QGGsU8MUM2CINY
XgyxKojmz8II1AEnAMX8vHSqiZGTacr3fLC8K8zf1qzh53ypZvIcWt6aHSxHGJEx4xERGTPWYXjW
lT6kDK+SMnfnjWr5LzC5ZJJ3tXmDzAMErOxbkNSUD1wG2UfPLJJzE7nueRhbCU1RswkHSx4UsyCZ
+40AmElUHHGng+dluB8Xb4oZMw1GHShZVgRGMFATpeGBXm7uSHlpJUmRkEsW3nJTsWLu9CpE6/zY
NlVUl3lsiJRU2blSQpaMmM0k7xN1OBflqt58SXgir6ZRBkMvwt79rappQlOLJAPoY9zf24t70/mN
1Zy96Ltexcih99yLKljSFFNUqA+99BQ7Vuctqa/qybGN0yvz8+OJJFEAdcxmROyIAzEw5dviZDx3
4unHVi6cGo1GqY9VU7MPk5Wlxd//zYxdT2qOuWJHzDJg/fLylh1LNGYmD23fAx50XiMSQQFJQXbi
iaQQ6nwUcMyKKeP1guOMEEwqnoJnTiKMGEWZiZAcM6rhcB0DQOWcR2pBImjSSM68QwRURI+cwJKZ
Y0eIc6Pwza8/17azZBLIK+L55ZWTr73gAVHNE2tu1PWUJFUh5As+BE8JG+KR5689/9irLz6xt783
Ho+nqTexwE5Icht1lVEElPn+MKmavBtOaBVhq6niUJGL2COhMdbEYgqM3sgjNSF4xzWEnMr13gdy
HSXtU0M1Uq4KcIKUEMZciah66FQqIkKaI6bgJbZm2IR6t++R2QBGyDMkp1ajS75iZCXiyk08352m
hglc3asGJANryJioVa3RlpCCpCXilKY1c6TkMM2hjRSSpEYFRSqVGGek0kqPrmnjrIJmN80seQG/
22s1iw+62OIMEWezWV03sZMm6DTG+9BXUu8pJPAVVmDsAUR1zJWCMnlfYTdLiy5M2a3WddfvL3nj
inwrrbPRqEqO0KxCNzdqdruego8tBfSRXdvbiP0MqEKcARlQ7YNAO/GVdt0o+BHiLkHNhKhjb3WU
mqRTQIQURVWnbVf5sNXOXNPcn07Rh7tdW2OMnmIfR1YnA+d87bxzLiBUTJVzC3UNplXlpIe69smk
Cn5mEgP3wXXOBVf1kpPoVV2NmPysnwLgiJ0L3mkEFAIhwFZ6hgQaAaztezFiolkf1bUYkxC2Kg8k
NW1/X+LEcOyCM6mJnWPHCIEBqPIeIleE81VonEMwlegretCmiCaeWzXn6wQc3JwpGtboNKZpi9QB
dGDKqGhIwKIjNqi8w8jWk9mIQRUdWEBxyAqqqs6FPn3lfGk+gB6ob5ibtvP6E9E5HlJUgIjsuWoa
IqRs9CVGJDHLx0RVQ3qYmhlKrUFV8yxRHD74pYE4z2+5yhJQFQhJVAGBiLUguEDATBITg6paHi+y
HFcSXQgIOvQymoLBl8mgmsGq2WKE6Jmz+67g93K7DZQ0DmoucsMh2QiEaEOVQtkZD2USWQfDnHGE
7F/GoUmhlEQmUUDU3BlRHIHFCHSwFs7km4ydzfMnldW6lmNCmbnKEoCwHHMZUETgS6geGCoMh0dd
OSBSptjDAaY+G6AVcp+2DXWLeMATGubbzN8vflc1BS513OUZ7zKiGRGQkqoRRc2tmzpI8gfZY8UB
TZpAMBeuYFZllRC4EAozcKJITUxYGhAR5OGF+pAWg8PvmVGyZqJDSvOhbFVW8YgAwfuDF1sEq6zQ
geWoUlIbGhuNiEAKXmtAhT0caIdCFsvQ1ZTNbFwsZAbDSTQrzYN5mAyoeETBIYMZ0wEgxzIdh5Ak
JSTSAmQqlk4TERGj0tAIZgzmEQiQgfhLSJ4BZqxUvgokTL2oOe5N5SCvqFY5l9UKUUFkVSvFBZhR
UhacR1WGXFkh5SJkTFECIyM6RFNLosweTEWTqjIBGDrn+ih5y4skufheJFkBASF4ThlfQg7JIaCo
Sg5uEYIBkzcwtczMVCZWEc7NfqBJJMuXZPg/Zy5Vy4KElTsSgeZoLawszK9vHgONBLi4sGhUZVAV
DBYMMxUVIs4TACJT6ebMC4NiviiXihVHoajSAZOmuBVK0YcjOn/6+Pb2Tp4HcvaBiU6eODY3Pxks
0IaA7Hj4CpTeitK55X32zNtAlcvXeaBQ7OqU9Sqg4UyIB4u8PELnZRdh5mMd7CjnxuPf/rWvN3WT
a4aznpFveobITKFp8j4lW1TyfI50AI1FVDt/5pQN1JnSgVSWOZTHC4eFb3dgecfifwYpYDMFxKQC
WHg4xAwZ2TyUEuftlCNSSATGxKYiUJZWjtnyUwLxxMmj+QYlQJIVrUwDJWZDZEKw1eXlBJYADCAh
JgAy4+zqAfDsAC3lez47HXRtLg03xuRSPuaVWwp5ps6ioQkBACqiKhDnu1xhaJnkBZx5RhGkzBXP
rZbluVq8r1ETo8ODjAMUGQ8AxcwjOufUzOV52/IIig4dQC5nUSQAwVJ8W1DpSGBoCsMwV4TEctsn
AGNiFB3QAGgGqgp5ygXTjNrB/JuXJCiUNy1zkYwH0UtyyMOEiUuhl0FejpVXysU2DwApG+UH34Fj
p5ofgXoQRAcAJlZDzAQmHIAGBqamqs4xlgNAfkqUHXT+7BxhUs2Zb4esUogIomYAPgdPchd3nmyz
E0QU0IhR+0ytIwAiZDBlxsAMakzOEETy3bcsloFIU673KrdBZ8BRjJ1PKQUHuRu6WV9dPrTq63rW
xnyrEoC1Z59Ye+Q8OCZC7yszE4Dc2UeIlWMIfuRDmpsg4agZSRJHWI1q77gejWOMJhAdWcKoqWoq
FwkJd3d3o8hoNPLekQauKwVIpvljqHyYSjSzDCbOJOOMtEVHCECizjlNkvVftOykydbrbEAyMxOT
JCkfjAiQ8eGKV009+WQiKVE5iihna56iqQkoMYiKR/DMbd+ZUkqJARHBM+Ue5LZXQvXOIZCIMjlA
yfkQj1Szj9BJMvaY69scu9RH5wAsnyZARHQIC0VTVosp1WYM0Ma+CsE5h0hR1ReahKJBskSIASmh
tX0/qmsz61MMIaCaN3RIvQoTMCEZakoeySULOYWsCqJgVgH1ktAAFSCJqThCTalX6URqDooqKogm
mgC0RvICrZkX2JvNAgAlFTNTQRMBaSXOUiLwvSbrOiatxFozC+yMb3czSNJpqn3dizqBCAwKHYEk
2IvR1PbBwPFOUgbq2HslIYrJGIgosA8qXWJWH4ydJzeuGyOu0Y8DU3ALTe2bOoMVF5fmdu9HX+OS
8QI2C5VH4cXa7U9Dw9ygm/YdMhnhvkkF2JP0EGc627d+H9KdPu56xJggcJWsAVZVMsReGaACCCKN
QepjY6htNzbEPlYIGntgAu2nadZrbPvoOLSpE+U2xT3VHdGanDIxRCXnQJ33wbna+XEIi3WzVAcE
q32YQoomIZCvQ08AiFOTmmhfwRmoQt+LOuiFZsn2u15SvzCZiEiVYps6Sg4FMfVefepnXeAoCQDb
SF0bvQ99VGZXhzDVWSfkXZ2IuK4m4Cg4J+J8MORWpQkBQedH1VZ0TcWxj8CQEIUY2FkyUWVwnVFA
nnaJg2GuPUhaE4NGBgFRJGPpXXQeei9gBqRd4+o97drot6d7c9UceIy9GOtsGtFV00ToQysKfaqD
n1kiRVBwxM5VjquvnLCi0stFQ+sifil6R+XRDIPaCQY5eAZELh+sCTF74IpYNIxz2RhDJXdaxKwD
bWlwzJZ8SGbAIAzHODAmqkLVjBpFvHrz5o1rN5qqymNppp6iwcVzp5txnU9RXLIroDlQlw9Dhnmm
yo9MLMe4whAGK+KG4cCIh9LuMPh7y1NuOL0N2+VBOdRhQOXceqJGxfo0hDIBACCJ5uOs2oHCYhnH
fwDxdEQmWkARw9D1Jbu1HcxRNghJAAUiaKUABIaAb9G6AUBFh4YK+1KrQCm9zLIkUikGyLFMQs58
RcilgohopeMxe3JpSL4qkKgWSdxM0VIOFRfERemRA4VctekGvVTNgMDYUlYzzcjAITnA6f7+MLsO
um/59UsHZ+FjMcMwDZaHI7OWD401S3pQ0qcMOaRkB8zezD+Ecuy2h4I2giEa5kOzElJexTIyHsC9
EGXQtwteFUxUDQGYtECAIRtNh7lgIH4BHEwSBSkMRlT4SF/+4EUVHdsBQQexYuoHoFFJugIwIps6
RM4/YzibZT8egBJTEjVCAUxajtd5SwEKDKUBdchKsQCg54yUzBy+DBVGMzPNLfbsKJ81XT5Iqqas
+nIOumpSS6ZkTrPzjb2amAgTVd5JJ94xEADk0CxEA1FldlDaIwo8ioCQSLSc18DUkc+NDCqS3QGK
uUaivPSvnK4HxcHIgIQxJSQGg8D8/W89//1vPYdgzMTs5kZj9j5n7RTMERE5FQVEycsRtcI+Ge54
ufMTEYkoJUHEfK3mjHVewWSPnyGqGAJWwa+trWQZPBvFs5U3+8hl8Cji0HKUa3W1hLXLSPywE1Lt
wHL5cFkGigbDHXEILhDl9YdZxmDZgcfYEZspEdVVXXLUuekVDjwmeUOkCJiFvhyTUytNuZk59nAT
Z5ZUmYZ7fvm8kYZG4rwSyRu33PVqQ4EyQunIHtwKLKpiwIBQ/KviAMGATclyJU82qJuBiVpPkFtI
HIDklidVYzNDMZHcBmzikBgga9YKYIxmFiENTy7NyQ5Fk5wQNtu3PgIGA49EGboLmsASmAG3ZgHQ
M0XRmcRZO1MwQxMEtoeiX0BKBoolE4FgFVNvkAByvT3hQE0yoEwC0kzTRURgxajp4KpDK/nMnDYX
A6D8JUMzcERioCm5ElaHg/BInk7z83TgA+dMRem50hKrhiE+bUwkgPwQQvdwC8rZyWX2JT8RmELW
KfPMwsj51xpCGVlHRhuCE3nRmdU2FXPMqJpvcabqmETBEBgpfyCEGJhLNjZve4nIlBwedO9mvZcN
NG+RiohsnE/auRXblJA0Z8sVACA4zpWkQIQmnE1DRV82ZCRCfviEQkfEAMyUN7WOuY8x21oJs6si
5wY4pWQALgTvnZ/OZkQEjIA6njRPfOOlru/N0HtPhM7T4ROH1zZXOQQRUTCDktIBU2ZSiRmbHGPf
S/LkY0qq2nWd5dpoVUOMEkWygZtjH8nQknpmypYdyO8CdJIq9khYee+JyCjDjpmQAZMaEWVTZr6d
ARE7ZwQqVkq0ACSXBeW/EPsY0wDGBELnXEoJEclxFAVCQGCC4MNsNkXOBykMlVcTBSBP+23PwMwk
YAxA7ESE4CHyBAgTaGDKm7z8qUSRELz2kXJHBJGhsaPguE0pn4IdOzTrLZv6IKkEHzKDJYEi4sjX
+6mnPH4DzjWj2f40YyqIyJyzmHpQRgrskho5RiBBNEcKMA5117UCFlwQs+iwTz0RWoId7YPVSDQz
QQIxI+d6MK/qQ5C2996LqAKh55GvOlNiBgIhEkAFIOdAoKkbnCVwTvrUmzpmJETHSzjq+rjo613u
yLuKMCVVgOWqoeCN2XoZB+d6txiq3ZgqYnPo1VnjCMCBjGsPrVvxYQumY6YO1JOAF3WSdBYcpU5q
gJ7YG+yLIuCUIkiEBJ1E7Y2Q9rpOZ+1+SjRtQ0yeSVM76/X+3szA7Ux7dNzH2ERREVZGVRJBUzIN
Kg5lyUOybt4DeuwpgfUOM40NRU2AOnataQy+nfXC3BEDUxICBHU+IStT7YN5mHA1S7U3nqurOU+H
xs0cckQgT4bInqOpqfSxj5Ie9C22YbvvXNdj5aQX6KzvUnRoKMFggrSvMjbrII0qdk56b0zSBBYy
tIQOhDkie+c71B7cjH3LPF81HogMQl1Pxeq6ihrFYYW2HMJKU2GcMQiDGVkvMu2TYU/5SaO2PZ0x
h7027mCfTBkAkjgzjj2oYurJcQBlTSNHlYECxCRU+aSiTG1vnhxz1Zs0XPeQEAOZVWGM6rwfjapR
b1qxd55Twvnx6EHsgrPFhpoqNYp9kpG30SgkwiRIBKZpoN5+hb8EzBHlsKMNHfHlfAIKaC4DVIfh
NftjTYu8AA8bEQa2Bx60zeOBtDVYc+Xh0AWDITdPMWL5mG4m+YsNqN67KvguyY3rtx67cGZ+bpI1
AUDe77of/M2PlkfNucfP5TBqmRmKg9QcU6mJL/tzwsw7LUvr/GBiIjKE/WlHzNmpQeXJW/rQ9MCn
m+U+piLY5oabPGxnwXSIkOXCwqwNZjsUDcyngzckP+QHs9AwDzsrUKgDCqwZAEyn01BVUHRoKoAo
UyjTtQ0JNzACMdjv49s/f3NtaWk2nQWCC48/mlvvilFqsCgfLJIVQFTK0Ff4BZDDjTlmkw9yxUma
yatDs71YXgSQgYmZM81zDlgZxhgJCRhZsyvGgJHRDBkUBIlyqx5nKlJS5OwGyh5FBAYt3iAb4EtY
NN6it5QJ7eEmICsTCGjl/bFskc3oS8zBFRKR3A4NeCAdGiJmoFEO3D6snymnq9I5eUBgynEVI1SC
HJEq70ypNrVBr86Oy3ztlf+c5EAVkopkbQEg60t5TMzHeLBiGIahjMEATMSCYzN1iADkCggFLZvX
h1ENAMTUCAQgiikRmElSdqSiDtAjGlIOOOWbQK9iCNGk5OEkH4+N8wHSNDN4Mw8sCwZm5hwDGAGI
qiIpKuX2VDPNF4nlb7qqCjFGlWQKaAnzfiTPfhSjICCAsiMQZeL8jU0izrMBJJVAzsw8c74wO+kV
LEk0/MrcI0Rw5MrqAwmJtazM0NTmJxPvHdIBE46ziAIFWpYXRNlfAKpKUBjLTHQwpuYlAWaTCSEZ
ceEXQR638jexj2l3f09Eh1QE5m5bOciZIyBRksTMpsaIOsTdzTTnDHNhSF7d5cEyp/gAHq6ryplx
uLD1SzHZ3CScvc1DzyrkczMPilPeTYB9yZRxoHDAwWQMw10tu87RzHjAFNsQ8Sg/+SATjnjAMcYB
lVy+QSWNDzo0eSiY2EEyAnPtE0AOQovH0pRCoIgYVRTJCHsRRUxqiOCRHJjLjzRTJEoGAhZNo6ln
B2qoFrKvFwAIE1ivKgBmEAAbRGeQzRFJRRCSWTJTcjrcwm0oYW5N2IDYOSVTZQNXNjAokLcO6Bkk
B32YDMv06Ig6keJeYRQALeUleWumBmhMGaRABIRaRGPEPIpzYUCgmTGAAUpm2pZ8BDjmAqyjfAWR
lhx+HiB16JnKRNyMkMvfZyC0XCj85Sst77cNDRFc/t2A+pQcMyOBSRHl813rSxsTU8mcWwMCw8wW
zmVUjOUpb4BqQMxJJHCR4QhRVJkIjEyNuBwDoCwA86MHidEZmOX5KN+RDdGIKVOHDNSyodrA5fU3
gvflCJQ/EmKSlA46nIacKYqB94xU3C42NIYRkSthA0giAOicC8EXqAQiMSNRH2NZKyM5ME2xL93c
puRYRLnQmB2RxRSdZ1XpxVBB1MykqihJVCZFTpJ8cIyYeqkYfXD59/HM3jnH/kHay1KvZ1psmg7b
Ur4HEHyom/rBdB8JmZiSMBE7ziDkCEqlf1mBAAlFJFQVIkpOnCIooqjk+zUzSa9RknNOYh+4QVYy
JSSHwEjJJKnEPqpZrv9RMc8ukw/IICgAeQYUhCRiIrnRi7J4jQqADiEXjYsqgCMCVWRARRQ1UFMR
RPXsArPlxbIRABG4Pgk618XonPfEnbaimqT3yJ4JjfNyCwFAhL3Lm2lRCUikJimC95zMIaBpMq0M
yTSadH2chKZhl0w8ketjMLyf4sTEOZ61lkxZU2DfSvQAnHNBogywwKETqUMFEAOgqjhAFGjNUt97
gE6TptgACplqJLWKeGoWDDozVfXmAS2mWDNDJ95gRE4lgVmMfZJopp541vdtn2qfpn0PbCY6TbEG
mKpWfdzuu4o4KXZ7ew5GleBU+h54Gq2e9g+6BBZ3IDUJYi+UYIppieoIJEJiHBOaUQDXmqKaQ2qI
e9TGuUg2CggO50cVtaQiTRVUcHEUWBO5IMSohp7BEwYCNVQCwOBDQna+TlhNGTBp7ZrEGqiqAqau
rSkQB0gQwAXyhhaca0LYm86YjNBa6U3YtHUYTHtQas16iX1Me7P+/iw9iCmqhVEtnVSBJIEgMOEo
1M5wPjQT57sU573rAqI48kCencPgHIQA7CCEiAS+iVEU6167imoFRbCAlUA7Id87rslYLQJMSNWz
N4miItIi7E2n0VHqkiTsmXe7uLPfTVNyMYDZtO9cXQNY5dgrRoNRVSnE5VE1S+HQXH2/azmJb0In
iUIQFfVkHHoXgqvExRbJMVpKTK5mPyJHzluysSNXuUBpvkbDaKCkEcGl2IlUEqMpJ9EY43TWdb24
gH3k/TahY1AHEfZ2Z35Uxy6NRiHF+NWNbFlYs6HVPUcxcxd0ac0oOTXi3HOd7Suab/0FdgPD2aAE
OPO95QDUkT2TQ55zOEsdzDZqhlY4wMMTraz4cxtY6kV1aXE+r0G9r6LI+x998sO///mhuTGAIjES
Xb7y+biq1g6tX756vQLYPHroADMsKQGAD/kQTknsVx998uD+VhVCVdXnzp6MMTkz8M4MstTG2auU
5wczQL5x+/ZsZ/f0uZNWjl04SEk5n6kF/GOGRHuz9q//9ufPP35qvLj4wXuXnnzinKuqL7FnAbL2
l5UoyPqGFjEQ4csjrKruT2fsHTsnxc0IhNSL/eDHbziZJaCnL5xdXVuDIWF7/e7WvZu3zj958Wf/
5o/++T//vWysGqj9RoACCAgfXbn+0Zu//N73v/XhletB+5OPXMgfIyGJST4wUUnHaZ7TBi/xw6Rr
jokU3TWbPrO6rhmBgQf+V0IDLMGlfAI94A3lbUKeRTnHR6kQmdCIEC0HeAwkSVZIDkTIwXBaqDKE
oIhDOfswcWY/YTaAl9QfIWru51SEpAqEqfRo5gAMMBEb8OBey4dmOig4VUUiyMxFAMvaC+eDfrbY
Qfb+MCEBlihRHtSKKK2YoUEDDAwANC/kqSRJc7e8Dp2BmakDBg6Bc0GNGpqJWP6F8+KAsAi2OQSr
AFGU2AGgA8vlPB45z7uOCJFEitHRih6PBEhqjhwX4VczxENUkdhUQUuzztArgyklICcqhgU4zMwi
Fs1UlZgM0AxFTSGbw42ZgmNHhGYE6J1T0+zXdezy/YGYvGekHGdVUfGcd0yQkUvMpARKX/n2h8ai
Spzt36BqRfkckgvEZJadunkSLdDR/L3IWYbhTlYOlYOjoWzcvtQ5hIUIPUhS2ShoZg6p9j74UFVB
zba3d9q2zcs0y4ZGotXlxUlTmykyZVX64LtlZfGGB4lZJHcQWR+YZJD1f36Yxs7mlxJAz99LQNLi
mqHicC+u1NL2UfaPZnjgmjDMI5Fa1u3y6EgGNFh2daiq5hzB5RIcL87VYU7HYRwqkf4C/dJscSwv
RaEosIaoBtE0U1sHl4AxMZkNVlsDUEIUAAVIgAIWc1cnIAMwIFkmDIHlUl+zBKaAIkpgDbIrZZ8m
iCMQAUhqDrAy8JiXY9CJCKIUIhHVQKxKjAKQEDvTXpURg1GFXAN4lbnxOP9iSYtqbKqeEYBas5xe
8bnKkUCsGIOzz7xMRDnsbnkCAyJEAEeURCyPu4NuyYgKRvmrX9YT5bnsyZmm7HMpJS35vVYjpAQD
0wHMMaGplOqUnMZk0KQKD7mAZWeRp868rlGHBACBnUEW0glN89kev/SEKBuT3OaFeIA8QETLmtvD
fWO5bJOIZyhN1PmBMtjRsx2JGJOYSOlwznMeM5laDvk65wwkN/QwOwRKScAyCYkswwhVhyay7CyR
XBPFNIT4zQiJEdoUCdETAigTOkbHaCIZTEiEpjlkmwDAsUsieTQVldwUnZ/4jtCcd8QkIqYgkgVM
9gbMLooiKrIjA8+OiRhDxtJ6551zlfeQIg01aIToiQWMmfq8mHGglEtfUc0yu8hUqXIG2CfxiCra
p2hkUcXniywlrarCZk4iUTKhz8C8437WM9MsdsgkpoG8y48EdgdXVU4SR0mIznlHzETIxtHSIABQ
EhUzSYk4352LRU2i5FVGXsxkoIWgJVNGBiLnXBQBQEPsJWVzv2OnMea1IyAKqCHk7jRFTSaIGNg7
ZvJOTInYeU9MatwnmfeVAZAKISYV51y+bfWagNGSsfNTTbUKD3EmYeqSjOrakhiBMrYqhqSiAtZK
MsTd1DM7Q3Ts2pT6rnN1UIidpIBcscveXQZMIq2msWpCaCWFEAxQEJio63WXk6WEyo48gPRRElEn
0hFaSmNAATOkaEaOk5ozViBmMu6NiX0ANV/V84DIVIXQMzFxgzZ2ITo3R27mwxi5DbAwP49VoF7G
SnPNaCvJYlXN6rBYeyL2XZ8aYuCaecHXCDqu6t3pPjOJB8Toax97YYc9lQiXEiBSZ9AqqvFUZQW4
s+reLLUJTCI63W9nc01ISS3GkWCMydUWDJxqJYLWLyI6UGhnE8KUIhrHrtc6pZSiyUwS9F1HsP3g
wULl9lOPvbFZq6pk+4gNB+TkAQL7ORdEbRKqtVE9itwgt4jQ1OydJu3RvHPWgRi0qiNDZd5LFhlj
K7U3Ik4xJlI10JgCYDBrU+8AwDqwBBpNUi/Je56Jhi6qUlLqRKciEmU/mUbpAYAoBD+q/XwdEkrH
NnKOsFqZVKqzSeVbI1IQRz4EYDajWRTncXeWmKRX3prFmWlt1nczSJGV0YQ0kbL1bQWTXlJTBbCU
NKlEFZ31aWs6q53HqA9mfcd+f7efzI8RrTfxCsFXnn3wVe0CMlYATeMh8rhhBlR0daim09l45DBS
qNn7WlS5CjNMX/VkxpSzQJkrQVa8W7mJK+sCkJK4UHRUNWMmJoel+6OkkWxoJUtSzmAlwvellKM7
KPo7OLpZ6Qm0QUE4CE2VI47lnJUk1V++/+lse/fpZx5594NL/8O//SOVUgyZ5d7rd+4tNc3KobUb
d7YaAKqr619cm0wmR44eube1ffPGDfb8yNlT49EYiD67eff4yvzpUyd+8LO3p10/Xl5cHjWf3bl9
5/Or64cOgdnO9s64ac6fP33t5t2bt25N5ueu3Lp/6+NLgsqhvnXtpiI998T59z/9Yrazo84d31g7
dPzIJ+99cPb8mWo8miX5xZvvTe/c+NqvfeODDz45f/74Z5e+uL+9vba8fOrk0Z/87E0yUcNJXU1n
/eOPnguj8Yfvfdh2/ekTx3AULn/4ydx4dP7CeV+FXuTKjbtn6/qtN9+3bj8CvfT0o6PJJJm+f/nq
P/jG4x/e2v/FT39y+vmXce/B2vET77z5zp22//SDS9rUVz698vEnV6waX790ZdSMHn/qkb//0ZsN
xouPXVzd2Li/s/eTv/nJicPr++zpwd3R2voH73+y1/avvfDE5au3PvngfaualXEzbePh9eVHHr/4
xs9+ubP7YHV56ezZ0z/+wU+W5sdPPPno/NIiEuUTBmg5MR1AXAb3FA+DVwleEhIyGMggBBrnDNmg
uByQHbORLJ+kcltA3prkP3hAT80xtDzMDdfecIAGZCY0cPmANXhxHXkQsWHY0wykGYBRmeecKdV4
oHLbw64jsjLQ5hOkECiAqjDl7xNmLjEiUFYqmE1LS0Gpsiw6N2VxXnXo7iM0BSQUzchmLd0IA04p
HzTJUFTccGDi0kWolNEjRDD0YqoIEgNSTCmjItjARIL3mhKXh1du6gRGymgJUGNAV/KDQEDJBBFS
4f0SmDFx+V8Rkwqzi2aKWWdAGo6PJayYxwkoSS0FDZ7qwIRGYD44NU1iWFpbVYphExCEGNTU0Niz
qUbLG3MxM8esKo65h69890MAZrICGIMiJA5O55wL9cSAJKpJ0xArLV5sKIikMplnKfXAJ5I9+cV2
Tgf56uJNz/75g0naMVdVqKrq8tUbt69dP3r8CDOVzRXSlWvXbl29/vVXXwR0uZMWin+8ZObLZZt5
wUQAmIslh+j+cCw0yP5GHDKoagdVGiUiiYMZGA7CC4WQnrsVgRBUDInKDA95v6FEWAZYyKy0zLMB
RvelbxAh5WkcBv/FgU8TySzFGFzIN4Ts0SByqkWeRToIFFDW4e9v73763nubp09/cfnSidOnlldX
BXK6D8vOsHg7EUvQgQzKaJX1PULKXxIwJUQHmHIWncmyOR8gD7dq6vLgRTm2mD044gkJqVNFw4Rg
CArgHGOOaGYPKqJirqEyRxSYfY5UFqOygSEzghmqEmIyU4JowAVuZqamBDm6HwApN3/m15l7WBDQ
FMEYQfP1QdkIDLl8DQEUVKGsq7LGmK/J/LCmg4TlsBvAXG6MMISlDQuY1/KtyVO2c2YUE6rql/iF
RiXnXEIyBPkyyyCJbNDJUx+qGpcCYGPEZDZkjoGRgMCw3E7VzFTYu9zcSmD5OmEs7vKynZR8Uy00
hfzTASyjvFXSEFmCnPBgoswyQJdvpagG5DyCmmWn9IDghox/GrR9BCbOoRhmYqA+SQ45Jkmg5piz
VGuGWAhxQwy7ONXyOjivWTknfEzz5k/MkyMEQmBGVcu12gmgF4moKbfoAMWoueW21ygqUUQN+pg6
SUmEiWOSPqYEZfemoiLC+abP6J0jxDZ2SMiMBNC4kCNSzjlP3JBjonwKJMT5qhp7z5a59qimgtAn
SQDJoJdEzONQTXxVkytvWv7mq+VVcrYEFE4GUXaZAiAj1T7UIZQIOxEze+dyAUP26RETITYhjLx3
RFXwOT/lmBjRZQYnQHDsiRrvGNEjoZknckQOMDiX2wi8dwzoifMzjJiZyLMDQh983rCNQ519sJVz
I+/nQ01g3uWXDk1dE0Lj/aiqa+bA7B0Hx8SUR/RxCBPihbrxhIvNeL2ZG5Nbqpu5UI/Je+La+QVf
N95X3k/qZt43IQTnnUMahQoJRyHMV03lfRVCIKqdb5zbHI3nqzCpq4Z4HIIjntTVuKrmqmqR/Vxd
1Y5CDh4zzblAjMExgTmikXPzrvKIDaFqpyqCZmDeoCZHamSmJq30HcYH0ibQqNqp7qa01ae9Pt7r
Zjt9u6fd3ensQdftRmkjbrey09l2m7Zm3c5sNpM0a7tpjKmHvTaC8HbbIhD24pKOBReN55EXFGvV
NQzSt7VoIKtJA3SN1xHJmCVwYhb0VgXuyRJBi+AoRHOEwcyzq5SCcS3kuR5xqI0ckvehanw1V9Un
FuZHAVcav9y41TqsV7wWeLHmisSjBoeKKWpUx1F12ut+r/en8Xbbb7f9Ttvtp9Qm3e/7qCpqUSOA
gsYGcWy25HDCVllfM7h8KCRUxISIPkSk3nlwXtA5F6qqCb4Kjqs6NIHmardY+bWqWqurxVDNhzDx
rmaoUGtGFdmZ9jtd2u3gwSzefTBro7UzUYHdvakJWhJORhJHBN66CevECWs38jhmQtFADomJHLpg
FISD+ErRKYdolMgLOg7Be1dVYTxqmuCb2k0avzzfLE58YK0ceo+Vx8qBdwQIUeRB301jbJPOetud
yayF3Rns9bg9TdvTtNvZ9jRt78fdaZy2sjPr/2fES6kMpSX9c3BqKScIwgI0p+F/IWMGHgoEy8Je
7WBdzUR0gMDN+2QAgsKz0aHBO0NGyjlvaHXMhwTmg9UnEpEiisjNu9v/9t//5f/z//5v//t//YeH
Vlb/8R/8LtVV/mNmgMyzrldDdk5Fbt65P21j1TTTtv3Zm79qmnpnd//DDy8hkqnl9vPx3NzhE8e/
uH7z2u279+7cu3n3Xt/GpZXlN996b35h/tMrV3/5zodv/OKds2eOHTq8sXF47dSZk5tHD/38rbfP
njykjt95+4NLX9yYr6vTZ0688d5HX9y69emnnznHObp5+PDqZGnl/Q+vEIIqHD6yceTIoXfefHdv
e/vSR1fOHjl09c5OFfdpYentX33w5geXrl27Mb+29Pd//aOPLl/d328XlheTJEMUwPc++qzrpr98
9+Ojh5YM+dpHH2YZuo39G7/41fu/+nBpZeHm1vbnX3yxJ/b+ex8eO330xKkjz339xaOnjy2ePvJH
f/LXR49t3Lh56+P3P/jgw0sXzxxfXVszM3b85AtPvnvl863795OmycL8qbMnU0wfvfHzna2to4tw
5uzJW5d/9fRLT37w4cefXLvx5ptvHz+x+cbPf/H551/M2vbw0UPeMw/kYRhkGTMQzZ7AclBQszyW
qClg3oIXmiIBct7oA+bWTc8MaDnbUmIogFk3zOEiNc2nY2amUtaSk8/5eVdEWhgMugc+sazbHJBg
1B5WfQCiFQNkjm9RNuvmXhkqhQoHpzc66AcBQsVsL8zdgz4/gDn/H4DLr46IEB3zwSs6ACnxAIYZ
IrWY9VbRh+f1rH0dWMAJySETgCt9huiISkYHjNAKEgghs8QQuWCpMpBZRCUxYm7cQUBVyYejqCIi
mcjhst0aDEAVNGpExLzgVlVUq5x3iI7IYTl1JIOkhoiOHBoROQUyIFXz3mc7HaFjZMjNFhJ9Saga
WA6hGYE5x965ygXH7EtcTJgwOM42YPZEBLnWk3OdQE57f+XBtLSVqpppEZwBgLl8FgyFt5LneaIM
7kUcbn1QrO6oZgV5nffmxY5aPrGS0YXBbz7Y9HN+cnA+AhLevb99fHNj/dDq2vryxqG1jY3V8WT0
xWfX33/nvbIzRNydTu/d2wKA/ba9d28riWSPYXYcYGnUymhZuLe1/d4HH334yaXPv7ieUtx9sLu9
vZNhWmomYFElmgiYDDba3d39m9dv5Mr6QYc2KAWPAADEA98NcL/r3/zl23sPHuzN2k8/vRJjlNIB
W94eK3OJqSZAQ8rKuyqC5Ng3QrYfd11/9949MRkqvMwQxGyn7/78b3/045/+/Gc/fSu2Myy3GAOz
d3/14aEGbt2+r3t3llaXy48rzncVMAVoFf7jn//w0/c/6dv+x3/9A+u7JCmqKEA0jSZJpDBwzLig
3SU7lg1ALIPl1DORGeYkIoGiRUk558kIPme8ERRMCFKuNQJ0VO5shmYImqP3ahWSxwJpMMqtouCY
HFEgRkRFEDAtxcnlekugvYjmjKtaIK5yIxqWqiYiciWcTUktlZ6trK8ORW5UekQJIThXggZE+RJ8
uAMANNECvSs3LOSMaQDMYWkDJHJYRrxSKXewEMwBTMh/Kg+NQJL3cINSSgVgkSG3B/8cy20yZxPy
MJlzmIgZEViOJVhGygPAHpjljUz+2zzy5f8YY1ZKhZ0LzlM5PJRpiJEyJTu/PjVLKQEgk/Muu18d
E9KwvbIcTCYmJEbHxEzMSMFx5dzAQYQMf5WkWPylFpwny1t4IMLcgHpA/idEp4B9SoxsSMScV42q
pf8zE4ElpapyRmJl94cKyozeEaAFx0xoSJ6dLwgiJedj3yISOQ7OO3L5ERylaO6JwEwr5KoKfew8
OyTqU1tbzd73fYkgi0p2tqCBqCbRAMaO2TAS5M2QWvbUqHfskDI7ykwdsyaKKZFjUUsxeea8ohMx
SalpHAIkSSWFouDMJVXnKwOUpG3XE2GvCn0Pqrtdq45nmjRiCEERRFUBRARjNFM2TF2fR/qkJmpi
iYy7FIHJAZuIdn2vpiIuaJ8StC0h7HezpMKGsetCUyvItO8CwKzv0bMD3OtbV1VmsCcxRkh9TElm
JhBFmPOjtCftY4vKtdPtvnXtfkqxl9QRzPrZBG0/RU2SKqcqUSSapb5LrBgjEVuKs9Rvz2aqer9v
a7RWku87FdUUsalINKZUEU+7Fph3u7aL0Xvfdp16t9vNhJF8k6LsUaciM+lrs9invbbbTZEi9Wik
ltTAQEUJoI3Sd0kQszY7T35qyEigMA7VVkpzwe84nDjacbBArvFokIJ3Nh61mhYCx87WR26aZHHs
UsdVAl8zqExGlcyixyqECn2nHIR8J9ghOwOo677PkGFpRee4TjRT9omc58orBewXQ62+XSDuOTA6
cyxeHVFE6VRqX+3O9lGipoiQpnGPJbWGOmtdg13sW41eETRpbffbvhpjUvJKSBSIRYyRKuaAJCkt
11V0HVRVsnaK0HgftefgwJMyPkBxqnU9ars0XzdkbCojV0XqArFHrIl608AsORyCiVBSimZuGrsg
cdrFfZs5MWeIXdptu0TcSdLYLzRht5/N11XlIAS36DhYvTge3X/QT0Z+Kv2o5uABKmcIiVxnwujV
VRE9+qoHZs+QgJ0X6D2hQgqOPNocaIPWWmQgSepAuth3fdKui0ly1uXBtIVmtN9JhQ5UZmKE1kZ1
XVIDIwvOeQNC8w4rT06hQqu88hjmGppZhUi+9n3fVY1P+pUb/ESLeQZLXionJSwXFACCGCRRzV6p
DHopEMnS2XhwxHpYFP2lIGWuo4AhwjV4WcsffOhDw5LWy+ONFnxOWXUGBO/cN158ZvfB9Ad/8rdn
Thz5g3/6O1aHLz75DEtoD8fjZufOVkxJun5SVRtHDt8J/vIX19ZWl1Of+i6uLi2uLMwDAiMTuRit
7fs7t+/NjSeTqjbVyoe5tXVP3PZJxY4fPzqZjD799Hpd1RTqSVM/MGNAE2lG9Wg0mt25PR43y6sr
66urbjL3p3/8d19/+gJ7n7tU66p66plH/u0f/wB29/en+3/zw1+cOLF5/9796e7eeDxeXl5cXF7d
ODRSXrp+9epoXtqu1y6efezs+olj9yfNL9/56LknLjTjcXlOg85Nxsury3dm3O/cyovlUTN6/ukL
m1Z99Ld/deEbp/ZjbPtOYxcYXfB5ywhAMcXp/v7R44fmNlaahdH8ygoSAhIYrC7OLR0/9u//P3/8
/W8+9tYv3t27eT2qm+7d4aNz66tLaTJZXV0aT8YAxGD54fHqay9vHjmysrT40Ycfxa3tR198FovR
tRytdYDq4yCZqg20YSjn8Lx7Jyv8djgYUwsYKMMnqCB/CIfkkhqg0oBRVqGDJC6SI1ZJRWrFwj4t
+Jmy/ygHJiZOIoBAzCmzNEqGkETVExf9NmeScgFSsSoXcIfkcyuimCqh5eZSMAYyKxoZ5wMrk4jw
w6+JDe9TyWCraT7zZY5B1hPy+GFD3evBlyXHw3KaK4/IOQCNcOApHzi8BgAUTQBzvkwRwAF6Ihvg
1MURkR1l2beXUVU5KgngmNGEHGreAKqKmHdeopSmmQHXKqa5hxCI1ZQNA7uhvkgMQMWYOBUmNzEQ
AbILklRUrXQ1ifcOwEQSQAHlOOJcUoqiROyQBp8xgqgbHOMZRPSVx9IsUyNnyrQnx0NM2UBEyDOX
xDUWVz/aINIPTRX5Jua4WGfBwBFnsEhWBR0dIHwHQ8GBppTjfFh6jwt9Crjt47Wr144e2Yyqf/pn
P/i7P/+786c3zRIRm+lnW9tXP7jyG9968cq97ctvffzqN5+/f+8emK2trRnCvTt3xXRjbXU0HiHQ
5c+ubt26/eSzT/3kl+/fvHH7zLmTrHZ3Z/fOzdtVXTXj0db2FjOfOH58f9revHXLe7+zvfvuz994
9duvLi4t3bh+nX117tSxz2/d3d+6T8SH1laX15avfn710OZmqHmr7f+7f/+XX3vi/BOvPveDv//F
xuba5au39vdnh9fXl5YXP3j/E4PEzhNj36UnHz2bFD/6+FJSPXfm1O509sUXX6wsL505eRyZOtWd
3Vk93737q/eCg0ndXLx4hjhsz7p33/v0X/7B9//NH/7V+vJ4q8WLx9fvtXLvxo1f/fKD2Yq7tA+H
affO/a3PrnyR+nj66FHw4eM33zh6ZOPco49NFX7xy3evvhN//3/xT7/4+KPnn330Vx9cunf/wfGN
9cXNjR/+p7+Znx9br5OKui5+99tf//iLG59duozknnvh6R//5I2lwCc2D585ezIvGBwCIUcoD06z
EgRlQhJloBw0JQBGJjQ2RJNcoSxmAsCmjMhgZOoQBYt4Xh6ToDk8n7NywxqXHVgPpWx5gAlhDspK
pt1aGc/y2jfbuLXwnwspjWnYD2N5Xg9NYWYHpPGi0kPKeLlSLVYqoBUUDYGyuJmZ8MXprWiUg/lm
npkyByunUa0Az610zQBk57AqI6HDJAIlNpT3M4ammN3UGZ5XbL2gZhmUkNdJA1gdiUGh1Lxxzhsh
OiQATDoQjNSYGICSajLJ7zUMWAjMG0UjVSkmCC7sDBXFTIZUI85yauFsi0rOiiPlALyWMvdCFSAR
yb84EyuoKUhSQnPs2ETBpACgsitIVaGsP33w2brNxM45YmJHhhYCEah3lB8wLlt5nXPoFHk/iqEz
oD4Jcekly5X0BQ+gmpIgEyJG1T7FUn0F4ACCy24aQcDUJTIagkVGlnOhAGaUV5qmGXyXN7iqwlbC
P0k1StLSAq8HW1gAc84pmAFK1tSZM20MXEmh5w2rQ/TOefaIDMS7s9nVa9c/+/TydG8vOO8Ra6ba
+cWqqokCl3oHQvLOT2fd9Ws3LPVZtmyCr0NwzKWXHKCp60ndeOe8Y2Bogl+o6tr7yjvnua78XFNP
qqoJVfDOM41CCN4zka9cU4WKXRU8O4dM27v7dz+71gA6gsq75aoZh1AR1SHM+ap2fj6M5n0176ul
uvFEtfcLoVlwVcN+3lcLoZ74auSD924+VME579zI+cl4YgSTuh43TXA8CVXj3FzTzPuwEpqFql4J
45p47P1SVW3MT2pPC029XI/m62Zp1MzVfn5cLdXVxmhSBzdxzgVsmjBXVWuTydi79VE9cjjn/di7
ucqNg5sfNVVwi01dBa4qr2SENnEBCZtQCUJCE9QppqlqT7hvNmPXkds3fCDWGrVincAswb7ag073
I+z10AO3Rq1SEo6JUFkSYMJeNMV+Jj2DIAhIT9Y77GPa9xQr6FyaeZ166SrrXeotdaq6G+PdWXsn
xuvt7F6K9/p4v0v3e70zi9tqe2Y7knbVkqMWEKvaO+8dz9UVE9XO2e70sMeFGhYDnJgbrXo/9jTy
bq6uJ96TI0NMSLuq+2o9udvTbk91Xy0BzJLMRLvUm1llOgGckFHfjkx4OqskutQ7ELWYTHqRNulW
12+3/V4rvdCDqJ3hnqgANVxPuBo5v1JVq5PRyOP8uJ5rwtyomjTVpKmV0JzH2qFziaBT3ZE4M9g3
2+lTKyaCjM6SEANawtQHjCwtS4epdxL7dooqqY9oMO1TAr49ax9E3U26L9ID7UcVFxI4JF+HMAph
sW4q7+rgJ+O6Cm5chbriSRNqj0tjN665DuQY0bEyRkBlZxQSBqEqalCr91oftZp2IkDTTmZRp7ME
8JX7SwnJERNQRhRkTYAyt2zoumAsyuYBKO8AWpFy36NlrnzOlGBBw5aOehTTzIiHgxLQA0ppyTAd
PGiJmQ+Io9keAlDIGXPj5h/85qv/8l/9o3/2X/zDjSMb3jG7LNUAAZ7Y3HSO3/3V+9rHo8ePSJQH
O3upT0tzc88980SMfd91VdUYMCCtzo9v3r7/1hvvw6x7/tknlufGk8lkeW5+bjJamJ9/7pkntnf2
2i4urSw/9uT5N956/6MPPlmfTBzgtc9uPPvYI2+9+eH9z68/dvHC6uJ8VdXeu0cunktb++fPnMip
wknwJw4tr8zPvf7iU6vzk6Zulhfm46xbWJirqrCxvozOry8vaDVaaPzS8tLFC6eXVlYe7Owhudin
e3e2JQk6p6YEtrGy4Nlvri4R+ZXJqJ4sOCIPuLk098FHn994/5Nz5x45vrbcTu3dH78xPxothDBZ
WPSIK6srC3Xz69999dbtrd3d/cXJ/PHDazY0FizNjdY21p545NwTF08tLC0fWV0m8pzS2uEjh9aW
w3h5adIc2TzVsDtx7MiJwxvPv/zcjau321lCpM8/v6pJV45slo+R8jAKzNmNc1A0k8e6bNaCXD+Q
Fai8dSZAtmK5G6C7Voa/Az9hRigNsOj8yKZi5Skbkby8LlV1ZT0PDEjD3yM8pExnRqINsMQDCgsh
upyjNmDETPopP+hA+ELSXBJQOtQpx3qztSCbBZiGwORDozuUMncoRgQoBbuQUZ+CAK7AToC+RGyF
Ib15YK00y68r40coE1ByM5yp0VBXa7lXIwfowABUhAmx+Bq0QMIQBC2qiGkyzSRSMUUzl6kTSGAK
aJn5pCWrS0T5jAFmuWWIk4EYDoIzWIE5u+zYd8wOCWQw8Wpu70BGDt475lyom1KkTG8xcrl+vCiS
xFDcG2BIipiABl9cfpdyxchX+qsoMMOJXPMvxlyE7fLjYEDxGDMRQ1aQch+mFsA1FHjsQdRZlRBz
R6IVJbLU2GZRSvM/1IfbvQxTA3am9uGVa/+P/9cf/cf/+Nd/+O///Md/8YOvfe2FzRMnYCjbAbS2
68TMI5nI7fvb7737/+Xsv54lu640T3CJvc857n61DC0QiAgIQhIAQa1lqqrKqpwa6+rqNpt+GZuX
+XvmZZ66Z6y6JouVlZ2srGQmmSSTJECCBKFFQCO0utL9nLP3Wmse1j4eyHkaVFgmjYQFIu71677P
Xuv7vt/3bp91f//wt394/eOPrt+5s/fyH143UTAVwIXRaHNz7cJnzr/7zvtvX7729jvvXbp+4/nf
vEij5u9//oKKvvfelVdfffsn//gcJgkhxCquraxtbq7/069+O2b44MrNt19+9Wd/eO3u7bu8tPjz
37z48a3bv3nuRQMT06y6sb21m+WDj6+LqqhtHdlaWFl6/le/3du/+08/f351afT8L1+Ms72bdw7e
fuX1Xz//0uGNWxngVz/9xUsvv8EEgdFUyKDt8/MvvLgzPXz+ud8fO7r+ixff2N25nQES4t2du7/5
/cu37uw24+aF1y8d7u1cub13cO298+fv+8zFMw8/8vBD547evb334RuXtraP/uiv/9t7N2998OGH
9z34gDIp4mSydOy++3/53B9UCYBOnTqxvrX+/C+e2zvYv/rRlUcef+SV195+6uH7p7P+5kcf//RH
P97YWN7Z2/vdb3539cbtI0c2F5cmPnswWCTyomA/cUTBgFQLZS2iu38xe72ZAYJViBEwEhGRgPp6
NxBFBPb4PkIy03sLWWQPiJZuFWIERqg5DAXU5mZ+NCNCBpQyG6C6/R4HfRIR/UxyUwgAmYeJ0Zy0
DENQGTGbqoGUuKvyHILopWLz0/wTrNP5Py/cuaLoow6laH4q+lK7oL1hSGSAuQHB65EL0E4Lh6CY
f/0wKGd+Sb0SGoISArGP80jo/kuAoS242Gf89DCzOSge3R1hjljHIdxsYAIgJY/E6Oe/z/nkTdpG
iDEwAXow0j/OeG+yN4Ji3vAmdfenICGy/z1ioiEE377qAFf3sTGb+jTLRMHDulpIhoJIKYsCtCIE
wBrBANQAzUQSJB5axRAoZU0izjeXlDVLTjkwoxmZ0xCAmA1QvLLKuxAIQbEOsdcui1iNRCEOLrby
4CQSAGc4AYI6tpKDH4jZFERHdSPa5ZRH5G1bFogmdZNVQ+CcbZ539ae4qAOfTUWSZLaCiZu3/WTJ
pJYAXr9x89Wf/uqzD92nWUU0q4q6uRoIMIsDDGiWeo7VOzfv/vRvf/o//cX3F1fXZJaapgocETCL
JrUZqM5mfd8RYV1VvWaShAp934/G404E+hSi9aKohoZqeNh2CJgND1PWgVehALOcX/3gxvs/+4eT
/5d/u4vEwHVVd6mXwAIGvWjFlpKaYQWkMNNsaqQ2hiiE05wFocsZuk5Ubt89eOet905vbRw5fSJJ
6nNOImZwkLqGIwDmLD2C9X2HSqoNjQ67aUYzplZ1p+86SZZ1kWmn6/u2T2Ka2lAFTUkYIGtWTTBr
ReiwPRDFtpeA2iZAoF5by2B06EbNnGckHZl0aVJVvZhKL0gBjcBEU0Bbo0g5LTFnMMytoibtGIwh
NSSTACNSUagCCBoHnOZUIbVZMbAgdpqFcGaaKpCkAbEl6okBeYdkxnzATU11F7SiUHNchFjFZmW0
uFiNlqnucqrGoywa62ZBYAdlAWFch8Wqugy5YovYM2LN3FoS41nOf/tf/uHhzbXTX3sycdrfnWlc
mHUyEkQlMJI+MVDOCUVJFPq0SFyZJswzo4UYDzQxYw95ZlDFuk0GFBL0XaywTVpxw8E4hhCrWDV1
RYyYNIzrZGgVG0AVm4awRUUCATtIiQ1Q0Wb97qzrOR72bTQl0k56AwHoc9ZJHXoTktkEdUzaqYZI
JgJkyZKatoTR+JBCxVEo9BjqptJZ1zSjJEoxBoNlaJZHNUm9Maor7Zjrfe0xQGRowdrUm0KbczQ7
aHseaSsaegXJBjyd6mErERVEAXIkTqklCQxZ01RFRDJhHAVAywENQQiVGEPAafep+0u93qRg5wc1
x6u/iVizVjFKEjFlKC2jSKQqOKf8470qyE/gFWHo73SNtFTH05zeW1J8SJ9E9w66qzfQuboVQ1hd
WPro42ubmxuA9sDF+wjx8PDwxvUbk0lTquoY1pcWPv/0kymlEDjGoKYbKxMECCEo2tnTRxF96AUE
/Owj5+Whs16yxyGsLS96HAsAQgiPfuaClzrEEDZXlkXPEgIH3vzm533KuHj+jAEGDuvbG4QsatPd
/UeeeGB5dRmJATE09de/8rlA9NlHzj/+0DkK/INvfal4YBi3Tx4n5qcfX/Jv+dSRNUT8xje/AKV1
TU8cWfeRAxAZ4ZtfeZqIvvP1ZwFhdXXd7AQa1sR/9t2v+Lznt9U//hffdvsWIBz71pcJ6Xvf/zYS
PvbIBX3o/kBMRN/65peZyH1TF84ex7PHyfT//D/9uV+aH7xworSeFuAmndj8vBp+5avPAtHTzzxW
qsxVv/aVL7pa4LSigZMymEeLulQGTAoM4nqREQ08UicxqhQhXdV8cPVgH847CErbD5ghmql5D4G3
8JWnPlCgoWN2gHYMQdGCA0HDgo++F6AqBKZCdiEu3UCEPLxBoURkgYlUxaksqiZoikWmE1Egdnag
P/oJHbqLQ1kIg85be0vNjJbp2x1Pmk1pyJqCKkJpqRnIyMUgHTjaoHPakI4KJblahmBRVS9FNCQq
ZiJUC8GDU2ZqxJxyNrIS6UXwAghTY0IGqohNxAmZHMgKESqgmqgxkCp4Gtwn1U4kAyhYAAZTLqVH
YB64ZUo5BySHSykRMPsQiEAgpqohMqIyA6gyUUri3a9mZm7aJBQVMIuFLoXDm7+YE9359enS9aXR
yruvzI3hHp701ZgOiCBiJisx4E9GTOd0ZWbWIclppiGwqHpx1HwvU271fjN0+0mZYucdzqCEGezs
yWOfefTiP/y3X2ifvvPdL3/7j772y18+7xsBRKxDEJEsTsqB5eWlI8c3b966Q4C3bt5eGY1CDCEw
mFKR8Ur/n+MEclYxOHbi+MLi+Pbt3cP9aRUrA9s/nJ49dbwaNx8T3x5NmqraP5ydOH7kIEzuvHup
qauTp04cPXH89dcu/eNPnrt49ChXQQ0i8/LC4rPPPvLDH/2qyWk2nf3kH19c3169/OFllIfW1paO
H9vc2tq8/8zRvY9nsztXp1PM6XBpcfHosWObJ45fu3b1rVfeOr62XC+txMCgOuawsba6vbHRLEza
w4PFDQgEy8tLTzz56JWpvvnmexjCYZums8SiMcZAPKqq2IVZ1n7W9ocHzzz9uFTx6PEj3NRZQEGb
avzkZ5/4X//6J3jl1uxg9l//+scXnnjs7q1bmvql5aXxwmR5ZXV5abGZLKSuHzVNRfzQQxdWlhbu
uz+3h4e/+PHP/uLf/1tRYSQrZB/MBoU8akBAhMBmYlYxC6I6nRuISKMhgGUfAQtnqhxEruMJAgJm
QAavRikioSFl8bclshkWwlrRQhkBCEXUzbI+yDAzIFge6o0RVC2UkxLmML9PdJ6Vd2MufCkvkvSC
W7vHQhscMGg4BA9KP7IDtImRPDVK7oadQ3QRraiIPuix916Xal9PlqIWL783c5l3AasWoBEWRZpN
Ze7AcgSAqkZiNXWnjoH3VxMXs70r0MXOUIZhdkhXSS1TyTK48QLhXtlSWV/e26f7+GYganlOEvaO
tOIn8h2BhzKQS42P+AqMkYHcVoJD49nw+iIQBW9wlSwhckyiVJGKIxPc1oINBVNjtFFTqRY7NTGG
UDawZBhDNEAOMRAFDk2MyIhM2dTrSVLOPJQejGN90MuA1UbNisjuV0GCwISIYU5rUGPAmkPKyVSJ
uW874iI6VBxT7syUFcYcnU+mYF3OXeq9HEbVupzRIImyAgLP2vR3f/+rax99vLq6mnNeXlp4+rMP
r26sGVIWRcROtGfpzK5fvVlxfOjifTJZpEB7B22oIqGJqag0sVIRMwshtpJzDGaYNL15+ebvf/Hz
f/NH31lcWvEuo1b05Xc+fOs3L3UpVSE+8+jFMxfOAGK2DOWnpYgQQ8icepOUU2AKIVgWD7iLGoIi
GxjMNFsMIplURk3TSaqprmKMxLs5zdruld+8+s6LLyciMvzsYxcfeOKRqh7lLmmsZ7mvKSTmH/38
91uz249/6yuT0fi+h86PzLIIIzsTfIwhe6QeDA1SSqN6lBAYANVqDqb9GKllGhM2MRz0XSBYqKqG
uAtMCj3juIoWY2Ccdt1arG7lbrEJh8ILgUOM2cAiI6lJWq3DXqfrk0ZkVjOOYpWyxgBYYWcUONQp
CtpCPU4ILerUuqW4JAmBOClCbBKPem5bjhlDyhSrsfY5hwqwN8MQooo6KiwwWwAOAJhGAYykAV1i
nCA0GccU7jCtM+xqrpU46LRr66aSlKbcStZectPxweyQ2CjlHRAR3em6xa5rVdukB9kWENUwAFcY
jOLO7d3//Uf/x5/K3R/82Z82NS8yxDogYowhp348HntHUAZMIhRDy0SxkqSAYBiRI1BciOOaQlJZ
ICVCjcGjHW2WUYV7qpSyST7s26QibSayvb39GkaUtLeMVKuSqNaIoxhNBdRixYtNWKx5QlWSRHVj
KRFGDCMOkLFO1AM3wKbUtNpjkoVxLdDGGE2zKSwwt2arkS2GMUqfM2qWvtMsmqRL2qkiprvTnqu0
O8uE0JNCUomCBhWzSq4IK4JJwIWIRFYF5Bj71I8iz3oax2iohmSBrTYINUXIgMagkIzqBG3TLE4P
ew5VJ10IFIjrGD59wqrMD8UbM2Qy/DR3Tr2ZBSYwG2YK8/sVDkpOMXCqI968cK/88gmjcFC8iA/u
FW/4JW9eoTEMuvOWFFWVyOGBi/dfu3r99q07OtTZBIKV8Wh7e4tK1AkBLAQKoS4oAkSqoqoSISPF
EFTnvEyNgevA93iVgRSAA5dCGaCqIr/rE7MD+cEMmNwUQ0x+L40cTFFzXp80F77wBIdgy+MHgwAA
gABJREFUg/Lmna4eoDEDZmY31MxdrAPepiwIQsA5cqXIziVUyYFcpRpe7QF0jGzlUu4PUZ6zaRU/
+ewj/1q0CGugpibAzKg2T8HZvfil19TNvYs2VyUHDzZieaeAF7vhgLrxna/NCzSdWqPq1E4CBFPz
ZhcsFkcFQzAtEmK585jd62IFJPHSSFE3pIqoAjAOA7DHnJyxC6LuyCottjD0HfrPjfyqgQCqqu7N
RZtLqQhgokhUBE/PWDv+0zNgQMYqoj7JmAExmedRAciQB7wylcAVzQv43Jwr5foz5D/RxHz7bFRq
VyAgOs5U7xVv+MdjHlskMCFyuJIP4QoAImrEqgbIA8PMOUlE5q+22lDDU3RUJxchutgbDCOQiri0
QIEV1IDmyO7hpgRDOJzUDJg9pGpm0QGVzGY2R25SCAyIkAkILLvFlYmdHeFLc3+1QRSBIJKZBgQm
yiKOTPNc4idKE6l0MXiuEv873CKo7s3FuZ79SRjPINfe01ftEznfYXUCCoY6NBIDog6HKJFTbQsp
tGTk5sTze0wWDzSyASJxVlmbjP/ku19erioy/ca3vkgxxhCKfoO4vbS8MK5ff+vS1Rt3Tp0+Dp4J
mrW7u3sXHjh35/K1qgqrywv++yd1/fad3VdfffvSB5cfffwzOcbZwaxpmjAeLTbjp554QFJXV3zi
yDYZ/uaFl5cWF7aObXeSP/zgyn33n/nZb1/dnfZPP3T+8NqtGGsK4dzDF374//x//fE3P8dEChgJ
VpbGRzbXH7143wevvulRD5W8sDCuqFpfWQkYttaWicPqQqPd5OkHz7zywh+sTwuLC/3htDuYasqM
SKAN0bGN9Ypoc32FORxdX+OqZsJxCEsLk9defZMPD44//GgzkxdffXOv6x88uhpGk2pcbYRmxFtH
7ztz99qNO7d3Vxcm20tLuLmdFQSQmc6c2l5YXPj2Nz7/1s9kNF647+zZ2c7e2ftOL4+ac/efioEe
uHhaY3Xy5JHltaU//tPvv/HGG7bfnjy6ffPmh9Pd3YuPP5LuQW7Ig/KBKKsmBKZgYgRIboK3wsiF
ofSbEEJJiZNSob0RYiD0w9A7TjMAIyNoxew0tl5zQBazyAQA7M55LvQ4LclcUyJTyWjRnwemgVAQ
g4GYKjGW9HGpghmCu0C+j0MT9Q4YQiAzVYdj2RxjigCkYAzgBO+k6oXGUOBPCqbFzjFAXj0YrqLI
AxhssGip5YBI7qWy0uAF6HYRdY8uEZEaAmTRQFT0akQd0MSApKIEmLV0FxXGe9F4zRNJ8/DRvfES
jNGQUIayL3/qVTGoGACqChGikcj8BHXbPyFY9gsB4ryYvQyrPlb7EoGYh/Pft4rE5InlJHkw74CZ
IYd5JpaQwYpnGwIRB0ZGvzSraqzq9vAQkMQopYQAFbnniLJZynk0riXlkvalkNV7XOIsS0VM3tLD
eNjO+rIK9VNN0MwNx1VV+uiyWlJTsIYpiwS1wMQhiEh51BDpAB4U1ewZaSImxghZhJliYDWIMYpk
5lDAIUSBWUwZoAmxb9Pdu7tnjmx+/dtfvbKz89N/fO4//x//+Of/6tthPLl94+71qzcU6dz9p2Yi
H1z68OCDj5576Y0zFy8cHrbvf3w1RD55dPPUsc29g+kH739038ljTT364PINtrYZL5th13WvXLr1
+muX/mE8uf/8/ecv3O9Xghd/98YW0P/pX33/+vQQZm2I1c7+4TvvvHfrxq3V1ZUHLt43FXv59Xdu
X7supqdPnzh+Yvt66q+88ra1LYCdOnd2dza9+fHVXvXBJx9Ewrt701+/8MpOryePbH32sYfIjAG5
ii+8+PuPfvqzb/+L7y2fPnXp42v/6T/+zb+tdfu+R9966bWAute1Z86emRzdevP1Nz+88UFmPnr2
wtTg5MooTUbT27uvvPD7ALy1uXbx8fPv3br79m9fHEXe3T84deLYxSceunZn57VXXtO+O3n6+Nqj
DxFQD8bEneoSBW9SNsA291DVQswUO5UD0DHRzGwqgLGeZqBgfc4hMojtC8ZsMwi3px1CdavtlsPi
LNtYqRWMgdWIXAYTsqQLGGZ9G9WyiOVci/aaRrEeI4xy3qRg0kEiEKsSJ0nGkKTrpM0aD/vDpHGW
ZgcmfUQTDRoFeK+ThPFmBytjvtFD1ZNi4y5y5HoqEKk24xiCASzESE3VjGqFBGRbFVPAzRHtJFpu
MGNAEa4C9KQEHKNkPTzY/+v/9YfrceXYlz53qNpkDIA9aZssoyCGlDRSUOtFJZpyzjm1BoqEop3k
aWtdK/HQejZu+56SVGRRw77k2kCUFNkMl6o6iZhRGNd1qkeLI+3STHixilhXNUfhKgOHWB22bSXW
G+8nUKW+11ENfZ8RjCQvAiLPGpCxiWiqgEeWe+j7bv+wPYhxicWS6m5KU8M7fW4BoyIRi+ZRbCgp
B4xVPGi75XHsW1hsQI0i15mhPTicNLHtu4qDREoGRtE4KnJfuiPZMCiwcZiJTHMOSDEgo6ImlL6J
bGZdbkECate3B6gp90pgqUuRues/NffIH5G+AixPByJTmw8/IbCpOnjGKXEevHeI2iAdsIiXDVmJ
5JEXeA5Nd4UjOoilVsyX97pS7Z9PygNjhpkQbWFc33f2xNz8i/Os1xDjKOUcA7ZkKODGwKFcvr19
gwiGtOG9q6cjEbyTG92NM289KcIhlBY1NRnMRf671QAsBj53+sTQ6Inz78X3pl4jU2j7qjCf/Ybe
8CLKlcIYLfrevKmiLLfR8Ynzf1Du0A57B/QLug0sHwc8EMFAlCxZNv+xhsBuNAJCExjkzhLBNLMB
PGsem+HAWQzv3R7K26NM3SKqWT/xo/MfMCMpFgK975LRN8V2rxbF1xFemeNBJL/fexgPiQH9W8Ci
8pmIgc+EiEiGgRhUyfyiLzy8cCUFU/y0NG8i1aFLtjSFIrjsOVf6556zodQP3Yw54EOdxkiiakRe
ru7NNibqHqV5tUxpnLd7lOniBlAvrjBkb9cYbGAMoMYDAANKX9/Q9zDEtArKBJ2jbQrqcrKBYQgi
6mbTlDITBV+i8GCJd8C1CJJzglANtDh7IZY/2AIjAonkYo1WcDnB1MBNd2DElEWhdG+oIgTiqMCA
QKBgoqYIahaJTVWzujPf3dEyCO2e3uVAgYG8lgmUELKXw6u4y4EQwGROUvE9SM5GgXPOKMb06bdy
AExgpQxzSNoPTu9CjfTXuWzWCuHTx04uOBY/lMxAxJQdAwOGBEMTMtnw/imEZLgHtXLJJBb8DIzr
eNhOVWVp3Hz7W58nwqqqdw8PY4gDDViXxs1Xv/z0bNaePnFscXGRiMbx1H1njo/HIw5hdnwbTJum
iVVQgwfOnzp1fIOYzt9/uqpqNbCTxwAAjm01gb/w1CNd2yHgZDw6tr3edx0RVVW9/b2vKNj9VdWn
hEh1VZ88c8rRVprl8ccfXl1fdbvp+mT0x9/7QlNX3/rKE/L5R+q6+Ys/+6ap8peeCoH/7I+2mehb
X3uKiZ5YMzx/CoBObX5dzGKoAOyBs8cBjAMBwPKo+t63v0xMf/pHXwPD73zxCX8KbExG//5//Jei
9jlECnxU9eEHTiFixFLhuw0Q4TQgfvcbX9BScIpnjm9lIlOtmL70nWcrwAeXJ49dOBPAvv+dL4mp
IWbQU0e3MuKXvvqMED/0yMUGENFOHt/0A3xt9ZFsgEStSEUcPGEISGaBGBjVI6OE4kYJBAL0GlVB
kkEiZYTA3BlkUwQyZ90gBcQIpWBGDNT7oh2dW0C75QkUGGtAUOjNkllFVPRJQJHklCNBYvNZyEgs
IAqCmiFT6aAGMy1/tOuZSOAkp8JkHhg6iECgPGRNBxYvMFMGC4SmAIWXroE8IgukoKBlZeUU3ILU
VkYCYqfPzFvYCMjNWgq+OTXw/AVSdoc0AAce8q0opsycPbQ44OsCk0fuJWevlRq6cH1tWoZAKKtz
5PlESiSqDOjnv0h29bL0bQ3rp8Ev47YvCCHkLETkPHC/yrgnOIGZGhG58cc/3JG5rqvDrvNAiBqK
GpRBnQzJ1HnpQIggAmaBUAGpnc1yFhVJCcUEU4mRiJZWv2JAViVnq0iPZQpXMxC1AEhElffBl4uY
1RwqwhlYdsR5CJ4CTWYjJhCtYsxomaDXVHMzqhtFBfd8cyAIpsJIokLEiOSxohi4y5nJodDGiErU
9X3QbMOmwV3EDh/yt7WAcXDbOR4/fvThZ574r/+fH3300UdtmLz+69+dvXj/9ds777/17jNfemYy
mVhVb66tYAyjyXhzc/3yzTt/9/e/+d6XH50trPzoJ7/893/yjbiw9PJbH/W333noW98RzZbS8uZa
PW6OH9/e3NpIkkxYQReb6vaHN67fuLm6tb6yuX5jdvjzX/9++uHVM088+Nqldy+/8/53/+hb20c3
Y8MfX73xDz/+1Z9+/Znd9dW/+tGPz61Mnv3j779y9dobP/nHR555XEf1pXc+6LTaubUz2zmIR47+
1V//3alRgBMnxsxZ9K033nvm/vUzF84J1Zvn79u8cPHF53+7KSt//b/9p+9963Nh+8QP/+N//d63
vzw5ur6Udk5dPHU7xH/40T/92WNnD6rwwn/4m+2lpjlz31/+57//l/nuzuqJv/3L//wvfvBFWD36
n//67/6vjf7D7z9u2hsXn3nmvfc/PnP8yGg87tpZE6qKWHMmlQrwUPpxYM1CKtjrCGimuTIJpsHy
MmCSjhUimGqqAQFhhTADLpIJpSpKTV1nU4amBkGgwMyAneZkgtAz8gwlgvXIIVQz63vFFrmHsIe8
Z8yGkziadtMKGEKDEZP33MdaR3UMo62JLSjlBk1mTVNbspVQLVajoGm9GvGoOdY0t1NfE2ngjpCq
0M0UgorBNE/H2OymWa+Vie0JRLTbrVTUT3ttO1XlnIGypZRH1qSUkBjMNOWDO7fqrlvP1Co0MSDy
TLU02jMl1c4scNhX6TQ3sU6WjAJSxbGpQ1vH6hjH2EkY1T3O4qiGbNbJJIRcVSOOjJiydCZqRqIH
Yu00oehh6oHrnbZrxprEmgB96i0liqECHZMmFQpQkQY2FQGDHpAhzCAfGgs3rQSIddZDbsZjgXo0
ir220i+Nmmhpfdzc2msnkQ0g1AFNFaBTqI3u9KJt3k3Gre7N8ij2FjBl1VlnWdP0sKGoXRuaqhKp
tK+hrxUjGuQuhEAqTeD9VquqMUFVBmWmyoB71UyYQ5O464AlVKGuNEsTKwNsqvrT+3hRpUySztBV
hVIZ6SNE8e6ADdmNuQtpXrmB5P3KPngWn5v/YqKharGEZ9Ab4Ye79yd6PtxGbIaGRVnFebcd8zA4
QZlk5iUUeq/YYOh1Hx4nvnpVsHnB3bwctNTVwPD/patmIMYMYf/5BGgFLIM0hMo8sgJ2DwxQkCZE
btvzBbXMx07E+V9f7rwKgylsWA/4Vw5moIRlLHGftLfbf6LEoWhwwyRu6D7VwiQEYHTXq1tgfRSZ
Z2HmMigSeV/knEFFw7Rs80oAM0Ys38icju+OMnWFtPDvdSAguW1sWCW7hlJIpFSsUzbwn10ENxpG
Q7Wh9aBsDtAt4CKCTD6ccYnslPpHLlCZUk6gpjxojJ/EcM0laJfdrRTLDLVFXmswRLa8RMTfQ8Nv
KZ5bIzCfLobyDTT/V8z/s0S25pQjcISY+hAoCIroBaDijBMRJh58bEPHqxUXA35ColNVdz0zoao4
scmLXkQNAEUh8DBXlxlyiIYNIV4gzGDidTJMgSjnHAADYEBgBFBDEw6UTc0UiZOqz2bRxXcAMQVA
RehNExiUqgYVFebgeyIz1aKe+wbAb7RWmECAkclQVS2rgoGKoAIiKEIVKWdfa/jdGsGsjjGlPFQQ
eStbVjAwzPm/oyfG+2iNibIYUWmj8ffH4PVFHU4iLN0u5nOoiuJgePCXmPFeZah/jgb6kUff5luG
0oDlPxf1ClwzQDx7dPvdd9578413XYgSUVFLWc7fd4b43sqqaZpR08zPnOWlRa+dAIB6ebEw50Rd
a1lZWfbDRxXVjKK7xCMhMFIcj8hHbiQejfzUb8ajUp4UgrsnmKOapbaDrvvq174QQixpZ8aaGwCL
IWKIABCq6hMwgXsHHhcPPVVVdPu9nzEAaJCH8mzP3zIaRlfJfMEXAg1oGQUNHIjIRJkDDK8mmMUQ
3SeZvekXAIkVLCOIWSxfhTIBKQACYxBD5+f4Y8J/W3B8N1Huc+CQwMBtEQUwXHAL3uRkBCoWsQBx
HNmFFJBIdTDAeteu+SzncDgeSHHqgDUrP11E0ICFq+WtM6oWGBkhIAhyMklgFSEhBMbKUNWMIKvW
FLxwJaCqgVJJNtOwMhNCJhC1EgYHDURikIfYRTEHQclZikI2Hc5r72Quy6nBqlI+HEQY0XOuoGBW
mGTkez9GzOqW9eBYYtMMiOwviJqXXbn8SOSMt2JYMCuQOCb2D2cWIWJkYnAfNCBCFUPKqmo02LTu
Ddv+/KLy4CQiyAqmzMQFNiVqysXuW9aXnjIVESAPtSKAiYgzOJzLm3L2TiM1rZkDE7uDlxlBDCww
ShbiMDjCqAokYkyUxMF5Lh2X/SYBBCIDgBg4QAUIZcNMRMw5pRiCE9I4RhAxwAyIzMQRRE0zcVl9
1VV9eHDo6D6nQpPXlxgYWiCORMIYmMUkMA5mMzagwKG13o+zrFoBiggAppwBMIsE4s5y1uytgm3O
WSyJGGgWsZQH+cEbYxWU3LYeCBN6BTMAAXPocyaiDIiL49HC6HBn59Lta2S6ublSjevf/OTd6e7e
ieNHrt+6dfLE0Xay0M96IposjNTSR2+9d+zpZ4AhS+9MelZhsJricqiX18aThcnJk1trm2siUlUx
Gv/Zt7/80ktvPvfi21fu/PrCsa3HHrv4xitvPXlyexR4ZXHxvd/9oT/4wmhxaTabceRs6d03Xjn9
ja8tLSx8/dmHj9536sW/ee/E4vjrX/9C21kgeuG961tbR579/ONp68TrL72+e+PjlTOnqqrq+9T3
aTyZUM2s4eRodGxtPV2Zmej2kc0vf+kRPv7AOx9fu/beh2FhtLiycuzUEW6rUR1Qpd+bdjs3/u2/
+ze7y/fv3D649ocXjn39xKmj21955rFb6/e9+fs30+3Lx7Y3rnx4Z3bYPfjwxYWNVWlTU9U1ht3U
E7Myt6kPVZQksWmy9RmtCrXlXkJQ5gPVSJQCV6NRK4qxwsAygy5WytWOWc3NVFrm0ZQ6xkARk+QQ
2IyqUEE16kGrWNWha0IETmPmhsYzDDXTVgw1igVlwwjJgjLn1B1mwTEGsraB0RKqpFmXugjVtDdT
bftsvYqkQ+U7s15ie3vaIx7cbduFGHsTazuuIwiYaD00O9UhBlUiWiXeDCEH2hjRLFkTZCbSENdN
5C5RwNBUSLFuRs9+96uf/zf/+o6kjjjHIMQUA4eqVQgczayhwCEsICFxEwNqz4YRhLWPkFiTane9
nY2ECU2m/QLXlmS364Hag76v2tYNNio5AEUwQ6wiqQlXvFCHVHFkagMpgsUqiYyrup11BIQc2ywB
A4fKHK9O0LC1IOOA0y43Nbd5FlGCpC73B1OjpD2oGBy0Cag9TGaWOXLXpVGMWSUCgXTLNS2w6Sis
1oCK40A9AY3r2DSzZKGuXBKp6vHhrMtUa5xA3XRZJaBUtfV9NlxoJiBaU+jBmkCzWa6qUBO3KS8F
6kgjSoIs2cisT2nSTKbyqasSaEBHqioXljrokP4EMGLsUu8GTOQCdylV6UO+QlWHyEgZJRiJvUcb
5qZcH88A3JxopbaUcBhaYC4A2pATRFUNgc2063sVxSLwelgRqqoa3LL4z0TgMo0U4xsNRTXO0rwn
FJe1q4Mqyl9XuCRYBMFhIYpDpTz6VRWHcNjAQi10gDIrEomKc2WAWM3AlMpI5n+RwSA4O+LB7w1a
BDwsGkwZD8swbMMXYKYwxBfnjZplWoch+Kc+GJRx3+/F/ofm+bRGpdVv3rpIhGYyuBTnY175ueac
qRBK73mi5i89M4G4PRYHHRSY0JBBXToutzanJvpQqoVDaAIlLwOlSQYBQNR7L8EMmUMuqmpprS2x
S9eZh3nbx0ItBq3CdKCiX96LvRoYMoF//wP7Fx3FYfcWGU7zUO8lMMhgyGSmrgf6BYgM5z0EjuH1
KVDEKdYAAOL9pEACqui2ZnKAQtnX+N2x8G8+uX4wIi6J2bkQUdYnaG6KLdIegQIjkyKY1RRw6JIF
LCjE4tH3azdTVvWW+YoZxVcDamYE4gZkJBLNAK5y+H3dbW9U2usBWTC6g8CUEChwgVKaBiQinKUU
mbKJnyfBEM0qosphuwZEWMXgDX5ViGqgmlW0ZAmcn2EOtlAAJSbJ6kA1AwRmMFC0Ty+XDoskM6bC
wGIgV1EZ8V7/J7qW5fdpf2HCPSfvIHvONZkyig9YFffDE5FY6fxx9JEz5vwPRAJGW1qoH/3MRR3Q
cUNKn93uca8dtYz9Njhc9BMsuSHbzyTDyQbDCOGVTn5RxPLBH85w8oLNcv7aEMCzgqYzRFscN09/
5gFvjMQ5WqY4MMuwPZyxpSlsWAoVq3852ws6tRSZev8u3TtUBsC7QSBAd85C+SYqDiU1zeTzxj1H
iKmfCVzM/CYAucQOARDFQ/ClbbXkEyJR9uIcMPU1hCkTE0AMnA0DUSpvx0K6DUwy9F/6ws4ThqXx
mDGpi/uDKm7qnTEJNANMTZKvgJkCQzBLaDlnxUgOIDRxGL6bcsqP2BtB3blQrP6KZsGQAaR81Etz
ESOyH2l8L9GKxQZj5tw0f60CBUNTyKY2FwrLEYXM5A79wWKizMhDARiXNlrx19OhugK+pUdmNs1M
GIiTKAEpkTduqnfJmnrDzbwytCoyoy9YjQy1nMZGFHy7KnlYcKt6pRMBgomaBWaRe+EiQlLJRKTm
8HIdiBYWCNXmJ63NM5TeyTw0+qqZFTBBafwCBFZVMEUT77n29wQjqlkVw0E3MwBRCYF8xRqJZYjX
DqYbADAmP8PRMbFgZioGEBBJFZiCgCL4vw+Sy61LzNcQwABNCAAmSL1Y23U1By8IdWK8qkQmM6iR
M1Du+8DO/NURBRXJKlkUICuhIWQT1yba7J8T7FMGgODkBSYB5cg5KRNVxN526gXlC3Wz0/ViwsTE
2FRVzmlu+DGTEMgkMLETMoHRxLKpgjm315DydCZdv7648vrN6+kg3b2102Z58uknljdWr3zwsTEr
8o2D/Z/9+Ll15rw83tk/3FuojyIYxlnfT1OfssRe2TSjtUkSi1DICQywTxlYiCBE+soXnuwk/eLS
27/+q39oKppp7ru0t7u/tbZ28vvfuTrrfvHjvx2HdmH72N60m+3tjUWrUC02IzXLqJ2JIvRofU45
SzOaxKY2JuHQdcIcd7s2NqPlrY23Prr0wLSzSO2B3bly7fzGEVxaAAQQSWpGNEst8zgpUSYw8Dqd
UTYzTAmmYNlABDpRpKAUgRGY26578PGHVo8dubp76/d/9XfNH31p++RZSALBAVemoLVXH1lG1Yap
V4lgEYBEV6gysJqpP+wsRZY+AnOWsSn001HuKQQygNRFy0sEC6Zd7itUsRah7/RAVNrcV0Q5iYj0
KpRyp9qmPqIdtP2YQsqYRSqy/a5fnowPFMF4T/m2wprxDFmoQjK0sBaqlNoxjnJFM7DlivqaNid1
21ebS2Os0iJwX2NOFuqc+tTHUDH3PVUcEkCo6j7ZAcoYqaNqJhXCeNaHUYiactcCaqgkpj5zjN/5
1ne/9uffX1kc9Xf7VeK71kXTLvVgQoho0qZpgGrat6jNrb6tE1dJO1JGuqmyZhwhNBi3Gqako9Fo
qhYZAWgjjJZHI+278ajpLVGokLCf9QloZtgDjrg2yVkxG2YEVB0RSsqswKqVygg15RS0pxxYsknq
NfeiEasMvJ9kv5cJgYB7tAMgjeqGMTdk4xjZ0loTxwEYKIGEUYg1o7ilntNsChx7pS6zaNUl0grb
LjdRxYxNRQ1AIafKLOYcc88JaqL9PLMEmDuqY5tmoCQMbVZLJsJ9lwl4lgHaPO0sNNApNhRFMmL4
ZzXt/3//6lUDERdjql+hyu3B7yyR2SdJ8sWiASiCIQc20HlGFIpZd3gCFtWxXHfMCrvNQaCD+FnW
si6v2T3eAAymXHfUws07ux+88/7i4gIWOCoawd2d/aXFxfPnTjEXoI6rozh/+ELRarydrHhsy5Dp
pkZ0Rg5iyeT3fV9XwStCikxXWteg5DjRtRwfawmH5xUhudm59Mh5DQqAiCHCrG2bGDiwq4WDVGw0
JGolm0pu6oq8fmIIc87FPS07+vn1d+iIuzdBonwCqGFmc13QZ+wi9Lj4CVjcbuqXg1IqSMUeyc62
Ldc2woCcxH2MXIaiIdfJw1YCzNAsEAnMlww21J/44I2BCH0PDaXrz8C8JNDtsr1IYRqVm4HbzHT4
KfiNkKXoWThUoRoaBGbRDOxcWiNEHWRqv0L511AypGClwnSQOHhQUwNSGN42zuixIYTtdYhqlgd5
FUopKAQo+3PU0uaKZhWzFkkfzFVN8nJXU5jTdMVL5HColnHxjKhQiogY7qWy/b9ZubuVNwqXiolh
P0KlXcZr7mE+lrg6J+UuCAbGgYuRXqymgKZUOvTIrYTe6+m5x/IFuaOCSNWyqQAooZqOvBVjCLWK
+bBtqEJmRVwAYKI294EoEjMhM4UQvEOekaqKRXzSxKyCpgzBv/gQ2FloqlqFClg8zFkGdIT46Y8/
9dlHTVGJmL1sw9+0AOZ4c0RVwRIcK5sY/9QUUNZwlPkOKAQuxGMqvaaDgOoNumXZYcVPToPf8d6q
iwMyOH4UFNR5mfOMA+I/2/T5fyWmISw/3xh+AmA9nBjDtgdQ52rZsJTxerCSgsah42dOVYNiZCmw
mzlceo6x8//Jn4hkuEnU1IzK59c/yvNJvTSN6lC7Ok+R+E6r/FGGBUoLYGbiXpASop5jVDWUjzBW
5MCnki5XG5Lt5OcAKLrTdLDeGDCWAV4RHOvlVbrmEQD/EwZ/jRgEwqJXleLiEl4YpgBloASFCpbB
GAjA06RAhglMiTIRIDGz5BwQAVC4fH7RtApsKoyYBNRdnYiRo2RhJEVAoKwQfCoEiMR9El91GQAR
BCJFEw99ekMbGCEFQEGTsguBwGRqrtQBIBGrd8dB6az1PVrZrBTZU6gsEdzifs/pC4WmC8zsJ9kA
4pc5thcKtwmQaD6SMpEa+szv1wGfXVSLZ4cHbJ6BhsC5HJLFRVwC7SpZFYicVDvvIvbNBRMx0FCX
i6IyrPeKIR+yB4D8ce8FJm7f9Y2ISFYOgRi9uTPEmFIq3WYEhJxyzqJIBIGUMEn2H2hgiowFSkEh
Sw6O6hjyMI5dVHGniQYRVDVxWqAZIqTUx7omYrd8I5mKJssp9TEwKLD3pwZ35hlxyLntXbB3Dh6Y
oAEShwhEWQ2RjdiIkcKoqlJK/qYBhZVYiWgHHSKQI+aBKoxOaBJVhx2kLAbYq0RVFEGk0kOj2qee
hkosVSUvh3U3iqjk3BMFDk6mbmez3b39u1ev/eHnz22sLp+67/5zObxx/fbKymLV1NcuX6tHcVxF
M8iiqe9uXL358JMXusXx66nvkoxiWFpc/MMrl87h+NJrbz6ybA2pgfV93l4dN1y9+/7l0fJqjFHB
Zn334mtvtruzM2eO5xs7lcqJE0cfJ9r74KOzi0sCON3fX93e3N/dPXl+e7SwmGaddRElM1KbZZHx
/MWz//TKS8/95NfjxWXNPY0XDWXa9oSAIXazXCn2YBXRF5997Ef/++Uf/vDHn3n8odcufTi7dvns
n3/po2p88/adn//i98vn+8N333/8B19lpUu/f/nWe1dwdW2hIk724Nb2K0eO//Cvf7X98O7O2+98
5alH9yAAmqVupMBUTfv80RuXuv2D8dqCtW27dyfwOVWJgYIamSFYp9kxmEqYRDqVhcgBuTedaW4l
rwQWJuB4AMRJawytWQyh52CG41ijgGENIRtWbdBGIFPIlhSqSc0dt8g1h1TxOJMsxCZpagigCSGH
piaum53pwepSFTJMIkzqQFVkwDGNJpFWiSdV6LXHJGA2S30vAUGn0luCQ+lvzQ5vplk9rW/lPBMJ
WGtmmVlMfAfyUuCk1uaWQUcmhrZgONJkIgsoCWyhwl6kt2xAijqVHhi+/r0vPHLi6CHp1MIhhT2w
KVMSoVgJkSBnZogjCLGyvBgDN81kMhGcTk1WRnRsVo/I2oBI1otEpDs5Z1FJCbK2KWWMd7su9t3O
dKZCOVplBpJGKDUoq4qlCNG0V+kVUsZmRtCjjQk7IjSIVT3t+7pqZNYt1qOYdTnyQlUF6yc1VxIn
ozhLkpAjQyJkNEXbS70S7mTBPrdtHyl0rNzKQoVdK3UwzIlEoqWgOUJfUwogWYkCRDKLYGRo1CUd
EU/V6lglqnqh2oJSo1j31BuFKtSMVDcNqtVVRQCKysh1kqZhlLg4rqbWM2OIddd1QCCffi71nni/
Iih4sstNHsYESY0Q0ZCR/QlCiIDGXMbX4Z5TsKUFQ2Pmdym71wGDcwBveYbhJ4ol58qtFSirDGOt
z1dXrlw/fnT7yLEtvyoREBDuH85efPmN8+dOeJ95Fksp+XWqqmvn5gTiefkWEg4+YVBHvAKK2qzr
JSUkrqvwhz+8duHMifXtjXJbQlR01dUfsQDFbgqE1Ce5c+v2+sYah5BFyuMfQMCms9ZEzGx3d3d9
fe3nv3rp84/ct7614TOnP8hxuPeZ4bW9/ddfeO1b33imGJSHa1rKOaVU1RXO041zH/MneLU0jFgD
0X0gPSCq2v7hYde1S5NJ0zRQrLnqVewlwDiwIu7s7LTT6dEjW95m7tfEEvu0ecEoKoCYlv2pWtlG
D0JuIM7iJjEQ01hms2EFbkbsmT6bW3R9iBIDQk93kg7rCTBQ83b78gXoEB4u2eBBTzaVQA7Vgznz
cq46upzqxUR+RxFfjxdzABAzqJICDwP/PcGnTLYg4FS2QSUfVgWuhGNpVPLpC8GUEFRAQaXcPiiZ
5QFfTUimEonVxIV0cgv2vWbfYncv93OzAZ9fslnzCcAEADAiGc4JvsXL4Lt/KCBeyyocg5gGAjUT
0chMaATGbsYDIATRgpgyYzAQUQNgL4EpuyQEYlUhIpNEADEESBlMCVDcH41oZiEEbGeBgg5FeuSr
iAIDhyyZANiAgNwpRoyAZMmImNTVa5ScyWuhkP31i6FOJui5dlD+9P2lRaZB9G5eT6prsXKYf1qJ
yq1xsHMDIZejDUkBCnHXbK5wepgLcVjZABKRmvqezaMRLoGa2b011SfsHuY9huUNIPM9XTFKlBot
GvT/wixVVUTfR/hnp+xlfD84/52MCGhlSvUGV0Bkmk+UOi+mLnKnmXjpkb/P54KnzxA0JNvxk2z1
ckFH8ATyULA7xLxLdL9EP7yyycAKh6oAw8qYXV60Uv/qrHYjpuQTlGlRhgFp6A4NiADKjFHMChiN
fTkl5hxmQ1AiBq/PhXmTtrOsDZyl7IszNR9RlICsrGALx847WxDUIDIBGhP6/IZIWYWIBSCUBkus
jJzW4MlPJ2AH/3vvNX2W5LvXB/UqgULEohJ79VCvOVJQBWZ/RmsgFlOvAbPhPaFmahoI2R86YGAQ
mVMW9ys53lasjIoKSoWISwDi3p6Ic13cCDEgGyhZCZGURcXweSLXQpHAQFUYjZAYXH6E+cFugKrC
RIDAhElVwQISfiLa45GKrKYKnhXymAkhBl9xIKHOqelGxIyWpZyuXo2jvuciUnVqLg6fSk+fGiFm
ESZvnEFVK4/REmkpdqrSjIVmaoRs5qFMJl9tAIq4RBwQZQDYlUQSgqkJIIubUYYY0hxnWD7sxGaC
hoEDQ/YiVMoqapZNa0KVzGiEBoRdFiA0gj7nyDUjBwhZFJHqGGZ9F5iRDLi0YhOxm32T9GZQcWy7
LmVJZqRaARBx23WxqkRzsKCSIqNpRgTVjBjNVNRCjEk1izCHUaymMPV7CSO7/0XBYgiR2anPgVgY
Us4hBM2aRKoqsvsTCesqnD59/Mp7H/7qV7/nQA+eOfXwQ+dHSwuffeDsscXRRx9fTSmfPHl8bWn5
5NZs9Mj9sRmdWJj86Xe/8uH7H+b92bPPPHZ0eWl9cfSDb3zx1ZdevfrR5S899cj2pNpeWP3qs08u
r22eWd9MX/7C1Y8vv3Ppw8cefciM6sjnz55556333377PVP9k3/5g7PnzmyePnXl2PFrH1+rqnj/
+TPLG6t/+oOvv/P2u/2d3R9848ubi7FpJs9+4bPN9ioBPXr/2e2/+PMP33qn7++eu3C2XlmlLz5d
L6xUMT712c9sLk1CXXepN4BTxzf/h//5X73/xltXP76yOmm+8O/+bOXo1odX765vHVlZXOuu3f7u
d7985vHHaG9/O3/l/SvX182++vknNqt6YWn8rb/4449//0p/5+6ffe+rpx84u5fh8Btfny0fndTV
V7/45NH1yUI9+fC1d/Le4be+/fUTD50jij2k1kxiUCLGEJirqt7rc29Wc0QOECgS9wyTURNSv1BV
lroRE1RxFKqp5jpGNRvVtaJVzISwwJYtTYLtdF2NIZuMI5pmVmtUR4QHlgPKXpolEAyUuy4G7HqZ
YsdA02w4k5vTLDF301xlZIr9DLrcWQ6HMyHhw25GdQQwVq0RhbAhQ5KlYFs1rDc463SNQ8851kpj
JowGWDEJMcc6E2fkvoopSaJwl0PEahrqBmpl6w0m1WKa7TdxHCw9dP+Z9clE93cmVRxFGhHkgBGg
1zRB6ywBSCczY51Jd2hyq28PZ5F6mZllTHsKy4pJTAUiBMtpFCsl5hAB5NB0Eritw6SJ0y5QAGIS
QuDQYwAKHCwJJowW6lCPsE0INInciEUEiRQZVPpJxNo0oZnkPksvmnrcm2ZluztLh9Z3ZtPZ4XoM
XdaRCpmOGBcYe9TlSEFwFCMSTlM7IoYqEBjXI1GdUegC9xR6qsw4B4KcEBkoEHFNLDlEhKbioDIm
YMYm0oFopDTGzJRUe6Sw381Sn4GTzFIHUlHIfRJqdg+ScZ4dpsmYk0gWqVA9bfHp5lImMxMnHCAi
cnaSJJYaGERywqBbZ4vTtRhgsDRNE4GBDsPLfOSVOWNmrjASD5tYbwexQd0BVYHhMu18kWL9VU1m
MYbSwVZqaaiu696rLMyywt7B7IXf/mFtbamq4rlz96llMB3VjWO9qyr2fSJiNZt1HTM1TWMISfXn
v/z9CGE/ybmTR+4ezmazrusl5w4I66ZRs2l7SEBN0yTJfdc1VazrSg2AaLy0ZICH0zZLAqTRaARE
SeRHP3nu2ChsHNlcXV+NHNq2tyRZrOtaImqaps8iKUXmWNcGmAF29w92DvZiParrJqe+6/q6ipd3
9377k+e++a3Ph7qu67rruqauU0qjUdN1XTtrR3VT19W0bdu2a+o6xDg7nOacxk09GjWIdPPu3t//
1d9deOxcBHrksc/sHRz2bbe0vEAx3rpzF5FWVpf3D6aH+4cbqysUm2aECfDOzVu577e2Ng77vLe7
k5JsbG4q0JWrVxcXJpubG/4TlsJgpLl1eiBLFbxfKI1yc9DFMAoWJYfuXVbnd+JByoZPsKE8Lecd
NUUpYtCs6uDlYtlFQmVEMQ8I+WyGQ8Rz3h0KQ9G5D8aEcwa+YYEosttDDQKrFnHFCqbdVI24rOPR
wNVORvSenIFXrPNwMiKbiNFAV4J7ICqCwpws7fWuRM3NZc7XnYugIJ90jbpf1AwI2EAJUD9hG74n
rxEhoKgklWzmlS3AOJ/zQS0AxMBzoyAhKrnTz5KIIptB4GAqohA5iooBiqqYkWlgVnGOjE9cGDA4
5ZEALEvBmxXNsFz7PBJgAFWsIrOEaN7sSJxMkoqa12YQuBkBUMUL4MkMAThLUvQIADIH6D91igEQ
A5PjN20Y98raoOjR5Y3tsGIEV/gGkgp566m4MgxDNk9NAdDbFtzVWqBTQFR2MmVx4G9LYorEImIK
Xc5vv3UJwXiI4qtBn/LiwuS+Mye9LrBQYIbr+Pw/Eecl976MKP4Qv80PdtcSrM05l+cFUYnim/lQ
hZ/YawwtHeXtRJ/Yjg2OUSsJa8CUVbJUFQOREZUaMSLfJfnjISdBE47R10leTAao82guIaqY6Ny/
g3P8gBsKdAgeun+yELwRjEANSAtLrKjW3npClNVU3QpuhtTnVDFiqS4jA8iIZGqumg4Fm17cYqRe
iJnNAtwzLwRCBBQDgVJmWx5O/iEy4BCyKpciGWIAEGGEDDZHpgcmFTGAjCAA4jsa9D0EEIIyJoNo
Frz72KAiFNAh3+4UXWVAI/L5NlBAze7XFV9b+dFsxohZBJ0/L0bIPvb7F+MDqgIaWGBWRAVSuOfN
KSe2+MqDvMVr7nNCAPYWUHW8mW8T5knjMlhiieIzoXl/ZSlrGXyuc66eDi2mc3Y1lc8gsDlXofwj
KG5n8Z1LcdEP9GD/MTISennn4OmAYg2grApqHEJZ+iGDiWSxwWzCXBT8si4izmJI8weEIZFa7rP4
snmA4yMxIYGqIEJgVkMQ9aoaRMpZkYiYRcVAzZQIg4D15sI+3tif/u0vfn3n6uXgSAgVMDixufGV
b39Ns+ScKw4MhTmZREWkFyEmyV2SPBfGk6gG9XBzEilhIKYOlQ2BycdsQ3NZM1ZBs6BzLwGJIAZ2
41mMEYkiBc8/cOCsoh7CBiQOOWfD0pxNSEZgltx97svDSMyAplojfu7JB+3xB9AsEHvMtwqwNK6W
7z/1mQfvm/U9caBAx49snDl5TEUbhEcunH7k4qmU+lBFj7icO7l9YmsVEGKMXd9VIX7p6cf6LkXG
hx869+CDp0d1bVk9Qb6+NDny7KOIIB5MMsCm2nzkwqMP3W+qTdPsHR5eOHvioXNnUkpN3ezODgnp
i1/4rLQtM5Pk+04ee/DcaVM7aGf1eLT1+SeTyBjwkYtntpeWNQsAjYgF4eyRzRPrK2JiVSDRrNBQ
aMbjp596ZO3U6fd37zZNva1p88mHm6aBnOpYdbkPZvetr5z+6ucSWEPhIHUbiwtPP/NoAgmkDz1w
cmEyaaaz0194TBlDn0MdQDKgVWYoGTSPAqR8yBFyni1hxaCznA5RVXPuNSc1tJTSft9z7ne7tu5S
rlj7FCqyPvWm4wgHbZLY74qkWdcD7WSVqjYRrKIhdkqjDBVVmLEJ9YSrQ5QRV8g0biqIXHGo0VYb
Hi81q0vNDkisKyKaIVULzcFBjhWQYKAwbrhtpRmF7nCaQICaEOtpqPYxjJWNR9NsgUczgZxxAaoJ
hAWKCbqFbJ3xsuF+trFBNA2GI0ua1aAlAraE2madtp1VWbP1sxx2u1ndtbt9R1TPIFfJUkBW6MAA
qAFei/UdnC5FDqNmFAOgGfKojiHBYk2SYl1xBhIFZFZiYe6zzJBrCDOl1vURpgwyIYpMjFZLQjW2
bmw001RLmkmedV0fqOv6SYgHvQBiADhMQgqHSRvDhkKMXMcYLCw2EKXmKijxLEKsOFcGkQNimw1i
vS97yxh6CEEpEE9VmKAHiwiaejax1AaQmqTTWaCAAkkzZEHJBiFjmPUp1nLQJxrbTATMljgeZhtL
QBqJRA4ecCKKeVJhVhxTiFRLtIURV1CPx3GKVQiBKOwcWKia1LWfWjEwIbctFXlzcM+6oqGGjJBh
AMCj301scGkVL6LvRxWICD/BDDC/JX0yXGRlg+jEy4EFUjKZhXSpCsilysKFAiYtqZG5FHaP4etG
1tms69p89Oj2eDwCxCvXb9+5vYNqp04e/eD9y48+/uDLL71x+sTxD6/faNtpSvLog+fWNzfANKuc
PH3srsD7H3xgdSMGd/cPL1+5evXGnSceOn+7ba9cendtfW37+NFLb71fEfRt//STDy+vrbU5/+Ov
//DZxy/+9U+fP7UU73by+YcvbJ86oWptto2NlWPHj/7md68+cuE0c8g5vfD6ewfXLrcZ7j9z8qPr
Nxu2tZXl8xfvp1gBh7ff+2Dp96M7O/0zzz7yu9+9srBYH+zNTt5/5uOPPvro8vFXPrr9+MP3/5e/
/PH3v/eFS5fe/9wXnnr+l79dWV/eubn/zBef+vXPnl/ZXrlza/fJpx774f/7h0898/DVyzt/8Sdf
p9E4JQWMq2tr66tr1+7u/dPf/ePxMyd2b94898DF3/3+96fvv/8UwN/87c8eeuBsfzjdh3D3/XfW
z91/6fnn1k6cfOl3r45Pnb70y19cfPapV3/3ymhtk63VI8dWl5cxssd3BpZDCRWXGwoBeg5zqMrx
oZQRCAyBiiHTPIWI8zW/A6hkuAQVxRR9SQEcyM2EgKAigQoP2mvPuYQj3T1uZe5Td7UxgDGxiYIh
MxcNH63wqMwCMs9vwTC0uiACsagqWPYyhEJjLruVSIxi7IE05lIRBD6EoBiY1y85t9PMmLzy1QcI
HMQ6GNRoH5J1QPh6QljUtHitiyrkGUedz9sOCWYGgJwzMxeSWflElc5DI7Th58JIkiUARsQISEW0
0gHp4eQYcpaLUoGIEKIqiIKiZXD1wxw9paoBEIlFswG5egwqhhiGYGTgQMOF0goyBAk8/FwOE78Z
MwX1SzMiITucWVVEhELMIo5d8ZsxEti98+FTjaUAYMz3liB9zjqQzKjAikos3DPSOhc2CeZkcfdi
uIyoKoGDDQDwUilspv5KGQHMc25FdPSGQz/Krt+627X9o48+yExDOyLO+vSb3754/MjWeGHix5+q
YbHWEwzVUm5UyR4vL4ftHKSmiJBFRNSNi7978Y3Txzc3j27bvAuD5q5cv/lDOckBRPX27dvra2sc
wr0IBlJWS6kXkSy6s7M7Xl35h5899/0vPTVaXHB9EsDmC0cAVIBXPrp2eOXyF7/0jKh5wtZfwr7v
VaRuarWiCYoqqIUYcQBS++fLxTzDOc0bHQ/Wden29RtktrW+MRk1BAjqMQEEMwILpWkRO8kffXD5
3MmjVaQSRCw0gtKqS6U7qEDjnR7qsT5DyqaRAM0CkkhpCULmbECAklMIkZGzqnrMD6lUghlUVPpT
qGDklQEDkVNqs0EwBGIff5gQRI18i8TOqWYHsKGpmHGBC0RiAetVMxobZlFmYtOAYMhiChQ90Ghm
mI0Rc87BrQdD4ZY6ob14SPBeEADmjhcajBvObcOhuarYhdmvBENClfCekl58U/5MxyEprRqIDCEb
SoEBlwe6LxFU1H8E5R1KDpnST1rZ0fXbYgfQObHQz3LHufvwOV9wlDeSozQQicgdIoDAgTxm6x9/
Rcg5+6HoS0kDJGIz8ThSqZb0+bqc4hpjICi7HjVjDswRkcChTiFmST7oEgUAyiLo3TbEABhC6Tmj
pHKz73793EtXX3vZpJ8X/jz54MWvfvPrvagRZ4NRDF3faxKuoonGEABMResQM2pOORCNqmoqfVNX
xtRUAQ1EJAIxkovLAZGR5+EgVctZMiqoqhoQ9zlnhIbrLucQIpoKqKj0qfdm6i71XmSKZtJ3SYyJ
VERUCTDlLCYAwBi9Pi4UqIAEDiDCjAQgohWjgBIzE1UcYOgyLX6trMRISDFE5uDgO3NPvBkgJdVI
WFpfAYiIjJm4B0XVKlZ9TlklhoCAhF4+roLkR1UGAOLWtGE8bFOFTWDOqtksAcisa0Z1nyQoMtKo
qoFCppxNxCwS7bdtZFaznDMw3u1mdVPnVvz4A7WlUXz0sYekmnRiQLQjHTBnUPHy8Zw1hK7PEegQ
IKEpY5uQCSWEViwStEwVoEQSo6qqpikzcU3xVrd/ctRYN+0QieosZlwLRYNAFTbI2rBm5cALVTiY
TYl5JdYrXGujSxQOSCPGzNyMI6hMmuZKajeXYm+y0iBkXIpVVzFKpEAVcpeno1oP2gQoHJQoA4mQ
oKIRHoqMKe5lyzM47OhgP5kw7iWsq8OZBOo0mUo74jBr+7ppNGnOfVQNlmuzJkud+4n1CzqLkiOB
JhPsA0ZD2e9bbGKGnBD2pA8KB6qgVhtmJVNKFAJQCFXqpMIawxjrsUGGTON6XNWH2wsjzd1G09y2
2UJt01oxCSDuRKsZDaHVPNU8NSGANgsiHUgvGvanWYUOZynEatZ2k7qBLNZ2C0yINoEM2kUWwo4g
KOSpSYXUESbEQJzAmjCWkBIGpdBU9STGXmBp3Iyk5yaaWcC8EDHWYYFpSpYAJOtMCHs66BRVMNjt
vYM1Wp61qjHlPjFZ7g5XWSeQzFI0gj4vBqpNutznUJoalUMCboV7rNgqYiLsRvUkywyZ66rKpouj
mmU8CaEbN4gWo0G25QW4uz/DCAZ40HahblTtsM+gmEyj5K7XTDqdKkXb6RI5dyr3lIhAPv3NDIOr
P0SGVspSipsUmSlw6Pvevbf3Kvfmq2w/wbIBGTE5W3LuASMimT+KvDmGed7T7ekw36N7P+Hc+otO
xB1OlciezKQ5AdhzI3TPAEPrm6sPPHL+8vXbt2/dfejh86qgqu9eev/Uye2bs/bSBx/f3Ts4GfnF
1y49dOHUbO/wysfX1jfWiUhyfuvNdyTUZ0+d/OD23T4LqCXVnb3DS2++c1PliXOnT5w9eX1n/6U3
3vnikw/evnXn5s1bi6trCnAwm2XJwPSZhy68vzO7efnq8TMnK+AAdvnDyxSqvf2pqQBTl9ILf3jj
ge3FQPThB5cnG2vat7FuAMkfXhtHtp959om/fe6NXzz34uUPPnr2c49eP7hmIsdOHnvgwrk7KTz3
65dW15dfePGNpTHtHk7ffef9x9cf3z/Yf+3Sux9+8NHq1vLB3t7O3v7xY9uf+9wTf/mffjY7PBg1
443N5a/+4EtXrlz95U9/d+K+Y3ev3dw4sra3s1PVYW3z6OG0qwgfvPDA7PCw454W6pzSx5evPXzh
5MqFx/7bf/jL82fPPfLg+TMPXPz7l1/9zLOf/eDdj69dvXn61DHGUAKWRT4ptkefLngIHBuoqAwQ
0WL4KhwERELSoj2Rj20CVvgiw43TBpRrFYNIRgJmV0kwAEZiFPXbJxUDrV9z1Yn6Hn0WNW/Z4SEP
iAQqSswK6qJKcV3BUD0E9xLP4EXb4FUiCIAi4tW+IMpeDEPBlzlcsBYkAAboZeZioIgCTvh33x0Q
IJPf3nhIG4pjzH3fb4NgTABGKCZzTowNRt6S4Rum6zJvF9PWYIDEAqYGwqwKplzincAGwb9lz4wR
qamouH09qXr4ukL0ojxTV71IwPosoQoMhgaRSXL2TGkyqwOSEqiWYCGCmAUCNA3OBzU11VAHZs4i
KQsQgr9ohICQUzKkDEjMmtU9qQqoSB7sZkY0zKqAICqIyP8d5c2qwE57JjNQNA7+TnLzuhaiNN6L
rA/sGB9JdQAd36O+Bd+/49zdWDyZzh11W+AwmpbBmEovkiGCio7ruqri/PQDgxEzEfsLh0BdSq++
8kbfdYuT0cUL5zhwYQUzm6ogmHv9ACVlQqyYva3xn55/KU0Pe6Tzp459dLC/1S72IpIVEGMV0bDv
ewCoYpVFs2RGrGMkRCOaLCwgUdf3poKIIVaGMFP74d/89OTG4srG+tbGBgU+mLYiksXa6aEBjMbj
tu8kSx1jjAGJDPDW7Tu7u3tVXVdNvX94mHIejZo/vPXhzUtvfuErn6ti3YzGs4ODxYXJ4eHhwtLS
/u5e6rrVlRWMYefuTkppY23lMOW7u7sitrmxMp6MxezHv3xhcbp37MypigPg6vWrVwjg1MnjN+/u
37h1e2NzfTSZvPfBB4H5+MkTCSmB3by5c+Xjj1cWl4+fPPaHN17tcppMFk6cOfH6m5eC6kPn7hsv
jH1/RIgBSdHMqeNzMrJjUhHVNAGSYYw1gjFAIHLnvxb+rCF6NTHmQT32RyATBcBOVBESWo1kIkjA
AIEwmxqRqFZEAFqhdpoDEDIWq/kAfApEUg4rNCtHkzhmtrjDITBFdkyEqXwClUQE4m3AQESmMC8x
Bip9X2wO1OWcE3lE0ZfLOuim7oMYlsX/7FxCY29/AVAvbsMhL+0HBaJjt2iwFrifnMAQTUSQQykc
8dQ3oojOfQeOVPS61wHqS6hQB0yiQtQlcb93IALQQJREi62X0I3HgzSIPmL6x5o5eJDFFWqvoyOi
nLMfsyrFQx6YI7NmCeSbQZwT7P3o9qqUlFIIjGgEoIBZMgIEIh0WkWFoHvdtImXVlBzCrI6zl5RR
JGJIKoHAXciBOYZwmFLKYgg5ywgITUUkS+5zAjNUyFm6vg9EYGqSSTWDppyTKokGCr1oFjGEpHnE
IwFptQ+IilwzR449sS+vkIARR7EKIRBAjHHY0xECqp/yDuNFIIDAIUv27mxGjBwSphgiEycZuuw5
FGSWeWk8DYp4WW320gFhYE4igZgjdlmKOckscGBkMODA6nMnsYgZkKG/lyASA5Mj4CsiFGgoEkWJ
IKrjWEmfMgKBLcSKAUYx9lkikjFXHCKxMSsjIqogGwTirDKOFYRGCSNzRzkGzlnGTRNC5KjIIQEQ
wsPHNh7d+mqWNGmaLckcIhP0iZq6vpu6pqqymbHFGAJYAl2sm5jF0GII0XSRYgJbIFKiRq0JAJEM
tWFcyRQhLZIFS2QQLFeoE4JGs4Dl1EGIAZXUMWe9Yr2XpzHHWW7BWOrY9qnH0Ar0uVsyneZ8a7/f
65BFWkLpU2sK0z7WUIFMe5lGnKpOsiRVBMhmjaIAVEYVYwRMZGt1pM5Wa9q3LjBJo3UGaNRIk6ZR
BTkljsAVGQKEEIBmxBibmVUdNgdQt8xjRapHqeMZxDEhMqrEEY9H1EzCaCVUasJJYxNSgskIWzHV
FEATdWadWT/tZMUo58OdGdzu9m8fLtyatb3yAcph1gQht6lnOuh7VIAsY6axmVkeqzCBqY7H9e0u
jyoywaap+mxURQghEVmMAHgjT2viFGu1CFgThMUQIyejwIwxcqU466FBiJYDGKOm3HXWzlJ3eKht
10Y0Brpz2IU42pv2YaQqyGZVxF7zKEAO2lSIbKPFqq6RRyEW7VqpGkuvHTYzMkXmpkpTq2IdmglF
rsGmoA3BuMJRBZ3aiNFIDZQ0g5qB5qRdyodtf9gmpbx7OFPEcRX73miqB4cwNkSwoNYAdiYNm5mM
iMg0RhtFtQaQU4xSVVXD4bDV8bjp06fuL/UbuY98fv1SULzHWAW/KhkMASco9VzqFdSIqqag5HAb
+GdWOhdLTdWJdu6hEpF5OGpgC8EcNYtE9/o8hu1sIMpZcJg95ltVGCxnYGaqdR1PnDx65cqNd975
6NbtO+cvnPa0xZETx3/+Dy88/di5yWS0urqyury0tbG6sbzEzJJlNGpOrm3ff/F+IPr4N/uK9vKb
7y7WYbwwadt2Y2vj+vVbk6VFy3LiyPb66urK4tLW9qY/dJgYQUd1jDFyzKbGBhFxsWnuP33q9Pn7
3rlyR9UCByU6cXx7POLV7Y06xlZUTZ779e82ttYnK0tV4J27u1c+vp529s6fOZ6m7ZGtzfWV5eWN
jbdffnt/b3r2xNGf/qe//9f/9tt/81//6eJjJ9aWl48ePXLi2JGt9bXx6ur1968eP3Z0dWVleX01
VjVgoCqqGRH20/bmjdurS8uQ0+bays7R7ePHjqyvrDT1aH119b0PPrr5wft1XCIbv/Xiq+e/+Cxz
PHHixCvPPb+4k05trZdICiJSSF3PTJc/upoeuT+OmntOPkLNMuds4nBt8xpxMHStL2dAYlMZmjY+
WQ0LKuLpUt9cDHAY5Hv7cyDiZJmgEIIDEqlxWUGXbYYHvohC0qHafrCNs8tfqm4/dtmTABWQi1wE
7mLyVLI7npwvrG7MRRr+VCIDNvTCCaeeMMzvmW6EQy+vVwRD9G4T7xYig4iI5ga/Qr1GKP2CJbNH
jr1AVSXmbOKvrCcH1Z/XrhUj+ifW4dIxBr9p+rwt6rEnr9Kx6IZTNRKrgJhRcgZVKi+rIqE37Hk4
kAsXGkHVO+tFsgKISl2xgJJh8Izf4NQjQjFhBC70GEqp5HRBhMEgIDMQe/MwRGIwqEJFzG1KLpIQ
Ygx1n/InuN+YxbyengCz9J4q9pAvEQ2k20/jFvGeIyoJSfcNAiphAL/sDVAxU/UYgVo51vzmCSVt
q8UDXP7nvE7ZdVYfRe81VJXr/vCtzb2BvhJEk2HVX0IQCABMHsgX1els9vb7V775xSdGowaJPrp8
5e7duwZ06uSJd9/78DOPPvz6pXfXlxYPu3Tn2o0s9vjD5zc21szs9t70gVNHuqq+9NpbOp7krFdu
37169caNWzufe/SB3Wn33htvLa2unDx96u233iGCbtZ95ZnHl5YXuz798pd/eObpR374Nz87tTW5
dZC+9rlHVra3sule220dPTva2PrHf3rhC88+bsR9zs//+iXM0/2D7pFHLrzw+9e3t1fXV5cfuHge
zALTpdffWtlYvX1r79HPfubF53+/eHQr7x/G1bWbt29dv7vzmz+8ffah+3/9lz/6/p//0UevvXrm
6Wfe+dWvt06f3Pvdy0fOX/z4pReXj269/YdXeX3jvd8/f+zBRz988YWv/en3yGhc190BGnK1NPmv
P/vt1kh6obvXrr347uVnP/vI7p07V67d/OC9ty9cfHBvOvvxz19Y+cEX/8tf/d33v/HML3/xuy9r
9+JPfvbNP/3WT3758v50+s7r73zzy5/t+24MYwSsAiY1cj0fTO1eR2dgFkMmzJKZMAOgWUWIqowY
zZc5xeDrm1RGqoyYUBEFEEU5lNYMRDTEXnJNRGiEwAZkXp1FAMAIhlgBmUJWFWQ/iAKxIPQquazP
GNECgpipoagIkpsxVQ3BAlLnEHMgsUzMKWdmVhU/M12FzpAZ2VtDVXSIbJivFJlQAVwMQ3TXvUl5
EJCom0u8gE6YEA0CoXjhJxWSgqlFDrkYpRmc2u2bcTVzwBIBGamZy6xMrCrmWzeXmg3mZG9P7Tq9
jIkMxJHqzKSDkFr6sRFK7ZbT8gnNQFQJWQZ+m1tXOETNeZgyXUo3ImCPaDCaKVnJYztGq0T1iYoE
rQJU+WaPA4tIHaOqptRXsTJVM43Inm4NkTiBuKGoBkYg0zyvNQ/MIjkggEokMpWcEiFLlsBgCK2k
pq4VsBPPplqsQtdNAxOjo/zUnXHMuFw3STKiNlUIQJF5BoCGzCTMjARoARgQObCosmrOOVbR48YZ
pHL7bknyuAxtbphWVTNjJtTCyAIzyZkZQYXBGubyUATjIfFPCEyccgbEPmXnOUHJAImH7z38K30C
or7vHGMoksEsAJqYkUERu9H1mjb3NQbGYArMFJGy9W3XN1VtYjknZupS6nNGwmgYjaaiIqIGOeem
abKKpIw8zqqsmjxPk7IR7nZt4KgqSRSo7nKqpK6BD2ez8RizaiXaisSkI2Iwm/VdjLHPGRMGoP1+
ZjHMRLBrmXjWtg2BpGwAU85tEuWexNq+txDudi1yvJ1nKxBHOaasVYh3+iSKt6adGHfZJrHpco5C
M+BofDdPR0aR4lAEGQ1TZRVRjFQhpQDRFaDFUIWAt7RbHjXTvL8+iQZxJVCLwCyhqTNCMhtXoUdc
HPM006QmC000qsFYiUNlWQ4sjRGnZodZpsBVxp7rvheC2FoSYdbYi6JVyRrTYBgqjEAScz9GVLMF
RuIq5hzZVDpLECGHhKyQ+hmN6lk7nTb1zPo7hweHYP2sG4UwnaZd7qy3XmWdm71EaxzNqOJoonUV
66bayKNJhNUFOhLpwKTJOB0ZW3U3w6zhUQVVFZAYKPbU7ENACqopaiVQZeVeEXoLIRBkzTmaigoZ
LhKOAMYq0YQlhyh3pm3VK0brxWjWLXCz32msbb+3BaME1HCMjBRgabQwVYAYiEMNk7VRw6NmXMXe
EwBVPZ21E6o76wwCGR20s6UmqjIYmSiDjgx61ZGJgARUkoyWpZuqtJ1yNpr1marxYacIaWpAkrFi
BW6VsyEjk+kk0mLNucdxRYwNM4fI+3tpcRwlU91YnyFgBQwcWWPVpjaLNRQ6EFPay2SZMjaazMCQ
Y84+Kn66X049tU9cmwjmHSFYcESDL0YlE3qEdR5/MqTiqSL3W36ilnRwyxgaqArxoI+VZjmaX9Tu
mXLvNdfDgNjFqoqpT/PSQ0IGA1ULBPOwFiF2bbe7s/vghdPb25tXr99Iff/kYw9OFhYuLC/z5x4+
d/bo0nj8jS8+ce3qdRMcjUZgECk8fPHcUtNUVaUID9x3YmkyWlhfvXH1+tKo3l5d3thY/+jjj/fu
7h4/fuLrX/rs9WvXq6pqxiMAi0Sfe+zCyuLilx99YHlp+UKzIIsjIqoMn330wsK4YeanHr0wGddP
NJOFSfON4yc+eO+Dvu031tZqkevXbjzzuScnS4sIuNLU3/n259s2Pf3Y/adOHjt94ui1K9cWlxa3
V5a/9IUn7949OHby+P/4P//ZseNH/vWfL66vLi4sL3/r21+7cePm8uLisa2Nhe9+6eaN2+trqyvL
i89+6WkO1Ve++MRoZREIxqNme3N1unfwgz/55ubm+omjm7u7O9unTywsLmjO25vL29sbOwft3u7e
Qw98n6vqxNbyZGFhY+nLOafN9bWcM953pGqq7/+rH1T1aH156ZGHLiwsLjg7aujvLBz/+fV6KLdw
zq1jNIpP2wAZ0LxkEMEMtQiINFBUiNjjXD4pMLp5FsHMIlE24IKPKj5GF+XECofFBn1S54bJOXAF
wAACs5GpU6ZxHlsqPiGvGSR0UA0NZQqmxbpIYGCijESAwct7/bqiyuy+As+RqYIZoZqXfjgyB4Pr
q2aEENBxTFpkT9/43EMXgXqRKAiWknZjYq8FZhi0U/1EaVP57JWK3axSKk+JDExM1TQAVRxAxMW7
QIimTsp0WhFRABO34/nVjBA5BDCnK5OVImIgtYBI7jouRfGg7h5Vi4Sas5VaIACDQG7QFKCy+yIO
WdTHYAMCwJwlMqthElUkUYmBLIHXDyKBZAFQRgDQKhAS56SMBvSp59JABsRqQw0jgojMnbF+O3c3
o5ohhyG7AFiAKOJ65kAlhTkfuFjMB+DmED8tEQTv5vGlwzxADQOVenCSF+51eSsCuo0TCZcmk8c/
c+Gd9y/3fXrw4rnYjClOX3vtrY31jbuH0/c/unzlo8snnnr0J7/4zWfuP3vzzs47l97b2Fj1v+T9
d97vYn3fieNv3t1TsSpUgXh6cPjW669fn+Vnzp88cvL0rbv7b7126emnP3P32q2bN24sLi0a4M7+
Qcq9Ajz++MMvvHvt1vXrq0ePIEHO/fvvfbTUy+7eAWatkKZ999uXXv/8o+dU22tXbqxtrCtYxTEg
AGLNfO7MqSc/98R/+Mv/9twLL7U7O0vbW3dv37148mQ+sn3mzOnn37r85u9eXT994p/+6fnHLh57
8b2PmukBpi630zffvEQH09Wcur4l1Scunjr26AO//KtXGTQgf/HJh/f29l9594MX/o+Xr92aNmdX
62pE1dJnn/rs9Zs3WPLDjz+yuzd7+53LjyxMGGC/61JOx0+dWFp9rzvY295YPXv86AuL766Mq0ef
fPSFl9987OSx5bUVZjKDigjUsppjdnqDGoPbcQFRFZjIy7vETA3cHK4K4q5oHGLi7FMBMlGvwhgZ
wBQjB29jErNerQ6RUIEgiNXEAl4KCuRvNhEkBiYxqCCoqOP4IrGaKaCABgNiwpwJKVs2dNkJiIwU
pcy6mFErJASMzJrVgXDZ1MeAAJwBGCh7FzeUjmKiga2kFpiLUZyIQBUdYew1I6UeeliymJs1hlKf
YnMtXV9qGECzEYAiEABzYcn7c983rYBc+NgIpXvLTQsEpIYE6pbp4RgcTOy+YyokM9Tsa24fuQfY
kqnr26Y0dAe4s0e1NMENFiHPs9pQGqwAxsyM0sSYkzgvEItmSoFD4MBl/1UoBillRKgCE5qiGUAI
JCIeKiFi9vKiVjNHvtcZByAiQ6FBEfFDiG3fIyLHEHJgQkQMHCoKQKYpk2Fd1WYaQihnETNQVgNR
yTlXdZ009ZJHzIqYVSOSIXo+lRBVRTTnrFUIY44kRmSzrvWnZp+zxarLCSkgVp5EVcK+7xWMmVKn
gYNpIqLS3GrlvlDIhuoVrWiIfSpHrgFw5CzChCIKBkSMzEAERBQCAyLRuGqIQwLRsh9i8zP4E5tt
AyAMnWrNASmDwaiup6qI6HT+GKJz+YQAELNZHUI27cEoECsb+CiCSNiEyEy9CjAzB0baaBbqqurV
IsWmbg76GQKMQ0VAFYdEGQEmsQLLRBSQFqtRDKGp68wYQ6wkL8Rqt4pjqqsqsmnV1BaCqWLA5XET
YiSzHdTVcdO39fZoso2T/cPDGHnc1BgDRpIepA4cSBDqwDnTchM106RC46pi4wBWQYs5cgA2IxeC
qAkViClob72JqVhHeCfnHqrdDkXrnQ64qXdn0wjatTmTtcAHvd46TLu9LAa8m/NYqBk1lrrYqSbt
tV+LFWtuQHa0rSzc7feXsU6SFzC30i3FsCfdYmwUE6GI5S73ARABM1Cv2BkdZKsIKFaixmGkBgl4
gVmCKIamGdVVXaU4jtEIVpnyCMfC1QRixN6sin2b2lHsrBKoLCRlgWS5U9tTvJUUQO+CLHY4rqvD
aWoRtMc2AbOgKudUmyyYCJiANJCXCBuy3tRynxBSFjRQYAFS1d7wQOQQUSlw3ZDxQjNmzM3CqM25
GTeUgUfVOPD6pG4CttGYnWcAs5x6wC4rSTqctqPJ0k5KIWlKQoiC7QQV8qyCPFY2sYQZpcvSQaYG
kTAmw6nhInACVgtGQaCruDESqqgGVrJxDIeB1yejprelUAlRm2RccSchmRKFQ0k1wH6fKNphm5E0
Jms7jbM8bU0hE2FOaRxHql2jMedpHWsGSNI1VE01NQElKSOiJMu58GI+7S9VIL7H4cChjrzwdb0g
7t7FF8vh7vhxxyCV3hcdKuThE0coEXvxRQhB/n8EjYK0KzKp211K0SWgS53+OF9bXb301qX81gcO
DxYDRNrdPxyPxj4DMFJT4fkzJ+aIjtXFM05zcO/lE4+fD0hEtL26sr267H9nNiOkE0e3XKcgsNNH
txFt1ezE+opfo83g/vvPAZIBThYmG+trOFwvK+KTJ44gwOJ4ggB1Y7A0ASRAOHZs2x+2R45squpk
cdHTKQ88dNFvooi4sbaCQww31PzwA+fnKMIjmxtb6+s+3Z0+fcJfq3PnzhDRfWdPSc4BaWt9bWt9
1cf47Y31rY11f1EXxiMwO3pky4W4EPDIkW08sk2AZLCxsbG5ue4T3ZnTxxVA1DbWmrXVZSIW1bqp
zWB9cwtRQS1WtTukFpeXTKHeWHNUlcK9Rgqn5IOrAsP7ppQCFLKLh+vQZUqxQVkauCil4x0wm4o/
893e5jokFc0KCbMKk4mTaYc2neIiI0IEUQNkf/HddQkIXGouSze8q1v+p4oKu7nQvEkOAvO8GNbb
IwqyWG0glCITUyEegXcvYqlrBYVyMRUbgmFEScUZYIxEZsO/61BIK712JebmfllQ0KHLtyBVypck
Uvbw3oIzGNiISXVePMwF++FjFIKAGRoBMjIbUmFheCjLHbyYpXjis0JSBIAsFtDzR0DEOYkNygOo
kteTluYiE2fzGhBAQCAEdq/xQH+B8mU7aAKA0QjErKLChUniZiW/0aMOF8yUMxIGZul7JnLBOaDf
CLGXHNnnwk99+iGRG/fKmxOQQzDFYv7wahMr2xIr5DbfHZh7+XDeHTOA4hxKbuhGRHGIKCKCzTU2
A7uXj5+nEnJfJloqusg95jYhcWAdmngZdXt99fix7ed+/eLrr79zZ3f3/IUzKYlkOXLy+E9/9ptH
Tx1fXlhcWBgvLYy3NtYWxrUDigLS1ubaA488FGL84PmXjeAPL72xPKmretTNZpur6zdu3hktrFiW
tfWVrfXV5cWFje1NQ/JPriLGusYQqzrM2kNvXV6YLDz0wP3rJ45/eOlqw9xwHFX1/adOLC8ubm5t
ri4v390/NNPXn3/xoftOCnFNdPXK9fff/bAWefyhh958WU5ubZ5cXR6vr7z/endwd+fBU0f/8be/
+e6/+1f/8f/xv/3Zt59GaW7fub6ytrq0tGTjlXdfPFxbXQlrq7sJWUYBCbAKQApw48r1y9dvT/cO
FkajZ549P715tRqPl9e3ru8cAOHVDy6fPX+u6/o7d3b66WwyqRYmk5Nnz/z93/3scG9n69nHx+9f
BeS15RU0vH3rVpac3S/q0F9DRhIwBBCwBECA0V9Vh58DZRwqTswQgcEiYxZ3Vg/RBjWmIhoKYe98
B/+gigZAYDRSdaAgQD0MSOpIJCBEY4LeQMESQABjIEJgp+iXN6An1S0wimjFUUwzGCkQFZgcDhVo
HtgnsMhoCnOsl5h5/M+Nme5jHQQtJwCTIoEBOy/HHC8ETJQ9Dz+0rMxXz8SkMGc6o4kj59TpQAq+
5vYY77x4DsTzjcTkq0byj1NpARhSrB56KGkRVcPBqoPAjvNVKc12YcDHBw42jz+AMbKAiiojuUHf
gMuKlFzwEw+K+wPJacyIKFIYZtnx1sT+DBQVV9d9mSieXSc0cv9OUV+ZSVVzecdhyDmbKRONq7Dg
PVp+zmiB1qtaFomDrphFO1EG7HP2W1TO+V5S2LDtvbQGVLTy79ksq2bNxCypF1UFJYKqCiZ1YO4L
DotCQE3ZV6dNXcUYnFYVmcdNszdtRYQ5xsBjq00cNo0AVoUoqliKHMjzM2QAzspDNCsR9hA4JwCw
EGLb5hiJiBClYhKFwMRIoRTWMKgCokhGNQyBiTKgekkdFgN1dosvsokyk4mQ2lLdtLPWzaXe5k0K
IbACZpOkOXIIHFTUn9+gVsfKxDhQ8sZkM5evgMBUCFFBynxtlnIGgJyShshWuhxQtULeFyEKaiBg
KSdERkSfakwkEfaWM2glNpNO0dSsTVmyoCgy5S5Zzkx8q+2oyh3SrbatmGc5h5Sn0+moqpg5z3oE
0F4yWBNhr+vhYHZ32qmEHq1vcysWk4UqtGKdGAqKQN8lANQsVV0rcmBmsNlsNqqxU6hAY/mEZeXM
IY9GuG+6UdGsy+sjQmvqSAtQBYQqhj70LUqokYUlEFd1Dpw5tBR4tHh71o+bhZQ6rEIrkJGzTQ4x
TaBp4uKYKwGNkGPkmmkUIIwqBQ3B2pgC9ClqRRDNauhryCrTWY/J2t7oZteNe4RobZsrktDpvuTt
xYUbhxrHtDvTMRkC99IuAY+IFhE3iLYCrmPF2gOk1GAtKE09IppUVRtjrCucBQhVLyKEFdWCOWGl
LMTMVZWTjetR26WmrixloGq1qlrEaB1Ky/WoAuwl70xnOZl2NqJw6/BAYnNn1kPspz0sBBXSIMqq
oSTDoa6rEehyFZvIpBGBqlgdtKlqJvsz2TFrRqNZ6mMzhrYf1SPqUwZZbkKewWJjJsCICtqRVWgC
1klKpK10PGVR2Jv2BykLUojYtpkqyUmJybI2SJXJhGESDGtCs1AjZRuPKHUxhMpFScMa2DI1WIEi
AkfNliGG2CCGqp6krq9DNa61iZzip25KoPL59N4QMCt16k5OyapI5F4MzzUQeSrFmL3SY+jmc+9O
aeJQBCTioaMdSz81kYoOkoOrtYhIZjLnOsKwhy1lZaJosLa08OgjD0rKQw+BGeCR7c26rkMIZSiw
AY7vXwjMF7KDV3KoXoDhtmFqQENjmek91cLZJGppSPiZlQybhyqpABOG9J6VrpQyrQ11fl7U7vPZ
gCMmh/splEIvr8XDoRvASt2rzRG1975mM68Nyzmzz3JFoPbA09DHd6/qsBilVNSjjz4LkT8NnEcI
3kbm1Fdx+Gcpu0PzYh0cEFcqOtSWGICPDUPduPuUDAIUpIcjWPyG5PHClLMTlc1cP0DvG0RAUVAE
QUtgbdfNXzdVjcQFiOQs+oAqOTC5YdwVp1B2H2ZAaqZgyTQPwy0hDR2G4A8UV6j8fU4D0JLn5XpQ
AqI+7w217zS0uBREJxUJZOhQBTQiBVBUM4+DlvZYAUMkN7WW/0Mg94LNSZIAAJgHfrXrCVkFmcTn
4aHqgBGZCNSgzMzKzFSQDeWH7oqcqno9EgIjGCNazkw+BfqPBecsWS07J84KWU0AApEvVM0MiXIe
0I7stfLmbbQ0R5eVVs6SxAPNQBIIVebUtGLtY45d0mwQ0HWBoKaGEcyqWHm7ddLkP6PA7KKKqlZV
lSV5JpwA0FBVGMs2/7+De5TUhiSXQimJMTUNUG6r/q4LodxNbXj3g3d1gthgVnTV3wYwm3+zOHe0
IfpyYWCy6HzN51dTkSIcMaEYqA5hfj+QVE2SDZglU9vZ2T04PFxeHt93+tTH124c7h+cOXVidWV5
c9TsXDh78b5TTYzf+sIzV65cOzyYbm+uOVT3MxfOLo+bhclYzB49e2JcxydX1z7+6PLxjeXjG6c3
j2x9/MHlndt3Tp8+9a2vff7a9eujuqmbkQIG4s8+8eBkPP7CUw/Vo/H5E0ejKQFVJF975rH1taUR
8hefenhpaeGLTz28urT8x9/43NWrVwFwY2WpCnz79p0vf+fLGDggndxY/tN/+UdJ8r/43ldXVleO
r67u7h+srm8trSzy554C0c9eOHPmf/kf1rY3/m//9/9lfXNti/jOYiMpL0wmk8ni8bUFSf3iwgIx
k53hGL/2J38MGCLC2ZNHlpcXAGk0HiljOztDiIuj8fqxBCKjpx6LMaytLCk+Eur62KljGPgb3/w8
ZR3HGAi+8y9+wEzf+MrTRnxexMAYICFFogioniM1ExWffsp85YsjUBqgrGLqhl0v9gle1gIopfcE
1GufEZNKxZUZKQCBBUIxEzUaiHEEgIQBSBGSgif1wZTLFkoBUAAELAISAWUb/BxK7EexBcLeP8JS
xq3SheQn5GBxYmfHOEestMiCV38rYHYKQjkaAQAiU69WtnvmW6e5NGoGqKalS9kgEgmWxLyIIlFW
9Ubge+ZY+P9y9qfPdlxXlie4h3OO+x3eCDwABAiAAAnOpDhKYkjUFBGKjEkxZ0TW1N1W1lXW1v0n
tXVZW1lVWmVlZGZlKGPMGBRiKCiJkkiJgzgPIAkOmB7w7r3ufs7euz/s4/dB/amY8SkIAW+416/7
2Xut9Vtoat6v45RtIoIiIzcRzBSQfe1DtbCtTq5jBh/FSvV2ARBS4GAitXeHxj1dbQNQ8n4ag8B1
ui4qHqkH8tJedURf9eKMRdgheNJV3d5vVvdWgFh8vmP/xfzVZDAspTZkSRkqUN23nzZ6jKq+q+tG
VmGggCEhNMQ4wt3JwNQiU1cygDYhUCF1lHARZs7D0IRYCAoIIhC5oscGNuSBmGvsBOvPmEIaQg7M
aiHn7ABlUaEYBBxICBzY1ICwK5lD8I5pFUtIUoqL7KaWMNzsDzjFXnJDAQH8dCZFFG2QjGCMFCjk
Uny0NiAzzTn7Yk/VhqJIwkylCDObmKgIiYLlfmgnbTVMMylIUVWzXDJCZKIiqojFZJASh8xAIGDk
xEKzkolIpOSigwkQKZiKWmRzldxMVQlYVAFh8LUJ6FDyANKKOA1RAZZWJkBMVExNJaYABQBAEDJY
MUGivkgMjMxiakyDapOSFokhGIBkVUa1gogJsOGgqhOORSTFVHKJQIDWxGBEHIiYEoUuhDkTxVS0
pCZiCG1IzdQaxiWUzWkTYzTUAjKfzkpZHZ20CMMWR2EUoo0mQj90KPOmWWnXRjoynRBAYu4lY0Bj
UEQO3DQtpYQrUg6isByGWdsssJ9QXGRYml5XIpocFBqAD4qG0NzslxMHT3HgYli0MSSVCeIUMZmm
kufM1PemfVJFU9TVFBvKBwm3rvbLgGaoi8WyBVv1ecWdqCyHbmO+sb/QvTbtd31sw8xwX23bcIW8
GVosA1HcaGACAm2YZW4n3ATakLKdJGzFzYmlAdsGTECVYwqyAIjh6lKTsQUMBtM0WyxvXjG5OpSj
Yo0oeIobgUAZi5UhWso2SEYrfTEoWPrc3+iXK82wlAjYl+Eqdx1gr5gpDEolEhBtxcZaiE1IyEen
7TyGPGk2Ji2BBGCJ1GeFNkmRjNAAZ+SCQQwjhqyZQFFkRij9wYxLjNFkVaBvZNVJr30gMy1yDVf7
WXipV1YDW06zyaJbbU0bAYgUAkEMtDWdlOWw0cSGdR4bIJigNZOw0qxkHONwgBBTwdgpDcYEqMYZ
mwOhJWALaCKowAigwigMBTGQieVuMp32klnL8uDGNCXJXRk0DzYMn93HC4bMaq4s6Vjy6ClQQyC/
P3hccCw58Hprc4Sd59sBqEIOfNp0EkO1cNq6368+SMysImpsfTjDsR9jxPehSlktO0SS2tLJaubo
RQULxF0/9EPGsZzGmZfOS6jb2bG0hnDsZqg/yWFhoFuRxyIEqytvG7mURGJ2aLfzUrUqcbAe4hvA
EGRcazowYTzX1p8OxlrX2nM4Fheu0Qg0OiRr6Y7PeBXViC4MIoKqlWGo5tLDURxHNGjNWI6vJIkI
Qg1AOtendktgrU+s534DQB59sKbmT1whBH+aaJE10gIRVdSpmH7I9lM1GbCXpJh5qNjMq188m+dg
XTWDQMSAqLguCBXCYtKveikCCRiR66bDEIkRzQQIzN2ktUzRj2Oo4m23oH5m8aMi4GhBUgJSUx7t
XIbGo7ABPrLWThovoVUwfzdBTJFJzUYUv+88gBGZGEzHrgtUMCNScWXD1ryTXKQ+WEzZEE19nePM
CK1nO1i7HYrUPDYQ6rrnzmrtASGBOEJ2NL85QsVxR0xgpqJI6CjdrGaEIuppSe/CoXo1jnN5TWyD
iBUDQ0wx4qj5IKGCSfVjGAKKqi9Y/NCGAc0MxIhinVLrKRAUrJiJOuYURFUBh6LMEQEDc+SI4AFR
FDEz9ZhrjEH6ITITeiwPCElEAqJK8XWU9x+qqZnyWDf12cwiAIHdFoj1dE7Itb4EHeDheo7ZYe2q
Vaj4obVv7O6ssn8lcBCub0GHtyPvE8LDJk8Y9dJAREjTSftu17138cOmSX5ENMXlcsVik7Z131vT
xDvPn7aq2fKRve01IQkRv/bUYzEGNDixt3v86I5vDcWUmc6fO+XzRiA6d/tx/+yfOrY7olPhvnvv
8pF7Yz47trcLiJ6yDjHcef40mM3OnjSkE23r3m9gPn/6JCEw0bnbbwOAO85MVApz2No45xutjdnk
tr1dIiAkUZtPmgt33THe8+Dk8SOnThz1l+jus7f7KzU9eUIRT5445sLeiWNHwfxhgdu7u1RNAdWe
t7Ud/MVuQ7jtyE4BMKBsGuZBERSpCSEYsCkjbM2ntQbGe5UDcbRAyGBoioAtYamh3vpEK2qBGEw8
juxuTN/RiEEAYL8KABWowlodVk4Q1ITA1IDIAd3jU9dCdbvXC43JP1lVoh/vmaPGaqhmGbTBQABm
SgCRw6BSoJpVCSEFVIXsnluzgMCIAkDux6x1MjWBUz/5I7nL1z3rPtnxWq3iKRGaYPAOzBF9SwjF
MWiOl/OdHdZxVK22Ha8Xx0wIZZ0/9fEC0BRrCKg2lFbLFZgWYWYRGQ8VpM79IYLaumXsmXAwM8um
ITD7C2aIQLbWS0FGILbj9DwTa1g/47iusBKAGKNUiCx4uaub+V3wC1AXx/6+FSnMIQ+ZmRCVCbm2
asOaa4vMLiOLavAVpZqBhhhUZET8lLEynAITxBgMCczIkClU6rf4Q8IGEY7sniJmZiImUlRGioHN
tMEgAAZWVESkMWRDn3prOkvrMkCkmAAjqZPffcNrwApkJCpIpKIpNIKCToZiQkAOgYAASUw5RRGJ
MTYpBeQAvoF2tpxxDDZkJEAgLbkuPJiJ2Y86zAFAVBWJAwdmZuKCxdmbRMgh1GIHRAWIIQLjMJa1
p5QAkZEnMRFYCExETROZYBhyCnHVdarSNI0MOTKnGEy0iYlrwASN2QhiCgjGISQOq76bxFgMpEA7
mRSVwJQCc28Nc8kYiFJIqApEChoIA+MkpBVYExggISAFliItxwQU0cm/HDioakqxEEiIg5SNEFPJ
ZhYDq0rbxDIggigpADbExKEDAVAgLGAZTQgUYUAg04UWERwaUilNJDNdFCndcCPrtM+rApYHbOLQ
5WAIAgXphpZF1v1cVlkJjRGHIkmNzNUSiAJUygYxDEsQNe1Zw8wyWUeQI+IMSwSNmIsNDVK23EBH
gEJD1oKIveUepKjeGAaisJ91SI2sJDVNBlwqt0YL5FanmecCCdMkxUmPstEStE1TTFtqAZcBt+Y2
VZm0ByCDhDyndgkSoiJbIGO2bFkD9KBDERxIIovCjYHalC4trG9g1TNxJECSEjPtACXNtxPPLGsB
Zol5JdAL8IIlQgbQG8tlamb7GSDgTUUwAsFeOWAqDBSYQgQq03aCIk2bAsD1VdmdJhOet6FAbIDJ
tDCv1NCoy9IgXu8HaHRZNPbloC9TT78ZmAxBh0YpkmLpkk6CZrSMKJ2YWbzZl2k7u953U8TYpJWs
tnjWUJ40E5ScGDbmTdRuY4aRIiNTDFNtJ4xLNiVFRRHIBjeHkliLchlKaEK/0o4yKuY8hCIAKtIT
dIlTyb2qRWtFOzQCGUSxDanrV0WtV6Bi2YIJTpqUMfSKyqkXS9OZZEkpagFm2JjEzywZGPqtCtFG
ZKqf1TQEFjEAYMBA7Hm8CkA6rJf0lmoaEUprdOVIrVzvJ/0IxhWwNAawxuMF3UpaqsZeRCwlF9H6
RKnDpbt6fCqTwMFbBqEWdgOqghOAwRn7Yw2aGWIQh7ePCTA/BpmIHy4ZqI6X4xwJIurf3PxOK6MZ
D9x1U+HChOJzuNq69w9gLBIcn1I1bVMTeEC1m75iX020goq1+iwByNS83LL2CqgyktVaNQiIul5Q
u1gtdTZey6fIXM8kYHoLFBdHnQex1i8aYBZF8CEQ1SAwm5MsDPxhoSrrlk5gUlUxICKqvaDuf/La
26qvMjo012s21GDtfgRACMgOyWDCSDRJMXmvorsiTQ5dvwQiZfTujnUu6qwaUgFiRgZDYOJBitVh
XpnIk5BcdwAKhCMAaJ1wHisEoKrB4+gOqooVeqMV3++9qQ6qsVFlNyqitTDQDHxEVGVGRgiw7kcl
PxQyAtbIJRjA2G2DPo6qfxGvU/J52LD2RRIwoYgRef/wWPxofpJ2HCuJqjkR1GM7qgwYmMC7HxCZ
wNV9d7GqjrMxoqhErt2qNJ7YFCuojAgCIKG6fQIBBSyEYKamFpDQlBENLJsVwGJAHE3qUb4ojIUK
qGZFSl2Ac/CTUfVYIxACEZjTFBmJKRAVNDVRNWbPuLrgK/pfwj0yVT/7qsv4VF2RDFTN0n4vc8RS
vViI1zekkeRsDtYmQsJqMIF6wl4H7vGWTdX6T9DGNiQPSG9vbd7/wN0HBwtAMlVmBsKtrY1Ttx1v
J5O6MhuZ5zbW29Qst9szabwn30JNqvo/4OGubk1PxdH66W03NeltSGyjgaU2MI13d79Du/mgcrMP
l3tAHNbH8rVf2j2IdrhDPPxfaawWG0lP4MVCRZx6455888T6KOyjIah6SJvdlkGgBhgAshkBRqbe
k8xmhp5eNrOKKasuSgCDam2oHcJmSMS1rcq/rwkAExuoA29d5lrfypyy48Bql9vE7xJSXz5EyqbF
QA0bJKrFr+jREjNQUCYyLQFBalACBMz5uExMasioBoNKS0iIbBqAfGGMwQlEUPeEiApQwLi2g5ua
+kTkuiIzRkIREzEgUp/2/HPnTzsEAVDDESNsnn6vjxWrpUL4i2Vvflv3/ZCqVFutqF8IDAAO/0d3
BNS4RyAGAK0lKiSqasZEphIoiArV2hiopwy/cnWs8qqbVqjBBk+IVlFYEVnNqLKCFQlr2zMSmjCR
gvd3eRmuISEze78LjEVcRFhNK/53oHqyKqGAg/S9+bttQGiEFpkjBcTC5OssAyI1ZfY2L2RjUSCg
Nd159FKpGQQgtGJopkXbkEbMOtRLFKwvwyCDaAkmWST4cxEgl8HMVJSIDaxI4eDJFCW0CUcwI+Ia
hyAcyrA536R+yLlECuZXFBgAtjG5Q1gQkIM5EM9MakrLEmCkKAIGQRUsogB+cmX/ww9fXXadP8ty
EQJCxL7rmxRP7B25cP4UcqlvvyESDSUf3iMBAFxHBQUYihyebMzEXJgnUXEIoREW1ZyHJrVFRdX7
lnjIPQ7Zwc25CIegZsu+AwUoxR0LpRQxbx4LQ8lA2KtozskSGojpwdBLKSBiA5WcD8CakHIuGEpW
XfXDHDHnDEgQOQ9DNGOkLJqHfhhyIGppcmPofM+x1DJhznlglYwWi6W2LSZZZChFihqWYAgAq77P
ag2QqSxLZ4FUpZPhyGQ2p5AlB4CcM6QEuZ80zYqsMYwGBhQNFCCCTYnnyJPaAqkhwoKlaZiyDarz
lqxwjFayAGEMASO3hINntGPoh34j4EpzpMQcTdW4LTi0PBtCHorkMC1oiElI9xWbJnU0bMZpyYiJ
G4Gd1mYhDU273bSZCAyp4aGsUsI+W8Ey4zgMw4SkIQXpVVdSwFh7GcqgpV8hpQOB/SHfYL25r8dT
88nBKrQxoy0GvNLJUqFTDEZYYE50sBiaInPiiDkSaMhTzre1uB3lRgMRB47NahALuDIQiBmbFUQM
MfddSvO+w33VEDYAJwBNSrOGUxuGjRSiGppNG7650sS6BMll4IjFul76RbeSgKywzHLpYHmz62MY
9vsBmCBxKWWDmkFKE1tS3W2aKdkQbN6gigYFi9wNWJiEQ4/YhuY69DNKTZqm0PSoG4lCanJMmzE0
0wlQSQyppYn2KxQpAxss+6xUrq2sZ1tm1DykCd24cXAkpm7IjDzFMCFLVnYCbgbrSmljKJY5YWDf
MjUc4v5BUeCMsZNgkVGgcORAYHFzFoopEocUQ4rc07SJvRYOTFCmEacNdbnEkFZd34SoqEVyljiU
z56wQkViUPWni7uV/JRQSmEO7KXdVv2leEvFo5r6yZ2RXA0bfZA+tnoGAwlZVd2lg2zrtInKGn8A
67Cij5x+XAkhpJQ4RFO9fv36zRs3Symwvjmj7W5vHT9ypNqBAGsjCPsiVnkk3oykTfRF31qhJbyF
OFJPOfXcNR5BfWBQRAqjBdfFUD/DjawokBpROfQh13KJah9d8+KtHiGr+/XQ3AvrIlDvQ1O9lYaC
o+43bnb1Fr7n4ehfT1posq79dCHOZUyzOCbifKFgpo5g8W9SRIi4npXBI44IoARYCbU66opWQT5Y
uT429jcaOa2IWMR5RaiAWYSYK+61UoTq4Sz6ucTlYYA8rCJyRIpEZOblluYCHRoTiyqqryF8eFZE
T5uaqSKSmNSIlAutYAxOyDR2kYwxm9SueLeM+ZEGAc0HeEBCqQdgYmdOjhQLNGPw9hCFsZTX5TAT
EDMlEDAviUH2MCSRaHAXGgAywi09e36Qcude8Y+KN2pqTdhW5UKVkRHBzI1BdSRYW9sBUIqbFNAQ
DKGocBWIDR2rZLqmmNmIL1aXU4hzEeJQyuBxOjNBYj+jyVhTS1BTxGTI6DZXFAGPPiKI80cVAYn9
viIAIpI4xBA5BChaRIFIFZAZka1CtGp7CgGoSgyMQKrSNElFfL9gKuTIXxEidi5uLu6n/cx3Pyb2
jxWATzKsZiJiCERkaCLK7O2qddRSMzQdzYaqUPVVpxONJT1kY4GijU6MerRUI17flGrcwMMB9UUA
3NzY2NzcgHF6uwWjZOvwhWr1kbvqqqohBM9Tg6GpGYOJjaGJGtT3Xo3xenDZDWH84o4mXs/362yD
jbcm/zj7BWtmBCg+j5rZIUQbK+aq2pXXP3lV/9xxbetVHYxFU9WQiX7cHxF3VM3V4DdwMDAOwfEw
/i1Dnf1GDg9gUVNEQcgABbOZBUA2IDMy801ONihq4uFxc/YygAgBAUD2E69VY0ZnGK1OP8VEAHot
gBgMmzq+g4FlgOoyAoQiCYkIitoAlkGLWgRqgQKiIeTFgjbnDGhkaqA2DkvMWU28GxnQbQqBuEd1
CEsCCoRBnRjHuYhTkUZQkKgocBwzieazIo9hdb+TECKBtRz84y9WyXKExIgZxyK3sWqVAIqZjoxx
GrMG5uscAK2Fvkrs4jyCoop4ktMpX1C9r1ShhmaxPktG1BCQEappUY1EClYhSrBOIvqzzpCQEWW8
8GqLcmAtAuNi0ZDEJPi0jI5orWFwtwf58igwSTEx4XFRoqM5H1QNZDSGeEDSQz2Omq9+B1yXtYIx
UWB2dB8aiCqiMSNH5MAAOvSZQ0BCFRUFBfDooltF/AUKpVgWNYUQSEGVfYjzrhTzAGekYIhMJIQh
hAQ4GAYOGQANYwiiSdE4xTwMxMTMqp0byochTzgwcK/SlYLsCzXoVVVKZAIFVZUiGJmZSx5EChpM
YiQ1Q+rzUFQUAZGyCAcCs0+uXf/+P//w9lO33X3nmV5KbJPmwgBtO9GiV/dvfP+nrx0sFo899kCK
MffZIcaikEtBgCIagnPMUc0G0wYphCClFH/CYL0viGrDseQcmJG4FFHVGALoaMACIAZSMIAmMELs
RZom9auekGZNu1gtmyb5sB1CqEVehIMZIDQhMSAzIaWu76chxuk8m0zaZFqaFBCxg6FJKbpoQ1AM
lbAJcaEam7YUufz+h6dO3TZNMSJtTqdlGJo2kekkpt5UtWsjJUpISEwpEEeOSIQyS3HVd5Fwk9PK
NBAZ0yw0HAIhZoQYYwANMSqHwUwpZEVjVhgMDAhLCCs0SnFAzMgHWWeYespimCD0YlGZqC3AQrHX
MjPOagIUMU0oXivDT156a49WDz9wf1cyMzZmDUhmba2QSUtKZQW6UsmsQwZFmJrcAImlLII0N7N0
WaeNfLhaZUw3h4MZhqiNdoVYbix6SmHFfDVbm6036gR65GwEiBNOXUpNaxyxbU3NjrU4n9p2k6dz
CK0l032keYNSwmYKAFMrkCP//L233nj1jT/+9a8Vi0a01DLHdlm6Ldxa6v7UUimUMAXjXWpIbcJE
KiDIaE0ppjmVMlifc1c0meWhDH0e9pfUI8pK9in3g2LMLXKv4p+glgK3bSJIDK3xxrzZt+HIfCLa
z2MogUtqiCPGZjBsYloMueE228o0DCUEoMEMQFpUscIUAhYK2OogmKUsrXT7q34y31h0K2pi1w/K
mIBuLjPNwqpYC4hgMcVZYmvDrIEJIjSxaeKkpPmEFiWktjXRlTGGwGki2CwRqXBq4yove0DLhQmx
CKomtFbKlG01ZDRko1XpUWzoB2UEs+uLm5Tiqu+btimiaEUNs+C15bAsgFkHICslciBGDsj8mRWD
Ajh2dQF5rYNLYS6bgAJBllIPDmbuw0dAZmInm5BvKg8bW2qRu63Tbt50CuhtMR5brGCDX9BI67+1
9S4f2radTtvrB4tLH3x44c47Uko+2inAtYObL77w6pEvzrbm21CzHDgyU/HmYrlYLPaO7pqZg1YM
SQEX3Wr/2vWTJ/bcVMcjzdVbEJnIPKfqK9cx5UjgyUxPDFVH8noUq2ZgRBlr6OtESoeRRQB0I+JY
MA7rlwLGKRF/ERExbq7R0fPrAbty6muIZnRJjTOq/1upQAsSz8AZMJKpeVGifx1iNlMDdRMQAMUa
mwGpg26wStVHQjARDrWEkeq4glrLQUZx2ONEoAZeO44AVMvTq8QCWLtwCbRO7+Q2NwB1X1KdgSut
D+oQeug9N1BFUgVEQ+KKsAJUQBVVM2Cs7krnjyMyICMyqiEo1plw7WdWsFum/FvkpPEiptrTK8RM
I3S1Tt2+yvG/S+7IrfyPqhx72UMN9xKg+uGKEMVXOVj9uuICUFWHgEbmPo01MOPny2lGPrDXCw+A
1AwIy2gdt/rdycYUaC2Bc83M0BljAloMMqDWOk5DpECACiFEBDJTrCd+WJfcsBqNr4//FipqBgER
tHKSh8r8MCNAwEGtM+nNlkWGevFgLaxX34QjMbkuycjuHuQQVMT1eVfp1DzyiqrKTI4IqcVRn3kr
t75l1ZsXM9UVD6IZMFf2M4xX71rfI+Kava/2BF/A+V5vLL6tkORxLaXGzNUwMn6LdfR91XWL5erQ
WDGWRHsbLazvBkiingxHrS5voPqeVjv3LXfUWqSxJjybM0dUcYyOr60JAKB1/ET1eD+iqHhuOCBh
/Ua/MFXW/DbUsedwxbZ2bVR8TbWNAIygLyTPKajzqmsb0K0h+fWekwwqtdOrFr29w79H9ipgT02D
EYGHEd1et7ZnVO0LkRHUNCIBmeuMONLjA3EYETUGkLUAVyd3MEw1LAkFLYoaQCAmtWbcECmAIGdQ
BWPDFmtGOIMNakLABtEwISGalKEhx8eCAioQgjLxIIrEAJZVA7BvVx34AwgUGNxB4/2Zhl5/YhUl
rgQWAxcwA0j+2CJgBY8hEBGYBCJBi4jFB+kRac+IRfyObsRBVcyAmRya4Gp61coB1UOehGp4aOuo
nV5+oXrXJ9T+SV85IaIdXuEIZCCBSVUMUNVRiDSWnFv1GPv0ggJY7SUMnttHlYrcRV9ZEnplXWAS
XzeYX3KVQsQcHdaoiggQiMWMA4Gq31bJPQU1F6NEaGAm4MRdf4LHwK7QurWb3IdtFkOo9wJgv/HW
+jFCcrsrIcVQGTpESETe2gGwHvIRMSDHqEiBEWnatByirT+WSOAdCSq+DhWFIsaEi1VnIeQiKNq0
WKRw4FKKmokqqJqqSEFEZygn4mA4Yb5eMqcEZozo+GZCZKZJSkWUiqKTcImXyyUBhLH/E8nhstXv
9MHVK22/+sKjd0tovAs4DwMZpCblLJs7Wx8XefWlV5784ueIKVnwXt0Y626eAIopMRMihbAsg9P5
c7ZAFAyzARGLWTYDFQqh1nYhCVhA34440xKKakAShKw2DOK1OAbUq2jJvgAwP/aZFtN+kNREI86m
OQ9WpA1sZgVsKQVEOxM2W6nqkJnCoNooFLUiGSMrYSdiSJ3IMucX3npv/4c/PPI7v9U3MZShiOZh
6BFzzn0pXntzo+8RcNHngTj3eWJYmJf9kLFfdgOxCajmLGYtEiIMmEuRzEimCQiHgmBsEA00F8sD
lgHYEmDW3GIsWKh0DZiBcBnmphFBNIvlIoDaaY5N4OtXD3767M/OndqBxPuXPtremqy2Zq+9f+lq
98kdF+4aQtwK8Wo5gGKdcunhIMPl9y8vb14vfd47cXRvb3eISNYobyJPQwCg0EQKWAI3x5oNEPz4
9ffvuXDm6rVrb/7wZ53ktpk+9Mjde8d2eus3mn6/W01j2xokVAmQ+7LC8PYbH0B/7fy9Dz37nZdu
XPpYJZ87f/b85+6d7kwPsnFh4qTCfW+rQWLReaAze0d/8M8/vvzuW+ceugcFZlCidgQLK9Nk0hIo
QVfKsvTLIlK0L2RmoY03+9XGnAXSAeIKJ31oN3nCsZ+3s5uSd6fzAQoGsmnqQHIbQi/BOJFNAjFI
Z+XAKBUcDLCTrthyNZBi1+XUkuVsJVDJwEyAjWgoA5aVShs4m0EpfS6llYkYr4rNYrhZdBZSX2AK
AUPa2Z5Sm1RtOm0im6HMGk4S5tFKi00KUrIKCsX9bJbxoGDJZQp6Y2kl6KrT1vqGmAzQinWLMOct
KGiDDj2BpOJgPRODDuDmYCsK6AlsQFUtxIFD09AgpUlpazrZmjQszayJGRQAA8eBbXNjfnk/z6cN
DhCBIXLXawFU+8zV8jjKk+6NrMavMTHl8piMllAnqrtDbF0uP3bKOwGwJjbJ6Sz1Tys8CdRlRhs9
bB6lx0NXHaxnLBxHPiW0XPJ8Ojl6ZId83gAcRF55460XnnvhCw/fRTvbhiRmH3z48cHNgxDCyWNH
ry9XF994dzabrpbLI0d2x0oGWg7Diz9//cTeVqDkyR0lXC5W773/fp/zkd3t48ePeRUH1BWlERqw
3xyaAACAAElEQVSNGByr/iG75Se0tRW2jvejX5cPKUGeFzUmJ3ni2HNYm8d9TKn/Oc7l/orUxGBt
al0zcRBNsNJWwM+7OtZ+qymby6Rma5/pmG7VWwavEbCP1bMGaJWH7DBYKLqG65rbJf0ntkoEOCy/
HUvD1RC8yK66XM0Cs8/GgblIWV8ASH6aVC8r8mNGQCTXdcFovDIJK16nbhB8igMDhEDOh2QT9dc+
MimaKABiAAze5jK+j1rFHJOi7r2E0Qgwpo69N4UYUTy/5PUMXrjuYzUaETP4fEJe4uedHu7BVv+8
IKEhwUjfVVvnjtdKuE9UomJEglBnQ7dVqxlAoPWOY33ct9Gv520reDjFjL5TOZxEaq0fVG+5A8zq
bGAIpagSFbBcDQzATjxCVDUmKGZmmiIP4lBP83IeBlQfjPwz6bk0n7SYB7VBTREEjAGJ2AVNZBIy
IFBQ5oBogYnIUiIk1FLWkTcyA1MrGjko1HCXCpi4WlJTbv7BIaJbLu3/80ZeEzWnuNXYuVXKLtdo
czXMA1ZG1Ph5R/AKojGSUKkoY/17HdLUmEe36GgzGd0T/unQWlvqOksMZtD3w/LgQEWIqEgBMCae
TidbW1v+2R+vujFYrhY9kAxrHvnI7nLwEtXfy+PQo4nE8NAwMibqcW1QrGZjf00dX0K3zPMjumkM
TFYVV33vNvbu3GIqcSgWAtewA6ATBfAXFOURa32ooK7HZqe9K4Ki71Ag+zuitco4EKEJoaPCQwYT
H/n8qSQaiYJBqMl6zGbFoOC4UTKLSE3Vz1ENEiVdu35Uw2i0zwZrqzKpcU0RKwAV9IyoMRIDMRq4
40OUfBMKSGYEEAjD2HWsiFksMaNZJHRvQkEophER0CLilHhZCgYyAlUhwsgO20MPnrngFikMqlIL
pbwMRdk0AgpSUQl1lQZUV0B+P/ercdzTrAl8FQlmLqch+FoSpG5IlQ53op5eETIIteCthvzlcAeE
oIVrHbKa61k1yY8qjjWqe1ur5wl/AS0EAqBxz+2RXSAiZlMgVVvjA5wA56MpjpZpU0EY8zXryI/b
X/L45FjP1VazPIxsIKAYQ3BoAiOLiILEGIuU0V/lWzlDJHY8hLqmG1SBmOs+CQlMA0JMsYgpWl3R
1kNTvfMzYaiffNHJdDL0g3fw+P1Za60aBzNVNAUXzJlskmLLXNtzEMC1XVBBUARiYuPIoYhklVFd
JAR0ZHwIQasfnEoRIzRQZuTAQx6c0JeIU2ococSR1QzQyKwNTVdyMUCy2ST1FtkwAekY9BIdYgib
bZtzF1D6XkA0IWe1l195s7ux/9CjD4aUPvn06o9++JMvPfLg3skTIqIiBaGoQBEmFpEhex+0iqqJ
EgUgvnT50x8995PrN/ZX2U4eP/7UEw//5NW3y/XLX//aL3FqXv/g4+/95+/99tefPH72zELK93/w
k9d/+KNf+8aXHnn0oa4UUEWizuwfvveTcu3Tr/7y0x9du/bSd/75rjvOPPjFJzByLjKbsKBCLiAW
KvRSJ0hRLatMOIBhLtISEeI0xsUgH7/1wanNcPzI9ntXD376wksvPPd8IQDiO+647atfeiKEVkGU
QkuJLL384eXnvv0X/9W3nt46dfswlDffv/SdP//7re3ND178yanbT1y8sXj6kQe/+tUvrgwUSjCa
pvZmv5okHlaloAbES4vuz7/9V1+7//SdTz5ZNBxICchXxaYEszRZ5AWHJgfMgiFN1MhiUwaUkELR
6Xz7S7/81cWNa59clW//m7/47/7wV+ZHj6XQiHTzQEuEeQwnJtONJu6XIUV+8acvPvuf/ua+xy8g
TD65+NYXHr1/6/SpFhHVkthQckDsIC8Xy8DUSXn17Xef+873lcN3/uxvz9+xd89jj7zz5qWfvfQm
N48sMO4v6SBzWtin1w5EKExxGptmBe++8Np80n3w2kcfvfXqH/83v3ejwNVPPsWDKzu77eaEVstu
f//a5aufnrp3c7GCa+99cvrEPMwmR06e+dmL7x1/6KEQm8srm4btgURpLgGBG0OP96aUYtvENpAW
CYjUUGMGAZfZjIwhF+l6OVhKm7W/vLQVoSwGZOwPOrCmKTaUnmPbaZmpoOYWeBI49jqPpASJZBpR
rRCH2BBEhpAkcIe0T0CAXWwKRw0tCmy2rWWaNSkPAyVmVEthgjqwMRRvsZVeF0MnfehXQ0Y7sHBw
kLG1Ra8UFQTKUDiVCegsAItk7jaamGaWklDh1CQ1LFqAEqWp0GSBXWLmJnbDIlBqAIGUOaTM0zZK
DluTuJKBFDCFIfcTBhEVExRVwX6wRVe4sdUgohAYDlZ9oe5G1wPEAlpypsKkCrkwfuaTGY3Lfvch
uiHTzz3iQ8aIz71FjhgPtX76ooqpXBfDj+GT8ZzBNZ1YVBBu6ZupbEAbRVq6ZQvv4tv4NwlNVcDe
ePPi1my6c2TruZ++8qf/+s9AFESqxCf68mvvnLtt78ay+/QnL5+6cFaKCEAWXQ75/YuXVLWZTmYb
syJltVze2P/k2PHjMbXdUP7xe88dP7Jx6o7Tfd9fuXadTLd3j3x06eONrdnFd95rUgyx6RaLo0eP
Hjm698EHH12+dm1v7+ju3s5rP38jMZw+e3pjY25IXDkyh9Wso4W4xs/8UUuILo5RxQzaLXN5RfW4
Sokjj9dPnyOypzYj4vhA8/qQ+sJqVXoJwDfKoOuoasX5VbnVFb9qBTREMBVmdoezH0xH99ct0EBd
z7nOSPLnzjhvuaOMa1NBLS7xQCOYegAVcJ1krAk9ULRacOrbZZ8xrGpOle67rgPwGRaC1TIDG6Np
tSfTCCESFVUeTzpUO1gqv8qHKwVQBR8wKnkVGA9xi+Q1q1xP1cYA7KdpYNC6xjFAVTHEgppFgFFt
TfZA/75oRlVQqsG2Ko8jeuGhIIgWH+frZ8hcZ6gOsbXfsWrweOvnF5nZ3wlmNm+ct9rf5/XmThvz
hRJ5qFRBPV5L7LRCIgYzUotesqgSmB046T88IxhC8LnNFFCJfU48LDUlQBHJakUNmN2ujEimFjk6
P4mZAoPTRAwsa3YrdyCmFNDAe5gNjAMXGR2eROowEmIkIAKR4tIWqFLgLpf/gq3c+hM6BkI9kAZi
QiOdTEEJPC7g1TLqqo2BMLOYL1YMvQQD6/ti5twS//m9nYMqOEkNkV31rS2pCE2MTWpWQ371tTeP
7W63kwYB29AA4nIYnv3JS1958pGN7U0ACIHdLOCdMgeL5cHN7sjujo29F/7Z6YZ87fr1vaNHmIhq
oySNsiTfqnnWy7iWQdcLcB2bRqjFs3DL568Kv3XZUZUuYh4hBHiLGcb3VwBU3fLrSUYPMQUIiH5/
QFjHOsicgu4sJq4o7/V6homQSEwGExjyrG2tujkIQAMAIoo/nQCQqagSshq4TT4gIBGoKR8mq9WM
D4VeGMsq18hUg8reU4XKrh1v4OSvo2cK1utaV7MTUzYrqoIYEb2Cm5xa75kLBFFPNqNpGbFuBL5U
QghqLQcxVXB+LxAhihBxFh0AyZADIXrKAH0y8pthoBFoSGiGCsaAbn03REVTdRi4m9vJfVdIaCII
FAizGhNlUa9A4RpkrotKvXW7XPtaPLWLUu9VGAkNNAZfbwEgmd98zBm8QGTFVG9JHiNhIHR3ANeH
i58uHBgstRTmFqtL9SL45sNbhwmr0RtHXnDt/nGikkf90bSSF93vgOs1j5GhOF4YnFBAAIQyXplI
yEwisiYIEjETmwJFBsAiRpUMBY7er3dhETIMFZ7Hat4slQEgACCTW4egbdPGbN60c7CiKsRoahyn
0zBZAiBCjNG/a4ypOqRFFUmRnIwYmBWsianLWR3zR6ig3uxXVIpqVkkQA3EkBrFFHkoRoMpCQCBV
M0YxV1wJAHIpCtbnvp5pVAewwaCIQiAxE635Jv/4mSlHZjAQDZxEsxEY0cfXb3zy9lsPP/oAIa4G
efWNi4/fc2FQ++Ty9f5gMZtOjh07Som6bvjwgw+7vm+nk9tOHOOGs5ggXF4s/vYvvrMd+Fu/8avA
/MHHnxSDRS9XPrgUmA1ROH1w6SPIORL3Wd586z0N6Wcvv/rIw/dyCm7vyUT7WRcfX373vfef/c6z
j951/t4nH1+IvPfmOx9/9Mnu1vaDd5//4Mb+4s2L95y/rWO+9MHHeOWTc/c98OqbFz/94P3p5vzh
u+/kjVkBC8yfLFaffHz54QdPr4hev/jJM3/57d/+9W8ev+/eXMrlK1eureT9N9++cGIrHN97691P
9y++fUniz1546T/BwT0PPTJ98L533v90EtEm03NnT33zD3/jmVev/uP/8aeTlN76+Eq/Gk7ddttT
Tz95RfMbr7z62vM/2traePSJRz/55PqrP3ghvPXqRxevPPGNr/z8zXeuvPLqtcXBl556+IEHH5yD
TlTevnrt5R+98uUnTv/8o/7N7z7zx7/3K6+/3V998eV7n/7Cd//++6ePtx9e1heff/F/WRyce/R+
yPHFn7155dP/re/yV556/Pzn7hYMV1erSxev/81/+utvPf3w2a9+abFfMlkK7Q21ojQIv/TO5T//
9l/85lefuJbx1e/+w+/+yW/Q7Ngn739059mjP/7nHz12cvr0t76CW1v33XXSgs6bidxYbcxov9Ar
r771w+/+44ntLZ7Fbz79pQ97vnJjGbf2Xv7xT771R79y5I77D65fvefCfd1qeVkgcToo+tKbl174
7vfuOH322rXF3/wff/5//aNv7By7MJ9uXH/vjQaFpWyZNtKz9ih9zgedFguQS+6kHORyc7nKUmCQ
6ebmpwf9rCncS6fUFeiNBeIKIlIsyJttQ5iTICTTWbBp4KKqzbzlvmeLJDECpQHDAdiEWwwZaFIT
0cBFbAqsMASAgLBJPGfswFgLaQHg3Heoeu1gyQJlVWbN5GCwJsNBBsimxkW15ZS4axljImSaJZpv
TGaJoU3zJg4Fe5FCsecmW+xMskEL02vDcnfeehbDPI0GGk2DDXNTMGXRZelAAIwKWCclF7m56Lus
jEMBNVHHw5R+iIqEHIgiQQq40cQJWUiohszMGuYNlRw32gjFmAOnlLULTSr2mXti3MtX84SmSECM
ldtR5yJRMaewERFV0FrdIntRn4H63tq5tYSEo4wGFVHgpBxar9t99B1nN4dmoJnWZN1If193nhTV
g8Xyz/7q+8P+tfvuP/dP33n29O3H7nr4QVFA8tMfLrvhgw8/6dU2Q2BmUd3vVi///M0HP3fvD370
s6e++PBLr755/93nrl+78d1nnrv37vMpRUA46JY39hdf//IjNJkA0JvvfXjj44/v39n+2Yuv3fvA
nc//+NVv/vqXn/nRqw/fdXtR/fja/vMv/PyhLzz4zA9efPLxe7//3Et/8JtPb85nbkccoRDrCGu1
xtWKbRfriKTS5g9VAufPE5GMhZ9O9VzLFlUnNMeZVKchjWPbOmS6fvKOxRUABkzolS5V5rXxAWnK
7Oa6UT8BwAoLRXEovz+VENXEkEw1EK1Nhp4fBTnMDPsBU1UJ1tZYXDuT60+L3rFg7Iq864G3xNio
9oM57adu6LX6V2v3kII5GiTWKd9zreDGvGLCBEwM3klTkVxVC/IgtDN4qsBlysQIxEhVQTNdY71s
LB1yRqRRjZqCVQgFEpWShQAYzUlLzCbqBmxaY0JClaatHkHAwMRMvW2PyACYRzqOCBMzeAbUmLAS
jcYLp0adcbxOABBBtBBREXW7M2EtP3Spn4hMBRCYuJgq4KBaAIYRhRmRGDAgIBoFyqXUJZT/2KKR
OTo600HLFb1cXQCESIpGnBUUsYiEwCDGxF4K4CHzgEBggQnJKNggkqUQAYIy1qmvFHFff/CQ6ijK
upOyuv2IiwgYxJj6PFSI8Wfaynm0uOKvqdpH7BbJDm10cXvJRLUor6XC+inzrjrUkR5ndQsw5t5H
IrdfybCGIN+6H3Sk6mK17HK+447Tzn31vpmfv/HWT559/skL530uHUQvX72+ODjgwMd2d67eXL7z
+jtPPvHQcrE8cnS33msIb6xWP3jh5X/x9acYA5J7PuzGYvHBex+IyNGjR44d23OnKXrDrR222qwP
8eO8oetw+/jcGMPeI1QWAMQFOJcsR5CJjawifyK423xNGII1+RzQiEbNuaquNbMMtg6JrFkCOt40
KrQ71VHJsOLMq7XGDm35AlDQs+AVmjyK/fUW6wxbv9oDYTFlJPGgPgIARPACGCBDn1V03d0yWlgJ
AJGdFqZWV28BoZghmpgKBvcXeyrWv6+bdFz+b4gQUPxOVX8+CwgCIIBZNSF7ItrvJ2KW0ePrQACM
EAE8wWGgHotAM6SQfbflf80pUjpef26jAFAQhxH4G1GfNe7iZVcmkQgZ0UDXCXsBYMCxsUXX2RUA
EDEvNiNwYi0VVUTykZ4pjHdBIMQAtPYmeP8TVt4Q+B1ZDeo+EaupXqo/ue6S/E5IRIQu26JUNGOF
kHsxLAIwM4CJE73BHPinqlg7n8y58X47dXpideCPhhffugI4/gAl+65NgQwce1fzHQRmIZCa7zAB
CVNiE0U0KMbMMMKWkDAwChMAKqA1Eb71q0/+iy89YKIcGBhzzke3d3W+VZ3AqkUll1w0owIaZC1Y
hsBsCtPQLPsFoAhp5MDMKLAqvUgBd4IBBmYAwMCl1yyKHIxoUPGUQOSAgcFAwYiZmb3Px70Ek+mE
mZmp4TSJKQOYr98QmLyyFUMgVlIwjhQNApiFYKpoAAw3TYuqSSacIgdDyCpvf/jpX//1P9134Uwu
enOxPHHH2e89++Obn3x625lTrzz308fvPP+FLz/BxH2Rty99cuWTj/7gv/rN3aO7B/1w7vxZapvV
i2+aWilFKRRVJC1aVlrefv9SG/HRX3v6J8++8Orb75w5fx5A170QL7348uUP3v/S1750/9NfuFLk
n5758eq9t+783Oe+/+IbF994+/YvPPAX//DsdniUjp/93vd+cgcd2Nb2v/+zv/3Nrz680PLeW2/c
/7mHs+mQc993i4MFT/hav3zh1Tc2d9OFR+4+KHrb1s7mxvyja8u/f+Ynt3/53u0jR19864PhlR+e
+8ZvHjl+7JHH7z9/9wPvdvrpxfcfvf/EDy9BW3LATG3DVu4+vXPP4w9furz/H//iHzenePP2o8/8
9d//1lfuTfPb3r/44YmzZ88+9MCXL+yeferJn7x7+Z+//Xe/+8df/2jgP//2X5+ZHrl5YhdKsSa9
9OZ7x4/Rc69f/+C118+8fNcb+6u7hmEf6LU33z22c+b8A4/c8eD9/83vfhMfuuvf/8dnYgt/+Me/
/uzbl5/5zncvPHx2YzbtsKxuXrVSvvDYXf0kbSNDjKx2eXlzq90IPWyfO/b2Yw/86X/4ywmVX/nq
5+PxE1evrt57752nH77/By/94Je/fOEDwcaiDoaZLw+6WsUbDN2B/c1f/vOv/NKpBx/+igUYFsOV
y9dt1W8dOUrKJ47utQCt2qbCou8Obuwnlljy2dt3vj9077z843eXiinnU3vXDlbKNCguhJjpqmFT
6DrwJgSJE+aUI7ZCxmHWtJNpy6JdWM0mlDZ4OmMxvjroEDTgMJkgrYZMQ8dyvch1tlYpZ4uCcYAg
uN8PhRrJRgZRyiQwaJlZCXmFZWUFGDSrDKJiuiplKaYgLeF1KRHwikpDbCGCYGwiWW5mbbc42Igx
McI0zlMYJmnStAerLhtEQiFcESDwjWFQbg9WCo0tBlEegkk01bJKZRUAJzBEKkEOZtQnWXYw9APE
GFE0KyiGXviGFMy22U4wlslspn0GkAlHsrw9n3TBZk1zkAcQCNOmGIQ2wSCqmkJcUjDgviBqyKIF
bELBKPZZBrFV0SwKgmjZpNiAoPmzO9lgrT/5RM3Efst3BF9gCm5fpNrv51AQGFebCkpVxXN8q5kp
AdXIEIKqeh+YHdb3HWpu62oZVw9kffqx0ZZmdZzYmM9+7Ztf/J//p3//7/63v/rcQ3f/y3/1u58e
rMDADcOk1rbN3s5mmE/feeVNBlIFRlZRU9vZ3j512/GLH10tw9Atu/0iR48ecZU3cACCxbLbaCfV
O1eklLxYrsDg5IljR3aPfP7R+z/9+PKHH14+fuZkatPRvd2U0nKx2ju2u7uzzWM4ojajaLX5uqg5
Dld1nJA1FonQVPEWosn6QFzjc+MfHkZwa8kN4OgXJag6akXTI9zy1epcjIaBCA3NX14iq090rvat
kWw0+iEdwuwojqok1LfPV8cAwb3HpjCeDp0S4b+dh3bHubL6bMXTHGaAxkQIwIaE6vZxt5yNziqH
A7GKl9H4ehuJUM2ruUlMYWQYAiKjcXAntdMoq0DtP0yFa1W3LZr7vgjE3zI18vCt28PqYI/gbMw6
0Y9itVfSub+xOrRNzTAQjo25PrUgIgOBKhGTC9U6miORirgNe6yphbHm18EwBgQYANiNXpWJ6n4E
/xyRoIuHh6pU5RKreMMh2tq/gIAWQiglB2IEK6IKNRNOhA2Rr/+jz7G+/DYFMJc0RZSIAlFACgCi
FpgUQAGKmKGjLKkUiRTIzW9gKQQVQUVQYMBs5sUcisaGgOzd8zEQITSBCQAUiLgUIcYR9+pgNBz6
TGNLMhEXyYjgsOzaz6T/BW4RqEIyooy+egN1pG3kUPurxl5GWtOJRglt/XXUAVZYMWm1d8ZwHWWo
zkRbR1XN/MIb73MVKeQKKuGHH30cU9zY2nz9rff+9f/3T29c2R/KIKKu0H7/+VfuOHF0UcrFt94/
ffedQ5ezgRgu+nLp0iUzmUym3LR5KMvl6qPr+6dPnYwxLvr83e88e/b247edOtV13UefXo0MG9vb
F9//cL69/c5bbzfTCQLmvj+xt7e7d/TN1985WCxuP3l8a3vzpedf3Nmanb/r/GQycSx0EXGjr42h
htoZQmhq6jnhsb2mLjHJa6vq3UxGwzC6fFeNHuj2dfDUxBhXPkzgAxA5uBnFzJN7RphNq6bqyrQZ
ezcxOJeL1NzXYOjefjfljwHLUQ5ep00tEEltRaodVArm+yEvpJUqMR/uLAIDwrpajG7pCQMGU0Aj
LB6frh0q7jW1YspAAYEIkgGIFXTLUm3mZAIrikRApEAKikieTRjrXhhACSwgFg+co8uS6ilTz3Cr
xy7QCJlVwB/ZPpYBBAJVC0i56Cp388lEwcjAfGdk6yQyVNP32hYOHlkAc+8FOlIWRCVx8EhCTYiD
MZGuFz+VwYW1YckUkf2GLAiJSCtG0T1cCB448SRCld7rfM/ItQ/au6VsNLSP25W6UsU6ghKomE+V
5KUyFRZYre9ooM5ur2XUdYFhjn3yOi5EZCJD08P9kxIhM6qWEDmGQBV3WMV+X+t5U7HnbHIRA6PA
ZGymAUGZoIigaWS8cNfpFJPkITWNgK1W3Xw2RzUoMkkhd0xAxFEHUcCYIpYC3rVrJqbMXBHPZgTE
TIEHRIwx5FyQiIiYeLTxQArMTIF5EEWEEAIjMZF6MxkoIjKzIhpAV4ah5NYaU43edlhUoVCgPg9E
VECGvkcklQKIAYDMepFcigIaMRExWSADrWyqoZShFAA7c+r4ZD5PiT/69OpPfvrarz/9yNETt+1f
P3jjpVc///lHgNnUDm4up6E9trUNiNMYFfCGKNctr3GIWjQSFci96Ftvvm2rvqFQhvzKi6+fveNs
4uDrdgVbrQbcwlMnjnMMuupffPH1x+/YNYIje5uvvvDTe7788PkLdz373Ov3fnFr/8NL93zrC30z
2dzalILHThw7vbedwQJST3gDsiGZ8QLwZimn59uQGkMYFJSoABjRAKE3gxCIuJ3P29nGbPfI/Mje
4p2PhuvXz33lzu99euWtdz985js/eOWtG+cfuPdas3fx5XeufHp1WK5efe3lR+/95h13nH/v3Wsn
T87uueeuKxQxTkI7C5PZR5+8tbhx9e2XXlsMtLp29ZNLF2+7fXcr8fWJ3Xv+1M9/9u6G0rn77vvp
y69i05555GwXNQYmyIZaiBW7qGoq58+e3NzdmN3MiyxXbl6N2yeWuXSmfa/vX+luzPOkAwp5WJVn
/vN3Dz7+5L47j3/+l3/n+Nnzy/2/CnTw4J133hj0yqdXpyjHTx2bTJrrl2/cazY1K5Fysddfev3H
3//xyWM79z16H5XlyaNbIRnMJtcyXfzwvQt3ndo+tjmgXrl69fjt51eIC4OryC+9frFd3Ti/e2z3
ybtOnDv7zA9epzbed+GeY1vHqVuA9Kf2ZrPYzRm0GXZbvbnMiQtR6aVIoCydmMmw2Mc8AV4uO51s
XFlxbuj6zeFmGYpBI9L3fS6ZSt7jMAUBhJYhMAmrhYygJVkToScb0ITjYBRjvDHkyWS67DrgJARo
EmMKOqSQMBkyTGNECNsND02cgIlKQDbVIrq/WkWj1apsTNJHB71G2e8lNmBi0GcJq1algVIo7yJs
c8EkMyrWUGIgCrlojFOjodekHAYZpryRodc00d7mTYrIQWGziTh0bcMMxIkDFQugw6qUQhxMJA8l
F7i+7PuMPUkq0OOQV4OpUrEIiFS0FJVMWlgzYCaDRDRIHzkmxkkTbKVAwBwGyBiTyGcmUgJ5Ggdq
ZzWiiBqMeEkxR/n5ItTnrHUJ2Ohu8gI1I2JXQdch/sptHWVSGLE9t9B9XL6rg8doKBvbu8eeUf+r
geie86f/+//+91947sUvf+XxvRPHrr39nlvgFADBUuCDm4soZdI2kblpYkCctU1kns8aRpq3LQNf
OHfH7aeOvfzKm5975IHpxkY7ae97+J5nf/TKkSNbbYp7x4+9c3Px0k9eLqtV4jCbTVVtsVh0fbfq
u6M72+/F9Nz3nt9kPnXs6NVLV2rVXZVQHLVjeBiSqTrnGBDFXxBJRywKu9Qy1o463Hh9evMXqkoT
a6Yi+fq2zkWMTlg8lEzX860fqwlJwcacLY48IX/JR2zn4Vhr6MOlGq6zZ3640cLoJx73mpLri+uW
jmpFdtWXDMZf3Ol4SGCIakpVmx09q+OegjCs/cxAbIhqQMy3jOsetObep2BQRseqGqMBqtehewTT
x2z/CdQMic2hqE5nIi0mgZgrwFepdm6Y/9JM1WLsv4YqRGYGUlUYh/8xRQujnlNRH6NUWy2UjtOA
MdcEqoMKIAKjqBKzQK0iJSLUqmmsPynkUVVXWU38jY4h+Ls/SGGmEWoLgZmsFnIikafRwDQGNlUD
EABFUzMKXEQiMZoGZgQT1DpAgXphJ44DWO0IVgtE6r0XiF5uF0JQkUBBtZYgI6FIScRINhR1xzgB
elKXkb3vHcCBz8YICJXAmRINufdIIUB9uUIIRbIfoooXLTpDm1hNwPDwPvN/+v+KVpkXiFQsEIVq
1wWviEopgqclRzWV1thwrJVazhP3HPJoGFlH6GEkpR16+db3wLXXdX3UZ2IkIoPri+W//vY/DgcH
jz9231//+T9st9NHfvMbUm8zCAhDzsubBzdKnjkpBejaYvXmz964+3N3P/PMc7/09OM/fP7VBx+4
59r1g2f+6Uf3332Hl1XdWCyWi+G+ey9gSIb4k9feTv1Bmc1/8LNXLtx34bWX3vjVb/3y3//tD774
5IMI9v6HH3305lv3fvGRH/zDDx956tHXXn3rT/7lb04mLVSHOKxnOfrF5ZrfLsYNF64dwP6b85jR
vSVqW5uBVG0d7shuIEcAZZ976kMBFEBREcHYRU4VfwdFRbyspYqBSkDobw0aGAS3GWOFKmDdNwHX
aQNdNa+i8bhtZCAZ620EILoZHpwLuLaEjNwpBHIGAToXXQkqnJmQCU3MjLD4yI21co0MFddYdIiE
XooBRIpoRi5NBa+KMUHVGQdUYUQGiMRV7VYNgQJqAFQAUctONKoF3iBWXcIRCMDCCO5yld9j22s+
VS7F74NEvrX0m3f1nrgpfOwMYjMQqCkSl16ZsIiuofd+C7KKJnLAskcnCMDYY8C4rj6qCx2odoxa
CzM+/jAyodPhD3O+da1bSQF1nB37hBFHKdQI0NeR7uAFJFEQEceyBua6k6tFA4CVrePDJBGQmKzV
YDNjplIcBmmIUETQy1GY0DQwssuvYkxe+qNOMjdPKjFpFuJRDyAOMYZcLARiIhUiwMRhEE0hZdMQ
FJkNFFBVFZmzSkDrQQIE7x5ypz8hBqgrh2KqNVEDiWLOguPBKxGJFNUQCFUlFyRDNBRRKQrdqi+Z
kdo2+XFgJDVVtF4xLeiwBwJnmjHlYQgcYiAr0IQopkXQEIMhiHKASBQ4HIBiGzsx94TnXAg0TNvb
z9wevv7lV99+9+bN7syxnXhyL/fDu+9durq/mqd0+sF7VUoKUYg3tjZWQ7744Sendo4aWFGbNnFz
0lwpiqYKNmghNUjpwys3r1765N6ztx18eu3I3u6lK1cPPr02ObJNZnPkSPT4Iw+fOH/y3/ynf/yD
JkyP3sZgy9XNjVW3PWuf/tWvbk1nD9xz13988ZXue98/MQ87x0/QZOe3fvvrVz/6+McvvHKRum/9
9jeFW8q2PZlub20fXDk4E9OJ2058/A/Pl+s3eTolkwnRRgqzSaKcN41jyWLSMDBjn/teyscffLI7
M9zYKvLRfHN+8vYTdz/4OG/N/upvX5gtLt7/2JOXPr2+uP7mNsGvff2p69c+/unP333hf//2V3/n
Vzspi76HrmPE3d2dh558uGj78GMPHDlx4kpXJAxFYePY3j/8xd8/es/ZO5567J/+929vS7/za59/
Y9C+mJRoxZTC/oBHlCKEWUgNxPm0jZOQWDZTKip33n7qpydu//4zP31670SK7YeffLQ3n/32t57a
nu5cW32KsXvnZ8/fftsGxq1nfvDSl/7wVz784OrmLOzedvyB+x/83j//kM99eu7Box99fLW/duPs
vXeduXBuvrFx4+bByVOnXnrh0nzn/ssffSw9XP/g4lNPnIW96YP3X/jOn/3die2jQ+5/+tprGzvz
3/7SgxLBlr2E/XvvP/0f/98/3CB96v/5J9dz/+Hy4OL779774IX3FnQ08pUhhA4+UmwHu6E2taBE
gUIipiZhkxpQM9lMfZgN83neMLg+0P4Cjjaw2cSdOG243ZcFA/UxlL6PHIxiMJ5EThlm1BQKO0ZL
gkgAJlsAKfdbRMF0lTMbqGDX9chxMeTeVBJdXWSgftELkQwKbJAiI+a9ZmJ9jzG0kfemze60sSE2
kQhSChQnqTNYGWpIB8PQpumncjOGdtC+wehdTmgyYUvYIQOHAeVmyzlJzpo148rKss8Q86Wu34ao
hGWxnNJ00Q1TnhKwAaTAfcDIOm/CrAnLLClaaClrDE3SAqI6adubXQehEYoaWjUeRBhSp8PUkmHu
+hKYwZTAUkC0kj57vtQPoewOK/XMCjrTdH2KErOiAspjVLLy+p0iU2npUMtL/Dbta2In0zhkzovA
zHR9PINq6/K9r9+nK5vHx2CuKAKapGRqy8VyMmnPn77t7KljMUVR7RersLvljI1E/PTjD+RSgKCJ
KXDY+fzDIcbPP/5g0zQ7n3+kbZrHH77HAM6eO8VMp8+eJCYAbRkfuHDHXadPeFN5CPH4179sZl98
4lEKfOq2Y8h04c6z+cxJJoox/MrXn1DRQBSY977yZO0BA2dIEAAAH1orAUc8yahD+mn1kDKvWh3O
dda3kbwDY8mN+o7Az7eeKKsIVsTi7laEbFZR9Vq9OYa1ntNAHV7ha/1QQ25+/EJ3kFafmlltoKlq
rW/k68bB8UsAZKNa6JlNBAzj/hthTMOCrYmj7qdaz8GIQNVwrpXC6rMbEuiYK3O4Lhh4KQsYV6HS
j1mmAOxm2qJgioiR3dta6dJWDdVjPWNVm0GcIYWg/hY5GUTA/as+3Ptv4UWFoLDGM46o1UML9trH
y6543FLk62lErut8l3G4ErA8jFS5ICbuKnD4pNU+G6q8qhGRi9UWVs8WsA5EgoJyJMRRJ/bcWr1m
YKzZrOc9qwZs60UoBCkFHDc6nhu5ir3ezGpa452eEMLgeCP/xsSAJEWMSJw0q4BMkgWZwCQGRgPv
ygNAEyMERiVUMs2qTjZm7/JBxygqgqmaw6sZGYAM0cBrEFnNTNQpX6YWQ1IwUBMtqJ95K1fGUktc
G+ZNx/Zg9xM6curQuAtjPMEnGxfxVJQDu4ZWlwO+/UCSKvfx2oA9hpnrvdFbT0dnrzJCIJq07ee/
+Ll/+79++3/+//y706eP/Xf/tz/4cLHK6thm8Bal2WQS2q3Lb75nYGKiBrkUUztyZPf0yROvvfVJ
3/dXru63CMf2jvjXTyEU1FXfT0IsRYqZDkWklK4PBCdOnNieb33h849cvXp1efX61omjm/PpztaG
FJGie8f2mskEgHScKr2PZuxAXqO2Dc13iq4O1gLhmhMZnfwy3uqJfJSzccWpUuuVvRhG+bB9ej3G
I1TXKIzMJrfCkgAK1kQpVcA7IFgkzGoEpGBiSoi8jpT7vmg07htAAYtEzi5DQPeWa7Vuolidh2GE
otU9Qx39HP9m3mKyJokjjp8995kgCtSOlVjHGzSCilirMB1UsF41IKMKjMGNde4GEB0JTVbdI6iG
CkwYALIzomrcVQOiIIV66ZKoxMhkGhAHN7v6XV1cf0Zinsxno4FHCYHRFCCrmR8DvDL31j5R5xX4
f6FrvCh6mDF2/XxkJLoHR4tpQBhbnOtaw+l9I7scxswnjvS3mj2hcYF7CMgnrPU2MBa1QaXMgniJ
j28cRvNCbSJArp3VNaZUvPWa/RZgIWAuyv4RH2EahEhog4IoiAICihoSpSa5NyfwSCkCJ+ZyFgFA
EfWzB42FcECkBuS42VJCLsX1gRhRwayI25aGUrxMbNF1kTlraUGZTIskxCWoWFEIRMBoXc6sxsTC
DAoRyYhzLk1qRBRT6Eshg6ISQ7AsPALcYwiZMoGlEHodUoxoEAwZg9hQRBpmIkqcsmlkdl+NGCYO
YGhAgeNKu7bxvoOxes+ADAKwG6tijGY2oXj70d23iv7s9Yu3n8HXX311NptvbW18+vEni8WNBx68
85WfvfH2q2986Z5zF+44NW/iQ/ffdfXKtZBz2yREYNUHjx378P47/8Pfff+XKc435hff/2D3yJH7
Tuy9lsMPnnv19rvOvPGj50/tbG9ubf/o9Xdb5i9/+fO727uXrt/4d//uLy+9/d6ZnS2qYX1rU3ri
i49t7O391Z/9w9NfeeqxB+/6+J23T+zsXO8W1nWb7SS3aX7mzAvf/g//r//hXzFP3//w45dffev0
3g4Sf/rx5Sy1w3Y3xTPnT7337usPiz710N3/+dU3/pf/9W/uefw+VesXq3N3nTu2t/N3z/703oI/
febZO2faMLeTzeefv9g3J967+N7tu9Nh4yjE14/sHDt3zz2x2b2O1qNRwevXDj784IOTLeZefvj8
T2esy+sHbYhNk+48d+6Vl5/f3tx54sKJqz8/9YPvvrBzZG+4cXD26PGNedqbTrgHPXfqH3a2T6X+
8QfPv/Od3SM3Pz69c+QAwrGNZtLA6aNbZ07f/p2/e/ah/YOTTTiwpFAYkELTQ+jURGFzo/m1P/zt
v/3Tb7/7P/2bSZO2Nzef/NJTFOcR6UofD97+6Po77/zR7/3WZeYf/vu/3fvxqwefXD65vbURwxef
uOv2rdk//cM/PfvM92PL3/jyE9OUh8WKLEwof/PXv/SP33nmz/7tvz137vTW6bvy4sp063OS2i/+
zi8//8/Tv/rLvy0mZy9cGO68fb+E0DZoZNrcc+Gub/zGV/cC7xw/vjWJuDg4PWvuf/D0aqpHEwKU
vYkWtaOtSFYuZRKaDkVQgemmDHNue2tXNvl4tT+03PehF7i6LG22eRYgw9xvoVHpojRofYucYSVG
rEFlKdo6h6srIsQK2CNLkV5tYqScVA0pBZYmpQhghIlJIextNGC80SYcpIEAhJlQRRBwyCIEA4Tr
i/4ga5PhRjc0gEOXy7CcTmYy9BOySV7uUEmy6qwflMFgUFmKrgQHbUB0uRq2J5OV9DOKgdsYo68w
tyYp5CY1BAiFW26Ycpy0UTINmoFwAOgEbphBhkwRi616Y+FukIShK4VKhjJg6RuUUPqIRTXPmQoO
DD1ZThxzGcAwEA1qhqDEn/VkJmaMKGojLt9ZlBX9Dgh5dDGN7S+2Tu+PdXbVebVG1GrdVdZdMo//
cMS0/OLxcQ3RgTE+VL9aHQOIcN5Ozp4+/eZb7yOSgjovvYi2MR7d23PNl5mn02ktXzcDAL8WUpwA
IE+YEBOzmIkaETUc/Cdhz360refoEABT8ujeOIJYQIhtW0vDkTCA4yiYAsBY4Dk2uNSJpZ426gK5
/k/VDehr2LEL1J3McCu/wRsgkBER2b1qPjQAAHojSCUjuXZXVWb2YhFXAACKQilDalIVbq2iOGiU
vmBEfRySJqBq52NtKlYQVg0PE5C772pcx6kS6gFkQKnVju4IAgQlIBGhsXgOEUVGc5sq+WGoiE/u
IjrknDRVsc+RFWOsh+oOu9rW/AEfED2vSN52WOtl6tZdVAF5hCvD2jVYi2RNCJEMCSDW4UPdQqWI
WkQNgdkdhuu0s41lv4dlHn4VKZSqBvjpHNg35lYbLbwLd+Ql1TOcF/cBgLM33DBMVvFIYMDEiuY9
k6pm5MASqEneOnQ7jdZl1Wq6dnyUmQWqyNFKNEYEwCYmP0X5+0dUx1EzC0xmtbaBiETNwAIR1G07
GmBRFQMBEy/gIWcskahSCF0ZkBBEHc3qmCTyEYQATEyFCZlwbDch1TrqiWiMcaxuIVETEeflIpFJ
ASQRJcIQQi5F1BRcX/7MPTFaTGhNiMJiNbtqZky8tjUAjRcNVHYoEt0CLvXgriEhHapNtJ5aPZ3p
48Q4io6dirVDa53BRgJEwxTjEw9cmP63v/ODf3zum9986tSZ266++YFCqRsfwjbFxWoFpszccEhN
TMztpCHC2WRCSLNJSoSfu//chbOnXnrx1ccee2g6i5uz2UMP3vP9H76wtbsdOBzd23vl3YufPv+i
qk5TO9uYmujB9RuLgyUjnjl5208++PhHzz5/7tzts/ls9+gO1rYngkMeAa3XFnVnZAS4bmIEn4zc
Xck8WmCstmVTbcrCMfNOOH5+CUlVsW4lvBDX+SpVljR3PBhGwlLt1+hY7IDkelYkNBXvORnj/+65
AAF1pjRWBhIWt8erkCO4qQYK/KvVXkCRAMSAiEYAxChqI4fOh6uai0daPy/9e6t/ronqY4UCEwET
IJg42A5R1OIIHyL1KikrABGJCQG0KGQzN8sERCIIBg1iQVRQQXT2XiALgJ2IIIpZcq+Tqamh42EN
0SAQmkIgNgBVXysxaFnTp3SM5XsNNiMKrp+MGBz3xTQUIaDREYBcb5XIYxmRPyDI46cqI41fo6+s
QBGMAYhZVGo+sX6CjLzWqPpyTc2iB1ORwJTJ8+HjWrRu1oCrtaSu0dWUiQiMkAZR8qYV8N+rxvWZ
A5h6P3vk6t5Xg7ojI69Vcxcxq5pBZQKLFGaykZ2lIoQYAoOJr30BMXDwBaZXDfuDgOgWI7RZDNFL
hIOYGZKoIHEMyWugYgyERBwC5sRNTEFVcykpBqdgxRjcYcWBCamJwYo38JKYJCJEIyYzJWamYAFX
3WpaR3OqaWAtYkFVVNUZdCKai4jZRpP8FiamQ85GBIAtUinZfUCqWgACMoEFQlVVQjVVAOZgwxBq
EToxURkkcIhqD568bfK1L7/22tuvvfVRE9Pv/OrXjmxsNTF/dPHSD777oyamr3z1qb3N+Te+/sWf
Pf/SP33vRxub88fuu6BgkTEFCjH+xq9+7ecvvfbii68TwrG9I0ePHpnMN37z93/lrdff+tFzPz26
OX/q609PJpON5uoXPv+YxaBm80nz1OcfxmEAIDGNMd59x202bY9tbB15dPu2ne3Vp1ef+Nz9V06e
fO+d92IMDz10TwzNPDVnz5/hU3u333MXxrhzdOeO1amP33rn+Mbsnid/c0lNMps1E5Ry/oHzz198
q3//o/vOnMXf/5XFxU8vvn9xNp3ce+Hc3qmjO8d2nt+ZLVbLf/HrT89Yz+1t/+5vff2tN17/4OL7
euPaqfOnbp+mX/3c2c37Tgdu55HnKfzJNz//4bsf2ND90be+ftvO1vbOLj+29fGHHx05unXu/NnS
0K8+dd+HJ1sgOnVk5/f/8GsHVz4RhTQ91+xu3VjcOMgyKGxO0//w//iXEynztv2D//r3S8n7zU5b
ut/77V8XGxTkN37jKzeuXt3b2hS1/vELmDbO78YH/8f/yyovk+icSEG3zmyf/x+/FQJh1sI4bydX
+uXGlBZCd953+7kzf9BSOprShf/7v3p7tfrk2Z8/8sQ9K0Sexce+8vCZR8/Om9lgEgvgdAI5Wphi
E6a7k9/7kz86ONjf3dl67ns/PXv7kb2jR7okeztp6yv3nf2dr1+8cXWn3bii3bxI5h5iRgJu7fGv
PbA93/zw2s0s0MzCN37jK1dC6AZDs+s9pYVeX2AEXAlygemENjBmARaJgVsbIvcbsMgTmcd+FYuh
7MxiG0SjZbSOyTB2Gm8yz3haoGVE5uRBEeZJiP00NNBIihHQVgHnk3QzD02iIrrse0bubDjQYdWv
CuGU4n5XgPprq4KUVyJapIHIKg0YgAa0CZasXRsSthRY523Mg1ATc24PlFOcLvquoYlQR2lmQZp2
hiJkuD1rQ+5TIihlijzFHBJMUJdYhlya2K6yhK4cDNqYIuPNZRfNFn2BpEPXGUhimpBFHWZaZkkU
QCxPYptL38RUhsKunBClZtL1uVBA4wFAoAlpXiwUYwBKKWlWjhwjRw4in1kvRaPaiucL2trW7n5R
7/50PbCqfh5DAK0P4RF0UJ2lLgeB0ToqWYeeW9iM65DVuPasjl8cKRnrxbNjHochI9Le3tHdIztj
30k9MTIzEg1FRuiLjkc8XU+7a8yvt0S68dXZof518rqH2ZtyauKooonWBD8/tY9b9nUJqStqlYkv
FYhalRD6RWPhrd3zLiMQUnUHrgFQZiP5qb4rDqxX8B5Q9QpJHXVqAxBnta9NuVXJtPU6uc+FxoqY
sQG11jkUbzfxdxqQfQldX0xDIlmPMkgVuUmoJofMZEAe8b5qLtKO3YOITuJlRHA9zV2bCEMpI97S
1r2L7nG9cfNgNp+h46CxlpNRDbE5MQLIKmGFARiBEKpWht75qWjetYCCoGCBCL3YvV7kCoRqwoBg
EJx/iB588qWLjYMcjG2WcEvG9dAhvN6tqInvEdyx7VgRdA179L3bKKeIao1o+07HqgnQDECVeXQK
ABJFqO62akiumxEERCg2cpVVATAQkYHdQsasoCNAJiqilbkKIF666SOTaPBdRH3ra01OUUEiADLN
7IRlVxkQRVVrvk69uA8MmGMpXgmhRMgEAQnMsgjWi8G0aEAkVURQMDUNHIauEDIRewYPwNnbwJxU
NQQ0K1IkpphzYWImklrkIYgW0AIRUTL4zHppzipUNTVi8iStjkSjwxqVEaoLVbQ3PLyxedGJ3uJ/
hFsQsuwnfLdbjwmF+lFVs1rh47dBBVNoOKppv1w2k+ahe87ce8eJpm0VQFarye7cb1oE9PTnP1dy
NsDpfXfHFPe++AiFcOTJB1JKx7/0WIrx6cfvZ+a7zt4WOZw7e3tMERET43333nXn+TMAwMxI4fQv
P+2/WWC6cPJ4CPHh++9y/QMQv/71X3KVipBuP7Z7WEla/TI0pvs8113XjFTNk0YjC81Gyp1PiKMN
lCoReeSB++TjtdHu8PBz/Yg4N3XLq1kYHyn+AWUkRQSzwCQARcVNDjLudwISEvSizKRW68ocXERQ
a3oMTRGR2PeehzVMDlAA0rpkJPTf3bMAUKsyFJA9E2v13XRNraiRQeCAaCpgZuJP0+onAUIIhAqY
RRUdmDO6bQAELIOyEakiGlXiE4/0MwhEogIA2YCRbW2yUHcEqHqbF0EwSIiDqs+WIEqMgTCLZVAG
jMAEViERtWRdgdhDv+MOAdT7SxWUAQlFxXeC/vSsRHQaV4s0smp9agXxcKnj6c3AQNd3ZsfoGtZq
Osdym0o9dZj/MigGvCbZ+fNl9Fg5aohcVUatGfsxdYqGpRaheUagpnNp3fYEaOittli0EHON59RD
gTMXaLRA+TawXp06GoyIOMUECmAYmMGAA3s3teRiBimxOhBMhdaUJv9qZmYWGEKKvOy6LhdGI0Ii
yEW84DuFCNXVhkis6twgVRVCX3AqmqF4ukazZFMNPEEzk2KEAMKU3FlURFBFREuRQCwGRQS8bo6Y
wDl+JEP21RB6qSizqrapaSg0xInjYlg1k2gNf/DJJ2fOngaznIfAEzUb8pA4lVKuXfoobW12FGOt
Y4DIvDFp77vz7H133qGihNg2ycy2Gb/2S48tH70vxghmpZTTO5snvvIFImqapkgZEWeWAuKsefSJ
B5784uf6YWDCSdPmrBduP3nhzCkPCyWOpegX7r+7bdL+ahGIZoEfvnCubdvV0BeRGPjh07e1588W
FVN96L474d7zJnD6tmMP3n9eAJqUhlLsYNG9f+nBe+7f3j22Utzg8Mi9d67uuM3F277vfYcRAc/t
bB//tW+0bQM6HJu1u1+4/96HzqNpatv9xcHu5vyJL3yOirZtm3PORU6cPHrk2Pa7l/c/fv/q0dN3
XV+Uo3tHttIkl3xptZjzHJvm7ocfQJFcCrZx2eWtY0d29vYGGebTydWb13fmM77/nliUptN5jFu7
2w03V5eLpml2yiSibYZgyEdPn8p5hczbJ4+sim61qVnJ9Oik61eD6s72dG+KcTLpu74LGEJsNE9n
8/7ABjahMOQ8TU2fZzidlD6vSIjbFZQOmhW3nQRpZ8NgGFOMeCbEP/rGF3ZPTncbll7mQfepn3O7
AomqWbTh3nRgkwSK0KqttMTTZ3dP3/X5VeSDYVDUmyVdXOjlTGJ4lYIUEg5BgSGlXBqiKTQbtNog
On90+8jWZNV3CjadYJJ8bMMIdGdmbSEdpEm4JA0xgMCCtAmT650knh9YaWjjht3cNwOaMMQJxh1u
5oxFoUHdBM44NEYFOtNMGBmyatfnYZHztW6AvoQUb65kO0g3GMHQhnizL0dnERSCwUZMRtBwRIub
EwLjrSmnnLggxTCIDoBtaPuchVqlEuP85jKHgIaMJIFxI0DLYCUnsqTDHDWUnLSU5coAl10OKd9Y
ZhKYxnBtscA0u9apTIyNmZCJI2ObqDQ0baNBQeCNjeaKDJEtThoDjamFIXOYUDSkCaAKEmDsTRtM
yGI2EFETmS0nkilDFjHSRLIsq5gmEYpqLkXKYKuc0SBT6VefmXtk69bQim9Zp6So9o66JFBLHUYJ
tMoF9SvgeNTSio3AtSh3K8+xulVhfXpzxp3/eT3wOM50TUXqu2Fx0HlDuhdVj6RZH6eyU0BGwGzV
xRidhli38A7WX8/GYgLVJOwVozBGn8YJxJWZsS8TRsIJ1aZR3+U6bMHbEaiIwC2/7ZpGM9Jlq9lr
7MesczUBHcrK69FdKgZ2DKyaUWUDOsDV42u1MNNNbEBi67L7qikUKYHJQB2PXMsDRGk8Tes4Cosr
WgTe9+1DiKsYpip6qHGomYgQj72L6/O6/ULfHDo+sdoO3cJWyy21Yv5rn4SaUXXT8fhykWmtsCUP
l/rDvnayux3IfzbD2nrugziOl0E95wqAFxP58Lwe9W+ZzI0MuNan1kgnEkm1+BowSeXxesUGmVrO
OZA36TqVlLLmCrSENWgI1p49IjLRtRpeVIzWWgSOqnT93ZH9+O1zax1dANj9hwDg4iGgX8ZW1U52
vpdvLfxUOboGXViubm1F5GImFcWDAUlBkcBJx8wIBiLOpgVVIKqSPgKKSfVjIbkj2luF0IyIcilq
QEwmkgjRav1sJERANeSAPvB4L5CCGWFRBSL1XlMp4IKqAiDlkhERjIoKMbky6pMegTrVNjB5uXwp
mT57vnQ5ZK+zDIHFlVgD1WpQd9plrdwAw7G2CioLp97piLEUsbGwFw4bRA/l9HqUhVuC54fNGvVP
kQAJY4ynbr/t56+9GWJQL0xGcsrrieN7UGcq2Nqcj9CyKr4BQIoBwTgFAJhO2/XCKwS2sWsXEbFJ
dREHiIFNxTGkHAIiernFeovopowafB9dx+Du6vF3GFnkNqbWCbyKZrRNjAPsyEZCqHaA8frUMbKh
piNHB0YG8iiyEplI/YzDLXSDcdB0pC2hX2SkVeyqK5+RY1SNP+rTG7hka46bVzUkNjMxiGuBdX23
r1xYu3UzRTX3SGKKijzuGczE3a3u2q3DkqfzkMVEK5m5wnv8buaI7ETIhMExRUDFv58ZMwXTlkmg
qvaIimZMSIAFYAALCozg4O+KSq5voidp/XXHGnawepsFNyaYMiGCERgDRuLxfu7fqD7e1cAtPL5g
YiJWNXS2V7VvQH1GuwqLY+tOzRuDJ96x2q1h/ehQIEJDKlDD8uaFKX7pOSfMqg3JDsuMHK+nI7UZ
mbBShdF0RMrX26IKUlCrLeuICCZqpp4ErtA+VRUf/erMTISEKtXxQMQqnq8xt8ZgrQTz+y4aIDKp
6lDcL2/EVTN3EiSBOWvNLz8iYiSvio0hBv91xQoZRyJT8YSJWmGMI7EeC5IU4Yq4t4Ds3aVAJiYp
pcVq6cy6LJrFx05xJD1YicTTGNkFVcBAjKyqGmIcSmZmRkrMCbkD9dla3UUjSoERuYAVM5aipmC6
u7N59r47//P3n9988XUAIRfm/epVW/UDU3j80fuzWTSsyWZTFWFALyrwVbrUu7kFJiZ0WnOMiUcw
mRpoEWY2MLnlqOS3pFyKZ6WI2BSKqjAUKQaokFR1EClFVCSqFRFDLKoCNkiJKfWrFYNlyWiUKLgM
LoC96HM/fqkReeCbX5WQQAoZEnOHxgYEEGNjSAMZDdKm2O4eITKk0IYwiIQYtJRAjIGbEDahEZIU
Y0OkChgoMt99+vh9//Vv9TJsT6aoenQ274d+kNI0zVSkTSmroqYhOF4bI6cri9VGiEObZokDkGBh
BCEsgJFQmZFJEAphVtsvq1mz0Ym1kYrS9dKj0kGBG8uMRqshz9H6QXdaYuBWEQxZ0YpM1FgyIZTS
Bw2tZMw4U9EhT6ecRWLptsFYu2RgWlggaw+Bds4cuTasYLAr2eIAS0ihYEfUGA8UVS1g0wZYldVu
nAL3zXS6uZ2n86YtMOOyOU8Ti0fncRPjtOFtAOo1J2WzPpYItiqqhAqWEa8XmVl7NZuBZIr7uW27
JDq7coCWYhQ24WBEIqh5F2Cq/S7kHekMltOMxoX6/vJw0wyH3IlIMdrPAwupoubYaQxES9V5bDrW
Y2lj0paNdoIqkSnEsKG6uTX7tPSz2VSLWTsNHCGmwrHvigIY0iChzzQUXiy1gFCxlhBVWmAsfTJh
6dg6LQvQrggOVkRs1StmlQQttKuyTBauZmu4UepS0wbABDCdRBoSpzBhi5g2G9aGt5u0Eu8W45Vi
C3FpQTIIUNcb9tBnhGAwFIAcASMI2QD9SgENga1EMcNehgzKqNINw2LQoHS1LyssgFqUoOhCseG2
x6EFSjFo6dppKkNuG2qh+ew+XmB/fhMZqIy9eFq9o37awFzKBNZbxjrRrrs9Ki9PDW8xMt3Kw1j/
/6PhcE3vuUVuHYfVsdLTDFHMBAyrkiQ+RVXPSNVCdRwzoPadQoXae2pxpA/5ScYQIHFwDw66W2zk
M8EaeOsBHgTyB7NbK2trjgfhqmCsYzIthCCq1Q4ztrTX/xwlBifRUAVUVkaO7yJrz2ftyzn09eG6
PLbaLXVNcFQ3HI7WYBHB9cbXFBE4YAjsM557y9EAU305atjSM4k6qn9mYdwR0NjRIiJE7GZaz0O6
wuvgg5pl1Vq7qaMw6AnVtf+TkKs5G8EQi4qtiVlwOPMTkpbCgQGAkao1zjtU/C0+NMcdHrr8X6+D
nwZ+XMAMLuxaqM5Mqn2wWJHCbtbz0RRtXQZgUqstSMYTIRGbmJhGoJIzx0h1w2AGQmMqe93YQ953
6nlUxyLrCB5lGo+7oyruIr1VN7KvMOwWBozdwompsjPCmGIEWMPGxoaGqmys+UWVto1uWTIwYsZK
8rEQiADRdGQ6uwZiSIHARHxZ70gtNu89Auwl+4cnIjKTqmjNIUvgui/xt7yMrbOEFJAIkCgSUgYQ
A2ISATEzIx0HBX/9FbmYaC4GwGDM/gaaW8xiiqpiY+OyT+afWS9VI0VAyFl8fCHkuuaq1g8z07FK
BEaoptWIGoCpn9H9/oDjkImqCpXvVVd4Lhw5WnZdiblWvYiqOT1FOnv25JnTJ9YrvxpaRhy/u0va
I3RrRJiBGdY5B9ZD4Djs1Y+M+rwM4y3IY72+Rhz9I0QkMhY4MjlYCMbwst9FnH+znl1pPb2sfynP
5Y0l12PBDK4tG/VGPzp6fTDz+XR9jxn7XNxdKKgeXkQEKGqqEpncde1JCkUVAAFTBDEhAwUqZgwV
quLB+Ox7HLCiJRKVYqYCQEqU3aPhKh5grEIZqkL2PidTd1hwLS8xQCpq6kVfAF6YrKrAlE3cGb4y
iICBENEEcJmLIlzfv9lsbPhgiwYBUcFyrcYhRAsIufhwhUBIQIQYELMXyCBns+iYNPS8CImagrtV
MSIUswJg5PEHJDRGoLXTAAighjO9MNpw7HlG8BaPmrI2AzMKNcKBSGOJdn0/mEgOO6JHWhGCL3V8
oQwGWjd33rzqKCMD9KctgQoSkqE6Z37cHvowzzg2QDvLwEArdKCm6nlsCKe6gAMDIyYDxcM9C1SO
bOW0g5m6yo3jFGr1Bk61WYDZTFBt/Sn2dxnGDptAZOx46moSY2ZREwMmioEjM4IhIRM5752JAFTV
HBc3Lrh8jYFEFNAQQJoUOVAk8ngBh6BZYgxmGdCYCQ2YmcwCcwqsEgSNKaqSIhBSJI7MZhoDp8CD
iAhUn4I/oc3AQMzEFJDMMJfSguVSAhGFiKZoxgBdzqlJTExmKcSu7wVKNkKElkIknIZAkZ689/xD
p49PU2uqqsqBhyG3TYocch5SakOIRQoRNm0juYwr+6pxI9RQEgdeh4advICB2TDnnFJSsyyFQpQh
19o2ZiJOkRCUmQmwFGViRWBjROKmUTVmbEIE1bZJOWdycbXkJkYpJTJFJk4xhmSEmCUGYosudhjj
b3z1iTaEVdcx4zTEYciJYJNjIIopDcuu4aAiMQaiKlZExjbUS2xpQgQBoc89IuWSuUlZiq+LhpJT
arxdEyl3Ra/3vUhZ5qHhIF0W4wFUh6yJIasVSxFWRa8O/XIQ0jKgYS4Nh2EACgQZUoEy5AgIZYhE
GwYTgwmFYOYM5GR9sQEYAlBQnDGmBAGsoBdCBbVSUAY3YlHoMG+EJvMwTxMiVewxzDroN2kSGIBo
FkJn3UYzX2YMDUfDwHa0iatebtuMSxlum2zsF2MzQUM2w2wIHeSIYCIo2GdJ2a5nKYI48PUOO9Ub
ws0y8yTiorTQlE5zhkTMg4QIE6BJ0Q0O2HcbEXSQjaBCMktZhoEZhYBIAMwwKCYMfLPkhmfXLE9g
ckDzptnqSqdEFKYb3MxSCyrTRA1HySW21GVJCUWlBQysCysGetB3qW8XRSBrETro88b+UjPevLlo
Qxr6YTIprAXyiqSPzAH6Fod5aDNrEwxEHQephMZEkMpQBmoOpGuozSFP0wyhGOWNSVJdTZoG8hCm
YRJhI8CMoSdjMEDri5TFYhgEkbqMB4sSGzroSuzL0OcQo+GQQLD0Sco0hawDsTZQJkEJC0bICha4
9ASYMLRAjaAqsXGimARLQkIp09Sg5HkAmKUYAZEHLNMGoLNEZYOxZlsIs+Cy1x4Mh8/sZBtUAyCY
eomWE+VLcVFOcaThg4GBIqH7CQGwcgvrMaiG+AHXtZU2in40cj58paVrhK//TRsnEBtB62NEEwGg
nbTT6RQIP/708gfvf0jEa5QLGPTDcP+Fu7a2NhyiWbsEYBwLx7pL9WmwzkSjOuG15RWtSTIWQnhQ
cqwTJAAoOcfA1TqJ5B6rGnkazXvEbCrrfCyuq/vg/78H0BWVtUKLI8kSx4LRUUhGq2UD9d+MNmCf
/UjXbfWIsubo/IIoM1p7TSIxVWnVfXTmJrdBFShUWc88NFczlOtUnUMybYyByRiPRDRv8KywQfOD
sSGxG/AUqkKOjrtQraMQQlC2kSTsZeVgtY6PmbG+BDYqTkaga/MjEemIy1IDdeSxN1t6q6YvaOtJ
dLzG1t25hAgaHN0rSvXyc9Osl6PW7y2AwOsOSwS0ABSQ5rMpI1WjGtbzaG1urHop4S0CeJXf1esM
D2dKP4FVnbaylL2fwAi5IjlqtSZUQkYVCHQtyxEih+Az0+g4hkOeJdr4cpmIoNuUvS6h8n6NALCG
94wJqrUYKauZgQ+w4owiogqV8n0EMfkYp5VQsi6pr+W0MOa+AAlJpGpNRQ2QmQJTMCNV4ZCKgSLD
epNEBGigUKRvYgJVQhQVd3Aws4oWKcxMBKLKSIafOV8KbgkG87SCmqwz8M6p8isb3Zzvepn7PtDW
GYX1+z42ypqpYh0mqWJdPYy2RgStnSejfOeOkjwUh774wsNjq2JjRcehg6N2gRq6i3Lszxndn67j
YW0e8sHYVd81j62exbnOuKDutLcKBF/fi0X1Fgeyt1LVCcRs7Qexcfng9tYRG34LO6DejVXXhca3
mIJvubmNrFePRWgde1FEYAT7ci3TdJuD+8/RIXAFQcecMBhEQPIcJrgoi6KogMKSVRCxN0hIAaoV
XhGLT3gIggwiYVxAoCozQyUDOCPAoQBIBFk1ELkkS4AsigHZuNTtEUbEQEhekZraQaWfFwhBx7eA
62qwOuQRrFaMGiqBQC1CBQUCI6ICxoAMvnxF8nfWTNECoYcZggc3zVtwzJ+7ziseVBPWCLWbgbN/
WBEYSLT4Ism7rMxHPgFCbDkUdauGX9zmRtwsWnl1VolHCsBEEVEM6udq9B8FJEVTBOQgIg7Go7Er
FesdtSZzwWnzYH4X8nt1va2TB9fRCVI0MjCq8xtBRHzp4Tg91eIrTo/b1GoiVSIITMZ1wVqvW9EQ
wromGgF4vJciGBOCqYzNYWPZOMnazl7bipURmdFUAIxovUwHZiqlWpWB0ETHTacGM0UmBGX/qKkD
+BAJi2S1YmoxhjbWCoSu79sYA5KZmJSqL4MpQJ+LmOZcYpFepJSCgf00VnVi0xCjqBoYMzfeBMxe
kQPERARtiLlkYiJFGyQgJuasyjF48JmJI0JEjk1DUnY2NkouYMAprlZdCBwC00ApJgNERefj2WHZ
kMUYPJHlERoVCZGZyCHWVJkbJkW0SEACDrS+JUWWPkcOBJizgmE2kyJNIgQqJUeinIsCJAAAKyoM
PEjWflzt57LKuQgNIgQoQxYpKsbBShFV5RRFtZgw0ZCzjBgqJR5URWToewI4WK16077IZDIdVPtS
lFkVUCz4YUEcD+HFU9abgGniOKiQAYI1iD3CJARgjogYeGY8YR4mcRaCam4wpsSFpbOy1cY+w7E2
3YSCQNMQMiCFYLEYU2oSSU8p2EDAEShkFiLuDBoMiTCDIacBi0Fygxlisyg9QwCCaCaKLTcNJQpG
AC1H0FUDuoU4Zx7KsAMSdLnNgrAA7QQALfWywozLMiAQGOznfjBelPDetX5Vph8vYR+BuwJMGxZN
qFUgiWQ84zZomKXJFBtrQIZuQrCbQppi6jimBJF0qtSiAWNEsmiqwrFwKNQseBVC0/uJ3yYLm3GZ
iIEZB8BBOlIG8jnOpmAJZQ66GfSm/P84+7Mny64rzRNbw97nnDv4EO4RHnMEpggEEJhBcAAIEskk
mQNzrKqu6lJ1S21V3WaSyUwPspbJTH+GXiWTrMu6pVJlZVZ1JZOZTJKZyRngDGIkxgACiHnwcPd7
7zln77WWHtY+16PqDQWaMZMAIsLd77377LW+7/t9C+siSx+017xoU4htt7vos4ZZVlmkKU/2ZlCh
cgYxW23QFHPKkUM0rIkaDlzxSgrNJMy0rUe1CahgIs2EFAJFyAw51rt9N8aQMSJFBlRJTd1gkorY
JFcsNaVpJaQdWt9nUkypVyPDLLuzxZjCnXm/RqOdHqpFnidQUAxqCJNxxdLHGkglTGhS4+o41gRx
1KiBcuixg1jnkG9lrZvpbnsnhKa3bhIb6HrEEIgItA42Zq2wJ1AlyJr6ruMYegEDm6nN2oUxz7u+
UpKcclZBWSSENrdZgSgwMmITEZsApHH8iblHWVRy2TkTC7GbWAwRiF3+JECSXEyuhZNS+krdzoRm
xZPheJJldYZnO/cdFu7/KvOnlTaJcilBWNaMISwdjkgYI2eVDz/8+PGH7p9MJ46VyWZE/N7Hlz6+
emVra70QN7R47QgAmQf/DYoooIbC5C9f1bKTgJmyqmg2UUQKxHGoigDAedv99Gevfuapc81oXPJR
WECIMqRZfQT1IKHHHYfnrw1hUhcNYBjOl25nW0a2strt29smGQFXV9eqqoLBqIZDuBFgyfwQtAIg
8fWzuMcJl5DYQdFAW7KRGG2/8MM78ZhKPWkZUvZdxeBxUSiWsJLfLOFN2K9HHQaz8mctX7ziltPh
/+r+QmDw/g05XfOfi4tOROCygAzX1tLbgrZs8hy+Qs/7FcnXC0T9h+vWMJ8eyAbbnxciDAZXUaNi
MzIuIVdWTwG5djOoWjYEQd2azuSwJ7fZDriepSO7fPeFLTw07JWdA3lwDovCM2RQbVlej0iqsm+R
xJJHVY8um7c2ooKbTb0Ogcqsuv/iuigGqm4/BlMgxiwCNLAqi7FwmGa0GPXd0rhEuQxfGJm6YYp7
EU8eBUIwdds0MbL6dKKqBSKlkomZgTVnML+2AiBmMRVMyXHixsyGlMUnZX9jl6WMSq6ryMVdYYwI
lqs6SO4JS3ejlGtoMWt8snS9oiFwWG61vHUWuODB1W9cHqxXF2YJPe7tjkUarKQ4FKIMhgTzIOIS
zOumWAe/lnHOJ9LBfJ5SarsOEQV0yac1zxoYEBEHussejO6KJyQtxlZdfjq8iwL9ve/WPt+7LOFz
gwWShrdMCEWwsFIA6j0axTQyHM1O8ypnTrFqDE2R/k0787ZMqHfZ64aFJtwdwUUcWl/v9jxjKenx
C6wBShF7S1RERSOzE7nZyoIMrFSwJHfQur1WtUKKxKYS2d+dAETZoNeypgkGwUnZANlMAMQUiV0l
ikOV2QhQAEqPJUgotvRhMyXiuh8BBUKGUhmWi5wHEYkLfM7bkhhDUAQFDIRh6c+3cl8NiIZWMye1
TtWYspkTigOSACYDKflKJcTIoOXtjAaGaoxYEYh3GpflFxIWCLZ3xgQkRKu4DFUFUsZExuzHJZgh
KhgDEoOaqmQbjNa2PKIQGFEBrXAMPC+M7v719K+qDn3EiGaBuVcHMaE4XB0JfBBTA7VAROgKo+nw
dBCHKqgyByxN6b5WNWYCXzV6UFPRe+8GH3cxm+hgzbVyUhfPzeDdKTytkv6gwvRx/zD6J4rctFD8
z94SJ6pQYOoGRFWIFYVAyogO6HDsXeED87BmAmMmxLJ2QQBGNpXgIyyKgQqQt11jztldN77NVTNR
5RCYiBzBgAZoWbPHW5iZEOsY2qyAxoErCwGxjlWrlkWruun95wU2z2mMY0MjIgKcxMYTVhlNUjdq
RqKWck45s3vgTaPvGtU6ExFhRBQJiKNYSRYEyCrBYgwxS44xAmAWCTEWdh5CViFlh/1Jcb6VO6aD
MUwVUIh436g3PGdVxGF6pXaVqU8pcnAos5e5ZRVCKj1wIaTUG4IhOHAvUChfVc4BaVzVoto0der7
yAGYchJgjHU0EQ4hMi/6RRMDjhpE5hi257NJXft1M4bQt22sqsZMcuZAkeraotPYA1Lk2HOuOE5D
TYaxrixLCLE3AIUmxqwgKjWHqBGZjWgmqeKgyAlxJqKWUqTcpQWziGWkvsut0u1ONNNe7icNz/q0
UjdgDEl6zCFj1/WI0KW+ZmsQxipmeSQpp4yS+y4FMOtbRtS+1YBknfWQRTyCoFnyQvuUVak3utTO
tR21bd/DYpF6VluAdJ0tUFVDzjJBnvUWx9RlqSONMczUpiEuFrCKgGZNTlUsZBszyZkQsWsXbV0v
usWiW9za3W371CHKvFvpuF0Ipdx2fU59M65mu/Pp+qTfnUFN6xB22/mohcXuTq/U7W5b389S35jM
8l7a2+toIbO2N7IY23lXybTd6+tRY1lvar/V0+2djkP74W4+annWJ06611oTxvVoumIYOKzUTV/R
qKHJWogNSE/znKoKQ6fG2GPOgXaTzDsz4j4BtpITiHUrsWmTNoZsNkLN1qNhyDa1vpI2SBuhyppV
8/ZsD7N1IGTQComGWz2ujbAnakIAs6bS0XjUq8VRFcSYqpVRgEm90gSTEEPQYG2XtnsxiLMEgeNe
31a9dRknHLtuAWAV4xRsBCKYAQHznlCCfobSSSLIuQXFnueiu11OQt5AmkWoigYWQwUBUk7TpiJL
69NQMY5HLEZd149GkXI3HdcBisO/7TVBbHPCisHCJ72ZtW1x8jOxiDng061BquIHaNb9xlERZSed
FBylOvOAhwSRV744qa+k9BBcZ2PmUgRCCFrK+LS4NP3JIEyMA2VnWMyrxxMmoyZwicsTmAGuTKZ7
N2761CJm73x06aO3L2wdPDBdmR4/cYwIfcd76dqt29euP3r+DBOpKhFDQdo65yLstO03v/39e44e
mrVpbTJ96rGzxJhzdufbzZ3ZfD434qqKSSTEkLMiiCHmrkeAGJiZ+q4loioGI27bBQA1o7rrOhVh
5mY0MoOuaxeLtmkaCnE+3zPJTV01o1qMthfdn/2v337hM+dHk2kcj7b3Zio5cDDNIQQi2tubra+t
xbrevn1Lcn/w4MFYVWUiLuKGLbVX9ao3fxgaOMd4WVviUgwCsN+rlhR/KzQIZIZSVVK216X5wcGt
CHkIiwavj/WbdzEHgleTDxWAMDzs9xmbXr2AxeNYWMTM6O9DckXPg0m2TOEO8K2hQ08BskEG8T76
IjkPGSN3lgdmVotIBMAEBKYEAupZJG/GI+QB7OQCmhsK/U2lRXoy8+SY38A8ZrbsIgBT1eJY9OFD
TGlQg7wzhNlxjupWNwVdNorAkMcunS6Dho6DmXGoks0FogMFBgllW++ksf9MnmJRGXoXhpgcUxEW
AJ0xw44KLQY1dGlMFIAZINNA6FY1ZFbRpAIIzIEBwYQAGKHPPVMM5NFTICt4aGLOiJ3k/UJ5UUIK
gRGsYkYDJDaFlD0uCgSEKIzYpYSA0cnqOXEgUTWXvCS5Su+JJ0RAYjDTQl36JHMpDjHRpTjvXDRw
93JZk3hFks8qA/sEl+F8tcG7a+J7pFJ86e9hG1C+CmUpViy+hefsnZlgUNf1ZDwGostXrl25ctV9
A+7tV1Uze+jsfePxqBBMhzA/DKrd4PWluyBbZXRUQBvMhyUU4WsrVeYykIOBKvR9X9eVluCy948Q
lhPDgUZ+nJd36QDPWv5xJf05aNc6YOe85eQuaXTYypn9pzlb9zIicmA/2QwBBJB85GAA4BgGj7Qj
f419DabmeNhslv0cZAYDAWWELBIHBZwQPGtaFh5QQoEMjgge8rTlFRrOHAUiyqpqmEEQKAzogMAk
ZmCkw1oHUAkwEJW7tWPzYGgIAzSCpGLo4B+IXJ6YWLBeiIABMaMRU6cSODiqKSBl1ewnLRiYhkB+
tc7uEzEzAwqlOTf5x8okOP5adbC8+itq3h5sQwtzFiEqK4ESqBweLt6Mgoh5WMEV3m0JFZf/zwaI
AiEwYVZlWnIW3K9b3AedKBKLiptdCSh7cR15VSkqGqgika+E1AzUiEBUuODsoZCKykAJpuoVYqri
Q7Y66hAJzEJgURUTIhQtVdiqedjp+CKYVNX1TOYgmgdUtDKTee/0gAscjlc/uku0w8CQIEkuAYfC
VTJmyiIO40VEZNLSTKWoFkNwmTOICmEYsMj+kLbADOj+Y8f6eeJCA4fAgX0AE43EWvAZCmhZJHLV
Y+5TrwoigslLpSRUlkSBjc0iYtKMZklyZdGfVUAgqk1V+2sZCLO78U385sHIVQjdYp5F+64PIQRm
zZohG2Lprko5iSDxrO1iCEEt9UkNVE3UDDIh5JxzVjOQLBTcWW2IlFPPRIGDquUkSNS2nRkQ0Lxd
IFBKvapUdZ1zNgWqoJvPyUZZpc+ZQhCRmiIwpT4p2q7t9V3HxBpz3/dt24YYd/Zmo9EIDPrUq8qi
bQkwxKrvE7WdqQ58COs1SZKckoiGur49n6nAXrvoJa+MJ92iBYAYq1nqqlEDXQLVUFeL+aKKcUzx
5mwnTVPbd0mkqmvtUzVbbOd2lSpkarsOIzcUur5Pi4X0fa8ybUa565rJSr/YCbFq0UIvlTSW0iy3
W9PV2XwvI+SuF8kGZovdDlRSn9VuB4JeIzXWJiOgim7PZr3iTpdGPXRk1OdAI2k7rEJCmPWGlc16
rWNYiFTIaMBiEGCEQdUageOxWQe6w9iQYQWaMge0kKtAfc6aE3OFkAw0k6QMvWmPeLNPuxlGCXYy
dIiJUHqdNESijGyGgeuKqlGoG+JpFVeaqkUhqEbTKlpLjU0rAuiqEd7GfmVlkkMUwpVQ93OtJpOK
M6+sMgLU4wotJOHppKE9GDcU+hWiqom3d+5sbh7oqnk1qiuAlXZ+fGX9WqVb6xOmvDJauZWiLtrp
fGQGu31qk5ASC2zvpVWaLHZ0rMwZb6XEMez1sCbWZ9GcWW1MRGiZTULKlJRDRbJH0oG2YBVxHysF
m1ZjVUtUcT3NWCWCKvLKZDyfzepRRWZ1xiqwjepJHShBjdYjGMBe6lPKdQwjDNvzFCrY6bLO27bv
GzUVZdAKcspd1YQahDhX1FecADKRhzK4U1wItsZKwBQ6lPXRSrvIVRwxKUmajhrK/XTEEkIgUrNM
oJxDHUwTYSVZksC8z6GDvY7nvRjZYp43yOa96rxNSaTrx5NRkkUUIugDcIT+E+ulWQvCZbDyqxmx
eebMQBHZCLPIQBO9S+8yCOzxPnbLVbmYW6G14NJtWOKLinCX23EAyC7bKwjZlQcDRY+iDZKko973
bzCA6JyPUvqJBrDdpqpqHjz3gCFdvH7rjVffWFmfNlWdEd58+fXJuEaO1y5fMeT777nn7UtXFzeu
nT//4NHjxxJol+HhB++TEL/1rR+dOLz+4eXrqZt3GR45f+7q9dsv/eTXfVU/evbe31z46NmnH3r7
6nbVznc6STt3Ll6/89CJLW0m3a3rF+4sHjy0Wh88uHv1SqJw3/Ejv/r4Rrx5+ZnPffpg1cy69KO/
f2llc3r75u4jn3r46//+O08/efbSldu//9vP8GiaVAOG6WRcjUc7ff6L/+U/fuG3P/XzD24eXNy8
76lPvfniyycfuveHP339kc8++pf/v6//s689B3joLvGkaIDLFsThVfB6NFQDAlICMAt+N/M7UFF3
l/QOK5bYEkC1QF5/rjiogFIaR9GUlgChwThdUmRDCq0kXUvNgA06SakhJUYTN68ODSXegovmIV4y
72FnLvosFst3NlEgURVwHdb9t1b0cf+qQCsOkoWRyEsdBjyB53/dXUZEsoxDF6YF3f1OYyJUYMTg
hkL3CJRLoSJgLk6voSsC0MB4mMXd8avmgua+3ZFLc0PhRC5d16UNfYhtD7WARoiGlEW8FxLLFAdL
gK5/46UND0BVYN8jaji4wbio+gjqSeISAysoWsDeMIkwkClSGFyApbYevAaGAExTICQzQqvrgASi
ogoBgJAiAqCrT0sEk3kDlSBk/wlwsSX4tZHI0AqPhkOoIaQkAEiqgVlNvQBHNUcKBmrq3zMFxKx5
KBL6ZH9xoOLR9qWbCjGjgdoQ/x7OJqe/ERK7Y2QoPxzQQ6iqgRjLpDTYJXCJSiqv5v456ROpt/X6
hwWMiPqU33rn/acee3A0qpmDJ9JV7Z33Prx88cqZh+5bNjLogPkoWyQiAMg5A1gI4a6c/2CH8Nik
Wdd2YBqYKt9ba8E639iZ/frlV7743KeQwxCx9CgqMAKiMQzJBC0OPGZSUSiBaHNt2VE+/ncCk4ou
LbsGqEi3d/c+fPvtpqJR05y+975Bvx2aqwZrb5kZ1VMbVjGJGSE4mU/ADKwmdsAWFaKqeemLs9DE
fNMkNHSdgQGaBiIZDj1xujJYJPQmLUTKbq3UgmH1hqpiyUYSze6qLSR5N3i7t7t84gaCTsHimKuC
AcncsqsWiMx0WadMABHJULOBEgoAQ9lv+IZODbU0JFsgSqpimg0aJkYI5DQdUgABYv8zAQJRUkum
Ack5f4GgeIPLt2dMKKgEmIGSumBWykLdGyCm7L5dgICQTcuxMrDEnXmERKKGYFSSLMBuvkRUESTf
lgIukb5DudAyiwGm6DBhLPh0NWTi5SWhJCHKeL9Evnu1GZm6Q4RMNdBg3/Fjdl98LauBLEoDVQtc
4XZdFAzRaFgfFgj6AJR2IyYjRiITQXRrutPBMOdCu2BGBHAlk4fv1dXawN5i7RwydmBQjJWkrGaR
2dQCI4n4x3K/EtcARQB7QSTQLDn3KYVYidmi6zkEZw+4Vp1FKGcf/+pIZMDEppkQ66qyhXJkLHEK
jiFIyP6t95JHnhQSEwUFyGYVYmQOiDVTduYWQ9+lpmk6yV1O2TSboYGqJRX0VJgIhYCEloWZvJGP
3KWGTAymKTCJipoGiqYSIocQvJUOACgEVUMOADkgMbOGEJgJsWkqQghMgsBMJEAxIBEEFrBQVRjI
ADiyZCMirILkNB2NfI/AMVaIyETMI9PJeGxZY+QqVtm0CpGYY2BnXWgWDgHU1LSKUSSbQV3XHEPT
1E1dS86T0airmypWgLjoew4MIyk1FeOxqq4242YUJ6Nxm/qc02g8XiwW09F4mnsQtYpHaayIk6pe
zBajybhrW0OsYry9uxOn00kdIhBG7uYLHDe1QCNdNVmNxFbVsdac+nplBUIY1aMkGcVSzdj2cVRj
I2Y6ihVwXhuPpg3WVN2RNB41GEMmhEg18w7J+rgyDWujkLoUFEJTEWpiMrR5TkK4A0YAc2QTXAAy
1AghE/TGTDVyj9xQqEfVKMc8qRomWnS8uTLdJlmdVNPOCAgDWwAYBWASxHGo2nmqmsipghBo2ghx
Yrbc5UAtxSo0rPWirdZpJSOHuCrdjMgCRuDFiCFwtxJkGtsJM2Aau8MedhhbZGsTRJnM0yL2kzuL
2SQQJN1NqrDYXmTg/koSCHKl71eNEwazchmpA4wJqaHV2hYTq8cZkmWGKlioWIljPW2NtRotslqI
GUPEBsqaNKjhhEMMPEUQMgKrMaOkClLKHRCwad+n26CLLlmSisKdvl0b8815e6hqFlkZZWFpBDQJ
LBUFVLK0XsUG7UBTT5p6BsLIVvNuP4d6DAlbhjo2qVcL44XOGwsxoIkCyihaE7LFlMwiWq89SAYV
SdJ1qQcNpLNew0JnXa4Bc8DcSTWtc99OmigiABAIJ1UYRwJBDmBEDVITLdc0HsXE1EmOIcZQ11UN
TjLAT+7jBUMRD7eUJj0mM+iThkgqxmwKlgtkp8wVNPy3p+oM/WgmK7tadyuVrTvcpQwMy/fBjVIy
RcoeShTdj2DiEthrVC4ozpOkEvECJHDhDgaoI1y8+PHKSrO2vrabZKVqzj909sUXf3n/mXvP3n/f
yeNHv/GtH544fHDWprffeu82hTMnjx07fhgIAlJFgYmrpmkmo2tXr73y+vtPPnzPjRvXr1y6sjKd
fOrp8+/s9a++/V6XFNXaLu3eun3z9t4f//Znf/rete765Vs3d772xceby/Pug3feeeOdk+uTee4/
unhJMTz48IOHDm8p4vVbd0IFT376iW/8zQ93tre3tjaeePLBW997td3bnU7WiCinPJ8vhAJNq2PH
jp49e/9bt9OZ+w5JVU8PTB5+/OF3L1yd786OnTp+7PTpGGNp9ymmvvJEHFYMHvdTJtIhy+qP/6zF
dqul7KHUtvq1wy3colbCwk5zhLJCdqnT0IvpXO6j0kxaiM2GYGjoscainRTT49KUiy6GqwEPqKQl
39n917ZEGVNY+p69/N3HPSs+ZC73FSrdDISAZKxqBKo5EvFy4EQgQimSlxmy96dHDk7/sqVoAJ4f
Fb9HBiS24tkK6NdZdQdaVhX30uLSPwuExQ7gK3VHJ8JASTGTkn7bN077JAqD47roYMUePKSkBtg1
gYrDM0z/kzz5UKS5jyZzhCMO4cACJfa5HAfoxVCFQsSigABuaxX/IYGHDEXVMDAzEwCBMTODEpJ5
+eLQs0JWVBozTIUdpWrIS8ObmahmzYzKzJEoodWBqjDwsQr/l0SEAAmAYWAcqzFH8hofJEDMOfnd
mAHDJ/fximmM1WD/LuFxMXOHZ5+VIw0KipmBox+JyEwGuMvwCVDQ4XV0mlrZFi2hJvv5UrLis7Zl
ktwNw2qWTbPIynTEzERcrv0Go+lkfvOmB+YB8dW3P7h1+cr6gdUDGwcOHz4UiXzMf/3dDyvJ95+5
BwAlKzGT+9dUA3II8drtO3/3rX945KEHrl/fPrZ16OFH7k85932u63oBen13dmdnN9Z13TSLrluZ
jOeLtqlim9Jsd4+Z1ybjpLq7s0fM69OJId66dTNW1cbGxrXrtyT3K9PV1bX1TvL1q9fni9mxY4c7
xZtXrkiSrYObBw4eEKD3r99+5+33//gPf5s5XN3eu/7hh7HmRS8N68rGwe3rt7s+nz17z+15f/Gd
tzYPHThz5iwGGORTr9XFACgivjArqyWPWw9dXNkAEQVMSpTa8bluDSn4OrGhUwvIBiY8FhgsFJt8
yRwAlj5kX6ncRQugASFeErxgBIzBp0pPreehCpip5DFqJKAiyfp+isHY+VII6jkoMAQIQAYopuKG
FwNGi4QCKO7uAPRyFzXMAErkfg1CZIWEKGAKxaLCCAqGCgLgX8/dteEK6P5vrx82NSByMINLggIa
iE3dMVKe+L578xuC4+PMl9pQEu8hBP+UiWkYeIkIGHwCZxZVoqUKjwQ2qNmkIkx+NwFmQlMxEBEu
5HECE1/HEiFDOeELQ9gPQb5LpdfloVfIF6IaPEoNRR1XLcD/pfuAkNSECJwXjUjijCJECiF3nYIT
D5AJkRzbRmSIhERYxaoU8gFqaTjQwFFU/PGnIgEJCX0vH0SNOaQ+eabZKWre4NKMRtb1foxXVeVr
sMl47Iv9VnJNoxAwS0cUDBIHRoQYQ/DgA6Fp9vhvzhkMRISYVCUrMZEr4oTEqGwgkhORYQ1+A1Nj
RALsPdeuGpisqkIIVtVViD7letKlha6KUUmQsI61VGKAHEI0IKbAgRGrWIlp4EDMCFFFQvBHPmRR
NsuSkYmQwaCqagQkJmLOplyFAFFyHjcjRkbCEEJkCiHEENq2DVVMkhMKxYBQjawG01HTZMl1HYHJ
ACjEXiW41xehrioFzWaj8XgxmzEHMY2R/SeSJCOzhzFEIZmiSBWiP2wzQNt3sa460ArZAEy04iqb
AnMGWIhQzh4yMrVeddZ3iJhMaozOHU0iSDjPPasNqbpEoBWYaYoihArS136pS/MGJGhCgBqEJGXp
VKmXnpVyj6QGqUexhbRGtpBcJdlNGqzXutppeyAMQJqNkHqg1lhC1RkZVyEEDQQpTasKxSLC6qSJ
Ot+o2Uw3x2FPtVZqA5oxBSQMfS/MEDzRz2hoStiZzY3nGiBzqyH1aTxt2r4nRk6+HpS+z5Y15RRA
k7TrPE7SjdEkLyL1plqZZmgtK9sdNsoy7zEE1R3ppiI3exv3tie1KrdV6LpsTa06UokNQmIL1agO
i3GowmgUKq6YiPPRlUq1O7KOs9uyWsMmM89SXZN4pJ74Vk5axxu9IsbbPTZVBV3aSziOaFlrEcjt
6nh8s9sbQdXnRdSOE5DmBAAgY8Qs+Wbb4WgiHQBBh3hHIGLUkIErVI0Vrq6sVLgX6spUqrqe1nWX
aNpEhLoOVYUxtalXzcZ7ApNQ7eVUQ9ztUxjZQqQhkK6rLIXUknYjDdQvgvTStdFyMJv3vWRCi4vE
0sGixwS2Vo9abediZsSBA0ADWle02lQro9CwMQdD6iNWdWxVqxAgYquSARdqrNhRoBwyikilGROE
WVZQa1Nfj2qVjqyG3EYOBJ/YySYABI7yHkKh5YLuDwUWVyrViFBVYL+nbsmfBNEBS2NlphQTL7YU
EQ5cHvk0gD6KN6r4zfZP/8IRLWwDHMguChC4KABmMsCWnHcqhVFpEEM8fOzIgw89EELoP77ej8eT
URM41MxJRNVWV6bTyej4ieNM9PJHV5txw4QKFsxYtW3bvZ292fbuoXP3Hjhw++Chzc2tQ6PJ5KU3
Prh87easyxur05t77bXrNy59fOlIU00nkwsXr165dG3DUlyZvPPh1Q8v3TnUd0ePbK00fOLgRhPC
7sWrVV0BkRmsrEx2Wnvr7Q9l0a6trdYhEnGsYhIBMyZs6oarGphBpGkCADSBIITN9dW3O/jVz16t
cz6wvjqJrEgZCuYB3RqNhEN3y5CutBJ3gaF1BkyGOOLQoWOqPl24nRX80VgKZgCXmBbVXAJ05nlR
L84YMPww8JaL7r3/RjR/3pdHvmKxExal3IdecDrL3UK6DbWF5dJJXkMjZfSyknUuwEYMhqgFq+s1
JI64B/PYkw2WKJOSGmVREwQf1CtvMBocAc7KYCRRIeSAiAqBiNQlZ6+wJI/ZOc/Z871D80XhUtPw
898fAg2J2G1BQ6qaGLyVUM3Dll6sRzT05iH5LUHMQWJMA4VyKNZ1sVREtLTPAAf/aBgRqJo4S0kL
WrYgm5BUsw19HbrMQBN67BPJvKFES2WsAIKAslufFUQTAGJwXQHMualIiCRgCpx1yBAbaFFG/c1K
aBqYARVRQQVUA4OZiYj7j5kRjYorzoZCSfWLL6tpztkGRpqX8X5yH29By/rXz94LMyCyQvAbiA5v
y2U7o/pVvpDGyrdEZZTxS3zptLB9EdcAEHyTstRIYcCnIZU2Gp+KiIrBGkCNSNUCBxNxNHRWvTGb
HZiuPPLwWQP89bsXbn5wqVmZbkynF29vd1evVeN6+/ZsZ+dOAnz03Nkf/vzljaZ6+OFzW1sH+5Qm
o+axR87cnnVf/8u/2ziy+eqrvxmtTOZ7i9OPnH3v/Y9e31y9cWf+yCP3v/Xm+1/5rc/+6KevPnRq
89U3Ptg6fODFn731tS888fK7H99z/OCPX373d585+8qFG/ee3Lh49fb5M/d+/bs/e/78qZWHDnQq
v7546drrr63fc+8b33nxwLn73/rhi8988dlvf+9Hf/onXxGsW4TrN669/dY7k8nkklQf/PwXv/vP
/vRf/3/++p985anXL+1M71xfu+/cP/ztDzYfeujGpY8/8+ynPOwHBZw+vFjEQJZVApEh5nJSGZjb
fUu5qBgaYifSIFnpGAMEjMOOVQENTMzY0cemzgHqVQHZC639n/qHi6jUzsAymziQyXVoFPNP/WAz
9nfH8O8P4J8AKGZD25D3OgOjczbLMosJGCk4qNWtn0MrT4BSUa2lwrpoa8lATQg9DwNkfq6AOuUU
UVQDYCkaLnw58Z+AlFG8NL0QQYAyrfl/kUFATqZQmHPKVFwkgSB7lbZHeMC4xIcLA0wH28BS7fRM
QfATntnPtGECJDVQABGJiAMcUT0OLSJupbIlCLpgtNBfCP+cBiI1FRNCEs/DFmFW3T9ig+FIAbj8
+94dgAFJckZ/kBW4Pu47tRB8y+bq+oCBIPS+bucEEFo2kZKa1MF44mfyYGkpDcaSVREkZQewBSRv
OWFRq4hNNboGjtn3l4E4cpy3cwXkGLMqE6OaqmbJpqaW1bTNiQkR62HERRVREfKKVkQpJbH+sCx1
PKKZAURy4HEV41DMA2DQ1M1ssQDv9cpZQZlICWsKRkrMyJz7DpAqDowokv2SlyS5tSAy55T8kWZ5
meoFNPMtrA6w8gFB4U8XYw7u12J0xbksvnOWJFnUoSeqZqnrkn+fvSFRVsEMxNx1fQhMhH1OMcac
s5/EkmWBPSPm3FdVNAARadu5SA5EaNbnhEReDKtKKeesEpmnVaWqTKophRArJwdkGRlClmLyMqnR
n4s6DlwxmIKin1MQCYmpz6YI/sxAQvUy5Iq7nAJXxLEHUOSFpFFTSxbmKBzns71RE40yxZoVezUK
tYWaqKbIJharGFCJkRhAbKUZJ0mjiEyhCQED9wghMkTtJE0q6LLVrA0ig9YMJjlA7DW1GYLiPHWx
j3eSwSLtJEg5QRPvzPswrqXN1IQgtki2wkCZqNVKgZKo6RTQ+rbWHLFn7KAyok5wXpEQW7I8ihNi
ySHPUFpC4PpOsj6Oeu2VYsPhFuoYeUE0bdb3druDvEoxNpVNqV7Pi42GcBqOTiBinnDsSBm0C701
mjhHoC7Nwaqk/Vy7VnrsLEA16+naTK4sIu7C9Rai5V3Ukdjt+fz4ZGS5byzXZCNbrMQ0gTmGlikL
M0LmIMAmTIo8F0082uskc0TKB5pV0LYmq0LMXV5pRjAaH6iqToUI6sghVSNGRTDIAbEXafu+zUqs
Inin7XvtW6Hbe23OOUROmKNZZUTWTzkGzMq5wq4JiiCBCYyJw55KpMoC9GAY644TjCa26DE2QSGQ
xlEMhuMxTCNnxZp7bGyttjuV1GgJTBVSD7udUcA7ba7QNEDb9hOirl1MsYKcSQWtB02oKfXdNCKB
KOQIpGSRwBiqEExAgTulXkIVgnxyvVTVQmBnsxGxr+4ocBUGARMxMJuqt4lAuSuXbbGoc+09hKaD
/coNXcUIUzKlQ8HpEoZBg5S37+a1JcAWl32kpamQMGWtl1Aef8Z4BaYz15EOr073Ar751rujullb
X2+ObFQcHrjnxNbm5mJvdunytaefeuzDDy/evL198sSxB48fOjCpAZGBJnV17oHjFy9eZg5ffeGZ
AxsHnh81ly5frat689DWs0891HfzrVFz5v7T866/fPHjh48fOXJoE2P8+OLHkPrJ+vTcE+c//vAj
tDyZTs9/6tGPPrrcdfnIoUPPjCd1YK+0ObA6efbzT966uf3CF59ZW51+7nNPBK6ffuzsdFwR4aSu
fusrnzHNZjBp6s8+/3SM9ecevb+Koa7qF778mb3Z/NFHH6jravPLz1FVW7kGgddc+j6A3bSGg8nK
bVRF3oblAlgLBr/MgF5q4gaqskGHAXwzlNcPIbzySPYx2Jbdt0OKsrhJB0KmFF12GTF1X1iBQxbD
tieEdDAlunGOWEHRu+x9kV80pbKSIEZUceAoEmEBdxqVWjvOpjhcJrBUEYCqqtdqIhmKwz+ctz+s
WtywB6JChM76WN4Fy83YQAHFVA3Ef3OnbokyMiPwIO/5D7xUD3hlS7m5LWfOfVq1l6zgMJuD2VBO
aZ4SwuVIWarkYfBqLtc65BZ6RAATGNzaBhaYTcFNqo7C8UuVhw/VVMQ4RMnLisIC9vB3DxMYkKEw
ISqwGbn0RISE4tKKDW8DAAHIgL0oBwZB7wHNohlMTL3+JjJ51TBYH9g1BiNCESRCt0qZCRMDEKqx
EQAK+iSovu3KOQGSqYoZ0SemkaNhyQMiIKLXyIvkpYaMrld6QgNpyfIhIlCjZftxcRVSKYDyqd7h
PUUb9woolPI63lUQWq7HvnRw56QHdZf7G2QiIyxVQwOv9t13L3Adtg5uzNvu4IG142fv/fWLv9o4
faIZN5MDa9/63s8ePXfP9s07Fz/6KKf84GPnDh3acMynt0DFprbA71y68v4Hlx955MzunZ293b0D
GxtPPP7IS6/85sIHHy3a1kznfb99+471+bHHz314Y7E724HcPfb42Xdvddvz2bsffHTkYBNAF+1i
ZTq57+w9o3EjADdv7xw/unXwvnveePm1A6DHTx4+deLor376K9WMoRoH3tzcuP/BM0R87cMbpx+4
p5mM19YPbGxttVcuHlvfnB5Ya7sWEU+ePFGFypnC6uAfwoAg4PF2VNCk6sZVAmJGUAEA9oWGp08J
xYt+fePjOyMAMgjkvZ2ATuxTpYKrsoIogwFM5gHREgrfT8WqeboVUZWxZFZtH3fsH2AQNWQqayZA
QKsJ22zo/wiRgZAsALFPxohgZJqZQB2HULL6JdfLqgLYqkQKXtGEKATInhJ3gyshI9REyQV6JAIL
xL5lNkMnvSERE7AaGy6PdHa3kxcaGwKhqAy0/MHK4QXLjlJTDWUFYwpAHsUBK1B3wORkHAMjNFP2
qPPAcTev40bUnB0e7y7r8kKCq+UGCMSUpXSiUmH+l3IjYECwgESMVrqONCAqFv/w8NyhXLbb5amG
ZsRkAgLq8RMD9Gp0XBq7ENjPcUa3ppc3iAqiy84aGesQ2rYLhQaGXKJIFgPh/gcaOLBm8SZxQuLI
qsIV5ZzNLOQs7BT1LE1Ti8Gi7UIVHTIl3iumEDiqCYBSkaaInbFEQICR2DX6WEXug5oxOyuTTMFM
CUNdVVkkckgoyATM2g60KKQkOjAOl2xKAFUwyzn7qx2ZkyOyEBd933bp1V+/fuvOrqiZZxvMkqgH
v2KMn33qkbX1aSrg5fL7iEiMMUtKOVU1gUHqk4OqUEvnsaqKKJiJ76Kg0CyIydQYKatyRX3uHdcG
AJ5nCBwcDz+qqypENGNDAuQQRHVUN0QkYDFEkaygBDYK3NT1XBURKg5eo+viOxNXAdg4I5ohh4BE
GdGQjBnAYlO3ixaJFKHLeRRCRZBzahETkSkwUgaqKAqljMTIoqCKFIITwIUoeogGsWFsAjdMoxAD
9KOKxQIQqqbVKjIYA0TNiFBhDtKRpWDBJEUjNBLpgQiAFikx97fazrBK2bZnHTWVthZrbVO+tbu3
KjMhnTW0c/P6xnTabK6aaBAgCmYQiZoYKsJp5PUm1BzHIShRrhkrUCUJFuvaZnk6atq+hSqIBkWO
TbVI8xTijKJAFWLVt23DIyFJVCMkiZVQ0+HuiMKBKk5IuqAbFhOjVoikgi1Ynobqjs3GNJpii3km
skgd7LB0Ke90enkuHciehMZMI9VznJmOUwxMZsAagsGEeY1hFKmpVbWroT80jiqLY5MOcn+gThXj
TivVqAKOUEUxmJmEMNm1HHA8s56xYVKVlC0EjAENOa1SqjCTaCDpKIe0k61PCYnHvXSzbn67XUiM
nNXMerU7XaYKdtscGOqqcrmuJqojdaTZcFqDZFkfxz5BREZkSAIcjSFhSEZzq6NWC6tri2g5EiFb
rKlh60BqJFYZo1HqI0q3mHWSVGAx19lM7lgihS7n1ZXR7ZnmKkMirZTARHPT1NNgkyhkOUYEpF2F
cVCuK2CuQyNda1RbzMANRBWqMGDu24pHRD0iIxlZjkxNoNU6cAIi4U8csILITP7EwgIiQgJmciSA
3/Ij0tAhKUP7VnE7EZNj3P2OiojiaSJT4gAAZCUEVzj15VJeKsWG2joYVo9FTi0EVyxxViI+cnDj
/Q8+Xj+w5qODz1fXr9/aXF9fmumOb64fe+7pAc9QfhZnHrgHAB85f843thtr57wH8ODGasHuIQYO
Tz3x0LIjwcC2Dm1ubm44QvPhM/cwlT90Om4Ob6y5le7Gze2+S9MYHzh3f6/SztrG7J5z58Z1deb+
Uz59jSfjgUVsgejIxvrhA2tEBKajQxuAePDAql+5iODk8SNLU5//tTGd+CNxZTqeTke+eI+etxws
o2rDHI+uBviNxfUwJClNsDAYCAeFqdyxQYVAlyRkRgME2actetn3ID+URJ0/hYq7CQBKO6mqFq91
yc4NffRWbIsFoILMVPiPhcDBQF5jgAPKk5ZlHf6LtVRioqk5IYnQGDESkGFA8knJmw+cNuNbakcw
m4EoIEuBvWYAAIAASURBVLChqVlSBefbI4AKIBO59QQNQUCdSFFmWlUKbhz31gSUUhGE4JW/DKoa
PEqkZaIjQAMpcwou4S9YCP6lTd5KO647h93qvAQqk5s2yyLAzAJzYXg4BQrM/U2Fc2PlIueah0/h
Pg5BYawWWiyVCCAgcrlyl/ydE1m1FMkVTdtUsx8QkoURg0NioXQdp5yTqBsUmYiQDCiXojxwMBgA
as4AUFVxzxZEpfDDwFwXisHZTsrsDCpSzUxBAVTBr8QFx6rCTAaWUhc4+LfhusQnPf1CWOaafXmj
biwvrj9vwkFEF9kIzIZNmi/QsMTmzWmcuk/RLUHfgfQzlCUWGHggdpSRH26laHHYy9UhlEJSr/fU
IumYG+XNGDEgnzx1/PxDDyDSxRvbk0nVNI2BNQEXKSPiZHVlc2P94KGt6bi5dvNOU1d+LyamnGV3
d/beh5c3mubUsaNXPrx6eGvzwNpqs762tzv76OLlnZvb587ds3ene/ftix+//+ETp57qmV57/Z2P
333/sROP8Wjy81+9+f6bv3n4848+fO6sAW0e3Fw/eHBldBUwIBEh3Xv88K9/8ssP7vzy1OHDa1WT
6oaRmmbsaYEx4WLR/eY378SqGlWTfjQV0a2NCXD1+LlTv/7BS/H67acef6itY7N2oBTdDOA9NPUK
IgG3/Qcp605AxKwW3SHgvn3EiCQIDkDSZcWI+3F0mMMIs5oBxIFmoGrs+NTh2IQB6+QYm2JFQQje
82LKDt8a9qb+ZCn0vjJeDaYQMCLyCgwokFbfRSmAMTn119SNCYyac0QoBbtQogFMFAwDswIpGJoS
Eau5s1ZLxbQFQpHirMgKzAQgCEDMnQiYMGIA8JMz2FCJ5aZZAI+/eipzwLEpM2dRQsxaKMQIGIlU
lQd6QLEA4+A0UPVaYzc32cAg8A7YQt4aaOcOpiovlpizfnjoCcuqgSnb8PEoRHgjQgV3dankZeuy
S6bGxIhEDkrW4VEPxujnjO9chYmk1EEXhACyo5PEV0huYvAoOBooFjeFrx8Ggy4zEQEhB39XGIAV
GC8MuHWMVUlseVMOEWXJzAEMAhGCWWCKgbMIE4dQeR2d2wAQMYagkgLHGAKqgkFkjkSmykQhBEJo
OCAMbEmApJZy5qoCgCx52tRdlxEs5SympMgAEw6aEocYmAmgpqiSI1IPkFRAiUNUtUDc9skMBDCJ
72dxvuhf+eXr0dLzzz4Z6wrV/CsW1ViPsugPf/STH3/vh3/wu19UnigCEDJz5NCnrmJiqtjjuKZV
5EABDEIs1dBd3xtCKD81q0JAX7QTIRMjps5fJFRAI0qI2mfnXAUOhig5K6G3xmcVJnaPjYgBgohm
s06kB4lGXd8vcq7ZRhx0MBp5Tby/0IzaWzIhJBQTBQmBpE+aEqhEIgVTQtQUFLMKSY4AlhOHCDlF
rBtVSL0pjwgrtEXuGCnl3jTPu1xxmPd9HZs+yS73ADDvMzSwWCRkCDHu7c0Xi3a1qSJxYN5VygYL
oNowViPtUh2qDgUAIwUDGnFcDdVaE0xJVZvRaM8Sj5jVvv7tl47rYv3hMx9d2cYbH37us59e2Vrp
RIRMQTFUipQVW8COwrZRT/WsB2WEHioilma769ajiqH0mlOKKmZdRTGltkHts46so9w3gSXvjdSM
9mqUuc4p89yySt7r+z7LXq9dxl3Rvg6c4oxphOMFZLaY0EybEU/HYdIzrkSqiceNHGi4krgy5nmO
FTBXvIDF2qgyyCGGSLTTzzlUc4MJxu08n9hIja6lHHM9T6u73ZjIuhw7kymGkVptXWWRMUWTkegE
51ON2XYnZjmnhfYmKNLv9Z0q7gjMVGMiyURWRawjMrIihZVqtFmNcdSvjmqTnFKeTiqSatrELFUV
KyNcZMxEc4M2Wy+2UIwJFOte4Fa7WA9NjCSSMWMwCQZqNmGpIDWYifKuzFSiAHKGRZcriIu+n4yb
ucKIYitYjaoqEKRcj+KYumYSpW+zUd2oTXi1iYu+jVVMoqqYKN5R1Ey9NTbP4xEvMpJQl7QmMDTS
VFHdQA4yq/OiimYJjCR3C02SjQkJAVWw7aXLsLuQ6WTctp/YyWYiQORNZY6b80OzitEPcPDmaFU/
BAp/smTpyl8EGDioqqEvYotnSdX2S67NR1BUFcfD0F0Nh0OfJxiYinkqQ0RVBc0Y4fTJo7e3t11S
KGWDqqdPHV9dW11eBXnIpJoqgBIFt7AWmmKx0CyjmEX+9a9N9zsMCv2eh5KcQQWBIWfmfFg6uLmx
trpChEgogAeeftTMqsCAwMilDmZAT+Jwmx0K5dFQaVnDBkMdgZVky37FH/qmvzBSXCC7e3tpiMTs
WrUXpCPu+w39kc/DfEo4PEMNGKEYO83uSkcWDWeYch3Hq/6y+ppAVNzEC8Mrq+Zb8hIr9cyVN5rD
cOlHRFQZmCb7sNCB0DnYUpEMrLSkAiKYIBoYIwYiMAsMqurFJOXFcp12+BEOvw6IKYl3hQECZDNv
jPC7o2ip7whOazFgMEYTz1KpKxS2T+1C0oJIAd/t+yDIzK58BmLWoUHUneXgluYBXo2kpoIopu4W
LbWlpWXVGZUOgy1ChLeXKkAptxuSUSXB6MqjO+KK6XrovN3/yvfz2ssipaF3AbREbRGRVGCZ1+Ui
ZxsyZHV2pQViA/FSDYLiJHYDMCCpSuQAYKX71G+FiASWvUVw6Gy4+wPhzsxyczNQL8DxXhyH6CAr
7X+PrmqKZjStqgoMslv1ePl2+gR/JY8QD+95VXXD3WCnKhxa74HZ/+gVkwGKy2uOHWKSu8pOBvEY
ylXbOySXjcK+OBheUVMobpTBuC4K7LZv9DIgVRUZzCJmcOzg2pUP9958893VlemRtbW64lEI9z1w
+uCRrQ/bdr49+9Lnnrp0+XLT6OrWoYfP3jeeTFxF2JyMz56999KVmyvj8Ve++nxomuefe+rW7dtr
66trK9N//PtfQNFnn3p06/DBIwc2Znuzf/yHv7VxYG28cXBnd+/Q5sr66upTz5yc7+wePbS5vrZ2
z0PHZnt7HOJkMv7KC58ajxsEMJV7Dm9uffm5nGU8GiHa2RNbzPwHv/9CrIKa3Xv80PF/8U9oqOmC
+08hwu9+5TlEPDrGw3/wZTSouFB/3G7gA61PL8tGJiL2T4cut1HDqeUheUcaSxE49+UqNJ8A0RUt
BMugtqzfLO9/TFqQ4FDgvuwhu2XxWUkjFz94Mf9r2Srto5JQ1UmqqlK4ZuXJWTo/BZDA2T0YCLJB
VtOyugIuQGa3abhqV85fBMpqFRCAhYAG4u3b3iMd0AQgkplRNlMk8ROgvNVdl2c3qwZEBevVlFCQ
uGihPMDPHctvRF6C6nCnAe4FXqNVulA8BwHkhLgMBoFQoBSODURoGMIdpmrEpKKipTuu+FNEmJCA
DEDMuJTZaln4EKlaJEJT5xzI0slPpYQJy/8id7j4O8BvD2XrBxqYCc1kuBUMG21XmGXAnhd0H6Kp
hhBMFL2lyYCIYSC2+mo+qyXJ0au5ymWt3IUGmrw6ps6PaEfEi4GZBORgIMwk4vtfziJBIQbuug5S
DwBm4ijtJAJuwkPMOaM7Usz8iJzE2HYdgUfjYdKMZymht1o5WZ/AsiEjZSImJA7MIUYkWnRdVTdI
JAIKxiGo6nJfHEMQroadKRFRYOpyunnr1h9+9glcHQeOJsrESKHteqzrW3d2Pr58eeedd+JvP50m
KwTYq/a5repaUzaDGKsuJQWoAqsosKJZkVKziKqZppTcKiOSCTAydzm3fbKcu7aTLAqATKZ24eKl
21euP/PU4wGZDFVBRYTZQJkIDU3EKw6xcMfJDHa3d6c111VVEWW3RovUvlgFNBR0txJgIM5IZsDI
AuYEiE7k4se3dG/n9D0nUlVdurUb+u74kYNt6c4KYJaIcghGUTAYQQyVKSiwxMgKTCFG9JajBWUO
HGPsQFfqpiYIRFaHyDGhTZvm9o2bayzT2ESm1MtGXUPfjYiUQBgN7dK1O9/75t9GsnmWJx46e8+j
98VUadY+5wbirMdJHX9z5dbNG7u/80efv0rNa9/50b/8J5+eHj6hFhbdIjYjUSXLqiQpjcIoq43N
ksHV2eJ/+jd/Nbpx6X//f/pnfT39s7998emmf+CLn1auNehcs1LczdRW0XJbjxqq4xw0WbhJgjQC
NOSxhUBg0zCKdZiEhioZYzDklTpaFVTzgVGjbdcATmrWPjXRAzuSwFISqOvbCXLP17qwhtxKqBPQ
CNIcI3PI0LNNTWrFmGXFbJJbi9hoXxGtUTeiFrlbjR1K71DWrIoIGYig7jFeT4uDo9UZaMPTTBJo
Faq+kW4yWtlbdGvNCLVbr2gCDCShxrZLK7HpxfYkIda9yEztVp8WbR+yJtGeZa/XfpH6BEm60ahS
zYxagUSjmiCAjFk450mwGSmStqaMmDBkgHmGKlZz04AhYSAK09FkCoFrAuqxDtL34yowK1TYEDSM
jLJInYmlzqDnPRTO3PV5arw31+mYRSilrCqoiRWntphQDNIJW0Ssua+5yixInAGFQobQQQhQa2TF
aAztol0Zj0E7ChSJUaUKvD5uJhXjSsUBxvET98SUtSGAFoPZEpWOnjx03aA4orCQe5dDKZTOuzLz
uNbnF4793wgGMn4RzJaignnfQ/kChggZuhsRjZmY2bGpIdLW1ibuR3RweDaVWjwOBMOjXJd7adP/
dB4c4pBDuMgMwYaye1gaI4eOsP2qkyW/BO2uGj6OwZOBjMAxmGnJQeF+/eAQp7XywyEPmMGQeRwq
IqHYEInQvHXEyYBeErjvkBr29m6eXBLrhx5CLBaqstsFNEb0jI3tT9377lxHJZVixuLf9UiqAaH7
bwDJuzF8L0C4r4EPqa6lh7Pw9kzNf0Mt3yDa3b92uHCDARpZcZyCquMkyg9NTcEsMGd1j7G46BOC
97sURkWRMcFTGWAEpuYm2+TGOe948PvrfsXpwNoFBDVnWnrHug7yiAENsSRPKJXqD9/RK6p71rx5
BUsnO3B5cjlSxatCKKspWlYTNEWLQ5mGS5emZlBqGMmJYUMFrONJrPx+xXktgzde1ZhIRYrJGb3k
Rve1Q8Rl6tVl58Gp6yGx8sH2fy4inuRjIjNxtCYjqke4RCIxlpoTEEAByFkRKDCUWmKkrEvCq6oZ
EZIYOm5FNRCWnngqfgwgL8LxydkNxhoCS1ZAEsNeMgHE4Q0qombKwVnTpYTFjZef2MfrV9j9rlaP
OA0yF6KaMZACghkPGQPXZEphkNcjL+sx/AUdjqll089wWOFQwVs+MFqALQgKRbEnOrix8c67H25u
rAOYqIqCql36+MqpE0cG6Bzcf/LIA6eOLite/M1w9sy9SHTg8fN+OB45tOkH8Mr0xDCTwXTUPPHY
+eUOChEPH9w8fGjTQIlo5Z7jPNzLD22uH9pcBwAxyNt7N67feODeE+uHj126dfvalWsPnD5y6MSx
EENdHQAEQoox+G8aiQBgdTL2zy96/BmgbiqXMQ0wNPXyUbOf7wBjBERGnw8L3ZiGk3y53TMACACy
rN5lVrAMYGAB0Dc6TKXblkx9j6MIqoDgn1D2E2dogUbvhXI+rap6/YyUhwopQFlDeH+lV02Bc31L
U1c5YRFVRR3AW95iWDKeRI5GB1MmjsQEllWNg6oGKsZUAmNy9CuEIVPqlCYACKXvyY8EyKYZKSD5
TjOYZk96m/FgBwcARUiqAcmZRgwQvZTYtBzKCA4w8V+rJZhf3DtZhRDFjIfwrnhnGJB4asPBXTqY
NIgMYSAampQDHgvxqzhphuYvQvXAsA1LBjQuz76hgBQhq5Ln1U09MkpEjt9zFh0TALIW462BlU6m
cmibJ0CVhvLeAdrEDo+ygdBXHPXFYWzINFAtlAnNF5NYnsf+xkAif6OoeQ4FB0cFZVMt9WllrUKl
9azsAVXFh0QewknB0FLKxJxyZiAkRQMyZCTy852sT52CW3OD7/6rKphlG65H/pCwIb/LhQBCSZUC
95qj9DHw0INiknNsQiciiCFGB9TFQJL9kFRR8WAnA/mTerlOUzAxy6p32g6QDFgU+kU3HY8JwNRu
3Lz19W98+0ff/M6pjdXUzUVydIsM8RtXrr78/Z/+4eefOXjixKyXv/nBT+9diU9/6iklK1IDYAgB
CA2AAqspko2qCoAYSZD/3T+8dOeVl4/ff+pmlyzLZx596JFHHzp97OgDJ48zsTpfH4ECu5FATQOx
YwbnJpnKDmlP7Vvf/fnTm9WZzzxlYhmIEGoOklI2zYFBEAkDYN/1GAXZCdQwiXUyDRz21P7dX//g
2g+/83/5P/93h59+5nuvXVx559en/ts/GFeTkJOJJZFRGJlB7toIKkmRQ5d6M4HcQwgUqM951veV
UZ/6NiwEsO0lLfasa6vpuLVcg2Jd7yza1cNHutxfvNOFnPYWu9u3O1OhtVWpw6JdRA6/vnh9+8qt
f/W/++M3dhY/+I9/O4bZ+qc+e+vajelKE1ZWZ7d385071y9euf7RxffffefdWd6+fuWd198/Fzfz
ocNvv/Fe1+etrc3j9524sZvee+3tVea2bx/71BPQVHuI21138cJ7P/3Jqw8+98VL893zwLcWcOG1
N99+67VJ3dx/5vST58/95uadn37nB3Wgm7fvnH3gvhDjz15+7b6Tx59/9nHheOnClR989wfS9Q/c
d8/zX3z+p+9c+c0PX+r72al77/v0F57RZNDbGOhW3x+aNvMu5JY0MwlFgRERqqwBNiSHmKYRgYNx
rsdxp+/HoyZDf8c6qMeS51DHFCurVu60OwmraFGR0KYzS+M0ZgQDjoEstjHEimAaACzHGkbYArUH
rI3cVbabRXJOfVstJM261Ge9JckC2oIiguTYzXNUajONawbDCmGliutVtKh9u5hWgBGbmu5kqKvG
kDvjtWrSR+kQiUiqCjgaBgJej+NIxJFbWTQBejEjCgxGUIGRCanN21aUokXshRBzZ53qtKl3FyjU
z7tc1UJoanlSVW3fTesomJuA4zrDlOqouabAbIHFEOJEguxpVGSTPInjDBk4MMfA1GBEzRVbjTIK
gm0XSBkIA3BOAJA0J7N5TpR13mUOeXu3qxrnrnyyvwhQ1TJIwGJacz/mcjT1ky0XajmIqp9wtpxX
izkHltfCoXShuHzvKkzfVw0HYWsYBek/b11fgpGGiCD+5/+C7ZezuwIBy/5Kz47ZXfLkkju6/2WU
0k4p+FBHxRY3IJb/wFJLpH1go1NVbZgckXC/zMPzS1gur8bsO2UcNs24fKQNwdpi9/LrS/nTiTwC
NAgvwyV3SHsCoqhPsJ7NNDPzDpWSiHMpBtHX3W7WNGQpMZ5CgQWTocsacVm26fzY8jUUPAR6b5tj
CNT8tB96FHVZngr7X+BgloNlsS25kDCEtYaAK5TGSFyucNGt1oAGTsVgRChkpgKwHFjBPEzQaIbm
DmRDQAYEARMszXJgWhdFEQiMicSQhnnSGYpkYEQCZcByVI9frP2Fylpq2/yuVFojkHyoADEPs5H/
8BUHRzSp/zwBlNAf7q6Xou1XvqBq4IGkQpwkq6KD+p1xi4bELDkjaJGHfShdjmcFuKMIoOJvMHLU
1bK3hpBKwA5QrcB/fcz26hocrvJOu1AkW3YhWKn/QaQsoohqKGBZFcstuaRaxczQmJEN8pDFKpZI
dZaSEWIIzMxumEViEevFKsTUS4xuVoeU0/C59TexMiNm1JQ5cOkI8gPgk6/k1JSNYVgQURlKlbh0
QtiyPtY3VQKDQA06YMacOqZqzoRTc5CYf3aQCZZYY6+LtwE27oRYW37wDQwsEp0/c//OHfeGAHOg
AGDw8Ln711an/qWoaQjkp24IbgkGYlR13Asuc4j+ZVDhbu13CvuRWzR2GA6fgs7WQvAaSm4i8cmj
h48fOeSX9dPHDp86uuWyledsffBUEbexDHOeQdnPLfvDhjPMqw2h1ND43q2Y00sGwJBYzQxL1y6S
S4XD9uKuoh0tdc1gCASQFbh8R+5pNy2FopTBgCC76u6LRULvFuHSZOZbplJbRQNS2cx0aBgezmwr
wzORu0WoPHgcxDAsfG2o/QTwTilFFFMuB5hGZkVBtELbMgMwBiB35yKquatC/HEpgIWZhqVOlohc
+WQENGOiCJANkmnFPGxtQFSZ2HXWUD7fqKVNdyj2Kc1GhRZXIuiqftovC5BD0f2gRCcNsxqaIZdH
SalzdrNRMUVZsXNAsccSgvq6yjzuzmUGxmFT7pI4kpTH0n4NGRskUQMUE8RyuDETqGppCChUZCIG
UBreb8utdBjUVGYeiGre7xJEDa2ggX2rNJg/1PxZq+rwazMxBfIOIrFlcRQgBKaqxP0VAIGoF1UA
99haeaagiBoCx6hZitNfAd0Z5DRfQgrMfRIOwVVKQigmNCYzkyQgioA55xhtyDOg5yjQea6makLg
JAeLISTN/tn0qHqk0GVR0Kzi9gzPOJWvlTBlMQMVDcSZ2Kl0TMHbtLOI7/FiCE0VAWCW5drVa9cv
Xnri4TPrmwe3d/b++pvf+dG3/o7NqrphAiKIREbISBTi9Ws3VXoDU8JbO/PDoIL20dXrH7/7fkr5
4QfPHDl2+M68/eDiR5c/+NiIPv3kw5sbB3z30Eva7fvTp0588feeldD86pW3/8M3v3twGu6MVq9f
eP/Tn3ry/avbb//856NYUcVnHj1/4d0LFz+8NB5NX3j2mcmB6c2bez/54UvXb968/+TpQyeO/ehH
P73K3ZG3L3zpy1++tjd/+UcvpqxnT554/vmn35r33//6d9anzfa87br0R196+ugDD7x84aPrP/3Z
F770XHPgCIJd7RbcVPXGxjf+7if/9MRpwZQl3eraC+/d+PUPfqQidTX+w9/54u50/Jd/88Pxpff3
qrjo+P7Th/bm6aPLNz716P1f/P3funB7/rN/+H5/68btmX7+6bOPPPPkt77/y90L72AIjz328AOP
3rvWrC8Qton+w3/8zu/ev6Jnz/7b//mvJ7I7OXj00uWr//z3nz35+KOqLJHiuG4iT8ZhKx4cNauQ
8MKd/pv//tv//B994c7B43/90muP4O1b6yf73HVpm3kFwCZVfbmz1/76h3H7xuYD9/3DN7/3e1/4
1MfN6p/963/7v/naF7fO3Rsoq2Cd+4Mr1T2Pn//5a28fvu++tYDS763w4ujDp9ZPTC59fOtv/v7F
JtRXxpMf/fAnX/uvfqs6fd+/+3/96z964bOf/tIL3/3Gd48eGq2ePv+Nv/jmb3/hsa37H/3//us/
X199/YNru2t1/oP/5k8+uHB1s040rqgJ0ueqrtdHATVGtlBxRusi9Fkboj1FgdBhNWuVGa2FSQgL
CTkB9JaAQqQgFkQmmkcpTS2tKBuZ6F6FcWwty14nM9OIXPe5yyJJw+29bhyb7S7HZnxrsTtdrXsb
c64iYQjdNDZHq2atqcZUN1UUtcSJRpSQrOGo1M17rjiBLsB2xUAgK3YS+h67RKk3xmqe8piJTSwv
Qu5CZBbMOcUYUm4lVyn3GSkbg8Cil74zCFAp3MmKBsoRkKaxboDHo9jqfDKuWlAOITCy4XTaiMxC
1eRMFHJvQbGaCwUc9akf4bjNiwnGrBhVETOmOSlU0FYIvWVFsWyse5jQctdrMNY+q3VpoTDSuAtp
nGnMtUHPsRbpIlEVgiRqIlvFgWxjbQxonjz8hGqp+V3H0F2Xrv+oDY5QRAzMWUXNnHwIpUbMJa9i
x/Xhym1UWiKjhfdKjqD0eZIQi1cHl8+h5T8tt+0SohnGHlGqWVR3d2eLRSuq4HYlRGbcXF9rmtrL
RUpLu+F/+v3ZUNde4q0DewmGlNgAgBlyO6o6YIP9Ya1ELLZsC1+6Cst46aXTS5DJkmGLpd6N9ime
dw3bPj/gIJMW+asUvRRnMhQwKfvad9CcAf31AiAvhdPi3V2yAHTfz1oCaWoGIDBsEkrt5zB53iXs
lHs2GGp5IcBZr7TPmeDyuC0zNy6xsQUIUvhVOORTsTjfaJDEhxd6icA1oKX10YYQDhedoOzOh0Gu
1Hq6h0oVgLF3Ka+o1M7BcsBp+R0DUUQmMDHwEnYGBAP2NgVCMvRJQwHUimJQkCSOEvEu8SWYC4GR
QBVN0Qg9B1Uui2VQ8hFEoXSluns2EDMig5d/YvmRmjEBui8aUdw2bGBuGy5fBplKDEELzrcohH5F
ch6TK346zNLmTjyXkovPrmwWyisHBIbqkCd0cQbJWWUDCtEvW0zkVjd1+CfxsF0yJA3FV4CSBRHr
igFMckIABqTAXp1acYBsDFAHRhBX0QmAmNVQzZq6tjLeDJsrA2ZENQJvnjAuvTpUvjyAwCQi2T7x
ZOqFf4XeGdj8juw8reFTtjS9wwCvcpKlf1z2QW4wcI5h6fUFAzd64pIuSW5cHH7V8oO/7N9ChLqO
h7a2CmMOcN8Out8LtMTCFdpc0RJx+ZnCfWeELg/f5c7RTywcPowDSWkASS8F2JLDMx0gpM5RK8s+
b0LyL8XVRQALVP7oAUdcdCUsSUIvqbVAhb8J6JYHLBp74auboWLxmctgRLdSP4aF0oymgVgwA5oD
jksRS8k/G7lNHE18cwqo5dVE89pe99o4JWzIXSg4MaE4gLyBzGPhg/9nuY+AAmJYdrD6msT+08Ur
ABMKoLt8S40qUCB2fvi+9xsL8SGVmKjHIiwQZe8GNRNAD1sSQgXYmamJ/3io/PuuQKLosC80IyZA
lKRNZLAcBjzS0KODhFiMxhxSViKIAIwYCZNqyfgV6JgtQXHZV3tEIOqNneZpIChqpzgnolCG3BpT
kHlMLGCEPiUOCx1AK0eV0fDm9xhgWPaHEQWApMuogiKQiKjH/vczxKjqTWnK5EcaLJekaqWdzoY1
7vD4cgfJ0uMDWDiBwB5epJIk98LVAFiIA85Oc+IGISMEwgHPjoECAhLx4NXCwhBAAhCvIEZEZiTk
IGqsxuVEkkDc933T1H6PCBxa0xJOVamxco9Kn7IZBORAgYAlKzIrQAgh5mzqCrylnCiEDJhN0Sir
hmLDQCYMTBw4EE2q2lQYGRQCR0b2B4+oMlKIsUuLwIGZDaEX9UBRm9UMr+/M/+Ib33v/5y9/8OyT
z37p83//3R/+4Nt/X8fwmS9+IWVZdDJCyDm5sySlnM363HUmPaia1Grbu7vf/N5P79tcO3Hy2IeX
r4zWVn76+lsf/+atzzzzxHtXb/ztN773j373C3RgjWJw7zugIMF43Jw//+BPfvLaxx992B898+qb
bzz91Ln3b9752Usv/cv/+p9MH7j/r7/1D5O+//yXnn3p7Q+//Tff+dLvf/HP/vrFh1bod37vy+1s
LrE+8/Tjz69VZ55/5uJe/vqf/9U/fvbR6vQD/+4vvlXFF/Hhx99/671/8UdfOP7pZ/7j37/4y1ff
2jx9+r33LteWxivrhkZIB2Kz0ow3nnysF3r91XfHMarZJPATD59+4vxpaeU/fPvFd1955dEXntub
p/Ob4zN//LVvfP+N93/y7f/D//g/vHglv/rtb39654mf/+Zjvnnpn/63f/Tq1e5nf/XXp49uvv7+
hT994oEjDz5qqUPgXhQ4JoNdg52u327zbs5PPHj8iRe++hff+MFLv3pp49xDu63EaHtqb7594X/+
f/7bj+ayonbvsU9d6BZ9ztAtomWUvmnkgbOnLx0/+sgTW+t45sO33vjUQ6d+kpqf/vKNf/rCk6PV
jWbUvP6zX8bPfP7Y8cNnn31MJht9rIx4h9pUNfceu/8m1z/+wStVTUq1cDPb0Qu/vjCbzfudvcXV
D6fnnjpx5PCzjz24oEO/PH30mSfv3Tu8dfrUyZ2d23jn9kcff/TTX3B8/f1bVy9+cGXrxP3n3rz2
0Z/9+d+dPnXPyQeme3utpR4BWkmK+caiHTfjec6bgJLzOlWmaQJSW2s6D83YJGFYNCF31oECsxHk
ucqu5jvZ7kgcSXVHq6wYuAFUsKbj8QIbjITCk6qiyuqqqipqJqMxAwCv1XBkwhs1WJumTTXvJakJ
wJ4I9bntYbdXDaGbpQohzXKNIUhvAnnRBYNabQw2AcimDcIIhaMya5ezqvZiC6Ue687aFkMwELIK
mzl20zAKijVxrGMLs9Go6ilZYASqIK7UQXtTSwoiQDtdXizyPAjlkJOMK7ozM4F+p8ujmJL0QTIr
APQj5Ayq0GtuSbPkHhFEkajOCEmb3kQhCBBCrqqVQGncrJAEriIiwkLWJjVIV7McqMIoNAgASqpJ
QcUAxbJRVpp3BpG7riMO9slvZsVBiyi+AS1epNKYtSzDVADCUpDo8RvdlytRRQuXAMu+Wcq/6U5L
XY4uKrIf1nQvqAES29AgA8OVCpHMEIkNKQtcuXbz+seXDx3dwiEtj4h3dvauXr3x1GPnynMTBgeP
g0bKrcKWS+tyQwJcgjBdXSu+TS8cd56tGYFLE3Dp8o0D09FkdcUKzqHMcuS3ClzygYf5crjpeiks
LKWVJbq2GJ5paYdeupFNDdhDDzrIdChZb968uX5gLQ5SiIgooJqVhnO/p/nj3hcF6it5Z0cqIDC6
e4VcBiREM/UZZlgHLC+4NOSKuYT6HICEutw3FxsvgHchELJq9m3FXffmgmIqVmRCA4GCn90vp91P
9A7spSLMFpEFqLyFypWLoUQyfRlgiNnUy10YsNB+DQoqyf26ZgEdGiPlR+W19SW9N1zf0DNgsOzr
MzR2Ea0EEEuvA5AD8KmsAbBsDfguOUcBxcwAMxgQinvIXfMR888GlipF8MW2vxwZwJAVVMwMyVR8
XnG6IRi4tFJkPlM0ZSwpxWJak8LXgVIKhAO4pZgg/L0DCIgkOXPwXhN3+mbX9hE87+RvoaEpgcjA
kihiMASX3yOHMvuCUUBRJUAVrYhRLWk2BAMSkZwNkIEogRIoMZtqzprFsoCAucLtl7eUMhABaQyB
zJxN6h9vp1D1km2QbMBxLp94KWeIyhS4BNogRvY25mFY9B8XuD0BlwGCYXIrXl8mQJCciAMYFLlo
3zqH+wSvwaa+XNAMGyhc2iWGc5lgfzsGiDA4KHHZZLMMMuwH5mE/Z4BD0gHgrqKdYQ04fOisTI9l
3UP+mREZAGaDBwLvhg9BeSfDcMQO/Zflg1zu7GAI5AcUEWn2xqihk6zkD5z27KTckn1w8bNoqkTe
P8TEvSojoWrA5cJRIkKGoYZ0KGsRM6/09CZnMiMo6LKsIoYZLLrrwcDId1Ie+8filx+Qv2Wq9h/F
YBYn358RIjMuFwFoBMgGMsy07lhxbjAO/RceU3dd0R0WaiBgTG4wUhyanBwkS4CEwAgVYEJIkgKX
2rSKKIkqgCIpDAlO9FUgCAKqMXMcYinAIKYBywjmYFsxIHBiKSBip1LqWdEYygNdBzg4Eftj5q4S
8sLt821dKA4OAiQt5TduFwLBYrmCgsAGBlA08WqkQq8otiPXfrOVfpzBu4Tk3WZM7EykocnZDJh5
H1rmvp4hde/pdTOIHFBUh7pvQDRDNWUvSyMsHepltWxcKtfU0eZM5fIDJZOyfPYXzykPcSLnobn1
l4CtOE5MJAdmcEMN+GUOSy2Wm01Ug4libcSI2R+xGmMMTL0OvCcgX0sTYYxRvGsuRCvQBFKApErR
2a3KRF1O/jK4fFFeYYCiPKS0pAX6Z15EGFHRVC3n7I/Vvus9ZdqlPptoTr1IUu1S78gmIO5B1sYr
J08ee/2nP//Gt/7hxZ/8Yu/O7bqK//hPv/bQ557+6+/8sIywzF5lPiYSsK7PzBSYQ+AxWAxxfX09
i5ravSdPSMBX3/9otLfY2d6TeX/98tXtm7c3Dm4kU2LuAAipohAMq1iFEOftgh3UnqWu62OnTp+6
//RbYh9cvnkC+1d+/stb13cWFy9f+PCj6zdu/veffz5sbIStwzuppypwiFVVb2/fHrOdP3+vrh47
fea+dz/85dmHHz9+dOu+U0fGo/FjZ+/7+2/+4L23P7r03oXffvpeqCpvSM8myeze1cnKqfu+8/2f
TzanEwHp+fXL11/70Y+73Z23P7jcbk1OfurRjHjo2FGpqvHKStg6PJ6u4kgWojdvbF+6dvXqK7+Z
/09/cadVkn7Wy28995nX33jvxdf+9uEHjj75mYcYAM0mQBE1Wn+wjmur42MnNsYrcevYob3Xf75S
Y7QRV3G1rk/fe+yf/6s/uAyH/u6vvvvdH/ziiX/0hxhZ2PYADUPKjFU0JuRJpIaICSukSIDbt28k
4AfvPXH8yPrFyCsr480JW4UJO+ZqBdKEwlbd3X/+oT/79dvXr1975NMP6qL/9//h26eOrW6eOsVv
v39pe1b1rRpvL3QXeuS6l3CnSylrP+83YnN868BXv/T5ePzY89dub6yv73XpzB9/aQb6F//vf/PA
phw896DVGpRbySs1zjqOHGNddQZYV3faHCYrmXKPDVXhpqQmTPqWBNZb3K3iikobCesYONBKXe+G
3dVoXW/TSBIko1YsKB1YSCJ9ysiw27bb8zSNKrAYY9zrMlZwq8NqIdsdJcl+1zbL44BNABKMgYCt
F+FGsjBFAqaZSByN0ny2UJphZKMFWkCmUHfajygwG5OMIlsdp2QcsAqICp1aA5IQJfVdnzKZis3n
Upm28y5UgYn2ur61eZv6UWwiIIMwWqixCcUcFyN2NY5G1chqDExUJcG6HmsPFscKWZlCnAC1IYyR
FJBC5CrZqIa00CqCgqakID2Bdm0nItajIs96s5206I2ZZn3f9x0E1l6o8lnEEDBgH7BbHTNSDhWa
Saz4v+RmxlQo/Eh+IwmBne7jg2gIrDn5vcdLldkNXAOfJwyEWDWlkp4oR3bgYCq4RO0XX+hQYO7P
iiFqWZx6Q1hL1VGXhoi37uxtbW4cPrI10AJREdbW137ys5e1xEuo7+Xy5auaUwi8tXWoaWofh1LO
d27f2dw4QMwefim1dQMIQQEvXPxo9/btEMLW5oFjWwcLjlVVVF/74OrDRzfq6fSuUKUV+2Zxqw4r
cv/bg9qiPtwPZRLLsdkXnYi0ZBSJmRhcv3rj9V+9Gsd1FeunnjpXVZVPVUgwmUy7JN///i+e/+x5
bkavv/lBU+Pbb34YJxUyP/zwmfUD6wYgYCn1YBYQuYrOcyquPDfpOSLCBufbEl0BUJxsJQdbmi+G
mvllg/xQYTKYq2k/x0v75H8YtDQs8apl458WXQWWuKMigO474pxxQkPyaFj4D2ZI94AxUXKliMhF
UwPPDjGAIhmaMRSPIQORN0YgiDkvBVRLv55PiCVKapREBFE8pMzu7kNH5gL5rXUgkujA51za9spt
lQcyq2UVRXP4KhH6nxSIyTxPiIyomhl95AMxEyB1Qyz6dZm81mKwnhdd18WlgEho/mF0GVeTAjKg
h7WgwLPKNwIiGQtOZUgXF+S1l8tkKk4H1+FYTdUdh86/clGHOGdjZkBjNEIlc4YWFTySKppFIgBT
RBk+1iln8uUUgDnHkQmIcjYV5cAiwoSgoE7WAGPPW4sgWs5ShSg5q6cJyOFDklUwkP2X6KUUiIMf
gGAAGEriy5wA5+Y6JnbgakHBDUOpqoRy9ikYeM2MgQUmHaBJtm/ZsEFxLYLQcP4Q3h0zAMwiOzs7
OWcRcYewqlVV3DywFmOEwX/nRYamoGrEcHf/1lDwBPuD5RCOsPI2cX2tTLZqEpBtSWwexrKhG9bK
lXVZUFyMlUU1HfL5NsQoliumZYIQ/Ocz+C9oiaeB4a0WSqEIFJzMoPcOmD0qR4TrbJ7k98A4YPDf
x3toAdVAkJIaL/3T5cTxo4wUMamF0kIJJcsKAADZhJHIgAezrptPHA9W5GLDQtsZuhZdPytTEEAg
Ti4gFYf8Mv1ftDw3LJR3UcrGEQnFjJzQB8rM4u1HgzQaEM3cIV/eLe5qDohCJICkRoxMRGrkGVGF
ijgiApKJiCkQe9jOBidINlAkVUXREJhNK0QprZJeKAkZLYsAsaOhAE1ViEnKkrUEEcgbV0AZUcwU
bJklH4xCZRCy/T2uEWIkyFYAb87o1kLktf3xyYyZVNRrlT3rm9V8f0GAzEHL6Y7eccpYuAOFu14O
IvVVoxZYg68bqLCXVF3jBLOCMDDxxIbHZopVymFF5g5hWb7XVYSRmPguh0Gp0WHiLEpU4JEimTl6
LxgR55xy1uLVQgrLhZWZ+rYp5+zZBmYPPwANe03NEpDVBNSYyVPdkYixoH61NPygc/ZUpKpqBPfJ
kICIu4Kz+EfR28yIGAyIMTB530YgqmJAUDWNkVNGQFsfTVveXoujToUQOZAYHGxG/+S3n12L4c//
zZ9fvXJ5Y231T7721Re+9PwuYF01CjEbBAP3G0SOIdbzRQYFVaGurdZWRqPJC5954tbNWxeuXf/F
q299/rknAtKoadbW1kbT6dlTJybHDkNhLllVsexJBaxJtq/fXty6ffSpx64HZuOIED3uzESmoa6P
Hj30xFOPPZptzLQDyKM3rt3Z2+hbzrnPkoPNFp2lVAVe9Hrl5t6Y9xa7uwdGo4RGGAhJRI4fOtQc
2/rLf//NY6Nw9t77FEwAasSaOIKtIp87c/zCx7e/95ff+uyZo6D645+/8gC2X/hv/uQvf/wmvPWL
1apeHTVNRVUMhzYO3KpG01E8sBomTVybhHOnThx6+Nw//d/+aSvV9u1bGxubO9dvfeX3nn/l2rXv
/sXXH3pgLRxdDYEzKQRWHKuEDKgYhUK2OJeYNIgBZgWQpCgqUzbqF4ypAZuMRm+/9s5h3nz/5V8+
+dQ9oe8iGcqcpdfcp5zXJ/TgA6e7Pp09derihQ9SZqkBjO90KGgK2GBMWIvlXRsd39p65DNP/9v/
+/+DP/UgYxSCxXwvX7m6fXtntTq9NhpP6rA2Ga1Fno6rUQ0rY1tfCRHrEyc2HvvMp77+zR9tHj+C
nTz1+adv7Cxef+kXMcCoGceDp273seYaFXqBUcYuW5cFwFizyWyNo8ouc9epkPZj6FdgNMPFBGyh
ezlnFe1FdyDMe762193KBrN+W3h3pnkEMWMjqDyaWxiFiKBN3UDVd3W9Oamq8XTEeGOWp5FWa5zW
oU9xFIJiSJ0ljL1Vuxl7Y+ghNNVe14U6UNYYMIjHm6QBHJFV2E6pRu1IhQQqTG0rZLjIqQrhZjsP
49Fen6YhgtpCrMJIXGEItVkkrqtmTBirKoUEbAGrmvPKaLQLOcYAWIGRMmWkRKNMqc+pIuwgBtFF
n1aCkHWRMwuptZgMk1QglimgdO2ia1uLdasqyVKbFxl4lkYx7uUUBE25qkapV+ZQB1LBtWm1N+um
IxqFqIoUqxZAIxkCsCGFLvGI653cNVWVu4wUCOJ/gZPNH5mMLoSywZJ179caRUQVY2J/oGJAcTyA
+XoWmEHd/DrokOVcVb/tL7Ogy98VAZetWENV4HBZQSQoDiuTIvM408XDWkBcsjzMISOpKDGr2fZs
8YOfvf7lZx9rmkYNPvzoiuZcN1WI8Tvf/OHTTz544p57bt26tWj7ra1Dinjt6pUY+OTJE8j85rsX
zx7b3Di4+eOfvPLk2fs2j259cOEDBTp16kSX8mu/eefizdv3nz6x2/broxrq5s616we3Dr7zxlud
wkoVTz9wz1uvv71QmXK475Gz7//mva7rT588MWP66JU3j504dPqB+43DhQsfX/n4I4rVo488+NIv
36ila40+/8zD49W1vZS+/t0f/+HnH185uPXN7788eu3dW4v+s888/Np71w/G/p2Pts+eOf7Tn716
sE6nH3vi48vXxGxrbI9//tNZDUoMhN+5cOnC62/czHgiLL70td9zLTyUIXNAMXkiz9tZXA1DEFNQ
o/1QMQ8lqPuvabmwDndQM78X0jBjL6OYZQ3hf+qQDyYt6EpXinEI4+BdN/L9K2RxXPs8CobICmpF
OBpiO8MM7SgfKxktLQ0qCKFEJ4FxGRVEQpJhJNZhOPHZUwqX2fWoEoAbxEYkMDAlRlkiowAG4nTB
fakNypSZ+xhtAGAERBNlRPKCUzIyIANTca1fDBRBiRFJVARAzLOlxIaRfSpUKKsdZYTAjGVQMhls
3/4SifrPgzyDx0SSc5kiQNWEmXXAV/p+ISD6NOu2XrFSLuC53xL4NTBwuqyJiQNaPAZsSGYaqNgg
kQxVC88IwGvbAmGrqtmr0TFWlVNtYoiIBAYVBdVMUDjQpoZghZoN4B5mU1NV8PRBwWWBqFj8xIJp
RGKP23mAmZZ9OWhq4ByswP7uV1VaOjsRRTLx0PQzrFFw6QG5y/BfJrWljDnMqEXeBCXkEoUwMIP3
LnzczXYOHjoIRdwmjvzR1evb29vnztyHDuwpGKxh7LvLNqpDsapLRgOWzgOZDgUoG5kyTyIEZjBY
pPzGWxfOP3A6xrjUU6xwSIcl5lIO9UCgS1gDwcbf+w4oXsLkcJC0/Xf0e3lKaT6fI+hkPA4xWDGx
wmLe3d7e3tg82LazycqqGN7e3p5OV25cu9a1iwPr66vra8ZclU86mZmakJV4aDDMHii1QrKJA/DO
bb3uQ+0NooEYMhgWsJIrmR5NNCf+udVyGG/Kmw3AnEXE6FjcoczT17JlIYveiZjVgnvlnSzuSjMh
UhHlmbiO1JnZUBjjbLwCNhsCJqTATI5zSwqCGKy8igExA2QAAmSfJ0C4rKLKvpTA2EA92oAkYESc
VLwDRsCCd9WYRnIxcAiDFJsGClAyyIBYGr8KfY+GDaN7xRmwlM0iuWvUO1BxiCJ71NPptGbKMES0
h6YfL3QFNE8pl/UoguNOQ1kB7sP2fFfqfGFvRlMwVQ0huDkYsdBq90OrYM5tcqS6K7TewUoEgJiy
eMsaDuB4HTasvtJZfh68YjNJXzYXQG48IQoKhGZZVIYTg9AJE4BoIbCI+CUKfIlZwqsICMGkdP1g
GWFJJBuaqHj2HUuBja9PSqjXwERU0Ri00I7Jm3/Q1LKpgPoeFwmZiJERKYYqhqgpRwrosGIr7Moy
9tlAuaThqWigIkSYRJIYGpgIgBK44acH6aej5tlnn2ih++X3Xnru8Udf+OoXRuNx3yYVEy2FV/6g
Oryycuae0794+e16ffPClSu2Mzv13OM77eKVN9+dNHVgns/2ItDTjz386x+8dGt7h5h35/NTJ454
xF0kKenH126++uq7u4vuvXcvPHrf8cNnHn7v2m3AOiuOQgwclaqTq6PnP/34Oy+/9vor73QqW6ur
Dzx2/vHPnv/OL14/fuVWXYXzj54/e+Lwuy+9zD/4+T0PnXvksYe+8VffP3BwQ2/tfPp3npk1ownH
huvAYWsyefzRh//yH/7h0fP3b2xuCsVFzoF4NcYDVcXcr8b6s08+9OvvvmQpTZuVJ+45/YvvXbj+
59+4fHNxdFLvmWDEBcZGMKBCPbnY6l6f63rUJzz/4OlfX7n2b/6X/9XMHjpz/8rm+ltXL//8736y
t7fz3EMPj9YOL9LepOIp2un11cmoXuVw5ujB9fFqbvPhlen6sXtHpK10FfLJlfqDldFf/Lu/08DH
Dx749HNf6Ufh+S+/8Ovv/t3uT3/+pc8+evDYFq6OH330oXrl/g1Yef7Zz/Hmvcfq+l/8s9//xY9/
8s6rrx3dOnTvPfeOUQ++8LmNtRWMkz6nqoo6Cn/8wmdr6w7G5otPnzvxf/1Xx48eiOPmv/rHX710
4UJVVY/9D/+sbmpcG33lH/1OH6bZ6Le+9lU8eCjl9onPPtWnvcT8xHNPPfjQGWEYG003Vw5vjA8f
fHpjMpHcHzm0uTebEROQsfbAPaMI6MJkbibUiMUdtRGEHeAJj+baN9V0Z3ZrFA7kABgmYEk1rY+b
Pu8dWw1g+ciKjrpuZPUsdNC1o7qe97kjVOI73S5Mwp2U7gBc7yBh2qDq+kKM85WF1mO4vchhFDIk
yBkkQU4VGIkSE0jXcDfiale6LGyGHdJM4I7i2HiOzdVOYTSusE/UVEyhDpWZMU+bCvr6cFONUuX7
QzYKpKCZsBGzLLpI/XzRjSi0rd8E9PYiZ86L1CMwWR/8Q669JSGhCAq5DdAFqBEoCXBsUttRFRI0
BjUH7vtFTZOE3UpdT0Er5hCp574e0yxrbGoQAMFxxTkgExlim5Uo7AhDa3udZZNORFVZIbV95Lrv
2iYSk1SaKbcjS430EsTASD95TwwMG1nv7AIlLBjb0ili3viiw1IQs0oMpCbk8IihO8FB7QX/sfRp
DeBQJBTR5SZ+8Kl6Cgh1YPEXm5OVEYXCYHC1gi4YDIpW+jORRCRABYjA1Lf97dt3JtM8AfzBj3/1
6ace+s1vPjhz8kg9WVlbP/Cbj69uX7m0cezYT3/xytHTx9/61etf/urzMVBWM6C6qg9ubt73wP3v
vPvhax9fO7E27hBfffnNrDYimm5tvviLV6vJ9NzWKm5uvf7me+u37xysKU423vjxL/YMNiKMDp18
7bsv7lXV4vLNY/cef/HHP9945NzOfP7cmfuNea9Pv/j167/z1Wd+8spHF95/76Prt37/c2ffu95f
ff/dk48/2WfRnDcObWDVbJ08+vG7b20LJskfzRajqr26vfvkuDly5t4HH390Jsa94Kg5vDkOjIHD
7nzx5tvvraxO333/o6efuudGWr3yy+/LIICXGtHlvXXZF+dG1eG26bIYFxlNANhMylS2fBIDiBnt
C500xHNg8F4ZAPmLbuqwc7/jGBZ4TMGBmBlzKN0gJYs7KCS6nAnLYOy0YTFlZMNl0azf9YtlzqPP
3s/ubUBhQFcs61rLpACoCGImpj6IuBQGA+JCB1nShQn2qzSU3tRsJlosf06SLHf0Mpp6hM1KXQSY
E5BM9jVPr6z3EaYUIpgZBTFVwKSSoVBGVHR5tRoKVD3LB4xu9POejGK1dRJ00UNhHzGtZsQkIqoK
ZH7PIWLP8dIgvw4iOIkqUkhZbBDOvG2oQKpcISFEUM2pZjbLbtdUAyRS0VDsi6YIbZ8FQvZBiEoW
WVSSqv8SsYwEoKJgZBgIRXM286wpIxqBqqWspopABpjNkDCnjIiBA5omyf8FeunAIsIiQgz4YgPj
gsE2UQvMTonyn4doJmb/sQ0vCrhc7AQ18obSfXu6f+h0uKPiXTPbkCMdEobXbtx65vwDjXcXDwi2
qmneef03cLZc5Pdm7bUrVwCsruvDR7bc0meAO7N5tzc7cnjLyiBNcvdDAWHR96++8qYrmyePHT56
5CCKRxMxqb154eqDp46W/kU/dW0oaHQVhcnAsgiV2jDIKTuozEo1pG/JIOVspoEZgPqUzIyZqqox
w3mffvh331uZ1J2aJXv2uadE8nhlun1nr6rr8Wj8m/c+evtnLz3721+cHNj88Q9eXN84kHZ37z9/
7tqNG5O1VbeJ7mzvXProI6Jw/4mD49W1gm9FYINsCojZgInVNJT6aG9dUgYUAGL3rxZDh1uQlh3a
BgMGzt+tviXFIbExFNIGMCnFUQpLXXTgmuNdVHFC5IGmNZCvSHzRNNRQq4HbjcwGGvCymJXATb8+
XYmZAITC6iubM49wACgD+EXCOFhRqikwilo/pPRdP2IFAchmATCUCLQ5wqv8fRtWyGAGKGZoUJHF
QGUnImUiVTMkEsnEhcrrZtKhR6pQdvGu6DIN60ivcV2q40RkKuaZ9kJh8EpTE+fi2pJYbiWfXB4E
DrcojmKfnr3HxckC5OQfAI/CipcJcSnQGsqbyjc7pHxoWJcO4e0lNZGQCFL2L0kRkJgduWyISAGX
/C1GM7dRDBx1ESYeulItS46+P1JB5jDhyoOpKUvTMLPz6tDZ68YxMItkoiAm2SRyrKqKEI0wS2bC
uopJTVVTTmZVDByyN3T7U1YClyKvLvdtYmbKOTtgJEmuVESEA6v5b5I5sKh2fRdCkJSqwgfDwBSI
iICN0KxpYi9KBCHQxnj01Wefef6JRw6srlZVBRwMJYYoEEvcCAkZV2L11S9+5o033n7n/Q/F7Ku/
84WV0ycrkXP3HP/gw0vctl/+wmePHTu6nmRzXO/cuKki5x4+M1mZGKCZjWP1wsMPzg4cmKcc6vjC
Fz5z+NDBejL6dBXPfOW5lZX1R0J/6ve+1NRNb/bkg2fuO7I1275NRFtbB0MVXnj0ITl56s729urq
6oHNA58f13js+Hw+21yb/u4XPnftofsicayrldXJJoYD//VXZWWqOYvYiPnI0cP3PHy+FZPcd6qR
c0D72lc+TQgZ6PSxA//j/+2/HxHG6fiZR+/91GP3M9oip7qJzPzf/fEXV2PcS/1Xnjqbzp9sQZ4/
uf7cv/iTajRaqD7wxy8k+wIk5YoV4Hc+/fjxL33xzmJGHBKCdS1wU0/xd77yXF2Fvdnit//4d6DN
fcBHHrmXz5+aW6URBOjcqSOP/R//pdWBVZmRzbqc7jt34vypP14frV6f7a5UjTCf+eIzFHklw8HP
PUkUdDFbm0wff/bRSTVpVdpe1prx2vmzdzj0ewtBGGlaCB49ecLahXVSx/DQYw+HSJbz2nh0dOPx
PqfxeLRYzJtxlHsPcSQGXItrG5Mm7bQHVtZ3ZzEQbqxMhGM/rrjVWdDVempVDNP1vZ3tLq62hA1X
pChIQOO66mOMh7ReRZqGCtvFpA6a2wOhQpPa8laIM5xXuhtswRq6nBaar88XN9oUZunSAmdqC6gm
CeYjqhJv73V1T5lthBCJapWAtGKwTkARV0i1obWG512oQ5g0NWAQhtynjKHjugeK9ajr+9Vq0i9k
QlMOSBxGFHtJkwCrlRyo1RJUge9oakDYsmnX5t4Ud9p5XcVbs7ae6u15BoMGea9LzKlTrVUYDFEq
Yoo4IgsBjLUKlLOt19E6HlXRjHPWLhBrLRQzSydpHBsRoVBNmlhXAJBjJU3UrEaUGJUkB+zRkuS0
6PPCRBksKWHSRKq5xrBodTTGNuW67wgV1BrNYLpWE/U2GUMW6HrACG3Ciik0IzCNVTPvsnHdQ88Y
25xjrIg/cU9M5FDyGwTOYEP0YJQBKFMwwBirdr5Qv/aSX9ndk6keHdpPdZa+tf24f6FlarmODZLb
YGy7m/prS4wQ7q8wzQQU0CiElBMu+a1YmEFuNvHmOkKIIU4mk9WVKQZeW1s7fuzIld22XfSj6Uoz
Hl29dH3n1m1r6npUAcKhI4dWV6eIGBgqIskCZrd39kIMH9/ZG2sKq6urB1Zu7czWJ6sH1lbfyZkD
SZcw59R1kmW0MqlWplXgXjKPAzUNM4nYou8D08OPnd0mjoc3kMvQ9P/n7M++JLuuM09wT+fca2Y+
xDwgBkRgBggQAEGAo0iJVEpKpZSVWZWZK4catKreeqiHfus/pdfql37oVVWrslQ5SamJkijOMwES
xEDMM2L2cHczu/ecvXc/7HMtQm+N1INEQoFwd3Ozc8/e3/f9PkQpCuoOiPN5P9/amh+u13s3AXDe
5yO7u6+9/v7pSxc+fuPNRy9f/Mnr7+3dPrz20dXL52YtB8a0Gsb3rx3ec+ZoPnb859//4da5i+NY
UpefeOwhJ/zg+u0PPrh9fVwOy5Vjo7jXdmlmCCWAyAGYSNUY2e7A+CdBtJWqTcifZoXCCak7oTWn
p/OmLsanMlbXRnkJsqUFpHHj0Js8bBsbM7Wd9t3W4CmNNZV5xiug4NFzEPU2SEDYvGUhnxERumFY
yFolXUuUbkT+8IY7wWBOk/sutB6evk9rwiwkagUMMZo23i80KlI8GQkb5NhidKGA9TpSOMCwtXFa
a/mbonBoE6HSEau7E9WpXhXAraqwkDuBTzI1BH2KsTkPzQ2IqlUDMgT1u2eQFu3ekJBDlYuJdcpI
t6Y/dEdq1YxIFAsJDGMqGiO71Wj4jKLAJjBEVs2N0Ks3FSfAJ66BHoXqaERjVWbOwoXZ1UtRZMxJ
wIzQyR1BiZqlM6pRI3rHRI3zNA0MCGSokTBmFjNjwrIe6ZPrpQi8OYUmJG9TdWC63SKgo1dTRgor
PLVm9daEtOF927Tx8YnXomYBfGrIIVe4Qye6C6KDeKcEBVtZZUy8MIHTiCgBbyqn3vz42oevvffc
5z4lkm6tVjev3jDVI0ePvHvt+us/efGLX/zMkZPHP3jvfRY5f+Hclet7t29cO3Hi2OkzZw7L+tdv
vfv7X//c3rr+3bd++vu/9YVrB/vXr1zpuvnFBy9dv3n9Bz/6mcy2H37o0mtvvf/kY/e/feVm1npY
4cYH7310e/jM5dOH3db199+9sr/+7PlTdOT4B2+85pwef+i+n77+rtz4+FPPPX323Pm91fD9v/1u
N+9c8f4nH/nTP/7zTz/+wNWbh3/w9c9TN3/342t2ePPzv/OHI9Af/9s/e/W1N1cf33j6a5/7m7/+
3rPPPfrOC6/3ly+RmyDeuHZre5Ffffmlf/Mvf1/mx+PkUPD1MP7FX3zvi59//D/92Q9P/+bDs+3d
FiKNYQVRAQy8mIW7qFFYGy8pTiGLLEOgcUM1xRDmENTd3TNtmKzxB6YFXBRkTNN4yMAeHK9NLTY4
qEX/Z6tSA4jS1KnXCjZ7i+CMG0D15kuKsU9itMOWVgZwKDWUSp/YQ4KkAKOaAqph4uZ1SUwVXAAN
nKKUldhMK2AUWbkForXpvQ5O7XgJ8wi4kwISWGiefEcrnMjzk0jvgOGwiJ894vAYsc82eQZnKIxX
4QKIU6e9BNze2FBdEzIhcsNbtTptaxVDNO3AW3JVtXViEWJCBMJqppONACfQrrcHC/rEn6Ow+kz6
qzVGRftcx6g54fsCTQ9qipvkcPjIpig6IVnLTUdX6sSamnarZmHiZdXaysipPb5MNaeoxvXciQNI
2JQBoFHbm+JvAKZqRGjumcWjdEjVEc2rVQX3xFJrNa2EmCWXyZ0fY7qaO3hPqK6gbeVczZglNqzq
RR2QkITMTZJE0IEQJaXg7ykxghQbgaiihTibmfvEx3a23njn452jxzExgHdZtufHzL2oAtK777yX
VRdHtxOhmaV4ALjtzNLTTzzQd32tOpQixOB+8cypy+fO1FKziAE628OXLvi952oZ+5zD2MCErvrA
2RNy7rSajbUsut6qmvuJ7cV2d45Etpm3531UrUuSs2dP8ZkTViunpGo9oZxbHD2xy0SEdIy35ieP
11JNTVLK+WzO2RHqMOaccz6egKjrf/3W+7/8zk8/88B9lx58TFNC4q5qFmFwyCC5P1gt57mDXUd3
6bsFAAgPWmeaKSVXJQbkROYjEeaZDoOiDJhKxTVRVaeURx206oKTgBQHB1rqOMszdiS3WZi0x/UC
HbVWq1kpcRrHVUe81DW5uBVhUdWxVGXIJLfHwjK7vQ6f02JvVXlGriRdrlDVmFGqE2MWTAkIGPvM
nFM16xLRzmJV6yx3V219fC77gJlRQMpoqe9WS+UkZjiqZu5u1sMdyEWVKBHACnC/SsF+XVFRMjES
FVcEJa+dw5z1nPsxMIBxS4fiywXYaJ69lnFVy7is461hLODeEVWxUXrbPhhtG+b7ZbmtHcGW0GJG
9YjMOpUToLnLC89HZ8rVT23LYAZr1zkVR52xJLhtyixL8BmlwdWyLIWLggJfKZBNDpWGitVgbbWi
zwg6LgTrRJ0Oo7hmY9FD9lx0uVphkdnNYcjcX11bv9Rra90R3RM3RwboKQlTR7Db99uZfavbYpMt
TikR88zTzta81IGyqPmqlO15t3d7qT0VF68OyIRpLAoWZQtVwJNz9Uq1CBB6YYUyHMKiG7UuV8RC
NsjApGu0TAheC0JHxVFykjokYhKXjjnL4JWEO+pWaLPE2/M8y9lUgYkkD1iWzgeQfEDGXLVoxaLe
AXkZhd3KOpElKBlLTyPQ6FoAP3l/KZowTQDPaTlLRDDh3ZGIUINT38xpDfyAU0dFa6NGmKaRwENs
rKMAjWwBHlafOwdlECCimard7TaEykh5NXYIQ6kej4fYtcVuXqb4DSJk5px4f39frS4Wi8UsA+Ks
y13i2Ty99c57l88cf3u5P095azbbnc+H2YyJHRAM+iy/fvPdj2/d3r+1/sKzT5y8ffDu2++46vbu
9gmD1155/dbh+OCF87unTrz6wst2ZW9nvvXQ/Zdefv6V2699VEt58P7LL77wyuH7v1wtV48/dO8r
Wq/f2Dtx4siJ3cVoR5zIAed99+Qzj/30hdd74ssPPKzwvqT58V2i7h4EZKavfuW5V19+6zt/+q2T
XO+9/yJvH3n9tXcfOLp98vSZJxdjP1t84elHX3nzvSs3Dj735MMnTp6Y8zNvv/XObNZfvu9yzlIB
PvP4A6+8/t64d317ZwsnyTtypy0Je5dqGtto9wbT3+z57wqM4YQdblZec8coMAC/G4XSIIaNZxW6
WYN8BJHYA/PQtv/hgCJsuSw0a7v+qVo0oLDT+BpJ2KlMb0qwkYMLBcBnclASTlcrMjcisoBLgVfA
qLyDiXClCCxi1iAw4Q5oqWn3RGiKhBiR0uadnfBNzUAEChuGzfSyxjKFKWrcnSFuU9zyPdNEMkXN
yKITDsAASgylhOjOxIBE0T+xcTq7ISAzoLU6E2u5blD3GtdD3DSpNle0qhJCCCaIbtBi20QcxRbt
7/YN8oocvJrFHyAkcCMkbDOwxp3RIt3KIIABt1RANUUisIg4ibsrmCOTeIN8x40SgJEk6JlqTCQh
/VgAY4kluVbXGuGsUptX3wwlpVrczVVVKL4vY27BuU/0PyVU6Hjvm0ZtL01bGrtjTW1tHBAitk0Q
6TDxTiY9n4pQ8Q5UCSkCb+6IIMzmEJWz06cwbsVt0N3U0sZRTO19HQ2xBObTRo6I6eberStXb8wX
85tVX/jRC5/70me+/9PnH3j4/mPHjx0/dfxvfvSL+04eWQ7rF1946f1VOcH26GMPkxCPLCI5yend
o9tHd955592fv/b2F5957Be/epuyEPDl+y79em/1/EuvXLt1+Ngj9147WPHh3jvv3/rHX//st3/1
/o3rV9/e+/Cf/tZT3379xv71D1/89fuP3bNzc1Vee/nX+wW/+OjDZ8+dA8BXr97MqX/uS8/9u//0
t8cP9o4dP/b0M0/88Z//YHW4v+gWaiYpBWfLiQ18VQZ3GMeBAOswnjqyu3/i2PETx956/pX77r3n
rfc+KqUmRHC/cuXqlQ8/Onn27FjK2bOn771wXqO9qXXONNtCMa2mhAzIDaXT8G8YKy4FMIDqQAhp
6p5lwubemMrAkNDdmO58bq39uhsTi+6qkt6E52OwREZVRWIz46mPOEYUcwqMb9MCG9ca40sQsKNG
oXGUEwnC1KeN7C0UquDsjuAJwxYbNWRTE4mCgStiNU9t5DJzNzAgBrdEBO4d4hD4o/aloxwkBnsw
BzdnITSLnuU7sQ53ImTySAwEW8dBY5vIgNUqI09WWGAER1D0akokE7k4mAFOiAyg0+EMLS/cpsNq
BuGTitZrcDREDJQ3mRk1vvNkQLDoD+IpUMGARg41DNmAgWJqbba42bHGe4DcLB4fFC9ZLHPNicit
tl6oCdjnDrVWAGSSqmbuJNzAXwgN8EPx+4dSNY7miMhWdeZ4TAcK2TG4R6iuaoScJIWzZeKDo02y
gCMk4ZxjbgRwm88WqlpqzSKjGRELcWKpWkW6WIfklNfjGomIiYFFZBwLIxatZu29TWB1Qn+PZQw2
gLkPZey63jx8cS7Eh+PoSAZQTRNTL/LMY4+88OKrf/aN7wc1bZi+eXIkx+z4zGMPbx09Ym7MsbsF
d0OmVuxOlCRNaLYW7qqqxBzhWGFGT0TsZmCmqsICCNQax7DvOuNqap1kLJpYiHEchr7Lol5ME7NX
T7ljotGrbTLHiMyErutSyJuNAR2qKouoQ3EvBlVr5tJnfu7ph86dObHnGUdFNFUFZFVTs2KrdRmz
JDBc12I4ZAQwq6bsEA/1Mo46I3Ib16sEtEAS1QF0kXqrgziAQQJH9I6wuo11VDOYckEOeAhOaph4
XeuiS8gUGQZIvWJHWUdH5DxW63KHwMrQs6ytzLOsZ2mnS9UVBVGoIrCYA6zV+4zrikRGQfMjvDWU
ZFKLEVCPsD9UdT0cdLbW/UE7gkreGaxLQfNhWPeUXAvWcZt84bVCQXMhTmBz8TVAR1gJR7UVaiJZ
GwrmtRlYd9vHDHlp3aFmw+2xiDEJref9dlKYS3d0i9TMGZiN+kS43hUSdAZYZOoY5ky3Gavr0q0U
nQl+NLh3s0MvHx74QGxjPSTllW3NBNdljbottkW6gPUWjWs9nA3jVrczT+Mxub3F3Q3aJ5wBFgJm
ToNp0bz2xTD6nDr1wtyP2BHOsmhOtMidcD09TwnSsR4FaC44R3SzWYerdUHsCsBeqXOX/RE64+Ua
M6CNdTkYDGVU4PUAamJF6nor0xx1hVWhCHYDVERTdMB0qIoFpe9Xw4opoeEa/Ujq54sqJDOW7a5z
KEjUzWWAggnVfOXaZXS0UUtxA8UCAGsnB6tsxWasy/XAs9n+ag2cwAqYO9dk6877uY8zITXNYpz4
cHCaiPcVpCgvRx49iSVFQ8R6F6fx/9+xFB3cuLWF4MZ65OTc7nw+devBBlAELfofddI+XQuiDA0M
HIljJvGN+DCd/Wo6+Uubn2cir6L7nSYVd+eGP3RCnOd04/Z+LPvCPYdA4zDMokXAAcx3+u73vv5Z
N2OWnPPnn/t0l7vHH7wXAc/ee66UcT7rL54+ZrX2XceE507sxpacyL/87KdLrcxMxCxy5OjupbMn
EKBL6eI9p5997DIhMRMAnf/6F8CBmJfDcN9D977/wVWY5a15f/HSPR9duXE0Xdjdmn/2s0+ExOHg
fvKYTSvhBy6evf/Cmbi2fvqJBwnx3HwBcDwMWMd3tz//3OOPfeq+t159k1guXzh16cJpN2ei4+aI
funCabvn5AcffHjsxAlmPn/h/PkLFzaN8wywBhzXK10tP/XUM2SATNEKYcHqaeijtoHl8ELR1CwI
gMRmGvuFuyTNZlL15pQLDTOcqDgFSEP3oaiRxQm4Cc2UNZGSkKL1YYqoTl8e3cDN3BzD2mRmMWzE
qjzsV0Q8xXiajupmDJMAiBhXJUI2b2+Ual6jKhNB3aXdc9oXLlYzpeQxzXpQbTG+mMZVCTfWcQJS
Nw00MHGNLnUEi7b6SUPGNroaoW+AKJGaQuDJvRk56aYnOIK5A6FWk5TUtCmD4AxEYfqdsqYNooUA
gMVMWynO1DYE5GYU6nHrs4jmDAP3Fg+aiCvRcB+8RtzMSMSqbo5EMo1LRlO1RbzC5u5qIa1QfDOI
iGLm0fJLzAhQHSpAdTcAnjSoYtXBRTgzSPPnNmPjFJ5FczdVJNLi2DBTUNRifqu1MBIxkatGFYa7
CDt84tPPDNUrITISWFwoEb05OJCAkDBu6rBx8G54PE4NWRtqRrtEEdwxpSNRcxTeaSDeyBebQzHW
BM1uiziRnO/0zkTQjk2BQvAHd8Tc9cdPHk8579+4df78PWfOnHrx5deScDfvOaX9/cNbSbp5v3v0
yDXbO3NyJyV2gBSRZIfVarl/49b8wpk6ljLWB+8/v3vsKIswyyynQ9XEvDxY7d28fYLdhZbjOKxX
aEacbh+s9/f3d6xu72wfOXLk0v3HhejaS+90s3lA047MZu8t11c+vELD0HV9ysmJkyR3NPCzp46/
6P0LL7y6vy67Cc+cv/DWa++9+MtXb31wDQwBpUt886C+/uZ71z/84NnHP3/72fzX33zx9LlrjP7E
px87fuqEOdxz79lvf+uHv37plWcuPWuNIDXh3K0mEgNA4mqROwUmRHRyF2zbhxrPI4cWgEQ0d3LQ
eBBN9dEbn0J0cqo7WFtgUTOJbCTTVuOL3vg9TmiuTMlcCXDDaFBwQy+qzUWMAEA1enEByA0CMxu5
cQezGFpRkNRc3RXcAIQQ3RiQEKq7AkqDSbUNXnHP8bQlEIcO2Nt2AyemMSizuhlyVSNGauwHQAoI
mrXjsblsUc2FiZFaaTZGGUzTopmQEGTTN+oN/9T62Bo1F9SBENVAEISppTc2KidNB4M3+6oCqRvF
tGpRR9RIV3dCSQZN2Q5GX/tv4I02vDlo2hBKSGGBIYrnDgejsdXMeMPZM6G5ETOYYquwaqp7VIpW
81qnRygRhecobjmOqlbdmRmRkzTQo3kjx1vkSN1rtbD7BveIiZAY0YCZRQTNwh9S6gAUp7Yzietg
4IYWJN8AM5Va21Bt1cFcsaqNtXJVQnSHUmqplQK80Dau7T8H47eqAnjVIn2Oh0nDW8dSjIWBZpxN
YIgHthsxCdPJ3a2vf/mZcRwpCRGN4xD8Rq9NknU3EgGtzQZMjETxKFUAZjKzxFzc1TXCIXEQCk/9
wGaqGntBZiKEam6gRFxVi5mqalVdr0vVsGOp++FyCcy1VMSuatWhBscYCRlTNWMirebqQlRqUavS
ZSLUWrNIIkzxQEVICPcc27l4+oSaVTUk7CWN4wgEDMSMuevUNAkBgIFISsMwZJEu5agCJCJ0r8xG
7IhOvNLaM1vqBsVOFtWG3PXmgxBS7up68JzZgdAykyfaEnLDjFQQtmadMELCVRkXOV8/OEg5iSuB
Z+Zqo2MatVTzanY41j0alsXJRwV3VczgxcirVS2uQHmlvu0IClm4mibiGXLhuBKYkm13UCv2oovk
Waiie1FI4uoo5MCgDtxVHJx6FXJEB1JDw95xVMO59HVcH+t61cOtTlzrFlFHXgR7r9uCPdYRCwJU
g7EUL+PBMN4G8lqtWJ51h7dX8yMCh4AJ5ow31yAJlsXK4KgARbcAnHzBwAy7NOZUF12p6Gsfd0R8
jrPEQ5fAoGBaOu/KYk3rNek67zBm97SGurKOZYsxLZJ1gIfiOVnfGw3DkX4uZvt16D0PrABr8yW6
HAx6dbnM2F9bOqDdWtsBjDhPNhgVYIfOkdyI05arJdzCir0hjZI7r5QzI5EyG7AaYJqtDtadZKjO
lJypF9vKHY7rnHCHUsHakXPCJGTqCZy91LIeUndQKnitaKniUquOVIZCInWEtBoSEWpBGLMkYVKu
i5THWlEokRMQOXTdLKVeibR6wWyIa0gDdaZcHZIzY0qkgtSnbDZu9QwKWzNkpC7Z2lVVGfMnvpnF
uR/jGYIQR5/GHRAlAduUCgTYrH5bUTsaTudxxDEcWutJA1IiGUJUcWwiVXeJdg7tqUbx5N+ocHFJ
I0RTc4BTx4+s9/dfeunVsOyYu6oPWk+fOcFdcCiciI7s7sbf2ciTiJkSIgr4rO8IAZPQBoQYj9m4
1yZhSc34447gfe7apRK40f4BPUCdgOYuzLlLZ04fO336IclpMZ+dP3vyzKlHqHGZ2lzWxoxNpHDi
jjTBeCP1TWLLznz26ac+1bK/Zu15MS2qken8+XMGUAHBfMLhtp94e9Z98enHAtai7qZuUcEWYlqE
JCH4RqBaJmmNamBCwBEMJ44lgAbcqC3OJ3ILghNsylebM3byt8UAG2mo1pKxWe9OtweNYZSAVA1C
zmUKtXy5Xm3PZoQIzATkoDH0mRuiITRPZMuUIhE4Ncdv8xlPJfYaAsJglohpoiYTRU0LEkAGSu7k
oXCG5NB6ZjfXrKnqHIu7OQTZQsmjMQiZNmjicHiia5NQAqI0vSQAdxCp8X/U7I6JFMDdUwRYm48d
uI3ICGax36dpvWNmEdE0iH5UR+QgJQoyNrRHzOrGCG1ujdrbotFW6LYJ8N4B87i7BgOyAVedw0ph
7mBTMS8wElrgUtwdRkBthVMM4KUqAqqBI46qgJ6IoseYhasqgSeiTBIKUTUNdlGrEiQyi0c+V0Of
+oodXFiahKEKeCeTLCL6yfOloZZ7ECbBqEKU0Edyl5pBABrdCKIzw4LBplXdlShaKMOG7puy4s3A
2WTVsKY0BNLf63ShYEVPUjcizoRN21owhAqPbOvkcndAIaxq167d4iTCMus7IdqezXZn83dqee/9
jx5/7IHbV68B4GyxOFbqbNYTIhAlou0+/eIXr6rZE4/ef+HyxS8y3755i0W2ZosLp4+//MZ7TvTM
pz995cbtX736Ltd65vy5c/deeunX71z7+KML545+8clP/fr1N25e/fi+E9tfe/oz77355tXrN+69
9+JTD12YbS/iLXTp+NHZc4/fvHHjN3/rc1tHdraffUJYvvzZR2dHdohgd97/w9/9yvVr1376nZ99
9tF7TxzZ/srXvjAOwz/77/7xzs7Osd8+lvvZ13/vt67f2tvd3knd4qlH5g/ce0oNUpdSFgNS90ce
u99KvXptb3HsGDLTZqo3S4QKJmH3YIJ2fhK4th0TgjswEZjj5nnnQAgUth0Mm0n4XBtmBzaVPAjq
EMykhi6PfZlverrurH8IyNwZGaZ3ETb8AlqU5JhO2szkB2EGhdDuyBUmKb597rwyIhLEEcRITgjV
gMk8WrtC9sSgEFUAQUB3QUzoNXR3JEIMvwm6A0s1FCB0IGoNzwGBIkJGdELTaFwJs+cdlHF8gtxc
A30KToDVC03MW8eGKAg+j8fP7matGwlidUrTvSDuDwpAU7lbO2OBAoIgRADKQIhuau34jA7p6E6P
5ThQVKUK4QS+al/aN2XmVhvSLdKe03kNU4USMTUvlys27pFXrSGZUmuXISQNnFC0tPWdcJNhIaTJ
mP3UoGqlu/h+jXjv8fgK+4yLWiXI0SmrarVOyfRmgLFaqzlWbcM8AloDwllVRZEm9KXExNaMSMQs
5N5JFmRhUfNF7oahCLGhVwQgEGGrNadUSlGKHwsTCxGrAQNTs0d5nMKEXKpWVQMDNyZOSVyNOTlA
liTIBOCCTFTV47kY7e1Tit3Cm2KtWwdLrZs1nrpXtyRkaggQ97mwLLVnOribJc5mzkDxGWPhvusI
kJkCczzvOjVTRGYiECcSEQxttvWEYWbRUgGg7/JQEAmJGYiQuAIwABKDozkMgLUqMld0RiruxbxL
PGoBB1dTwEFVAYYwijGqmSF6rZxECMhqj0kZXZ0BbCx97oYypoRualatjNnNDHRcZ7Dl8mDGaSi1
IB2MI3L+aL1eYEed+GpcAGvRtRmpK3AxMGcEZpDiBQGEGcCPdDOr49G+I9etnKtVN5UZrZcGwpLy
7XHoc5prZw4p5cFMhaBaJVYWRSb3teNSsbqslQpmMARicRCjxLmaJnJC76zOyZONVddETEToZRwO
UUtVcPWhjD7wanC1mgqusG4nuTmM/Wxnr1qvuDQkJkfsOBPyIvecEzGalL73bZA8UyQs6IlkMMpC
lARSVkku/dpM1Zn6PetqyYPOhiGvWVGJsQMdxsFJoVPfyeqo27Y8RrrUcVsPMszVyzYMna+1HI4l
H7iuRzx08WXNUl1Z17oleU9xQXl/tC2QufQ5YYI067vdHl3t1DYsEhOQZqxOnND7bAhA3eGoM84H
xhm7Qy2ILMrFpSqCA6hJENKszMiSrl1HRkCjw2E5dHlZ1LyM4Dr4CLZcO7qi2uD1RO4BqWM83qVF
FncefZjP0yiOzAY4sMxn3f54CDmrlZXxSMSQO+qVeVTtQVaVehJ0BFOzSmAdYcF1h1JsnSD1BMth
bXlrHFeSaBjUXM3LWMmX9fZQF5ocmCFV+8SKgTBH0wEzhWe3lTtMTlwiikCImYmkVi93VxZ0cxsA
byh1nHgD2OpeWlJxs9mkZohqE2wIoKYN7jqNN41HqKqmmpnuu3wxYqpB8qBgxyE6UK3WtN87ya47
QdZp9ekYz+w7YmCjOsWjbOo0a1kjanUGE28TIspCMW2rmwNs72xt7WyZexnH3e05bM/NdLlcNl+f
m4aFDBHAYoPcaJmbEoaGjG2X8k03YlxrqmokTNQUwIOhShPJHgE5ir4DTnGnwdFtAAMsDtWUiC1G
Gmg5SZ6iQZEMNUCFSL1CM0WHsaptH9ARdco9YlsGO01z1sRr2cSGY/xx9NY7ikQ+OeWm36+1qT1u
NUxFqwEYeK1V1aJcARu0CNCdo2fCnZuWCAio6K5GxE1oBQ9BSb0lN6cgZburBYU0hlIyJyQBZETB
9ksBRDV15KAcRxOAIOqm1S3CSOE88ljnth4aQOS2eDGkyLMGLATAjSff8pRdvAtYiuje9r9mlZCa
UNwc8o1n0spIMfhhZI4G4ZJFJHQ1bMmxkK4x1BqUYI9F0UW02LBNonN4EZt2ShjbDyZsL7E5TVfz
8M+35GMTh5tsUMENMRhJIdYQNzQxEc6y1FIaEbk1ErWQrTBjm7VRzZjYobVwmJkCoEhVi/YBMxVk
BBxNmcm0xqlF5EhiqmD4yedSQwRyr+pTfbGrwdRtSM2wbq2osmrLEIL7ZkViUeZxB41iQLhx5E4H
2UaqBr+LP014Z9kzhU2hS+lgudo+sk0GAFHPS/v7+5go6DLkfun0iXt+54uhquXcXT5zPCf5yuc/
k0SOf/XziIDMdvkCOIjwuXtOxZlBALMu/8Pf+Qq07kMGxEcevBRqrjv87lc+17AxBMeObD9y+Wy0
zty4eXt71h/p88UH7gfAjnknpzMPPri71R/59GNEjAjbuzuNCoNA4GfPnjp95mQ8H06dPQmGp08d
a2QkgPl8trh44Z+dPKnjCES7R3fD84yA0GVw3N3Zmi/6c6ePA1ISOLK1QMTa+FqOiJLk3Xff/+zn
n5ifOhvlu+HB5wYdB2SqDtUsATpQYKJboQthIJ0MoFowo1qLSfS/EFAwiQLgFjNM6C6N/grIAe6O
htaJ/LaBzze0NzRLBQJxW0C0/tpmFZ5qtGgyCk0U39YiJsTVXD2KlK3hGxDVPY7lWPcIUTFzYjVn
b0+aQHZVxFZ5jEDgTNTalTfWFkaNAtUY16dlkzc7MwA4ATIBAI3W1lhmSh40IidwNXNib3srF6Qw
qqhFihHB4zBBDVSYgk+AxDjlCFBiKdDI8DQN+uTmjNT4yGYOsUn3Bkpwt+n0QCQAi0aZBhYIjiM4
E1XVWAC1oLoDMVujHLWcLbZv21VBiFpZaKza1SieZ2BEPI2wOMVg47dqQhg9Q1rHsDfj5NUPBgIS
o0chDRBhrY4O8XsMqIZMHTXxviZm8Vq1OolE8lZEQAGJhIUCOGCKSMSN1BwhdWF2ETdPnAYcw+dW
q6bYdJmVquZea+UkDjCOo3AsJS2cbKNWcFfTDtMiZR1Hp2ymYazKxMbMhM3HIqS1ImZw0GpIaOaU
Cc1NjYRlIndFcr+aqjupZ0mEJsxIOGhNKYNDrZUAMguAC3F4zYXYyVm4ugYvGABzSojAJLHrRSJX
NTdEqKqSUnFj1TisIw9QVTmJqgY1a1RtsK9x3XXZDdVtKONYiiOAybpWIQ57ADqY1iTJTRO4aUUU
IQCtmXk9Dh11SuhahVNySIArNWSO9a6ZpglXXdQIyNS564t5AVk7IfMK6oKEmGotLmycIDEAE1kv
3SClZznWzY+mmaHDnJ2ASMR9kamufcaIwugRIDIkrK5KVN0L0KHBjVqLETMtByM0qphF1oMui213
6NWJHVWReOFY3bCOGWwsJTGir4UyYGU2K4VAkFgJDmvpnUrVeTe7raM5HTqxS6UuOSoxEZB0nQCL
cEJE2Oq7ZNrP+7oeZojbiar7kTncWul25yOD1KIpY4GVa1Ediy1IlkPd7bc+PDg8khbloHKSBdrt
0beV1sXGsajVbL5fxuzoOsyhzkk7qALQg484sLOxFy8d84GhUr5aaJ52buqacHaIi9vGp/JWEuhk
sdsPW/Pey3omeHomBpIWvobCfXItVH3OttNzQihgo8uhjvtmbHJtoG7Jq8IZqCKW0ZCHbqwpCQMs
QFNZJxukLDMM5EKoyzqOWtSdgAxwVYYe+JZ6kjyyJcQtTpat52Rdh4R9kio2m0MGyjPSSodDyYyZ
2J1WCjjCIOgVWWVddFiPLHI41spjrRW1UimdQK/qXlJFq2XGyAhog3tR12JenLSCiQzeuXKh3g2T
cEVFTix51s+YKqAnziu0xbxHqn0SdYqG6U/u4wVuO/52qXILLmsAxr2amjW0ZKwG25ILNm1krWEy
OB+8Aei0GnegqKOcSvDiiG9NWrYB3CGATTjDeAw0UP/h4SroJkSkUzMBIzpi9Yp3bvkQu0Xw9gjd
oPNoauaEBh8mmy6dk7IRuGCNVL+ZkaMwA5hOhIaGWkWYVBpUj4t4IzFN5WMtH1bNCckj6kKtorPd
UG0iCEGbTeNfbCqrtyG/AaZcvanRoRGBqk3JT4zIi0efnscYFn+jhgbL0U03peOC/YNmSJv5PNAM
GEZEbxmTBnG9E1ENUQgmEusd9EXbgzdDUKSL2xUCmKM3jrTVMGxaMzgQIzI5z8k94PHrlCYGzR0I
dNy/7xoOsZWwRoUjYDhPHRGA1C2GKXMFJELnmEJbFNmRwNQTUqtGbGlVQ0ADQOTqoIhBqeEmjNzR
OgkBkEfV8Cpzc4xBKO/xJowCOHAwsGBQGsSguFm7AE1vmDaUgjEhBuGjJeI8rGXh6Iy+CnNQaGpJ
iAumceQDROnineS2TeJdq34ydzWY3s/tR2dmb8jfVgRjYGFFS2Fs2yj7jUTKrrYZuQy9mBlQQGMA
nJEb2hegjCOYC0XFhVO8ZQwQUKupQzUzB2JyQkOo6m5upaQsEystPm7mZoYOjkw8IUPQwACsVgWg
MsJ/wVwqwqpVpBkipPXo+KR8OLX/D1iY8dripyF2ENCtgZ0BINYtk88C1Kz9G5v/NS0j2hnY7mit
MdZMmeTivefffuvtG7duhXhcVYmoFr3/4YttcwTQZ5l1W3eVIyMidjkDQJe57YkaJgA2n6JIC1Oi
CWe9YQDQJMcQRI8JRK8zxdl4ZHe7u//exx6+fz6bqdti/vATjz+ac4rdhoJHr4eGhSH8Em6xU9sg
Bu68kabJfNb33vdT4enkCG+mbhcREIZNwTViKwhFQsAjOztHn/50Na1IGHwhJwBt5SWI8dI5BvYo
+mmN2/qs1ZwgYAUHc0RimJDU3taVBlDQeZLFtNhGpPE7JSOOiHUTbnanDVEWGtFV3RUdS+VwnzpU
h1pqKaPGZgQjoU2KzR3ADbdjPi1prW0VPTGiQ3Ez4AhqYgtuQ3UVpABmMcFU80rVXAgJMDGZekVU
QDXgJjxifBITM8XKEoHBq4N6m9unqhVwhOJGgB0SuMa3JNAiNw2Ri9hG1phgAZzQtA2H7jaViIK5
BnNIhE2rE5m5YYCIJlYTOBOoGTZGbsttOhgCmDpycC0aLBkd7jTohiQe3D53jnN4s0uCyQwxdfsE
Rr3Zj4ks3kvTo5tas7NSZFvMgKI+um0hAVCSmKpQdGtxuCYyJ/QIQcbvysCBmVJM/ozaFqaM6GYq
LOIAqg5A41C6fjbUFSchxMQMpgKkaFMTtEcNuZqZmqolQSB0NbWosfWqdawVSxXheArFJsNMhYiJ
Mss6FqktyItJRN2FxV2LaQCFY0MQUoYIl6qTR4Ba5hMsynNEBBFMq5tNNHMjRG+Awsa9DEQeADBx
GJLc3FSJKBgI7mZqgYdyAEo01sJuxTV+B1mkVhVOtRY3r7WKiCNUrSGlghm2UsImyjOSIyUSZaiu
OWXGGnK+5CxTG/Ss64MPmZDnKQtxLFABsE+9bY4idyU0QpbkAKODSwIu0WSYkiNSNZ9lcXQSZ0ks
ONMEbn0SAOhzf+P23mK2XRUASyYSwtTuwmhgQuFSU3BVq4fjMEt9UbsyHGAWH6sk4er7dRQTAl5X
PRxKVduiJJRAvXkhzLYJCcou0ywBgCtDlwVU0X3RZQRDcCEiEa9lZXVLFgerdUZyNOdMRN55xW7l
w5YnZEUQFqFRj6Qk5sbQJ/VSt7Nh1UVy8CrmxKnQCG6IZV0QUfaHJfXdjdV6zlJGG91UfX9NV/br
3ui7oy+rAdJa171BQpqR1ehQoqGn1amZ7aa66gbLZUHdCgpLdfaRYQ9hti6HmavpHoBRHkCIeqk+
6+fjcr+nGWCZM3WsBLyd/FTH23U81lFd1R0ak/SMY7LRbFSz1bpcq+NshJ4F1ugEOvBqKMdn873V
wSyPWoytiGk230opV93C4XSyrVzVyxxpiZQy5643LxVwxLSEcZZmK1puyWJUEiBAzhk4pS5JYkgE
Pch2grXAwit5RUUgGssw1rwah5S6ZbXDZe0trZY1O4PZWnU2KqgJeufWsfYA1kOfipVV13NE5uY5
rXM2TKlbuLHM+mLrQfKIa0bIMhMuWbo+LbdmMtbBGCQpJp1nP6xKRCJEUAnd0VZjWQ/V3LLA4Xow
l7EYmKopqHP/iftLiznTdNpzhMyNNhyIwJ16aE04DXjtSsfMdyC6ceWkiVVjzkQ2qYWNwz6ha0Is
jZtt61EMvOpkzLuDwwHU2mITm5bI+Cs3zB73TcWZQ3NyhosfzQ2nf+IOpsbMzVvFaO6laCKSJODh
dABEEkYGdLDW20htHohenFZzBzCMow1lezGPBxZOlSTTHaxdN/GOThxwiymRuwEUN9vQ5Oj0Dbux
wR8Aw/XUlBYMNYbI3RIyuZO3hoDpgdySjQaTm5SpjbIIDCDgBM53HIakMe0E6gMhWgogtFkI42jr
J3ACBxcEbjWkTaMO2S5QMVMhyt3VpFSj7tZ9ErBhGMa+y8wU36oRWDD2NuvnTYWf/33ObHO6cmNz
xG+EQFslQ9z2IerdETwaGhBcKAgO1kLU063dHIhI3dQhplydHFYEqO4pYI4xhgSEEUIxAwZEBxGK
qoe24Ae3KQNmjsH/ZI7WwkkbQxRi8xpwEJ0KDnxyGoR/tl3sDRwpDFCAGCyQpn8SgbWsVLs6uge3
P9R+bWULFFYrVcssMYtGAXFbl4DFczwSRuYAYFElEKa1+NlsYxZEikibAVX1mGnRQU2ZWlFul1hL
jT8/qBGiMKY0NfggRg1p+w0TV6gRJEAgZhnGgoQ58TgUjk2KY1VjIGI2q4SusW0xIPrEp5+EhW5y
STR/dYPhRlCN0KcKW2hVi23sAVA1bwScxjeG5odvCvBmBG0rBphM5tNyxS0WSS116u7EePTI9u6T
j20ShtFBOrWE/j2NFTet0BgNPWihWhOFocPDDX5HyvON335ToNQsD1OAeMIL+11UM0wssrW1Efln
sz5KP8xakHxasaG5aZ26F81bIeNUl+PTbq6OtelW0z6rDe3u3DorIVy4wRaK1zA+TYZYHTRyJQhr
NXZIRNxqrgLsBRVRHYv7gORmjJgQJLqkAIp5AdC2WPXsmBvUG4uZEdf2+oEAptaFRhU8zjF0ECTB
zc8FCneMtYIYtcbxvKuxS3XwaW85la9MbbAwqbWAdQMKRkBHChpTtKE0PrCRO4fDMZ41CIggiDWC
5LGOREsEBuEfJGs1Wh6L21Fj9AVCiukGcOrFAkhEZhqTOQNXc0YGt5gqmu0fm389dL/ErOq1KjFP
3DXYONiDGjCdJ9CoQoBuYO7krqoEaNjeeBrtxQBxlAlglHcyUTRC11aXjkSBc5s6gSMR5DC9/jb1
8HqzXJurmkhy9clCMhl/4tfTKmDaUW2Bsp+oBHc+gBZkLPM7XHSePsIcrhYiZ0YEHEtxR9vkOhyI
qFaNawPHM1+iqZQRUYqaq80Fa6kBYuokRVOQmzGRgZWijh5o8px6qwOB5yxltD6lsYxjUPSY0GHW
d1XVCYW5EhJJEqxVHWG0GiO0sAQ0b8Mn4KC8Iw1WgxkoSSLipVYBgYWGsbYWKYBaNeoZ1BxUU5JI
B4W4odTOgkjfFtNoyjZHNzOtyJQkb2zODkYEDBjupNYCBy5MzBQb91gGpJQIqctpWK2RiYiKUWKp
XpnZ3JlF3fuuW61XGqVDRNWsmBGigccFM3EyqKMpIQ21Uimm7uosAGrq2vXdOAzzLteqo9booUSk
oRQBsnFMKXVE47AyrQxIVKysk9CWsJcRiKwqAq3Vx2EkzFDV3IviYVEZ67KCms4ZwbCqudswllm3
sGLsiCSDDTvA85Qz4ZGcKQEJDQRGvJWprupi0R3ujz1DmncHw5AzrSsAEQib6kCwUkMgTN2+1lnK
RqrO6szO6GRGCAxGpWpiHse1UL8QIFDTWh167seqkquYomsPqGUwUFMdBmODCrZWubmulXVvVMU6
VF+weHUGAaBEySN4k1IveLSX7Y5HqBXxSEdotNvTWHmReUXChn1HWkZDAJEDqFt5frsY0exGWWfr
b9WCxCTduq4dpUssWjONs8TOJSsdKpmu2VFsQPBay2i3k/l6tAKpB7q2HFY4e2NZywI+PCw4uPZp
uzBTWgH3KFvSzYgv5RmQzjpcdsq9AHFl6kl1Rsd3unGkLnfLoiMRQncLaofzWz6IdSsErtBLGnXJ
6q4lCyfkipbqMAfLWkYtpgbEpY5lTV7VACDlvcM1d/PDUbk4QRZ0QHGSnPKsq32X1SzhuL1lK8bc
eSk4au47HkYR6VTK2nJOaRwHLXk00NGFATlVU1BFXXfgOTnpAcKI4wrRzFRHNR3GYRhG9cOyVgOl
ZD4OMEA14+I6B6zGboTIOQsjlloXfXal7UWi5TCfp2EAU5fEn/Rm5oBFraE4XFvYI3ywUeMRSQ1z
NwXnjdozJXomCk2DDAQz0mKh2CbIqRumnemId41dd24qMC3+gz3TtsSE88V8Pp+Fe5gQmTbTik8h
wPakNIeAqMeIyLHMQopb9ZWbt955671nPv2oOxDzjYN9YX7ng4/O7Gxt7e4kpsVia9JANs+5Niq3
3oq7v3PEa4fLj95858vPPemIReH6tetWS0py4sSJti3dTEiAADgO5datm6dPndwUGDYL8123QLhj
jvUJQx/jgrfWy7g3E5rZ9b39g+s37r/vUiiijILTH988p6sZIGkwci0CkEBuiahFoprWR2QRYGzt
tZvBuV0KCZAYzQ0sXKKh/N5hW0R6M9pR4tIALUQX1wKJeoPg6yKY+ze+9ZMHTy0efuJTSAzNuXCX
XfbOSI9EHO2XMN1wzaOqrlmwYALztrcbgIMzIZkLIJoztnp3aFpQ6N6x5g4NMVC+Yb8Lz5wRRM8M
BPu32Qli5TrZsBssN4orkSM3peA2Pe/gLsrX9N7ZYDpa/nDSbIPyRa3NPZDC7gikbtY+j/GTGjGo
Q5SaELZK1Kl+05tBelKAAYL+j+bATN4AUTTJD26m8bXa92OWENGdmWCKNsXo2a6YSG3rgaiqxNHh
YLw5VtyFEB3ixhnCm5qrwXoYFZCAC4AiVLdodnQAhvaO0VrcgZlUNTwj4YUu1TjYmIJIOIwjcDSm
gpl/0tOPEMyME0Wtq7fErcVbhO8sI9rVdtpgY2wZHAG5KY3m5uaNYz7hTZlijogcO7hNvRR3irLa
m7mtBtRqLbRZrk1veVUHUEQ0U2ae2jWmCRM2HZN3aMAxYAf5cxqYY3uFk2cBzeNddffOp5kg7lY1
Y3RvYY1pZWmTTHt371c473VSlyaMXWQiNm/+6YizTb5s4rabJWGvreEYEaHWyFFwCBVR74GNOhNl
MMZtkGAnQkiTwpWJi0OOflGEmDAzAoEBuDooYryBwUEQE4AgYpM3oVpb+jAiNx01noSgUTmBxHeK
UtzAzSkWPam9i1uuTyGMpk2HQSRzAuZSShvgERGI0TUIsdCctLEScrMwJW6iFm7GJKOqIDsAIwjG
Ui8K0WHCBQE7KGJ1VyQKgq7hqJpin2vmGLw31IjxR7+UmjBXNZ/qTxwgPqNhbDVzI7MwFjapGNWN
CBU2cXuDDfHQW5Q9bPPTQsIRydEBObRVAoi+mSm7cGdHGy8QTgRXneDyravHptuFtzYwxqkue8qv
IhC4TonEdnbHZ9kA3Y2nRz84RuFTrGW5LcobBS4+b8SxeIrfvgXxygBMIzRh0e8cR3KsvNvb2jQJ
u+udZ5xbO6cRIiQvThhkJxZ20xAho9TLpvwkjiM2w5QyQUIQQmYa3cxq+JHV4pHqpdZaK4sQUVWL
iL+bupuaFdSsjo6CHAXYbg7miSgjFnUwV1NzBzNxjx2JupWACBOAOwNaA+wBohPG27RJz46+qarP
OVfVCNQE2ESEVSNmDYl5ekXJAREZA2EdWx8AB6i15q4Dd1V3s1IrItZaI5hRA4wkHPkowezm5lZF
1ayUMdql475iugmQOZoFnCsJccpgJszLMoJnYULCqjqa5moaCE6I6ToIjegAQ/D6CIEofBFGbJMr
KedUEA0RiGazGTORpLGWeZ/MU2Y/tshlLPNZUq+SeDSc87yYJkYgZARndPIkMroB4K3Vql/Mh2KS
eEBEoOurtasfDmNCGdV6dTd3VXZnBNKyRUg2utrCQUyt6gLxwEtP5GYCalAddZiqjtYFDgZd9MnI
naiwrJEX0uVUHOM8sT51pdpiPnMtayu7s+RIxxdkCMcWcmtVOlPPXEtlyii8rFWIB6CV834lqHQ4
eJ/y7RGXFVPxUnE51rVp5wKD9QoCDjYK4cJG5nqcSs7j8bx2GdaG7C5Qqq7FxsEqYrpVcaBFV+th
n5LMb1c4kraH9XA0bSNrSgtPw3bfZwdDPb3VQ+nPz4R3sQD1XclJoPNUpSIM7rUY5bweVzogloxD
7kbb0/H8dj+ul4cHpRQv4yiqbCqCx7RkWx6hgvV2bwpADlSsVmV3HgvugKwtCcieYwYaYqJOwpm5
6wBIBDthX6Stnuss7/RShhGBUAAIV2ZLhcNVEU6Ha6LZ/MbhzS13L7b2yjA62LA+SHWYZQAtYCum
DmwpgkJ573DZpY6RHdNaa1UaCTPOKhGzMWruFofrcTbrSl3P56lTdYXZPN+uq+2dbj2MaijCVVhy
qksPy29xoNGU8mqwtSIsqwNqMY2HwieaSyOMED0Q00VHWz8hhz9PiBjJDcwjp9I0PsRA1cUxBcTs
qu4ukqILwaal5hSi8ztOV9zY4aBtN5tTyO+OYDFhziLCPhWMTxULUwOkeZMnkYaq3/rRz7c6+cxT
T7z06hvvvfbuP/z9rzAjEbqaIyxX49WD/ddfee2pJz7V9R0BjmZ1HOeLGZmZaqkFAHLOzLxer0tV
Jko5qxmlvFqtupz39m4T8/ZijgCgFdGJ+MOb+9/85k+/+qXHmXkc6/7t/XFYb28tct+Z6mx768a1
W4utBRIvh/LB+x+B67Hjx658fIWJLl0699GN2+tbN8Zi991370c3bq9uXisG2ztb127sXb54fvf4
sXfeeu/ja9cvnDu7ffTIz3/2S5V08tiRD28dvPbD78Hv/ua999/fyk6mtoM2SgNISwe5QavnC/+n
RjB10l6ipk/dAltlZo6R4G2/KEIE0EgDbcSNJn42GA5uNCW/c533O5MYUgN/tDUCvf3RzT/9f/+/
/h//z//7/Z9+ipnDvUZIbtowPO2SHD8ORWdD7G25cbambwMA3Ai4Xa7Dc+TGCIyC7hAuKW8Fne32
LBwVCalx/xtLieNfUCCEzEwGCMYYwx+YGkeSCjEIj+12bqbxPAcwbAlkmgDXjDGjtAkEowAGUdse
oX1LEH2D4XWPxT/y1GfqQFFPotO6yCmm7phVpt3JhO0FBQfkalUdgNgA1DVSXrE1acwS36Ago2JH
N2Ww0ES/NpFqK7GFEAS0WcicABkJ3cltAl62FmIJkFq7cxK7IVBcxIgSolQ1ByASVE9IrkrMCF6q
xskghFYDyFQ5pVoMw/pO6AgcEVknpk+cLw0nnpmGDh4CdVBAgahoRRQL6mqrQgrzLbQWLIDgBruH
S8o3tndrg2VAksibCB7ti20eax1Fk4xpZmMZfVoqBUIJoR3OLaPe0q2TphPpdJ8aN/wOeSnm1ElF
J4QN/7yZLtxd0LV56RGncH/T9mnSYvEudTcu/VEmhNPKDWkzmuFUM2vtxGhlTwSITGoWpCiEBsab
5tJI+rVQM0+WcbwDCJjG+TZ0eAIAoupQEUe32GokwA6QwCL14LCZyrC6W2vrBQYCdAk/LUBpWwFs
27cQKltREPqdFcbG2Ny2eeaxl2jnH0QJk7cmqfhshiozrMday9ZiTjwp1BGGdkNANXOcSr+nLcPG
zxybQSHSSHR4hUTrTAAAgABJREFUy1RzPAonlbtRthwcUR21gWiNACuCQbOkEiCjM6C5K0BmxpjZ
1RWgRBoFyV1tojiYukEzpMYA3CwGwTkDAEBmqgYkLftvboJIEc5oJ55PC+w40C04Q7EhMTQCQnBG
KFNpaGP7Y2wA8a40gU9ZYE/MxWrzfTiYOTKhtzUhEbnqncYPs+YbhaCUk1uNXpwGT8LWPmAGzATc
hsxpqx6IPmv7zbbuaaT9xGyAGO42h5xYiH1q5gEiIBAhN6coqQFiBoufcarGswltLu5KqMyg1YI9
RcSlqAsHjbZNyWbmWksx793BVKMvaxhHZu5YCNBcy1i7lDtJQQJBQnVNKXW5Syx9zrVqhH3dXJKM
XqpqTimWZIiURHAiThCTCFfXxF0tNUwXItF3Q6taXnvnzbfefLeWwkir9ZByMsCV1mqeUnr8/vNP
PHgZmKyqE6u7mok0c0FVrbUSCTKrWiGliVoQfyDG13gnoYEwR0U7EWWREs4E5hJL/XD5MRGzqTIR
ETuiiMSjRU2rW05dKTW+kDOOZonY0CSoSCQoTC4AkHMqNZMQEvB0unaURNiqVoBZ3w3DqO45JdXa
J6lldFN0VVVAMTMnGquKmoGA+WCGY11XXdpAJKp+eLAe9g9Szp5ZqqckpGbgIliKeodu5mSGnggY
fZsZ3BPqnFzE3MmAkoiYdkTGxEiVXEdDJoRkKBV17bbFGZIrEElnSqnLoq7uSXJOLAjDsJ5lkj73
QmZSwdnqgkC8dGSmSwIa67LztK4jVgH1g2pjGfcOTb0eVgIdB0C1Fh4ns5kj2piMt7Uc8dKL9Vh3
5rmW0jMUgp0sVjoh3OGMBSiJj7BGmXV5pSWn+cGgO7BY22pdOyPMZF2a7aaahbcyHZvzVuEF+C1c
Qi4ne16Ph0PK2QvQYUYa69p069Y4EMPM5eOh2v5wdVm7ZO8fIO7jNudd5sErDzpSRQNmz1A5aeZS
Uski6MhMCX0+6+bz+XsH+wPJmqoj9tStSJm3DtC20mzQCubAknOed32FdQFcJCoFt4RKTpnc2Eh1
KKPXsi5upfhoW/1873DoZnZ9uXbpsbrasEBiA3ZlXecuM7t0uuDRe+wyGSOOtctprCOlXiusVDCn
lZvh3BJJYkScdTbLXR3XC+EeXWvZ6bpaCpAXrdXNtADicii313UIpkP1wUutcmtZQGGsZdEnK2aj
JgfRmsXH0Ra9l73V1nYHqouZrMfiKJTlk8+lbXVt5OFcCfh28G5CE4h4qZrLFOMM5afpb5uFaFQf
ksAdUAvaFBOMk5fuFPf51BHfHlptJJ0Sf5skUnyVYJlF7DEufJOphvyuyeT2weqjD29fPH/u16+/
u9pffnT15t71Ww8+cv8Pfv7yuQunaqlXb+z94sXXd3e3l+5nt7cdUcfxlbffPwK+Z/TOr14+fu50
Vjl+79k3XnxZF4ub7378yGcfg/3lhUcf+Na3f/a1L3/m9uH6w6vX5oLHzp2tNTyK4ER1HOt6jQ5L
p7/5k7/50lefef4Hbzz+2OUP3r7ywNMP/+RHv/j0c0++/LOX7//MY3/+je/+4z/86rd/9vL9x2fv
jbL82a9+cVAenWs5dubFF155e1Ue28arOLvywvOXnv38i8//6sJjj/zqZy9++gtP/vT7P376uWdu
v/Pa5//g9/7uz7/91BeewEfvvXT/ZQOowbdDYiSIinC806NI0GBUUX3uFs1tBDZxoSLxQmR+Rydp
Gs8GRxmP91Dw2r2tojtZXAIYMDSrzUQa13sKfuzmPtdcbOaO/vFHH3/49jsPPvk0AHDouh56gnMA
fwBtUh6s+bVBcON9jEoVY2IEFGx1Q2bG0hSSOhVuBD4RJg8WMhZTI3KznjhigVHLToCgLkiChNNQ
ShPhIu6d7hvcFBCCWluZtx8NAhfVrmI8NZEEAAyjRQCD3AeG4QOc/JCAHtd6hwBnQsQdyZEACbR6
/LdwA2zaFNqHx5r30lzDk4zI0Op1SJgpylEt9kyN89sgK8geiVlEn8KS7qhR8mbB07zLrE6gbpmJ
KRoOkQgdTR1q3PxaKABGtUFt1IhiogMq0TrW28jI4m6MFD0N3KpXgukCpVQmRBRz9Y2g5GBqQuym
QgxCXj+xXlrA0JFhM4RRDFEUzk+iKL2IXzNNP/vGnRjzDyHgBCYFjJg6x5E15d6ixenvKaWN+Lkx
7zvknOZ933W5/XO40w88dfS03Ry0+iLcCJJtwMVQ11FVwb0TiUEomEvjMKYutSwGNs3cJm7zlKkL
CwpNXU/tDXn1+s2tLs+25g1s5BCw6+gZih+sBUsdAaGsq6HnnKYNo6N59IEyTHgCCnyOtS+FFHFs
bRXEbcKPAWMcS4oNI3irdYkdgrlMhY7R4tss+u5IyATRIApuzFK0CjEAMDZ9zNwFwRDNwsoBE57P
hSgClsGPbeolbZ50OJka2tMnYiOhs03x+8bQ/vDjG3/yf/zxH/1P/2pnZ5eRWk9VKzttZd8IkYR3
jIhXeGkaaL1RwhWRsb0gRZUB1VwJ4xMt5OaoiG5oAOiGQDyBtmMlmYTBXWtLtLfR3Sw6e82henDa
EAl52qa0DCM2hIU7BqMuRq8o+o09l5pra4Pz6EiShqxoRo+YJ4lIIRpfIXKkiCCtUyeyms36glOZ
FiGYNVoUUPsVu7kgVVeFu+vJXB3dnab3ubpxK37CeHipVgSS6GRGEKLaTAFhkfD2IHOMFVgEjCcS
IsAd08sEV4bWHkOTm9fAtaqDsxAH05wQzIjZW9EJEwlE4Zk3RbDNpQaqZlUrIKibmiJQ5CvCthNH
DDFBdRaerGjtWELG1IlpNVBkikpecyVkbjaGsFCDVUePd1U4RtwszCMb6kZtywkHc69meYJ8IJKa
mQXByGJn/Pybb733+jtPPfHwzs68T1lrSZJSSmNRI3z742s/+sWrpxf96Qv3YJgKAkFmwCLxsUkp
IRIyjzWAuEQILGwVFIGZ1YwIsZ0FxIjMHA++UTWl5HcQzly1DqqvX712+M77Tzz5mBKyk7qvy7hg
YmImRQcB4CjSVZixoCqYWy1EjO61KDqsVus6FAQYhlGSLNfrPJutx7EiZU9W61hViFbrgZOMpjdv
Hywk7QN8629//sSu3//Ep0ltdBOnRe7KenTwjskdOyZIyYWTpDLWN27s/fDf/ec/+me/t9o+Sqwg
hIYrty5xZwkFSbm4p5RsNMYUp79yKkMdjNEImczIQNRxBGB3A+uFHR0ZzG1GpKY92NoKG6uPidPe
cDsB1qqroa5vjVpKrfX4iaNjKduUveqodTbri9HB6OgpNP7MORHPc86EhEjIw+H4zsu//tKzT837
WcY0gqPBGkFyb0KotD+WPs1XYrO0tb/2lTIzr2vdSjK6HFQfHTPQNslg6y1gFWJEM91W61SzVtKx
I09Q2ddg6CZWbRxtXfza7VLZb4xQF3Nbr5aou3XrqtcTkg50XHhyYhM90lGfzLxu2+rsYk51OLHt
exW8EPVrYp7NOq1imYvnw+IL7g6KbuPOSvd7mInr0qE3Pqg2H8cFSw9mZNmZwBB8BmVmBQZbMB+u
B5btveW6cq6D79cy9un6avSst0aVDg+L9sRKKMRHcm8GyNQRpcV8W9AX/dY8jSMMBanryjCsMWle
7FXdSrP96m7djbLaytQ7FhsEORkm8BkFIsEKrFOtFXQYKqXerCxXwzD6mnx0GAs5OgzOPXtREdbA
sjP2Pc0zEorVmnsyEspS1mMn0nVcR+lyWq1YUl9GHbBm75aUt5QL5HVBiwTgJ3eyIYDWSg1RF7bI
tmGPEzkwL9VNzc08nHUpSWxzCQGRpwrTyKRhje1jG4EmQJq37pm7ooK+GVEQ/75L1jddqgjgQSTa
QImmUxE3ycOJuYpbW/Otxfy7P/7Vkd1dQRnUb+4dGNjt/eU9qkhw9OjO5csXH77v0o9eed2Gsc8J
alX1YRw1dRfP3XP+iYe+/Y0fHTLcd/FsOnfuBx/dqGZeKiKM47gs44dXrl2/dfu9G9e/cPaUa4iR
yECCPJvNpJ+tgO+5556Lly6+/PbVxWL2UdHxxVdPndymnKsqA14+f+7Ikd31WC9eOGOHcuulF+eL
3RP3bO3Pj155/wPp5yfvObGuSerBzpHdN6uvh3Fv/+D2zVv3Xr4IzKfPnjq2vdWJZHRmIcJpBgoN
bRrsHWIJEM60IIiCg3kkN5BaxLC5uJnbvWETtmnm3Ls4PRGjirnC3cJ/G16l+O01wPJk2PNNvwYR
ALaMCrT3xmKW/8X/+G++8A9/LzYd7sCt9lZDfGHcGHomT3OswuNxZkaIQgBOxdsMENc8Eg6TTg1J
FRyIom/BPBxxqtBUsMQcdqe4gMV9NzG1QoMW4GyGYfUATk/QYYe72kru6HWIGO2fGgTIuwQrBBBi
d201gQiAXM2LtdQrNdG4jQA0kVrai2mBoAz9444Nu6loDszcPnQoasUJqwUc1xAhkQCYq/GUCd/4
4Uqt00a/+Z1bWbBD2JKDzIvTFgowyMaTm9EhojoOoKYAtGnOqACGRByXR1HVWIakUGnNwF2IwUxY
CNxVAbzv8lhrS2oDmRshqzkzl1LDFewajR5ODOWT98QEXtEBqikzg1l4/hE3uJ6GL8JJFpwIUnEu
NlZcbC3C8srE0WMT+OignE3VgLKxfW6y1v73zsRN9gGmatu2btg0Mk7vBCylEBEzRWsFMXvLHtvL
r725M+vO3nMPGwDi9Ws3tra3f/jj55/7zBOHy+Wxo0cl5cjHxpncsHN0Z+jerLQc0MB+/Ou3nzhz
7Nxi5kDvXrnx8dtvs/DRY0fPn79nirl6wxYBgEMZB2HivgsqgJsD2jSqRc4OCEmrbg4T1cpMgGiq
VY1FajU3dUBk+sa3fvLMheOnL55POU2jrpOZBLO9Bc29eEPdBF8HEZNQw9W6ElNVD99CmJHbPAkA
3BZSHGQ3RAQsqm3SiXm0UU7v2H82wcVpRxAoNb/TA9IQu/TNP/9GGm790f/8f1sstuNdI4SCzUke
lZVoIMTFLQxIAZFqq5sWDQV1EGmrPnLQpq4H7BsIIOptq4EARF0qm8WALdTKhpmgmo7ujCwcbFhC
c2Qq1RJEN6lRq1RpoyC08RuiWxSI1YNjTIgG5hxBjCg8ceU2iAKCVzBoFlHHO4z85gtAcAPT+K2Z
O8VhH9Jrs9oGuEbNiMWny4O7EYAQRu8rbrgYRFYdbcr+IjZ8NpJbyOm0WZ+aWYMOe+wpNr0zUNHc
YePWniLAPi2EKFaxkR0NwKO7M2Nz60ibnqKJVWtlYm+WMYJNpH0KZ8cSDB3EsTmCmNmxJZIiGJNS
UvdRDZiqWkp5GIZY/5RS+r5HAAKsVcPCqmYbT5oQgbsADONACVTVxRmwmoO7MGlR5kzoQqgeBkTX
trYGj0WIOxGXWjIgIZHEIG5xh7h2Y++xs6fuv+/cOJbt+WIch4TMzCX6p++dvf7ulRvvv3/u8oWx
KgWB3bXUigCqmlP4qi3gEKaFnUxVzOJgRTd1X62G2aw394g4xJfXMsRFsJR6uH/otTohM0uSt28c
fPz8r5761GXvtz3gwC0mERscdwd1T4wR/AWheD+pgyEYUlV7550PFyJnLp5hJmbKIoI4S4mROQmK
lFV5/hevXX/nDQjW+bx79N7LuyePDeu1LSwnFGFxycDg5mic+8jjD0SHakxs1Ydq11b16sGwt1pZ
3Tk8XPbzOVQbQQVSUV2XshrtL7/9/JNH8oVHHoRaoQ6EVG3ouV3grZbEULygMmgFEXSvBshSyhjS
wYHDYFCAFHgNhA4o2atDTu+9d+X7/+nPjy66SvjYg/d+6omHt3q2UopCn3Gp1mUsBtVMcl6ZKdLo
WNXBrALqYnH28UcPOC2HcQd50CIOadFrLVZ0qNqtB8RlGle2kvHW9QKAQrOcE+QEilZAdQmjuCyL
7ReF0dgN1FcGiGnlMlhSnKn1wMhgSWZdKvOuc53Pup6wQraSoM4ZZhnXOmeZM1mhWaIBASjv61BM
VPHDkrtBrpetfMhXV1IPbGs2V9PUFbaiZciq89zjOM68LHRQW7GioJsNo/pSD0ba3itKI+1X6c0J
yZyqccUskhkpCWzNFnUc531G8bnTQogxbc1YlfqMxslHd2aDemCaUYZSrEu315V7WFbCtQ0KWpVK
Qa3ZtdaxIxMfMqx7TztkSQsAu+PhqLeqQaWVpeWw3t1drHzIaTGWw5RTJ7mWurvIHVrfSW+gyXLH
A2nqqHBS1cyyRBoVCsig7Og2ognroOtaO5BxXImAqtZxRFMdVolwBpp8PasD1ixacDIXRVr2kyWs
vFkkilpFyCzNiRkbRwrkiUV9fLt9MrV4UjA2G5OQTS3263gXwQgDTIRTDUKQA6l1d8fVT90nZghM
4B9vFFi6Y+XyaORiDk/OFBFBm4CNAJ4RL549dXtr+/ipYz95/uWUZVXqjVu3r1+/aXa2qiXGYrq/
WifhojVzBvLEBI4pJUmZmZl558j2Gx9e7arfvLX3xNb8zbc+SG+8e/PajavXbly5cv30yWPvXbma
4/kNiE6MwISHhysp6v08dwkBEycRuXDx/Pf+41/+m//+D9bmKXcM2M86lHzp8oXv/OSNw6F+9rHL
urfk1HfCeTbbXiycullmXGx3zFu72xfPntx//MGD/cOd7a3FbDbfOUpIp06fPrJ7tNoHL738xoOP
PNASqvFqRKKxXQkdCQjQIJ61ZI5N2EQE9ywT8bWBS+LOFnWpGLB9bqL0HRhiCDbNcxir9OgYaRbO
oEPZXR3lGzoyWORj3f7Bbzx18shWN5tPlxmsEy02wkzmBtbMfkQcrigmgslPCGg4+dOAuJnjpomt
Sadx1QEkwNIiQ07E7uoOmUQcGYERhUCtQsNp3lX9EH7nGEqnvtDAdTgCmkVQkzbpJgQCUHNw51bQ
M+Xl3B0wmlLVQmMldR9VNwpbZAJNLXqb2us+NSuqWayY49odQdtSlEjiE6fVLOpMwNUVvLXBuTsj
VVQ3IMBihmBEUE2jDSWlrGqBuL1LzgIzdyS1CKA1UnIoswHjYiZBan32TgYe13hwQGJDMAcSrqUA
klOwf9URhcnNGNprxMJ1LBOJJ6Bo0tDZDYdmGOVJAcd2cIeUE4KrVvrE4XpQrcgCjq29kAQgbL0Q
jRQTghQiBhXJuqkbaRPInCwhwcSetGuCTUB900oVSDaf6mM2EmjD825E7ybc3UH5+qTGxGwKV28f
fOPPvv2VLzy5e/L4X/zZNx++ePaBpx5hBCKxqkPRNax/8dJrouMDD98/m88AYLku5t7NF0i0t79f
SlGzY0ePqOr1GzeQaWfWF/UjW/OxelmvjfDa1euzWX/qzKnB2nKwmj//7gcnhvroE48w8TsfXb/x
4Ydr9/vOnd1frs6dOqrMV99+Lx07Oaurd6/eeu+lV05fPD8M9datvZ351iOfeuBb3/xxN6dq6Yuf
ffjP/uqHR48sPr55cOzo7KDobz3z2LW1v/3SS0vpPn3x7M8/uoEfvYVHTl4+efLV968cG28sThzd
zUdaEHyiuJkbAIdqqR6qOaI5MQE4AyZ0NWMiNYvMmsVKwk2IqrupOXN1QHdGlIYotzDkhsJWHVIg
gcGpOS5wwrpOiWJE9AiveijkPkEBzaxfzICDLosxHDZsfMCmm1W8VXA5YalG5EzN/B2anlG4PV3a
8Ew6pfYoEqSIxdyaS98BjACAoLSkvQUllgnNSR3rBFTDyQzliO7R4eRoWEwNoTqwAzf7OjlCUOEj
Xhwpd7PA82K0fIXvNz4tbuDkThyrNZps4L7h50Z9eXyJ+E9IE9kBIvfOSNhaYbyZgFiCwuwUXD3c
bHhoU3MNjQMPiOgBPjdtu/K7XAaId1EebEN4DDoUE7iSmgFP8QdwoDuZdmbehEuRkCgQ6Ta1EwOa
Z5FSa/y1IlKLWjURmiJOju25baINc8u1mruXUrqc1WwsxUyLOYmMRd0wC0fyiohFoD1TEMwUwx4D
6BQJVSBCYUpEQJxE3CyIjclFiEatwMhCzDzGkGHeZyJAdnB1AopxDpEEiQwWKd9erTKxEKmpA+6v
1jSbgaMpVDUzLGCOPGpF4p5IJJXVgapO/WNStbzz/oc/+9HPay2727tPPP7g6XNnSESYACklGUwV
LLNoBUZysiRCzGZmMNkYVPt+NoyjAb9+/eb/9v/5Xx86c/Kw78b99T//vS96TqYOqgQY/QaShIVq
NWGOaAUjOoBwozs7orsJc2YRBBK+777zi64balXV6la02AhIsBzHnuam+u7B4V9858Un5rcf+uLn
qjP0/e6JY9dW4+Ggy6EeqMHharV/yGYpc8p5BSDrsnfzej/vF/MZESbmNep2TmPRax99PO6vt+bp
yM58cP/g2t7H19+7Pa4fe+jytcF+9YtX1rK6vjw8cc/5GfqZ8/e8/NaVvDw4/vgDH7/58fFOj158
4I13Prr6+tvjuHzmyce3z588WNU3X/n1ay+9cnR356tfeKqA//hnv17fuvLRR/snj2197atPys62
V6vov3zlzbHc+kf/zX97YzXOKN80evfdWy9+7/sff/DemdOnn/vc0+utne//+beW198/fvLMM5//
9K21/vV//Kuy3D974uQXvvTUdeu//Z//4o/+1ddvrPJf/9mf7+9dGyo//txjlx575H/9D3+3+/6H
6cSRw3X5zLMPnLvv0f/wv/z5mWM7tjX7jacem20fcxfiPO+wep2n5LnOc1KrnjxR4vU457qQKlgQ
RgBRW7vB/kjDWMuqHg5wY1iDkA+125kPhwMRdAXKqLOOUgGpcBx4R4uxia47Tinp0TT03XA8r4dZ
Xc/rLNdZmtWEa2KgzsWv1jqf9YfrkmV+iGUu82EoBaHrt+VwvcV5p0/HMm4JoKF0vFJCqJmMsKr7
sq54na8N69vCsi4FoefxxnI8SeOHhyvH7KBSdZG5gPZmbspgc1TvcCY+COYkFXxQoNyprAckTv1B
HRKlAgzcsei8n1lRzLC76EHHrR47wt1ullgheQeqaKQw2HgwjNLV/WHcgrwsChWwmg2V1aE4gZkN
ZoW9iA2MzoyQcM6wJD3WdXXU3LEQCVNO3ZIH6ebjWFYAmWYgo/NsQE/U9QlKqc7/BQkrj2NUTQGg
mqbAbgOFNGpW4qoc80kDGkyIyPDZMhM00MPfY2BEvQxNTNUJqDsZgwBUNYpnLJ5M02wzhUlw4wUN
rmM8ylq7RttfAk0zMBNdPnfq+NEjD953aV3Gxx66dPzIkXMXz77/4ZVHH7p49Mju/Q/yzmL74Ycu
X7l2/fypEzMRRRIHTBmrggge211Ifuqph7aP7aacrt3e39peXDx+bOvxh2vVf/Q7Xz5x/NjJ7R1X
ffz+izvb28eefRJJAPHY9vy3f+9LblUkdfPZsS88hSxf+vwTOafHd3Yf/L/8y77vZgCf/Y2nReTZ
3/iMpPSphy7ofWcJqc/5TMx/iOe/+Ey0UO4C4j0nCPlzX3xGiD7/3NPhrzbzU8c/YwDPfvFpRPrt
r325wYRwUwcOjljM2cEVCBG1db1TW99PgTEis1p1igBhM/VtyDw18lZIahGro2ZXipXEtFSmdvOY
aFQAU7mBQ9RHTBUQ1iTHlqQ8efokI44W4dfwPoGGdKJm4ATAjhbvTNfGZSZG8zpdvAysqA7RaeeQ
kBIimDpCUS0ABUHdOucRAA2QQE0L+Oju7gOgAMYyhhEMTB00dsTuRIQaiVM0NQVTCKDlHTurmwnQ
lCM1jR8GpzmKuL0aPnF04qVoYr+rWxAm7xRjWusCaXqLAxNVaxx7Cz+z491DEU0zWbtVxagMgAK1
VqLJctYWFqFttp7S0SoSLVfrnZ0dEWltxkjxk/iUXWOKIcoRGv25mrMIO1Kjc1M1VUAFjF+WILl7
BXCiYsrMUwBAE6Mw9SICSG6JgAnUCgm5RWQdHYyY2vvKQNXa29jRsKFkOQk26qaLfOKWrLZqNxcS
Zpk8sxBWw/CkcmQjWxRQI6V4V/tU8xYEuommilqmiL63Q6xZNSNzS+SuMV9yCwI3Pvkd7+6dnP1d
NNsp5ImIRe3G7YM33/rweLWPb+6dP3Ps+VfevHRyV3P/zsuv+/aWVb1+63a5dfPIyeOvvf7eZ59+
XJHWpf7wF6984alH/vO3fnz+2PZesYfOnXnnw2unjnYvv3X1iROzD4b0m0/d9/6h7r/z/kPPPH70
+LEfv/jaw2MNISiOczd/6513uq3ZieNH337/uty+efzRh371wsvHz599/bW3SkpHdPjo2q1Tuvcx
LHbJz95z5jt//nf/4A+//p+/9fzZD99f7R187UvPfednb+9f+YBq+dJzj/3pX//s2YdPvXlbrr3/
3ktXljSMFfNLr7ymu8eefPzRm8dOv/v8S8cvnLt074nF7pENfy52YaGmB66qhrEcXFoi2rAZAjwz
1VjvENik7WPApQGEuUyWWZvcsxGNrg5mXl3DcxmCsnDrFJ06Y+JzRQ4egpi6qTuDC7M5JPI/+Kd/
+M//6J+nrjdAoSm9GtbOcIS38DmgIxNU940xc9qMNGNvODsSc1GzMPo7RvMvIwRGOOa6WOhBxKcR
1YGh9VpNrxs2NAS2qd4dLAIRoTJie5/X+Cy0Fk5nJA0vNwBPy2tu7WJKxEDopjyxghAdkMPXQwEM
n0Z8vAMHRI+x2aGCTXhnZ0QWRjVi0qnsQy1I6cZI4ECTd6XZsL0tcapXmJDF0LbdUXquwWhsVFei
iJczIAQBLsqiuFWiQ4s4o5lzIzMRTgB8dERQMyMS5tjXhyCHU+MXUCiohGOtGHI0AQT4H6JNDpt/
AVEcKJDBTOwYrxVFcpKos1JZEpYqKRGRsDLRoAXc+9yPY7HqlFNFL2roUGrtARBhXQZiTElUbXqQ
ASFZI8Jre8cRgHkiWVsp2oB4OK0uHNysOoKBr8cxXujYmCKJiIy1UrgREKO1lwn7lIm4GrCIjoqb
66Pqcj389Q9eeOjkkac/9+St24dlLAX8rdfeeffdDwTx3ov3nD138uNr+3s39h65fL4Svv3BR+P1
mw89+fiH12699LNfDqvhwvlTjzxyP7GYe7VSqm71/T/60mf0wqX/7//yH3/+wx+mR581dQN7++rV
H33zJ6vDFQn95m88feHyhY9v7v/q+V+99+Y7s5y/9BufX5w49uOfPf/+q69X9UcfevDZ5z5dkEih
IP7Jd5+/H8qjzz39v//dz8obL2ufl4f1i8/c//RnntJassiMJEm6fO7EfQ9cVE3/9m9/8tGLv3ru
t75MBBmhov36jfdf+e4PZj3tDf6VZx6tZy/+4D9948TMaGvrwcuXLz3yoKEUrArde9f3/+Z7P/Wz
F6+//8G//t3PfTA7+d3/9FePXDj1xv549eW3nvnyswrWZd85Mnvnxv5bP/rRv/gXv/vH/+Gv7xn2
fu/0sR/+4IfP3nfqoDvyZ//nn3z9c0+9zbP//d9/4zf+8NkXf324//pPn/7S5194+8P/7d//1WNf
f+6b3/npA7vr3/j6P/k//vo7i2/95At/8DUA2JbZI+fPffMF+en3fnrkyNHjD953A8bv/d0P7p2P
v//f/ZO//sFL3/vrb1/8/OffeeuDP/qf/mBfcRj23r2ib175+H/+v/7rYc9Xtl5xOlzWqwN975X3
VgfX/uX/8M9/9OurP/6bv3zo/HkAv3xh9zP/1dd/9Pz7r/zkO8d3jmjd/8N/+PWbLrtIaANjHcZD
U1vWQsIHw6i5X63NPZHqfgVgvDZ4N8M9tbmRkjCCC/ZJMOG2CQkJIIj3PRfraiYBXCPOcn9rHCj1
lQ5RttegmTjxjBjW2hfT/dor6WFdzd3INQFmKkarDE6gWwiZS7ZlZwfZvFjpAA5Wq4Oq1w7HG4cV
QA8NsuGqjrgaO0lWgVyPznuAlTDuZtnO4m6KutVzh358SzIsdvpuXSLEnb3HQ0ROvFeGo9gd1PWM
Zod6iNUNkIHJbObeoavXBcLMTcET6LKsh8Gr4uF6cJKDQQuM7r4e1rPF/Na6ygyLk4BvZdmpaScT
jzLLvJ251uV84fv7JfVSmNQxp25VB+LOuaL0xDiuarFkoEv1zKLVAkwfwWYsY0YFUPEBbYlACZbu
dRh9PSp1+ZPezMwNDVt4Lw5cVYYNJZI2fltVI9iYvhxxg4WchooArN2pQvXGwdtMmXgXbOkux6OZ
obdwTlt2bngYSOGeinLUxoMJmlqQJidogDsw0eV7z4erLIk8cN+9jvbgAxcnrykd3z2CgA9cutCI
Iu37p2jgbvx3xDNnT69KXQ12++bqU59+NCU5e/aUt2I6nJ08uXEgc8rWuCO4e+youcfkAA6KJF1X
zRyJu34IpxmLOhrQqkQSKoHDclCIaa3JbU2bRECrgyCFD9emUnFDWDuoY3Gr4Cs1RBpNo9+CwCVG
Qmu/h9F8UFOkYtB69pqbyxuYwbG6jwajw2g+sRIB3SRkRq2KpA5qro5jMwO7mU32NqhhZ3IoDuoY
lQmAYGDuUNUAGjrLpsaH0MyrgkE00wKh/w+XxqfO5lLHmIOp5TG1Xc0AEDAht6YCRAcrZiOAQ0VE
Q1ZoMcFNM0KQ9wiIEYmcGASR41eDxIAClAJ8iFjBi7UnNDOjAxskZgSsptUUhNt+3Sz+9UYSis8T
QczPUUHS3sYAACBI1Mri3Uzj8qtT7YyqEmK0zgQaRIgIfBMPCxpnNatmMeGAexIxNWKJ2sBIB8VH
QE0d4v3ScnEMNG1/7jSDjG7muB4rIUkYTc0VjYhMa2uWJQS32D6hY7ihW3k9UTUjBzNTh4pYJ4AQ
Eru5mhKTBbnIK6MJQyesWtC1E05MHNEy5jIWAEaiogYAqO0fIlJTKoIE0y6e4U6HqJtS/cQFppFU
ZWYzBZBo6zGtMfdHZjiCrERUQ4UOa+Kme3ZyGWwaXtvibqPZR/xODZCjTibKEaKQD4h8U+p7N4hu
Stdv+J/Tpm8TbsPTZ07vF3335y/f+/ADa60HB6t7duYm3eHhara9xUgnTx2fH909efLkL196W80I
2QHXYy1anfnxR+5/6/ry448/3Lt98NXPP6tp229+qGaqOpqN4/jy6+/tXb/+wUfXjgkAzVqHNUIv
6eT584888oAwv3t9//TWqZ2jR94t46V7z/7lX343e3nqH3zu5nv7pNhJOn3qmBCl3LmZjBWR5vN+
1ue+y1rrzqLvO9lazLdm/XxNsLITR49i7c5evpzMf/buR5LzTLJq3Z7Pr924deLsSeq68NFMPbzE
bhihRwdHqqoEHKVVRIhgiCgB4yEKfE3UmfJkbQA3QhIMNucUCQZHcGkaXayQAsx2J2ZsU6YbbWLH
wZ1cSWt1drhw+uh/+z/+qzyfaZyYG1Lv5CV1d6MI9U5NLwCbcG+rAY+Mo7t6O21a4457dUjA6EaE
jF7dHbyARrhUCGq4LEgIId5+7DC6DQAMnBGY0dQYQKHRgxr8yUEBKiIhqnvjCQNgiKrY1FAJfFHI
gw7VLMpmYTIhE7EGE6rBh4EJLc6NCaYb9bnsASVibTYERHAGJKKQhRHAzGUCJVYzRgLgOEIZGfFu
wTaS9gHL5obOtnBcY9hIIysRUXY3bYCrmH7d1Wxjy27HKCBGH4FZGHxUVWNRZQ7ABuhAyGJaIyUs
wllCCXbhxqBSNwo2UjDeEYkACd1M3EANsnAcRAAwlgLkHtK8t/pd9wbpVlNwrFWrTW3m5rVWZk7M
fZe9/dbDs9Z8IFVHdwGiYRyZJXEuZbQp2pyJLXBBTO7ap66asWlrwlEVokXf8bquAM3M3JJw3BCF
qOMUDiV3j89BGQfJnQMUxbgTEHmTlgn2bt5eHRyeOn4kblcnTh4Fhht7+9/90S++OD5ctra+8b2f
n9rKfPT43/7kZ5/a3r5+cPinf/WtR08fve+px374vR+v9ve/+FtfBnd2YmJiOdCSwLOIaQ1W0uh2
6sTxP/iv/gGQ/MX3f/LjH7548uTuj19959arr/z+P/kDdSq1/uzX7/76l7/+1//s95ZK/+6P//Ol
80fP3fcwACUWRLm9f4MTHQ7DcfSv/te//er7y+f/9pufffRBmu+oKQvfHld/9s1f/OiDa9vbu1eW
3vVwexyXAKuxvnbr9t9856dfuf/0p55+8lsvvvWdb3//4a/Obt7a+xe//Zs632VEryOLlHFEq/PZ
/GtfeKJ/4tk//Yvv/vynv/p4cYLWB08+8QX9ePmLb/zNs09eOnrh9KUtPX3/ves92vv5K99+4V1j
Xp8883c/e+nW8nBx4dzP3v7o1scfM4xdKXs3rt/88N23fn3rxLi88d77cHv/nbdevX99/4njO488
duaByycvPfTgrTd/scV5SUXQPvXgmf6f/t7hjVvff+Odb//klSe++OhLr761n5dvvX9rb3+/d7yv
7+97+OG/+dNvnTx5+uknLx89d+LKQ4/9u3/7zfPHdj739OVrlQnqOFzZ37964uRsvjM/c/rY0ml1
uJz33akTO1VYFlvLYvdcOP/MV7/2J3/xfCH74uMP3nPyOLEAcyYZwXLCPuPujGdOmiwDzUc/seVj
gU503gFgAQYoXsEVbL+MAlTWNs/58GB9LPPt2+N8J83Ub9cyozSMxYYheZG6OkJ1RuperCz7jIir
jLigYR+G0aAWSToD81JkDnLlcFnT4uNxOAJp5LnQDCWz6naebeXVsUW3Njm9nVdacax1xhWQZugA
ezqOmJZoc5KlIyiYkZobyc2BYFX31gMCq48zIB2rj+Oi67EaWVno2qn6sCRXraMJqftqrKPiaqgd
yL5WwnRLIQGZ9Eoyy4kAtufMQDmjm8+zpAxseZGYVYQYDRFldFkDgQI6LpcwoCxXPCewqu4FDVAL
+8h13SWupQqBq6IXMqoKRQtiUoe16mFxJTCDtYJXHLkfPCl3SJITAY78X8A9imOXKCJcrYc6WKfT
I1SEJ2HBcGIAbrRQm4oc4wK2ITgyTkWdDtHVHhMmTOMfIpDDpuUvZs6NBzh0ubX5x8t6CAMgxuRD
4Xt0L5MDmYkUQA2qhoqL1XwwM8BixkDWoItkYU0BNG8PVvBGy1hr0BYw8rEGcDgufL714j7/xx/f
boZJQAev5uao5g5oajiREkf1OqmFAZkxj6stGFB112nQjz9fNEbrjcJ8xxTUmiytjf2t0WHygkZ8
U01xQ36cOic2yZeN4hKBzDC0NrBq6zrddC1GoCoqDRGiQTRsjZtaS5yWE1FSaS2O41OzDGLUpuNE
ZkFvmrhFlI6ITBuCfxJQI9sW0maIiC4EI/Cpk8eDUdFW+9NPF/3oaoaGQjx5wb2aDdBKCcixA2JE
JB9UK5ggOkCH3DkmcCaorhU8t3Uxc9TkAIALEKAZIpToXXRgRLbYlbAQElBsigGQmDHqIhEYm+HP
olecsDpgc7vB1MgSH6vWCoOxBgrdxz2LgDk5AAJjQI6M4uJH7WplQAaIxFUrIhJxS6H6pgsBCTHa
48OMzG1P1OCqbhrMGG83QowLfdyMon0xfslqGlfw6I+IiRY9LvEIJHHnip/LANUchDWCsu7SbmnR
Y2xZxHQUxhq1zuZMlIXDzGXqTKnWOjk0gZOM4xjRX0OPGokWBgMAgCQILqZmXonYXD8xi/wueRlx
cqpPkPAYO9WcGSdgWIwHtLHj0uTMjnPDJ4osII61tMRBC2k2BFLksEKcEG5eXQ3D+AS8nT5roYRT
/BJxYx90AEBB3OrTY49cvn79ZunT6tr1+ay/cmOv7B2u18MOorl3SW7v7Q3DIAybuAQTCtLuPItw
n1n77tTJ7oUXXnvlrY8eP7Vz9MSJn/3q9Q/31+dms+s39zJRAkySdrskKQVzeyfLR9dvvvLSa4vF
bKtLXc8zpmPHjx5ZzM6dOZMOD+Y7R4/v1EWV06lbWLe7tXX/px5+4eevXDpz7OQ95+5fm0t/8fzJ
RYf3yxZyfvTBC2m+fQ857PSXjhx7/e33rl65/vDlC5+5/8J2n4+mfOKZT3eL+a2PPl6VKrOZxWcC
Wi0ToLtG1h0A0QhHVUJJ0IpGmCBspOHK0UngnOR1T+0j6EQUzTHU6m1CZW3JWac7bbQ+Ya+mfMRk
eYBNCQk0LyZA33fuuboTkwMogABBKHJTet0d1E1o4rS6q0OkvqiFW5qBNraoUSsckDMHrGYpunAI
1ckw+lQhpDYhMiR1r4bxXGYkNlcMXB5F1Fai2hsoemJhKif3KDN1T8FRMlNVaJl2AI87ADCxWfjr
QWM7CGhmahaHkcbOBV0hRhUws6JRQE0RGCZoM2TRWlQx/JVVOcy0DsXVmp0eEIEszmwrrkUrE2Pj
AEfVtEbJbXwtIjq2ewSZEF3NNj3SIaq3vhtohD8DYEAj8LtB2NPJYa7TUmPjcUBDrDF9Mxm2Km1i
ZMKxlLaCB+RN8ZsrAAQJKbZbpRYAl2qqZkWVWUwhIQNCsWobQ3JkXECJRAgTEbKbUqDNow6BmZmJ
mbUWSanU0jbEiO7OwkBYtHbc5dzFiVYMRvMKLkySEo2DSCQxXK0GBY/C165WTUut1apqdXMEMrPE
WOvI0bRrQQx2QQ/ZIZ5DSorEgBom90Xf/de/89Vf/vLVb3zzpwp+/8UzTz75KQcaxroaxoP16p03
3nniN7985vzZX/zq9cuf7g9v3X7ws0++eeXma2++f+/O7P2337t9c++1/b3PfflzwgmJZinv7936
q2/9ID//Mu+vnvvSV14HeQ+RidXpZz/9+bsffPTRx9fGa9e/9NxDb7x39TP3nD57+sRQcWX27kvv
vP7rt//Pf/+X5n71vfc//Ojq8XOXUGSoxU2Xw3g4Dsh8zz2n5/OtvEWH1eswzAGKAXnNfXriycc+
/dtfZ+n//Xd/gfsfZLatLhOtyX3/xs0fffzWG6+/e2tVLp45+uC5E/M/+Npf/uSV5Xr99MOXLz3+
4ABUkYuALObd1lbXz2Rr++bH796S9bVrez/66Yu3R3nyySfy8VOcPkS2rQ4fPXXk+yd2X/jBj77w
2U/tjfbL53954WjaObHAD9ezRT/v5ViX/sk/+q3ts0f/7oUf7hw/fub8hcU5f+6Zp6+KH1S7abCs
UAx1bXUsgqbDYOv1haNbxy7fK6dPfePf/tm1j989ffr0c48eeeLJz9wY6rA/dEd3Tn/xaZZPffe7
v/jOX/3tV/+bf/HkU4/PdxZ/81ff+s63nj//9d9EkD4dO3ma3v3Wq+Pt8dr7V08mPnJkayszs211
fGzRm6mvlkf7/PTv/MaffPNbLz7//LknLhPqWgEwHVSdqVxbFpvprf11N+9BK1QC8GurIp0fjnWL
kBEIlBET1J5ZvI5S5wlnnW3TkBeIogjeIxATc3Lpl5ZWkPa9q4aUugNypq0RXXCRKBEe7OTFPPWU
WUfHznoeM8IiDZL0ONk1KRnXBXQ0PSxyONZrh+XNZTmsSweYOam7LRVoWFQlICyawRdWzMsChtTR
ONaFjKn3nQ76kTpBhezqlvMw+tIxSz8C//84+69n27LsvBMbbs619t7HXJeZ96bPrPRZWb4K5YCC
I1EgCDVINSmFGC2FzIukCL1JD4qQ/gFJEVKoxZBCpqOp7paLZlMUDZokXAEooFDeoKpYKJfe3bzm
mL3XWnOOMfQw5tznot+SFYGITOTNPGebtdYc4/u+35dlPUMdZYWp5LwqUFfsB6s06S6tEIomhANR
HHENalTJZFnqbqpAdrY1qQqA59NydJhvnU0k47J4SjYQ1WXhsY5uGYubDWk5GJgqsFh1NGNKA6tW
TCarSSXloUyFOVckEk6ZfdmOOSdaxgRymAmdiLeTHq6lTroShOqAqm5TmUNBfH9zaQPyBovVW28a
tMggXNTNBcukAdkjiAL3/AEziyVdMw1aQPt6S+c+Jtdtot2JiHsXbjeVtDxPxFR2bv/Hn+vrd+6q
uim4uxAHet0apMSRSXvRAhI3ThJhY5n24kGPavJYS8YQ2BfWcfj7a95mhH27YO+0gcBJ9uzZRUdo
j8eEOdnvQTK1F9xnhZbwhN5vEqCo+CEWXeT7rgu/FzjUA08x9vX8lFfvNMDW0ODWq7jutf31Sdeb
8N5I/PeiHsHCIwod6RqSAoQKvT+b9TGkn80CyHnxn+yDa2Nl4MW3xDxcxL2utnXihR8yZg1CAjBB
5j3XhIjugQkZgFprrm9fsdipdxd5q63pwtXLP3+VM1176MGwy0aDi6tyYrU2LUQlSMN3RmG47/PQ
MTN5a1kDR7DAIYUKjN2iSYiM7oQA1gkh2GGWrWCkwy28eQsJPcYtdwRgRFCPqlgmRI85EFvFXxtW
aP+x9sxto0CZKcd7gIBgreSur4t6ZxCZea326itvPPn49Rj5oxdIzcIMzD10RUQWRg2EfmZqEzQB
tS0JICKBNYO9NW3agmaE4IJo4LXtE2J0NyawaojASIzs5qoIIFrd1Jk5FKOiKswWBl1GYTI1UADi
eF8hBmwAA6xakcgc3/9cSlqNEscdzKFhn8KTScxAUXlCZta+Ze3gHAW6RtySii14TdRswMzQ6vfa
7cDMAkDZoUquVjnAH5ECd1drEy/cI7sxUf/aYITHCGEzpKeffOjGA1cfevDarbsny9Fmc3T0yiuv
EsALLz232awz87ga3yQo8/SxDz27WQ+f/uizh4ebz37shaOjg8999IMHB+snx5U/cNkMzk5Pbp9s
L12+8tDzT8y76x8mHvLoRPOyfPITlIT5glXqH3v2cX/6ESLkEDrACfHTn/kYs3zhsx8GAGR+9pGH
cF9kivT8U4/S049HBPeDH3oWwJ98/DoA3H8DEPHJJx5CgGETOwL/4LOPx4dzGSCCnUerUd2PPvAE
gmuj7xJAxB0BEZNwdU9Etd110MAVkQGQ2NutAQlRAdTRAarDPjaMDqFlx21MAdGdoQGaHSNSDtUA
EQQpsvVRLOzuFANTfDBmocJprzHrq4tA8vTMZC/WbsmU4FcH9ayxWcMvCW4RknR1r2bqHqUvoTdW
0+pQDCpAJkQwA1sUIqSwYCCKbDavSK6WvTsiEGe1xRUdBgy/qlfzao0ZMCAhuLoZQbF25xyIGRoo
JrarQkwOjN7+MIIGnMBBQjx1C69HbL64AySi/twAaizFHISIAck11poa960KCtgqi7sNHsBJCFrR
KBCCuGfO2sxAFM4mQQRXbQA/dIDbt25Dx5X1q9L3vS/UnvZBBUdwNQcMflsrWXPqlTTN94sQC9y4
b1dtL98cqpuhqymAQ5sTxc1V46Ybq1A0szbnh8KOgIiyFsks7bjDIMQsrJMmztULsxNHtpejA0HN
zaEClkbmcm7eGwfwWquqtpMBAhNpLc3qrlprNVMzahkMcwesWktZRNjcyIKJ266fqM0yt8iCFDcg
ZhEmJuTD1crLzt3MlAmTiNZKgBgcXcZhSNMddyRicUdHR8JLx5tf/OzHplq++8qrf/qv/ygfrn/y
83dXXvj+S0Xt7OTsOKfnPvDYH/6r3z8v+tTx0eboAN89G9erGzeuHV2+9vCDD6yHhPFbqZWyHGw2
zzzz5JPPPZdQDg4P9I13JvTbu7Ov//jmz7/yrb/13/jiK++cfutf/it0HQ7X777zysn5mTqrweWj
gyeefOzv/t0vchpu37l7/dqlPKZifiD5aByN8WC1GhINkg5k2OSahwEQhEnVE/MwDuuj1dHRUZFV
Wq3tDiMNTo6Q7j84uvHoI88fPvaJz378bMHp9ruoyGpf+MJnvvzdv/zGn/35cy99IDNXoru4nJ3e
+cY3vvuhaw/f/fEPX3ro0v0PPv6dn/z8Q88+c4LD3XffkjyM6/VPXnv18LX37r//MD9w38/+6X/x
7/3GR/4K7n/ln/3u5558iWT16IMP/vz+h96+NfHlw9ffePcXHr3xhV944S+/8vXb77x3onUYVw9+
8NGra7q0kkF8MwwzJ85SFjWCd+9MX/nKtw+yvPbezYevXv3Yhz7x4IPlm3/+5Zd/9ns8yKNPPnnp
8PCbf/bt01uv19k++sEP6LJ8/Stfu3PnDlv90Oc/POlyuMkD6ieefXR65ZH/83/0nxHRr/3aZ+1w
s1qJbQ5PthVF7nvwUZXNy2/85Gt/8hfro/Ejn/kFN2JMCWEjQmm4nBjW41Hiw3Ver1NRnRddjV7r
cJTY1ysAIMlFodAAaIXSgDKBEm9u14VpdVrrZszuJdZyiLZBO0q2Ad3iMoIQVrMCthUoy3JWHbbz
XOrqtNYdIhes1Y9leOe8XE9yZ8LxkM4LcMbklLCsBn9wUy+vl0xwacDZFGqxVZqV02rEJd3WOY+j
TJPm8YR2Lqu0VKWBcdzZsoY8g2RHZtBlXgMTFRZCrROUARa2hXRe6m4LvrChWpm5Lp7cEfmdeXpo
pFu7ktchjdg4MCocbJDc80hWdeC0HsRWeT2M6DiZDXmsvDiPC9R58SGNk2m21Ww2gigoYhkS7HZl
FLfig4B7Qa7sNkgUAMOiBT0vxQrY6XkZEpnXqlZxWoymogZUqmUkBN+k962XBmSoeXuIvLn7sBFx
ewqAiIM418hGrT60WQehEW6onRQA751arSONgie3H7caI6R1FGAfhL0/JgyREvFO4c5UwaMPAwJk
ig3TY+7GjuburiEDmhkzepRMggensSVEsEH8Aci86bRucWi0NrJecC9xv0BdDyknvnM+7wkk/YXA
PnPRjpdh4+sHshhK27MwnswxEndhy80aSWhv3rr4a28jdEMJtf9oo1kSB9qg/bRo8W7DRsz81AvW
0KHX3DvsuUTtI7H232xyAO53ws1qaH3w9vY+4h5tBaEcev/19uCjC283IO8r5ru12yORg5tNnuZS
qmEoGg6AKI5t5PSL1YDvp+E2LTsAvPyzV159+bVb77z5wKMPPv7MUwfHR4lSc5YhmtnpyemwklAK
v/r175+//uY4jo/duPb0B5+p6tUc2aspA7LDkHNfRbegl5lFeS960C+s79X7J9K/BiFuMKIaxnJ5
UXWkkBHIPay5tF8TRJ0eGEVgLHCviIQI7NT/sFmIEmjgHQxqgGymzSHqrUIJzAGMI6RGHlmyiI67
ei9BBXesqv/kP/+Dz3z6sU995tMQLawOTCws2NG8hNhE0YbQuOCsMrKBhYe/qgFYQND2zvaYP4XI
VcHVzBCN4vtnFkfS1vLipqYxDIRZgIjdPA6VrKBuwoRQ2yuNsbt1aIAgm6q6GYSxX4Hed740BOaw
UACQtgrlVmIUKC9EaOZ365MG7TFUDo5qGmflv55SIPd7q1yiY9YIsVZl4Zh44pqAlmkkQNQmv3Qp
KuhigUeGPsyYr8bhyScfjW3H1UtHsfC6/MIzF5+FgyM8+YHH96uMcRwc8L4rlwjx6uVjBEg5u9np
yfnbb928cnjw8NNP5pRWeej8GBRh7JZZAgyruSQBaDz2PZWpQYaYTZsUH9HE9rXp8LsorWmtx0zR
Rtyp6/vnhnmzp7QdpV94nUnBybFdDt5nQY3+7aiGovCqK0BDhPUUaCwCrZeSIaAgiIO6xdasRt47
tpVtoKTFrERaQauxVIew5NQgp0W8oJO1C3g1M8RqpmpCbIELdl/MYrfrZuQA8+7I5lpvKnq/UWBq
xbZaW3FweEYwSmgUsTo4+ICSCQFBwYpDdRdAEGFwYnJTZtEofzZIIoQwO6g4Ow5MidjRB4fSW0kG
xtgjGPGkKki5V+KQcAzzqpoJM8VKxTpdiSiK0gJAxVjDAwXAgIyQEAF9cTVzw2j6RY6wKXhFr+ZO
Yu6ulgASNeOHgus+Ve5ICBzvHXhUxjWyWiRm0QG9ulX1jiUncXAnclUMYw+KZHcQjGAqRE13L9Zu
300iAKLI5jBHB3tHMLY2UqfO8wszzFJquMiYiJgcHMASY6kRdvDYtVlgGgiAWj3S3vXdWwbATJOI
2KJx0dZYGWpFJjOrtZpbqTWnJA6mVRmLFkBkEq3WfkzbabkbqDqQLBpkKgg1Oefk7onFwFNKVY2Q
BpGlVMK4lBgIXcENUk61aOu4DxyIOxG27E201Ggb3MEtOHuAYFUJvJph6ykDNUgIVdGquRkw1lKn
efnej36WSQ6PN++8dXMcV4T07q27n3js+tl6vHNyqkNG9wcfuA9Xl7/0+3/xP/7v/k4aNg/fl597
4cmfvvLuB3B989bNh69fffyJx0pVRNgkOVhvrl699uD161oVEI/GvBqHo3zw8PHwU0r/9ns/fu2t
29vdnPP6sx954Bu/d/Mf/5Pfy2P+8Aef/ejTD2/fffP/8y++NCY6XI+/8ouf9JwXc3HNjDuU3aLr
Mdki27IguqSxOtVaFaB6vXowpMxUsepyeSBcr1jtgcNxQ3IjDV/8pY994yvf/Mf/r3+xOjj4xCde
JJHX37nzlT/6yjDgF37jV08WyDIv7inTpz7+Aun8pf/vv/roYzc+8tlPnSS+P4/f+O4Paqkf+ciz
x8eXv/DR518j/MHXfvDoL973Oy9+4IP/wd979plnHkkHl/47f/+lxx8cYfjck0f3/86v3Xr19e3Z
2dPPPZ6OLz23Wt1/5fLZm+8cJXzqkcfukP3Or/+Sk6riJ5+9IY/8EgDWOuGQH75xpXzmhSPn58v8
2PXrQPTE1fTSI5fKdrs+XBGzkjzym79w+/zupc2l8zqtx4O/+dtfYMe0yrIYrsb7/sHv4JDuS/lv
fPHXDjeb7fn55aODOk//4De/kIV28+6DH37gE4//xno8uP7FT7t+akGHajyMs07ErCAL8mx0osDG
Z8q7BeeKReGKyqJYqnutjIDoCW0AnqmqmoBvtW4qTH62Apng1HUuxlvVUcY35+Vo8ZuFNjXdtrwz
rCwJVwpjBc8youlmXG9SJubL61FhR1kyIiNdXZFt6JL4udCG084qeqqQ79Yh1+HuMhejHZHMoOSp
Qi2Fl+UQ4ch18bKez++HZaznFbSaipv4vCzTTmuyNJtpRalYamYSrl6dkqVKyUhyGg/yasZlI0SJ
68h5FLMyslxasa5lHHheAJgXxQJ8a9LFBGcdJJ3t5mEgrbgspS4LmFGmbIVhTrCwCPmWdIcgZlOt
2dTAYV7MQBalU4NSfGFMlQfJ4GpkaRAsu4MxTzAfrmXFiQmA0ZSRiI3Xg2x3FZmRk2Gt8L7zpVG7
ju14baaGHM9yMjdpHdAACEXVPIAjELVkbXRCvCDpmmMPfvQSxagL6wmKpnPivSc533PYMcD03ioW
2mGXzNGt4dlbWn4/GjlpBDqDaYA+DEzgqvXjj1x99Xz3+q1dPHhaE3X8uT6UxnTN4JtRiGhXihls
Vnku5eDo8OxsV5aKAI8cpetX13/4wwnRiOke3Q/MnbnxnzDqdrwLHrESxjC4toV5VGxHNsf2HsDI
hPRzbYw6TeyCPSWq1Uv3IhhE5Cjtjp41B3A09AuJu8manf/ZB8jO6sDW0OYATHxPF18r5cTuoe11
Pt34BHtIcsviXKTjImakERWOfwugm1hj8vLeR/pff+Zgxvqff/ekVAcC6k2I0M7oYNAJkLGQRjIw
jPYCxCeeeOzy5Utf/r13Pvihl/78z7/hjo88eOOBBx/41le+QSTPPPmwO6IbORjA6fn85FOPH2wO
f/Stbz301BPf/d7337598tjjj9pq8+V/8fuf/cyHP/j8c9RnrO7Kg/ASMwLHZ8RYIbBDAdshCBgY
oDtoJ1s6EHFUCPbRp5+992o49U8hPrx9PSa110sWpR9I6u4BRm4R05DdcN8ZKETgRmC9O8ENXK1V
GP51HjI54M2b7/2j/8sfHR8fP/Xii01ZdhSMih5rVisPmxg2IRkaplndzL2iO6JddGmG/cENDGFf
toFqJoiOWM1i0I3lijlUs5wIiKqZuTJHMTuoqpqFZSyLmNdwV5oaOkVhHiC5qbqJcNBXi1ZiUnrf
NHKM9goARHZAJghnf2zTzJxbl2twsKDvmlqrA5oLEqCrGnKT9rGL4722dx+Yb25QSdSJRghObtbC
fE0P77C3varTbxTxblt3fTiCNRYU9rx8E8lbYU8rv907MDCWcfvlYlxoR0eHH/voS7BXkLoFxBwQ
xbz57UP8vLeAel+MhIBugESqEUt3hMABYLsxhivWwd2iMxIIrVhnqLoDqqqGVA5oAMWguBmgRWut
OSFq06k97PZFoThMVRVpp6VAw5WBgzi6eTVQw8VwNp/cq6m30QYISQ2qwaymDlXNsZscDcywGO6q
GWJEnQnB1M29ApWe8VbrW8lIfgas2+Ih028TjRnQd7OxS0X8xSvwv/yV+1fjYIiGwfeGTFGnCsXU
sPF1BICj4hhhMTdEdhgRCEHdqsPizojJMRM6+Ii4uC/mA1ICIHBDJNUKwA4Ds4QR2MHVgQkNiAnN
0K0iElDbm5oyU19vOjDSvj8XUZhKo8gGFhEIAQjY2jr3nqI3Z0SIQQaDPdeaTMNYXk3BMbyfgVgP
4j4RmqMBEIFpOFoCOYbq97RhQ2NYxMM3AqNa270vUkoOpOpVtUVXWi93Iy4xccROsdnBGp8xHlYt
z6IuhI5BSML2BEAkIGExq+gepA5GTIzkLkgeJx+A1u8ad2Gi6MraF/tFB16pNZo4xQ0YaS5LIgA3
IiD0JBJ3Q0EEtyGJau0XrQ/CwuzmWcRMAYGFAdGRDACJhdhZYzie52VzMLAkK7Hyt2oqRmBREu4G
Xt0cPPJa6laL5SSlFBGJpgWtitHKDa3LNKEg4qSq5iQMMchWRUAm0lqjONVFckpRPpMlVYPr1+9/
+Wevv/7m21nk3/viL1+5fHz10pWf/PTncPvsi7/8C5dXo4NfPzr8rV/9xK3nH3n4qSdSTg/k/Hd/
5fM/+/HP52l6/LFHHnnoenvgql07XP32F79wfLixGrktf/Lq5cu//rm8Onz+ETn6O78qSC8+B/Lr
n95cu/oU4YO/9Su7aTa1q5eOVuP6b/3yZ+daADwn2WzWtSo7Hoj84oee4o88LXn4rU++dHWzrm7P
3T+89D/4970W4WToR+P49/5rvzwaTKYs9LmPPDfyiyzyG5//xFEet8vy4PXh6X//t8u84yzFNDv+
1q9+Ur/wUSfMgLt5ORyGyeHSmD/4d79YlpnzMNc5M6Pp/c8++tEXn9Cqc63I9MDRwfN/8wvvbc8S
50OC5z79yflws2x3H/7EhxPCNC9TLlePDx669kERmec5JV5XuvTw/fLQ/XMpB+Mqb8/Xl45305QT
PHh1sxy4EiInAEHB++6773hc391tZdzMtYDD0aVrZT2lIZVpzqMIibEdr9Y+2aXNSGwrSkpA6E64
GlfnUNk9IySiYjpV04qL+mRwOplSnRba1hkQoWoes9ZK1RIA1MpCyXRAuMx8BM5CK6bKsBQZ0Qvy
yLJgUkBMeTvPioMizESHJHeWU5FVpY3QsaOKrJncy24t8PA6XV1jqb5KuytQkhLkVCcXAgM3teJ+
a5oO67pOuEqIM21LOcrDm6eKg9/cWhqqKriVFYJBHWC5xvUQdpKWUbASKiilvBMnBhryNC2zyQwD
5KM727qSVVaffFnJAZMNeXVJfRA+zsOCkBKXlZKQJ9wuOjBkBHIoXudSzqlaQVOjBc+1CNPd84pc
tzvNeTItDrFtWzYpJVVmYp8xlU2uc9YhUakCBhXHhcsMo7Ofl3J8cDjv6qW0YTGUlMhMyzpnsrpJ
mJyJUMEWq0JYoLqrVptKcZzPp7LQMk1FKCOCLprWPu0qYDEF9ypJEiG//wY/ivONmQYoMhoLAAGj
SzoMe1bM1DQYo8zU/aVMDftB+xN39ENTr1wkwrBvxK7THJi5F0eFMhM/Dto0S60Iu+ckfRAGx4uT
kPcKRe9w/eaNc0F88YHNc9ePTpb6vTffu5qgrOV0y/Oi5nAwZkA4mSYRdIAxyaQaD4YV2mefeeBS
gi+9fPPmneU3njz+87fvbpcdel2xP33f0fWNKNk6+2NXDhXh5VvbaVECRuoQegRqYrKjI3sH1reT
rLeok8U4QxAVOx0DCPfYhqGVRrQTf2PpAyBjK21vnRl6D6AzqlECXdoTqL24oj1Erc+NiK4WdEHY
E0Nx3/PpXZgMxFT4myI4R131dNyrsn2Q7CsKsK4iwr0klyavOwBBp7tfYfr1pw9PC/zLH56BoVVr
CCm8SBpbc5RfFDm22sz2UhGYX339bSB74WMf+5f/7A+eOZ3uu+/Kg4888p0/+ZOrjz9OzTZOS6nf
+tb3Dw+PLh8cOCCmvLh993s/fOajH3nsiceef/G53tJhEcar5jHyYfTet/p6a1ofRkKt6X7oGN/z
eIJ3N3HsCAhbFUJoia1wqSue7esbJxVC8sYI8fCXq8VhuA2rHDbR+JXwYrHD1FzI1k46QbVspSYx
5TawhzszPffS0/c9dN1Ak+ToeokvL+9h2YSxg4r0b3xFoZU6YFyhiB1j4q30FRENQRr01KOdFA04
+maiAA+gNo4zSpKWdyaPdzfOtDmlWotqJQIWDt8sI6l5dYuuKRKqVeNc2KR6/HdIMQA5qkYAzWkf
FCMSaEaP8FSGHcGh3bXiJrl3hcC+ltQjdR+eX7wwHmDMhL43o+y9KswcN7uIPvQ8Qb+IvRsAvJVn
6j1XIhB5DRtJs660r0XsNYLvAm4OCuiAi1l1XBr8t5k10FHVwkpagRbz2tLyuCgUh1D81MDAqzoC
xsOguFcDM7A42bbsPajhUjXwLNW9mKtD+CkNIP6MIxYzA6juZmgOqmFlwWrqDo4UGKq4xwECeivB
agd6h7hq2riHIbljgxo0bh/v71AxjVwY6u9xhrSQQl8hRIw5PLoAHs+79g3rBo6mE1v3kgS6iMms
Zc87/7Vt5/yCseeEWMEVwjxrwlxbTNQtYMLuQryYtoIVQG67Pyds71575BGZai11O82XDg+90V09
ADpqnpnRDd0SUTyaFSDgrowgDoZoYNU8U4RNnYk0/DPcYiXUFnOk0c7S8zlhTkHiUP8onAVxNwh/
TTNbxIPbELEaMIFbJEIu0uwWOXLuk5sDN2U9kAfARPFWYCvAtX0IyByEyJo/lhywKnzpS9/49Mee
Pj48VAWLZ267cgHdCRkozC+x8+B47WG+CCM1gxOCUODNGdCg9+ABYjR5u8M+Yu4IpipEvU0dkIgB
E3EFQwIzjdVTd+1CK2BTE6JaVbixJIUYDJSZAIGEDAwobqvOgFXriAP2gtr2pIdASCMin53vUk4Y
mHhAAjRVRyqLpkzIVE2neUEP8kF3yABk5oRYHZZSJSVuC1oWEiRMIpCdhdDRzYgk2oVLNM8iusPV
S5def++9O3dOV5sVehVJgVZUVVM7Ob21e+fmIw9cDZ4/MSGAINy4evz4jWu1FCIYUqpLffqR+595
5IHS0HCgZu7L049cLzeurlareV6q+3oYnn3m8USMiLXUohpRsGFIjzzyoGnNwrWCuV1arzYP3SAi
Jv7AwzcCtVS1DsNYVdfM+b5ry1IGEXcYDjcKgIxFlZgTcanqRDJkIkakMQ9ODBb4RVwQE6KBJWRC
koRjBQcEEURI4O7GpitEViNXNyUQN3XkqnWeFxBiSsXgbF6Woka4GCzzIkjbsqxQPNG0lEzkashk
4OQwMB0SrRNUtDTwkHg1JiRZCW8JN6tkmnJKBjiBs6QilTmbmZI7iSFXEuRhW1TyoJ7MSViIOTsa
wCGTA6yphXEICuri7sS6m8uQhqI2l3o+F8bpTHVSwyHxpD6ARBsPUywCE9GAZEKMkAZhlcMxUV1W
46qWqkKc02KGxCRD0QqcZp8LyhkwKZ471QKQ8lQqDAkxI9KKOZEnhB3ZinQH5ZAy6nwf22WCGUr2
Ba2I6elSplpOxG7NBqfLzXM0yK+WcuTk4uKEtSTEBGUkOshwKXnNeJChVFuJHybwjRwPNK3SwWq1
q4sBO7MbFF7fwTnh5q77rJI4g83umckGylALCq1ZL4mNtr0Ky6Gn2Qvrwiqgy3babpeyXapXm8/m
IxrOzytmMHUDTVV3VjdgA+DIkCSB1zQQokoWBEiYN2Oe1+th3CyGFZGTzBO4p8VNzY7SUMGLpuqp
uGeBpDZKWaBkmA3mFTvpdsTCOlmdlEGLFq2J9GxXFPTOVAR8yGm71RVnqD4MiZAqwFqQB15lYIMk
iowL22pNCfKQk6psdy6S57obVsP7PZkV03bA93vLQtr+tqo7GiKaB34FiBpTlJmhTw/WREgHxGiK
u+BVemeS9pkTAePA2hOQHcnb6gGt5RSpQ/Fba/I9UU/Ypxm9Mcybz80fOT567e7Zz9+9syuVrx58
6vrhi1c2L5+c3znZffzRq3PRn56fV5elzh998Or3b58ApFfvbEettS6Hkl64ur475kc3+RvkH33o
+KvvnnzyyqGx3cjpLV9+6eHD9YpU8fDg6Js/vRst09SEDveL8yIg4V53aL9u0yrbuQHbowCIJFrg
2tESUE1jaWrW5pn+umNAgT24HvscC7hHHHsTZtvYA3SPudEd90+xe0QP6l2MAWCo99hwe564WTT3
TYrexeoGuO+4ZexTd3Q/UvsFEXrWEduApBqi92Rwa2vdBh1gypjhUd2hE5ixSTJARBiajwMBCBET
jyJazKsyYsrp7OzuvN2xJEao2rQjYfrgh168evXyn/2bP3rzzZuvv/LmI089/r1vfpcNV6sxEaE7
gRODmUfYrCei40WQhXqDoCH+XBx4kcBVYymwHzyMumeavDvV42TczbxqDkgakbZ4UYTgYOCMqGbo
cU5q4WfzpojuS95jrRPJ1tClmw/SFDAK3PfQ7GgsYEb41Kc++Eu/8tLq6Ki3yzjHy49fntqL9hYE
a+6t2EO0UDZhOJxdldDUlKK6FFCQEYyZPBYn3TcOBIZgjHPVdqru9RDgEU03dMKIhLshQGI21zjC
IjIy11Kwm83VNbC8qppTrqDl/ZOPok2HkKF5pFGYdOnnzHAHNlI3EDc6VzjW+rTTmG1h8QjhC2Ef
63ZhNtXWE9h5woGzRoB2picy91cK/slPz5yX4qAO5lDVEHhXaiXCYK0ZIOFSqyMVhMWh1CbkVjNF
dECtDiEGapCZsZp5Z4yquUZ/YzREWJNG250kvpnaC2r2u7LesgrdJLL/UmEfoSOM4Y3t7q13EyDa
O5t2FX8thGF/sQ4et7ad3ION3Q1bhzZ5J7T1uxjHr1fVyPHC6h9jXMtXtPmTANuc27dy/WsH7bm2
R8e3HxupCO6Lo/2CIADAgQ0n3JfWAvX/WGMZxNeJGpg9FjSExLXW+CYDGADMcV5tMQGILWPEF5iw
dYYjqPlS9Wy7RfdqSinnzdrMjYiJ3BXd33r39ss/eeVXvvDpanZ+tn31lVcq0bX777t06VjNpBmx
nRErQXWTcOxE8SmAgiuAqjEjNWsDxXvJnXxsNUxLQG1wb6tYUzcz7O4eRgJq93Pv8nsYhHogCHsL
cqwaFR2YuGoFguoQxGMKI1KHMkRXtrsCcecGoYFjG0exmhOQYLs6APkPv/ytv/z6n/73/3v/4ODo
OEpLmXpvupOZIjfCdjfPt2u2aiEi4obIb54fbASyzhLEvWGooxVaQIHa3Q6DbMfMDZIQsIWGNGub
IUICNeR4QoWby8xdFq0U/zxc6mqACdEZvT/GPRDJsaKtpuINPxg3soi31lLyKAH4dgRKTMxIkFPK
id1gWQozJZFSi6MTASOucgZV3kvjsYUwM8Oq6ktJLGaeEsWqCsOfY4gAjz904/T23X/1e38Wlh7v
zWQEyOim9ZEHr3/gA4/WMrt7rZZSdlWWjn0HMDcNxZrClBNHB0oisSNEpJxyRkw5TWbCzDFoEjlC
WSwlIQeNMxkROdY4IJojo6lHWlbNi+p2mli4qlbVuBrVDJmrqmmsCkKFKuKuZRHJCYDca62CKLE0
qxUDPVBrCWO3iJkxs6oVg4q0sxpd3jOTuVfkhERJxByIcspBaz5OqdRlGPLEmgYxwEtpMDBkBuYK
MKkyUyKq5k50p5RhGHZavJgbkUP1WqrZNFcFQxViQRwQ3F3q4mYERlYymZYdILhVALHQjQy02qnb
rJZKndWhqDsvtaxSmhxGTmjIBEIyprwehkMtx6sVFxxROOXFF8mplqJgA8vMIhy8bqxIpehCPhcs
u1KKT7YI0W5eDvOwLWWdxJaJmcSVvaIurtMIw+w1I85ll8FU52LlbJrN8WSqeSPz4tMMqqKzH+dx
W5aNyeKZaBhkteHMWQ4Rjse0KXywsksIB2k+XJEtWrLatMggbn7iyml1t+Kp5dMC24GxDielbjS9
tz1fbeTWoodFS9GEKIJQa7LlslXx7SHOBEtyXWxio908b8Ez8p256HB4Z4LV5fUpzFq4AprRQKtK
ZZNXidigDJm3TsdrWAOBgFnaFV8P6XxhYDDGneuMzArgmCqLY2LazQSi21JXtdYyrVK2ZUk+r0AS
FgMbAR2KllJKKVW12jzXmWRXcZnNLU91upLz7KI8MC2bvAauS50PRyGl40MeWZCEmAbKwyAzGDES
MJKYUzWeNS1eTYUR5wplW30B1YXQq82qIqjk5f2ezKJ8JU4PGnELaskqatA5AvfMrNXA0d0VDL25
XroZt58yPfaChl09QGJuhxWHfekcXigT0LsQ2tI6CgBj2iNk9EQx5oWN1dvJpeOUgsvXsP3u3371
7Q/eOPzVJx98/fx0Afv2rdO33j379JOPHOT1N2/ePrm9+9yzD3/j9beffei46PLcwaAiP3nr5qNX
L711cv74eHzfwbAGWnFkRTAxXzpY/fMfv/rcZrh83/qJ+w4pQVF67/YcNBoiBIVIXgCAq8XCzttT
t4ckAUPjsr5kvaehsB2YWoCWYB8Eba8JnIiDB+zmfTiEJu/ds+zvk2lzVjUmfpcIOoHHsSNDm6Td
EU37qYp601urrGm+zsB7RFi3iRjugLHi7bnTbqsC7EFi5F4zCP3toGZrfHWG//Dbp3/x8pk7hf+K
CAmpMWYJ+zS1z/+4e9AXQ1ChJPzoE48/9vBD7926+6O//MGv/MovHB4f/ewv/+qN19/61C99/mR7
jtxay594/Pq7r75+cnr3l379l44vH9++e7vMu89+5uNXrh7eOMjgTuiEIEClPfqjdiKmLu7r/fC+
9SYHB25WcLpHGfMwAMfOog/u7S9iGtr7yWsMb7gHhrXsnbW9RUMH7QuW+iaCOiM5rldqplFvnYoG
aKaRwYqFeMN2eR0H+s3f+nzKbE3Fj+5ZDxTThdfYu1qF2DtsYjIHIFQNaqkEMNkQ4sQV00WLIiNO
JbS8mMBZzWNAqmrmzizYzpELRW6pEV7cNOQdByfOtCyKQKqOSEstQ5YwoJqZ1goOVdXREtL7v/sp
Icd8SdxUL43gKwJoXFHSjM3RwdNP1n2qcUYy91IrUUutq1lcsxESJia3zq7Ce3OneyEOCOHnFf+L
1ya3yawRn2NV1ZKWat3ru+exdUUubopBYW51RRBBAdz7eymoTGFg3AuxcUuHlsVzD4E6Zrm2Aru4
uf6121Yv4o3WDdwvwrpFYL/Q6Zn2VkwU58Oo1bxgOwXaLW4kRGjdK99StW05BXtpvBsg0fZmYoc9
zi3EmHirFSzWYs2L29F0FPPkvoI2ekDb0q7xc2LQardd4taIFSqqxdOvpwziBh5DaR/dY2PhXm8c
5L/1oav/ydff2k57jiycq3Vewz4836hI2HIc5KYAcLabXn7l9a//6V988hMfuvTA/Xr37qXDo+Hg
8Pbdu3fu3Ll23xUAUrWq5u4/e+2NN37+ymMvPP/7f/CnX/zNX//hz161ZXnuyUeN8Id/9RNnev75
55LENxgYqbrFVRelOkyYHBYzdQwoV3woYekPUZ0QGJtW5I7VTIjdzcEbrD9mfgY3rG7cYifAgUYD
dwARglhFgbXNFGAUhvUoe7RkRRFoSwYZOLtTzM29NCpkdodGY4ovrZt9+ct/+vnPfviTn/6cmRGz
uxM1+E+wqZpVYf8NjavL2mIxOk/IwP8rUIxWPOBEAvHEd3Uz4HDQOFg4oRr9SM3MTc3Cq9LEUkRV
jYdjNLQTkvVmHHEAZrJaUxq2u2INF26NmU4SPHirNRa95oDBJ0RPwnOBngon7qcBByeM/Zhrrcps
5kVrKWU3zdSV3KUsRAzm7KhuWmu1GmXlQRgnRGYupYA7EwdTHbk5Vy5txs9+/CX51EemaTazccym
SoSS0jRNeRjjwuaUa62CxEySGBCZ2foSjMWJgYlLLQhCyAq1kRetVXgFeKkZ6GtVU6gQxTulLIlF
1ajZjAFUzbQVTzT0cjzhNCVxNYJgF9VhGL1URGTk6H6I4iNmwTjMMqNpRULJVSshObIRMbHO8zjk
WsuQWCRVdUNfJ3aryLbK7A7EOBdbkyxQ56VmYXMX5MVgVwyJqtbiNs/lznY6ctkWR1sSc5lnToka
OFwFvGhxtwEpIzrg0DL9BgyScPGaEy9hBiBSwALoSM4AxWcmpYQiVq0iZEqZ6lqyOTIgsM/gQwY0
luQuAO5DYls4Ae/qXAmF8XQpOdt5VZyWyX0u8zBimWdGt7kAASPWUkAruaKpW0lCiOpkQiXl6qCZ
h3lRBGvpJJaKiEATUCE+B5pRFknkiONa686IU8o5saAUss0g24J5gFoBE2WGMZGgj0xevTjsim7V
l6I+wckEM5Eu6XS2LelGwbxSNV+KTrsknOu0wvmAJkmwQkLxDHaQBEYY2SVOAiyAaevskBaXiVZF
szOD2koGQxQZDzeEQoKwFj8YDDawkXqcbUjgyFMtcWe4uyyl2t1FLx/InTt1Yjw/VcqQUBetmaa5
zqB5hLoiOnCrZBmsSlU0IREugpZiXyxDIVbOC8IOOfMA6CMPBmVcrTfLcjAOVX2TMQ0kxTZrWqb5
cJBRrLKJu5lOy8yIu2K54p0ZlrulVCCow0hn5wtw2k1zSs4sYIvgyKTsS3IVYiFQXMa8rsDM7AZM
BpANFpf3nS+997wbtpmw1qg5eXSGxcPctdZ2rAaUIHf2f6WdU2Kh6E5ErZa7r7l70KNPM76vb/Pw
AOPFZBt9DO7uYdgcBDF4f2ZdqIoCdABwZOw2XnC3M6Dv3Tx7dCqPX7/05p2zs6WcLjabT7U8uBmP
kM9LuXM6v3C4+dIb7z5/cLRD2i5+cHjwVy+/ub16/GfvnL5+c3cwDka4Myhqt052n3/o2gOr9JaV
H75zcnw83Fn8J7eWPrk3pXMP/IGLc1vslPcmP7A49GA76gFcHEouUqM93OhgHWESElrTJ5tyGkIO
QjgM7SJs045gasrEts+CNiCV3/Pf2Cds93bbeM5TWyE0bagVY/j+pIXYTvBN39ufoC+CoOaABNRx
OZ2/GzILNk4twD/70YlardaeobGKiL2n9lkK2oGSrP1CRkRRFQgA683qpZdeAMKPffTFEkMY4sc/
8aEE5GbDwVoRYhf+xBMPPfPYwzkwTACf+NgLYQUzAzk6JAQGZ4K96K3uCqCmOQZvBIOA8zdXq7ph
1w6xj5GBC2tHPew051B3O4dZ1RTiLNbSSu5O+xx3U9WdATxiwxb17hdNQh1NFOpxUGHJHBTM2tmx
farS4lhkjTBpiDaOyducCk38CWUDkIPAAVEND4it07VFiduX3ZkJHbGBKJUb2DnO6fFVR228G1x0
QSIzIOLIxCXCQTjMDikJeJwB0NRaNteb/MsAWip6eKTjeNo6QtUqOHRnQUWi/P5p5ECooEjkECBr
Z+a5x7ehyWXeWNnt8m3/sLbhs0V/40ILhMme7tazwxajWmwQ9uiy/Ufpbo4oQA1TAtQyXv0c3Kij
7ffZB+o8FjaJ8ZH7L7387sm+aCpyjM11Ys2esU/ixVQcSikQMPN6vT49O4+N/xeeuva1127fPS37
9Lh3QZKhDdiNmha/G7OrIWEnn9/jQ+6Oi1AvQ+BpK8j4WmGLhMRV0P2h/bZJF/5oaJpfXwPFY4Bj
XG/3XvqvuGkQCeniDwD2vhdwpPZAiex0E/RaKWlsaJygj5dNvgt/O3k75O/n7a61tbk4hijvkQwA
zGC/88h4LPf9777y3rKE76GVPHfXsTfKqRmF54g5fBPucHR4+MLzz77+Vz/7wOOPf+nLf37/ww99
4+vf/+ynP/Hnf/RnTz371Le+8ccv/MLHtZTqSiRE/N677+HPXhGklOXhxx56993bX/uLbz3zwee+
/bVv/p3/4O8b77tbm6GWkaBZcZwQyJ0AFKBEzNQMqSU8AamaCaAQEVqfMUFdASlMtgRoMf4jVVeO
cD1Y3CGdQOPlq4f3QVDclCkqt4JLzE2d4wbAbg9NDAYtgbf+0kh4mjVyXlg9jADV16vh7/393/nw
xz8JAIKtnse8b2mhuZTCYN9b1hwg7mkWWfou7lIENrHZY8jdGgKD0GzfO9AaU6OnmpjNarSJElFA
KKpq3LeJWnIznOChvQeb1t2FrHmO3YG41UQRESEQ0hQ+P9VSLUVZTg2LvlZdEDhuo6VUU13FDZ4Q
HKupADNRqLhMtFRA4iHnWmu/t0ESUZEkbItya5sJ7gAKS9DJwzDAck8mvsWVXITHNJgqM4vwsswp
pSQCZilJjf2JuwMUrRGH9454X0pJKdVqbA4Sha3qgFYVJak7E4F7InLvqH+zYRiWZQlXsyMyMyFA
EgAkRjNPLE4cUbTAzgMiMnNKoLbUhTnNSxEW79guYNRqnJiSNOKutVIlQnRVYdZiglRs1kIkwIha
6mI1ORjUqrqYgaep1mVrUb6HzIu7mi1V1dTdGdlMJzMhFKKwimxyUkuXxzSQDsROuIBwSmyw1Drm
wcLJlPKZlg2JDcPCAmhWasqDFxRmVHdYEHwtPBAow8hQ1JwAtaCVWlScoRRK1eYF8ni+3Z29e/vS
w/dPU1kQylKtLKOMJ3PBVHa14lKqWTFYsbM6lLoxXCMmQ0MQM3VDrUw2Vc1JtqWOVWfDs91cCYrW
bXVeNEuqE86ga9HTpdBS5mVRAloKIHpKtjv1zGPd4SzztBWnaUHf1mVhKHpuusmrW6enh5cunZyd
bxa0s1kyZ4VZl12ht05PUnR5GzlqKoWHZeX1AMvkO+K0YZzn3RoPJ3AzQBpOSzWkWzPsbHWn2g7G
5ABWdzDeqdsrSkgCgKPQQC7JYKkr8nMwIYeqiy6kOOmS6nCymxamDQ/vnO/us+HdLXny97Z0nL2K
j8DmnogHIXdfj3RpBZtjPljVQxBgIJKp6MGYSs3CkvK4KCqnClBoQBZ1SzLMVteUnTEzVKoDWRKZ
k7oukX/n6gQ6bXfTUvWsFIQyqxRcFpy2FRXPynTtYJyVlurRBCeMwDgmPExwsPZaDQCGEaHSZhS0
gQXd2QfGNEI1w2yCxYQAHUaHrLYo6JCSVACwzE72vpvlDZxpr/a0gGiT4nq6o1lwO8G1YRJ7nWY7
hfTbEvYT870uVg9VNrbdISe2TTzuR6J97UqgVvZ2LuE+v3VgRzsMdEtj59IDESeWTz5wJARfe/md
CrIz2Cp9+62T2ycnz1y/ksbNl3763snW//mPT169u7yWTkxwSOudy9nkv//a2cmk5vgHr2/vbu3O
2elU9Q9O7l473pguZ8uy3S1XbgMzvXc2dx5qw6taMx77fri8N13mf21wDWcpXCTT9u9aC501Mgf0
Q3ArlYl7bNSRQMPhm3UrHTZyaFgiidDAQprDnkH96/bc9g5GxQv0xO5FzWyDG0WCCNCpH8SsLSdw
b4Fr8S+i2Ob1+XbfuAMXlSo9AOeAWGqNSaONewEkDK4JNWIW7hvo20BI2nrOqaszrVWSwGujj5Cg
I2OEvQjDroqMyIiCCKDVYa/KWiNbxNjpHc7hBo4U5EberxmI0FSBSDAwH3Gutf1W2rDViuyju9Ex
uIdqWJtDQN00vAMhMO+PX+6MgO5MaKBEpLC/4OxCMYuX4I5Iam7NUUbxZlJPxqIBmJP3YyOEb20/
4e7BSNEGiQ7UmnKIrPlPERDAjBEdwVxDR2ptKkgK5gClaohLRKSOxdyJo4kmDoFqBuajpOh1N1VV
1aglAGIS0wrBtokyduL9Wjwx1WrASMABCgpCJkdrCJG6wvsfS41CCNA4++295NRYKcCxmqOgjmPI
yEQXC6J9eWmjZ4PRPbfTvi+K/RFDXy50L8C+LwrdPaELkrYbAwIwANRaWKQdqDHYxcYIA/lzV9cP
XDr42d3zW6fnn3jg8I337jqggbr19VZPASKig4EDuT92nJ+9cWmr9uUfv308rp575OpXf/5OrRO4
MuEgcm2AgTSx5WGsanPRvXIblZBItK97hf5/eKHfQzPfghO1xEG8C4rtThNc9O45gM6yiaqqVoJN
vcVq/2TynkOIacRh3ztGvS3Z93etuFLaGwyADaR3zwfTq6D282X7rIj3cfq9MBqoUWQCRDWlvm4z
vyCNEceDLehuURPVXOwKgAgPHqRENJt1ezNHgzJSI6eFy9+8JStwX+ZLcZny9nwroC99+Pnvv3bz
R6++cXzlyovPP/PKD76XreSgD7gjwo3r11546YV//W++9M57t7/6F985PDx45+VXX/jQc08+/siY
s1G7JgkBEJL7XHXf5xoTDKE7srpXhxzbL4RErZyzrWAQGVDRI3nZLqgWXG69Znu53M0iLGkNLEHq
hk7uzg5te9NGk/0CFASJwVt0Qg2Y461mwAic7/GH5uElbtYDIfjbv/ELzz/3RErC7RnXlnrWi5f6
87axsmPWIKSiFRvorVMbTfueKm7q3QvlhmHYpvYAbUM+QAP9XHDCEAFEpJoGeFc1olFtndKf8hqP
PNFq4SoBwETSq9FdtRJSmDEkpaLaWvU4enOAhVnEy+LgLKxaKf64ISEmljYWt1ANLKbdxoDgoBbW
JVfTZalEVBedl4WAlrKIuDvUqsztOQHmjOSmpVYhiTagWmuN0duDXsXmruZqDkVDtaCI3CNGwzsF
yAJoSIMjCoMwC7NWE5HIjBFGGaQKsyOUWphkgRr0vOrupiGTGjgiVS3RzAN9igaEalq1khOzuGqd
F2Ymd6sFHUyrEalWAVF1cK+LmbmaoZGrqak7nc8zExe2ogrzsqip1Uy4zPMw5Nap50rgoTWOSIEG
cdV1SuCAphICuNqiFYEmUJwq1sKAi5Za/e40ecHzZRJETmmZ52GoqK6lbudlnqfgYNWy1GJ1t10f
bE52u1HSne3pYFjJsxMiLDhXree7ejLvVmlYwEYFywxLtcxidVlKpqKqpc4VypUHLm3rlslNLRMC
UUIYGePEg0TOvJRyrjqpbdXM4WQ3EdO0mxjAVNmIARVc3VCIEBP5SminJTMBYUpsVsZMojVnPJmM
hCtjHobo8p6T+Gp9zqmOq4UHXBEBr0cutDs4GH2ej9APRe5b++Xj9d2hrDaDrqUCDCK3dmeXNwcL
19V6PaIjZSNw5F1alVQn2uyEBRCEZEiSh1zMhNZMstSjFTxywCs9FZG1o5IBVbRykJaq223ZnZTV
SdEdQHHyAnmuAlLNhdNU6hUcKhbK+WA0ZzzgNPj60pqp2tUNiaeMXFLUkYkRzQ7CvJsrVX5raw9u
VkvZMjhWLVULF62F3diqAHqpRkB1W2shhDJN6NO8DHWp26lOSqUAGqBldUnuiuaYCuooKa3yOqdi
lRk2B/kMprRCr7jJ42YUmzknXiZIKTniYnq24GlJOmdzrPOyAdouiFOZy5JBwLWUaUxky3laedWF
UG0B9FIWqFWHMdeiy6KS+HxWHt+3kw0ZTTUW/6ZKwn3epBAoQhdlpmrV3IJ4poZCnTpghtitVnuJ
KLZpTWtCoD6m9aJ5wr9WSOLmSNAxBo7tT7uBCe2fB/sGFe9WXtsHHQ0cHG+ezv/0/F2Pv8UwzPCP
b54h0FdevdsdO/mbb5w6wLuwIEJK8r1XbxeTt+9OAATOb9+ZHHw7zYF7efXd094+h2+f7BrDthfB
hKnsQu3qRwro/Pl94wBxHHRCToysadOZ9/Go4Fc26TQqPqImoD9BEcD6ZOhtd+wXscM9P2lf5dnM
Ry3QAqEKXlSHex9yvHP3m3V2XyTuboQcjW0xD1zYr+HCutt74YJDv7f5dnJw3ybEPrD7jpuhO5S7
0DsiquSIcqHc9ixPV4vMvStqeEEb7Zk36kWrzUDuxhFv6VFcanYX3Rd0knMDNQIZeu1gWTcTElWN
0wZT5C0vuClhmqR9sUYPAWsITeEDNGcmrTUckbZv8QWIMl5CYkAwdXCOr2DULmGcpSKNGD+AugfM
9rj+qB26yDuG5cEtTppxKeLeJkktQN4cw8H+NUckjbaUJtdDP6J7pKHiOxZcIurSqEUvAaKCa6C/
jKv1FRc4OAiLmYEaIwpRLSbxniTKOasqIhlY9P61OUO4Vo3IjwgzI5gSXYTYAVyYzRSJrZTwjS/+
vvOl/UKQJsQGn8nBrF9G4bm2PRanD+oNbxtIonYNcruzURNccC+v7sejfg9s7Zc9vAWIAAP1EHlL
RmKgdPqHT02AdAeH41X+0ONXvvHyu+Z4kOjaAF986tp7S/n26+9+4NKlR++/dPNs+8N37j55/5Vb
d09eeOT+r/30resPXPvBz9966urlwfXKwbDKeP863TikywM9/sDhD169+WvPXJcsTx/nb75WPvPs
pWHMRf13/+rONPW7t7UyG7vYqbXMAjTTshHyvifGL9BrsOf/QEtm7td2FNe+mXNbcSL2L8NefL3Y
Aey5RHHroE7k8n0Copc6BwOJOWwEXShDN4Pu1YXGyyLfw+LAwyXqUU/ab+jePi+4yO3vA6gxK5vT
HlzXR5dQ83aO37yj//DP393uyv5+6Y5maO5g1jpZWkc2qoMgIgIpEHgA1YhoWG2IV9/9+vfGZX78
sQe/9urX/uwrX18dXUqShBkA1I1Teu+9s5/96GcHqzUxV1U0zauVIxwcHvJeE4Mo03ZBNCIDUgA2
ZGoQcgM3AG2KLxCCoBOThcyLDWMbT/2+0Wu7USYOSyq1zl8PwE1sxhixgvUSINqvdsJj25zAzRUa
Y573pI8hkiF4C053Bb5Xn++figD24osfSJJUlYEcguZtTOLmKGhq6N7WW0hRQ0BI6JZIGiUQoQ3J
fOFfYOZ7IboQ7mFA9b55b3eWXkhuwZNrGyhVY+YYkeJeHu+Mm0E7SpGbSa9+IwBUi7suEiIR5ZTM
zMwbGRyRiTyASw4RI+bwCQCqw1yLAy1liTIfcC0ViionQUQ3RTBmxF7EVbVmyECA6Ewc96h5WYiQ
WWrVZgVGJ0IWLqbxQIJSYwovtVJUzJnlnKdpEhFlm0tJBsy0LEtKadFaVUVEa00sImlZSjzlzU1V
h5RKKcJMRKoGsHPCWuoyl3i/JKe5FlWVnKtWdBhTtlqDGDwvS8rZ3UE152xmSyl5HJZS1HxlPk+z
EeaUpmUh4qpaa1X1uS5jRjXTqiknBCcA1erWCqYHkdAeihkhMEFIaUZIELF5FUphQSymk1Z0EpJJ
lYuVatULERXTBJ5ESlFAGMcByBMhFT1aZbP5aJVXA5kppbwIkKQEVEod1mveiTImx6yr1Xq1y+Ik
SYSdjjLnRUl4AFysDDnv5t16teEtXR43J3VeG1LisoSoyrtpe7Ba3cUqeXCrxQlyqruFUqrV1G10
VGJkYcmItGZeAQ5ZNuMoAy9IiRkJAXlYJxfknNzMZ8s5pSLAzDIqJRhynXVzsJ7PzmVIyRxUVnk1
j/V4HGGaj3J2JHNdr8bBymaUFciQICPDrMBSwedaktNkVYhPF8AZ3zzTY4SzaTHGS0ne3M0plW1d
Sp0Zl4S0QjLXgXXBspLCZm6UiA0ZnR3zmXvi4ZaWUY5ONU98eNc8p+OlzgMBpyRTHVI+WucrK2aC
YwRY2ew1rWG2MnFiwEqVUOcyz6on82QiM8H5+ew8vrtFknp7uxwlms1oWgZBMhWt7LphPfD52gBr
nJhmRCJK5Jg4ZVkbpjOvaCjDuJ12Q1o5JhEcJYnBejWCl+PVaikEXiXxglWy16JFixDNMDuMuzKb
Q0X3ybeoZUKyktTdlDCdT/OwXopNXB3JyetKksq0FqhatzQTJmZjZuLsRExpKbVYAlkpjsDMLMwI
vnCWxEbkSERrGQbzNQ/8vhWDqD6rpTBTyjkiSeZOAMUrsxiCqlbw6hrzhMWO8wKMETrmfusMHo3U
naAb2lE72LSCFvT9+jHoER2Fsk8chR2OiRMjBfsvzhJ7VSRu1m0iQ+vmVGsmYSTYD1HURIS9wrY/
yiCXYqXMsT42C85mJxj0JX28rug+8T1Mc98Nw9i4Du5wzyYW96MhAnNUp8bR2gNIQ410a2G02aOg
OlQVGamzPkLMbJ7ni0E1wqTe/c99EMVew+OthrJVxV48ULGf96Q1ScRpjAndgft02uaTJmgQozM6
YjuBhfjh/ZPMBAxA7kzUW2xb79zAbZxP7TyHjuiRS0RbMbHZSJgR799o0+QjyoVRS67gQN6yXoF1
QGI32y844iyKHT8c5FtpagZGji4Cdu7tZGxRbRJPE9hjTtqKRM3DVtOKRSMdhSBM1fYibgdcRC4S
wIAUvLppj/0ieNvvRN9bdOR2NQi79BMHFQorXdRCuBugAqq5N/3ZwsfUmJBm8TYGhbl9T1udDzIS
NcRpyyICkoI6Qk/J9V39XpamLry7MaNW5ZZetbZbCftcF7uIyByKqRNIkoa6aNsKZwTXWGh0nSHs
yKpxhqtaOQ3xtlRVYpqmKedMiMiupUZNaFRrxNIKELTJ4CgiVhUIl1KAYX7/3CNkYuwO25hqAKsZ
Ers3rji1Wp72irt9Ffo9BvdJyr4Eap6A5p2GxmvdTynQeob9HnKsORLvTbNEbtGFBMShslr4QsJ9
h+CqZnN98drxK6cnb5ZKIj+5c/rRq5fhxtVHrhx/9dW3P/rA5em+g6cu5dM8PnxA/ODh3eSJ9fLB
8LO3bv43H3r84Y88vBZ+2W0Qvn8jty8fMJbf+95rNz7y4PXD1acevvT6e2fXLq+/dry8Om+b1bEF
Vttmyu5xnscs2ufUMCC2e11X930PHNqX4nj7YkAnSkEn3jn6xXKkXWsE+/l+P8h1m7xfpAY4KlCN
wpLfjOjonTvthMjUHJR9rGqEl+5A3ifyABuLCJn2wVro40e4fogInPaRjP0g3h9neHuy/9WX3711
dxfowPiDxbSCGwD35mk1RcTqJm3tg0wkfdL99Bc+feng8Jd+5XNnu/PnX3pexuFv/MbnWe14s3aA
4yuHUTr86GMPPf7gA4RATIX4t3/7VxBx7ZSZHrj/iiHN5hEotbjPB5IKwWLtEJgvtHsd0Qje7BJm
CGTg6kiOhG0zGMxnQDIIcBEAoLDXRtgOccwJkZGqaZg3Auhr2IbKWEx4q5fTjk/Yd71wqxRyDPc1
QGQOgBoxUVlk/0UKtq0wh/na3JjJXEMzS9y+QOYW1WbtrOLhuudG3qI9IaLd0whAm10M2kOwgXbJ
WnrcOgId9+GcHqKmIUnrv2m5FFRTjlw6ICOHf03MAJDNS0TVPf6Zq6kZN2Oau5daB7PYZEe9eK2a
c4NxW7s6SW3JSYacl2VRM0whfQExJWHsd7bwY2QRcGDhhtA3y8Qgssxlf55LKZNG56ozc6ka43EH
jV9cmYiYUoo/xsaB2iMiIhooCTOLeMpWNUliYlXjJGamZilJiKXCHLcGEZnnJSUJqMAwDLtpcgBO
EqWpOSerSkQOQONAxNEkyMwAnjRzSpKTmQ8pZ0kGniQlkSElSQKqwzBsJxIWJ9SqLFS1ujknYZLd
NBm21uRo4nFCNwqqFQkzsyOQEZNAyLJCQuToiTgLrsdRJjD31Wo1TywpT7XkLDkJFHUOjQVcEo4j
sDDzNG3XaRBzYUFCcaiuiLBhFkAFy1AnWzYp1WrrJJNVQXCvang+TSz5ZDcDpUn9vfOdCums6EiK
CcFdayz7EcBNCA847cjSOCzk6zxU1SEPZ2AD8yIojDWq40gMyByYczUdJDtUpjyDtmwekRANLCth
XWAtNLg7kRRV8+yO4MUsuA3TtKjjNNViCqqTl7tTrWJTAXVzATYcjFZImZNbHYA2gpLg6kC6wssH
vCNRhJRgVzILrYeEOSkMi/OpCKLeVh5ws9RETtVtg7J4OWAW9EuMgy33ZVp73bBuoIzJD/X81IuY
a81gZVfKadE3z5difFJ0qgATAZbVArPrAdNcjRDHJNltxSRChwJpU4/XdVI9WjkArgk2IqUa5Typ
3yVYYb4znVFancPuiMYCOkoiIC2FmdAWxnTMrqADaU4uqLu6gEFV3ZV5XJY7Z1twqVoZiNSXGcSp
LDobHiHVigDEiOucdnU3DDhkKAMw892zu8g85LQaM3PmtDEgBzRaJiOn9WyJZbRCnNbmhYW4GLkN
zAeC68G9VMZZYAHj+BLVUq2CQyXI81IJeV7Y8N8lWuqOLKlJf/1hH/paNUUmAzD0uZQ4cTBLIEAi
3OVxCKCGT0J0Qm4ZG+/EV9zvj7v+dm+zX8xU7kR7D3/A1lEQE7m7NmcvOfY5Ee91UpkFfWTfjNJO
Oa1PIxpdmpzV2/728bGLIw5Ti8nEXac3iEbsNgqxEdwTk8Ww4y4SFRIQ7ecxDmEIom3GQGFkvMin
CYBEgomig8XWScK9mRAJfCBOBNKW+1WShKxDzSzad8vggpAIBwJBGBkzYkyGiOAIAagzN2RGcEIb
CAciDhK9AyA5wuQ6EiMYMSYCdEvYWa8Y7FUKGUmQEgJBm/d6t0Hrm4tfSvop0AEIm/MKwACdCajV
xbSzpof5GaN6idHx9q3bzFLNX331zVd+/vM8JAZiYleYqibmD33yRRIxQHXLzOgQXRFMZK6MsVho
+mp4zuInIpNaMxubo6I7osae+MJsiWiNVpmi/M0jAWMEwIyL+gWRxRsZJ5JLoas5Rryqmc/NQeje
3F3IL47QhhXs5NN2/utpzn3NiEMLjrYyDDeMkC14rNobNdYtLhHGriV0SlYEthFYwayXbRBx2800
saFVy8Yv5W4IJNQU1/iVllKpL2sg3vnQnuLHqLUYqlvU1GQiB59qCfUW9hsWbEICs0TbbVN71ETE
zdVNYp8BiGBorXw4ttVJkpo2SYMI1ITZ0RPLv0O0von62OHUhGBetRJRWEVUdd+MhXDBEnVr/2Iv
Nt0zsds/pVD324RzgTHbD3jte9Zs/5D7Jx+/R2jlLdSAQXcNzDU42Plc//AnbxwO/IVHb6yGfHua
fnr77Ma44mEwgNvnu109VPRlu3v6vqMfvnPno9ev/N5r7109WN+teqr49ZPtP/7Oa49vNh964lI1
M4jUEj9wMG4GAcd3t8v3bm2XO+Xm3XNsYk2bycKZ0EpZ4CIEsB8A4GLVARdZ+ovlYwytDgAkGBrR
frPpF99B3Le/NCdF05CDu+v7hqzm6rinlioiovsp994eGG9ZNmsB+/hNqYUtexEIxKOk4RPa6qGp
3hQ3FWggcsL9PjG0/qb3QtsuOgLMVee75/GFjjeMmACqghuAWVzIwBRFLPvgRr8vmSHz0fERIawo
r9ZDAXfAg9WYADn2apANsQAA4jAM1FaZMKYc/qNAIBe12DhWcyEG9F5pA4ZQzNGdGRkhxQtwNw56
XauCcwfDqGUGwda800yggYuD6D+9cFarW3hKwJwQE3MBKGpMbGaCwOBg3sC/4OoaHl2N4tPecQZh
/+45d9qjjYNcgKQGHPefth+ItxeEiJAqeJCcovIJ25WHCm2Rp2YcBnUzCFiuG6jvE0a9q4x6J21v
L0Nyq94WZwQI2kL4pG5qEBhZMwNoDheMgqje907ECFC1RsBY9qaauOWp+VJNUi5lKVqRyB2YcDMM
aNpipwhDztZeFTNxJvZqoSKWeWEiNa0QH2izEuUgVrVmPl+lbG5grrUiJWFJzK4atPqqtQ/ojZdX
VauZJCYmRBYWFo6ZJCdZliVJii9xSsNSrYVVmVJKZqaqxOwIRoLMCJCIJKUwAgsLtS4m1FJSSkWr
urkqIhWtsDRWHyMbmpr8DvNaAACAAElEQVQ225AqE7s5RwuruWPIvOjmjFxtiWoZSanUiBNBtYqh
qBAV05yGWqMGnEWAmdh9nXISWRDQLeWUKyPzmKTWmoeBCIWIgW1RYoZIQBNZNSeqSCe1iloJN3DR
otYgcOGx0hJ1gD7POQ8rtcUmIhwQoS4E0QilpFDIEKC4F/V5KWuSnSJXKIZTsTRmr0uwoFMSIVyN
w5i4OB/LYAgkhknqUmbXYRh35zMQKeJcTYnOqvIqz0uBlObFS7XEWNXVTVWtVnVdCbvNTNHtZWDm
xmzKplarMZm7qi0K59Mskovh2VJrYl+WIcmCqI4DUtQfDZJXnCjrWpKhqNZhHAaveczZKhMD0QJF
ZCDRggJE53VJnm4tvlI+L3JU+UyxeD0iRNcBdAM16fYIJ6l4TVix7kDRd1VxQClVTX1eJlvEK27N
jii/vdvBkE5KXnTYVcvjMAMZ1pHHI16uDnmtOSdXrFhNRpnA8ICUihMmxvcKJpZZYYs0oVSDqfhU
JC3p7iJpwdtqVssKgaGQYq7na2FxSl4OyrbakmxBK7U4IO+Wyks9UbIFF2Vd7DjJyTKtEislQEsk
o+R1TrpZHYwpNqMssoMyjmg57RZdjWlZEiAp8qLost7u5p2imxATDCuzWtRcTeeJdWEOh9wsgMXO
XLMDu05qg/pS6mpajDi5w64wzenuDIckCkjVJTOCDomB0YGZkrCuR9bq6/X7PpmlcDcRAjQKZVs/
dyxqPEsIetKQKDaqzIwAzFxUETkCZpEpYIp9sxFwZAeC50c9TQCtmKYn29rpEANV574/+iO4P7My
fnS1ABKQaUVwQah1ORySsMQSTYiD6yfM5p6YTTULMwETEcJAINF6hNHGhsLtpEHMse0VYQRngETI
gEIge9oIwMhCey4UtKpVuHCrdg5tt29hiz56W0D3dT9c9HAC7dfqTc+knikC6gxQd0tJ7F7vUEdx
FjNrpuIY+ZEiEefWlQ2LotHqoIC1D+KhpMmF7JrCtQXEahYO2AAVMcZOFxQaeShShTFFX+T0DJyp
QSPiJMq4ty26AxA7GJjxRUVNWwxo31VD48m1ee5HP/rpL37hkyxJEAUZnd986+b/4z/+R8+8+Njq
+EqoTfO0JGZi2m53nISE9ljO+P7ERr02jIYnx0DEvvnW21Mt+WB9dOVSROY6iVjDaUzdms3RzmvA
bbxs4qztZefeT4GEqqrRb0AEqoQRxrpIIgo1VpFCHI7xgnfcOmUiEONIGGZga+ZNbyjEnsaGvgiI
Ya8d6aydHZn2oeImuRtYoFbUILgQDdTU33xhNAQ1D6wI9yQeAqoaCxMJILkpSUJvIr0BqFpKEims
gPEAGKGDVTJHNxZRA7Mab10FVwDX6H3laDAMtzICCmOtSkgUhRkWgkazEFsEfaFFXZvpAAgR/h3W
cuYmgQV2BwQGrN6GhEjFIfAeZbRHskG3J8T1DXhRZLX3j0jYH9zhnoDD3twbsmp3BEfo1IKGGguv
vd13T/6xZjmmdqGQvHDjvmvJmOG9k+lwWFWgrcGds+2x+t954fG7pbz56i052Bwd0w/e2j5y+dIr
720funz55ul8p8BP7i5V6e1Zf3R73ir87Pby9t3pR2+vHr9+31feXn5wc7p5fusD91/+6dl2Lg7A
0J0eLQreHgm0zwn021hDrQUctPXpXNy29rtQikdM3wzYfjnQtLPgeDdZv3lE2iqzwwiw/3/2b2+v
4Grzpu1jqOFXp7YmuPAPQxfeLsL21kMQ2GTb/qgy1YgZN8JTr/xp93/bG5X1gn/e/USAAQqNi1l7
06xTI7tSTDnYdWMANyBuoxcpWTV1JHVIRGGnL+5hdyIAah3Tzc3kzY0UbmWrbgKs5oF8C+ky/BVV
PfBjoGYBdQpPiQG752afBGv2WkRQbFMdAoK6gRknQkCrZh1N0baEGlcNALKbO5KBYeQ1zJjClrVn
w7UtDAFaw7B5d8C3j1fNkMmaiSOgSD3g0Co8QePWfa99nJr0ja2rLT7MBu+KDtVGw0BGN2otLq0q
PFqag+Owr6vrtx1wCxEYgiau6sxdSQSvtbpnjJ6t7rFqPvZw7Ua6lTgaXAGQAJlYzFw4ml+IiIot
CKi1EjETL3XJmZmouEUM3R3UoFRXNyw6m0IpOWHj7FkttWTLBsaIWiu2hgAGwLDmLnWmwR2BkSQx
LshMBhYHJWqgIAIEKxWJ3ICFY+zJIsKchISZkNGRsJXwVNXIes3zbKaqSAimVqAQUalFCC3wCIgO
UFWRuVukG0Q3NgG1FmbhdiMGZmYiRKi1xioiCgzNjTsNJWZoQxfhCDOlFnwnJhqHjADE4cDFMQ+1
liRsphA5IpbWS24GBmqqaswUaWc02E6z5KzmxerWbKlllTIAeK2CngjBVBclw6J1GCW5g9Wc0NQy
uZMngqV6QiSWwj6DjZJzNmN2lgV8zHmZ5xVnBKRgkrmtJSEaEUhmt+V4lcnLamCuzoAIpoFpAFTX
alYN5gqlwmmtKGxL9aJmCkS01G0pm3lx97XIPM8DJS+VQb1aRgR2QiWwhIFlAiMq6kCyOBEQITs7
Ua44VyRMiVjYABnWSR44OFqNw4yICCxpVh857bgCgiBObgxYiprhdqmgrAzLbkmO865YdXRHXzbj
UEsty+y1SBSZu40IV0RWYAeCCfVAyD0zyQGvkUbHefZhQayExhlhPsVE4IlSRXJeVuNqN5X1kEx1
lWhNVIGvZr40wsBggJkoCdXq1UEd78x6ppiVmbnulhXmZal1BzThOderA4Mb+jJiPfYlwZQQmWhO
0/Ewn+3mFZeZjdVyku1cF0ouB5PCKuVzgMO0mWE3QQIeiHhICdSPVoOUebPmWm0RWSX0jCvxqRow
AJm6zap35wVlPC3LYEDJ6+wLmFZbFNTLrGW0BW3OkJK6QyUHSxXJ0uE4TQsaMg3EQy1qRsC4gJmL
0hokDylJgSzjmJYhJV6PiDAkAZuON4TK4whLUWAgxkXVHEsxdRPm021xtrPZjev7R3+4qva+rbYW
jtwBExuAqiZJCKBFzdHURCRKGtrwidxa3YgRgZlNtZ0V0GMusiCd1NgXcmulb1yQ5p6KU2ofUy+I
Fp895l+/fsAp3T47/+lP32Jiq5UzMBA5TrU+cvWBB29cjhAsY2vHdndpJ8cLaMe9fRvejn1RKhDT
VPPw4v5M0RXdwNTvZVUADmBN6wrtwMlOJ45/xfZ71hB2wnjUwZVtIxo5Jd//Ym3n3lTfwODFkjUe
JdCwKw7gQmH8a7QMaJWn2nOPzWsWgP7GmoS+gMe9fTdyVPFJGYABRUtB4DYiM9ZQe/t6QdjzKNv/
DHv/TYCRQmRz62Ecb+vwhkUJYk4LMLcjFe5Flaier5pynucS7If33nvvf/u/+Q/fevknpfy9bBVQ
Ts93//E//E/+W3/nN44fuO//8A//o9/827/8xNNP7c7OB0lHBwdnZ+e1FGAcDjYn22ncrM5Pzy6v
N0R45+7JH/3+n3708x/709//47/xG796frabTs8fuHrl2pWjN994azftrl6/b7U+8K7qgiEgWTPW
kobaAo4AHAEn897BSwSu4OiQiM2MkSgSQG4EQACmtY/kMeCb9ZVE7BYslNd24bgTeiMnhUHahdnV
YnpsokajB7fyJjNv4w01Tn6c2KyXb1YzDlmjRfIC82TMFCITO2A4pgHVgUiqQjUniunQShT2dJEZ
TGPPY25EYF4Db4GIiDxXK0rmXgGKwaJujkmkEVEsNi8WxwwzNXRDJ2EtNXR/A6/m6NAu1oiWmWmU
/LpLmAjf5/8o8gIdoIZEzKBWARzR8GKAJCLUVoMZi7x2gSPtpdZWUxsfKDfURbdkBC+HIr0fIxk2
IBQCODI192TAgVvs0XrLY3PmN140Ii4KX33t9ibL2XL7vJQf3r1ZTf7s7VMw/77txmGca62V3pmX
b9x6Rw3+r998CxyPL4+vvnfrfKpvnd4C4DuT3375BBzunJ8gpq++ceavnyAgIN3cLj94752gv7TE
wP5G2kz+e80QL1pkmhmiTe9AgH1ZgK0B17v1l/YDJ+4l5W7Kbd7I7spv0wTGjSsS0w6dR0DcaLpm
LXLQK3n2OqfvJ2hAj3LdLudpGFHajwPY8+di3UPxaMBGoYui+OYtsIvnimHYfNDsr9/Km3eh7YCQ
0A0AnRETxcYWqhs570ua4jzZa3uQ3BnQMBKM0hlpSBCjq6sZ9uYUAqjeMPCEIBEQRYobCiMTeiJc
HMygmOd2A4mlW1P+3ZyRzBTdieLnclVn3vfLYri2qXUoQ5hlWrCWqPXZEoO1Kd17JpkpfI+gF5bP
YO42NnVgrlvwoXXmGBEKMbiZW6yPW23ohap8UUREFPF77ATvPZ4q1sgtq+P3WNBbi8pF5hn328DE
cSICs5Y3JuqCdivshf2n0J6xbbsadPlO8t5DeFUDe95REM2xTkxkTW6VYqV13jio1nD6ClNVdUA1
mEpZZQSAonXgodRlHEcAr0WlPUw8CS9LtMayYk0ilnItJTGXWMAARoN2xHYNHNBL1WzCwtEjWl0V
jCLYoFpNCcFNicC0ggkizmUpWonF1eZFf/jjn//kxz+rNbxILakVd43qdt/l4898+Nmr167uzSRI
gQogRNA20gcKgYRZ1RyAhfsKz0USAJpVF9hDxpkQFBiJWGqtWRIQEaIgGSLEy1UHdkIkh1JKhCUy
EZpvp0mS1FIQqdQKDmowLWU1ZHc0AC11EEEEVYv+n4EwixAjEUCFg9W4nZGJmKUApJTMqiMmyaCQ
QBSJU1bhpZgDJSAlnjQw1CiExTUzI3hCQDcBZyZ2G9Ez6umyTTy0EipVUC/VFvDJ8M75clZssYLM
59O0OhjVwBHChjQQifuaiZgGZmBUABBShcksCTMnkcRaDDANK6+GLK7Akkx9rvMI4hRHAo+CdCY2
9PWQqqqwmFoWTAADUXGIPjg3WNTO52Uym2vNjinDNC0gea41cbLOpiNGQBOCnFGhDmvG7KKEOdWq
7pxznpcikiZcjIhAqrtimpWLScVcqigAWWXihJQRDgUOEi4KCjUTlVTXhJBqRc2Yz8tU6/DudH42
JdwuPqQ1+rtbqLS8vviVCudkQ9VdqSNgZlLQlThXz3HQcMjZihOO4kSsZZXXd7cz0DjB2ZyG80Uz
0yi5VNz6itKBkQySRsBEupJKUCCpAwihZEg2r8UGK4vpvPhsuNuVBaeywHu3dol4uyxXaXVrO1+S
bNUEYEAaEBP6UZY1+0gCbinRjIgMKgIVxjFPNghnoKwoM/pqGHYJa00IsKJkDCRCDIyaxRgtCe+4
HmQ4W6o4QDUtS1nqNBdJZdotTjwmPtmZU9nufLssImhWxgHdNQ5mmYGwHh/IkAqsfBzf99EsAg19
SR3+UOzWHCQAYmYERsJoZkG6h4vYzwq0N8y6qmKnzLVDWOPPNCWBeqlIpCVbysI71GQvPUboz43A
E6Eg3nzzrcfvv3zjxvWop2NmAHrn5OSnP375sYfvD2dY1YrgLFzNtWpOqac8AC4ImdEUB0Xt9PTU
3Y4ODnJO3ZTlPUqHZnb3zsnR0UGSdJEGi5GCQfu8HecZc/vej36+u3N7GIZnnn58s9nEAbRB0VUJ
8Z3bd8/eu/XkBx5DvJATAS8KFqwd+GL76/faBlvOc7+hh6BEuDlqNKS7O5pdTHdtPgwlihAFUfdh
TOzZHejzLvTG0v1PIdp/IoKggf/3fVHEHmW1//fIIJa+3aDYX04cFPd1i22cJ9zX0/ejXO+SAVCg
Uv3//p/+C7j77t/6O7/5D//3/7eTm7c+/RtfNDcECnbg5Wv3/eTlty5vl+Or14rZl7/63VHg9O7Z
xz74wpf+zR8//dxTr71180Mff+Gr3/3Rr//65/7gT7/1tz//cd6sAbCU5eT0bFoWRMzjOM/LN77x
l5//hQ//4e/+4ed+9bMp5dg4QNB6ATUsu0HpQNKISPUem1goB0tyHzJ0R47Rk9xNMeZABCIK36/2
COK+O8PMQvBvOk8H7wcxu2ksTYoHAmzElFapesER43AoELa1RUs0BVe2RhEdRQQ3zsuAxBj0VGw/
iJi4HeKIllq9YaecmffAXNdKCNz+69FDA8jU86ts6Iqk5khUtMkNQgLmEtljQfBKQJIYzNWUhRBQ
TcEckeNYaW7EJJSWZRFm80pI+4YVADB1tvdNfQvXbrhDW/gTYoHSDAju5sAGHsIRtWGxWQW7gHJh
8d0fkQ1cEFsBRyyk8OJqalZVgF4+Yf3ztJhOW0g1+km8uwqbAd4ASQHuznp7qkgIKFackFUjQ81n
u4KIDrznpqsiIP/wtXeCORvA8N4VGXG4VuwUt+I9YasxyfqaK9qO7uk9tj1w7a+1KDfqW7Mo99fb
oqF7Ruu+2yVWKPduEPdZfOpFTQg9JuFO3KtkkOJvPQpFLmwX3Np27jEQMxAjcm+TdmydRImRHRNi
a2qILlIAQEhEA/goxOjc6s+AmBBdGBOiAAgiIwi15CkTDgQDYQPdMyK6EAj6ijhhOO1htDksFe19
Bt8/eszNELjNjM6I1fa8N0AKYb+RYaEr+fFJE6CCs5NEIXOrbAVH8vaxOgIouACaOSMQeopi0TAS
WxBf2+KgNmh/6xU3cPRwhTAisnCk0jwsfQDVICHVcG7ARTGS7lu/AAhR+ssxQHUXYo/VgAMjOYGa
uwMTMbO5RSIj9npEFHZ2aqwIY4pMZW8P3gd1+uKp9+le7J27A6mXBzWovyM2Clfcq8NHuudqt/1j
U9HV9q144OYa7FtoPgmuHoYgByaFJpA2CkJra4Q9dZzCtOZKiOJu2krM3c2ZQSQWuyTCgQFQAAzx
Lp5P6ogEaEjIwXgOD4xqtHhbIIDbReGmCpIi8hvlNtg6TtuVXGtNKRFyWeqY43sC6FBLHfIYJxVE
SCwppQBaENE7d+585wc/+tVPffTGjQd28zSOIwOoGksyh3dOT//kT77y/a9/9xf/xheMAEnCLQBE
1U2r1lqRiQDPdsv3fvTTR443Dz32yG6ao9F+HAfxiAyxGrzx3uk3vv3tjz7z8OOPPVGruimj1Oic
AQf3qlVEzKwlupBMlRu1iBzBUEW4VkrCyOxmY8qCvBTNeXBEESbGsnigMDyA1IiEVFt7exATvFar
akVtIHaARWtsjuNhudTlKG+KKVUU76pCWdbjarcUBZxnWNS3ZdoMY1kUk+/MZyurPMzqmwqVEjuS
MEFTuovDOuXlfL5yMA6TrbIUhRWNJKmaT25A4iSGbCJbtQJcqwvSUoEQVaE6qqGbo0M2B6srNARF
B0Wby26gBFAJdamz1ezuSzEn2lYFYiw6E6wNalUxN0CtSgADiSJEaGqVEzEepAHcxnF1YpqETFjB
hLMVNKAZoDps3aV6EanLDAgYdvXqixXJUm0GzIyFG5pnBk0AlVzBilZRrapaUzlbim6XZcFtqZB4
mXwYsld1SwOiWUVhFl4Ncv8mXVlJBc0ZwDVhvbaGN8Y6Ui0JoqF5WcAdFAeAdNfSJU0KpguMKelU
CQGKKaKVZSRdwXRf9kPbMi7iUXd1BoVIlzphNTsrsCWDmbYAY2VDXA/p7rQdNkMxNhQUE8Q8ZKzl
8HBVSCkxE24nPxyF1qv1kBcAJ5CUa1kqpslJTNx9nhdxmmfMA1W1SWepUOsOXDasI87JrJZ6SOOu
TpIFqlYtc5l3SwEedgWragaplW2B6qkADShIIolXWdY5DYKqul4l8nS4TuI8jlK0qjELmbIiG2FV
ZUnzUoHT2QQu6X3LpUENbRjEdqIiiP5hbFV7BkJcvQSuonWgI3Cry2yUd2vxcoj25o5PxADxdYMu
WEt6orYZqnV2N6BPrBIBo5WRCRNHHgLMbJUzkTPsofawGcdSVbWQJAR8671bN994+8MffvG1W3dv
vfLWRz/yXC3V3IZxQOTwkozjwETq9v0f/fTs1q1rD1yd5/ngYHO0XinY7nybhuG9mzfHcSRJ//q/
/JOPfegDDz/x+O3bd07Otg8/eKMAvvPGW2fLstlszrbbTR6efvJhYlG3n7z61qeeeeT+Bx9Q97/8
/o9Ozs6eeOihfLD5zje/h2O6vDk8c/+3X/0GeXnsA08Sift+mQhAqCGxdiGuAUGsGTj37sEQK6n3
GUa2JpisTbMlUgdBAjczJwQhinONmSGytVJDxLBl9jBYS7+E+cVBgyrRp8WmBnU6Ju5Bu62eoR1O
46hK+/2FOzGpNtqGWVtdc0RPHXtsTKEzMr376JDosaef+D/9r//l7/7rP7p66fB//r/4n755+wQh
rNREgMdXLi9E3/n2D1566fllKd/8zg8++uIT0zTdvXtyfOnogx98/nz5zsnJXQJ092Uptc+B4zDc
d9+1nDd375797OdvwFJ++uOXP/ziU9fuv3b9oesuubYooEuAfBHVtGn50bsILRgLDsiI4NQPPxTl
hH3b4NbQJjGtGoACVPfqHpW/vf/Tueer93pZPwZF02OjphB28lbfLqgF8csBAv8bhKbWiwiMPabo
CJCYCRtbrNE/AhzSxYu4ElUNkN29qlsAS2OTYBoymFmNYkfpsUhrgK0eREQqasXJXREhMUdCRbUy
QRjpEUGEmIEQzC0Axa1tkzmSgOGLE+HYeZkpNfANRvVCuyP5+55LtTrFd7VrsIBIyGBuYEHopK63
NKmfYL+F2XNZuvHvIrSPSNFahPe4yrvJoFdNtGqiEIggBbdT901YkcvvGTZqU2pnMGFM+3syrvXg
A9zr+GgDNnVNso1tsfjg7suAtinyKMUJedbc2t1ov6lqZpD2d4EGYOKIDyPFdqZ5OZkI0QWJEARc
AIkRCRkhESICEyWEJGTgzMgAIzGDCXsSRPCBaCMYyZlBmAGycLfpeaiOIujgwoTuK8bMJAgJaYVs
oAYOjBWUEZiQHVfCyVEQgx4FBNqQPwAOGWmFLNGWjV7cNVqO3TJJRuJ40DkUgIoePv8BAlvq4Qio
3aIszWvqBlAAzEEQyUEQEPD0HKpWJtrN5Tvf+Y6rRctUAa/gZdFPvfTc5UtHUdKCYOixhmyLvNhr
xu8m3W8fFTfq6H1WitBKdajm3G6/0J8vHi4eRgSwjFjbrE+RGsd+OVu8XeaIzvElQjRzI0AHbuw3
1EZ+R41mseYudnNTb7l3M2MEbovJxrFywvAicCvN2V9iYObUkRJCpObA1I0/CHto4j1fegQMWVnN
KIIJvYW7bXdb8U48UQ2wsbE6sLAng80hMjENVbBP6UAPaMZGSxExETtC637psLTW7dIKu7m7qMgg
sNUmicEsip4hLACAgCjVKhMOQyIAFi61hoM0IOUOrqqJpVbNOcXie9HCxEUrmyB4KYswAxoji3CZ
rd+fIafAoGPg7HqPMHbsb/Dqo4Q1yEFh2WUmBBQwB7CcxbQ9wFpzMYK53jw5B8dHH3wARaoJABBz
zO+q9vLrb377q9+E6/eBu7oXLQkzIZ2eb2utpSzmsBrHg/VqqfXfvvbGQbl27YH7X/75a8eXDu6/
cb1WczMDSEmqgzG/+ubbLzx2nzkgkVVt1wVxRdpVffXVN15/5Q01u3Hj/heffTJu6G0Z4CGsu5kC
QCmFHdy8aA0Wz1JKrWEkhqUUyRkAtNaBiABrWYRRVZlRmJWI3DKimbODugomB1RVSWzmxFzNHagA
OTJQLe5KrI45DbXWnDMSZR+GnBdABD8chgO3PORz1ZWwVkzICOSmQLiY7lSrl8lhO+muwFyqIixL
GQFUdVLNyKiqukhZEDQjkHuiQVGFeAQ8K5qYJI4XQGrkTEvRLLKY4Tgu6kpSgIATShaztWQDJzZm
0YyXiInw3GpmHJgG5tldTSuBue3KUmsFIEGyUhXLyTxvkixqTLjUWurCtEqgGWpGHdjcSiJ1dBRb
oLIQLAaIc/XFeQcShJJThJF4IiokhQXywC5cqguvEx9tcqGah0yIE0HKPC+IhMy0KAhRVSvKpxNs
1nJze14KHsr43g5mru8UuzbrGfpxVfCyQjKbrO7E+TLVhEUQCuuQdCIHQKa0s8VluFvpGA/u1Cnh
wblPGZ0w76AwrSrVg3GVwERtXKUZ9dq4rvNcHDaD2MyMTkRzrZNVQpmWOhW7fbaVYrDoZhhunmwX
TtvdDClZVfOK7liKWB1dxRciNCyjkHNBwoRYnZiG4tMCq9taFQcVkKpMozEXoHVORW0cB7X5YCVC
iyAPg5zbnIQWJQdfZ1mmZgtcHKaiu3kpwGe7ily3sxUzJF9KyQNqKSMRWSV0hnnWLQOPSUcu7xv7
gX6PEauBxoCgobkNIkfq7qWahafIDABYuBkOIzMF7anTi1uiAu6eSs9Oc+mwlzioYUOK9tazXiHg
/RYCZtphFhDQtf5gaMNLsEAijlkc7p7uQkk6P9u+eevOj37w4+v3Xblx4/o7d+7efeddTnLl+PDx
DzwOiItWJF5vNoeHRz/66cvXDjeV+ezdmzSu57Ozhx58YHXItF5funzpr95879arr9147KGvfPVb
V598/Gc/+PHTH3v+j//oa7/267/wvR/8/MZ9R5cuXSbA7TL96C//7dnZdssyv3vzyZee+9pXvv38
h57b3T359Cc+88df+sYHP/QMPveBD3zgUaA9y7gZgBupuD3bvJFmm9HXQ2zscBBwcGoCS8gfnV0Z
0Nf9I/sCStNoEIwQq1k1ixYBjh0gEpNrN9qFH7T3WzYqlTleVBXu7daI6J0XCrHKEwNt0N12dA5B
xryXpLfdv1900oZi0zBaoaiqMuIvfvbD8j/7H/3z/+c/+Z/8D//bTz/7zHtf/Tp5O7UAeBb6xEee
n5594o23bwLTs889dfnS0bXLV++/fv/rL7+GRCKcREz1e9/+y7deeyNQM4h+vp3efes9qwpEL7/5
3tM37mNJDpiGwZ0sWkQRFUyQLMI/rZURqOliDZjChIROsNeF9qbuQFsDB+MHWvxJ3WvopxjV7VjV
Bpa9JbJXZ1hb7xObu6sxhSDJ8Q4xcXxQxdyQ1F0dmfGeJT72xvY4wXrvSoxEY9sWIaGaKwTgA4ko
ApyOpG7WCJ1kpoxtK9K0fiK/MKs7ElZFYiqqTeM1KAaq3ZjnPiQpdUFQJkewCC0tdUmZDdQJiNlq
BQMiVrUIA3fvnGqrc7FO4gErmpjcjZiX+r5TDPExlqLMBNyKHKyj17DvhvDCwA9hgGvwbd/3oFBv
2O01to322mJv4QmHHiaGDgBqhCogIhQuiWFwDPhNfBBmwN0MyIRglIjim5BCWQZnDi8eIqEwITgz
CmBGFPJEIITMKABEwOSBsxLiIGabeWJaMxzE7MfABEIgHSuwJ0oSgQThBBwRMhEAJIKBSAgNjDBa
EjGywbGzwNYq2eBee/t/q2PpehoEcRr2lv7mqQnBmRAInKFRyoKpF328Djibq4MzKYCprjgl84QC
YAbmyIt5darhp3TIQAIe1HEFrwAVKdD04piogcioJ/Mdea+vRXYee101tRtCq86JKpSWDXHHxqSh
WqswuUa9DYFbTuJe3fzlt246y8c+9mKYaSvAbPr/+6f/5fe/9Z3P/fIvRmVucGkqklZlM04iRMVM
AdjRAZgR3ZdqIdBVC6kG3n7nnZPtOUh68Pp15kRIzBGVbPuvwF3HB0SAxcMiC9RymY4AagbgKTT9
YDoRqEENHH1PyDOyI5i5QvNxNMcAoCCYmwO3scct2oFCI3ZANac27oGbxvffPWCz7XvY+n6Q9/Ya
A0QzpAgzBtfGmnPWnNDVnSXsG+H3QOwL1Wh+6WsY7/5vZIi1RDyH0YE4sEYt6rJf47amuKbNmZOw
RuAHw85JofozkANYbNeiX8qCeki1VKYwAWDA7eLdkMV0WxY3KG5ZOCKaIpEKocRChkwETAAgzENK
bgZELMQEwuyEY87n23OMni6EEuHODl0opZIkdUN0BkcKEyxO02Sdqe6OVRtT2dzU4zUEYQhLLaIJ
iKZ5Vl3HE93MuCeVa1VwEOGKoLV874c/+3//o//s9R//5JnLnwP0SHLGM+ebr772F7/7x88+9dip
w3Jn+puf/8jq+n2BrEhDeuL/z9mfBUuWZel52Br23ue4+53vjRtTRkZG5DxXVmZVVxW6qhvVaKBJ
FYAGRYgkBBo1GaQHGowymWSUSSZKJj1KJr1IJjMSlIwgKIgiSAAtgg02G93oRg/VNeVYOQ+RQ2TM
cSd3P+fsvdbSw9rHb/SbsuMpKyoi7nW/x8/Za/3///1PXA2IWYQDr+D6gQFEzKCoDjmriNu5vDrn
aN7/we//5PN3P3jl2y9NZ7Mbt259+vn19Y3Ntolp0h4v+zyUtSad9MPieN51PTGl1Ny5fXs2m+5s
b1NshqKffX69m5/sbm+c29/ti378+Q3K/eFJ98Tli7PNDUPiGAENiY2QQ2AwVkDEwBGBEE2RiCgE
ZIVI6MtYA8tFOAY2QZOCNpSBNZYiBjDvuiFnUWSgUvKkaDcMoIjAueTECdBESyCKAuspWcmThotq
IKIYF1oaZiVk4hhiosShAc5GzMzHy8Uahs5oilFUIiEBzmJkgvUmDqVPIWpQZkuB0CwSqUF0bnRR
KbqUjIFKN1BUKcUQmhAXOaesWbSIiKmvLkJAZiAGf/YsUVKDk56bFMgEmQIyFBZA5ZAxZA69UQ5J
ch9Di1JCIDbIgSPRWgoTskwlsAVDZF0LuoBM2gfocsHj0rcaTLAvsjhelizWLTnx8nixG9rcSaBC
fQHSxnQ98ARkJ4U1zO2UmJWCrKturcXlpN0KsDmdIqBwc9yr0ETZ5tbMKB3kPIuTznQDGgGJyEw2
QZwF3I4wwW4jyhR6DR0aGbA/9dnoaD5g5G4+bFhcHJVWhpxlIWVD6KiXZrBBtDFsOKAqJeRemzYY
CBJPG05rzeakOcrDNMQecDCO7RQG6ShZWuuBAak3DTztQabcoEgEnUTbSDjB/mwDbAMCF9QWLWtR
s4y6zAvo8LBbGrWLAlqARPLABLk10iIKWQRyyYwG0ifuKNkkiUaZNhqAFJRDQNBJM+mMOaSixVAD
J4qm0BiK6FfXSx2cABXsvKqv9KMAMtY6D6Ii5QFGTy1ze4Cya6Mj0WUhwJHHi6MzrbZLwqq7Dx4w
lVYAgw+Z1Tkz3uWdeu709lPxYWw1izzOT4CIICYiWlSySAhxNpv4c+v19z4+24Zg8e69fPnqZSB8
9olHDw8Ob9658+kH164+/firr72VAr341BMQ0i3VO3fuX5rOJmuz6dr0zo3rd+8d8tq0nU5M5cy5
3f3d7TP7u+fP7Hzw8ZdD3xFBVNidzp66sn/24oX3P7tJzWTaNmQa0c7tbq1N2pA4ODcVbLXhrYPo
qQRXM4QrSIK/V4RYayzJfaOo5kgnb1qoKqWCGpLrrv7AGhM4nssyqpOPEZN53mkk99QI6FjqXs99
jmqssa5Tme60udRMTZxZp6r1HxrtxyOE1H+DgNyfZA/YKEEMcMTtENQFByA0TZKcmxh/6VsvfufF
J9emMzUF0Rhbn70nbfqFbz2/tbVh67Pp2sQCPfIk3rx1a9ZMZrPpN7/9Skz8teefgkBnL5zrlv1z
j12drU2JaGdr46/99b8sAI89+Sim+Os/+B4pfP3rz05T+vbeLgc2tNqWVKNZtTDG33txu52OJb+n
hYDVll0Nz+7HBgMANhDPLyGpFqiSlLfboYuXHr8jIke2E4HoqfXc+8FWcFFzaI8BEhVTcyoVOccr
gHmRCmE9IbhysarlQ7TqtfYLSQCKmMFIP6zfp/jkCaOGX/tsqh+7yg/OPiUkMQPkoTj82av/wHFQ
ahKYGIHBEmFihMjEuEIKEREiKZi3xYjUvQYRqCgzBg6IaoFFxDFthERmoUmiQhhMNHz1liw7rddd
4VNqTDcg+41sTE2PNSarj2RlJvvOxYnBzvB0dwGMpvXRtVovJzMDXFHBDJFQTdVwh+F//kzc3Ngw
gAaRQADNdwEMCGAxhEgYqofVCIED+bUBq0IPs4oDgao6j0UXsGo3qZepIddLtJoaaGzDsgc2ibYy
/q3usDBWW9VSjxUIl04j4qcJy1Xs1skC4KdzPO1W9isEAUBMoaYT/QLDlToMY1+XG2P9+j6VrXwx
5ooQQVG/flyZHAU0M0D2JIKMRLcR/4Vi6sgZ1Yr6tbpR8vpQVAA2d72ORdEIpbb9MJITq4zQyHBc
oKwiCxKRRE1BAYK7bW1c9R3nvNY2oia5pCaZ2j//3T/4f/8Hf+d//D/8m6oKTKD427/5z5fL+V/8
b//gN3/7XwzXb/yb/4N/Y75YZFVuUp9l0fcItr4+m58sJmuzru8NKbSTkssf/PMfPveNZ3/0+rsv
Z9lc37h36876+vShS2c//+z6/GR+Zm/v/P6ZalyqzlgWt8uqOtFHpIIk3Jm9ItsxeSGWt3RaoJhV
3LqtYKLGvjRBJMQChkb+b4p5qprBhAnNfJ3tD30de2FH8gSigKFh5QMZFlUzY46qykBMbjMmGem4
q1MNVzq0R3X9FQS/sXh3HY80rhgoZ287J63d2JXhr2aeMEczESEikeIvqlK53AjgcYnVdhIU0ThQ
/W7UmLk6PhDFVjaN2lYsooRsqP5JDBS4TbHvsyNVVUsITITMTusCQyDEwYG+DKJGTO4wBoAmxmEY
cskGlnPfthNGZJez1V8MMCGZmmk/9GESigiU4v4TP755YAPMK3e0ls77kgnA0GKMxEQok7ZpOMTA
AtaGQIhIfNgNf/zjt1rRb377az3oOx99/g/+o//0xoefnNnbL2ClZArJ7y+llGy6u7v1K9975Zia
f/Kb//zdd997fn/XFIqUg/nyj15/57n93fUL5//J7/xQDu7e7/sU0rdffr7Z2TWBk3l578Pr7776
5rPPPPrY00+4bf2z24dv/+yNf+uv/dL+40+A4dNPXjWi/+qPX9u7dfs7f/XPf1n0v/z//v6//v2v
/9Y712/90e88//JztrH7xSfXt9dCmqw/fPH8/uXLP33r/Y/eenPj4fOf/MnrP3jhkenVp/7eP/q9
F9LBQ9/8Fgd272sRFckpJr84QFVEUuShFA4RAYqoFWGAnEUNRNTQOIbBUMWEOBO6HztwoAQmBokD
WkrBRC3iWju9fVQ2Z9OTvufAHLgrAjEuSy5EglQA5wLCzXzop4ELMaqhqJkSaCRTGQKIiKCFFiH5
sFwyEw5DARMT6UWWfe5FGbTvdb2hoWRSg8hZ1JCYmRinMTJgTLGYhhgGUiNsUhTlJvLCqcWJ3ULW
90OIrECDakReAsQCy6KN3xeLYMQGLaFOURvUGUACiUCFgFWKDkPGEFIW6VUPhxILHg7WUlC1QahV
7pAXqgPxOsXZBHFZNMB6E6ENPEhBaVPI3LZNOE6xSRNEWZYeedLZMGA6Vlzj6e1SGsQmB7X2zlLn
ChsGrWjCssYSWZUXgy3UKIqYlkZokeeoscudBRaxO5IB5XYHvKQbA/eM8xJb5w0gOzls1rYMOJ3B
essTi9MJDQMtNU2a1izHEGJMGGJRU0UFEoq5GGMYSia2IVsWWAwFYwmENGSSPmputEfNhiVyGLS3
AYMUyH1WFcXjpdzpxTh0qlGgSXE5LLUBISYUZm5C3JhMSPN6YzMmSMAxLEFj26ioJEuxybnn2Br1
SmEoUQG6ghniImMuaCYTiqWoSlEZBNXzl6CGNoCSSqdfucDvVGRTszBCHUrJKQQYOehmyoxgaqal
GABwiiv/mFXUYe0UGScSXZ3lTikvtuouBwBQ0do8P/4pqxvDGtjzgc3FOiREZn9K+GPSVTdmGNSb
BgEB1yeTXsudu/fvf3ljf2crcThz5syNm7eWfX/+3O7UZG1jfXM2YyJROD48WpwsUFRL3libCtDi
+r3tb2/duX9IiF/eunv23Nn1afvhh59d2tvrDo8AaXN7vWmTTNqWw/b6WiDe3ZgyRwekXthcn01n
KcTL5/bfu3vw9k/fevrRy9vTqexuJ6RL5/b3t7bvze5+9NHnjz52lcZTK0EtQauBQFUao2ijWdR0
fIfBRqQtmtPnPV9S0cBm6v0HNUNrsOLlgNYiOAQdpU7186KBy2hq4kMSja3z+kAVq3emr5r9DKtc
Vs/1I93AKZeI9sCoRqJ1yKpj0Qo0iitNDxwkrLXYhZ584rE//pPXmsho6r81DGU2na1v7BREQwgx
7OzteIPKbG1mhAX00sWLDBiAJhsbRLa+PuulhDatTWeoRsQGwMxbm5sFrDfJBiElBkyAgJg4idVv
ppSCtmpJGfGb9fRbT06i5h0r7gNUIwUTsEEVyAscxkCugXg8CUnAxFEkgEWNidTr3WtqDwANFRRQ
inoRXQE3zZmJEjMYOQ9CQRVQUMXfQ0STOgkMJRORiFW7qGe/DQBIjdSwqPlSIFjOOTfLJaiAM3sM
vKiwmIoKIphocDBJKc7uEtUVUhKJxQwISykAykxaFNGXWSiSGVCLRARK9OSjF7NkDiE1ycyuPvpw
YPa8LgAwOT1KRZUIAZU9xAtVUtNxOeXqTSlDYHI97c9w91PRGtb1Mh4iNZOiFmrN7nhxrkg+q7Nv
bZXw4R/8Hasmx1oOP9a71AFoFXT3zZ0T43TsWpmYPrnZbm7PBpFPPvl0cXLs2Eg0NIOiMk3pycce
iU2E6sEc1cUxKUdMo9kYV9UXUIO4hpWpAyP3mx6gstWmK1hxc9Grf2RVW+T+FzEdxd7qwURA4lH5
GKOmZiYirtxUhO8YKCVcVZOOCy8zqpw3dFUJKzvVazdqv8M4i6oTj+AUcaABERCHupuDbMLIamND
FGGoZUuKY7rbKR4MHuAEL6wUFQCsQCBVM2VEQQAHCK3KU2vaBdgbs701B+vAA7XGqSrnvuZh8jA4
aV1X1NsjESZiMf3gi1u/8Xf+k3/tb/zgvS9u/If/5//b17/zizTbVENQKAYQwrzPn35287Mb985P
Nz7/4tbrr73erK+tra19ebDQ46PUtk+c333/08/+3C/9whsf356V/qXnn1bAfsgHd+53BycxxGY6
OXvu7OuvvbnWxh//6CdPPvn4dHO9AAQkU0GuNFMYIcYISgiRMasBoHoMYJSvpS66UCoSVgkxIohB
fS75C1QwAnbyMGJWBS+V9M5SA0I38QIRsn+iwBB9UwYeTFBCVHVSBBEakKrA6jIZr0+/MtWv7Qog
g9WK3K+Xkflfd0I0bk6JUNRcTQxEqlLJ7isG1nhSonG3XjEabo+tDzw0NSZCJ46LIAAzIUJgQiTV
HEJgIs/8iwEzj0x1dAO4qQQV0/HzpgbErKo5WykFCP2FFREV9XV2DAwAMfDJfLkqAk1AqpZi4lp8
H4q6c4diCEUghBBKAaQQQptaYkKASMEMOIShz5y4DdHfMrfpxtSoiO8JiggFUTMVMSlmTS6FiFS0
y/2PPvz0P/oHv5UO7967e+PMpYv/+d/7L29c++Qbr3zt2V/57s1PPgGAEKrFBUPgEI8Ojz98/7MD
xXu37n/nqRdDRCDOpgXp2r37j06aGdjnd+49Sv13/tqv/OjNz3/049d/+V/+ixSbd9/9kIRefPGp
hx+7bN4UX+Tw6Gg2bXbObBlCKYUpFINllq5fDrk/HvLJYnHcL4as+/u73/lz3/zgfvfRu9ee++bT
mztnmhg+nt//8Ws//ze++8z21Wd+9+1rP/7D/+ZfeuTSbNo+99wzT778NQbqh+wg2kGlEGYAAkNm
AchQsynOk2xSJLNAGFPqus7Q2ibIsFxv4gIU1Ig5g6joMORiqhjYrCuqWbJmNe6KLPqhK5nEGkyl
5BhoStzlPqgkU8w9mpAqqJJIanBQBdMsokaKZBQ6KxMO2UApCCl6RJtVvHmcdJpCUFybTRdoiSnF
AEwtB4uRAVoKjonqpAjiohsaJjXIRXoZerXFULJal4uIMSgbI1NQNYJs0jArwCTQkoHBFEHVCmBR
WhYslgahwG0WVSCAEDkhWUPYcFwPaTNGnLVbE2aNgY0odr2sR9QmTiODxSylQ2owHonGYn1fJpru
9fNz3Nw+vLcbpiddnsUIfT9onsYQrExMZ6ixLHeCNETIthykTWFKHJiJ4yAgNJkPC2vWhEIvuBOa
pXRtnEAYiFNohVOYmu1LXGtAprjdkkjcbtNEGErJZIbQ5QwYDrvcNM39417j7OBE1wi7znrNG9Dc
7foYmj53AQGxTAyDYF/62SSWnAcrLWpnEhgjsykOCHNBUOyMVdkQuiLb00nBPjUzEmibgIjz5cn2
Wkwapy3Me4gxxMRRYyQBVkPL2g+qfdaTQVz277pCRXNnjQmpGmTSji1LfxwoQ7GGtKhGhME6AGAG
kUoABIpZ+pga901EikhglJQEw+zPcCxTx2uDScleSN0Ehjr4VceL4wJVpTaL1iYX4Np14PNl9TqN
j5PKsPAt40gWESIaZx0Y+QH6QI/AKolqQOQ+Vf9/Y8BcymlJoANFxJ93noairbX1l59//tbt2ztb
Gw9dOI9EAHpmb/vs2b2Qws1btwBwY3PDoaa7m+sRYXtjsv74FY7p7Nbm9tm9mOLezvbGbHblyuU0
abd3t7OUtm0vnt0tpTQpMSGe3SOkX/zmC4H4608/7sRyRnrlxSdczNicpFdefhYqEQf3djbB8OVn
Hyeib339eQOrBR+j29N9TVVhqIi+GlzDUzBIJSCJ2iq9eUoPtrHuB9DjUm7gdIXa6wRGWQ+1lnWD
G7Prt1HtiL4Ptfr1KkbCvU3gO94CZkBi4FZrW9U/mvN7R6nggTMu4qkZUtSYqjl8TDfhqhropOjQ
q5Dx3v4jW7tmpqKApIruVv35oawaFB0CMogWrRYwUSUk7yPopQCSgIqBKqARWFGzAqaGgxSHR4ih
AapAbUxBU99qq2e+am9BMRAwBTWtJBJVb2gBUQCD7LV0I0zaFFTBCB0zn09LOGXVhUTIIlLMF4y8
KALgz3xHd0qoJnsVA1E0oFKstqSqe6eFvOLTzNQCxVIMgIo6sgjVhKoOaiorbCmJVhWBQK9My7/9
fCqlRGaHu9DIQSUmQDZVisiApsohBGZRUzBRSTEW0WrCNEMyUEkxqLhx24iQEWG04JrZ449dFLOi
aEQigjjWezjVEzwnalmKb07c9ybmSVoxUET2dgNVAVAmMBH96ms5VUEkNkQD59RojWFVK2Y1L5CH
Ffw1qo9Jq3KJlfin1WC8opiZrT6/Zv5RwgdravEUzYLMgTAQoEm3mJ/cO3jppSeZmZA8wT/k8upb
786Pjjb39zx7nIs4gDw7oMRr7Svvu9Kh/dtQheOT4+Pj49lstrGx7l5kBakvAcAMDg+OoeSd3Z0H
HM60Mqf4jgzH7cCdg5Mf/vM/vnBxd3Nz88rVy1IEEELgnKUOK0S/9wevPXvlzLmL5zgwjKbHcbKr
y0iumezR1TzCoMZBomrR7iQ3lRWrvFbsjoQ1QvDxnQHFVt0sD/K9KQWSIv4lxEDcI2+1NTQAIFFW
E6zbooCIRmAWEAUxFzEiBQg1B2+B2VTVwAswRw8RMtIqOo4GTlpyxJRHkQkrEpSQCDAhZQBum/fv
Hf7P/pf/h/n86Ac/+It/6a//9Q/ffseYnfuAgZ567snf+a3fe/75Z25/8vkHH3/azeexbW/dulPi
5Llnnwxte+vdt4kBrAylNKrZvdYpXjx/9rCDz7+4cePe8fzOvS8+//Lqhb1JO7l46UJIQcHEg41m
jCgrH4SjTM0UjBEHVQAkrf1nI3zXkwiEAAzgrU71aVUxxFofcrbqMmNP1PvH3JXQOtdBjbQQVoOJ
GYrJuH4gUa1e3ZGg5phf9xPV4hkiEQFiNSGPf9ZrxLxfPjC76otElaNeyUa+DgSgcfniv0EIpmBe
RlkpXH4Jqq/fgcSUmYZyusRhRAJiCmZASEVLNwzeVkAVTceIYOx7FhYTABKtRPTgNfHzLiNCwwFE
vP7OYz/E7E07qUm5CDKXfkiBETCFyLWsj1U0clIBfyT4p6iIFBFiJhX36uRcREWkAHCIAQyKiKmV
klUiqDKRqqhqLhZC8nMnEmpWBwiHwEwUCCHEBjkQcuDHH7n48svP/fg3f+vv//3faGMoi+6VF5//
V/7mX51P1r/89DMvI/IEKxAxUt919+7en7eTNGtOjk72VZTQnfDEseSMACk0Tz5ybmcy293Zv/76
W13u794/fO3NV//6X/vBI48+lLWYIBsXkcC07HLuB64XFgakGChrMVJjnsSUCCdNs3l2r5msPTbd
3v6177/185+fvP3Zw+d2J5f2CXk6XbMU2rWZ8+7a2WRzfZsAOXCEavyIxBMKMXrDBA6aI2KRGpvR
IgMJmZVcilkpAmh9NxTRXCxnQcSGg4GBFF6twM0iGCXui643CSQ3jIAhUwmBS4ockqkqlUwEIQ0c
0AIaAnHTNKgQOaIVCgyiZtKGQAZtoGWWAIqkhLCUbCYyKBjMu25CqSsKXTlc9FvcDFlYDBilqMSV
ZcbQlAmaiBHV2ABglpLNc5viMgfiwIhSNIamFNAQTUUQKLQwqAoyxQCBWAUtcVSOa22y3CVSVVM0
9vIYEQUcihSI875MGjhaZMJy2Fkb0FBKVgyy6EsgMdEGOSEKDPthIqHnBqOVSZCN1A2trjcmDSFZ
atq+tw5Ch2FuvKSUqT1SXQcKoS02oHECiqozRiIQHNYbbVNehCXFiJoTD1MIc+lBh/nQLQk6peUg
BfHWAjXoZ8shW1pomYoGimzGoKCSYgygO5MwYZHWEi9jC0nLWqvzTtqGh9KkNFmiDoPe49hEU+OY
ppqzcWO0FIMmxdkk5TJE4WliYpwk7mVIUaIuEmXSIZeBlfsidztRtrsL2SZYZjVZbtLs3nw+pYnm
IUVInFq0RLIecL2FnHNqLCbtEWIkM14MQjFaIY5tGSSFaa8ZQCk0sUEOCU2JLHAAHAihbUITkKCY
GjNmyIECghfzfrVfiORQdSaqi1AzN2Qyk6q4GOh38EDVskLe+3aKt8WRcs+nlSfj8Xp0BaOtplYz
YkdC1D0rjORZb3e0ykioxyNRDYC7O1vXPvpkUaTqtCqIuFgs9rc3rfo/gQH2d7d3tzeQyEkhVx6+
MAa68OpDF83MCQQA0KR4Zm/bv/i9+0eJ+PJjV/xZ3jRJ1QwwpRgtEBHHOE1x5b81M+YAAIGDs21c
NsEVcR5rvyE6IgWBmFQ9o2grG1s97IKRV76vBBVGM1B031R93isAE/oB1yrDUL1hvBbWubESkEaK
g4/rVT6tkqmbtqGuh909W0fcqlKMjApzzQqRxgLFld3RHbynxMLaMg9uQ3VFVUdUr8BYIDN6fL0M
oo7lI0cHFOw/u47/+OPbamP3RjUfwZg+HVtDYQzaenWH2uqnjIC+4IWRD7Tap/uWGmDlZ/VB2tfU
VW92Qn4d4Mu4MfFT5qp6p0qXxuRtZ6umSq1EqDE16+kjcagMjlBVJ6xCbcAbSVJ1L2FWvPfUdYIH
/PD1JXhKkRAdygBorssSkkquxCNvHECsaLPKGUGHFRJVqQqsMFoR3ZytbaxNGZGQVEodEsiDysru
/EJy/5sasJmAsQkCNhz9meI9F8zIfuRiFBFEQzAiKuaNgMbIiLVyxtNmOCJdPADsN4Q2BjMppRAF
R0hU0xyx03FFS2Aaf9vNrn8G7hvUNuna3USB/f6AK+8rjfmD1eKMHEpcsVHqSumq29CvdlqBrsc6
DTUENQyeR/A3lsfuqPr3yam8hCm6aZRcpE0xtqnVXFyY73P50U/ffOWFp2Kb/sUPf/aNF59pmiaX
3KQUYhy6rlt2k8mkaRsAODyZ/+G/+PHTz1yd37mLRCqysblxeHDYTtp79w5P5ieXLl549c33Dj+/
/q3vvsKp/fyzLybT6cOXH/r5B59KN18W25g0x4v+iSsXz1/YN9M+Z1B44cVnCcNHn1z//NonvdK3
v/bUn7zxIS6PS5w8e+n8x599OSuH61vraxvrD1ilPXPuqiPa+L6ju87VaCzx0lW99Whadx7pKPye
bjCZ0QzYzLPrEaj2SUA17TjIGhAi06AKQAKaDQAo+F3L79pgzFjUFFEMGYDQCDxYAewPRjf0IjCQ
qo4kKyxmqaJ1DQHLGLXzAg4CVFnVDpmAkuHKbcRgvciF/a1/93/1t/+v/8f/+5XzW//9/9G/dTCI
EiqAvzcB4fz+7ve++8r6zs7ta19cuHgec3/h0kPchPe/uEPMFBmRNnfOvPraex99euflp66uFrg3
vrjVHR+deeShL+4cJkIOQYFms6nfdoopA3uDI/jHEAEAxTQA4kpXZHJgG9fgnBFhRPQwuVWHtzFi
kWJE6sTnOr0CIjBiNlP1DlnvT/VTgfp6obi2D0C+VXHPNnMR9ZR+XavaWGZHKKr1MF/32F66Th6a
qJnwaiOyQL4OBfJaM0Avi0bkEaUOK9YujlU99QJ0d0MlZq+c8PRAUN18Nc80rurHzHmRQkwpEoAF
YhBlZEIsktnR7maRuajRSKcOpNYNGYhyyYOKmQUDIgbIYBZCWPZ9E6OCAdiyXwKoc98Bwb3CRMSB
ZdAshYLz64oz/IoIgqmqqPotZhABqq3WgRkNmf3Igg3GbsiBA3MsKv4jCSEYABETMRj0uZia+gpZ
lcGK5HNrs3/1B78U2H73N37Tlstvfu3Zf+W/++v7Fy98fOdYAYoKmzKjiHi12ebm+i987ZmTrY2O
4P33P3rkhafV1IFdiFgU1IxCCCFG4ElKzGxg+/tnnvm1779/997eWx89/tSVadMaIKFcubj/6pm9
3/+DN7/3L++r4a17dyaTads0N477+fHyyy/u3vjsc8DnAWwA7EXuHc8PTo5e/Npz73zy2Zuvv/6r
j547u7P1o5+88yy1X/zstYtnzxK3LZoYMnIespkbA2wopY1JihQv7QVvUkNfosQQGElBQ+BIHBtS
00nbiJYmMWFbRFKMVnIIMQuKSAhRxJACiA5AXdFBMRoOokWUREC19F3rVGHJ0cREGclUWtNBhpja
o6EDA8kGRTJQMs6AxawrhhlMgcEKEShgCFKGadMEQwaeJaY2rjWcKZpBiEEyYkAj7EpJKfnrHfqe
KA5ZMwBnLYZZwRQIEEUjEosiQPCdT1FiYRUCyMNQ4jBoKUUzwmLIZbHQAkSGgN1QpjEKYLaa8ooh
NCEmDmtNWmubgNaEKIgL00lKkiZGAbEVAeTUWYkYBRtRaIEPB+PU9LJUoaXm1igqRsozLh0uoy3W
MSftWx0SBZHORA665YkI9KUrCoPiJOIQby2s1daEZkQnpZ9RihzXY+hTmDWMwIH6nRmayu4UGopr
kebK1oOFICEVRGzi3WGYtrPjoRiGOxnXmpZLUTMRnCBhyROUaB2DAtq6aLEcxAhxXjotkGXoh3zc
5a7gMeaU7WRZcobDRc9AyzzstdPOYIMDBla0jTYEjRtTbDQ1Da6HppTcJiptamIs3udpNKAMOLlj
neSoxjaUGTdZixRAEwTQUkgH0r7BHGRJpgpGglgGJVOBbuitmZRSisDJvGNK/WBdLmuTKMaihBjs
q5/MbByQCLCogCE7ZYBhRHdIrbEQMzUMSBXlMfo2T8tTsNYbjAtTG/2Oq9RHHaAIVmauFQUHVtas
VYGYjbRXAAY7s7m29vRjpRTP0rtBi4hijLRqrgb1JmpD9amEVh5jp5Jq9b3V6WgsxdrcXH/ppWcq
gWksJHREp6cEiVZdKvXbplXGdezfeyBUdvpq7E9HdkcpWEfoTw3qWgU4rfSV2rM2nhNW+mr912rv
JdY8r08mNYlanVQoZuDMTFwNZ0B++nBZSKEWqK7W+e5EHEM2I5RCeewnwVOvKYIDHmEVhq3dNmO6
EVfO7doUB+gbVqy1kIy2ksir0jsH7IpWINZ4vHB+Um0eJzj1cp9y7x3tpERkOkaTAP0x7a3gdVkC
+KC7fByAnXQKZiCiMJavVu3LUZu1/7CG36CW3woRbq+3B8fzjbV0/3hZZ12vSbBVyhYrxmu0Z9cq
prF+oB7XqozkX9rNirWxoKrL1YUNpmrsjU5eIwkI5OkhHNtE3HU39guae5L9B7JiKPqHNNXeUtcm
9fr1W5989oWaieru1vqTjz/CMYChLwfU0FUUkVLtqSZESGBoSh5VNwFEp6G609UhQGMRJIEKIRcV
T+2SiySMBEbGZurUDDNjCgA0lFKrFby6xRc0QFQlegnh1JX6VSIMOCJDAb2WVoszPtSUiNQ0cjKQ
CjLF6klQ9zDXLhQgdMmV/ULiWjGDNrKyfDqlin5Ts5rr1tFpP67K64WrWh6AXY+3HXKsdkW+HR0v
tGSzNF/0i77/6evvrc2avZ2d2dbmmz99bX9/9/jg+OVXno9NK6bI3C2Hre2tbsivvvXON19+7qc/
feO5F5569a13Xn7h6aFbbuxsb7K1W+u//ds/fvmFqx9d+1JAXvvg2q++/ORPr91plidnH7n89nsf
nju/B4iB+ebNmz/76Ztn9s+8+drPf+0vfOO9G/Nr77xXCn7juav3cHrv2ieXHjn39KPnN9bXvZSr
wmu8ZoFOK8Eq1m3VPeaOUKAKQyLw8C76vF4R38AI+AA31aXXCCg16UEKUGoiFgAgACEog0VCAOgN
BI3ARoCnL0dqaaICiDlsFLyAhABC9VRisVoK5ZFrqv4UK+oPBUOASJT9Jzu2oFIN9+L4+KkyIQFN
AndmEeHS2Z1/79/7d9oYmklz0h+1KYkqIRPYc888ub2zdfb8uWUuf+6XXjl3Zm9t2g59v3Nme317
M6UEAPvffIVjODk5euq5p9u2JaYA9C/94FfR9Bmm0KTHzXIuCWkawpUnrhjBYOPDuK66ICgO1eQM
imQm5IhsQ0MUwApbAwAAkULIvlusGxgEZvYhr7YQnbaG13um1Vv9qi0cfGMqgGBIWnHuaF5+5t1F
tQDWEWFqempLGaVOr1rVVVO31zuDEnpEhgBARAJXp0JRYSQP01ZKX7Un+XoRamn5SEQ3QJFCOH6c
zbPoXvbuXLmxygss1CqByMSmRuzwMAjMjms2E2JiJofVk8fyyDyCG9DTNYCEbGpI7ImdEAIh+XMO
kQAFkQCpaCZOgcMw9GaKGABExIcCnYRglpEwBIqFY2ARKSITYgNhIiZyBcHRd47ltdWjUYs3tIqa
IRXRGBQRTdSKZMkhsO8u2FvLQAmUwM5srP93fvAXzmxt3H7v41//K3/h0mOX+6E0HFOMxMHT80UK
IzZtOpx3P3zjPZu0B59+8cyjj4QQtiYthTCJYXfSUAhtiCEwYIwUGsIYm0S0MW2fu3K+W5u896M3
pO9f/MaLwDyUMm3TL//Kt3/2o1f/n3/3P29D3Nvd/ua3v/7UpXNfXrv2d//+f72xvfPY1Ycxpr21
FMNu4LQ2w88+vfGzH79OoN/93vfObJ371e+vv/qz13/4Bz98/PzZr730rMbmpaeuru1umelYZIwp
BCQMjBCC+5EXfdeEgGaDlBCiDgXBKmsbMJcySDGjIetJl3MuaiqGimBDr6AtMZRCYEO/bEK0MnBM
AUS0b1KQ5eB1jYFDQewUKhGWAyNpMUXOyJFYQ5gYUhMMSpuYskyQpm17YMMs0WKwyEHMsdoYIKgA
IPVFo+C8KHZlKZkAA8IgBXM2EOYAWhBUSjYVKdJyICkNc3E8pgvFxL0IqEez3Z0VDVkAzSzGGGMU
0UBIkbEJnMiQmkBmgBaaGEqPTFjUikkxyapdKUdZqMsHXTcj0UiW1fo8FAkwMCqKtsAGlkQEVU0b
1CUODQ6JNJIREnDszHqNB8BfFg7QfKoL03g/aBa0FDk0k3ay3s4mRDupIS7trOl0EaZRGQSgYdLA
U8b7qmI8z1YigMiy8HCc58sAZPd7mQ99CRaLJDEo3XqKUrICrkMXKK/LnEJpsRPCviiqArABGjRi
UdHEinCrRAPgFqVMgHES0zBtJ30ettpmm2LphzQJS+UwSWUoE4xrISy9AdhAC4rYSW8Q8aQHHIaY
wsmi3wxp3g8YyEpBzkycZGi03xaZQa+mhXNAG0omTo7lFESlViAVNAEuAWXIPRJxatLE3S2z6RRU
2si4NmsSRYpNhLZBKzptQynE9JWbErIqA6gUiHFVCYKqZsiB3HPIFDyNI2I1mw8WMNRzpo0GyIpy
1VqEaETgfLxaqEBQi04BUEV9WhjrK1etGADV5FqVIhrLDwhhNmmd+htCqAJeXem62c4q1OeUgwSr
oCbYAxt6GBusVxLuygw78mDqLGhaJ1LXBqHWjlVYSN3eVhdxLSWsOBmlisXxlhF9oO1zNdG7pmyI
5LHAOnqSy0qotQPGENXR/EjkK4LgJEAarbIADxzsXMElA8ulMLN78vz8MMaePBcHK7+fVY8ZekEo
rnronTIyWqG8mLD2g/mJkcYixnrA9wJtY6rlQ346dyggEar6YWBFyao/XjWBELLVh74fYwStrhFq
CWvt9FyV5YzaPnufwdiuWi/LKsvyCCExANMQYHOtAbTFIN2g1RPrh2M61WMjw/7mJIvdOe69UMTG
P0M0Tp4AkeCXr2z/s/f7/9bje//p658T6ksX1htyuhC/e2d+83CopMC65wdE1poMrsfxwH4JAQJc
2Jx0qvdPlqMlDipiSW3VlYkPaAQewTrF2yA52N93leIASUQzJYC9Nl3YmL5186Cs7NVuNhjZWh9+
8PFiMX/pa0+llHKW69dvvv7Ge19/4akUgiHmIsshV2wkaJO88sO7W4CJ0B3piALgTl6fwAlJDBbd
ktFmzaTCTsAiM6oEpqr9GqiKO5K8wxyJilQN2C8ewpXjF8i5We5Rhq/c3qxqRGAIYoJaLdlFRW2s
sDKoMddVca/b2RHG5h4yk9p2a0LMzr/B6vUDHS9x11GsDrQMBkiEVBnm4w0PVbWYCp7Sisjbg5Bh
xZzzXYMfHdVMBZHWN9b9GH/r7t0bN29vbc4WJyf9MMS23VibfvPbLx8cHf3szbeffPzKZDL98Y/f
WJ+2u9vbTz1+9caNu+sphnYa2lYN7tw7PLh/tLG+Pl1bn83aze3N3WPZCXk6nYAamCCySrl08fwv
vPxcNvz5Ox+fnPTd0dHOZNpKSU1KGk6KztbS/YPj9d3dmJpTrb7uj2z8iNZVD44jazWRgiFYIJT6
AfF2VRzvSGBqoVY04mqhxlUBN/BcNJARRYBYl3o1NaAGkbmow5EY6k1PsMZRFYl1TJPWadIM3e9Q
q9SAx4ZoGr8FGwmmSEDenkIkqtmUjAhQfRKuWU2X6QCA9na2Pv7ow1d//Kpr7FLEAI5OFk8984Sn
AQLyxQvn1TSbNinu7e8awv7ZPTIDhAZUAE0tBoqIs73drpTsWiXCdDIhNEMoBhGBGw7mVm9QADJV
AFFLxKBKDLU+FFARKtOo3my0EnwACCAQCFYLNIwhD0B00LhbKsy5/uNeEgwCsQ9yWXJk36mZq5d+
VaiD2QFVBEcgdn3YYqVlEXoudfzgIInWpSKSr7TAD8ljrxesBsmcC2QFg1JJilRK4dFuI6bqNXYj
7qx2orrEWn/TxjSo+17AHwSm6seJXPJsktpkv/DK02YamNq2RYTvvPJ8SsG3xlwfmQZj+zQieoLC
+3sCIzQUGCEbJgpdv4S24cClL77Q9OIyQmJQJkauwYaxpQCKKYJyICqoqn3OgTnEWHIemGKI9ayG
VNRAQdW6ro9No2opNt6zUEQZKaXGzNqYlkPvfGJVY6bATIhNSExBwI1tOTVBGYvIDNEIdtamf+VX
vzv84ivra2vM0UhVchsijCY6RoqAT+3vT3/tlwGAIz32yPmLZ88g8a+99ByYtYF+9RsvNMzI+Fd/
+etrqSmqT5zfvPqv/iUO4S9//5uMiERP/OCsSvE2GwNbS2n60P6V/T/fpmYYBiAKKRWRf+0v/4XA
7EmNEMIvXxBGZAyE+N1fePGVF58kpEnb5pyvntm5/P3vFi0pJTUdpHz7lWdAivfP+o2hlEFVc+F+
GAipiAx9LlFykT5nDkFNtRgixkq0h0TUNsE0AFlsgojEFPpBYoygagoYwiCqsZEQRU1i6nMWpAjE
HJkZTb1jd32aBoCA3u1ngoWhlNxTTKCWixlJ6QsDWtZBS2/heBAl6YqFkjEygzEAE5mWGDmjNMEm
kSYNS58TcUFoYmJm1ZQRlbiwCLFxjCFpEVN//mIgThwCYUNUQFOKyzw0BBApF2E/9xB2ZWjz0Jta
FgRQMR0Es570y7ZplsNgKXSSG+VcBgNjtICSUKcRp8GwDYmoEBcJTEQUlJgJisiAcZ47owBkGZQw
FMtEE6a+Id5r20RYoh7rcIZS09Aa5ZJgzZZLHNSMYDLkrvTpeCg9IPe6nPfrEOcnwpBTFiBoSDtR
A2FWsn4rwZQNAiwhr02bY5P1iQTEiMihGWwIsRkiLDFinNzrTibtxuF8aJtpXpa1OAWQgDZJQQec
JWKVEACZlzJMOJxgbjGSFrRScj+UcnCyWGQBy4OJ9Dko5U4C5NZwyJKzahEQSaioedImjDgJpsFS
QwiZGmjZYNLG2AgEQBCOEHmg9iRmsJiYRQaKLaUuREZAszxNDNnaiLkvKbCA9iAtcK+ieUDAYchz
ysu+cNDlsmRhM+lLAQhitFjmRT8EDF/ZyGZ1V6/usSEcI6N15FK3MCkgYi5GYkTAjEYgomRO7PQx
xt2t5Bw8eqASwDWrkU8AtQikShQ1hqoKNCLeVWs9oI3uyirq+qqzFtKwnVYv1MheDXjgaeH7KEuS
Sh2YAf2YUYkgCupyljfbjD32ysxm4j7VFYUSkfOQmYmJwBvlqlcW3QZoo1DsWtxpMX3NVzpigSs8
siL2YaR+1P5YE6tPLtewoGIzV+qzT480imk+USBhTcugP/KMAIBIVZWouuegzgOuWoiZOjcejWse
q87W5LhAUFUIiGrKOJayg1tw3Xq3Yi8bIRVQL7IbN+LwYH+j99kw03gwPc2fGpgilHEeGEuGqo7p
XNxVMY1r3ZNEf+s7l//Rm9cPD7v/6bcv/xfvfPHG7S7EoGIiGgIHZjHJRZmhFI0p5aGAwsVJ/Jsv
nX3t1v0LG9P/+LVbbYjrKd466Ya+bM7alNK9xXLI+cVHdnZbuttBV2y56M9tz/pS5t1yb7MVxOPj
k0vbm/fny6PFMAlEIASCKL9yefNJ6t7s5dGLZ3740d1HticXNmeLLn9892SSeBLCZsvTSVKwd67f
maX4xIW9Lw6Xx/PhpUs7Q9e9fv3e969sr6f429duquQr+9uf3Tt573Zf5PQ8VDMoKrXMfLzeCEjA
43XV9ozk2Sgbr3C42NLffmnj338r/8n1uWuYBBi9Vh3w8Pj43sHhyy8/P18sPnj33XMXz56/eP7w
uLt95+DC+TNg0HX962+/9/77H1y6sHP2zP4jjzwMgDEyMff9IEVUxNTW1qdF9P79g9SkdjK5cfse
EG1tbr76k7cnSZ96+qmS5d7B/f393dA6NNplh6qiiaGKSvUaqBoEJkM1FSJAs+CrEVQX5UNgM/Eo
2lfTSw1NQU1qHSohgLk1cdVq5cK+76BGD4iZoSshBjq296GamcgI2q30I1uNnWOMgYm8CkpU0MhW
I6uZqCLVkMSYfbDx6yoiZCl+Vw0c1jemX9y8M12bMti0afd2NvqS33/ng6defPbM2f2Njc319fWm
bcEg5/L59S8RaRjKpG0uPfzQP/5P/uHf/Ou/JqUs5vPlcomlnD1z5t2PPlrb2fmFbz53fHA/pXY2
Wzu3vYUUd9baWWingffP7hIFQJylePnKQ0ghIn3nW1//+KNr0xiuPPn42r3DycbGWcONpx9P0+m9
L2/kocTUVCDT6Q7NVkVfKzrAKh0wtuECIHCtRnbas0fTx38KVsRs8fS9eQ8WAhApWFbrbSzQ8ccZ
ISOqWVENxGBWqk/D0Ml6DiQDy6YRWcAIiX3N5/coNSBkpJFQraNLBB1OG9AHaF3hnXz/pOaFkcBM
paghSV1w4HTSfus738wigJiIg9uFAIDZA8kKRrVCFgyggJlBMAtEhkpA3mBfvxeDwKxqRcXMO07Q
EBTd+ORDo8dwjJC8I6rog526IGAAOKix1U2gqBVTJhoMyWxQQ6JBXUBWVAKtPhoBGEyLgSoEYjd4
IjuZzYZcyLs6DQwsmw0qxQPPaqAIRsWgmKlJ9m2TGRoW1S6XEKOp9qVUsLth4FjEhqIKOJQiYIqo
AlkUHBIOJpoDWDD9zqx/7uKWiCoaMgFgjBHUQiQ1qRAsYoLT3LWb+Ml/9B4Zr49784WRQ5YQDBSY
KZcClaiviGYqjM4U1LHUAEdPk5gv4mwsIfMfkFoooq5XqmSwgIBDzinWAICZmnmwngctbEREgxeW
uuEHUEQ5QJE8dseZqJZSmiYFJpFMCIAaQyCAGAKIFtUmxuVQvFQ6ZHIA3pBzQveye38vuDHVl2rF
fHqvoav1Sdu203ff/fTxRx8BQ1FxXMXR4VEI8d7R0fvvfnTx3L4okJqqK222PmmfeOKR1KR+GFKg
gCylbG+uObOkWY/MLCLTSUNIUsqkidpEVQsxDnnwnIMU8V0jmDlFmpiQEL17AI1MA2FiKqX4EkzU
Anu/tpWSA5OqqkopxfkPXSlIpOA2KmVEEYkx+HGEmYmQGCZNAwDu3IuetuXQxHY+nKSUikoxoxCK
FEHsCU9UojKZqiqqLUphCqqCqqQW0XIp05BUzYaBREWlITIpBGmeMyEXQlYaSBtBZAqES0NSVI7Z
kAybFChQacwYEoeF2EYbc8FZG0uXZ5yUMJc+cTBQUSyABXgo1ilgnztDyZIDkgiAgkoAaimUoq0z
slVQJSKgKQEMOYtoD4WYjhbLNeIioFkQYN5368zOSWtSDMxBJTSBUxCVHKENXARior7XFGNGjiGW
omJFkApQb7QQSAWWhrmX3CCJghZCIxAGKNaThmnCKMVMihYiIxusDEPusspBN7TQLIqQhoOejjOV
jDezhBC9Kq+llGPmCFst57LcaKE13JpSKyFOG+vLADZtmr4UxUkH88yzuUlWBqROM2sqmuaZj9W2
iAYpQXMCAFgkSibwEMl6nmfLG6UHGCCTiPZDPuF8nDUUutdDyFjYtOfIWAomwoQAFEJqY+jWJskw
zxJPkUqw6TR1UNpJw4BH8zxrmsPYCCQhMwPRcFKGLCAWhmKBwkkegoVuWHLQAKJF2hi09I3xlmUW
YcBcBis0DHOxQBZyLohlMRgtbZHJkJeWSaNAYkY1C4gN0SwyNWF9GhgwsAXCrsO1aTySbjJhgPbP
oJdaxVtWPxQZDKU0MYKaI47MCxEB9VRhQLfEuH7IzLVFE2sDqcuIoxBak2xe5ibOkEWslTAeAUQU
MaoRvnFSq8KXMXO953nbu/9rY7hopXLa6XJ01PFGYlDdZJ9ClerBqBZz0cq6a2rQlfzGa2+d29u5
fPmS6yS0clcCiMpPf/7+Ew/tz9bXAhNTIA6lyMHBQd/3MaXtnS1vZawm27p4hYPDw2mKk0kLCMXE
kcP2ANXJrI7itOqWqN7X2u+qaoyjSxBO9T8msqrWqlmNm+po2XUXsZo5ywHUHDUvDo201WmZFIzG
LBBidWExkaqp4Sq8VyNV9ThnSCimY0OHIYKO1Q5Y04M1alnRi2AiQlhr4larB7/JyyiEjnQUBFTf
2Y9wzZEJBEYIkvPje5P7EUnyWtDvXJqd25lmtd//8O6vP3fh7rxfj/y7n9x4+eHd33jz5jef2X31
3duLpRDCss837s0f3V4jLPvrk8tr6ZkL7Z+8f+d/8tJDv3vz6PB6jwUDkVg5mXe5m//SYxc6KZ/P
Yb9tv//U/m+898VffGrv+r3lc1c2fnztrkgOCBGAVBvL/9Xf+fef+QvfPdmdHvT5L129+E/e+vLP
PXLm5uHxlc200cCV/c0ffX734uYEzq0/dGbz1Wv3F4WWQ//ejTuv7K0/vT+9c3h0zWC5WPz6cxff
+ezO9x7eu3V86+6iCtE1GFW94qhQXcurd2Y0kSu45Zs8HF6ttAS214b/3nM7Hx3pnXk/YlUdM6z3
7h3t7+2Y4d/9j//p7/3Wb3zzlSf/1r/zt8+c2b13//b5c7tm1k6bl77+/MHx4oknL/3BH7x1cHSM
2OzvzTa2995/9x3AyfL4iGJ7bn/78PCYuWxub+3tnemGfOPGrTNnjsUsNHh4PH//nfcfuXLhtR+/
+u0/9xJYUFs5+f18hi6RuqJiICqYAhlW+dePbA4fBkORMdbzFX8NpcQQFJTMmyAcrOqNSoZjU5LU
O9gqR+zZ6vEyx7poG1cttde0rsRqxv602/kB8ynYyJh9gC5kkZwlOp6MRT17mUzNy3VMifDl5x+/
/uXN4+Pj73zr65NJmuV2eXfx0svPb21tzb72TLeYr63NvHckhnDx3H4Z8pXvfWs6bW/fOXjuiUf3
zu1Rap558qoaphgBcf+Xv0NMD41FU4T4i19/lpmfnk6dGbP37JP+ad7eWNt59gkfm/d2Nna3n/M7
2EMXz/obO5u2CLC58SiOlpbaNDNG88Dfh2qGHSt76z3BxjtfjcoXUXK3M1FtKAIrrsxXLLPjsrA2
bJvnQnFQBWbHRvMY/yaoQN0CdVSj+sZbYFQw9fsYggCSg3aR0DQQZfD+YQGAQEhIXG9u6kVBAH7D
tBWB2UuAvce1wrWJBKAgLgflQbJpBiqAZtAXZy8bIGUpNU6uCMi9SG9WzLKnAhXVIINmtUEVFM2o
iCmCmopYFgXgQdSQslkvooCMVBTMrKgYQhEVw1wUjIooEIlZViFiESvFRE080GGaRQVQAcWgqBVT
IGL14mItir46E9+Xmdk4Iq3MNXC6Y0UPrteibFRXvNH8yWXoVCGP0pD3Y1cK4Njjbf6xoVqgDWaK
XH0yVbEFGD8sBlYasK8/O51MW0MoZkBwfDy/ceOmipw7s7e7swGIxa98WyX/ofZmGbAziswZT/Uy
RgYgMFEEoEAiEpgrwByMETCw211AxufjaHoiIgWT4rZQ1hGKQIhBTXMpwMTk/ygRATOXkkXFyRYA
4N19DuBiYmbOSIFDhVggTJp2uewSM6WmiATmUgYATDHlnEWN2HIpHKI/B0RUHUtdDNT6YSDiLNI2
pKZOGiAYfx5gADaNyZuRPNe6s7Hxi7/w8k9+9saHn3wZaiUxMgITBuY8DGfPnXn+uSeZGZFiQDBj
8lRuCMSKxMSBWErxN1FVGVlVRYQx+BEzDxmJRJQiiLfxIpqID4cV3Gz1lh2ZRKRGdvxgigj+kfGY
lFU/HCNJzsyBufhA28QwnU66rksxIbGVkogQsVgtJFA1QVMR13GGUohLn7OqFdVsYrmvtj0FNrOS
sYcpQjA1sGxCJgSO8yY1U0MxzASCmAFTSuAEKKAYIgKGGBqOSkhiU+KIpFKaEKDgekp97gGgjUmL
gmFRyKYD4HERw+GwCPVDL2pliInRzEom0CyZaIJWGBVBUqRStAEk8vA5EMWspZi59Xcw1CKJGAwG
h1MxpRgEpG1YJay1obfCgdjQNLQpnvQLRCwAg0gHxll7k6QoAkVhWcqMOYOJSW+FtTBoNEUdIkqD
0lqesooOTXCbTDFjNVgWVY7Hg+KUT7I1EzaRwqHBZNhwmIawiBzXmriewlYbpFtOpjyxMJtwhDYx
BCMoJqqmsBCbGw853u9wvlCdhFuLHGlIvXZY9gEXeci5SyCUF1PMLRgTTXFooTPKEfImRykCGAXi
SUkGuBywCeFY55HaI51vxFmhYtREsk0MTZNo6Ntgu7MAgE0IHUsz5TlEYw5Ig3SDlN5sPpSDPhcl
I7TBMhUteLLoElDf59R1UDKUHrQLwColWj+lmGlAYmbuSQCGQBKZVcWQe6ECcZ7JaNJpaWMzgEFs
QizTSQTFQDppA2HcmIYAlBKsU5MHIYYBwZCIomHuBp1n06WcLCWl2CAsB9NlWQym2BcpEL7y2czM
kJGJ60wISIwi4i0COWcg5BBAUSsJ06phdcynrVKjtVOmZqkeaKQfG9XHJ8rp2FZxE2P88vRb8k4S
c6vWCLwZmSJjslHhtIGw/qcYXPvk8+PDo62tjYcvnQ8h+MzWDfmjjz977PKFEKMh3bh3+NbP3tzb
2152+bFHL+2f2andjoBHJ/P5fHnhhf1SsqoGppSiB0sUsRSZZx2G/Ed//PrjZzYeeuRSO5keLLrf
/t0/efmlJyiGPpe7d+4Gpt293YPDk/nh4TCUc+f2/5s//NmFBM+89NzW9hZUzpC/ajvN34ISkEdl
TA0UcGVsq90PgACKIFKf2UDuEHZiBI5EJUfwa8Dx7X6gs8dqpApUxOfIVQVC1RW0vv90mgmCVZyy
tmiOcrqNWw0ilzSREQFGAWT11x801o6ZZLNTbNbYCAjskBjDU/+VmY/6hkYj99Vf/gcnSwR88aGt
N24dTBK/+MjutfsHe+vTC2dmS9H/+r0vf/WRvXNrs5YBUSNVapQhzJp4dn2yFGkbmrawvxHPrrc/
/+Los0X/o2t3iqGB/eTj2w9tt4/tzh7enp3bmPyjVz8+Kfr47trbt49uHub4SPPjz77ggJvTKSGB
GoJNAj6xNf3DL6/91v/ld3/w7/5vxC7//P7hF/fmcvksI8wCxoBHw/DJ/WMl2J21TQi37s8V6Km9
9W88NN0gwiXMj/pOhWOYRt7bmN456XL1SUPdPjyw63HgrYdRtRZZrNzRNnKa6ybB7aei+kefnxws
em8BAQD21B/iIDKNLKrd0IsWAwGwUlvx1MUEVghIDLwxW3vphSfe//i2gRaRIoWDPv701Szhs08/
Ojk++eXvfyNye/fe0ZfXr9+9e9gE3dxY2z/bLJbDzdt3U8MUSB3l67cRxyZXlpAnusFAY2ATcZkg
MBtolhL8ZY/eXa2W5q/2i5HM1DtBfCgi8sypx2INCQNzbUAczRpeMjzWNPv9h6Dyiki13qk8dCru
9GMPGLsKSuJxYhoDpOP+yh31k6ZpY/PhR582MVXqMsJyOdy9e3j50lkRcdVxYzLZvPoIVEAE7e9u
7+1uubV4d3sLtrdWvDom2N5YY0IzE9E7t2+/8MqzITZqmFIz8s2RK/AJkHkMh58GBMB3HHa66hsR
67USDGukYkx+VhRedYus7u015q2V6YWVf2wItSx3dWdwNICvL/3G4qoPjODWgN4bag4Mp5rd9ZpQ
qBF3GBk7I08gEKrBoEpMRStVnhHYWyHVrbNUTGr7kTd4ALn2au4x9Q4tBI9BespUTL1dNiAbQnHW
dNVTfalUQ+YC8knG/90P54N2vUjdzSGpmmPA/dZKFX1UfxQqAoC1QBhRVZnJTre4tfvHXK01UAUT
JURApbHe1wzNrUPkDnBvEDUabS8YuTrs3D1fYQVuM1p1EtXh0I/zZgrAI8PKc6J0GvBxBgEhqBMP
0EZOMpgBoSf4fdHpT6uxmsSlxrGtzPEEbrNCIyZEEx3JbrQKyBBUoG5diFSCPZr4Zg5QRd99+/35
4vihS5cQ8YOPP732GT//7BNellMv5tEMBCMLPxCNtCAYO119ij7t90ashUxm6qQ7BctZAjtlgO30
M2SAEGrvt6G3tSGKSADkypc3C0iqBUc6thomDoCliDKTD3UW2Eo9a2UpDSUAKKX4dy+qqlZESslm
KiK+Ts6lZBExDSocQ+lFVWJkQiDGEEMWjSGVIk44TCmtKoyRRwHfXOxWZiqlCxTObW/+2ve+FSKL
iJoFDoggIqlphn5AohhjPwzuepdS/KYjJTs5Kg8Fo28F6yGjXpfj5huJmNm/DZESOIiWGGKphwlG
FjENIYIJEDpPiwhDCOwEYBHvA9cRVDCWHtVnqi912XAo0g15ELHi4bHCSIiUi/rtUkGqkV4tBOZC
YDppUulL0zRdRo/o9DkDIBEZsjCraEaIFEwUkRPFgASMg2kbAyCpaQM2YyaRFhHAEmKvCgbdkA0N
U5RuoBiWZRAQptLnDP0yS5kFM1U1MYNAYGZtjMvSbTWpZN5sYjSpLQv+/VgQQuWYOSzEIKasSByL
QcNRaWAkCsBKkxS0QBN0ErSJMZdiYARkaou+N3GwZT5e9hzbZZdDAFUdpGjX9f2Q24wiHLQFZLIG
aCh94JiQyGANaciFzAISKBQBMzrOuhiUkt4XLcs+Ri59sQZRTUqB3CfCYLnRLpQTKnPOUHKfM3ZD
ns/nx5gOTxaM8c7iZCO1JyJcBjwqZZhPl7Ac5lPuMCIMhSDJ8mgtrS+7O1MsF6abR2BbacitxQgM
ZEIUooQ4YDO32Gg7B1gKtKFRAODpwvIUG8QSWCdN6MpyvQ2dDCE1BBlCnpFsR4vSgxYtYWGau8wW
hh4OLZvhfOi31uLBQbeN7dANMYYElks/s5RwmITpbsJJREEDwBBBAISAERkbClFDO1CzQCOzEKNE
LRQt2BJknWNAnsUWYmG00FAe8mxiueu3Zu38ZGgDBBoy9mS5LwscpmTYDSJYlstSZOizUT9QE2Ao
U0MR8VJ1BmkCaCwT7tMMTYcYA4G1CUy4nbTLDjikr3oyczHK/yMxj8UfQIxmEpjMwZL+ILRClHzV
N9aw1YMEMVu12nrM0qeoUx/aqXa60jwRH1ALxyo71dHFVk87xFSG4vhG8WOr1qm4nqIQAaqF72Q+
//n7H3/n5ecRsYjdvHnr9q1bbTtZ29n63R/+pD+6/8TTTzfT6WHXxSY+9/wT127e+/Hrb337m19/
750PDG1ttmbMn3z06ZNXL4XU3rx1c7Hov/b0Y2988Onzj1+6udSTL28qUB7y4by/RwfnL100wAzW
++LM8E9+/mErw9Jo7+a9DxfdVl42Z87dfvPdZmt7ZzOtb66PYSQjwCpaejuijqHPmtUZJVqtSrI/
dciTVERip0KE+8q8AxPR6Qv+U4MwHhwr4hL8IDWmHaGSXWW0HHuFJqLVEM8I4dXaIYnjccRX1qNT
DStxx6O4VLkJMh64V50Bo48azLkXDj71GcD5G9F7bh9YQ1BVA3UlkvsAokDZwru37t05kd0QwOTe
SX/toOsPyvV73RNbm0UQgEV7Q3zi3Noj6/EnoEiUAQ+HcvNkOL+zth7jw2c2Pr19uNVEAej8KGOG
iDvba+c24iSEk9zfvHv0K0+ee/9EQt+DUsl6dNz9lacvphh+58btSztb2XApsDttH1qfIeKtL7/4
h//7//Vf+1/8b2/YphF/dv/4V588v5n49VsHlhEwLBXvd32f5S9/7ZGP784bkYChAJxk+Wzef+Ox
8/3n935282hv2tye52XWMWiq4wO6fjxGlrWjhknESZNjU0NlrFA1zqmeKP5nH3f/8N2DUvszFRBa
Zp/KdrbWv/j8+vlLF/7G3/i1b7585bHHHplOpvdvX7t68QyBIWExADMGQAhNDIRNCs2NL6/z7RMs
RgmZKQs0TSTafPuND7c2N/suaz9MQpggtpPm049vPHTl6plze82kWZtNOTUiZmYhRBUNjKDKiBw8
t2lixohWdSly9I0hWa2MAAQjNiLqtf/Kgml1z45NEp62dfavj0TiXmd0P/n43tb33HMHpy2gdewc
sc1Qo14ASPUwTXUGrgWgXi4AK7XU1+5tDM8+9fhisTCw8f6A2zt09erDbdOMuwa/VdfvGWto89Qz
v1p3jZs7R1BDSvzCs094MgMeqHJa3U5rsq6OIjievMfZvMbd8YGy2NN3wFSZwqgwnU6w8KeTFitA
FeKqrxdGcJqrZV4hY5X7rl7uUvuuPaw95sk9z+tJPfDYbxhxaAFAVQW8FaZqsV5qiQAMNJiYeZDS
amIZgSsRwNQ82DrSBBBNCz7wcBqrnoqfnmsMZCz0Dn6jMzVgHfe2TCSiTDRguZd10ZuoVBKUFbfR
jsAAqCUl/iVFK3PLVKWGXqRIbcQxAyDxZQr4O+WY+FrwY6IY2Cd/AzcamKf8xnUC+c2FHalXt2Bj
XB8UwC6dXb95b35ud+PzG4eGpOD1ZisW7AOUA7NxyzCCu2oPcHVOjdkWXC0ZVZSIXYKq+0cwJEJV
EAViOzU+YRXSmOvUawBAVku8gBAe3t04OFkedT4OsN9M+jpKwmefXddSvv71l5yYePbM3nvvffTJ
J19cufqwmWWz99//6Natu5rz9tb6k089nlIMXGP8lcEBQAaihmQI5GNAFiOz69fvzE8Orj76sAHl
MhAiMau50qcApIbmOwUvGnKUxurjiBiGUgwMkf3xTMSuLrtBd3DhCtCXB4CgIipio8MYxwVbIDJi
JgI2NgyBASIRE1Li1MTGAHrpmakfMqBxCCUPamoCqhY5rPghCpZLblIkglIq2rCI1jkWgMf7BzGq
APrDXdUNdSGMpX/gGib7a2Wu+yn3xEYMIoWJRzbg6eoLVzEvM1HlEIacQ4z1U1GhfHq6PzHzRRwj
FhETzeI2ai9Oc9latWgIIYuGsDqY1rA0EU5SZIBpk0rJMQYp4EqvY9ViiCteoZaigGLIvhMi7Epe
9MMkhcBMdfVigQCKkKiJQcQ8DG1KWvJCBYgXfT8oQs7MYV76+XKZpEmAZNKrikHJBQEZ0IpEAkYD
hr7oJEQZNCI0SDn3Mcb5cplwMl8uMYZe4ajPszB0vdyVOZh2Qz+ZNGXZTSfTMuSF9knL8uRwY3On
OzmKaToIlKGkJpW+4xBMrZeyPpX78/myk6NuudaIElCWOGmk7zAFBsx5SGGWENFKQCUogbgIBKIm
hD4XRO6yWuCuH7BtigBkAcJlkVZIMORiRTSKJkIpOo2BCKdkuyFMQkC2hZWmaYYhI2iMzaIMTZwe
zruGpyfYKwWLICgxtVMsaZYm2uxsTLjB9dDsoekwTNY35odpOltb9m0gDikcHs9pNsGwdhKxTOX+
Yr6Da7f7+1rCUaGpcqsyIwxWgi4T9y3PZ9wIHwWjaF2xQTKS5WXu0Gi+7KbI3RJOmGQZSl82mvag
C9zwyUAz5QwMSC3zNGGYpF7zZBZUytCEaQuNNLOGTySkJqkYqhi3PQ0DpCUKClOkor0YmZBLQoPk
IJmwBBsmWExtCtxZjplyGSIYhiAi/VAWWY2pKyIZl2CHmZbHPRmx2iTEI7HGoI1tZIoIYLg1i0GW
6zPsByQiIyhITUIEFjUBEmAB7jUkbLuiiKzK82GIbejykpMWEYDhz6AYEKDnFVWFkQGBnJfrtQ1q
qsUxp6WUsWoSVpRIHT0U7DffevTQuu6sSojV/zEWmY6p+xE3hOgHXzBgYp9zbMxkIdKfCoWZP+Hq
UKoqFeeD0LSTC+f2P/j4s9lksr2T//gnb7zw1JWPP71+menSwxevPv5obKOCet4eiTa2Nrquf//T
T7/88sblRx6+9uG1F1958dGrD58/f/buwQka3rx57+bWrYNlPwx5KdgvO2umxLyzt3vx7Pp0bTbK
j4LMivD5vcPvv/jEscGNt96dbW5dPr9l22c+vnVrsrUWmmjEuSgxSJEYYhly08RKnkQEd88ijI92
eCB7tnrCGxPr+HRUg8AoalzBQ6AivEqquD+W0Fx9HuENTHD6xjtAaDwhevG9n2Kp/hjrQClaPW+n
G4eRLKXgtQqr5PDIjEH3dK8swJXAP+YJx6ahsY0OABShiiCjyVlPTUOjFO9dEQof3Om/PMhf3OnP
ba+jlldv333s3JYO5WS5/KNPD4vSH92YL4f+y842JumfvX+vGwDM7izL71ybU5j90w8Prh8M8+Hu
7rT9x+/cvXU0/JN3borWYNi9w2Uy+Pwg3ziYA8DW2qzLedn3dJuz0D999/7ObHq87Lpe/snbN6Xg
/+etW4+cmd2YLxA5ttOHHr/SYB6WRZB++MXRT24uHGioNgfA7k6vKmT42meLUhQMfnx97uO4gn3w
ky/M5C33NqsVqTynEQCG1eloWo98Vhtxq0RWpWYdKaAAhCAGgB8cdh8e9Z7+9XgwgZFWu8D2zuaX
X9788IOPH7ly6Re+/Q3J5ZMPrgUpu9sbOOrmBPDsU1e3NzdeeP7xGNuHL19ILYbA67MJIrWpEdVz
e08S4uLkpG2aJqWLF3fNcNo2xHz+wl5s087210vp25T8PhBCKDmnEN0FQWRmaqIckIBcPFFDQMoi
HtUT855voUrULaZfmccrIkBgxZiDn2hck5F6vAEiFDGysSgYxvYSHRUqcoZNvUDJ8HRCtQeu4dpF
ZCJVFK2Xfi32dVUT/ShFRJO2mbTNaDaB1VGz7qz0lAr+pzwmWDPt4wfHKlIItFr9wUDdl0omp4XR
NobAYQUNcylylf83JaJV69KInKkcGkB3bAIAOVBu9JbD2BR1mos+/barZFQjuKNNY6wzxVOiuX/0
yRtW0KdUIGLRwhwMaEVn9eOxqIaKSzKHG4kBAkZiUEWCQGiG2YQQDFHUCMEj+ARYzfJ+vyVS8eeU
AVjwO6N7U8efl4oYkjGCkTGBiVcIUQXigYD5zs7JC0xo3ttsoOqvDOrg/CC7bmVA8lsnjX+CvRVc
iRl8WbvioKmPfBV2gAjb681GGxZ9vjcfbEygYvXBgpkCIzE8urs+a8JHt+fLoRg4Brlq36rmQ6SB
vXhu/Z/dP3787NqXtw9Z5Vee3N9uuSU7Bv3J9ZOPbi5rbtTFQwJiMPE3CpDYHcG1A8v0hctnrt89
unvcIRExZxNQWS01VpowAiAHKUJMCKhSfFoZkwuECFZ0HMM9cg+/enltMzX/j1fv3e1k9Nyjr3dF
9PatO1978am6eQEMkS9fvvTm6288cuUiUQCDxx67wpxuf/nF9t7+az97bba5GYkefezqOz9/+8y5
/Tdee3M6W9vb2d7Z3X/j569trq0/8eijH378ydHx4vz5/S9u3r/+2YdpOrt1/VaRvo3hhRefCUx0
ulVRN1xUQgRTVdQB1VRUQs1Q1Sq5CnL3ocsb51AIwFKKS8lgGmJw5z0iMBEzpRhdyB5yz4GLKgCI
6VAyk7ZNo2ZDziGGIiVLcSiklmIigBiDt30pkxd6ZyIULaJOVxI1KSrIQRGM/QkiiFBK5hCQgNg/
xKMjRYz8ZTEzuy+3hJRyUapWGTXzIyb0/WBoqjmlVEpBROaAZlKkyvJmeRigflEbhsFV7FJUrM8l
M1IWEcmRmZmLiLfoiRqh9bkwUUAsRZhJSm+iRcwQiuoSLJdBREMow9CnEIFx2XVNSqrqBxoV9ROt
qBAxIuaccSol59wZc8hD5hhLKcd9H2NU066TNgbLEmIc+p4C9wLzXNJQVK2TftpMGCwRGpOhKtrE
nbtqCBAo9NJHREDKBmogfUE1AhwUsFg2zGJFTdmWZRBGRZuFUMA2QsAQ1iJp5EmTikpijE0aDELT
KIfGGuDYTAHTZDKDgCESwcRik/qOOYUGqe/79dkMg+xM1yddbEOzNAkChbFhFsIIBBg4ttpno1RI
EwdkBikxxiY1k6aJGSMHBZOmiU0aTDkyI6NJCpw4pBBjTJHjAIUCCgWKjXFKye0G1LaUOIXGOAVW
WwOaNmwSt6cUS5hO0pIgKwXPenHsgXoIRwq5yxIYB7g/7ySXfhjIrOv7GWnCwjqY9nvWRNSW+m1Y
lKBbmDuTKZQCKmYLg8PCayXc0wmWeE9nWxDVmGQx4YYYNcQpcSCaTVKvw9o0FFYOiBhEuYmcmshE
SFAUBlUSG/qiBY/nBQ0WQ9mP4VaXN2POXV+stEhJ+gl0WzZMdck2ICAbm3bRrKiKYSYSpaHAMkPT
xEMVAhMFomScOHIpmSiGmNom5dI3EWIwC7axRsmwnYR+GEBhwhwIU0zdInfKCnRYCi6xkwQdLwcg
sBhwuRjaiZmUmAhNyYYmNB10KJQoq6EJNsHK0DFj13VmY23jV9NLQUQ8Hu4pprpVHtNOjkl0u5wp
1pzn+GtMdY6p/VqdMoJwddVEqm65o4r3w1PZR8d6upF66fvvcUldW8VEhceaznGPO5ZJnpa7YCB6
7OojCvb6m28fzE/6PJQyXH74wvb2Rrh5R1QcRxEJiuRhKDeu35ylyeb6xuFs7fz+3t721mzSEpOa
vvbGu488tN80bd/n2frs8xt3rh9167mHZlIMJpP05a07G7vbk+kMETY2N86eO8tNuvrQ2bfe/XAo
8vjF/ZtDQQqRIKW4vrP2wUefUNvevH7zyScfe/vtD555+rH33vnway8+3TS1+m5smYHaKUo2tso8
WABUV+OEIGYGUJxQCkjmoRJeTf5ja2c9/4kpIjDQyFP1SLBRjdJ4aaWNVRSwElzcYWhoHpWpfQBY
Ub2n6raN0mv1DJMLGwzwoLxyqoXWF8IK5jpGdYueKj31r40K4CrgR2raiV67eYRAxnjjcOGv9u4n
980Uia/fX5rircMe0I775ZewBEBH3hax1784QvaXwreOy63jEzRQxS73SN4+S0OxT+/OcdRy7hwv
67WtZoBDgZtHCzA0IxnqVfrxraPXprMLX/vei//6v3nn1d/7cPvRP/qsMzMBkFxcZfbsmQkAkCmU
4kgXKmKjigaK49IH/OTq612zlUfXK0lpRTStzvZ66kc0kJFU7YfRWkYyHnxdQBJf46r70MwS09NP
P/rO+x//5MevMqHksr+z/bUXn+ZqesJSBBDP7O8wUkqpqKUYLz10MRCQm27BAEwKEtJsd8cAiur6
xoaDtc10tjZTMCJqIo0sMUCwwAwqqq6RAgBg4GKqisTBrWdgWGTwfRQh+FB6ukH76r9QvdnDVLQa
AeuGiyrKSLH6EKqTGkZzIzoTsdpK1fOpbkmoYWkfHpz2RSNV1mdav8O449QbmByE4i4z9wPb2JoL
lXpN6H0/fv4cYUunACE49Vj67ZNorCXySL+3EMNYuboqEKI/VbGzarxSMRiDy46+HW26XvoCY03o
yq+5SmOc3px9kfKg6Xc0A8NYvWOrMbXeHGqdqPfrVrEXkXycErNApIBmSuiBrPFNHm8ZoyjtpMkq
04oqoW9cPZcIVDlAbsBY3WOqOk4IWQsQAxgZMKGhRaLB243MyJgBxcTUOLqBxUTlNH1YGddqhFrf
y2o4QYREzFTFdVe3kbzMs24VdcS8meovPb5/dob/xWuf/eLlvccfWvsPfv9abBrmMPQ9ReLATDgM
pUkxl4JqsYllyKD655/eWZ70D03X/8X1o8+P+gvbs+NFf+ug31pvZ5N41OfDo8XDu9MXH5q++vnJ
xno73L3/1MU9RPz49sHVs2vI4dadw8fP7g65/OzzGxEUCbIJou2stQPSb793/a8+d/H33r3+4qUz
l7bXithPr93eaZv1Fh/enkAiQfrx+19e2Vy/fH733ZuHR8fzb1zZ72T4ybXb3zs3szOTf/r+jZce
2u4CHJ4Mv//RfVNSsVU8BGqfzOgFUD2z0Xznoc3f++TmYXbzBFVntyIyqYpP0sHkuw9tfNnR/+uN
O2rmzZNWsU+ac542sUAVb1UtpZS7jKp+M2liSrFJkQ8ODjmVsxfPvvv621cevXzzxo3NnQ0Aefzp
J372w5/ev3989eELFy9cEoXZ2vr9g/n7777/6DPPTBudzCYff/zR5Ucu3LzxRX76apxN3Q3gyGYP
nI/Of/XdIpMv5ymo3yZiCCRaCgcCACY05j4Pfk17IR4i5lz8XykipYiCRQ45l8AQYpTxGOYfzCJK
QGDIREwe8gyBEJGWpRCTab0BFSv+BUIIZhY46tj4RMQ4+qcAyQCWXZdzWS77pomllFKKiKiaiKQQ
i2oecjuZiKpIFwOXUpi5lJJLyf1ARCLFfb+myhxUtYiCgaiAGrMgUhEJIRQpFgIiDqVErKVdqErk
nUUQiREhBO61EBEjFrMYg+RBVDEEI1QERcumUpSZHfdpRFSUGc04hpBiw2ApJkBIPk6LEGGTGi/h
IaQ8Zg+GUlLT2DAQUSQuTUmp6fshBGYveScyEE9PrbVJDWIIgbFtGyQ05ZgaMQAOQDwMg/gNHCkE
Ui9eM4scpqpISMyCJowtc5dxvW1V8nTShEBiYIF74knTFhiQCGLiIsgpcBYkJFS22CQtOUZKBF2B
9SYUwcQwISIwJuj6gRgliyAZQNOaroAAAIAASURBVFcMFnneS0NlUUTLUBJBUabop8VAiKYBseXQ
UMAQmYiQlROO3RKG3ImGGLKWgAyUxAvYQ2QOKUZGbAJFhibEnIc2kDKhaiBQNVQog8QGh2LEwIIn
Q1FL95fSzPD+QpVkGHITCUwSCNpyjaS1YZNkPXJHGVQs2TB48ZWX9E6WZZhgm5EM45yaJUwLrQ2W
MbaYuhRDIjEtbYC0RltpaFppQ78GwooFDNiG3IGWxSCF0/2T+WYIRwfdHk1P5pkjMdm8E4zDUd9t
5iGoIA4UCYZhLVHOXUwxArCWBst2xM0UF01o24YoFCClyRCEjSVOQFQoCpNAxAhoOcWYtV9LhELr
URoAUEsMA2swySotM6rlovM+zwctKgIkPRSCbuA5SC5SStkLbQSSvicbIkCKtDmUtUa179vEAVXB
QkBVSA3lzGIWOApKr5xxEnAiFMAQmaQMk9SK9MReA/LVT2aONBRTU2RyI5SY+Q2Iff99mhfCMfMB
IjquG8cClfEksgqQrHTRFdpH62NAAR4IDiCtTjSrJOSp0csMEQLTqTJAnjpRfMCP6ieJUuT27dtH
B0ds9sTVq2f3zhzev9s2OJnOLl84+/EnXzz2eLO2PlufzYTiq2+9z8zf+vZLTds0AHfv3Tuzt7c2
bR+7+nAI8aXnn7x75+7jVy+dObP9UNPe+PLmE5vba7MJh9DEuLWH9+/fM2QkmrXNt7/1tZAiIr74
+OWTC3uAsDGbnS85ECHx9jdeBKKrZ/co8Llz+4H4pZefD8xf/8bXmNCLRldzIBOZ79vrw7aermAF
QqqlpqvsLTkrX00DjLQnj+j5YXHllKrpRH88u0xRF/kulPitg8eZH0ek8KoRjk8xReMPw7tSTQ3A
U16OSSzuWgFlRBVxgdZqjBZMFcwIQdF3+yCqSjgg9KU4ARlOTYn1K60qZ1e5vuojVxhfZVVdRrvr
av2Bdeg/BSbDgyuVqt77AZ1G7yKhOQRda2/66hhBTCtFAla6s0ERe/dE4nf//Edl2Np4uLnxZeBH
ilL9+NQ+ev8qdeAHAGKqtPUa2R0FEFzNCLXylavxGk5HHa0MLUQopSoVNH5wzJRH6cx93f5dELKK
U0yNQBs3U5kRQBv5uaeuuqcUASK68w4UMNfhzbzxThFAM64cg2OUeMiFK02aimkxLCZEGBHN0GsD
AyIjq4mHqcK4uiImUTGDUgpxHMTUMKIigph6cbFZIXeREal6ZyEo6J92Vfz/9YvGrB16y2gNWquI
NwIDEgVmUPWxV+uP77QT64H9Xr3AsUb7lCj4um91G3QR0rXguslxwJEZnV7k48xG5NQyGEOKtevR
6r0OxjWfjqPjSjAecUp22oFlADUXB6tvBgBKLhwYmZy4vhJaTS1LkZInk5ZH11sNlUMlgq5QT9XY
MgJoT/diqwZjOzUY49i3tHrfxpJePHVJVpFZycdprc2xWjw5aQQgAGqKxL5esArkG3HuYITk8obW
nmZelXXVaHL12aKaGgXxnuT6MazGEDUFJIfSk9d9ISKgmAmCqvbzRdtO0Kot5dRIZAhuzGEW8xtd
1SoJDACLZBvnehi3UGNI0teFKzM4AsjOdPLwRnrp7LpqOTOR7z6zhwJv35/vID98cf3OIDfvHq61
a29/fm+7mZ3bav7ww7tEgKp3l4u9JqyxBZCW5NLDM2J5/uxWVvjhtfuI1PUlxXBpO71/4+D5C9tn
18NPvjycRPrFy5u/8eaNFx4+c+324eWt2dcubjY+IoIRwvb65ON7J8d9ySIAeH6z+Qc/+/KFK2di
pK2E52fNxVn7Tz++sb3eXj67fmV38zffuFYMJ2x37h8+embt8t7sjXuHH90+mIR0ebP59P7JMxd3
f3jtfie68n0Qk6kfGZACmSmQtQ3BT3/y7XDyB5uPHXY09kD7g85TDAigBHTcy8+uH3lGiBwdX2VY
4hCWXQ5N0vrsgm4YYoqBa6mq1fIdo4Bbazveudj3w8nJsYFtbK83TSNiMcbFopsvu7t3Dz7+6NOL
ly6++/atEGHR94Swf27/4sMXzp/faybNA9EBUI8oE5KNfOaqn/vZiYJV7D6UIvUJBJaL5pKdrR6Z
zLTmRVWZg++uPA+MADHG1dWjCExcDWxEhOQbEVVJFDu1okoIRTLSZARSKYKpSKGChGbisR0brdgi
4jasPGRnYDYpuWLNgQEgpqRmQSSG2CAMMRBxouglW/4odaKxh1dzzk0TEbDkHGMsRQBq6bypcoil
CAcOMQYJZpZSIkQOzMQ5MzH7nwxMRoDgj4oITGoAzGJGITAaR3awQBtjGDv0/BzMzAMT1qehphRU
o78W6PvIQb0MRsuYra42NiYMAGQaEVSKP5hNs4EUNVF2MpKAmBpzYG+yQihqWVXNAnNgTkSBMIPO
mkgBiTkwI9C810k7mZdiQBjTUCTFtMwFKbBxV3JSJE6LoTi2qkmRioBKQlOTxqSAgvRsolmBeblc
ptQssxUSjxkjxi5byjqIImAiKiaRoE1RGSchApSNSVJNsyYK6YSTIJoKxzhIHyIDoDELwAA2MciI
RTR4CG0M8fsqM4AKqkkGHRQNOfZ5OWnSYuhSSvOhiKICWJFO+pw1kGoxM6HA/qhNgZkxEiLwxiQs
+7ieWKbN+rRZkGOwYxtnBZscmrnQnKIVtGY6lDkBC7KpTIgziFpBKBHFNKPAlGzAQlpMs+RsRTVr
P5gZLMWG3OgifNHBFtLcaE1AyRICMQHDhG0SpJnSZtLZBq23ZY14MGlTy4BrKS6aBjlYSALcESJo
J6GhtWVRCxHAFIOTqmNAlT6gROuChYnktbZddr0YQBlKXjRpkotk02JwtOyJJod9EZMMykUXpiTs
hwTT0mJA1jaiJoxsIZgEa9vSgoU29AN1Q56kRkIzaWaLohpSBuxBoyTh2VJCX5TApiEBFgA1yTFC
QEQY2HJDEqDXMjDHXBREhkx9ziyEQP3wlRNWRSTQKWwV6vnPkBkAixgiluqjAxGpHzgw5ug3Fvdf
PHDbrSeslRHL4RPjQdkPzavqal2duWysx4Za5mwPbtbrBrk+sZxsSTCClACAkFUtMF966AJcPM9E
RLSzs6UPX2AmRHj86iWVEkMgsDPr01/57itQ+zMQER67cknFgJCILlw4BwBnzmyfObPjHBE1uHLl
stdywOgvOn/urL+oGHhzY92/z8hhZ33DX12IyffhISAgipOBHK3G5MpSLraKCPp+vYj5+X1sQwCq
ydB6LFQRrQ1anrUDUfV28sEb53EVGQKPSGUzG2NsaBAc/+aToakBVsSNVf4wqgVil0IEwGqnvRFg
QD+gVtXBDQ5VevRyICABy2aKBgAMGBDCqg/GM0BjXstfn5PyB7PM1Oeh0g3AfOQwn7psJY9jRe1D
zXHVelJ3dBMisT3YFouAWGEbBKSiSKQiHFlVmII/9ZG4uqqo/nlEUCNGRNf6qtzqc6wFjhWUOQaf
PHK96IdAusbw7e//4qKbf77kbMHGHh23ODJBQKvDlUFEdhskETGhaonsVmojgIQEarHO6ahgxE6p
VURtiIKBF8QboDl3CmESMOfcMEYyMk0cikFRMAMmiA6CAmCAxLheBkbXiQ28fwLAyx5BlCkUUTXQ
aprznsJiCETGY4kkIRVRNSNCJvYsbBGf9NkdGd6oJCpcu6HM7WegAgZGUAxyEUAg5mxeGltJJlb/
bmHvSSrqPMQQgoiagcCfifo2+jKszhKrRqiKIfHLrJpOAVXBzIgdy+ZbOf/x2cpIMrZZjqW+plWo
A5PRDOJ1D8xcWzyridVOd3Y1kvqAkFfrc2tRit97nTKDjOI2TsTx/dJVktObHFb3TAT2gOEH1z6b
37399LPPtJOJrYDqo9n27uHx5x9ce+GlZ8rQr8+mhgZAt+4cHNy+hUjnLpxb39yoXJtqozBEOO76
W19cf/jhizFGqznVFUBtlSA1OuWo1zIerLOnb4V0dbtYSWcqWke0yunlasYxy1KC06T8wzsWcK1u
oABYTAOAAgTXtxlJhce7aLGxprLeZhQBYvVFezQbRqEei6ohDiqQixkGZq/RKg5TqJ2dnuvWlSVY
AcjcZgKM0DL76Os2pXHfBNXRuWpAMwPTAfSt2/f/4hMXrh0fX9iYPX5248KU7p8M3zm/9cGtk7ev
3f/sePndR3dvLQoHmDIkJkcsRcTtFJbDMJuEnQU9eXa63tLBzvS4yIe3j0/mHTHdOFz+5htf7K2l
X3z20v273ecHx/dPlpMYvzzqbxz1T1wKt46XDdH2ekvEgXmNkAnOrLc/+uTQLCQMCHiyzPNeRHXa
hK1pYwgnvRx1ZZrKuY1WwVLkoPj185s7Sawf1puwnOf1yWQxHw57e//u4oNjHYogBf+U+duIzF6l
MnqDUcHuz+//4d/7P333b/3bb+597U7nV5Nbf0a/D8In8/LDnxy/c2uhyKPJHgRURZnDmf39jz78
7MmnHw2BxUAVPvn4093dLWbHKSsArk2bYWt7trmBlGeT6dbO9s9//u7+uXPr62siZ1LAxx57+OLF
8x999OEXn3/60MOX5/OTMsyff+HJ8/tb3fGh5v6ll569ffPW3u5W5Dh6n6z64c2qb0LFbzUi4qt2
BAxI5AFM15xiCLkMKQRGyiUjgIAFIuaAmN0+NOQ8a1IIseRSxFnHPuLSkCXFKqsG4lxKkQKniytz
5YGAUMEjDX4rVLBI5CBrv1WJKWFAZiJitiKSUmhjNKAQQikUm2SqEI2ZyCyL+CkEkVx3XXbdbDLx
96JIMcMi0rQtERURRrIRRl7ra9VUNY6bLhVR1RijOZPE2ETGggeLRClwKdUMVsfOwGCQOBrYUoZI
LCKg6oY+/8Saqj+chq7nJoqqmIYymKkqJDVQBVU0Y4AAKFD3eH3JSGRGYip12jRDLWgtEyqWnKez
Jg8akRyUFAODwWLoZimhKjMGakopZH7KAAXMuTAEEsgqgDrPQ1OKqZpkQmMVGSAaqGhiNIKGvdxJ
AbEXIdEBkQzJyAx6oALcAxViYQrMqWliiOuTlgOHNvZDP2spGDcRUVnNUgylJwbsVYBjV2QQOOpz
p0b90JtCyQMaFZ1E9lVLDDGYRsSESCqsJTCbSu0+VpsPPSH2w7AeZ8PoxVQABfJTQ0opRI6JmkBG
ahlCG4alYEAgXgyKTAWgAGRFVuqK3esKRDvK0PblYCjYD6WI6ZCY+rJc17RjOsEhQgGUyNZxJ2qZ
8omFLHDU9+1kdiLcZcsFialgPMjQUVSKGBOHMIkxkqEObZuWuNyYcYupSZQ1yqASYy4SOA0IB13P
G2sHXY/TdHMuuaH5siemuQ23h65JPUhPulyjzCBrRgvsJohdWVCMk4C95mSApYDYoleMrBQ7gJxx
bmHoJYRm2S2n7QQ5E0cM1hK2RC22kxan3LQpFEMrJcbQDw48gL4IYBiMFwWOsk0UezHO1BOXPgz9
0Ka0yCXlvujQ9yfJBiolpriURSAmXWgJiSHnQS2IiEhQCyLBlJFxEO4soCVlAsMYiLW0qYlEgQkM
U/zKJzMkEFOkYIC1fA+BmHIR73o+ZTISujeDCVe2UndeUOXC1+Cpz6srpdTVHD+Xmz/xfbIgrKn/
lXKFjsCrVjpVRSSHvakoIHhLWyUkehRztJPVFOQow6rHfsZjjVohJFCQIsXgQbVWRmXXS1PN7bH1
/IcmnlACXWH6qtm2YoRXRamAKKJjHFTVlH356VqQW/JoBHVAhWTgOIGvpIdVhtPT9yst5k8Z7eq+
v0Kl1EB9RkIMgOSWh9GB66dDBffxVlUi1u1y9QUX8w4AAC9qdkr+mFO0sdHB43YADs3H2jcAIxK0
3lbNX5GoMtGqX9bfPRFVcJWWvIK18ofBPIv0nS14dn2aQjSznAffCDeMDIhm69Npmxr3WgEDogWA
hjjYOC+BKZqapRCC2ozdggri4TTCiERm0bNKiFlF0MwsICVkMgjkl7MW0AzKiAwYnHVv/z/O/izm
sivL78TWsPc+5977zTHPc3AKkkkymXNVVmVJqipLNUhttC1ZsI22LdsNuwG11eiH9qsfbMMPRgNu
2w2jjXbDaEntEqqqq0pSdY1ZmVmZSTKTZHKeIhjz/I333nP2Xmv5Ye1zv8j2iykiQYCRETe+e+85
+6zh///9nTCihpBrlgaBWkDygamZGoEY9FUjgP+2gXe2PCz3s0lv6jIiUAiIbBCGUDszyyoh8MJf
HSqU0uXQStXNDAqQxSVgyEMpTEimhoRZxNClgBYqK5Kt7pF12CyyP3ZnezMiYO+F0IonBfjpQJRV
i49nmEwFB+yHN9hmglYraiQCMUQXU2DVf6MLk01EzJz24TBHYKKi4n0LIhZVqYEMCgiMnjkMXBdR
SkBO+3GHJKAHtOqgi/7C/6iZitFi81iB/1o7uSqDpkVHXaODK35z4V9QryFVDc2oKjv27ZpWgy/B
qgRA9zk6ZmiIUCUkA1t8CNVAWkhlRW0Aclca7cOH23du3k4xHj9xZLw0GTT78PnN2yvjxtm8sz7/
9Q9/OoqMgAc31i5eOI3Mqr0hisHVG3eunDvOgaezmSqM2kYRtEiMcW9vT0xB9Nqtux+8/rNvfOOF
g0ePIdqP37t+akLnLp1JTXvz5p0H9x8cPXp0srr64QefqOTR0qSP8bv/+nvf+dYLl59+mmMYZLNQ
YxRNsR5CHtziJo6FTMZ0EOIOGCRdLGEr3wcwGGa1hW3ELdlGIGqgEGjhh/CgLJDa36MZLoyLPnZx
wbaICiAT+4jNjX+ImJ2dW094RN13/pM/wkKMISJiIHeSuky0uiDIyDHCpQgQuuAREBhZVBO4UbRu
jwcTYd2dDjFjPlnDOdDjXSnWXb2/81srq1uzfHuvvHdnd27TlRQzsQIQ0bz0pw+tnB21j+e9fzi9
2swsIIQYz6wtJ1EWZqK+eKA1gcFkPL5yZqVh3Zt2n9x79MrFYxsH1t6/+agTUqPrtzZ/7fKpxPBH
H11v4mFVmBeLKUjkWScB6dM96ZTu7ikAXLu9+Y3zR7TIJw+3t4SK8nYHuJNvPH70tQvHr97f+fDe
1tfPHdrO5d7j6f2d+XNnj37SbX7380dnD2y8f3/LgN0YYrRQucCiTd9/jhDvbm9+9z/5P/7i/+zf
+8mRrz6eV1bdwtVcDP/o04eqBkg1B88EEYpTFdFOnzn+0TsfvvH62yfOnkCEm9dvEsH5y5frctbQ
zA4dXjt4YKVOHA2+9NKzIOLT8ZWlZUC4dOlMILry3FOABIjPX7lYg6XBLl8672vF9bXlGkZQUY/m
rnVC8ozMJ1UTlcOPEERyLj1DcjFVLoUQ+773PxZj7HIufonX+8oc70HIZsVj90BFRAORn96u+0kh
ZPXg0+xDtRCih6ojs4KpQS4lpsY8GriucYkQRyl6HIyKGDMiqAghMHGnvYIiYckZkHb2pq7Oyl3P
HBAw57IYsLUx+hY7hCiiMbggHsgoBFbxkozMjDmoAYchvgkwxsgifqfElMDzguv8EAmxyz0BqkiK
sagaoCHM+95xZDlnoJqC4Go0hP38byRITUTiwKEvOYUk/ZSZVQXJG+/i6howExVCYiZkjkwESmCj
GAEscJiWGZlGRI6BzFQF0MQM1DoRUc2m0Pd9LgEhIM/6PoRYtCRKkkskSlzRfykE5dBwGHFgCgam
aE1qs3bErIFz309VhFERGGkcUouUYkihPvJBc0AFE0YnGHNnoKrzUkiNCKezXIymc2GZIaCqhJhE
TVQDUi6SAheT5SZa6ccxccmmOEqhaO8pDL0WEsyIAlgAioESmxFF5iJIEAJghEiEhpGsYUuBDKGT
wgSq2vd52ndN087UyizP2RoBtQ57MYNgsJfnzSj12o2hJRBQGMWwLJRIRwGawIk5UlRCNTBMBs0c
4hwTWsoYEaS3yDRpQ0rSI2lLGAxXU6aRjlvbETWWjmQ5YDIDFSvaF531sqNqWaIVmVNnZbeHJosx
WJ+REEqnAgnKoQaXbB5SORB6bHQt5HFDChBSkC4txRhHy4pJKHRiMTWlxzm13MS9kgmbnjsNITQN
MS21DYGOEnM/WxpPQs5+9wFDy5ZBOymzXMBA22a3K5lsZ9pPMu1CGRVrGu37IowNcZclhdKAJMtL
VNqIywy99om4cBmHSIgWInLAMCrQKJIYGMRCfY/RuFWiNgRTbJskuR81MRIgQAo067RJpkVHCbpe
EamU3tREtOvK3Iw57uz1/wbFWYXvVwqFEXNR9SJAXArI7ON2n7hRlZhWviI5zwDRXVWL9akrP8NQ
fAzNlAG5Zq/i0lV1ABjV/GfyR4eKWyVVbTqbhxAXmNGh2xwG/GaMBANDUgfHE+/Tegfz5dA2P6EQ
9twRqGGeTxRJasWLTrX9R+Jg0zAHARrI4qUqHdeqWZMQQYeKqjL7qz2wnoWuP6xYwrovHjaKFmgf
GGRmXAtnf/vi6X6RuHoyieouwVO1wFyYuajPDEwAS80C8NA1F7MpADorUvwzBUPAABiwgoH9bRc1
JDYzMqu+KLAiECCJf3kACIpmjOz15d583rYjREO1xMHfYdtgAVAwUQmEoTJLuagaQjb95sG8vLSU
Qvz82o2bd2+nybjyLRBMbeeTT37hG6+040kPpoQFFAACEKklD+pGK4hZJXGYT2ecu4211aJFAPu6
XYKIxE6GByhI2bSYsjel4M45b565WA00YsNEjKCMKAoK1nCQWjVaQCJEdrQG1AhZt6m5LYitzqZ9
956IiuNZGcn86/DdVs1y8122Vg9ezRMigsqiMB3shTVJSFQCe8S1+h57uJw8LQMQCEwRqq9YvbW0
gsDs1/OAKMti9x88vHv33mw2I44njx09cniD2Y2U3mPbMJ1Br8Ud5oFGRVXFhyxARL2Im6bqhnOQ
3HmBoXWlFEQr7lEAXAkQKJgJIiADqEZifz76CsCFeGZFRJjJVFQEn+BrfYG+tPYtHkvjSg0jMB5A
tANTaqDaVjL5Pvx2oQBfBPWKVrOr3zqiSoj7bsshGtQVfQi02De63MmeQKB6hArQcBMPO1OX3P/o
rfcunzq6urpiSFvb02tXryHh0WNHf/TW+6toX/nKCxsHD4jpzrT7yje/pEDf/avXV5eX7m/v7m5v
K8Cxk8fe//T6WsC4vHLt9p3Nrd0T6+vN0uThnTtXnn/utR/99PKzF3UIcUhtS0hi2Kncu/sgjZt2
Ze3t19+58tXnv/eTD55/4fJrP/vwN379W3/2xgcvPH321IWzFy5dYOYnVTRPQJUWJ5JrGgc5POEi
qqT6GAa1/QD6dMJUnZg5qddDOYhIzYcW+8Agt2AjGCOBQVZlZDEN/vEvFPVqHhUhA+6VhpwtGtbY
RdRVaG6kiEzZTLSyFpyFVdetAEVNEdgwYDXXulnD2WI6AKHCoPOwhUx/uLMG8jrgYEm+tZNnM7h2
7xGZ/fmt6acPcxe6gytrt289frinBjDt7Uc3p/c2dy8f2fjZ7t7Dvd6xBD++trXcxpvb5ebjPVM7
vD0purfdFzXqe3Hxzt60e+vzHUKYzrosduOnd5igL+Vf7tw1wI8fTT/d7FRE1P7V+/cR8M/eu7uy
NLq1OTPkTuxff3APCP/io0cAdGtHf+fNO1aHLHMF3Ovzna2MiJ8+uOVf6D9787Yf+mZw74O7PjR9
796sKlCZTHWAmVV6on/thKgmYsqBAUFKydc+/PUXf/Gfft6JUc3H1fog9t5lIVzHha0YwcxSpGef
u7S9vXPr7j1AO33m+MH1VVpgsr3RGwAK5lejGg3fJhqpqSvMGUNFcgylDpmRf7Uu+PKSQZUIEcmz
1nwcCgiiaqoxBJV9YWhQNNFCEHCoeqpHFIGZiLCNUUoJgaUAMYlIzbolIKYQg4ogUoxJRSlwYJ6J
MbHP78VsVnJA6nM2NSby+asLjZjYx68uCXaZbs69FEVHt5uZCTG55dIF96omCqXY/YcPfvTjNyly
4CBSUohMzukKarC1M33hqbNPXTwZ22YBMKzKYUSt2jhDwlJ0H+BmIKqBWaUsxv8igkxZizk62AwA
2hhVNasuMq4ihxC4idHXxSFwFhFEQFKQWZ9v3npwdBIPHD1sQ8ApERPu22iIMGcRKX5ggVrJhZhq
IaOGxn0uDZKa5lzaFrIKq+VSAICDem2aQtAiMQYy7KRM2nZqEAIxMkpkpNCO5mIWIir2RlkyuZsI
qJMSCLPkEAOZkEpb6Ra5QSApJkXFkFOfc+Qwnfdi2KuAGMUAimi1AGSkhqghVIIYCdFSG0LDDSZg
FsN5LsSRYsKQeumBuXCYIjeGPZD5ase0ATTTSFBARoyBlUwiGEkJZKUImPZFTHV7OkU1BRGCeSmk
ut3n1WY06/oQSACYOUYeN6lBWI7ctiGjYp+hYfCS0xCxCcwKZBwzFaCggruKjfKe0oqiEfcqHQqj
IBXCksiWiBgsofXSJ4WsXcmABqUXieHxXh638c5OPtzEh303KyVkmxbJqkJgYOMUmoCMjKhpHHrB
yTiMQyJi4Ngh4WiUDTUmBN2bz2I73lOdaLsncQXHYJ2bMlpAVDHtg6FpiQBJgCEHgSJ5BEC5l9x3
Xbc9L0aacwlI21pmc9vEWRHb2puOU7M17Y5PlgwwEKw20czGEUOipYStcdvyBoS+yxQwIEEICJSF
KDBwAIoSmrlQSk2nMIcGkRtjMCADVmHo0TBQj4okfYt9FC46CxxApeRu3sW9eWfI0hcwypHnGQxp
q9cexQAjIpGbBjSlgKBEFKn9opVZZ0JGbMLMSAPmHkHNKo+FsLh2DSrmxkUWxFUCa34XE9qws/BU
bqqsDPQFjoedQM1CqMuKJx4bi8WcS0VwIDcCIPQlF9FqvNx3LtWuC4nyEHdWR9L4ZBqBAZhDMxez
xcHjhEPIKpbBqblAa1bxHiAQMjnkvDbAHsbiJg1c/HUDPHPfUrYAdQ711vBkgpqKV//2CjixRRKs
j/Or4Ae8H3APb2URDwQoMzMgASuLFEEAdqFebTbMTJBQDYtZViNkwhoubyb+mYiBAupAuoqIjEBD
6mwFjS4YvFCzHJ1+VAaxIAPzAOnscz+KbgomDAag1UJshKoGFgL76/g2iKk6YBmJgdDszufXv/WV
F60ZFZNsYIR3bt39l//8915+7lIzGhPA1tb24+0tU4kGB9Y24rInNAIBBCRTu3PvYb+5xRfOqUoY
tTfv3T905JAbI92BCogiolg9zwTkw/Fh82fBu1TPrgQg35cSDtIAXNwstdGqwunaZgBYYLYn/HJ+
CZlpQHJJJ6O/rPefg/dswFVV4QHWq9RrJjGUYUCj4MAwrlX7ImCTkRZAS3MD1mBiBIdgDVgkBUAQ
AzHKIp9+dm3z8eNLl88vLY13d6cffXB1b7Z3/twpH/SgQSAqUpAGRpf64gv6LI50YgIi9ieys089
RygQ5Yr6YDWY5z6XHGLcfPj4wMEDSKgiiRkN0dT38LXpFVOXMRgwBxWRakqvWbhqwkiNfmF7/QKm
OCQ0Uh10iQ5mSreDOi3VzBSNvM9c9OSLXqu2TzoI0Iavb4jwRRzS+FSV61XkBxNQXaWCDF3uIk5v
sF3Wv4IQxRCQjh45dOPOg91pd+LYkXc++HhlPMqq77//0eGjB08stesba36eCAAhNaPxaH35zv0H
P/ngs+cvn711+95kaXLu3OkzZ0+n2LDgfK/74O5Hz778/LSbGkA37wlMVJYm47UD6ysrq9Xeynzg
yKETp09cv789XlpZ31jPQH0pBw8fXF5ZopikiDIjh2nXm6oRaymApKWsrK14yrFZDdg0AESu9mzX
0A/44oUvnGqqFSy0HtXSPMgBqpwDwAcf/n3RsHn2XTchBd+e+gINgGoYpjnUz/tkn3skRK6tKxiA
KjhTl+pU0eqhh8M0oRbAFcvkXuU6MCV0im+vCohiFimKCQGH4cJxSpMZ7AOo9jXIBGbAfO/hnlYS
M31w8zFg+uTe7sd3d0TMBa/EfP3hzAzfvP4QiclFI4Q3tua41ak4DApuPthDRqsQLgRkv8x2px0S
etRXzpKrltlDNbH4QMgIBBSNiB5vT7d2O8/YNvXb5glz8gK5h/4W3AbiFT5VDhbUlJoh/5yqVNqM
GIaht/Mu6nBX1X3E0k5G3/zv/zvd43sv/MZv/PGuPx89SgwWYekuuXbfkP+bwBhdwQQERoEOrC+v
b4wNwBRoiNVegOXqCk1tSEpWGiB4HlqLVC8RrGQ6QACn1mOduejiUc1DscRQNVPunSRErSHwA9fP
IHj7y8QIZGaBQ9fNzSyEIFrqRTOUOFIKMeeuA2YkyqWAgU/lS98RAKmiWWRSzUTsEzgiRiQYBAP1
iWXGTMWH08xiYAoxRDWNIZjD0gHVVM0SMbMREQfuZsUQBWGr799475MXnj57/uI5QMilxBgRIfe5
SSmrfnrz3ntvfXj5+GGJ0Wc9C1KcjzMHoR2pmVvIDEAAOEV/EYBspuRiYuIYQik5EAYOPkByzp/4
i6i4FqXPOcaYcxZTM5OqYdOd+fyvXn/v1549sXZw3eM0iJyWjCAamH3BklXZhb4ixuxQAmZi48QU
QwCzyMGvmzYkiUqI47add10gQiaP+lXUXkTF+lJiCPOc0Tii9iVTDPNuvhRHrLC1N/vDP/nB7gfv
0GQ8aeOZ0ye/+cu/0JUCTCCkCkWMtGbC9waEZMSJKXAklTYStDxqOBdjJEU0Rg7ByIqWhkkRNYsC
ZYUOzLJFNssGKmCoqqZqKlYKqfigbgLAUkgzKwBh1mIWxHRWCgJlkQjQI2Q0SaGYKWEwCkwaDBOP
gDrpl9oUtCynyOO2CcQpIpK3TWakCgVoV1RyDk2cdWpYUtEifSLWfh7aOGaJZd7LnDA0RBPMiQrD
HLUTzWZpLpoK5myicbsXVTTTJsW5EnNDbEacCCZkK01sVkYrTcYVXhvJSLFg2APhWWSkQGGusK0G
BbdRxz1itL6DR9aDSQQNUaTvm0QgXSiWDNYZVkwK9EHmy8FQpgjulA1g1BvNhTEHMZ73/bhJc81J
A1EooESpjaNxM1pp+tW2yREbAGhCYcW26WdkCCEQljgOtIfAIWXJM+mj0VwZCmz3MDYAgtk0L03i
tCskJSKidCzM0kfsG+kCE5XSUp+ABU2tAAZTUKE+M4c07SQRE4VshhaUWyEMHChK4LDcNJNxUyIU
sbYhmtrSGBGaJsSsBQ2BbV5EEVWxV0OGPC9f2F9qGIlUzUSISUwUDMEfD15muRICB/oRDQ+SJ21a
6vEDDkAfZCO1+fQIC7X9Ag9c1qVSZ+F1A6D14PWhnRoPbI82paYJhAjAZkhMT4T+IRhAjDBYw2hB
9gc3GzpYxyKHfctWffSBq2oMfM6VSylM3LYN1thAErXpfEZEIdD25taBjTUiQgMmGAZqg4oE9hlB
Q4q628oWOTi1Qv05O5n3MIAGpIMysMKFKylHcOBzINSsecR9jdMCFyn7FGXUYfLqfkgDQ1CuXlXf
89aQ2QUgKBAUq5EsWP1tLpwDMYDhJK/EF1N2r5pZGGoRcJik6mzeAUJqRsXUSwat4ePkwDw3WdVs
U/Pkm7qGUh9lAOSiBrC1vTvvZssH12/evvsf/+//48d37krpDZSR2GB71n3/B6//+re+sru7+/D+
w+PHjzaj9tatOw83t8+cPikKfZEfvf7O9sO7V77yMhLN+nL7+i3t88H1tQMHNj786FOKfObCKQrB
ryT/TJlRTXlwiZlnZe4nGCD6QNlzWgxiTWT14sgFezVWHQY9Hri/FADR2LlKSGDAdV+u3k6juU+k
fuxYNWDqicFiAEaKIKZFii5CGxeU7KoIgBp2Y8oAniFUl9/DXNtHTbVnNDPAYra5s/N46+GLLz3v
cpv1leUXX3jmp2/97MjhjaXJ2OkifdY/+4sfHTt+6NLT57wMKMVylrffevfMmePrq6u1+WQqqkVk
XuaBqfR5PBll0e3tHSRaWlp6973PprOtS09dSk0rCjubm3s7uwcPrY+bBgACsefa0yKQxNDARLzI
BNUSmUAdDIaa5d+A+saIde2FIAIeXefLCRVFQl6Qx4ewUAcA13L05/9GESEKomIAwX1xJrBvoNfF
eYVD/AkOwtKamGdAxDWrExAR6qxkmGrB4MYkpEvnTpXTx2/fvvf6a2/NQSLCZG15Y+3ow71ZLYb9
lFArOc/67e37j596+crqrQeHD64fOrgxmkyub+8i8fU79+7dfbhxYP3Go8ejtplO+88+/fzxg0eM
hBxSCH3u79y5e/TYcUNYTmG8MmlG42NH0mdXr732w58cHjfLS5O1tWVAOrq+tLY0Xlse/+y9j9vJ
JAFw22ARSBFyXllb8d0y/Bw8WZEX8aXwpPjZHahPxMMuWGeLlTX6l6gVkg3m0LCafmVMqE4k0qqa
Fh/wVOemTx0RasIzELMvNAlQwTW9HtUMWY2QYs3KNgYTn0whqgFVxwNAFRG4lGwYWODQ/SIKWEDy
49JzTxacKtiPJjbwJm0Ykg7s5YGQJL5SRAekgqE6hpARmf1OAaSBhz+w2Qaa8rBSHrwzhkCEBI7/
9FVePerRDNTTMIftJaoagqP4hmbuvxUeNny8iw/Z/5uIF1hmX4kZmFuKHROwf47hYKXBhe3bNSPG
ms9/6Vk4ebR5ePf2X7/Nz64sN8kUDJCJEIzAIiEZRBoSkogILSKv+GoTBqwQ1oxYxQUDD4fItnr1
DQwLXSAOVIaIdTNClOpjUlNFosD+QdmCG49INuwCcYjbYiStz9Vhbw8oIpFZQENkjzy2XHoOsaj2
qqxGZlkKCvmAXFTdbjpKKTIHwMABgqQYETH3uW1S3/dgFgKZWS7KoepwIscu9yMiJEY0F6kikjiJ
qMbnUiliZkWLaASAIqUJof5fIn3JwNzlogNeQoru7s6OHNggQkQWMqy8aGIOqHpgfa0z1NKDTdzO
C0S7Xf7og0+nO1tEbConTx4/ceqEj2pExFe41+/cvfv57ZdfeCqlKGYiBQxECigWETdelFKkqIIV
hRuPN//1H/wxPN5sl5bQ8NLZU1deeno0mQwqLQjMhmrMyMkd7kpEISCHCkljBodJMscYETEEdrSS
qIkUXyYXEQPtRHqFrpvnLLiEu30voiQiJXdtZ01gin3uu73ZztYmG4xGYxg1W3t9t7vddXk63T13
+lSzPPKrbw72yOCbrz7/7Le/MQrtfN7dznL1nY9HkLdnZTSZ4Kzb3t48eOjQxsmjf/2916XkZy6f
e+7Kuat3dt787ncngdtEr377F/o2YG/QBOwVk7KZ72DnMouJTXqmJhFgJDUhAvalhSkBki8nOIoa
ceitbzgwN75lEjJmGrURyQJABIwBS4aWYWoSCU2RAEQNDPuiIDoTYYTtWY9Rpl1B1CwAUto2BLVg
OgZsTDeIOTARxTbFFDP0BsgcSyhMzVRhJTQSRBAJWTn2yMiNUiCmQLqUKLBizJZySo0AdmIj5oIY
gaairGGWZVuUCB7vSWrS7V3JQR9PlTlDtr6fmfZkfQP9KssIOiRMmAWoSYgNWQm9KcWm7yVjnElv
ykvAe4YEaUvDmMcz6ltohUowSzE2FCYxZJQmCjO1HFpCQmxjyH0upRhxn+d9n7dzr7Nuu3QjJSzW
7/Zd0SZrsbI2bue5n/UdoVnpExqoJJIWyziIRU1BAINFHqWUcwEmAuNIyKOQsJOQGQFJvTniUclz
Zowc+9K1iUrWlQlGEgQJCaNiCjTPFoAj8W6focFpJxBs3lkRKwp7cxC07XluI6IJqaWGQHMwE9Bx
gEjUN1+4NEOtJk9feKqpFaWqgd3fLgYmL8PrioBq2HhlbyDuh9HBwvlZU1DBJ9meyjXoWA1qBLSD
TytS3xH5A5p08TBOKbVNHGJpfPWqZuCEG89UgMHbc/PW3ft37k3Go7OnT47GIy8DGbm+2tBR55wR
MYTo0saHj7d+9rN3JyvLO3uzZy6cPbCxnvtOzNqmeeuddyPYhYsXmpTIaLo723z0aHl5aXVt5d7d
B7PptEnNsaOHb9+9v7Ozdfb0qclkDP8/SS11v1JLCfUkujpQN3OQQY2oGMQj1Y5V+22PewUbkEB1
JzNoXH3PJqqAqGA+SfDdNu07dRb8lGGZW6f+EBgMIAzKRm8kdVAXi9TiQtwRaoMWGowIZfCpQp37
Yt93KyurOiBKBwL+0DLJ4K/zLUPdu1KpmyJUUCTOQEX1d//wL1//7vf+rX/4m//l/+t3EPXf+p/8
j+c5+3R8Y3XFmvTeh5+NVtd/9L3Xn3v24p/9yQ++9OXnXnvjrfPPXP7T7/7wqWeeMYDJ+uqkxcnq
yg9/+JPnXn3xX//Fa//dv/PLb7zx7oWzJ7cebV965qz0JcZoakzIQN4Auex1oaoccmVRfMhhqObJ
hMA0fGP7uTq+nERG9OyxumMHdRorE5r4mMJLQdfZGvjcR0291AahGn5oKurfKFVRA1Bgn/mY1qgk
tJqhaORK6oWhZ5iIAIgnz6NhnQoAs9OtzUzv3bt/6uSxGJANiNAU2iYePnRw8/Gj8aglZEC6v/k4
TtKjnb3def7o489PHz8wncH9uzc/+uTzed45fercx+9/EGJ77ND6HODaZ1djMyn9fG11fXW5OXnu
9L1HWw8fbR04sDad933Oe9P+1ufXL1489/5b7505e3xvZ3eUPCkdRdUTbBhZSnGYZJEMCKaSAoM6
QlXBgJmrcfwLTeVQQYGccwzoqUvZajiWmBVVUwkUXH/r62pGrg1qlUuDWg19NPUhiw5pu3U2oYMd
fTh2oXZEQyixV/k+2q9awzraGLaFhGpO2yBCLGr37t1/9Hhre2fnxNkTo9WlW5/fmM/nhw6st6PR
559dXV5dOXL0cCA6vL78/kdXQwhfeeX5w4cPfvMr6d69e+PRaDIePX/m1GRpcnp5mYsAwNlvvnpo
bY2ffUaK/M1f/fbq2soLLy+Nx6Ovfe1lj55GxG9+6RIxMcJyG7/zrS+rSgzBAI58+Vkk+tqVS4h4
7ODGoi7f1x8P0JcKtR56MEOgRd4xovimyoCJVMGz7gGebHVwgAzDQhgPw7dQzFyAV+3NUKW5jFUI
qWBGJA6jAgQDRoxE2YyAxISRB49o3WPiAFVWP8oQASGgW95AVQWIhiQhP+aGua3LjatfUswMMasA
ENff4Om7Rt6G1S4WEMCYfj6P1xbzDQAA9vMeyKnRC1sy1ounUnOMrEoYhtEYADEOj+FhWa0YArSJ
teTATBgIjQgTASEE10IzUfUFQCBgUH8KIEKsHFiLgbDS7AwRGDBSjcAMZIwQmVSNAQmhDchDdpKP
UYiZAMl0zDychspEBNAiA1pAiGRg0jB95+yk7w+98eeP/p1vHhFkGGzDjEhV+Atch8TqUhRQ23y8
FZiH5zJ0fdnc3hKRtm1Xlpcc8TjYf/Yd4G574P08Ua95DAFcU+ZUOBdje9ymD6+8v1sYm2CYK9Wf
FhARFOkJMjyLioEFUxFTJuQQcikNNzEEQmSCJqYFqRIJA3MN0UIUU1DJIjG6EkZKyQCmoKXkEAgA
ApPkjBDawFqQVJlQVPyJZarEDChZNCCJCiIToZZalKUQGTEEFpUQoj+wYwhVpMykAEzMXKVnTGSy
/4RjCkiUAUSViT10TU1vTXf/+K9//NVLp89eOCuiy6vLuchs3uFspmaRmYp8cuveuz/66cHV8cED
6814vLM3ne7uMfPhwwfV7P72Hk6nuzt7B9bXDh49AmjFYFrk737nW+efe/bT67d/749/8GBn+rd+
9evbu3L102t3rt9aX1t94UuXEMNOP33trff/8q33D66tfePVFzeZP3nzg1evnJWNwz9657O13btP
v/rV7//0vY9/9haNV2c702+9eH71qede//5f37z+Oa2s7d57/A9+4yv9+uk3v/uD7c2taa+/8sLT
554/9//+0zft6juHTh1+7oUXD5w5hcTb8/In/+rPJXd7nDaEf/W3vvYXnzx473f/xZe/9eXPdvc+
+eDar/3qy7R21MQaRCpC846mM4mifXdzr/ud//q/+dUvnT/zjW//4Q/fLj/+67/zD3513h75/T/4
01fOH4mXXvyXv/cXY9jdW7/4ox+/9o/+4W8fu3xxaTTKYCFyQQCyEomKIpohCzeCIQdVwwyofeFR
ioad2ohRVMw0MTSEXpKb9BEFNQdSEWGMItmw3ZvPU5OmpYBBVJqppSwz0VTEEBmwiWmeZxOOjJAI
R5FwPJqkyNI2ISJisYJIxNEwGMVsVDDkoimGad+NI6nVWjMBopVl5oBlDMJGiYmyBu2W0UhFVKa9
bIK0BRiTdEEsJ6Cdvttoms2ck1hWIKIUcQltOUSJPIpwZJJW25CoRYOObBZaCinGyRzjHZ1vUNoF
aADG3ArYXG2EvJP7AyMj0okJBzDLI6QANgZbBktSKPcqsS+9Am9Op5LLbG8ukLZ3+tg0/bxfojTL
ZVzEpPSmDMoRY8BxgJWWRhY5C48pA9koYCedwGoz2u5Liu3OvO8wMUJH2FkzlQ6lKQBdtqYJc+mT
mqg20QIClD5x7G0+iRMsHQKbYNYiuTPJWdSidTlP+243F5qWbKH0lnMhgTEDUJyVTBxjCEw4aUIb
MRGp6HiMpDIeCRimxACkBYjZQgAkICumBmGaZ1+0Mgu272LEGtQHjvMxEaxKVU8od0mEOknFKUEL
eqQO0eAuSFIzdDi7G021RqS6DbsOCBesH7WaMr9Ih3fzj/9ZsCKLPXAFjVSEDyqhgUmVEBHmef7o
w2vPXj6zsrLMHO7cuX//wf2icP78mWvXbz5z4ezdR5vQ9zAa377xuSCeP3H86NEjivizdz85c/zo
iXOn7zx6/PZb74021ndu3to4dTwU3Zp3o5JzKe+9/+Hzzz/z2o/ePHf+xAc//eDKM+e++72ffv2l
p97+7Kbk/PaHV1/50lN9N1+ajK2WuRVx4hJcb0g9l8Kn8D5s1rpiq4szXMTQ0zCgtYGHsihqDRep
pB5m4E9QxkWoq68060qWfBeoA1kUamgeDPJUN2O5Ys6law6N9Bk6EQz7zUXM4OChBaOKcR6yZQCW
V1aQ0Ip6/UTVA+bSOPMZhy4InbAIxSWP+Cy2QPvgt37x1e//8I3/3f/2/3T+wsl//B/9rzb3JBIH
zy3E2hg/3NpZWlk5e/bUZ+9+8OjhoyOH10+ePPHaG+8JoBktT8YCxatnA1g/uH5gY3VpMl5ZWeIY
Pvn487PnTjaj1qFcYhqrbGuxGfaWUwmY0Nu9qjNUMDUlZN/xQk3KMQLTofzgfXmYi59BFmTGmsG4
L070mYyAqVpBM6JixkONxcSgOnTI1apJPvIfal8CVKwJtFUk5noF9+CpFQVkEhMAH6aZmZJBCoSG
uS+BAxky1NjNogCGRQSRDCGX8v6Hn+/slcebD4+dOLq7Ny+ifV8Qy4mTR770wvkPPr579uyxQweP
vf2Tny4fOvjsM+cMlzYf3Tlz7sL77717OJfHj7cePdjMs93DR4/FOFmajAlwtreztr5y/MQh5ggG
YlikOMNX1USKf5K+MBTz/ZQNiyAyXNjXv6C13tS7QTOjwIOHi0rNdOG6oDLABYtnWJSqKYg5iQ0A
zTOezTfb1eu+0IzAkGXFREMIcI1prFcHoooORoO63KKKs0JTA3Ju3IBfIjh94sjxIweQiJkR8dTB
dSQIzAR48siG/7Em8De++iXyWRUSGBw8uH7o0IYXwqeOH1IzQnrm0hnf6xLg6RNHHU4MhI0qIi4v
L+GQRRxjgGG2FTkAB28ZfYAT+EkHA1oN7xy8D8M4bBhl4hAk84R132+9YcoparCg0tajBl2Ca2gD
Tg9d8ey9s5oTd3XhifBPkxHFsJgqGAM0QC4EVnHwqHk2RrEB7QqWpSiAMZSqcwQDcKG5GKhBMSkG
giQGru4pJsUnpKqBmA24RnpDNujNADEaBkDJ5dU1zYfHgSggNgTB1Z7ktjEjwwlRQgxsfocHZgBr
iUbIEQ3QBIwIEmIwaEJAFCBQsIAUkQJCIgSzrFoYCLEFjK6lZioqBYwQG+KoxuRh5irOLg6cjAhB
pBBzJ2KECJgQyYDI1FQMiioCVQ+5H5hgBSC78MR57GaAllVLjcJBJ8L4HSPuIkFQ04hMAGwIAFmL
sxIAIQChaTXhYjRvCG1y4u/9OvvF7YvR6jYiwrpABl+ogyIAMgZy3AGo2Z3bd69dvbZ6YJ2YH1+9
tTQZP335fGDcV5Krj6x9lkRi1Q0O1T1LZqqwuHhdQSMxxkU7irQwE8H29k5qY0qNDzyxyoFFfZAB
CwUxAkAwEVIPEZbAZCahLqwx5x7BqX7my0ypnsy6CGBEJiyl1NU1IcjimV01a1UABIMvx2wwNCMi
BWZGAkRm5hjB1CWzSnXa4jFW1QlqFgN1oKKl7wsAiEnWHgwwsBUhAhEtVdBr7uR2s5aIIbEV6RWa
dnTy+OFzZ0/OukwcPri7+Yf/nz946tTRaTET/cZXXrhx6+H163feefvjp5+9WNLem6/9ZHVleXM6
P72x9vQrV/7Lv3xt5eNPXvr6l9bXVnPOvaqoFMnSz1Xk8OEDz7585bW/+LMX7l9865OHcufGlS+/
+O7Vm3/5x9974dtfv7+3vb776Jt/99ff/OTef/1H333uO1//6PO7L186asS3dvPurZvh/qO3X3vr
t/72q4/HR//5/+N3ZD69evPB5o2r//Dv/9abd/d+75/90XbpX3vns/Fs+nf+7q++f2f39e99f+3E
8maXLx1c++p3vrW0vGGAOed3P72xc//OP/j7v/3Q2t/93T/+7MM3VtLZiyeP/I2vvfqT+fz1P/iL
7Z17o8lhDqFT2835+z9+42d37rZNc/n8hdHFS0cOHnr5peeWThzZWP/s5CvPnrt0/L1bqtr/wqtP
P1o98dGzl69dfffw+rmz586dOnd+C4nFjGjeFUrBxMCKIs1LZmYzYVTU3BAlAwyMpkjWmwRkQiDA
WdFA2KshUDFDDJ0ZAhbESMiIoxAsxRCjMSvYOLUBdalJDBNGBMS+yx7cWhABYF6ECkyzci/T3Bti
L4XMRDJIASsm2cgSYdZCwomRVP2oDRD2irWQtos1Qh0wIxrFqcxb4Ay8zGEU04gDI7bJUgudmUSO
RonTKNAeAwToTAlplnMnGkQfF216e9RpaG3alwjYixXJAbtoeyPV0wmT9mMwpJyQZzY14wChITSB
vU7G47g1n9ooFcBHfTmSbBNggpxDVIwQoQUatakTjW3QbDxq2hB3qG8biNpEpl4YKRA3U53vZNsD
DgUMUXoLwbiE7WkZU9AiOZeSs+TM0qfig3Ihy8FEyoxAspRE0WRu1vQlh9gihqlIzHGvD0A00xal
LC2N+zI1YmNmCiml2M9GDajS0si6bCEGjnG6140Sd50qR+KgwIahKItyX0gEsYNZRxx4p5OJlcg0
n87GkxZRSnajpBKWSF9YxwtqXDFs4ilvhFhyqZJDNAIgJDKIzH3fAXg6Qi0nPAfPhbe4SDPnWld5
NBUTIRk7iHLRi9p+zB09Eew+oIm4+vdgGMaaqSpzjaXxjhds303qZr8Y08VL527evn/zzv2zJ48v
Ly1NZ7MPPrq6sbJsxNc+v3V/a+vi2VM/eufDjTZmgKtXPz945BACidqobSLRqGlz1zcKl86dPnjh
zOs/eGN1ff3IpF1amnSl7M2mRHD2zMm7D3e3N3fW19eOHTt8c6/HIleeu3z77v1xSKura/4zD3qp
RQjn4ABdIKDAULES5WDRFuq+v8h9U4aLWPshlA8VdOH49HItIKgbXqxSJXQwcIoCYcUhLx6AlXPl
AQY+sfeBO6BSlV8V1YUNFheIyMF9NETauhvZHTXAWJP3npAc+yjWcFCP+VbAE26YSAEHl2NFcKm/
SYQzRw/+k//gH/3ef/WHv/Vb3zlx6tj2B9dsEepoEBBDoI0Dq59+/Nn3v/9au7Ry6PiJd77347t/
9aNzp48jG8Wwsrz05gcf82SyNB4R0p2793/ww9fQcDxur9+4s7szIyImssHwDICL2HIDMazgPTUV
q+iTBcMqIKN4W69E5DGGiACKip6p51GolRUm6jU/GnqWr++TqeYxgjmM0PdsgubiTwZGM1AhZw6j
Dc5jBHcwKQxtmwGwDbmaaj7ddzwy+K01ZDXVRT0OBQ0TrK8ub23uHFrfcO+TI6Yfbz0+ffq4mAXi
2WyPqP/mN1/c2ty+c+dOm8LDB483N/eWWgtkO5t7a6uTWzduTTsIo5aIUkpd0ZCSiyw2N7d2dndX
15ehzNsU7ty62cYRGawtr13/9MY7P/vwxKkT6+sbFaRpqKouaKviXREmNBWqyUGoplJXHE/aMP//
PvzU2dFQPYHofGwVMNfYETs3ChyL5oIHdw6rCpFH9g7SRMRFGhPUdZ0t1n0GQ/SLDQUgIiHpE3t2
pMX9MZyQQ7NtasAOAK+nCRE1TbM4OWPkwfpenaje+5H7CAf/xWI5440hV2ZbpYgjoscuVHvhPrGp
ev9c/C2DgxqHLJwa3zWoP2AYYKGBas1x8JiJ/bhpf4+6342jJ2mZuTAB6+DAN5aeeEyqLns27/wN
HONcM3+r0lU1+VzFvRpgBlQUMkBBA4CAnA1QxJW0BloQi4Igza2PQA2RieTcN22SUtRHpYPA1Ltf
q9clqZkAEgChJWYG60WByKdyPDzvFgmuZBCBDof4v7zUrx48MDd5vLl9+/ObIKalKEA2LUTPXTq7
ujxC1cQBCXvV7OMAoATs/ty+akMtGkVAAwbG3rSoIVIESESqsNd32EQDQ4VgGIkNTJlLfVRAJAgE
YCCBsgJjzY0iMOTqXBFEVamjoH1TdZU2EPmdYmZAZkx+1lXLPgEGQgIoZkNCWKXZMyASZEchQu39
cKHkNxT1sE8kX2AiCNTr0L9cv7So5p34400Z/XStV7Uf2Ezsg8WHj7euX7v+yqsvxchqpudOf/TR
5599dv2pi6c9k0YN553cvHb9wsXTxFxvbYC96ezxvYenTh7T+qD15yY4BhENS/GTA9TMBObz8v77
77/4/FMxNQDQ5eINdgqxNqGLe2dYxppZYIBgaKYcuOv6cRgZaGAiRKYassdEMQSRgswL0YGoAmEx
RWbw1vQJE7xbPYtkkZBiQFAmBIVeJJdSmY0KqlpKCcyqGr3vVev7XsW1rm6WVILASGAlBUTVQJQ4
MHRMJKA1voeYiUNgU/P0VCMEhAJWVDgEH0URhZ2t7b/6y9ff++R6Ub3y3GVtV1TKlWfPrp49/3u/
/2ePb995+crT8zu3v/2dr07b9E//4HvPjydXXnr249sP3vvRT85fPDuO4fSFky++fCU2I+QARRi4
iU1iTJEz4NLKSojNzZ2tNz+78UyU6zduz7Z37nz62YWXr6xvrH/p8rGLp09oe/C7n13tdnebQG63
Tkw56/3HW5MmnDl+PNDKicsXHu3u3oQHk9XlycryKZgcOXp4d2/n4b3uZ2+8ee/x464va0SaZTml
s8dOrkyWUohiZgqb8z6ORpPV8WZutR13PWAT48oY27ACoxQDkzFbiDyOfGh59dVvfv3L3/lWj6TZ
3nm0O1lZ4qadS9+zGceZ8HY3zxJ3tsp93p1P91LbYrA2xgjWEI4id1KINEVUREEkpMwcY2O5zAoi
t32BpmlE+gKWmFVNDIoWIkA2DgYgLbEFFg+Sdea+EQDmLFmgFBXRkksW7ObFKOcuB6IQQ59zG9hM
giIDJLRIxqBNpHlGImAgE1VCQ+zVOKaMxsgzK4jcmzuOA5imwA1TRFhrmuWYIGcCYLURh4RcjFUx
C5ZcpOHprBsBl443S55g2OvnG0QKOViO0AeZjSIm7CYc+5hHrJOA0ajhyIa7IllDp6NM2uF4F3sS
obbhvgNLTcOJLQCKTZcb0hEst4WWIAYVKamlpQA9GVoJYLmUXmWnFCHUXo0KqZVpXhunG9vzY3H8
aGd3ZWkcjVT6FGO0fgVzjNJQB2glSYrW5f5gjAFhJpBCNGTF2HGbITICsu4Y5hCVAmNAQyPmEFMM
q6MUGBIbZlsZMUtIDcUOhCFR6SEHjn2WWVFDnhegGex1JFlCDLMsGk1ysSAiqlZUFE1KPxPtTZm5
gGkMIUXgAJGJCEIIFIIBF6uuGJE+UFM0f+G+1BSMDHVh5HAJkyFmETJkRGIUNavE/LpkMFA1ocFa
aWZs6BAFNYHBd0mDN2uRGj9gP3gwVyxQt3VDNRROtXTyZ5UBDrHpdVRXQylFB/Jlxdkd2Fg+cnDt
s8+vv//+R0Z86PCaIea+O3L86F/9xY8PrC4try1PlpcmbVjbWJvE6HKSoycPvn/1BoZ49dqNC6eP
Py7w+ec3ZojLo/bg2srdm7cnqyuBw/Jk0oxGb7353nxn58DFE3cfbQFRE1kQ9/am81nPCWBQSdb4
mbquhDpkfSKfcLEqrItGUxg8n4bo0Th1QFk9ZlUxaHWBCUPJaxVMBUgAvnBzbTAoDFRhHeRDDpwc
kKGDZdLU0MjxpD7RNbMAwEPCuxuNFNEq6g4WCOUaD1MNjfurEa4ICPKdr1fJOuwhjVCJfEtjoKow
6B6BDJoUd/amB9r24rED/+7/4r9HHErRbm+v3TimiAYoZjGmv/Htr6eYvvNLXyXRNiZA/Nu/9gu9
lBQTAYYTR8ngb/2tX1CwC2dP3p93Fy5e+IWvvxw5ROKDX1szhGKmiGrqN5PVlY6ALQSGLkSqplhE
i4RooGIAFupmHwjBQ7pz/UgGZE5d+9cROwCJWql7bC8wVc3YJw7MdZsEyjVv1sf2Wmmxg2pdROos
34a4SwM1FLOsft+6argWfDoEbLo7EVQWFbOpIAUDO3z44E9/+vb60uMjhzcc8/vZZ9cZcXl5pSr1
tZw/c2pl3IzCWtS8srr62bXrhw4uHzqwjMgP7z84euxYE3ne5YsXX5zPZ6MmAlB/YCk16blnLoxH
o42lhIQppZSaQxvLMaYjB9Ziii+9+gIg1EbLgJkBjNiZ/oDoazEAM2+DTE087R0wEKoo4RcH8g6i
0GoJA3XaphtuVQSHvFaf53hQMBISIRHVIRFxpabCwiWwCAH9Ofk8DglVVpk/tWSvalEiEfVozcpM
8oQgR/gSg3lCKw3qclhEcw2YZJ9b+JKncmKHPYnrhMVjCAd8nTOaUE1qTIVpRRN7f+e3tnehuU5M
HCAMT3DIYT8hbAC1w77ctiKafYDlQo1Bc0HD6Y+AojWaFaqxtn6SBEZUg5etUtiw7qegGk64xuCB
OqgcA0Mltw3dChYFMo1EisBEjWFwrLoJIBbTrKCIWY0AI1IEM03EqAAFQAwBMQLyYiZrFpAymAKw
QUQMDiVXJeYCqAAMWGHUWiezw2/mmvpr0HX5J2+++8oLT6+MxwxAxB3YZ/ce/Pmf/Plv//Z/h4Z9
cR0ZMHvrwHXtBQrQq/34tbe//uIzMREBTnf2itlkaUkGom2bGj/Vh9AUQzT2HaNWaLgNmg7P9jJn
OFWhjhKCaDVxICE4QsIBZX4VEaqa73oRjIEMlYhAvF8zJkfaGhCqFELSqlkGAhe0utFAEMlEOFTg
AlT2nt9kjle0yoTyaDc1q5NXp3wrVnKVygCSqi5hq0fx9Rs3zz9zvhj9we/92f07t3/jN79z9typ
t956t+/71CRVA+Bbtx+9+c6nadweOXL41q07x08du3nj/u7ezmvf/9HXv/mV1dXVz69enYzH5y+e
ef2Nd5ipFEuJwfSF55+5ffvuvbv3J+Px6sbGW2+917bcz/HM+ePXb9zd2bp/+PCBi2fPLpzrWqHT
rOKFE4QQEiE5wJYCG1V1N4A5uAgRikgyMIOcS0pCyCI6Grez6V7JuUmJfWwGJiJW8dPAzIxUpIQQ
kKjv+xhjlSkQSJFR2/a9IRgxmTkANkYIMODdOZAIGgIz5iJeHjj1vYmBiMQUsKIirM4mrCKnK2Rc
BAwNIlYvSiJYnoyff/rM+WcvZ1WOYXOrm6ytbhxYDW1MS+PNvd0DUuopCTibdW9fu3lzPgXAQ8eP
QtOuTJaXVxKFSMxe03ikQSdSDGaq248fLhEcWl0zs/WV9tCh1aNHD45evERLS9DlvSlSL7O9qUgm
QlHa3e3i3uzhvXuH1cajphTptndKarbu3ZtcWjmxvnr1k2mZzbrtfvve7dXm8Imjh8++8qVf/tVv
Z6W8u9NurFHzCBjE5doigfni0QN/+df9rU9vbXFrt+8e/+rLD3f6JaLGsBTpis4725x1LYSd3O/O
5jdn2xufXSeiyDHFlsyIaIlxPXAMoSC9cPbIvQunf/dPftIeWhvfefDcr75yU1iBM4WURn0xDM20
n5mhqClAG9BhZ8FsOYZpP2fCUHqykgDARCQzBwDqs86KAuQ90Fk3ayatZkltsiKiygaqiqCBLDFQ
YAkWU4gggZFTMLXgNtEQtBQKoWTpERskJeo9Ug0AGdAssRkVplgsM1JAZBPQAlqcNrXXdQC80+V2
ZA/mHVC3m0uLHAj6YmRAxGiwHpuipUlNV8qoDb3m1dgECFsga6NJ3/UpjC1ko3aq8LAUhnZLu1bS
FMIIqTMIapQwkkXISyAxz1pGYQumnWUUglJ6QSPem5c22eZMRxN+MLXUoKLNch8b69By6Y2BWVcT
Q1dCpNwgNRYBSoRJW2wlLjcgozBpm1K0oEoIHcU5N4/7sqYNByjWk7Jxo4CIATEjWmIkzBOSAGCg
veRRM+ogE1hQmEmPkkru533f9aJkKdDmrGjsp3t5rGRg867HGDqRqMJoCaWlYsFW29ACt00AtJ6M
E/UUiIGBDSiF1OdsIRiHThEpCRSBYJTEMIWIiGrKjCmxSEZCQlAVgBzDF1eyAWTJEKrVWd1ESpUx
MdS7g6wUFvTDBXTOFwZVf0uu+KzSRE/mdD88LIgW1WVk6sWTVntMLaQWS9Qhtqy6akwHpVRFzqKZ
WUX76lCssprt7u7dvfug9PmpZy5P5/3mw0dHD66vrq+vLk+efurs2tIkpfTylcvXrt/cm84Pn1z3
NcBTZ05tTMZbWztnT584cvjATz+6mjbWj2+sbVw4R8wHJqOlyfjrL19p29HXvvzCvJunFJsmff3V
KyGGFy6fqdwjO83MNXwLBoGOv9kaRVPtNPaECwlh8a4XQlp/EPkegoYYHs/3G5xLaHX1NvQksIig
GZIACUh87wE+n/axbs0scQBvVX3WEA9c5GwPEFl//bpIFPCWF4shu59l0aa6UHA/bNUGkiyId2Vm
DMpApmZEZQgU8gxS168BIiMEAEZ46cpTH3/4yXsffgaACqqgonLowIGVgxsCoJ6zQjhKjZqNYgoR
QY0YmUIKQU2ZmAyIgDEAQhZbauJXnj8PgQe+p5d8ZZHQwQgKRgbELCq+GGFvQwZKClVSjTEO6CxP
EK3USAAkNbH6Q3pFgQggUqrebDAH+YA7cUAvDkNw/aSCUY2Cd+eQh5R6QWiIlL0d0rpA8/4BAcVU
zZDZoexMTizxmZNUT7HPPvCJTI3hNmza5tnnnvn4g0/e/+wmxdjP5+urk4tPXfQoYzRbXV5aWZ4Q
AEU+deIoILx45XJWIeJSytrKMiCvLC0VMxFZXV52PnOKbGajlRUEbQ9s+FKxqC6vLnvvUETadiRa
YT84BMyZqQepIKOqqDo6lQhITR0rNoBbDekLd6XiY56KlfI0CkGEUrKacHDwjQJSEWEKA+5YbWhE
AUlEkf0oGxbRFeYKWHM7q5vRdbyLvVmV+A5XgpmJiBSpZgdGNfHNp4j4SElt4MLgzynqPRRxoTgZ
5Bi4iJmoZ68O3E2nmj1hYqwkBCQzIxkgcgjVnz4khdriSKh7Dlo4q9FlqFCRMs4sQKABMYsVSuev
A8N0bjjaFl50PzyHX6zNUvVdLmwg9cBBEWUObkwt5l8oEEJAJ2dXgwgYMkPEYIiC1cdrVMHI/uKM
4M6Q4clF5AghsIhoagogYASLxK4qEkUb4MALObEPbsGKWiSupzZCLedq2Gn9/kouALa+sU5FGiYz
nE6nv/uf/7O89+i3fvvXFbEUfe/9j2/cuiNlunHo8JUrVygmIgLwvCgVsxsPH8/6/sc/fvcrX3m+
iSkS+uXUgwZiM+hLzzGCmbegkciFqsXUkHKlPUGdoRH5dSEG0XmD6FJbU5dmV4uHUIVOYedcHARC
QlM0J1oPK/XhIeLJ2IPAAWoGk1lAKsPwGurhZFV5YlaV7OSpXawqjkQ0UFFj75eqYqIOgMWX4WaM
WFQR2Bn7PmmaTndWVs9c/fzhf/Ff/Isye3TsyOjXfuPvznLflZya1hCL2J27t7/ytS99fu3z1Y2N
T69eP37y2Kef3jh79ti5i+dPnz3553/6va9/48UP37tx6+bd3Z3tV7/20l9996df/+ZzVz+5tbu7
vby89vjR9qefXv3KkQPnLpy+ePn8Wz/5uJ/P7t68/Z1ffhmQoe5yh/Jlf4AFiBSKggH1fTYiM+j6
ngmaFP1aEe8q6/TUQgjulXKMaqV4QL3UPGTcAdU1UJ6ZyPPAIQQmxBgDBwIg02Kosb54UZOYEjPl
rMxRnJpThp22Tz0pVKC17ku8StFB7eCsBFYVICxSADDFYIDRAweQVEqLOEpxfXX58KGNed+b4UpH
TdMSUiJu2qZ0hSNnxN3pfDQenT1zBFv4pV/8mio8vP+wbVoonQZUs1JyjA2CJTCQcvvh5tLtO5/e
uvPuD37yzVeeP7x25OtXnrrxyaejaWHLc9JDB4/OpPzorU8tNVfvPb584dSlc6fu3Nr5w+++ffjU
w9ufXj1zdPL06aPvnz77n/7OX8Xl5bvXr+ulp5+5cPzq+wf/s//896lNZbqTiF995szrm49/57/6
I0Z75cVnJxurq2PGUcxqIgIAfd+fP35055d+6b/5yzcS2a/98quHzj5z7NpdOX8RQ3tqRN94+bmD
GwfH41EzapPJL7949v7VT372wcdNSofW1k9cvvidb74UJsug+MzpI4dOnkBIjPiL33752tWbReT4
y5dhdXw+Nqu/8W2ejHPpGYnMGrRQZXHICKLaiWTAnS4LcdfnlZTmpQ/MaJYRxyEAYZsC8XgS0kiY
EgoApMhElMI8Q+LQMwOwQhDhuUkpxli6rg+GZAamqMVATDODYOkZMFsBzWZ9wNbtzx0IFstMZmHW
l4hhWvJyTDORcYzW9UikoM0ojUdhJmHS0lrPa6MQY0NGhYGJDNGY56JAtNdpFyxnzB1opr7k1Yay
qkjfoASYtzYfgRWwgyxJ5mPros3QOijNTKQx2pKyJXiv016wLdYkVrEWwsyoDbFBDmCJWTQcGCP0
sB5zWkYOQBj2II5DmFEKoWGzTs0ZlJJVlUqGJUwPp93RyLtzGbVgCpI7BkzaNUqHoR9bZ1aigRVj
U8KUc1EmIJiJUpe3+z7kyXamgCSRs+i8YMDIRiGEINbGZrVpVptmpoUDNU2YUDOacFQMydEEoW1S
36XATckaOAIlAZ0J7wr3M4wxaDZB6vvCJqAmMo+EjCVoz5AjkVoBMFM0nXtG1bwrbdvuzufctH2B
kGJXdC4AFop98X0pADPVRahCccmiiM++UU3qXgd60S4XUWNiH6Taohla7AUQtUrXnAtS5bU4NFB1
24e0EKox82K9NEhO/EAbeAAeDGw1gHRhjFz0qMPWEdzVf+TQwSOHDi6gtefPHNPaCdvzT19woNLq
KL349AWsxHoDgMB49thhPXLQX+fg8qRZWTp+7IiXQUcPH9xXYVFMTfDfllIEgBgq3sNqrrU5o686
QOu/B/T8YO8c4sKfWKHUX/Y3Xjt/rdA//0jJvbu0sJkOP9ViObN4HtVF6AD2dHOkq59kCCOQquNS
rjgHAQB2nkf9eaqvjIYon1qFDsl6/isElcbnmCSAQVIKnpvi1rvBfuq1L5EXcyAK3jmBMUBARC0B
aW1p9OrLL3jVJ2aC2Ku49UvMPJvePyL2SGwkICVEdKTkwq9DqAOMKzIfPrwBhKKmpjWsdhiAPGHh
tUG6DIyoLlCueA4jAFHvGLG4k3QIJ3SyVpFi6F1gBZPUihqGdnQQDDuL2HXDTL6K0UDYiwyES1hw
dL28E99z1axdq3RRoCFfExGgiBh6FCqCuAhCfXvq16nKsNR28SSS1BQamUzaF156ru86v65Sk8CU
kdDU1XKKVK9dUUJSMzFycf0+Z9aAEIM3zaJhIGb5/EgMioivGQ0M1JjJKjdVaWhazMinA35JmwEy
SxGioCpmPowbeLb1kPmCU7laXvtKnNCNi14mqvn34XkPOESYVAsWEgBKTdKEQRE98EcRVC3woOKu
TZYNyX/2JM7cCWN+i0gRkeKa9iIWiAdYrwub/WNRVx0PkxUiwoFzW8dCC8AS1kUlqmn1ZtqwoBx+
XHqCelqvurqeBK3tAC7gsjYQeHCAM9UXs/0/CfuDNqjK26EzRfJ7vfbkWHlcuDCp+l1X8e9PRJ7W
kx8Qqea++KHK3ugOPrlFZnVxw+TAd7WFL9wVy6rGrE7UsKFrMg/y9QNH1JBrzCn6kMkAHPocDALi
kCGlYgoAiqRqjoRFQwIjQKdnecCSU86GdCCs5D5iMAhM85x//Oc/fv7iydHGxv/t//KfvfPGm69+
7SU1AYiB+blnn46p2dt+sHHm3A//+jWi8Mrzz25t7374yUeK9PyrLwri4929H7z+dgw6Wl0ZjeK1
B9NbV6+ura89deb09Vu3ifHIkYPnzp21BSHW9SzMxcAQxYAWEwpXTg0RLR6hHNCPOFqA2d1Z6rp3
cwgcuOO3HkXiSzOP6wFk37Q7wxaqt9ocPWBW84II1dTNrsP/XLBtUiW6VoUni9jhAVOw8IYMET5A
A4QMCc3Uw4RFtUmNFltZGb/wpece3rp24eIlLTqKKcbkNPWdnd3tRw9uMezs7E5390Qk97nvZyGS
X+lE2MSAZmgwHo0mo8nK8mR5lJrUdl1+6813nn3uqVs3bpoqIuQuqyhhaGJ788ajdpQOHtwA3Cfx
qirx4r7CUER7KaFNroAIHImhiDRp1M8zMcuQCxdjLKWYWYxRSoFaowwGfAQwiCH61CmXDICBo6kM
qgkQKSKiIiJSijh5SUU4hiLCKgVAVKMH2uhCKq8QkDmaulGFaipQYPAnLgAiLnpmZkaAUUxTzgGh
oA9xFJGZOAHO5v0f/sWPfvjuJ2py8fSp1RMnl0ahV0hFlts0acKRA2tHjx/6wz/+s2cvX/6FK0+9
1fDv/+n3mxC+9uJzTRPPH9pYbwKH5GJoRFwet89evHD/wf3t199s2+bv/eavHD9xzAC+9uL5Tw8v
371998jqytkTxyDFv//L3+hmz0Ofv3HuzNHDh0NMX3318s7FwwDw8ivPRiTi9AtfvaIvP90VzfP5
8tLo8Lj9zV/+emzSjcebOO+WRssbqysnf+0XA9G861ITDeBvf/uVFMNsPueYQCWZpQjfvHL2F144
DwZaJITw0tlj0+MbcRTXSL/y8rMiMut6o16LPHv5jF063fW5xNAqAujFC6f2ujmbnlpbXR+NO+kC
wdqoXb94ykJkpO35dKUd08ZB5KQKgsicCgoiCQUzQw4NhZWmYZEmoQIIhECAkZUYBRShy2KKnehe
l+ezgon3ptM0HmEuoNISz7suslMHC0BBsEDAAQzKpAl+F3ZZOcY8m6JBRooUilqm0ANQiMJIITDx
iANHVQYCphhBDHsZEfVEkRBRFUTB9kofep6W8mja3ZsXwH5XurFRn4AtZ9ERUCklhkhWlgj3UBpU
CxgME8dSjLiZCQu0u9D1FokoY2/Gwk3BZtwqxgAojeHBNsSGDk84T5FjROTdvb4hEEJQLcXmIh3T
oz1px/HuFOIoPdybx2BNtO15b3FuVoKViWVTSwhCORHmkJFDZOSGJgxd4MDMITI1gKjFMo5mrFHT
nHEmktrGrFcgiymlkACL5nEKOo7LLQSEQIaMc9VRwl5NUQLyvBQAK2azXHazWVboSz+3IH3pAft5
26StvWlIzSx3lDkhiPQpUrRuHBrFvmkUzHq0xASBBJQoZGE3l0JoSy5kgSiKFsWIrMQpQGHmlOLy
0jgGgoQcsWFqKMYAe71+cfLHoDitdQAakZjLhGodsL9eEAVgU+DojUxYQIwM6nOsZsHAoP4ctMHe
p2llfvjkjphpX4taef1D7AV42ieoGqMt8uh+rpGzIdZzWCKICOETY3iv0pyD6nYjj+tAsKqW3J/l
+3bC/+zZE0fd2rdIEIWhZhpyz2stuLBs+cZhwZmso8khbXUg30NdRdbtIMFicWX7K4rByFSbUl/Z
2RBeCohFjJ/YiVQtkNW/m8mf7gukCFT8vSvKBuWwqBmBmjL4jz2AVcBDzAGBK1Gp2swIzUSKIVfT
15DcRoQNDcQd74LQMxAGBapj3QBAPYe27kBcXlSxPbXarukENjQBoKDVwQw6LIxdQ66+iq+AYvO5
ufioniirMuLCIaugC0cfI6pjigDcAzbYdwHVODhIh8BXY8OcwBwd77bBGv89NHtDVWfmDrjBG+wO
yZ+7aGtOTBVvekoEAaGhKREpWGAushChQb0ADHJV6mpWNTAmxpq0VoOYfG3IVVflOXuLe9Hh166f
wcV0QxWKal0RixARGbRNU0Mb6ptXX5W5Wq/PmYkIMKspUFFJwVPSwLSCongwX8KwyfC2SgDEsVGD
aRyrAtQq39QWUgES1T4XIiQmKerngy3iZOtlX5ecovKF96U2zNWGiBJE8gRCr5WdX4UeQlspr2qe
9Gv1TsL9RGVDXJyo+1gyPxLd5buYyg25HT6n8O2ZNU1smrTYci7kr24nFdtPidwXIuMipxNpP3y5
fssL+rYfquRbGhdb1q0HLk6wwU2Ke7NpSinGiOjELOeymUscPDZkkTkPwxoVqc7Uho607gP38QGL
M3zo3vdJxEO4tO/z6zxvgPUO4a++4atd6sJyXxUAJoxUTP1H9d+ioFQ3vAQerQK+MqQi3pjVj69q
cMAUFAyJSKxGleLC2QgoYOLeeJ+bousmKGsxIhtUP2AeE4NqquC8O38SYSB2MpC678G1wiY70+6f
/avv/Yt/ent1Y+XzDz/5J//R/+bG/Vte6ReDCIhIIvLOu+9funB6u6cfvfHudLb3N3/p1feu3vr4
/Q8ZbDQZXXzqwksvvfjBp9dyN58VuXz5wvHTp9764U8PHDqgUprU+LNYHGng4k0DMCjgWcqEZpG5
KwUBichEqmJDfQdexSEyZJ0NjxVQqJwqHjisYKpuEHFQBLhWl5xEboNLGd0vWaNBbRH2q2ZsGIbI
cVVjJgVD8iBo16svfL8LV8q+Xh4q9pk8CguJPKGdmI4cPvLpRzcuP3P53//H/yNQm7SjBw8ejSKn
1Pht+eDevZdeeu7w0aM3b97d3tw8eGDjpz99S0q3Mh6P23Tt08+ff+apd978IIV07MThYsJMp04d
Zk4HDy6vTMbPPnvhwb17Fy+dW11ZPn/61IM79y+cP7ayMvnqV5+/dfNW4JGfpUPiqjEzuf4YUVUD
AruYAZkBUMAQUFSLir8NICxaEkRE7Pu+bVtVySWPRqM+96KCAkUlFzGAIpJLca5aURERM8siIqKq
McYiuUYoBMI6TXGhdtVvOQLOJcRELFJlbkRUiopBFnOWCCKMR03f+8sXq9Z0Utdnlyx9Tz4UloLG
HCiXvDEZ/0//B79tJk6qZuSQ0rnjv0JEMYRf+vKVwBxi+M1f+UYK0dBy0e989SV79UukEDkA4lev
PM1EuoiVN1tp09/8xa/1fY9OUjZLIYiIIV05e/LSiUMpJDArqueOHlTYYIAUAqiJ2bGV5UPjlphj
iLOuLwAPHm3d/vTm3u50pYmnn35+XuT9azfufn7z8eNHl06fXD98jswIKRIrUyQys64UDgyqIGqq
aGSiWrTXmsfDWLKqAvQi85IxkLspIpElJiYxaCepGFK190OMQBw5NRm5cNNLaYB7Q1aLBGMOiaxh
aFhNQbWAEqkGNTPLRSyIqm1P512WnSwUaDqbL+NSnyUgJqRSZNS0XAfwtjxqiHGEI06xEKKn1YVI
HJXZiAsgA2cCycoxWMkEkJhZhcAi43IKvSqZMRNnaxHBULtCYrkUauP23tzayJ2ULIw4zwWDZIQs
QmgNYQEdI4wCjAOut5xLWG95bCPMmiOIoDKpWGdCHGYGYwpTBYTghBU1bEMIpmOCBLoRsCFQsB61
YZgSkvSzbo6KhXBn3j9WkQ7uT6XvYWu6uz5Z2s2lqOaSlyARGhFMUtA2TUiOLzWrSWmMiYIxh9Iu
NaMyzwohxPHuvA9h3M1xxmOAkA2WLe1IXuYGgE2gYSYTQ42UW8rL2E1iYJGMlkD2+i5FnPfzXnmu
OM195GZvJmB5WqQl3KU+9EYJRBHRYzNASiYQNptEBLPU4lT78VLs5wYUEAnHo3HT5r40zaTr+l7Z
rJGAuyVmmhTBJgTBuWDMJiEgk0LJCD1hSSwtSCJBIrRiYqalZFPFeZ4rhu2d6So285kk0yJKiCVb
J1/YYeVFmJfs6LnkoohoCh4j6R2jhzCT8zNUVWyI5UQzWOBzUQ2QB8pilY0tloUO9lAbJB+mZkPM
TE3ctkXq5qAOU9q3p8q+gu3nOUn+CjKULYtfBTPCIf1vv6DTAfsyLBkWmCEEhwwTEmD4b9GY9rvi
SvQZmlQvBAejqz1hXFMRRnTTYN0nD3jOiuEdxHXuacSBfVIbbS/7bJ/6Z9VqCp4d7zJRd1UNDAZD
AJVSS8Wfd9NVVGsNdBngn3VxaziYugiwJvIBFt9UDzsHUwVyqWXtvJhrCCpB7ZsBwL2xotWQ5+wX
Vc+plsrL8G9ikCD6bsaA1KwAoBmbhuolrhpFphrJKKopRTIqFZmCxTtA9bah+in8m8ldT4CdZEOk
NtXBgamqRWY2EMfmmJk70tT3w7q/qwRHtpCoKqCYFTNZeN2qZYsGbTKoCLKvqJX2JwhWeVgIVgZN
LToJmbBW8HW9LADIpAamGpCcYylSBvEzef6hqTCxiU83FGsW4uAiGxI6Fi2HB5X7UKMGrg45MiIO
faw28oUxkRA92kFVc1bD/cGBS/GZuC5J3EBoxjX72Hxv3OdM7GxbKGpq4MJXNAu1r65aCNtXVYCa
Q1dZcVBM+B1d1e4CYGgedQxDNMsXlIoAeOpgKYWIvMI1Q5Equ6U6hvC6FogIPCFiINCyS6adflzv
ibpcHbpTBPJEqOFgfHINuE+lBqaa11h53VXoqQOFaMHxriIRMZjPZyIyHrdMhED+EdUp1f7cB+td
jmhmRe3Bo0d3b99lojOnTqwsTSqNjWhnd+/u7bvnzp8pInE4vrxQduSn+qFD2M87JIrMLsVbrH2q
LnPIRvL5VJVZe2snOrDS6lFJlVlqi9TEGqfraWRm1QXr8UtVQUuLj62OU9GYSGpLClrhTArDVteD
f4ZkmgFSBSAI5Ls7BSQgnx+AIbKYBSQFQ3FdCXjnUBNNBwwCI6pZoGCAMhihyTBUxYVfxzWNkpBM
intEgX3QAAQQrT+wOvlf//v/w//z/+H/+tGHn/yH/+TfffHF567/8XUmKAZGWERDZDBrUprN5mYR
mTDw7u5eP52P2oZx5jE5s3lHiKbAjHfv3gujUds2Rw4dYNSfvP7GyRNHFEnAIlJFFQAwYRYFYjfE
IkAbQieiKpWVNwwgqtocQBWQmaqsGslcC1A/qPDEheqjsl4l0WCpBRSo2YZiQKaBycHuYFhUF4KL
Qdi/eFrVr9spdJ66OtjDbcjCWUyB/XXqNNiNzTpk/x4/cfjdx5tvvfnOxUvnAvNnVz+/d+vul165
4tByAnvq0lnXuJw6cZjqoLmG1H3tKy+61vvEqUMuGLl8+Rwhnz93MjCeOXnUVNZWl86dPeqz1cno
GBMZqJ9RFy6e8eeITzxqANWi1PAto5mJKJtZKWhGaoAYOZoaIauYMQJSXzIFdltIIM771iAMRBoC
IhCSAplajDHn3tQCs28ysR1RDQjdp3yIqajCMBUrogGplJJi9NuslGKGUlQjiPhEh0op827etqNR
COeOH33/g1vTqTVN6vvO1JjDfDb3MNI79x6sT8YHD2wgQggBEJgxNaFJnHNmJqvxvMRkgGCinorj
ri3zaE0XcRuKCrCZSCAiRs1mZkXEAKQSgDGGoKqqyswqwkwxBFFhpsAhihJzzv1QqEJ15CJkKeqv
RnT2+KEGIQVeW5mMV5aQ+NlLZ546cxzBlsbjNBqpWjEFKWogamLamwYADrE3CxxUMzKJQoqRyTfe
FDH0ucTAKQQE4BDnuRjSTIxVDal0fWqanDMzRmSQQqAsJTAX6XOfewITCTH6G++LznsDNjXe6bqN
dilT7x8OGcTAAWHUcmQzgFHTTBFjEwsAhKAiTWoMECkYElLY60tm1FwCmOQCaEuxVRCwYtKDNQE1
kOVSIoDkjGrFCgeazguwzQqE3nb73CZqAMTYKMxFR+Pk08ZAHEejdpR66jgEQp7O56N2lLt54jjH
YEZAZKhTgWy4I6JEu33Zw9IUK4RBMhsRaAQLyuOgWKYRukipB8lqvYRZlr3OHnXCe2VPcElZkea5
ozZ0BksxHTAhxCYwAayH+GjLjoytsK1D06bUSl4KcYcjUJibdgZsdKvL2sPjuQnBTk8tWojW9Qp9
hyCmcwAdsYQyizBvAXvsR0AkMiFDKaWUorbTCyFADNDbLkApaXtXJ6ndne+tj2IPOOLQpAbRmjbh
XCYNsYXJKCwLgdlGGHXzeZNCZ6qmgQNiUGp77EGgVyKxaW+58PZUkgQzHSXe60vKWVXKfJYQQPoG
IJe9mMaqfe4FJ+Micxboci/cYIYsoSvcS9ieKnC7V9Noysp4lDOGGBAwMLUp4mQ0aTgYExsl314y
WfvFuR/o9ipytyHUaqbCeRHVLKYoIqpQigDWoTAieVsBsL88HPo98+NOwQir8c7VaC6pUVOsFUnt
Hfzg9icQ/VyEgFUCsEc1DmBbQBz4JDbwAGrG+kD7cCHq0HENu9YnNg3+sw4pBP6sRU9R5cUaeRHq
PqyPFg7KQcU8BHIMTengy7RhzI/kZEIAQ1WPNoEBA2AIRHUF9/nN+zbbvfDU+WHxSV7o70vjfEgw
pCMM20Wz4dlWt68AgXgf+VDf2v5mw3NMvGpyLwp69HzdZdT3qbDIOAUCL+YgMOui+XcfV/3Bav1i
BmJ1Je2VpQ54WIdo0tADDhYmRa1EXBMHyAetjS7uS5rNGIAMKgsQEQz6Pk/nM+LQtCMCZABdLOiq
YhqK2fVbd6GfK7KBnrp0ztS2d6eP7z5oUjp57FBqUhWrDcESg8KwBgbIEEFhAKLmCJBigsxe+KCa
fz5e1iBYIAYiU2VyiyUQIZnTK6G48M+MFlAZNUJSqXdHNlVwpg5Wg6J/+otVmS9CDQjJRAnIpca+
YEGffThaAIZ0eQA1ePhwd/Ph/YuXzgT04FMSEceEMNZDYHtz79rnN/vSTSbjEyeOLI1aIhZFq8pV
38wZEolYUTHU+tMR1QRaU9FFnYNA0bcYfq8yEZODOtFMvcIAQCAWFzBXMR6Kal+K5BwYVfLSeITM
LmQFgFIKGBKTFvUC6Yv+o6pIqABEDAi1bqHgoTiq1diGauiiTmfVLoIVajJF1a+6GGTRaPn6yIUA
vjAA40UUlrdtDhpVNdcC+D0xtHP6hCAWFwkNvgUVs4+u3rh589ba2srxQwfW1lZ3d/cC89ryymze
NU1SpL3d3aXlpc3Hj/f2pocOHpgsTQzgweb2Gz947eWvffnx7vS7P/jpV1998eonV41gfXV1pvrj
7/6olCycDm+sz4tc++hjpPDUpXPv3364fftmmKyePLKxV2T74cNjRw9dOnsqpCcEI08Idus/1cqu
i/jRhUqnWjm8aRhGnAhQVJ0QWzFtC9+g1eRrW3SnddO8Dw2u54zV27CSxhHNlIldDsNe9CI651er
OrQ+IAggOJXDh1BWYUX7R2ndRVflCyJKpekociiOq6zpne4vHYYUQzyX834MvLYzM4tMDUsAvXjs
8H/wH/7Pu4dbLzx9UQGXUoMGNGguxqPWDhy6cPTom2+/p2avfOX5PpcP3/+4SemZpy/HpVuxTS+8
+NRHn109dfIkEzzOdx4lnnXTL33l+Tzr7929/7VvfI2YBayY9oYNopn7DiHRIM8ZYPvsmlkVICak
YkqEjCi+QcX6aftmJaCJzy7J2QpOP6qocAVTwKIW61DSmF0MjCJaw7IrkEJxgPDpQJFYSBIArO5j
cZi/VOCF86t8iG5VFj6ged1WbXWvjt5txcDPXXnq3oOHn312Nff58MEDr3z1xaZJC061RzrDkF4L
dSzlL1VD14mCmRK54UMDeXzrQKyvc/46vEZED1EXkZoPp8pMUiPbbCFJQ4Tgz0VCiBy63PskUlWI
YvElJECKUUVANLFzcasTHf3BwwylqGpKca6SuPH9qMtatBhYUTMtJcbobXAIodubtk0D9dtFd6EE
5t7nbbVyIWLyXSsSIDAWZQ4eb9gwXr5wcmnUPLh7jwP7cyDGSEQM0rbp4vlTx48fbtpWRHIpzKyq
uS8x8pCRZUwMWrMHkKpbvULDAfdtrIgcwsKW01DwoX4IoZTCgWJgn0w0Mc67zltTUDURE1XSXvo+
90xexpiDGWlQkINaCGQoFLjh0cr5EzFwKQIITLi6PKmCATMkCowgEjxmNlAwNrOGAxZV1RCCAkgp
RVSKhoh9zkAoYJYlRUYzMvD0XpSMIjFGMY1MkSkzihnHQBKzAnIsgBKiiXFIoMBAKVCR0DYpSw5o
irgUA5lMCBvEDIKIuQgAbXUFxeaS54azvl8OMZeCRRJTyf04RiyZNCU0Qm1j6EqJxIXJyf1ZQDBA
HPXGPUUVKDGZlZQSZzGQwGHcNG1gbtqlpomm7KnBTOSwKzHTyjmYzstMTIoYlMRx2nfIqYiVImDg
+bqgthSYiUdV6a5jCoAaOVokIwa2DKWN7V7XA4eOExkBQ2IgxtTweBTWclybRJz1Y4aCBkwMGIG6
XMyoV8xo3ayXxJu9tnvCxtulWzJ+NN0ZjVvAHpQRlECjhYMNrzJ00E+CFpFgBMxAJEBzY7NkBn3u
l5rJHuBcGqYoJk1MfbYekRqmgCnRmCMGyCphlHoDTgFVlkJoCEglIMwlK5MV2cql7WHaY1Yx0NIX
Tjqfz0cGZFYkR9E+z6w0aPMIoJYjQcMhx5JSkAy52CjQjAOFprc5UEKzDoQxZdIOkgUGEghJoQ9N
2xRLzClyzzZqAipNRqHPnZExFgto0pta3xcA7nPB0O7N1Eh3dvJoxIyac9+mtDv9wvmlaGroseNK
TKJa1JgDDdpWT0I3G7AHIsQEYKIaAiuoKRAQM9twZvsDDRF9GeIIHDMZbEi62BUQ1Q2egXoqw6J0
8c3TkAfu+5NqJUUyAlDRJ2K4hmD6OkhX/3mKSATmQGZKPq91CRbWjGx/7KnB4qVEdNCgeQ1Evcjd
ew/m21tIeOjI4aWVZShamfhQjTQDjtJ1XB7/WcEOXjopwM2Hm2/88PXlteWNyeRLVy6bgZPPxCzn
QoTbuTRdX/pSSiGOOzu7xLS8siwGjx9vzouMU5ysrty7d7fL+cTRI33O92/dPrCxfuDAGgyBOrWg
M3V0prpSqG6lKrmXaiEIXkljLVBcFosAJgqezznwVHzhQ5Vc4vkxFa8Li87Ri7yFiJUBvGTxlwcD
4oC14Ub/2bz5Ey9Bre7FePDyUd2R1i+jOJTDlJCYw7zLf/Ln31s+sNY06eLF86iWp/PVpeV538/m
M25Tn/NsNj926JCqYckQiEAIKJu8/e5nI7TReHzzsze+8vVXPrr6uSKcOX2i78vW/YeB8NTJExzD
IktyiEMHBnBTdPRNMnlQHpn6QszZoYCGRcUr7CFWR2GgM5sXYuZ7AKT6PEQDKCpiqgjqHb4uQiwX
sT5AiAFQituoqEamWBWSmg0Be1gpyJ7s56Pwx7vd//0/+X/+o3/0bz/91NPeEdQsKMcmZb129drm
4+1zF8+kUbp3/9HPfvbh5Qtnjhw84C9LyDLoe3MpH3z46YmTR5aWx1qsDqkMBBzLTYRYxIqCIxld
lJ8IzSN3VefzKaA1TQIkMVMVMwtIIlq0OnofPHi8/WhzaXm5n29fvnTehxvIWIpUiXUREWUm++I6
3oWcVj360lOvAIqo5zMPQMnFPn9ffF6ve6yQsIEuq4Sep7rYouPidHoyLKSevqIYAtUIU2Ji89hD
cPyPx/zW1xnGS/VqfLS5tTyZnDp2dHlpXEQ3t/cePN46eeDA7rwfxxiWxreuXT904vjNzz47euLo
62+8/fVvfJmYb967t7G+fPjA2sra+ofvfnz7/oOrn13/lV/9xe+9/rPTp46fvXj+zPmz33vzg6W2
ffOTa1979tyjHt57/+NpO75w9kQ8dOz9t945cur4aGmZQ4AF4XkfU4Q4EMUXJmo/Y12Zoh5F441c
pRlVMXP9bTaACCqe15889CTkCWswiWtGcHGSB8QyWFFrxwj1DrLai9oQKezjM/F5Yw0NdT/TcKcp
WjGQUlKIhOYDU0bny2JxV6SCGXpWXzZFBFEb+GTIYKKAAbOY1WyVBboMFjKlwGSwdP/uA+Kwwgwb
q3fv3d/e2lmZrCNEAhMwQDx86EA4clDBvv7VlwohI40MvvnVl9FAwC5fOC2mx48fTsePRgAiO7i5
fWh1cvL0SQBcGY2ObKwC2GDsxOKBzArEACpWA5mxqA+5kNFnyFRM0SoQa5iHmgCI97SujwI0s2Lq
0dPBgIH8xGNAqblf1QkcmMgUPFoMKoSZFmLyqgDyWDg2BSKUwZ1PC/c51HS6wYv+5EU4qJbMRDUO
jWVx6BcAqec/2aFDBw4dOkDkugmXwlTNgzsRELBIsfpYr8ZnHJa3C3HEcL6620L2yRdPOMkR0dd4
FSztdYL4tY0Gw59CCIGDK8dU1bgOWgkghKBFBseB+rJ+UEEIEYtaLoLIxVTUStEYaD7vwAWuhDGG
ujxEdWMVADITs6N6A7NPzshMANELFPfcF9WAKKoe7oID3FlUPeLcP2YwbQifOnfy/MnDIYScsyHG
FE1USmnb1lXE7C00kyIQswcAMjMiEVMuJQRWVSAmZlBxUziRi5CMAGr0mRkCphBUxFT8Q3O8hIjM
tct95hDVn6y9pboyZWYmQGIibAK7CVZTTKUUMEXCYVCLAP6MRxMNTco542AjicwidZGuokOihpOr
sRTp+9yXgsCOhYhEyBSIgcDEQoqRQ0d9ZJIQAZEoGCpxtFCUGAi0OFqEVAuSmeU2NFaERNvAATEB
9mak0kkpRffmedZLbzmGUHLBqL2odplrVDMRQROQiZqAo6ZpVcYpTqUQMyBmZUWkkIRINMxyP0ph
boQUbDhdmTEyMugkMpQckFTBMLCCiKGhgM26jBy3ZzNAnuW+oRhiyEUgqpplKe7dCYSRcdym0mdg
DBQQJcUQmQIFQAIMBbGAdILFqAeeG41CaJkL9YlQyQgVSEzLElkHska4iZBUZ7nMQZHCvfncwvzO
rFPqH/d5mQGZAyBIyZJHlFStYR4H7tsmk1EbDowSqYbMK+MRdN1Kauc0J2o7kh3pxhj3jMYYZpT2
lHeVx4jMQGjM3Yh7JiCDGKyBnLFEY5WSVTLYLM+b3Gx1JQTZ7HIm0kBlZg2IZezLfJKaTkoSMVOw
EsmYNLGEiCsNBMVRy0WxRAwpBZBR2+RegDBwQ2LCac4NQcox5q4wtb1ihBZJ1WaqmgiC9GPSFoWC
hVJGQQrmCCggIgU1qGQppctFDYRo2ouozDMg6W5fGo7oOhijEEy1pBAjUssGLbbRmpWICBxojty2
UXX0hcsyb+QUEMBEmNiPcSJUKRyYCIsIh6C9ZStu1QCASFhUiKvqVLUMEtu65yQXGTKbme5zQYBw
3yrqiwCtwi2ow759VyTbYPisNodhgFof7biv49Uh/uvDj65f++TaL337lQebu3/9F2/82q9/oxkl
U40xEXHfd2ZKiE2bZtN5zrlpmnY0mnfd7s4ucxiNRgVw+/FminF9bY0C9aI/fuejl86fWD+4wU3z
8bXbs71dABq3cWd3eu70SW7ip59d7/v81NlTaTL66KPPpl139uyp23fuz/Z2z544fvTYESDqi47H
k5dfef6P/+jPx5PR1s5e1+srX3r2/Q8/g/ne+oGNAmG2u/fG62+fPnV8eWNjZ29649a9s8cO7gg8
vnVjLy7bozvrFy9NHz6i1aVHP3tvu+9PH1gvUvY3dThkJ2r1LooBIBU1djbOwp1FQ/wlkKmBjxXU
ISuDLq/2TwtGjzLVkE+Xioks1h11yVr3GO6JJODq7BJDLCoGpAY8ZKtatdrWpS+BEVMg5KE6oYUo
3Mt2w14Lsnsbsc+l6+3sxsbK2uqsyI+///qJo4eOHZY333h7ZXl04MSJ9999//DxEzc/vnn09Ekp
GhKaKpoi4kxstv047k7XUkTCjQNrN+8//sk7H6wdPPKTH/3k7/2dvwHskl3/i0FEGD0f0veU6rWq
enwoILMnr1RGvYvVqs/MaoljhupkHSfqgBrto6sX9r76br1ZVbVhR0cumFQ1AhUZxM/eLfl3hlJ1
ArWuX1iuFrXRXO3Gjau//zv//Oy/94/HkyV/OvhnDYAPHm9tbu586eUrjrE6duLYZGnp4w8/3Vhd
YQq+P8+5/PD7r1157uz6+vr25tbRYxum6puN4v1k5U45FUlrTB9C7rNISSkiUlF9552Pd3e3V5bH
p8+cCDE+eLw1mozQQLoOkbvcT6fTI0cOIAialFyYffUCACDFd5zOm1J2M+gX5/EiWJaK5Fgg2YoU
U3VX9ZNKeCJSE19XFik8LP4H77ihAVEwEx1MlYP11BW2vEjdXAyAiEGtkC+i3VWBaIa80EEDLawB
g0jBo4Dphacv3757/8OrNyCX8+fPPXi0effB47wzvfTis+++/V6I6ezxw58/fPDo0VZsm5ii7/FG
TdrqRUXKXLRITKlp2rZJTYoeCbbgcmMM83nOnUQObYptO6LAqnZwbbVMxu+/9e6xAytNswoDUXxw
jKv5eye/07F202o/11s+IVzxiZi3967mYCQhczn/EHO170gHX8pVTYsLHHw7b2QgZlRdEhVYVTzv
qopcLAz4WU+PdspudVoikrnewLtlGjAGyHWjqH6zVqK1Dbk8dcYKZl7DuurXmDiLIlKvFg0Yvcuy
AeRtgJBSfP6FK5/fvlu0cAhs1oaYxu2LZ59nYicmVMc+IqgRQPRZAKIaBAIG5EUYtRuADS6dO6kA
Bd0UYAxISGhCgEUUmbJJRCIDZk6oxcDDt8TA42oK+K9hMTCzSGgmVGHCwLTgkdOwu1YAEDOCwdML
Nd7JrX8GC3yzeTzRIOrGwZSNqoJMvkWrcgN3D5GpLBJ6oKrHneG2uK6G7FytPiBjH/kYhMBFVM1E
lUM08UCyJyzxiAsYBixY+WDD3K86xq2mcxshFtdHeLSpyn4M76Iv9YkskRqowmCicSaxLobjuC+J
EkRQlVAdC4C+riymhlwba5WanU1sKkRIhCIlhIiIzJxLQYAYQmQiAOKqYg0pFpEiBWtEDyBSn3si
UlG/y7w4KCXros4y4ZCYFmlnlSFoWt+hlOJSE98FG0AMjITM7AnLXd8zsw5j/uFgdakIEHPRIlbV
IswIKiKeZ6U+ckQALRJSklJ85C8izIHAiogxG6j4+ISDT+2IyECaFJn8r2KERIMCsN48MIDLVE2t
aFEELYIAwVxiZEgekqAhJFUxUSZSUUCnaLH6dTBYa2JIxfoUg9PJQwgMjj7jjAWQlCibEdBctVUz
zX3JQaIHxgKqSQENkEsMAQ3muUdGQihFZtCpwu68EwE1w4AZjNFjsswYEwYOtNQ0QBgIhXHUxJmV
EFgMsLAAAoS+WIM87Yu4/KHPWTQiCqpaAHVq7wAAgABJREFULhrAMiqSSUIlKSSFwIoqAAmYGu11
WY13Zn1vEM04RMm9AmJgEGGmJoVxCqztqAnMkYw4IDCFwDHEYhCI532PsZmLkVhf1MQSwzT3MSbR
ItKZiZWMgcgErZgUKJKMJAsgTbvcM0FnIhKQH+dsyfYUl4HFIBC1TYwqDdtaQ4fGzBYPjrjlmCjM
EGCOxhTSaLcAYci9tDFNe5EmPMqI0345NrOMo75EMMiz1vrGrEGYoLTQFSwjnS9THkEvrJpl1qMW
m82RrZFORyE97qZHR+lBv7sxDkCO/gjIPE5pqQnrbQzII4KYuEOMYy6dFAujptks3aRt+mmKYTQH
6w0N4pZkzLRXOHcoBrN5nlDqi8WiWYpA1wQAnTHEsXZjrx1RoqBAlmyqYCZ9kWlX0jjsFisIvYpp
mGecK6PAGJtOdcTcxDQKAZsICCkQAY0aJMTJmJmjmYZAykQMBdgMO4NejIx7YRLuMyGTiXS5hAj/
Bko2r4EVqjNNpQARgIkhEopKKYWYVUvkWh8M001F4OoXeoK/YQNlcfHwHdLhnbUxLFRhWMSpIVQh
a8W11k5kGNBScG4cc7WhDkxLGA46NBdcIYrpzrx7uLl1686DW/cezrXszbuHm1uPt7bN+OLF03/6
V6+dPry+M+tefvbSdN4/ePRob29++dlLP33rw4Nrk3c+vfHSU+duPNo6sb78cHP33Mn+yImjilZK
uXX77u68O3zi6Ovvfvzlp079fzn7s2dLriy9E1vD3u5+zrnnzlPMcwQigMAM5FSZVZVVxWKRXWo2
SVEtUbJ+6jZT6z/Qi/4H6UFPMmvrJ5mpRZNEsVndxWKxqnKqzAQSU2AKIBBAIObpxh3OOe57r7X0
sLafG9QbiDRLgwUi4t7rx337Gr7v9318+9FKgPXt7c+u37j62kvbR7du3nnwwbXPl45tPds9ePWN
K21Kj3f2TmyvV01dvExgt+/ebz74dHFltVpYyAezr27dOXZs/dvbD/+zP3obKHx46+5f/uyd/+JP
f7y+ufp0b3bn9oMHOzvcHrTDxRfPHJs2q5//9sHN2/dpMommK8PB+Qvn79+5++zZnZXl5RjZNUU+
gCYE1/E6Z8JK7khx4/RmEp1X1mqKZuz9qKlv/xzjBIcAF/frohigM0T7IQIRivo+3OZ+JHQ+DBUe
ZlmuqhXap1qPGi5QWTNAUPZu1nmViM4o6u2HaIDZJ+Fqg0Hzk9///jd37//8V++vH9mwUL/y4iUC
/HzYXL166fqdx1tHty6+cP5n//PfHDtzMrs3qV8eQ6CVjdX1zY0v3/t4d2/67rufTBH293Yvr22c
OnN6NByWAEmYc6KZHOziQCFDQIsIqScuO1yxWHKR3AutnuTgVKeyFyJVEVUFUzcNInJJYXI8NQKS
qbihl32RCsCHnsVDS2KBYwGg55MZZBGnfRD23u/ysLiPGDWnkyeO/7P/5b8YDUeI4Npgn/mq6d27
90+fPYGEWdSJx+OFheFgtLe7u7Ky4sEU9x8+xki37zxcXl5Rg7bL77776bEjRz54573X33r10aOH
q9vbX17/ajrrrl69+NmnX7zyypXPPvlya3Plqy9vLi6Njmyvb25sqNnT3f2lxfHG9jqF+OEHH/Mg
rtjKo3tPJ88enzhx5ubNmxubm+/99oOTp08Cup2Y1YwRxaFZWM4XKCBfMdT/hL40ehppzykqfFoD
ABLREKi/xqQ9OdNFScQkUgpF11qDp0D3lLDns1YAUEx7vwMWPx0etnPe9rhqlDiIiu8Y+z/iZiMq
xgIEAJjOpqNBvbI0vnXzm1vf3gbRhWFjWVcWhgT88Na9H7z5Eo6Gtj+pmmbYVB4tcebo9v6jp7/5
7Yc5yUsvnB+Px4+fPHn/vWsrw+bk0a39nd2bX329vTxeWFh446UXvrp+I4bw4qtXnu7tjwcNN/HK
pbPDqrrz6MlLL15cHC/62mduu8De017kzDp/WfSN+rwjLaRcgn53Wq5832CAFqf9HEAw72etnGwA
WJxoOAfJmQViLXBq83QnA9QS7ORGcfFnOSAmNevNsQbq3zq70gWhk1yTyz7Unf8B0H1kRsGPJpNC
uvYJkTjBGwAVqLQS5F2vziG9hT3rgasGKouj5pVLZzsV8WGc23hLXpSJldGGFfcmSy91ccw1IUTC
nMUAjNgPyMjBVy0ZUNU3Tt7O+AXB0lEC+I9AZqnoBdCgWKypz03GeW8MFsnN5prNIrO6Q8WsIk5m
SVU58DxuFrRoRgwMlBidWuyJ1z47EOzzzlzW5EO7fqI2Rz8jga80rfjSnarFCqaiTv2iXo+T+351
3sgU7nqPMnRvRM5ZUo6R6joWSRGWfrKsTzWXy1Cye6GHmzkxvEz+CnK5z0AqTbaHHov1SDlvvIss
vGdclzYpdYkZJGsIFAAxizCAmGaREIJHxIVIZjSdTXvvEFmPTzRTDqETP8xt1nUO3CUC1WzBsZMS
AptKSl0IbKbMyIQJPFbX/GiLoWpTygIGmEUGzIjB0bkAShSKIEGUmD0Y1meQkUInmQKjai47MTKA
nFyyS/6yQQRmZGLJUjhsAIGpk445lCQ2NGICFcDiO+9ZaUgBuVhcyiuBOKABU3B7TIkMNko5S87M
UTR3KXHgSKyqoYcG+BCcihecI4cMBFq00GaAIYAq9SYwRGJiMgwc3HvDBAQYiXPOTKgiIppQACyL
IIVZ2wIiE4FqSmmuL2uYUCXEmBFMhTn4XsWIsgFVlQEbQkasOIBaCGE4qBGtCiQEosrENXEN2Joy
s8fWT7NY1mS5pphTEuOskhX386yCECCQWk1IlkcBI1siqxmNgRAzkFloFTOFVrWJ9VRny7HGmAEZ
g4JhjEEkLQ+b6WRSV1WbkohGgtxDKrMpIXQ5z9q033ad4cxSEKDImHNuIUvHyGpKpGipCsKUAyVD
qEM8aI09RBlJiRRDAkiGzFG5bokSEBEyUYy8OGg6lVgFBmLLSzEKhwGHA6AIYaqpy5aZ9gQfTWV3
BmZ5JsqWtCLIXa2g0gJQxUFMglUDBgDtUJZrjgCZuOJqH4ioTtCpVkx4gC1wvW/7Q4rIjVCgaBXB
sA6mOQ5R22SMFefGdDF0OcgiaotZ3cZtOuvSJOvOrJsJdFkwAyXK+x2pzkyTzWZdamezJLmdTSKq
qUXEBcsDFoMukhExJqjApNBHKWtIViWsO6hbzhU1Aqo5QRi0YBzrCilP9+o6NJmboEsDbioECG3X
WrRYYQwUEChgUJuqdknalJFYVCadZoDJTJMld4iJate2zaBKXWKiCjWQRmmFUkBSTgYSY8wJiSDL
d1ayqQlTUC1UDzXzwZMf4FTiGr2XABXt9wPm8qeejTlHWdhzjFjsZ4R4OB0vDtICkQcr7kowQ/KV
nW9lqIharIjrDpesAM+NI7HvXWmeq0qBt48f+fzGtyHyxtE1USMKIvr1rXvb22tcVZcunv3o67uP
H+/MwCbT9uuvb29ur3Vtd+7c5fudTtrZN7fuLPDR3KUkWdXQIFbV9pHtta11CGFhONxYX9vucCnY
eHnxyb0H9x89/fTjL+LSaPfJk/GRDSZiYoR86dKZdjq9du3T3/vR95GgYl5ZWrp65QJw/Ld//ds3
rp658fU9QKBBdefeg6YZ1Ihvv/3q02l39/6Th7vTdtYtjEYptce2N659fmMP7tpk8srLL9344mZs
qo31lXY2nbYp701EPQK03+30Vj4tWbS9oNcpUEQ9i4PmI4UeIalMQEiG4uaw3H8MZUthOC+4i9kS
lAyIiKmwhtHQf3Nf+RcNtsxVwW5eMiMABSU0LJglJWAsRiAAg6wSOUhhjJB3wvNbSLI8uv+wIYKU
VhYXHt2+/8lHn22sr1bMgeLWxtpvfvP1dNKuba6JZIyVAVCI/uZSgiePHqdJOxyNupSmk65aGNSh
GoYgVSxLq96pqr3DCef9NqApoikeqnxR+zQLMAViA3GWVTGzeUtppXUpfC8iUGMr9DvybSsaMBYc
kRuZ+pQhVwFqYdbOLdB4GCxcJvc4x8/4gJiJxNQAtpYH//v/w3997uwp/0pqKObGQDS1btrWVSyi
XxXfGEVmk2wmxDFl+fzTL8fj4WfXb505cyqJcAgHk/bLr75tFT/67Ivjx7eZOVbVV1/fPn1qa7y4
8PVX3zx7+vTixTPDhQVAiFUFjAT82htX7967/9n1mwuDZu/Z/o9ef8uAHt/buXD+bNfC2sryqVMn
bn97OyVhDiICrqwzC1SyKErOh+tvab40+06NqRKy9Z2uy9QDE5r1hnkFIFVF8DAbD/4xj8cAKL+C
JUYEe84XqAhzKHy4Q5SxOkyzV7FiIBYV79Bco96LA+cGhTLxIwIF7Q898Aifpzs7geAH33udmB8/
elLVcWE4bGJ4+80rXZeqqjq2trz62hURGdS138+DKrz9xtWUEjMzx0dP9y6cP/fmG1eZGYnefuMl
cJiTGgBuv3HVHQ7j0cCjdBaObwHA+uIZKpsPLL53s/7RsJ6TjP0y0Xdc1s90StyOFcdfEeAUEUdP
mmMCQOh9GeX1IeaLfGKcZz0W5NtcRKMFd1SM4lDIcWi9OAhLM8m+fBfwg8gI3OgBZEho2cAYkyoj
O6vW0a/UDxGSmppFJgQ0kACUzQAhq3JwQkHBAYhpaVLMzDQwWRZ/e4pHziCbmUPXfapHxKbCjIqF
MuBbJieZe4da2O8uKgSLRKnsfpGLgwBVFDyxDHr4E4KrKhTBG8s+/NqIMJslV7W7MQRATbOZ9NQ9
6teKBgpMGYzMk7rIwBhBidzByyVG1/HjgEygKmpMIGJeV/gAQcyI2IrxsrzICSirMGEBBBb1blHP
6Fwe0a/HyufuZITipHFSkQclOX7CnzIDpIP9g8+ufaoIyHwwnW2tr148d8LAB/JFhOs3jyo8efps
dXWpjNGxOB89SbWMPlz0jKjmEwBT9cBVzGqMJp7+BApmohI4uLXZjUQpy+/e//TixROff/rV669d
Du5pVtVBVUER+QQzyck4MhQ0tstmeNZ2FAiIRCUwVVWcziYGRkyoRkQhBBW14Ht/1nmx5pZRQhGJ
seSJilrgkLX13i8wqWQPAvboVPUmyowANZvnWiVPWDZrQixwAKTS5TJXMRSdlqlLdv0Kxyr6jclI
RBRjdMmBmZIWjQIaBEIR4F4epwJqKqI+CBaRzp3aqCJqpmikogiG7CtSi6GCfjCMRERMVOBGVjJ1
QMy0y8yFZs/uy/BoM7MQghqIz34MctaUxHOQ+lgqFlUi80VwCNG0BYOmbszUlcMwD7PmmLNEDgok
QGLQiYTIBCaqSzFa6gCSX0GV7AHWIpo7JdMs2okESJAFOSfVbBpjlaSrYwDCaNjUZBxjFWadMMdM
SAmQArBgYFQwU4Uw0RYVOgBWsYCBLbA1kcSUVQgxmAYDVgU1REwpm8LO/nR/Nhsm84V5BswpMWow
NMtiXEdsKhSl8aCqBSpkIVQkC8TQJMsYqoNur4njdtYSsHJlpuLsQUZmC6SMuXLROJtJF1AsWyCc
dS0zTVO2SZvajKINxb1p4pAPcq5nrRIm6RrCimAUOQZebsLAeBghCSMQ1lUrhqHuIu6BNNVgZ7bH
oZpoOxGcWLWoYUhBrAUCZgBLo2BDNgGtSGtIhhhSNzCDlNSkS0YYupmCacR6bzJZHTf3plkb2Msw
7bqhqkJaiGGRYGiyEXjMkJmBtWq4tRSaRpMOTEdNk9tZjDXzjOKg1a7VXEHsqD4QzmGQFSsKU+si
kYAZ2rAi7qACXYlcW64igc1i4BnlBiSDaJ5NM7QpA+peC8a5TTbtsjHmDpPkgXASqclSEmsgMhBq
EwnBQgWmeWmBIiBxNi96mNUCxwogeOHJgZFrtdasIkIRAAhoXQgU+DsjKWNAEVEzVARAxxtoHyoI
Ct5wZBUAUFEnIrjaVg9xO0BIUrSFfYy7PRcn8JzLokyW++ZTix2ohJDOkzhFPIWFVPtDWH3EPP/b
er1Zb03xFiEGWl0aL4w2YhW/vHNvr519+dXtC6eOzW7cy6qxqogZiPZms1sPnhzfXjcfUdXhnfc/
vXn73ualM6fPnwTA5dXh0vISOyeV6dbd+3uz2dLK0sp4QMRLdRxV1AReGC/UVaAmaM7rm+tnj21/
urf//gcfnz51opvOHj14fPTYEYePrg6al148v7QwFrDvvX7p6eOdly+f3VxbX19Ze3j/wYD5xOba
iY2VKoZuNnthc+PZ+hIzjwYNBh5V4cHjp5MKT2+vbyyPDWAwGIrZ8Y21KoTop2/BVqlXkO6kyl4h
ElKfhznPXYCizDF3dTmXHg4D6MwQSjcD87TMQqJUR75gPzyAfkmOQABilhUCofabTx9QGIKYEhCA
lqWuPhcL9HwkEaC6VKj4VKGPVAXv9Agd97/6dHfv93/vjdHiwsnN1TRtl8fjV5eXmqbZXLAf/d5b
2XRhtABqFRIVrgaq5h++ehHSGQIcVnVk+sf/6PfEFJjBLBxZ9bhXLjmHQArq9qIi0sJ5FqljigBB
7DDKwo0LRiWQF3rdV79NLW9YBQNzqYAQEqFx71X2h0K944Q+VBKKcFoUBHxP4oYe7ZGV6OI6LrMk
wP5TgBKcCNsbK7S+aiW7hBRNVB0VEpgWF0d7+wfVsHEvNiNJlyd7B6OTG944PXu2Ox43Fy6eHo6G
t+7eT6YceLCwcOOzLy9eufDub999+ZUXPnj/kyPbK6tLi6i2sXnkL//1v33z7atAsLK+svts5+tv
vl1aXlSFBw8f5pzUtIq8MBpd/+jG4soYTImq8dLoxo2bewcfra6t+jCCEeuqRjMnD3mF4q54P0MA
Ldt3Pv2ofJRoooBI7Nkf6jLy+ZrOfYHlQzcoqkk45JYTEBRcRjnwCNm7RygBoWamTL4f0pK+5dU3
ljrN+tEamOKhgN2eZ6xB/yODydKwWTpzEvtfGZ86NofujkbDhQUEgMA0GjTFmNeD3xBh0FRuyRuP
6pdeOufcSnv+fEaau+NKc+z+jl6tj1TGIXMZBZbA47kcF+biW4/F7iNuoRfdkIIiMsA8ebfopT2v
CObJ1IeYt5JzU7wCziieb6eLy0OxsFJMVd02Mv/kXOpARFLWq6qKQC6x1nmgKxUkE2RVIWQsCcym
6mywch6CY8uVfWUqCkiKmMV/8J5cVe4M8WwtNItMSTRbcY9FdDuhEJIiGKCIOGCWPbLYbc+qXteS
A1N8D6/ioam+axYwQhYtaIbAnMzcuB6IA/rvR5GiC8gqFWIvOoCApD3PsAf5KQG6PHsehoRFZgWi
LpDuZThqBKZIBigei12MtZBV/ORER7apEQYzNec/SY7Fe1vEvXoY5FZm475fhTnU2ttmlXnzqao+
MzK1tu1M83A4sJ6jaz0NGBEnB7MP3vvwxZcujMYLvhz+4ouvP7v+9aVLZ1S1nLGiDx88Wl1fBsQP
rn3xg7evVrHyW1Jd84rl7u/xzq7kZxV3x2MSSxk+/fSLycH+2srymTPH50S3LrtCTXLOAIAc9qed
mqUsWXLwl6uW8QOYCDExUxWjgTZV7EUJzBxCjGoWY53SAYIFpuhmQSI3Voh46DNkMQ+AMUAxQcIk
uQohxpBSh4gp57piMCiTAFPRDFSVirCYGYwMQgjMhAaR2QBjYFd3hBCdYy7amQEziUgWQSLJuXNT
ikHOCoCS1dChvoZoIsJcMqOKungebKCavU71wQWFAogjQ6SIJKrErnshJurLBVIQb+BFy9BIHEkg
HjAO4kc/EgPEyCmLqJCRgJmIAatKmJ9NTClnIiCmqgpONlY1IBJRpDLLETNU69RA1HXXAtDlVMVo
AKKZjQOYi+crJlWpIncpg6GY7Xbt1KRSqwMhISHGwFmECaqKgHQQQy1UVc2stSoEX9RnJIhRmE1h
lk3UpqkbAs+6NI4BTCvmIvzQDGY5dxUbWmKIZgIYpkmCoCaLxtlACDu1AZKgEZEySZamqTpNo1Fs
WAHJgAStGdQtKMQA4j517hTabBl5b5aEcdp1cVjl3MVQMSqaBMg1gqa2AiXNmlsi0tyBWco6y1Z1
NoOQZhkGlZhFQiZGRkaijE3FlmhxIU6hraoQKCI0C029OwtVqA6mM6LBRJIaSIYDY+xsmsCdurlL
ajmAoCFat0AWZbrCacGmArNIUaRlmakNZjlPkz6epuEwPG4tAypTl7GraGoUAN3/vBSjcqqa0CpX
dQDThapuItqgWmtqaqrBYDBr22kGowjUJA0Ti5qpIyaBSlkkhIyoOEtClMlMUksgrB1jV4M1oKoS
QUDzzFLDA5JEqklSJ9UsZTHiGHbb2YCx7RANhlR1ImSUkJBCaCigDBsy4OURH8xwVFdq0KLGps5d
4lAHDgSCRGoIFJIKEGehVutJ4lkOoBCZ2q4bDSOommSVjGbMYTabBgJCZdKUUn/g2qztZuk/YV/q
XaVHlFkJOnYLPyIVuB66jiiLqoISYlauQg/FAQDIWZ7L7sPSJc05kohFSGMGcJg4qmpuWfE3VqCS
Gv+cdkuIKARSFU8g6xdX9v8X4te7dWB9ZYyi25vrqkrMiwujmmM7m7312qWlxfHLl05TrM6f2GbC
zaNb7XT6499/c7y4GEejycFk52CyOB6fP7I5m0xjCOOFkWM8/vDtl1WEiKoYj26sh8Dnm9rlBitX
zhPTke+/1lMZ8HuvXIE+0vD88SOu3jGzlYXB8sJxQGPEs0c2bXvTW3MxWzh72mPD0JQRh02NiBub
aw6e7FJ69mxXuu7qq1cC4eKwcb5UIIS6NtPnchcKthLMxJSIwhzOavOYGd9UOLjIyFD72B0k8t2H
V5M+4i3RnV6dOHNfBAgZUcGICMok2PPqXMbop5MpoNvtkKjPgy3dHVpZs3s+hGt5xcCQxBGtgALa
J1UCmokZUkE0OUxrZWm8tLggqhkhDIc8GkUkBPSXzuJ4nN05xsiFLU8KEDkEMmAOSBGJEbgKgJj6
6ec8hx0JS4RlWTgjmQKS9FQuLZTNojSiMtN3mJG6+oiIuIdxOJEaEAiNDbXAXWAe12oAYpC1QCXM
XENUMBtOTzAiUxVTDoGABNRUA5OL1tyn42pA5uJylGINKg1Bv8SCLNo/sIAAR45sfvTJZ83CYDgc
AIKm/MUXX40XmsFw6KVtSt3ZMyeXl5aQ+MmTx2dOHRvU9dlTW0ujsLW9OR69vbgweuXqpTt37p07
f2ppfZUobGyunjx9rKqrUVMRLGxvrQGAQt7aWt7b3d1eP700Xsgi00nLIWxsbQYOOevbP3wjS66b
mDW7kDsSOGbShwumls3cyUkhZG31u9sYyLyoODRvBt8ZZIFDQJHN93WesuwVv6gxcx/piGWDimjq
QiSWYgzGPt2kpwH1bgZPjvF7yWzO5TZCPlQyYP9IHY7hCr12rlyYA8x99Y3PLVtdpDw/b7FYfQ2A
iFDEmio2dTVP9pqbI6yP/YXnZQ9Ydm5QMjyteO6QinSZ5lFUh20NAnJPjgGCPm24tBy+5ip3qYpz
mp3ODWXAiYZzuFrPYyy8tYIyhtJkWrF9liEaFbrB3DbYy0P9Q3TEtyNknLnNvVmWEANBNkDCBL75
tWLwBgM1zynJKsEoYHEXBwrZfHVfdm5kin0QuHfG5Wnv7QFCgGIBwBCY2XlbDvEpH1ZPbi9UcEBP
aTYXz/Yk4xLTbXb98y9PnjrxzfVvX37hbAgM1OdBIwooqTNWLSB0Kk6elyIoLW47NXCZjPPDve0U
BAMTAwIkBUIMZNnAJ1za23dd0ZBUFAqctv8pPFnaDLHflRp6Op0ZFy9DvxL1GwOUCbU/CZlIsvQg
OTRwlQMwM8xRQ2VkhYT45Mn+z/7q3//5P/3TwXDgq0PvG/3r3Llz/9SJo+PFBUA2A67C2bOnP/7w
4+nBtBkNfEzy+PHTn//Nr9/60aubR7a6pJNp3tmZhBB2d3eWl1ck5+msvX3nztbG6sb66oMHj46f
PP71jW9W11ZvfHmzrunChdOhim3qvr11+/d+/CYBtl3++KNPssrJ06c/fO+jldXhcLj0+PH9lODS
lXMF/6hiAAGQmMsmk5hKTgCCK29zCSCgTrKfMmimmovHXhX6tWPKiZkjc3/gQ5fSsKljFcgjngSJ
ynMSAufMSEgEobyw/YmxwIV+xMFVbaIgZMjEhNiJ5FxIdTl3SVW71LWzyARgqctIZIZt1zEHM1sY
DhbHCylnzxOfy5m9sy0x9EQOGPT7MgQKgczKrialpICMoGIhlJldl5JrIbCqklPmEVWBPQ9blEJg
YtXy16oIIqslIkQmUFE1Dgxi5EMhRGZWLDKDEFjEUenGhDlBZ+I8K+xz6BHRTMAQo6fMAhIhaAwh
p+SsJlHgENTnNIE0aeCgpnXkGINZHldxGDClVIfQZaFehNWKqqGYWda2a43iXtfSrDPLC8ORSgpm
nM1Ma9IhmYItVAyZWLVhhgwcQpbs/u6JJUTuAmdPG0UccKgNOQQTDYp1jFPNFWF0JbuaGc5EU4Z2
0pHiJM3Gg9EsJ+2o7WZ1GJgKqkQIpLkOOGu7QTNsTTgwGCAFMFIFxWAUpzBrqvrZdLIUIgOZ5CrW
setGdexSGA8r7KSOQRhTjFoye8EQWtVs9GyWwsAmLeyKIHSzrrPQtiYpdWAiksByUKkhEsIgAAWM
nueAjKHqcjcRqqiZacZ68Eg7pGYfZkRVVw8mQIuRq8yDmleGYVjZuJLFBhNQLUHB6kiRAQ26nHKI
s1kKoQbl/VbJ4PGs3V4aPpxmqLu9WcextZxinkWIkA8Gw6ipqwkpwKSbDTC0pIwkADVVjEGwylTv
6ww1HIiwwUQVyZnGQUWBIxDHul7qBoMYMYa2axca1g7HDU0B1LBiUVYCIRADTArTrJxsrzMk2080
maVBXaUOJ9aBZH/4U9cSE6GYtEidqVVV08EMlAIlh7MrmBgJhGScRAMzQSCGbEExAkUiBcAqBklW
R4YmftfKLGkOHOawVncYMlEWcSGvuKGjX+Oomjp2XyEEnseomEe3FXlbiQwoHqPn8/qK9gieC4gv
aXIFwmgA89g0kx52p3iorumBPP2vzDcGLjjdXF0if0kTndjeQMClheF8DTUcNkS0NB6qwcJogLbo
WIKDg9nu450TG+tHtjYGVVyogr843bEyrCrEue7VFSiOowQPb+TA80Kw75wLo8Qrhzl/f65561ly
BGbuCQTXOPUKJSxBJ1DF+MKl8wCHuTfzWLlizfJROvbqUOhLNJ8Q91b/PtS11L4APn72bop6pIRh
H7jJRJpdx+J9WnFtMfco/RIjCWolwcbAY9oQAMVlvS6PBGMomj7fi5bLUTY4IIBmwICmaIoFXAgI
RfgKAFoxd5LteRW3Fqw/zP20cxWX306eVVt8g2VtgmqiEokJkPsUUZ0nS5rLcxGRCgeyBEKCeWml
4nZZ7VWHXtNnlQAeTG6k6nALdkYnOFHG/w5PQcQs4t9SbxNFU1CALNiViB2d16T94oBM1X+dkJxU
5dtXBiu7bTVkdFOad6LS46/U8jw9UlTBkIhMjd2Hp7K8NLp44cyHH33eDJpAuH+wv7QwPnfhfPLk
H6T19WUiNrDRoFk4fiQGApVmdWF9ZQGIFscDNFhZXlhZOZ8EctbPP7tx6uypwXBgphubqwjLRJgl
VRWFUA3jaiAGA9O0uNSUbA9VQKuqOMCoJoAUmQFKRKkWnZ4hUU7iHngqSar8nady2azn3Konn6N6
W6Dq6SYMvaCxJA57+0QFQmM4j07FOSxUDUyyP6SIIJqp7xX7jZNfby1LBmLtgw+sd7f5eEnUkDzA
swhWy/1eJCnY52jaPEt3rtEr/+do6/4BL2EIfsuWWCOcJ8f6he1zoG1ewhX7s+dJQlEsm2oI3Det
5kOcOe7Fm4AiovCJfv8AFrEmHMbGlNNyHrg7x/x6LnShEM2xMVAGYH56zFEzz48pVQ5PvBLhc4h7
BVBXmfpFExVAwjk1GoAJVAFV/MfJfTCsU+X9/MueR1pkyn6sqU8HXEPMCAHZ72EpogYgQgeNBaLY
2xPFlIFNNSKVAA8X8/obglhS+urGzelkeub4sY2N1T4uGNWKiDIgMmBEvHvv4ebRI9fvPXnx4ikG
zin/u7/+u3pQtdl+8PrL49EwMoEbnbInfbAh+8iEENlQ0dQDzLxp7PGCnm4VKUAf4uVDOVXzmTRx
iWxjoixaqEFuEhbxR8kDIhxo558N98ByEUUAYvZI4d5LXZQdkgWsv4HMTLXw9cFKpSTCxFruKzLg
f/Nv/udu/+k//6/+100zhOI88uQRevJ096XLJxBJfKtmEGOoqmo226+HjZdD9+7e/97vvXn77p21
7U3n9n306ZdNXT18+ODoka2tjbWVtXWM8ZP3r40Xh/fuPYrN4N69h4OFhcmsPXL0qD+AsY4Xrlz8
4NrnJLC2uhwCXXnpsmQDossvXPrgg89efOmFpzvtg7v3mZAAggedqFrbdYNqkEU4sKqweWOggEFU
OLCV5BSMHASycwg8ksR9kP6jxqqyRCllM0BiQJp12dS7VwWE1L9TVS3njEhcByJwMyoAimpR4yBn
lWKZMEfM+467YNwAAJAfPtv77OPP93Z3mSAwi4CnV4cQAHBvNltfGv/4e1eRIyISByqmLezXEVYY
mPPCztn9BjlLl1KoYikZgRWgy8IhqFksAH0gxCpGrzy9qyciYn9RQkq5ipWaZTU0y0Yff/rtkQFu
nThaVvHqcGZV1STipQMTpZQpREQAFRIyEAQipIBUVTF7xBl5Ai94CrJgH8uHqmAhBBCNSmzqwM82
5coDxwC6LingpO0QuUu5zYmmuX22kzUvDOp60ITYmGlDgQCrOjIDEdy782jYhDqM7t57uL5YL66t
GvLd/fbgq9urW8tdO/not+/uPHq6uLRw9cWLq8e2fDzdhGZq1hDtJ6EgpprEIFYHXYZokiWbNNkk
K3VpllOllVpmREZCBmRghEhxEIkyVzFAjnWokmUByswW64wBQjMRsBBEJAARUESiQNFyRbDMtAAm
zEOAmQgDpyRZYG+SuowPdw40wH6ahqbWLneaKwEKFJlrhAptsY4NGzcMaFWIe5BGVTzoQowBpeoA
pyGioHLVaps6Q6hQiZkjAxMFoqUQ1FICG6IgwzJmw4yGU2gbE8o5d/J0f/ZoqszybUd7uWsJmqSG
2ChORVVEzGoIRDBiygwUKCKT1SPmlapZjDUMRhVXMyNU6qAWHj6TkMIwKdYQJyYAdQvKBoFIJCGj
QhdCHkRtMIeApEYEM+tqA0DL0pHWWfKs7aZdFgom0mZpod2d5Yl1YDDL3SLH3VmnVVRQ1swEFdmo
Yk20WFEFhGZNbTPVZtS0LZRHHI257rIKVB0CEGTjRHXFtVeaRDGSDGIlXYdZGK0iqCK2alW0lHLK
0y51RCzTlJICc5e+88rAgESBkKyg/Pv9kIt1y/iyVD8epWDFg0ruY3SSO5V0r9IxugMQ4LAjdfVa
seIXDJIWi3v/ZupjV2ieg3cIeTUPRiYf9UNJfqZDioC3TX4+mgpiwDJmp5KE0kvISj9UZKI+r91Y
WVhfvoQAgaiHzM+3JY71s351Mt8/gPU6MHsuZXQeE1pCTG0uc/VawxmVWt77YESsff0oPfvedYGl
gTyMC+01nYUAClKiU6zfWPhw3Iqm14oXCAl9oFDAUkX2xggFGltEo2gE6MlyXg4cwhIVAhb7f+l4
wdjzyhEBSTW75sQRtF6tqkok9hKn3zq4eLgPmTP3L6GhsT2ngwTzmSkW4q//aL6zdYMo9ZgbFDMB
UzQzywYMhb5CgOwGGoBARD438RCjntvn7OICbgHxUYSZMULOQkRimnuWVw9RBITSlPpbzDttxtLl
ErjQDkCLlBet12yiZ5FC9uRMMzANhACYtY/IOOxekHoyDLl21DGniKolzM2duq7SLp84gqoFJjPI
YGYmAGqgplwWFW4k9kAUcS6lG3HMbG11+e03Xn767FlgGtT1oG4QMKuqKAcqEE5TDkjIhfgEkE3N
CTRatliEEBlfvHzan0dCYCqRNYGDmpkKAmYxRAIKRS6uSgghsqcJEEIdAhj4WteQu5QArObgDyAR
mxbzoH13Ha+oKSgFJsQkQgyq6Dl/hyekljPEVetZpA9TAAVBJW/Ue8pPObpKM2WHFl+fIzCXj8B6
yauoInFhtM7nRn0DVjzOUuIT55vPvpmb7xT7kd2hdHzOoesF+7313/dnTvB+DtNSajLsA6R7hUVZ
BMChTaAkUyKxvy3Qt4jl5J8rZsF6wQUcyi9LMzw9mC4MBzgX/fayeJtHmxYMVT+FcjuUO069t+zj
N3uVMRy+NcwCUnbZcF/uSm9kA1IGVAQ2CAjZeuMnoahx76cPgGVfZOpynj6LpAjIqddeo8sZzAKz
AxJElZxqi2juFgdMIkiERgbGwAwIImUNBSQqjKRzsziR+D1jYKb37j768otb3//xG+1BO2vz59ev
Z5VTp09fu/ZxXcX1ja0733zLFF9++SIBiOTWLEmOEA0gp/yDH775N7/58M7DJ9X+5PatO9J1P3r7
lb/92a8Y4eKLL2xubNbFCYIG5koP7elqbqklhIAoQLmcRQqg5OSnXvricgFGVBH/SL1WCMxM8TCk
1PEGZtGDxxDmIENEzCqMNN+6owEgiQpzmYxSGUv3EnIt8eYeQdwDiQq0qUstFrtDkdqqqp+HXYba
nMpRgoMRMIQKDJFwMpnduXV7Ojl4+Pjx3u4eglUxotLO46dLS0tff3nzhQunP3j3GgZ9srMrWZZW
13/7y99evnx+bXVFz8jD+/c0zY6cPA6mw+HgxZeuvPOLd8YLo73d/enBTM2Gw5pDWBiPb9++P52m
tZVRN3sGamhKQCG7LQoRibEIDMhJRf1YumQbaTF9FMBdzjmE4FnYTMGky0kkuw9Kc84VFTsPIwBS
26UM+T8KNlCZJ8YWaX4f0Oe+TGRCRBUIkRkpk7s4fSIsgvDBl1+vRvreT78fY/BeEQCqUHVdDiE8
2Dv4D7985/E3dzbPn/FFvWhfFZmBim8zXD3ijWufmYuBiSCEKrZtQsQYIyUXf3C2LP70AGQwUZEs
xEFTBtUYg6kxBCZggJxTOdoMkugHtx9C0y0fWWOIgOzVUwisGSnGnDITVlVFmDzUVREoMDiAgTnl
PEu5l4eUFDyHFlpOzCQ5YwgI0HXZALsu1bHKWcTUYtVldQJoDDSsI2iuq8AcDp617/7973bv3g2L
42eT6bn1jdf/4GWjhoBFLCtGgGSwdeJYFfDhs9m/++V7/+Dq5nDEEJv7j5999f5HJ6+c+fTnvzu2
PX7r+6/tTNsvbt2/tLzCIWa0DvLjnHdvPXj2+P5saVm1PXrsqLJRw1VdpZST0KgeTNtZU8VWKgRC
ipLNgFvNzNxlac0g635KC7ESg+lsVodAKlEkpBRrqU0Cu43eSE0NuyQE9KydLRgfJKVWk2IWYA45
5TrGGmihrgJoDDFrxmCxrqYKoa4kiSHEUD3FWWuwn4UFZxmJaSq2l3OUtJ8nK9CoTSIMKrUKgWVK
lLwb7zqI1MxmXWDqkgLkCsM0KVRxJyMLzSA0XAkAs1QV1NmWBkGUVoYMFAYUuxh00uW6gmwdsvFg
mjrk0cM0U+Rp0gqoBttTwKyPc6pS2peOFZO2NUOENmoXIGDuiIgkk2bWrDn7aiib7XXtfrI41WcJ
EpoRxuzuk2omOOAALKEKg0CLVQxNCISxqdpWm1FoKIQIkm2gYVCRVnEUqglJFepkcKB5ZPFAOWaa
GFNSYUxCqZUuCQLUwUS6pqnQuoAhWjKDYEig1s5ITVSyQdt1Sazr8nA4ynmWldIst0kgoGBVUaUM
gZgJK8YQEe0/IcHPO5bsBTETmUHOmZgAIKsD+i0G9o2S65eI0FBbSVTKfuujGdGH2VjYkQrPxawT
oYhy8aaKx1I/7z4tpL5+/k9FzeU7VMVY7F7Wa85UD82l0HeTfpiZqYCUiIpCenTqD1ovLurDzgyK
hLg3Xha5GlGJ0ivfW3CUYVkfSPnX8r/eR9TLrryinauO53CmEhAAzxWNaIc9BZYMaT103faZsL1E
tDAR+veIqGumnBFi6Mkf87669OZlodNryVDNitoMy9xV+4wBh7seXlgzLALa/ufp5wW++VE1QA0c
PH+Syo4D+tBCI8N5FW09A9YMppPZwd7e8uZaCYLpTWKIEKiwkKwPbJhvfgxMCs6WCFBEjNC8pVcj
AJcuksOEPcQFkOaRd4XiVPh+vgPzQUvB5/biJSRUc9qnxwl4EKLrEtFXK8k0F62hIZQSCOcFvCvf
EA2ACqmoGOTEF8GEWQ3NFQlFvgQIgTiLmKqruQAMTFyQDCVQ0+cdVMJ40UTUPPHOnJHTdxr9XqJs
uETQYSfkITf9CVAyG5yTB2urK+TNmAI4/ZLRzOhwzFHgKEaUxBsczEldiu8CdYX+reThrmCI7NYs
AwQ1JJLswEULzKYaiMWE+jEVEfsUDKxktJDDKEDMgAOLZDfyqfQJDt+pL3V1p0gfR19cXWKOm+ml
vP1ifw7O6XcDRdZBRC4Zw/mEQN0H6EGA5BM0LOtK7j8Wf6T7RJl+auNiBN/K+h8k6hkcRHMFynOa
E7Tn+tA+H8XXqSW0mJjMim3QP+ue21S+k15GR9qHKz534PS1aX8ruQe1WEYdFdujmwp73C12BjFG
gXleTumeZ0l++ZuP/vBHr4ZYIPLzROsS8tGvUsu0sQywbN51exNMxXwGZa7WmxJtLm+2AiRwd+S8
fS+/tWycy5q6R+mUQY+pzbe6RujI2eKi9/eUqpgJQDIIbsc1JQDyCGkkA7OSs2q+tBEf5/nRZDoI
gYsProDlQTQQGVM2E0AGY0BGXltZZObPrl0/efTIx5/flGl36cqFWUq3vr37B//g93/2qw9/dPXi
w8e7Nz69DqpgImSCpoRZ4Omzg1/+/Xv37j+5eu70cLQwHjSfff3t/bv325zeeOPl5bV1Q4c/oYER
QvC4EjBxd7q4f0ZLIBxYMgk+MiNUkeLk7d+cWDTtZgZiEInVfDJFhP3FgX7mWaYe7m7ArB6rCWqA
RKCKRArgNGyEInD2egNL1Bn2QhdQLTWDITLb7/30x//sv/zzqmmszIZKZIshHju+efvu/Uvj0Zxo
MZ0e7O/vjkYn/cF58PDRuYsnz1849+Dhk7u37o2HTR15Y33lwbd7p08e0/3dwbAaDKtJO11ZGccq
bm2NPvrd7qmzR1XSs6dPVWxlddUps7Pp9Pa3t89cOHn86NaDBwv37909eerExQunY4wvXD7z7d27
q+txe311fX11MBxcufpCjDGAWmT2cOae2YUpi2oeDBoPwRbFLmUACoxMGJihrruu66nWJUdIivAD
hk09M/WgXm/EmQiBYqxzOUYxhMotvwAQiJmDWefHbtu2VRUBMCchIhE1gKQiKl3OWUUkc4xJZHd3
/9yx9eGgQoAQY0rZX0rIBIALC6NmMEyzCRJ5w0kEbco379x+dPt2Sh0RbqyuXL5ysaqalFLOwiEk
1bvP9m5+/uWF08eW19bcsAo555zBLACgRz+73DxnQJxm/Tf/08+fXv9kbWNFiYbDhbdfuXLs5DEj
MmRAYOLAjIGQmYhjoMAMgCkJMSKCmKWsXZdC4Fbag4MDZmYizd3SeLGbde10SsQpp2EzqEcLu/sH
O092cs6ra8tLayt3n+6lnWdpOhlU8cwLF5CCAU0ms0/f+7idTs+f2jh78dyXz6Y3PvgUJT14sHPx
zLGX33hBxLouHwj8xa+uLdz96g/+4U9Hq5vv3r//N/+fv108Gh6lxfHTu2/+/h9cu//0+jvvvf32
mfc+2d1eBgkrH77/Ub4Fr7z29NL3fvjNg2ej1fV3v3ywvhjf+OkPxsOlDSLNSlWEbMlkWNXvX79x
67cfLG0t/eWvPqke3/lv/tt/CdXa/mQG2UR0Jl2rNG1ny8jTrnMdRQQE6RoC7boYAieriAYUKgpZ
uypWSXWmUFHIFJKRIFcUlUBSG5lCRCQNxEz1YBBJwriJmjAgdipglrIo0EGXp232OJ00a0dAuUvI
rFmySUQcAgwNhHBMGLiQ2TsgQloMo5QxazUB7iKIqRopBAd4QYSaAxAO6yqKhCpEpIgyZFqOcSlU
iZgMxChraCWIVs86vTtLSp2atZo6kTydGSnn1hAHgKgparUYcSgdYiaQGmOyHECJwMw6oDZRh/Vk
1g1CzNzsAQ7qQde2y2GQrDOOFHKMoUKcdbI0bEC71WGsoGpiAETB1NRVC5bJKuK9hKaYlJ7NUhIE
UQbc28+NhdyhJKk47B7sr2G92yVJreUOUOpIi9BFmy5AWxORpgSp4kHCTiESuUgkZOM2YwcVCCWs
QI2oUrAqViJGkoeDoYo0kaQJw5oHcSBZOASG1ES0DAXuoGaIsy4HZdPwXSuzrstV8LBlKZuQPnG0
B3waF20qpJwB1Ad4/kan3rTk9G8j0uL+94QuRCoBGF4JeS4fgNtCyiR8ru0tcFEvu915aEBcxG7Y
o3f66qdETx8WPSWR07w29DqGCX2ZUcqmPn2b5nUh2NwW618ESm9lCipZY2AA4JLWVha4Xuj4chLm
AWjYwyHnG4N5rE4R8VJpAA7JK4WAozCPCQVE8AgWr5qobD5RUbk02tCvmq3fZ5uzq2iu6DtslRFU
oXco9cpZx82VbYA3O67GJTQ19LAWRAhg0r/7yyqzKLdVFNSjYKwsSrzICAiAqFJaSdfyeQstzoQ0
I8DH+5P/7v/8f/uv/pv/1fqJE6Bl1+1rZgIjBEVSJ25J70YuVw0FQES/uXFzd/dZNWjOXDoHjE92
ni0PhvVgWH7AEuYJYgpAfYNoBMBIWUXRBIwMSk6hfxRoaKCE5GSdQu+AeXgg90EiABoKzMl6WXWf
nVMoMCagWTQymymV9E0w8Bj1uRIL54MYv8CqxoQmhPNeFgCgfLxzD6FPLLQohbHH6asrWrUwJsof
JgQR/PrrR19f//KP/uhN5qgICORJG4AMyKLqWxpV8ZsicDA1NfFPkb2aJBSxLOIKcO0zOIjQQA3N
82+Ch6ipYWAfpSCAigGTq7S8OACCErajPg3AsgJA6rKUXBYCUH+KjQp9p3QtJmoAhAEkfefTDy0A
zZMPkcgLNkO/dSwEVlM1YqIewFRQvb1Z1FWj6sB2MaWSWAL9iWVlitQ7SLUvvnuAOM8L6z6rud+y
G2gh95ZtrGYhpvlYHnqho2ExfB62c0V0329B5ryo50ykPnbp8XUgCnsH0ycPH4rqeDzaWF/D/rnw
80yKfqbI3Aunp19Ya1nsUyf6V//h7xcqnLb22ssXhwsjDzIEhNl0llIXmuE0aUp5b/9gMBo+frxz
MJmsrSyvrq0+fPj0/t37QHT6xNbuNH1969ulxcVTp46//8l1UXnh7Oml5SVgMjUxj/Eoa2TPXTED
t3uCb0hxruX1cT0qGDtVldi940SuvIUeqwqOGmUCN3MhkQEkUwOIDuUvSgc/D1nBSbmKVmQaZiYm
PmP1aV7v/EdFELOAyIiBXNuPfoZA+Z2Kdrj+9TyV0aj58e+/td+lf/s//vXpU6c3F5q6qlKWtdXV
uq6SghlWHHKSUYwVUoUgqtnMwJaXxr/39qsffnnny69vP5t9c/7k1nh5aTZth01dVxE85g4JxSL7
oAHETHwOhAxm/Xi4oGj7vRCYWkAyE3CCNSI5BQYO0fkZgNzO4LVEkeCAiWXLkRgBA7IRpJwNQEHR
iA4F6k6u6iXpJbOlDP+wj3RmJHHHR69TWF0Z/m/+t/+sHjRI/RlooGoeJXJke/PJ4yeff/bViZNH
QwwPHz788saNqy+cDxz8wTm2tRHCJiNub6ysrSx4gO2Ll49fvXJSzU4dX0fi1159QU0cz3H9+q1z
F84NmlqyXb581oOgvBs+c+rImVNHPXXgxPFtxCM554XBwE0tp04cc3zX0vJiznm8MDKzQAAqlkUD
BVUVyVXguopmpGYcAhgyU1PX7p8RFVb3dFX9DJqyqMeuBMJOO1XtldUorsgiZObUdcSsJUMZzUBc
MqIWelehuIXSwBVlzMFd+MSBmQc1T0oIgRJhXVUA2o/Zepy9q+AIo1sx/X5XE80ItN92f/m7T45z
e/WVFwLHYd2krLN2X3LukoQQqI53Hz39+W/fozw7qzgcj5/t7e8/2+va9uiRzeWV+vbDp7uPn3ap
CwHPnj8TY1SDPcFXXr/61g9f30vdX/39B//DX/7df/3P/5EORh9//tknn14noN9/89Xx1trupPvd
J598dOObTuEHr78y3l7/+Tu/eePs+qmzF9796u6d93/3J3/24+vXH/zuZ38Pi8sPd/beWKt+8E/+
0V//7P0nX98Mm1uff3j9z3905chb3//5X/6iDpgpQNf99E9fe/fGo4/+9b/6B3/0g4WTZ0QEAZ4c
TP7yL/7uSK3x6In/4a+v/dle92x9+9/+z3/1T/7sB5ffeOkv/uIXWxtxfOy0oWa1B/ee/Pjy8aPb
6wrVxWPHPj196qtbt2D1xfZgLwHsMzzc2xHMT2eztQxHL2yf+d5rf35l68j5izONe4+enT6+9tHj
vSub64Nm0HViDNNZp51Mdw/QZLCw+NsPvvrRuZPrL52n9fs3f7Gr1lYogwgWgGOsMo7qSlIbiWKo
gAIx5k5jVWdtExhDyCiCJIiKUFXMoIGRmRq21pRMCCynjgKp5pQ5dRkJCXSSU0vx8XQKVTNVgdQC
g4EErjIoYK4DMCMxJuMm0IyjAXHgaZphqJJNMoUZxig4MwoAdYiDECJjhToIEFzKQ9yCAIWZiWRt
QrU3m3SB97sWp/V0ljVLNJhJWsG403aDlGdZBkg1WWMyZFCQpTpUMqorzgakqjFkrWPVdErKjEi7
+aDFek+nFVf7MIsYmCtDBQqGUFVUJ605DyMBIYfUUrtGjeQuUR5SbkEHKLvdBKgG4Kw2adN+mwOn
SdJW0hS16rQFSrNUVZxQ2BBEmgA1GXIOyCFaHBLFBKhATEShrhfrKrfVqBpkQWYWDJlxBs2EBCUG
joqt0UBMaq4QsmluKpNWBkExW8WqBkklakYUUtfE5XY2y1m6pG1ShaSSkmhVxyfTdp3qaZcHLnch
EMshILP9JyQlBEJw4QYUoAP2Xjssw3ZwR315NalBIdobuoZnTrJxZ06vuvK9aJHZ9Nq1uWCsvN4U
566ssrk8ZHT4tg1FbK69xcMoPHDJvjsz8ZAfiASQU+66DgDquvLPyfodq3dXKeWU0nDU9Ak3WDAo
xfpVmoS27Waz2eLCmAoMvhcKail4DODa5zd37t1dXBpvb2+uba6jQfbprCpzAMSu7RCtqiIRdrmb
zdrBYCii+/v7g8FgOBxAobXO+UVYZv82H+8XEBHNkxHL1QAwIPD1ZlH9GQgiuw+qLBl6fCI74c+R
9s/RPqlojftC+VAFqD5BNyj4fK9A1YoB2D2QxX4JpSbTeSyqLyTRHFbp6wcrZio0QCT+6Non//3/
5f/63/6f/o/NcASGJSnCnBgi2QSJOpWIFIx8l+JQBwVQlc+u3/rh969yXX35+ReiGmOzdHRw4+ad
vZ0nbc6vXLm4szf96qubYnjh3CkR++rrb1YWxxcunhZGR7Do3KIG4Apd56N4p4UEPF/aulywdJ/K
JVxHD31yjmxQQ0DNKmDuhzJyLqcSemwhJMkO5gQt4Kge0KrecqlbUhFVjKEfM/TWREBPnFcm7ic7
5dmxeVw5oPzHYnI1YMKDg+6/++//7wx7P/7pHxoF/87F1JVxHoK6e7B399bt3HXLK8ubW5tNHT3R
BgHNsiKqWnJNOBXPn+dzcJ8CgmgIRuCjhFLwlCqbQEUQMBD5tlPBqBToZbjv3Zp/MxyiqaBo8PV1
sXX2+0pEYBaVLBLpO/tLu+mMYhVD8PwhMTVFVRV19OOhX1FFnQY0z08uG1dRZjYF5qJskBJ3ASIW
As+RbGXo4M7SAjclUUMtG9ii/lCbz8j8uO0nRMUjPQ9Iefh458vrN1975XKr9u5v3r/60sWltWVf
0vp5JTk7skRU3RrKHAy061o/2EOs9vb2VG00GsUYk+r7X9zE/f1LL5yt6/rR072dJ0+z5PF44enO
ztrS0pEjmze/ufN0d3drbfX4se1b3959cO/e1vZWVQ+/uXFzZXnx7PnTscIkMknw1msvfPLl3U8+
/2JxefXJ7u7Z40ehGd748MOjx4+M19Zmqfvo2meDqrr44guD4UiI3v/o+qsvv/DLX7//1lsv/s3f
fTiu6Z0Pb7729pWPrn1ZMe482Xvx8tkqcAmCIU+CUOiFyP7GQSCVouX0lWWZZRG6bbiYWPsMYkLI
/crX3cvWi7eLWQ4hFSW8MgU17fV6JSAtmzJS8Jhmt5g6jcEPW19BO2AJQd0kCCBmTOg6nbZX8DMS
FmJU2RwLEBsRYpq2H137/Mn04PiJIy+8eP7a+x/uv/P+xYvnVlcW61i9/voL1z67MeLw2iuXv7n1
7aiqXzq2ySE6y3p7e/O9Dz5T5ldfvbwznd279e3G1trq5vpgPBw1A+w9Jz49IejdxERifnHKXjow
JREFKa17US4oF/8tKVhWC0hoJYm3JykBs/doWuawiGIaQ0kPISSn9NlhGhYClMzY5+RRSnNFuUF2
OA55II8RoRQ5DDAix2hVFFPnpJoCwVw+BMR46YXzt2/f+eTTz0VzVcXXXrm8tLBQvNaqdRUUzIdi
Mfi0WoldLwJE0cyIERURTUzW1xdOntzwM5aKIswkyzxfHYt+lnxm1yvVLTBLoUeVGaUztyBQqGJF
zEScAJiYiApi0KNmQsgpVzEiUs4JQVW8idecxYBiiEgkKkjYpRSr4MzojOCuURA/U5iI2y6FqipO
ESRRYIKqqnNSAgwcwYCJDU1FrSDcgLh48ec/MwJmkZwlEKUkYOqq7ZSzy4zdrDlrM6j7TyiLtGDN
YLi+MDx54ghzpQKPJu3/6//7t8vY8Xhhst+9euHUwWDw7f3H3976djxeGWT71S9+PRiNUqBr17/6
05+8/Ys7dz74V//jP/yjHx05dRyKnMwiIZoS4dJo/MqVy//q05vf3L5z16pvPvjdT/74J98+3v2f
fv6bf/zHb2Pk2cHeP/znf/TVjv7dL9/9kz98e2+WZ+0MyGZAjw6e3d/dffeda//wJxfTyRf+3b97
d7p/64v7j766cfN/91/86NFg4+aj3Wk3/fzmnUe3bv+zf/FnB53+h//wixvXv5zp4oljR19+/TWL
DQXObXf38e6z/YN/+tO3ce3UvSnc+PbmsWNnTpw69tLVCzDYGB/beLy3s8xRzDJiIgSsW0ltJmOm
nDkKYw6gQfPQiEGzzsw0GLZda4Y520zg7tPp/u7BcPXMaGH88MEdzQJIdQw5yde7+1/89sOa4c03
Xq+YFkf15mj0YLx4K0SgyjC0kMFQRWc5U5DsjxlAQJAsgRBT55uHYIpJgJKKmth+m5oQWxXL2nLK
QLtdhwgmadyMoLUqMoKEwIyEHS2NqtzVo7oyzZFCRkPGDIixzshKMM05QkhZ2WCmQgJkaCY5dcGU
RWqzIMpqMYSuk1k2aOUgg7VqwJokDkKrEBEoBmQgtGHFo5q0wZUhdYwcWZNOhZYHVdtWAUOsGzGy
uJCgmRjtA7PAVDFlSwgxWWRQkSyJoK2BK8IYcyMTxG7F2oASAclS0o40BbWDaZsFd0UDsLW4L3mk
cTcpG3XZKuQECgDjpg6RqlAdTPJiE6AL4wEv1k1WWGbuqG3qKiE6X7HNAlQligFpBkSKmkAzDmIN
wqYWA3VZWhFTYVVDkW7W1DHLwZBIdEqamILpVAUlz1ICVMiie6aThNhi20FWQA6iCkACjIYZAAjr
KqKlmsFqjoHMWITqQc2ahw0jRGYKkSWrMrbTHDgE+s7+Ul9fppQBoO1SVkGEqqpCCFrKXTAkYNOs
7voDMFXxBg7Ns7/Be48y+lVj568g9o2lFXSIGhESBVElAiDf+ZTdnc1VugWE1KMVoKyk+uWEryko
qxISU78zIcoKkzZ99P61WHEzaLY2N0bDZlBHEXdYwP7+/ni88PWDhzc++eKt119cWFx8+PAhh7i5
vv7k2c7sYD+rDZtm59ne0SNbg0G9vzdDCDdv3jo42D+6vbW8unrzq68M7OL5s6PxSAEe7O6fPbp1
4sxxIP7lB5/r3rODZEtVaJm2lpbPnjt989adJ093NxbH28e33n/3/bWNtZWVlU+//GZzZXFpcWF4
4hgWTSa44svVvCr92LkMzg2fJwoiqub5B2g9U9QQEA5pxlC0fEWipoZz3+ncXInPxfrRIVupECad
5ovWC31BETD0xAk1RU+rA1RVdpgmoqObDVBAwYpWcB4w4Bou9yzVw+bVH7w9aGrAvuckVANTVEUg
yO6E7OtFLJYtMzNink2n1z78ZLC0eO3jT/70z/7o2hd3xqO9z766fXZrsW4Gn3/y2Rd3n37vR6/9
zW8/ru49vP7ZN2+98cLnn95YXh0vb677jiRQ8BuVEQjYMU8K5rHVPv8IRFlUy32o4AVJIRV7XLki
YgYFBXb0NJGad5c9DauUtmyqkThjv9YutmgAVURD98URSUFGeXivC6+ez2MsPr2Sr4M9NqJfsYAp
95J0L7C8ERezdnrw8P79pAXC1Gvgi8nqiy++muw9u3D+dAzh7v1H7/zuo5evXhoNhyoamAxCVlEo
OlcqAfSusEU0SDkdTKfLi2PJGUoeskeMikOJs0jbtUygiFWIgAU5aWpikERi4J7U7QYyYTSftoSi
/ELRMpeRLAAgIuxEqO/4z+N7DxfGC8PBgEIIMSTTwCwikrKHc/aObeyRQq4IZU9o9DW7qToqTHvD
/GHiqCoRi+QQgh3arn32VCziXmXPG1FAQyouVt9ylzaoaBSxb5ns0d7+765d39zcOEjdp1/cPH7i
yMO9yZMnO8Omvnj+9DsffgIpZcCrF04ltXv3Hx5MZ69duXzr3oOnDx88nXRbiwvN6vr+k3tKvLa0
eOHSBddPtvuTnZ1ni4uLn9y+n58+XTt25Novf/vDn3zv02vX19dXt7a2YlN/du2zQVNd+/jzP/r9
txX461v3Y10vLS+WiSHSwcHBtQ8/3j3oXnzxhWc7z6YHs+ufXaeNrVPHj5y5eG6a7dtHT/Tpk//F
n/+xqX3y2Y0s6eZXt86dPsoEKytLq6vLbdvt7O49evx0c2tteW3jynDp/pNH92/ffv3tV2G+WnTl
pzlEp1f6F3VoWRezywqgdIMA5DlAfZioIVOPMC+to0/iVKWgjsEz5y2rBhcI9SHb6N2jWWcSe7ia
o/8MIIOiljdjsWUUJgJwL+P2baoiKEJWjZ7NC37wgoJlk4C0sNB87/UrM1XkkEx//OO3ayVGW1t9
KQGe3Fw7ubEajGrGF69cFJUXXzgjANksML/9xssmqmiCsDAeHt1cYcOItIlrAJpVkzlwDQ1Iev22
mQJSUgnFPA+OF5X5LQum/fTZRc9a3M7lghfzebGR+M/lCWEkaoFZe/8GAhbohoOj1P0C1rPCYG4f
9901FcJx2e35MrP/IkpIKoIATCSFiW6e+YxWOIWgEgKdOXns7Kmj1p+b5j16P3P24TuAEOHciT0f
QnqYkIC62WZtbbkkqj2nS2ciLLonOGTkqaetlvw2zcJUFvy591qHlLsu5SDCiCIm6itMEhFmUskh
BEYk0MBops4Ocvy683WJkJghp5L6igBIIVQAEIhyzqLq8VBEhOYvtNK496n0lJPMmWpZRE3FVDVX
VSU6H+IUQzsTqIijbYrmDJCQiRShGBI4MCFmJEENgXI2JOQQiDm1k99+fP3x453A8dj21uK5E7Mu
nTuzcent1//u2pdfXv/i9T/5ycUr57/31uWV46f+4rfX9nYPfvj91/fa7jc/+/vH33xz0Nn5M2de
f+1Fi1WMEZEAqYqIfU7QwsJ4PFo4mM1uPdx5ev/pb3/9wcGkvff1rYOdy4B44cKFxcWlsWkYje7d
fxLMsugsybTrUpb9/QNGOLa98nShWt/aygff7k+mdT1YXFycxmZjczvb3rPJ7O7De3/5d39bx8Hi
Ur2xdeTeXdna3l4YDFpkRqyZTRUwZGWQnLpuktI0dUbYJcPGXMGrOQPgEldntzbe/eSL5TOnRosb
D+882L999/f/+MqN2cKdA9ltu8cPnx7sTAZhpDQdIi3VcThs2nY6qEKaPDtS6dljG89m+Kt/9cmN
j75eO3k84/TR3fsnzp8+9kc/ENWmGS6tLb/30ZdhYfz+b649ffhActJuFsxMtUY0wIUQO2LiQGpt
EqpizgpI2hNUOoJhXUmacoRaqIlUAUHWEEM2MyJVS2oElEWzwiyZ5sTI05QTHMxU9maT/TQdcuww
N0AEpppIAiMIpBg4ozgR2ogAsBVomCdmNeAMoAI0ZhGrh1XuunFdR5WqqgDEAseqmmSpMXQMM80c
w8SyYrXbGSd4dpBjjYz0ZNpq6J6kWZ1nB91suWokt8EUNQ9UKhBDjWQjCrMuD0O1a11SrHDYiYVQ
Pei6tYXhM5nWVO9hx4qrVYWhGzTVUssLNY5iCIAUUEC3h6N2cgAcIscDkwHRAYdAnI1EQ9fqJINN
8zSjTWSWOyPkqtqbTBeJ0mwWyZoQUj5AqCzPUKiyXCEzobCyZkPNWPwnAJiBOoUkCFhNMU4xp0yJ
azIcca2UOQ7qWof1wCTnlEeDZoAwHMYJpRjIAASZGVIkYkLRlCGpHrQJo3bZUyih6yRZ3p9ko5xS
rkFRwHJmJUSp0ZJ8Z3+ps+9KDIzC3t60rqsqEhiiOQKHANHEqAhKVXuyztwRRB7egCBWuIf+/9Rb
QAHR82XmjlbrrSUlWtr6rZDZXEgMYGAeIVMs8CW2/rkUBHevUWnVFADv3n8ABq+8dBmZctb3rn36
6osXvrn39GB379nu/vb6cptyZ+ZM1Xc/+mx1cfB09+nB/vTLB0+PjYdPuyS7t49dOPPZ5zdOnj95
8+vbb77x8slTxz/+5NPBePiL968dWxntTWaffnb9tTdezWbTtrv26bfPDg62jx15Nk0vnjj+UMwe
Pjr30sXP3v/0uCkaSk6ffnodmjAeNi+8cF4VD2Z5f2+365KpIhP06i+XP3nMCZTAA6C+/fTO06Ao
hwlc9OUtP+hz8j8sACQtYFkkKRGCfWRFryN9fsFV9HoOFjpEJvaoHOtLtz5IlvstGZaloxXnoBog
WVn5OqQB0FWvRZxliFwT/ct/+V/+9B/8EJkFwQA90I+NRFUKiqK/W8AQLZYZBCJBSsKD+rVXX6IQ
9nZ2VhYXY/XAEOths7a2Lga3Hj8EsqqpFkajNqU25el0duTY5nA0wh6dcrjURDIAMtPS6eEcQazi
TtSesAVud/T5iRcmRT0u4JBbPGRFlKfGiJARQQXBiIDLCKBvMwq7hTybxwnUPhoooBoAFfFYGke1
Phe2YYjzHVFPM/McSDNRB2qD07YDwR//gz/6s3/yn4dQec3Uy0HBEB4+fpDSwauvvRQI0eDsmZOj
8eKnX3z9ykuXiDApHkymf//rd0IVN1aXL108Y2qiQiF4doA/6THGNmfwSRCgGuaUqug/Mezs7P/i
5784eXJ7ZXl5dW01i2ZRVV0Yjsxwb28/p240GOzv74+Gw4XF0cHe/pMnj9eXl0bjkRbusRkQmARi
QFNNzGRqDN95KjeZzKbTaRXj4sryeHFsZru7e7u7u5uri/0Qzbz/9xWOx3SoqKgi89zWzm7Hp7nz
0+mz1Du7KWdlYjEtt0QRKppHqPTBpb2v8tD1wDgX5Xor22//DECZjpw4cv3bOyZy6uxJNVtfW1Wz
Tz7/cmVl4enB5PULp3a6/O23d4+ePsXMDx7t3Lt7/5t7D37w6pVvdw6efHv76xs3lhukEHd39/wB
50DDQbOyutw0dRPj8vHt1c2N/QcP11aWOcb96ezX73y6vbl0/8nOdNp67J8abm+vTyejL7+6iYHW
N7cQjKvBuQvnV9dXP/7y9uTZwfLq8v6Dh8fWV+7cuEFNXY3GJ49vXzmx/c5Hn7xw5dLjJ7sba+O6
rutmsLCy9rNfvXfjxjdXTr756psvHeztN01dxfj427vPnj67cOaoB2u5McAhbEUAUo5IF0AQgI9V
kdACggKqWy5AXepTlNXFCeIfnioUhaOakXutERk8B5V8fe1fpkc9lU9Z1AIWNl4534gUSQzRLCBp
6cdURBSQsYREHr7NoNDbEZDQsKeyQ6/ijhyILANqSf7yuCkMiKqmiIaQzKJnspgiAhO7yIUY2YeD
vQjW8ULMJQpOS9OusbeJBuQM7koAT8wq0WJmAgZEChYcvQMQiGXeQBaErgXmpLnYE/rerLydir3C
o2JR+8kBevBPTzv0iUBSLXgtRBFhDr2+/TBwzptSAhQ/lXtaIBGVF6Obvj3wjIK54cAPZy+He9g9
9moFVaUCChD3LTo+owAynH/eDz2eKwYP4Q6992TOQzMEQC5WHTMl60sqOLRGE2Lw/aRP60MM1uYq
VoEJzKoYC7ugj4/nEKazWVUzEqv7LUNIOXNQAy1JxACSs7ujsB+derKoKDAHQ/AoVUmZiQMHEck5
gRXKAiFr/9AQE0lJtgNHtyGKWqhqQFqoG1X1X2TCikPKmRGTmYlRIDObpmRqIuJ7C1GhwOfPnXrr
B6/XzZCJH6W0sjA6urU2quv1leVvsrC5KwwiUers1re33vnde8y8sbES19arR08H43FV1cohMCuA
miTrEGJl1CZ5/OjhwdPHS6svTR+020c3Xn39ihiNfv974/HIbu88errbzTpU0HY6Hg9Ho8ne7hRV
9x49gbYbDgcJ6Js7e1C1d7++eUpwcWk8mU2/vXt3Nobbn3x29bWthc3Fh6dP/vitt+LCwp1btwfN
YgcPIeWDtlWOQJjVNtYXeFz/4pfvrR49uvPF9R//4Yu7ESIjB65iQA5JIcY6q3KIb7528Zcp/6t/
85tBRTuPn7x99ezxsxdkZ/LZB/yv/59/MaWKxaLxUkWisUI8dmT73//sV+98/GCwsroyXmizHNsY
vv2f//iX71+X332+sLzw9ktnVgcNmLYpj6rw0zcvf/pJ/Lv3Po6DamVru4XYVIPcpqqqRLKBCmJS
CYid6aipBNS8ZTTMpoQWzTBndwzMsnSdQmTrhNSsSxSoDiFrFk1MRiiDAEBUEUUMC4NmV1PDLKEK
GI2r1CWjmMhCiGQwS2kQ4hQOYkCMEAOwacA8CNoFqEkjGYGKJjCcTA9M5Nl0pp3utZPAnFMajcM0
5eRWSraAHCFXkFfrsBwpVhgiEFLUaoF5qa6rWFmgzgCqujPKSIIhGwqGKFgzYYhJLQQa1lG6VlUj
8VrkZUSo64VSE1hOKRhOJyklOphiKwAiYRBkiqCJEgJbE2Ta5djl7M8CaA0QKqIMC3WIGWO0mjip
1BEt0kIVk4IHF0WzFkMXYqA4Va2Bm1Bp6jBUiCapq2NcrJshE9ShZs2ViuaAhiwVS2ZVgwatM9GU
JOUZdESYBGSaDiZtp9x2ypSQuZ3NxgvD2ayt6uibEQJtKmKQwBpIPJZiUFNOoWJWV337+yswkXZi
yN/ZX5pNSZ1lR7Gql1YiATKF+WGOPhd1TEo/8lcw9qGYK3JLppr3ue5PKwxY75eoIA+K3NRHqWJG
1vMeAHvjnHkMoLcHYCimQM4qh+cxlD1plnzqPO+1Jl2HIZQsE6IuadeJqKnq9pHNbjJpZ+14PFrf
WB2OR8/2J69cPo/1ztMHj0OIm5vrVZelrldXlx7evusw/CTy5ZdfHT+2vbA4mqScRbbXV0ejkf+M
TTM4cfH86TMnFBDjo1jXjYENh8wsAI92nt28de/4ic1Hdx4OR8NbN6a3b9+tqkEVqK7iza++Pn3i
mHf+Pf/IwICK0haL5bHPjp9nv5aA+VJSmJe5oiZOiS8JNVLyIbT4grwDcrecqm8SCiZzDvnEUvf2
kuGCuSkgIyrZnuCvuwJAP0SIFjOXo8UMSMGSSgW+XzUCDIXgamC6srjwJ3/6EyAUMFHzAAexkiUU
mV1Fpj2o2ePYA6F5kjXC2uK4rmtAHI8XkLBuokUeLTRcBRBbXFu5eOTIL3/93s07j46/8dL3vv/y
w7v3l8fDQRUdgDGvC/shfzH5qUvaFAMULSUguCSKSqBkYSdlU0MkYtcRzAsXEQmIXs2ZaXETEjC6
WdjMivvLzXp6GJ2B/mhkU0acwyoLc9Fn4jk7NZrmVRAoEamhSB+5pODRif70+ZYcEU6fWj9/5p8O
BgNAE81MDKUCNjN9cP/h2bOnmNAfalUYLy3C7TuzdjIcjgBgMmu7lF567erP/v3fbR/Z/vTjz1PO
586enE7bR/cfbG1tLCwt3b93d21j/asbX929c++tt954eP/BZHowrOurVy+Guk45DUfDE6dO3Pn2
wYcf/eKFly+bwuPHOxWFtfWNj37zm+0Tx+7cvHX60tmvbnx94cqFTz767PjJ7Q8/+uy1N66GEBUg
GxhoIBTNhIbEJsqI+J1xvKBqItkUnj7Z2d8/wDKwzSWpGbCET4D5msX6rZznWM6NvpKz77WBwF30
ZY/Uz92Iil9AHQnbTyUAVEpUqmNKpCxRrSi7eyUxmVqhcPktKoaI4/FoPBrlWWuRZyn/5t0Pj2yv
tylNZ7OqiqNhM2N98uDxO7/75NyJ7RjidNZyXd97+PjW/ccxpePHtjm3K8tLo0Hjgr6Gw+NZ9/jR
zmDQ1ER1rAihGQ6YaDQaAFE9rLu2XV5eGi2Mz5w/+877n21srC0uL91/8GAwGCwuLnmz98aLZ1ZW
VqqqPn/q6LcoIfCZ49tr6+srdTDRlcXxT996aTQYnDi+GTj89A/eUpFXX7nCHF6squl01u4eLK8s
Hzm96BeCiV+/esFteId7YwARDxSBrBLm+PgC1HFuFkqhPflKDEWFmT0/GeaDTyywHED0Gyx4gish
ArCBIWZ1eB2LChObqSO4tSDTtQi/zZhQrQh8khkY+hcsKlacJ0IXPISHtRYgM2KFhACRnIwK4hxq
9PEHJVEzSyo1YTnATdkPf/BoKwuIgVk0A2gWUMOIGBARtGCWEL07VS1WESLKBuIK2D4qy1fO7jgX
UWYiNKaCtddew+ydZ+mUALIpIzj6OxJ3mp2KpCqBAxqgA9XMI5QUkHsfT/8huD+CCBFUlJEy6HMB
SwUeCB7v3Cdj23O4CiogK1Dt47AQVcr7qxDsnT8nWmKHqdd89V5W99ZgYdS70BZMS1iNjwLZf3BA
b8H8W/M7RUQDsyvFSnKQB1CrEpOJMROUb9VTR9X/npRzMLNIzAhMwAgxcEodQMySYxV9VJBzLuox
kcAMqsycTQwYibIKg6oBqTIz9zNpVa2IlMuYkBBjZCIyDewi4MAhsGcCMrFa7rNnvCYkVe1yUiuw
KzXLbgApSnh0bAkiivhe1tRARNXMN+KEZEQxhJQECQMwI1Z13Fiot9dXkSsznB0cxEAcSFE6U1GI
ARH46c7B9kk8s7365PjRl69cWlhcvHP7bl3XIyqFQpYMGT1twCR/+2Dniy+/ery7f+3zGz988cKp
U6f+YDD+xd/e/+b6t6q2Mqq3XrtaB7v54OG///e/3p/MTh/ZPnp8ex/Ce79456uv/3KSbcT12sLC
C29e/X/8/FfVb67vPt07slKdXV/c/cn3/t9/9Zs4+IxYs9FLJzaHf/ijn//uI5Z06eL5laXlq1td
F88PRmMBiyGw2ZEQ/vmf/fjahx8fTA7+7I/f3jpxdJj1Jz/5PjeLDPb7b13cGjcAGkBN26NL1T/5
6StPdk7ff/zsr//dr1bqMUO1NoJ/8ud/NIyVGSw2tan+45+cCCGklP741Yv00qlnB9MP//7dFy6e
Xh4MB1ytLYzfuHRhb3owHAw0JUE2g5lByt2ka4+f2Hjx4omf/eK9emu9joFzYs3YWUMEYNK1NWPb
tWrwbDKjKu5OZgMcUBJDHUYCRiQIgWOkBYsRyQhDjMCkHASNiEWUuOpgNgj1fpsYKQm0YkHM02hB
zSihQESNlshSyAgAA4PKjEVZ9CCJonQiZvyslV1RUDswQ5XMSGJVzWASK1CEUYyReDrRpgooTagr
JRYVhGpfpwOq9o1q5QMNjYRMsJNzZdJqx9oucBfVQKc1jypMRtl0hqjT1A3i6PFsOmLuWplCQsH9
lJdxcH8qXS2PZu12VbeqBDCoQztrB3UYJB40tIghdd1gSDPAuompIwWoQsw5V7FWmiBXCRMpdEAC
cSeJQthrM3PYnc4WY90ZzHIn0jFaxRVLO4C4QtagDBBUUpWh1Y7EQAAtp9ztTvct8LNp1yipoVpE
DZ2otNpwNW1n2aAzHIcYY6zqGMkI8nDAAXgwoDo4DZsqqpoqgNVARIFyzobcAYLRTKDGEMCyQZsU
AEUzImZJgRgsVQRtmoXA+t1xvClnbweQMClMJjNTI7BRUzeDmoLD9IAYEFkVREwc+eMUBM9lUek9
ej7b9emyKhghI6Dk7MQjX6poX6uJSgxF6DLniECPJiosi8IZ0t5eBT27vOchFA6wG09wa3P1wzt3
bt++j0ihquqquvn17dsPHq8ujavILdPXt+5ceeXKZDp7/PDp6sbyux9/Op3my2dPyeNnMcTaIDd1
xTwcDphouDB8/Pjpnbv3ARSI37p66f7t2/sH07XVNR8PH1kbP7h7dzJrF1eWzm8tDxeGAczixiDE
i+dOr6wu0/kTObff/73X1leXh2+8OJ1MlhYX1GzQVKdPHotVVaCCPYQJCRVYVJ9DoZRmqWcilSGx
2zqwd+0yOTWqxNcTkBfOZe1Z4BOlMHK+DxYeZcG34H8U2VOutBOYAdApvlZex2QmxevWe1gNUDxS
BtDzq6HvxwoxqedlFOkyERh7SU7Yp1N6ec/u9sSspqpMPP/WCIGJk0hg/sEPX60pANprr11VpMsX
TiLikfWVCiggrq0tPtx5JrKVWjmyvrK+snz59FEmQCQB68wj8QiBuEd6ZhPFokJKKi7VU1Xgefyj
GaA7JA83nNiHxJiHuEiJA9e56LJ3fwKpSk+jAnGoj5VheQlhAjA0F6YSsk/TyTW+CGZ9QWNY1G6E
imiALmnrU2HB60E1UM+jNzW15fHQP1NVowIZcnooKcDBwayqakRUMABSUJeGmRqZgQmDPbh//+9/
8euVpcUbX3zz7OnO6vrK5599vriyFgdNGFSzrp3MpudWl7emm4vjQVWH69e/OHX22P17D164dIZi
BYR7+3t37j+YpXTm7OmN9c3PP/3iYH/yeG9/ZXVl6+jWyVPHJ7t7p06f2Hmy83Rn9/a9+8BQERkC
oKEZU4GvEqLXgGIC8+HNdxvLqTvKUpdSTmoakNmhRwbM1PefYD6p0zIacpJQwRkXzV5x2vaeusPg
PSZGpH6vUMwLhRUNZQ3lyzSmAH0Whvvn+TlOeE8dK1OiOoSlxdFLL5xX1Zu37tR1tWb6ZG93dW15
PB6fJq7rZoV1cPzIUeLHDx+ePLa5tb11tGm+vX2HVMfj0eVLZ548eqyqSyvLnhJy4dSRE5sriDhq
6u2t9cBMhEsvX65jeOOVy0z80x+83LflsLIyxnMn/QpsrC0BeBAsBMQLZ477bb/QVJcvnZ9f7831
db9cVQwAOGgGABaB+rkYBqadnSevvnZ5uDx2My35oqsEjxWkqpoUAaKpg0XnmVh9vlch7uE8sZlI
zDziUgDMlIlAzYUqqe8K+hYRok93EAkc/GOAlFViibFRD6wlMy1oNgMFr+0jkwsVfMPtNgoCC0UQ
AdmjStW47+7KOLBIkBT7dDRAzxBCQvBhIhefsJ+s5u2x78EEAQ1I+z2ko42x+Ga5CJYwqyFRMouI
BBSZxMyd/X6TExkhOvEOaH6FDQx8uQoG4uJQBxyIzj3tqgX45CMzdnszmCE6WcDf2u49yCmHYCXv
x5nAqkQO/zX1HCx32s+N06oAjlQsMzt6LsjafJ0LJTDWu1bo8bQ9ldAFwHrj+pdPd3Y4cBbbXFs9
e+Y4EzmCcL479ZPQddVaYmPBitEA/KoBkVNzS1h4WdVyMRwReeqV30SGqHKYICCqPpgo0mg1QAxd
zlnEULMoBxLJzNV8QEnEOTvIUbKIATBHNe1EsmrDBIbei8YQPAQsMleBU8pEyEyqpH0WlpcROXWR
B0ioYirmwbiG1qZuUNWu4HJ5t0ulgSBLNjMxUAMpZ6aXhi626jVshkwOjjMxCEh1JFciYDFyQWQO
YL949+Obd58Awury4rmXLoxHUTCiwnIVDtbXlgcLb7xw6Xd//97jJ9Orb1/FH77xu4++AJHz506P
l5fPzGZ6/iRyZDAiCiE0om9dOvvo29uPnzylEP7kJ99fXV/hEE5urC7+9CeT/UlO3ZEjW1SF/+zK
Bb18LmcJCBvrazGEty6OXj69LSIhBiDMRhdPDy+d+PNW5f1ffbDGs7quzh9bP/fP/3SS5a/+7c+P
bm6u1tX47PGXL5zOfq2ITh/Z1O31BDBruwaL22R1UL/92oujumlTUtWN8WC1OQFITHxiY62qYkqZ
GQMxI9dN4I24vr62OBrnJ0/qKmxVMdX1sK5mXRdCSF1WyZFCpykAZMCFqnn51auDQbMznWg2QWhM
a9TKsoGgtIDYoEXE5UHz0Ve3/+7a59ubq2/+wQ/3CRaRjSEQG5FhpsCcqKoCq+RsTRNqbJpBbZzE
LITQdq2jT2edJKVpl63iPGmrUYNtzmhVCG1KVRUbIs55CIhqTaAINAA0IFNAZFMMMczSrIvMXCXA
CCTEChxj1YSoVeRAy008mB2sjJgzjyNRDE0I+9kCQCeQFfc7YYHctsOq2p1OF6vq4OBgoEImphID
Rckx5wFAZdqgNQSCiLFixAZDK0Y4OEiyr7ybcU9xAAwKQ4yZUyLkgIOGOVnTAArVkRcawlwtVoxN
vRjD49yRYSuaDPeSZgv7B10M1dP9bgzNdCKUu9osmy5U8LSdVnWdZaYyqyAHN1VIWwMmbZlxGEJi
q8EUoeEwxUzEU8UD5drqPcuiMSEDCoa665QxQEBEilUVcxjEYMNqVFWdJAbgUE00cVUBwLCuByHu
hUhIajRN0gHOEgnhLFFGS52JSqywbTslkpywL0nVMqtEEENlS5ISljeXx6nENidlzEKkIVv0qPDv
+s9vf/mbQVMNRsNmODQKbRIErGPY24PBoOYqDIajph6oguS8fzBpu27s8i0toEoAy6bu3HBTh1dp
7gQrvRNC7xkFVTOEwKwmroCauy88x0WL3694S7RP/uydpfPNiPlgtaRz9HGjm+OF773+8uPHTwLH
hYXRpQund54+3dhcGw4GRDhqqnMnjzVN/cYrLwLi5vZm27VMoa6qrSObRLhghlurzOHFFy+EEJcW
FwhxY+snzq5DpCMbq6bmyBkEu3j6GJ4+pmbWT44RwEZARNvbGwBw6tQxBBMVIFxeXlxZWiQKCLAw
HBaroPUZgPOI0jLNhcPcBYf3FVy+z0F7JxU4uKi4d7zuAQTqLXF9Iih60rkPkr1i9ox1eK6e1/7f
PYILC1zGV5Rz8baaeVVC86QFJ+dQD5W1Uuj4T6PgK9eCmwRVFQMsOEdz/2F5tfnm1QwQQoEJOdFL
DQ+zH90iFjzWQn17DxWxFRozEIGJLY5G01n7e2+/vLy0CADOdfYxPAAhg6g6aoP8qveEab9kioBq
zCwemGrlx3X0IKAxohgmKdyHgL4Z9q67/yx7C7WaJZA5uMu7U1V1f6nPZTyWxq8cIyEoMbozWFWR
XVOKc62bXw1XQmnPlXVNGSIZGCHlnBmZAcmMi+7RYVT+F5F/7lmkaZrZtI2B/fZQ1bbrCHRUV7GH
v547ferlV1/6+c9+O2u70eJ46+iW2UYMlYF9/tln589fCIQP7j28882dl1+5mBW31jeOH90+vrlV
1U0WTSJHjx299ML5Lz77elCFdto+vv9kaX1psrtnoBAYI1MVDZBjWFtfOXniGDItLg38NvSqFg8p
ZIaIzMHU5DvbS72kzub5koAiQhHRIGuexy/77dwHyajvQb1l6nHjZU2gqqjYY05KMAxi2ee4kKS3
obpgrxB2VEugCRTwdYly8E7P1IUlfaJFn6J8ZHXl2NoKAYTA508dA8LjRzbQjJkB7MjGGhENVGlx
AQBOHN3wu2PnYDKbzQLaqVPHBhyOH9kuhm8EMBsPm8VB40ArL/cBoakrRAzMrlg+hAb3G925h2Ke
g2iFZ4OHksjn1r82T2otJ3ufXEq4tLiwePkiwiG0vGyY3YynZb5F/Z+TnljuX1GLmgHnUTelJ5kT
3bAPlYHyO/3BY0AiSqr+MzpCkBEJ0EU+poKIAoimZIUPb2CMxb2tCATlc3LK1BwS7J5V7Heb2QAI
/SAQFYrcR7ABxgAexAZlryj+x8lvUSMwBssGith/RUWziNy526LIVRQA1IQ5+Mui15Y7zM60kAUK
JtcfK1dEAVrOEgJRGYb2uHJ0eJRDANCTrlSlpuAPJszP/eJrAA+MNQKX4pY7zfo5rJq/7qm/dfow
OelnHL2HoVhNTURoTk7oFamuJ1VTLMpt8pGoSo7MjmQT0cChcLANs9hHH17bWF08d+FlBOo6uXHz
1udf3Lx04bSZIrGI7O/vS06xqobDAXGA+YBYzQy7TnZ3n62trRZOg3Oe/Zk1QaSDg+69d98ZjqrN
rc3tI0cAQVQ9X0xMJWdidA6RMhhA13UAykyBOHDgZOKvSzH125oYyDClVHwjhCGEnDNzyDl7HQCl
dgRVF41nH5MBWJc6AMw5x5wdt+upUz5XjYFEUsCKAwFaIBIEZmqqaGDERMIFfUSWcg4haLKmCUmV
PPqcEQmSZg6h62Yqwuy3G0p2JTCmlGY582wWFhpV8WKJEAaE/+IPfwQ/+Z6KVDH68OLE0W00JaJX
Th+7cnQzhPD65bMvXzhBgZHwpbMn3rx83sRMraqrS9ubdHQ7xAg5u/4gAFw5ewrPnhSRqqpERVVj
YFDZXl/irbWchQJz4M21ZV8Rdyk1TZ26jiiMhoOcU6giABzM8sHu3vvvfvjsyZOlZnD5D97UrI+f
7P3s57+R1J07eezo+XPdrPW5cjZFwIAei81EqKKBmcl32mHWdWJGHIDUiGfSVjEQQgxMRMgUGGPg
LmlkEskh0JWzxybH1qbJ2VGCRJPZrBk0WQUMAkCNwCBIZgE3t9YsC1VRxZJ/RRWiSgmVeWYJOShB
rMLbb17+wZtXRPKganI3rdlT1MusS0UC0aTtCGnS5UR5MmlHwJYykkWxotnPWtcMIsOqwgAwHGBg
w5DQCEiyMFeGWSEoq5kJhc7aCmma82IzGJALwCDGGClkAkNgCpJSBEaB1OneLDU17+U87SDt54NW
jPNBl9QwoRBCw5xRh5EJ1QI2NWqGYSStQuSgioYsECcYElb7ikFsSmwKGEkMA9Mo8HId9lKiDGsh
Lgda4aCUhSgidklFZNLlKtnuTIYEOXcHuWtkMp3NclU/aCfAKKaVm/BBKsyECQI0oYsLtDjAfaG6
CSlJpzCqqpwHIVYQasHYoiSjCVGkwCGmqAoWOSTApqo1JUIc1dFyauq6yTQkBSImqBQyWARtNYth
ztppMrRZJwecdtvcdS0wSspVTSlj1lwz5y5HVhWR1IG1EWIIZLkbVmxdVweqkJJYVTFaaKqqM0Bm
AEqp41hnmWaMFigrhCrKLBkGDlhVUbIqYF0H0DYyCGpk7h0X3+Gfj379S+awsr5+/PSZpfUNQ1Kz
aU5IMJkdxLpSw5xMVWfTaTedqYjvewCRkHt4S3mDSFYgZSLXxkBfn1HJZtPAzIzqzJUe3w9zqMg8
KsX00P2o1r9NFXoksJdNvmXyIrwXuhoTLS6MFhdGHq2JRIuDpg9xgdFw4IXjwsKC/xhVjHPDKvjs
GREROASHEAIAc+0DROzzpY08vBsMUOG51rlcG+yzMwsVBim4ytkjPXt/7TwhD10UU5yUfYihm6Xm
xjM15WI59z946MwxMCk41XksKhFaVp0LRNUsq+qcS2HWuToXUFXFLKupG9sIGRD7gbEZuK7RdVPs
u1NVYkoiufcGE0CxkiKo6nwFEYg8ph0JBcAIswihx4oiIgBBNivKt64bLK/M62/TXm/r4GWHA6uY
1/fACBARwVNhoNeZa8FlD2o6fmQz+cAesP+v5nsvNS23GPZpRb2HtORheMcISp4O0kdXGmgp3J3c
S+QyPAEl954ZqlgWUS63h5eCWPp9lX4lrWaBkAyZSXsxcBVCzsJe7Xkoa8/A8UoGAbhvpM1Q1Mtf
C64gFTXRvhi1EHgeNqO9OVi1Z72YuQ0VibePHvns85uvvnKZGb2Q+vqrr9eWxxWzZxRWkbe31gZN
/dLVS0lkb2//wf1HZ86cSJ18e/vOubOnlxeHddhOSYajwbe37h89dvSl11569Pjh6vKyEQHY2tJ4
sTmDAqeOHwlEIcbvv/2SmF25eIo4rK2MKcQXX3kxBL768gsx0htvXBa/IdlrSvUeSdWyqO82CCEX
UOp3/EfEQLNkI2Bif1RyAej4bSyqGGO0/u5wlWCfraJm2NMoi6DvMMKm1woQkar44ewuZeqThBGM
sHgQelxO+QuDm/YBial0UACmoKBEDAhVWdwBmDL1E70yBCwGjL73mtsybDxqXn3pEiAQEnO5o2ie
oQqF0QWqPmgrKg6HiDqXSZ3BVm4nKvwt9zv2tvVyHcpm2K/PPMa5wMP7xC/oc0qzKXg06H9s0usb
y8O5a49uRjQ0QgVzLzv3EcdzZUmPdkMDELBDGYqBc93mqV6m5oMcdw/qYfSzmSPoEVygK2jc/1cX
HUgfQWZgIIaEgSCLr/VKLC2VE9IiYlYFJHEbC6CLRRXUZTLkqGuPOnP9JyCoRkYEYFUBSAXLhARI
JS9Xjdi7bkaICEQhOQfITAAiOSIHAEgAFS05rwGMELiA79QAYwx+1GMWBDA18RhwRECKiJ2Kb/gL
ZRdLaLj5pfB0bw+NBkQFdzq4oIb9YwMghOAv7sMIcgMAZtZClkLrYW8I6Im+/crQK4ryWvTc4F7g
C4j4bHf2s7/+xR//yVuDYUNI3tn5I4Gmjx89HjTViVPH/eVY1fHc+dPvv//xwXQ6Gg7MYDLL/+Fv
f33q9Nbt209+70dvpXywu/tsc2MVDO/evr84Hi8vLxvQs73JFze+6trZ2dMnYojffv3N6urykaOb
GGh/2mazK6+89PD+s1/+/LdrG6tdzs929k6cOBrrwW9//c5oYQSqGHl5vHD2zOmPPvwIQUajwYsv
vhAooJlmUX+VBiqGDlULsWAPmDlnmat4nP2dzdSsS5LNGDSpMABQ9CbW7xgADBw77QAgxthvcYk5
ONrIAvq/QPD4WnQVLpoyOY2Nui6pFtaDKmYxfzYChuObK5998sX7H90YDepixpWsUFIQZrNk+9Pj
l8/5kMnjaqrAxIzMKimGgIid5EAOSoAebKU97crQgJl7zKYkEU8bF1NV5RB9qxxCANNAFENU4y4l
MOMQSr6QZAPLOasKQTQrZgAuhAhDA80CiAx2fHN17Sdvq+bxaMCIxuHCmSPHj/5pFaM/0jFWpkJE
wUBMzcosM1IwsCxa7lQADowIAWHWZdQwYFccZxMVFBFts9ZirWgwM4QkogDExIHRtGYa1IFsoIBN
FVPOTIGZA4WZZANISG3qArFlMTRCiGgIWbRjjEGUkCwLqoBiFktZmWBvloegKWtkVBU1FRXHNTEh
AQ+bONC6aipjSqpN1ZhNBAg4zEQ1BOkEAVFANDFSBqk4gAmBMGSQllQI0bQLZCopErdtSqazWbsw
GnWzXANLtqS5ZkxqSSSGUCGuNHUg5BgzwnA42DNp6qpmMoXINJ3OMrEgSdKagqTEMUwT1Gpi+v/j
7M+eLbuu815wdHOutffps0MCmUAmEj1AgiABUiLV0ZbVWLZkWbav7ahb5WoiKqKi/oH6T+q1KqJe
KlxR3XWnK8uWZVFiJ7ADAaIHCCQS2TfnnL3XWnOOMephzLVPut5gPjBA8GSec/bea87RfN/vE1Qm
q3VSBfRKdUqmyXyqlSTVqWi1B8fjMNpax+IwDXo06bq6VkW1PgkiCvhukpr5VMLFUrY6h747GnSx
THcdT3csdSFILOzVMPd1tCNDAFlVPZ2X62HKfbo36U5yMK+m6lrr2o2XXBcwCFetsI/9CJbKJFYr
eFLtHazU9TAys5pbxbXpOOJEOlWYpnXXdcM07fW5NiENs2mXc19ku8+ClkUQoQr0i/zAJs6cWUY2
YjIiQ3TuDKg6F4DJuwoKVQhxNCPnWq1qZFGrCFot0iXWKUMayiCSoRqBu2otOpkS8FSqg9TJUXCY
4h62L16YDW5pfXj08Tvv7d6598iFx7rFgrjR9st6uq93iQ4dUYhVNRzRcQlbJJtFSxWXTcgCaTMR
pxa7Z0aMbUjsFn8VIEQeI22agBnyEQS1EOeEZrRonZuxJmp9iPsyJ5pudn04T9Zjl8roFgs9mNtY
sjk13syYw8sDc+3obk7cvCgYARLeAqmj8LKTNa9F3oODzmTdeW/gjdYTKYYzxWzGRc3hLtAox4BI
zXlbzQAs9HqbPwBADrLJEmjg+dhkQjiLaty7iELEiILQ/EvhzAmkUdBw0Tmgxhgps8RIGaC4qzsz
o3sKWzDOiiMPGy9GgRXdu5oZoHokhAIjRDQfIpaqHrB/AJ6TaQywzn0aA6ZmmPNqpohqPgxD/Nob
dTcSGkAxmzVlDabvTR4WjYARInurJJHmwtfaG6fgEu9Q9DKIamYzOaX5lQARkAEnbbYiJ6cWRYcJ
qFijckRvN05jl1PLUoqOhcCh7Y4cvPlmGRuCZXZEW+uTY/MTdRuAabjIgCHKx/AqzewTBICqpg7u
8BCjGG2u3ynadnMCtEZhaUnjiI22qK6AgTmxUCnPviFgpjNn9of1+vXX31zubDna8eHhwc7O5ccv
EkrsybeWy6euXDaAC489Uk0BHgGzLonV8uiZXUNHxEWfCfGxR8+1ERLi6VO7phqpG9zBVicA3i37
kEvsndo3c/N4ClDdUs7oRiIIxinFLCrybyNLL1i1TXMIjozcDJxf0F/qVa0giqQ0DOuialIzC5ih
g2rbbJsaUgMR+QmgCOetDntL1CBw9PB7O0TLahRBL9E5weaYiojoOeLSHFu4SxSc2N7yOE4j4QLn
jqoNtnAzmJuLqHDEETRsL8yJzPNqGdqQiNha2GNo7maZ/vyqzOlZcyazQdgyN6mS8QmPpwG9jVhC
TTF37D7bAjB2nrGYnNF3DSBk8w5zhp3Cho0Hkckad0d0HWabPja6IEDUebiDcaCerGFbDIzNgN3Y
SbaIGDPEsP05Oghi9TnqBBBoDuFEcrAGQGprzyb0ZWiZHq5GCIxQzS2UDe4xMeKmLnF1r7VmdE6p
rYIdqnkFV4DUfs82U4ydogWP0DWa51rrtWs3rEx93507fw7cb9y4fvbsWSRO0FpbdqrqDq4hcQEk
dDJQsGKOLGjOQXqLqFe36iCA4WO3JtNAA9cItmmJJhiBPJOqEAX5NjHVgBgEoS1w33NMlLojYFET
YncnlLFOxKxuCDGJjnEMgTUR+8z8a8qn+fKMswoojm0AMzNTbvzyjb1zjvMNBYQrIE+K/+bf/pcH
Nz/4p//yn+St7dmCEYg7uHf3ziPnDgjQ3ILfQ847O3t37txbLPoYqRDSoltavXnvwdHbb7792OOP
/uhHb+7v7ddS8mJ5NKzf/+Djl7/y0qXLl9/62RsO+P3v/+TFl5784IOPtnb7vf0DB/jk06v969mM
WOiJK5dv3ry9GqZfvP3e8y++sH+w/fSzz7771i9efuVLP/vJWzdv3fr86ufnHzt78/pNf/5Z8chu
R1QzBgICA6wGChDjCJ21RXFqxHAoZYlpoiQmp8wCHKmDBgClVJY0lBBhpmImwutxLGVaLpaqJmhE
ZKBTnRILMZibiJSiINjiX7nZFeasbSRAN03McRx3HT31+LmtXm5eu3V0tIoksySUUgJEFj51avHc
c0/u7e3GiU9EprWUKVPXeBjuiMCATFxNG9Ge2cwiMZ6aJcyQyL0iU0pipgCYJa1L3RgkqmqbTmmt
quZeTWuphNilHNlfIS+BYE/5bJONoTtCIkSAnJmJO1mq6rJfjMNg5lkSiLOI1apm1ayUKsINOBnE
ZgA3ZfAYmE1FSYAa1Z0QGUkM1C1QeM6AgR3quqRel5JXZgAgIsfrNScE5DJWqn48FWASMNXasbgW
VyI3QtJpXAQ4gulwHPqUB3NQXDmyOuWujlOXMhoyERElwkXmBDlnLiVCRGG0Ejy40TRROpxUWY+H
aQGM5tWqIx8Pw74IWhVnK65Wu5SnMqXEVouaAco41Wmy49EKeHX3WvKiq0VVarWaCBKQZE7kCiro
ccwTeJmmgaZ7xysHvr9eCbIK1mHcKro+Pu6HqZaSWZhJp4lBaRi7nMhLHQd1sLGU9XS8GhC5mK6m
Oi66m6sppXJrHCcWQsM6QcdapuUie/E+kxmvinLKW0SpWyhQRVhIvm8DoowKa6MHowPLVKsq4kTH
o6fVOKp27kaewKHaAss2oVHZsrrv/ICmDtcL0h5tZZUQqzpjp5oc+sNCa+PktHLM0h0BLPKyjMOC
c04lp7y96LuU3IoTbG/ltdRFz+uhVuec+EipZ1KmJDKVakilenV+UOpQPVcDwnHSBSpAqqOZwGqY
FgjoE4GgrVPOkV7L6hkLuRImcc0Eozs5rkvpu0U1XDtmJUhLgwTsCCRJzGruMkCRxORsiXLOxzYt
O0FLIkxfPCcGZqrtNA03rl09Orx77pHz+2fOsGREYkGvOpk6gLKAm29grO6qhkAk1Pq3MNyARIa7
CMfo18DV3AzcLGZhAB4HaRxESGHXgXnk2oZiDym+EABKCZMGOiKiE5Grbsp7otaWm51w8Rr4Lvqc
Vh41kFP87jOsqaWwtHzW2Y+0UZr57PGKu0CIceY5hTpqUxTPMmbaDPuZWg7BRtUWCw1JvCngMiIG
mrP94AhA1dSDqwjoTamLDJFosokxxFl7i4hY3TYlMwISWLy4m1at/Y7z14TOZEbtk8cwfh48CLU0
lzbpc6wekWcAzbbqQqgzZ6L5WuPHcyAKjjQ6QYthDEOrBTGKZgsxQOA0HKCB9VuXCOhEVDyyMqM+
af6VCKeZMwYacQTcj49XSYS6Xje+TgRzf//TG1Lr05cvEETz37TiaoqzoI0Qvehk1RwkCRHduH7z
0bNnwgJtZkX15u07Z8+eUQAy+O5f/+Rb3/wKSCrRHgEUUwJMyNi6RzKwSatEFR3TandhjCRDrUrM
2EJi2p5LawjglYiCfhzFn7pPqu0jq3MJB77ZLLVwvYa5alruOhsd1d2R7tw7EqHFznJ+9ineKSJE
NwF48uL5i+dO3zs8NITlpcf63DmiBkip4QPi0VICJ2YERzdug54gY6C1PoNaCGGU+GZhkJvNhGAa
03YIyRkzV9VY7wmTm7YPrIW53c1ohoRhVUVgR2WKlHZV+8L+0qqllMJmtZapFgCsDmRuVdWMWHBO
FITZKx0dDs0TruaObvmiLTgnim9ETCm5OSGqhSTcABpvfN4iOjTAsrdZkxsCqNboa+ZgSYtpz4b3
G5+QTd/ZnoI54XnOsW+TIwdHbGjfWPY6nqx0T1qBBq/bdIZzX9Va7vg5cXPazCv8FgC8iZua83bB
vHlL5kOJDACbksY1iGonjtCTHWmMJvEEaNcGNNiCXtuJF0PPFkwdWx9HBJ9xRBTbdXBQCz8qBZ6I
kLx9TevqA+Uam08z5xY6isF5IQwlCCpAhJNZMyk6ILiGVwUN3JsE2h2BEIKdWxze/vD69Z/98O//
0e9TTgZAgDUysaBFhQvFII+quwMIRJJxWEzpqEyCfdE7AACAAElEQVT/6Qc/+Z1vvMKSrn76+apM
nFOpeu36TRgGJrp0+eKtm7c//vx6kvTMk5fu3b33+efXLj3+2LlzZ2KHrm7CAqFdcgiEm81LcgCU
xrhRJwrdLHmYe6GaOaERKSKYMxK6U/h3kKpqYm5zB9hEoQMR+5xjFfp1AgRyc4v7y6tKklJqG15H
HLGF12R+Y+bJWuuQNyk1zc+JkT/i7pFwww1jZ4RgWj98751pGtNim5FrfJ239ZuphUInLl1GJAJi
j4ktM051GktxoPv3Dm/eurnc7hDskfPnrn32+fVrN/onL7q7mn744QdXnn5isVwcHR/evn1rb287
51jX+cWLF7722isffvR5GVfHR+Nbb7578YlHP796jRCWi67LwoJdYkHcWi7OnD518eJjcQtKzBoS
yzQTjdVMECNnjJgFsdbKTKHIVTURrqXWap00g4DVEu8tI02uptp1WRCF2FTNNBGDSIzNgNCbT4KE
BRGtWk5ci4owgJlVZg5VdcjKVeMkQSYGxygrzJTdnzh35tIjZ6dSAphUa1ksetUgOXOtNbzCkkRV
u65bdl2b+7fEs7biwBAe96nWKhwr/ZNPR60FEB1xmKZwnkylOMBUKxFvQtCC2yQIkfPOIhTbYREk
IqZSizNqMZznHLEPydzkB7XWrsOqqrWOUyntsddaa0oSUbxMpICJpagCUkCyVFU4saR21gQAG1yE
I86IwuyxcRSYT1rUtIKvx5p4Wo+jA3TgZuZFCQG0asFEjESubtUsWVGHapM5mHFOdaoRVAcItZRx
mjoWncZlXg5HKwJUHWuJ0RIdT2PXldurBzuL5VoL1QfdotNhki65qhCqCOmERbI51urupk0Jvq52
d1KFSkTDWLZTGkr7WAK5o6WEgDWLbWVYTSqJqxYhNFVAGktNub+/Xm0RH07TUsRUmZDQlZwE+k6y
4P5Wl4lRcCRfLLsFAkoqSd09d1lJYNkjJyNaSF4zyXIre93ZXhrUvUU2U+tpu++2fHt/uyfv97tu
pUMiqSxGZa3k1N8aiki6P04rrzJNi2GwcZIsE0yJgK3uE+2Cg+CSfNlRrdRloEXX5U4cmIWEj1bD
BImQAHOXsuqksljjuMMLyZUk7ZBMZdrqBAtuZRDznHAP8jiWzDzVqSfWWsldEGoto9Z7w7Q0AjAt
uraxDnp3WAFA1bpc0tE4dstFLTUR9kDk3pNX121xqSqCKfHa6zLr6CW2l8QsqV9PVbFHoXV1FEay
inlCYsReMplTyiRMTNvLDtxTAi+4zH48TZ0k0FieMYJNpVS1UZWAdJwWxsOgLDYMmrKEf/4L/YcR
0Q1nv/q4Wt27dfPUwSmR0GnFghOYJLImaqk4J/UxMyEQUAN7xmEVFLdYCcUtCMDRa5G0hItN+IEj
hCC2uafcXRH5hEM55yXUqsdHq1g4huZNmCnAFczg9SEhLVJAc+agapiBGa0KIyJvS8WNZXdj34oS
JwCDM95pbqJg0x5RQzQhboboPrMcNhrUk0oLgAioSeKa7WrmdDQtGba/cw67I0+RcobYAtmjkA19
Xfh0NgsEjIgBE8TI0ohu2Z3mrNf4vqFcRXJQb21EvBRR7UUlyDMJ1Nya68cBTlTWzTm1iQRiIjNX
B6KN5tjngS+pNdiEmRMBIQg10+WcQ9N+8Vb1umujP3h7u7AJAud6GRnB3A/Xw1tvfvCNV1/6znde
v3j+YP+Rc+/84hfPfPnFgBEScrzdk6qCX3twvI9g5pNOTIRMWjWGc+aI5iLJ3b/7vb+drEDfrdf6
W9/4ys7OtpqVdUkpDVOpCMvtLQUYh3Fcj0erdVFbj6vVOGztbAHheHTMgPs7uxxqRSQDIFOONr4N
YmCu2xAaH6lZr7Al5lHgLpvpOlrM5lkldRMiobaZD1owM23cdDRv660t9hvrKuR877xz9ed/+8M/
+V/9g62tHYo2aBYFmCkDMFFadKlLc5heNFRewd08lESxlWYKJg/FUroJEANKjBQrfyGKOVBLe/Ig
KsVkyB2wqkUKi5kDaCkFEQVxLAXAVKtpk7u6e1V1BPeQOxq4gyuagpuWAl98YWpqBF6niYhQlZjF
USIfq20RqVnAiE8or4FT2WDJZqfl3CGiOcZjt0nujWGCELU6O8YuBsgUU5fY/0XTa3PCYdO4zuOn
Js13e9gFgA89GiEkmWOiGuoZEOdcYdyM+R5mRDU4EHF8Fh42Ncwb040gZRMkvGlcN9PDNhecP6wN
i9pyp72dqLhJOYqxk7Xx2nzLtFHgZig55y3bPP1rxWqsrxsuPJ4BR4otujrFgtQMMdCvUdi3JWrT
V4A38xs2sHLLQEEiwICIMnNQxM2NMQaFBIAartf2MjsTKwCCq/sEkB/y67spICHhvWr/5//L/52t
/PY//iNnAGRGKhou++ZkFyJzAyRDUHUKgythcVCDVSl37t4Dlh/+9Q9+749+529/+otXdrf/7Lt/
+/u/8srHH19DxLfffvulb3ztf/rT7+St7XfeePebX3/xB9/729/9vW9TkMzcJ9PsiBrtJnDcIeGj
cQd3QaoExSLUtUUutx4h+L1gCEBuRCTIARlCQjMNCTERxVZW3YJ0G5nDSdjM3E3VOFy1HKWHUcso
w6qWiKjBn0KFpDFrjwVvu8VicBmK8SZ9h5mJ2JarapaZXnj2yX/xL769vXcq4lxwVni7+8HBqc8/
v3769Dlqq1crpd67c+PSxefRwdGI7Mypg+eeebpPy2uf33z0/KNb/WK57K2UYRiOD48EMQnfuXn3
6kdXbRovX37iyy+/cPjgzmLZ97kn90WW8+fOMdDB3nIcaWvZnT9/9ujw+Pnnn97ZWuSLjy07eebK
pSz89DNP7OxuP/elZ+/fu3v+kXPEIAa+HgezCIuPYUFjDoFhcExVNaVUixYrYSpgZhZyV2YpxYiF
UxrHMVavKKLuSOzggbM7Xq84pWpOEvdLnERAjftXay3EaKrEDAjmGieamsbHwqwSsbtX84C2ReGX
coI5ayGStdxAOGmtwuzzPnos4wb3FxSHoJkjBDwwuSpjw0ZNpTBz8LiRKXTwbWdLFDaVlKSVYsJW
SrjhzQyIalGz+PDZVLVpEuLmUytTwfDBIpVJHb26D8M6pcRE7qZVZwZ0O9NVDQBLqbXoNJUu99NU
ihoQTWViZnJXVVM1rXFDjFOZxqmartajA5Zau64by5RECKlW7XKK6qnv+sEHU03EpVYwcMfqXtSK
uTqMpSRgdhQCA1VQdjWtmYRqjZgmRaxF1UGRRsDCcuQqi86GsuizMAOBkEih7eVWv8DdxdZQigAb
YemqZypjdfJF6o7Wq35rR/0ImYkRakXxRYKt5HnJTICECUQIVIiZOsyraXQgAx4VBiA2rMSmjkkE
VDpxqoDcJSbollv9FuOi72vVYppTN9bSdd1aqxKPpqpATMWZgUb1PgMzaK0JpUJdmI9q4K4+oiqZ
U2QaKK4nX1dFhyOfjqpiKUUjlTf8YLjouM9o6AmxZ8pb3WrCnSS5zwYwuoFkhXHEdK9qNjxuxTyN
pVjm21M505mBQ52QpKd6SvJqKKII7qJVaslWRavVamMZVWs1ZH0waVnrMClOU87d8VgTq05lgSjE
BabJbfC6477oeCeRIRhR38voZbnoq9aqlHOSRbedOk1TTn1VM4ICUqlbaaqEq0mXnNaWvFIwMhCh
aDVTRs1YzaZMoQZSce9ACcCK1Wk9INWqU7FpKkQyVlhXgBEmJRqtKhBiqcYUfaBmAWbyxEkcnPqO
CLP7f4e9NPInHWkDJHBG0jqF4oiF1RQda506yAQAaqZOwozNYbihEljzNTYvk2qEKxggIJNpRJ4Q
zbJSDKqHGjbjXAjATqCzG9cJM+/v722UEeGTjO1iG1TPdeSJdne2rdJMy4hA4HnWthF8xR8k82as
atUboQDFALCVpA3wE6sJnbtYmN2iSC1vbSbzNPdXW4OYB/mjyTtnQ2ogJZquj1rgJTbIbjh/omme
+fXYUkyMiEJ9Fb8JzeErQXR0opb/6S6tKW0Z7vN6BSwMn+7Nvjajp0KZbPMGz3yOHgFoEXbQ3qPW
Yrm13aOHuq+Z7CL4cQ7qDl+l01wj28lU3FvoHLKDV3AEUHCJ6sQbQ4uQmwYZANwZMaV07fa92/ce
fH7rbt9TlYxIv/z01u724uNPbkz37znjl557+vN79z+/cevj63dfefGpv/3xL8bD+6D45S8//e6H
n3a7W5989Olzz13hqs8+83QUPy+/8Ozi9Kn/9N033vrws3t3D1998cpPfvrOr/3qV773gx9ffubK
W+9++KVXXvze37x+cLD30afXHxyuf/DjN/fPnz48/ODc5cd//Jd//du//vX97Z3g5ZhrQnSSptcl
36hNsZGiYhxATFTMcN7qVzciUldpjzRWVQxoRmN1tsVWZJg7ekBE8ST2hxwhYmNiDxYP3bqUP/+P
f7Z9Cv/wH/9JllmOBXB0dBTVAENMGVwb3dTAwzrUHJVgkcTYGMyMWEqNYjGmCtQkoejuWmuovtbT
NAxTrXb/7mGZJiI/OLWHhNeu3ShFozImpHEYmBmZxmmqGvtSE2R3qxEpb2bqMR0DsKoljIKmqq5/
/M/+2RebygnV6oQgRIm5Vi3jVLGo1blx1SjRq1n4bEJRMT+StDEgIGBYEwEgBAih3WAMWtJGcOgz
EccBwDQ0JuEplRaHhLFZbQvVkz1k7GaJIiFi3kk2R3sMIABjT+XzyrEp4Zs9wd1DOblZvWJLZD06
PloulhLb+zlkpY0bAAGoFDs+Por/b3tnl8Js7Y3RHfn1ONv/cIafzQvh9j/aJxebKpB4FtMGzHW2
xvtDPbmpiRA+lOw622UhblM4cV+3BjMa+xOA9iZCZNOIE6oZIwa7Y779YnwZG2YAouom88vu87eO
W1bdBeY4H9zkMoetIARERm1BDMUdEcdxvHfvEAyQ8WSs4sZOErSGGFZgHHcxBw69cagX+eD0waR+
6fIT58+ezfIuuu/t7509d/re4XDnzr2+y2f2d8+cOTga17cfPLh6/fr5ixcAMEpxRKqmBJSQEFyI
aqw3I/UqjPQW5y1VswrAJODW+NTh1wlRYZBmW/iUqUfrHhO05qtgIp2H3YgezWVyKjaLT4OZZ9BQ
iNRGINbmDu0ea+LKmXTFswmivSPN0tKel5lnj+a+6Pxf/e/+eP9gH4EoxtkxvjAl9FMHezev33r/
/Q8vPv5YTmk9jO+++8GZ0wddziEoyEyvfvXFnPDKlUcuXjggllpK7jIRHxxsE4EwH3z1BUR8/MJv
mzsSPHLuwPQCExOhVt3bXuw895S7nT7YRdx1h6986ZkmWHKD7R4BujNnHfz0qX0gPH16/8zp/Xgc
xBFFRETMC7WgGSciISICZkIQZg4xR06ZCEspRCTE4BAbbQAotTqgWqhJ3CW5GYsgohAHxD0jZaLR
NfQ2tJHfEBG3yHhCEEYkdrAQiYvQONUY7iNgEoldaMzZtVZEKmVijp+TajVmVzMyA4BpmubzgFS9
AYvdtdb5AHJEjZWs+SwOiTW3qqlr1XAUaQ0CMsYWbz1OSMhcpmFMIsRkWss0MVLVCvF0iQzTWKbC
wmy6HtawWLi5aeAN47wyic0qtFTZ6qZVC9YNoGKshRMBIzszATPmnGLynHJigKkUFjElEhGinGuX
8ziNxMzMZppSmqYS+o1alITAcShTdU+pc2ZwY+IsTGbMZIxCREypy4mJkEpxYSERlszEAEgp2Tgi
kTD2DBH2tb1Y9EwdsQMUsURcBSZTBCgOq6kMFcpqrG5YprTIUAsBdkiqmlgXoKyTYE3CRac59JxH
BaRubdpLWtm0K8m4JGFy6Cht9WLVD3b6B8e6zFwMzcAItXpY9EetLLSqCtUO1+tt4lAu7SCYF7PJ
6iBC5FMCBgdi1FIYsRQV5vU0SMJBkRwnIAXviEGEmIkpJ9nOqUuy1Ukdx92d5SFoysy1Y8Q+5Wks
BlJd3akaHWtdJLgzDKpawXcmgWmqaJkMfSBNHZfk45KddKxA5Kal9JTGapOhVlukNJQyFFAXUFhI
PjYVSSvHEUmJnWWR0zSWvk86pd2tPIkBYMoiKls5r1UlSXNqITjx4D44JPXi5sUKVjI5GlSB7q5W
u1s0DFPuhuoFJu2yjMOawViH5Cjoo4/JYbKRHQ2KOxFW4Ujo4Vp5BBElTAxehTKyOppwSqaLvjOb
+kxZRM36ThLh1pJXQF3GsZCZAUstFYGBU3VT5WE1LhbdejAkK1MFoP+eCD8AQl8kLmaOliQFid60
WnUzDtmFqrOZELsaRk4Gc8QexLesZm0TFEdEs146hALq4WVClE+RPAYh7AI34xZYEqPbdhOZbbJh
mhkdZnvhw9KvpgedVW1B44jiIMo2nxVFm/yT4Ay1wMiZo7DR11kLrYQwNkX8oLfLr+2ZNypU2qAz
YM6HmKEMG/mc+6ZfhZOuD1wtaJMxwm/teOsVNjGtjWXkHK/5vEALhgoChZDsobd/Fipv8lnaKsNP
1L8tYQfMTRpVFGhDOJ0LAiRyV4pZsysjqM/us/a7oEMrWGzOAIhWCAJWGZOJmacyBwiE0xgMNxlu
sBFXB6K54TSotdY2v3bgRoRVLSXePXv6jXc+fvzSY2MtH/3y6rNPXfjw9lHKPBR7+ulLmPIvP/7l
tXuHf+/vfTO/8eE4jdev3fnj3//Wj370i/Xx8Woqd6/fnIh+8f4vv/mVl0I3SxRSUkgpr8ZpNdXc
d12f3//gl+iwtb1Vqt25/2Bre/u1l188vHb/1p17Vz/9XBbd8fGh1XL5yqUnLl5wd6YTv/SJHRDI
WoMBZq6zUBXcsW0UfRafE7hxM/05gjNFjoJ3LPHn0eO1mePsGz+ZNuZqVZ/j3B24jRgyw7kz+88/
/3yWsAoBAKWUSpkkZ2ZJEdTpISRuVbfBrJNs38ttTjiImNxQ5LrbxhkJDqo+TROhmEPF4wfHw1T9
w19+vlod5UwvbS+J+erVG8dHKzUDILXm0BbhqUwAzoxEJJFEHGM5wPg8mSkSmlVTbcks8IVPv+PV
yiMYHioBsUipJeesZtUcoVG+Zqlq84HTSR9i6BStZLVISaC5qDvB+fi8vYypVVTeTKS1EjVFMAJZ
mOdaTjMiNnwGnkwPwM20CYDBDKapHB4eA/je7k7OuTW+au3rHdelPLh//9yZUwH+OTmH4WQh6U1K
SkioZqrtO9ZSo3VEEnd4//PrP/vh6199+YWt5SLlfrVaTVPZ2VrePzzMOZ8+c/rz67fu3bt/sL9/
9pGzhw+OPvzwo/29vYMzp95/7/3treXly0+kJMQMM3DYMcil2MxiAOpOCPTQhHGTDebwME3KNwPH
8JlruKRnQLC1hsc32N45gAzaCjfcKxBPis/nn4d+IMTYao4U/725GCIQhczBAGqIS0MUPTdIPo+W
GhW84dmwT/T7/+D3/+hf/nNJqVkzYjg1I6pAQ8/i4NYmejRfBwCJcH9v5+DUwWoYF312s2WfE+Hu
Ijug5JTTzmj0X//qR9c++exrrzz3wgtPrtbjqZ2dJDlwiNauP9QWs9y8pi300UAQEYnR57U2Tmrs
TeRirhyii8BCAMZwEIDCRG8YLUsztZSA5bpxS5UzQqxmsdN0wGrKyNHZblDnbVBOyITqEYEeIdDB
3G2o3pBbNlYwzpNoaJFXMapIKZ0+c3rj5KGNvBwBEXJHz7945eOPr77xxlvBML9w4dFHHjmDbS+L
IrC9tUQETtKJqDl2XcjEhMjdQgiCgMQ8aW04Q2jgiFm50OKsrBHmMcy3UVNJ8L3cidnnXAGtioBi
jBrbNnchKqUwEXqIBEC1qlYRE5GoKhph16ypyxrR2IQZAJIIIk2lqDuJAEB4RVJKCFC0hHrHHARh
Hr85EZk2HXzUbrWWRd+bumnNXSYAABvGWs0eHB8nJFVl4alMA45dyvFTxSBNUqo1IpUw8ESxsJp0
WvSLqjonCwcVM2Z75LNYJD54Guk8s6gMAYnYCZgZHc05STJ3Zk4pdcxdHOWq0WNzKbnrplojbI1F
CDClJMxJBAxUa0qJCIopEsXVkoQjKy+zUCYScYdaa+66JJRTNjONX1DVEZgZsBISEiZAInJEb6G3
DT4B5tXqME1SLWRvXd+5mxUTEQFcprwqlQFy7qdSiBKQO5KCGxkRqTbEuRGycGdpq0tpAgZ08MqR
b4dFjdnXUwUYq1mxklKqYK6TmdVaUofiukwy6bTXdetpSl0mpokNhdHQEUHyOAwC6MwW6ZDmKTFU
TNQg45l8L6UOUIEwAsABHgzlcDI9GrR6tWkCw2qehU1dITmIG2pZEOwIU84LEUVaISbJQnkCHliy
pCSipYZnNyU2LSjGCFsLXHTg6h0rkDphBlvXSa0OqkdjuTuMu0oTKhY9stUwTkuUda1b7pgwU0Wf
AC2DKWgvtJVRFmkYYCvlnrN2PJSCablaT5m7FfVHIIdedkGqUCl1OyebJk7cAzjjdsc8wVZHo0ZQ
ExhCckhCYG7mU7WpWB3qkQ1l9Af31ky0HsfFFh2thi2Wsh6XYBnRbILKPdQtVAHoOQir2HdSqVQ3
QTq1yMuu92kkysimQMdKK60Ai8q8AgHwtZfM2Wgy7kgREDrJpdZlIqqU2E5JrlqJvLolMmQrWt1J
tU61TKo+TNXNzSez46My+TSuS18dAVWrJLM6ZelrnZChS2TJElfvKEnwxylJ+qKVWfPwgBMhIzOT
g47TiOhIVMaJidwcicxRjac6gTu3cgrN3a1hSHCDKETXFr0RvDQDIHX1wNbE92ryKwckM9daKSdt
kPnAzGqsNAnI0cwtKgZ4iPjfFjjtn+c+FDZLqZlvGaueKBhaTYkUMP7o3WheGM9AgQ1UKWRFLYC8
FYzUeonmc9nUUXFTtnUIRnLabE0l9IAPx2FLxBvEiFpIImFWbnr406JoQ2R358albM6OcLYQ0SyF
bQd1GyQ3FgmZWVtrzxkTs2Vn45vdrIiNkQg2iZtRC4YBKVCHNjfkreEO3yZvhH6GQZOKypub58x4
jplrIA9vUco+70fEHXmmn7QJuCNCUHxm9hO5e/W5c250UDh9/vS/+9f/9n/xT37v8+v33n/rzV95
7cVf3js2VyPgPhMnAN/quzs37967eeuxR04x+vXPbx09ONy5chH81nD//rknL//kBz/+3V9/LXAm
Q9Fbdx7cXU+3r1/7tW+9ev/+u4p+/sIj/+H/8+d/8Ae/QQDCtL1cHB8evffuB7du3/rG11+6fOnR
x86fQTqFKU1Ru5ysX8jBY3zQdJhIVuPCDTtOY4e0lBHc6LqbbTkslTjDj0680zOqKXSAtaq6Bjsa
Zmrx7FdFigW3AxPu7i3+1//H/+3zLz4/s2OwmhEzm/R9D26M6OYERCSulYKYzezgU2hlsQ1QiEkI
KfKAhEpVJpwL9VZwI5ITxdTemg65yX5ZyAG0Grirqnqt2j4iVRXRzSogaoVBnQBZJLZ5pqY6M7DB
3LTW6mDIX1gusloPLATgkyoiiCUzI4VSSvigETd6Wt/wjmCTsuxu5BEQaY2y65s04Dn3F5DAwNyB
G+YteiplbsixWmvoC0LMpaZEqG6bcjzK0Y3pPRaAq3F6/Yc/2dnd7fsOAFNKO1tbVW0aR0C6ffvW
7t7+rfXqe9/54Tdf/dLZc+c+/eQqMT/++GM37z24+fmt4ra1WIxlPNjevvTEo+9/8Munnnzig4+v
3r55pyN6+sXn33nr7dyl/d2dZ557GpBG837RH+ztEvM7t++8+f2fPPniU2/+5Q+++Y2X3377w29/
45XF3o4neeOtd7/UyV/+8Ge/+erzKXe/vHFzVf3CwX5DNoWrk1sqb5NXxAvqOHPlZkVhw7lS/PrN
B9fCUcINCx5KXZjNC9hSIIlbnk90vPDQPHIDKmsaQw8DStAB0E7uF3cgp5bJFLW6ICrEWIjUo2Ce
D3xAcNQwomA4q4GQ0JSJrjx28NT/5l/krS1A3BhHY+ZUzUK7juCCBO51phMLhawSt3P63V97FRNv
peVXX/0KAvzqq19Rgt/8xssppaeeukgOZx8cDWOp4/r0ztb5V15AwI5YiABaEIsGHqpRVxorCxAr
OIITMM0Iq5ZSNr8sCCCI2nzC3pbM8bLGerO9LCG5ahvsjWC7gevDb6+bAQTanIgWozei4FG1GRC3
6YCFwgYAtWqwIea0L2jshsDgz+t4m9EPJ2xssCYHmzNmVFWYnnzyiSeeeCyIyS2ACtibe6Vp6Wd7
BM7swpajrvPhABC3eaTmiTXqFW6kU0QEqu1XUAuch82jvfgu4XwNqrMhylRqKRUByQHMhTk2ivEQ
qVYRYWYiRlQAIqZ480QSYCC80YEAGcFL1RBZxUVczYXFyqTzsdIcQQBmXkrp+x4BrZoTIkLVStqo
DFWtquaU5ygpTElYdW93d5Fzv+iFORxWXdeN4wgAOedhHImIhbVqTqJqUCDnRExVqwiBMzNvVCWq
KiklkfgECEuYgXPOEbsqKZVSIou1UGUWcFA1Zs6Yw/vo4KUWZg4LE7oLMVTl+aOJTbKioU/A+aUA
hyyJhRmAokvnFgCIBjMiguMrEUBrZYqAEhIkNIuEAFMfpyl3qdSCROqK5kmYEdS06zohZJFqio5h
LkJmd3SkSVUBwkLgYGoRDYVomkPgYgrVHGmqFagcjmWoLkxWSspSamERJrbqibhH3F304zQgEAuX
YpLSNJWcO2KR3E/qargqtbi71SxCBFqnjthqQSHxylZrmTrmVRkz5tVYvEJxU7O1TtskQxl3U57c
MrgwQvWdLFDk9HZeHUNK2QAKVVn0ax8mAgCaFCT1x8OY1FdqGDFQ5oIAWhfoB0QLNzUrtXaSJp3Q
mJCO1+P2YuvuqniCB0Ndshb1yepOprXrASMxCvl2J73QgtkI82KxcqeUhmEajsrOmb1pIqJuhPHY
oO8Wd1aH0Mn94g6IderQCKZl0gTrJY1LHAaYdrAgqmjLx9YyTbWMx0acjlerA07H63KUdRymynVX
+nulgvn9Mu25VVQh6CRV926ZJ7TUJdCiwl1PW7Vb9t2qWp9z1HlJlihWXFTgQTHq8zToWBFVEKFj
ATcNbZsW8BJo+IVU9pVDFUtChF47r5OXBHY0jSJdQR8nPxY7Gm2hJkRl0tTzNPloE4bvBCnywZmp
76RUJfd+gQlEBDJ1hEgk04i5S1UNSEBgAgOQgomcFXisAUfRmIV9wWUpSsjDmQBBmIXJXQWxmhKg
ljqjBcwdXY2xSVrNm5jWqgapcp64AjMFH2LDg42B17w4RAXgGL2CMyHntJmEN2Q/UaBQZi4raEht
MeBz1syRgB5p4y3qzQlP9IczNC6ASK3bIopyv9FPW/wAtin+vFNsP9vcFyE8THrEuXVwRzT0INF4
dAAELbdgXh62+8laas48XG/7YwAKvHAD8Yd9N5LfDNxMozXF+XVoZS/OG9tZ8DZnk0Yo3Lx83aBQ
AGNLCSG5802WQ1tWzCLijXUNHbG6M7aIkTYFOAGTmJ+QNgEJWxgLUPsx0JlImw/FPLymrYgEB1Ro
cEU3p7aIU4L4U8bN9dqQP6H1DDZGcKrQ/ckze7/5ra+ePnPQ567nLy8X/ROPnEo59V2/vb0Qkvzk
pa2t7V988PGTTzx6/vyZy5cvXv/02jMvPLV9av/Fl54ayoWtvd1HT+9izkYI7s+/+PT127fB/Hd+
6+uL5eIbrzzdCT927tQ/+kd/9/z500b49a88t9ha/savfKUM4x//0d89tb+38yuvPDheLXe3nODC
wS4gB+Q0OIh1lkfr7Dhs8JV5u88Np+ktHQPBAeoMpjmh0OC8Wgl1HwABacjCzWaBwAzrCtkthE7S
50R4dIdnn3kSCZkjJr41urXUh9rXgMR6rZVxzmBUa/n18/PRsk9m3TgCJsZNSkPRcIWCgoPW2QXk
plrVgCjMrkikauE10lKrG5olSaHyDPRRVXOnaiYAqhYK3qoawi4GJwBVdfRapi/MPSolDAFVK4ao
ktm0aq3QBihhQrJZF3oivpjxRe2tDDlbPOYEjZLt5u3sPPFhRtBRCPKRkWo1iMHM3O0T0QxiDiEx
z2vDTSaNI+Knn99ApK+89GxkG//w9Z9/6Zknbwzjg89u3B9Xj507s55GyWn3YP/0udM/eeeDC6f2
D6v+9K13sFsI2u6Zg4/eev+bv/baj3/81plHTt+49+BZ5suXn1gfr59+6vLbH3567/7RuXOnPv7g
k0tXLlNKFf3w6OjW3bs7O9vg9vgTj126dPHqJ9cvPPHoB9dvHQ/DOx9/Vmv58NMbj198pGjd3dkh
kscfzZ3Q+7/85MlHH330wvlQOJtqfFCbJrO1n6ht/wktpjqeJX8YfYwwC3NmTQg6GAMZgqm3rSU1
27+aM+AM42lgJ5357fHh5ybTa4AxaGE8m/kPaAxrABBBYlTUbos2swi3BRCYWiBUKyKBC0FUsBVg
e7mIaUo4VYgpI3JAhglt836jg1uAvACRgdGcAAVx2Xeh4ZEuEToxofsidwYg8ewL37h249VXX95e
LOaRBlVVJkxE0fM81BDChl/j3rwDGRnRydHBAKlWhQCjQnTOVKwCUNhrBWaRjRlSU9vWSIgMgq6H
ggDdDInBPKhtkV5kHlaD5u+NXyc+DD6LSph5w9CqWhvWYdZmN7CCg5pCE5y3O5g2mAaEmLXNbpHW
DUL7mBmzzPneTkAzlj/ieB7S0ocuaY4Ra9ntBC3j19spH/+t8Q6qNmB8VQCIg84sTHCuqgglQuCJ
oNTq7mphSHSRlCCaoog/Io6dLyLVUlNK4zQikFpVs5jZTrUqkBCVWjvIQLQex77rSq05ZwRgJEEa
rRq4gralaPPnOBLWWpEZEU0hJ0GssY8lUwrSo8WpJ2o2laKmBBIP0lSrd10tBWfUUCklPtKq2ias
IMXif6Ewh2qXmJAomtKofUiImLXWmYMYwDdEIrcwuJLW6mYOVL1aNP2OrgbEqB6g/43VahM2pW7E
4ptUK8QAP2bJodqt8QsCFK3EpKoRTlC0OjDF+6e1kYel00nBNNKNNfLuTFkkfAIUTTsRsLBwFjle
reOTG6yAMozmqOZuVZKUqjHmZ3DTSuDo1iBqSGMtpUHDte96NDc3ZCaWRc5u2kXHS9x1eQ1gzOAg
kuOCXYUzxpRNSplyaLbMFizrYb3Y2l6Cs6sQmlYCqWooXIFW7gRYiEYAFRkdOHfkhERO1vcZ3bc1
9V1/WOpCEiRNkgLaeVxsXezeSkuxZMUQtJREgFZ7RAYj117rLtESSYl6kvU0IVCpDiCr4iPKNKlk
GW3MhMhs6InxYLlY5ETa7y5yrnm56FYARomIM4tWMODR8L76WKfKyFMlommceuG3Pv7s4//8V//4
n/8DWvRZBdxIIRmcIVkCHKPX8Bs6HSqg80hyz0Q83QPqDI8QtxyMiZhdcLdLVSgzL4FP93hUcdl5
9eRIQtibLAnOdAsBQpLRXFVLVZoKO+pUM8r1w8PztLg/DNblahWKJ6ZxXPVCndUE1WsRgKycmQS9
WAUK6Xs106I2VV8rECIbq+ViiSndr7XPUpyVuwHXGbnvFgaw1SeosuygQxI2YSoJKSGad30utZH9
icSdpgo4OlByNR1wGDFZaHucWYsWmAxBtY5kmhw6qWoFjQgN0UKeNE7li1Zmc4AhUMz44nAAswBv
IjJL3NDTVMhrKdNGdDknvISxBKpWRAxxjpnGORuBFrELYmGYqUctGHLTGc4oXgsVLiIChAglbCSp
XQ9mDjGPMzNpeJXN+QNEyK3d8ll523apka+wwZC428PpeSHfVXVEQPP41mYe0/oASm1KGWrUmU10
K7b57mzg5AiHAWoYJSQNMv+8ioyIuZZivukt57Jqhgw39R88NLcOXWDkYDVrGoGfeAtbh81IGrK0
QHk4KBjMvNB5wWpI7Lb51UBin+nRGNMspqVmEoZNjIEHv12ayadVcNFxxhJViDZhOjH/sFZFtM7K
QSl4K0RuGn87R5L4TBU2j4Rb14bapDq/RIE/WSR59WsvCfH22fzYuT0kuHjmVAXf28GIf9hfLgD8
q196pgA4gQLsPv+0ECLiudP7k6miLx49F9F25H7h7KkL505FUoK6dbu7jCiMj184F3E1B3s7ar6/
u0M7OwxIRHs721tby7XVWApowJraIAdC4UZILRK2GWeakpJbA+NB5QqjVJOzzgWZNrIohNQAEQI2
Ednpm5ifYGK1VSYaE7qCqQZmeWPMJuaY5EbMKQEhQJZIRmnwr9BEAmE1I2CHAPk0zG+Y0MgBwQiA
kWIvGJ/AKWLuWeINpNooPcHEJ1BTD5JfNSNkb6G4IIxErNpKPCZm8lIqIQGxWXUP3WZ7iomZwNCA
EJ1IsYlsv9B/htXKzDhI5gQ+Obj1XSYzAE8sYRgIWwHiCc4nWsRmEmBqlfYM8bI5tBMQqioTY3Mi
zq5+g8ZUO5EeN8miz9bTh30K7qYKRBzr03Zow4l1wt1HtVp11OKml5+6dPvm7eP1cPqxR3aWi5Tz
aj1tb2+B2+0bn+8st87s7aft7QcHe8tFz0JgwIi11Dffeu/Co2f3dpb9YrF3au/ypQv1wrkk4gCZ
aGd7Z39vDxHFa04iQMuuE+ZF1yHher3eWfRbXbdYLF58+skf/PCN06f2zz1y7v7d+2Uqi60F+Int
swkSHQBRWlAqPLTXxE1a6cNI9iaHi9SrxryZQThukbeyITPFV+osw8bNv3Zn4raYiQ4qbhxEMAuV
9sZFr+7xTWfwHTRPwUNXT4hWwuGipkLJPC4+bxmk7jR3OOF1QAuBEhCBYXwXSByZOlBbyg6aOxoQ
AgMETzsGu/H3p1jEtSUe7O1sv/qlZ81M3YiogjchrgMhBn8o4kYxHkZkVaM2WCVrtjpA8ERcTMM7
YOASrzYaAim4zkysID+FdiryLZFb8soGMqTgjKjm6Nhw+qYwz8BaODXO6ZzWhqpNu95e8qgOjBDN
gIiqNrMhNHR8A73PSXUeGoMmkG5vsZMTIo3DGDh9j5DGtub1Nkx1U7dYTfk8pwjdRPx8QCcDfdPK
iI5Yq1WtROiOVW09TFOp9x48OD4+dtWzpw9yynduP7hz5x4AGqiFtEvjR4AI0XS16LC0qoBDKdVM
qytWm8sRJW7hIyEjzilbdXcgZnGZVVfx2liXUhKZxnHjjd48ZpJSgAeZ2VSJGNwVKkIMA0wtInNb
TK271TZLs1LVzaijpgdmcQg4MIdq2edWPiT1majWmlNuM+248t3bpeUt5WeuxkyrSRJzA0dz1FqS
JDNQt5RStcrU9GOhnuDGTcSWxRs3zzxAxRm8J8JQPdTn7RBpgYRYarGGcfSi2moxcyYiYgNwoNt3
D5dCy+WSiQlAY81BZNUSc9zEjoaEhA4Wv0KbK5tZHVWLrlZrz0kSk7lXjbRxACNOgBD6GURWr5Kk
aDVEJiQiQt/qO2gvFUkgN1twsZuFkFuJsNZpRBzqBIo9p2Esul6jTYu8zYJVkYXYJUlSdUWtyJg6
JQZJRqjgxGRkJMAJEyC4LJgq8HbutBQBRNiEEePxekjIwzjuAh2OE6eiVn1SEUYtiywguJVpAnLV
lLpV1UxSCKs7cyrgBXhw7AwM2Rz6Po3D0CWsAju9rFaFRRgwSxKnQd2qg9O6FoN083iyrDePxl1K
Wqu5LnMmd0QVqAtUJesIjR3RLHnqmJhGkH/zZ/+pTqvf/md/vLu1O3gh5G3Ja62ZuBAZQyfEbqf7
DrQuFnlR8jZjltwjZE6RxVW8okExXE2qwkdr7Rf04f3hrCyPV1MW2SJcjYWyFi1m4w5Dh+aEljyk
AIQojIutfrsT6fNuyqM5IqEkEWVZKsOqkkmutTrx6HWBXNgnnXaSgNYk2CVcJuhE0KswFXdiM/Qt
ICZYCbBbT+RFzWA9TExpNZmhlQLFSpfpwfFquYNTqQlAHNE9A5pVdO0QejYHQ0EkQ6GUuUzVwURS
KUip92rIOe6FauyUJS/X6yNGZiFQ7bsvvC91MAVydCBSc3VywFp0qke5WxQtMBuc3CBJHofJ2lpy
JveEfcWMkSOBfbMMaqbxhsIGrQqAzNQkqzZ3eniSOQnhicCQOSFiG2Fu7iqflxSIGAGDc6nXFi/+
UFzERuCKobRxCyGGtS5oTnNp+e8eK+yQe7UV6rx09Rn/s2lEm06P8WR8u3lR59XXvIIybHZNnM/m
pg5TfQihNBco0QTaHKLn8yvqZtBai5NGNYClLewvbJ0hoNKGfw00KwZtF1ufHwKoqrW5XgAjRLSB
owC1WWUdZm7KxggUXSIgVQeZfw6cdw7xtRpWw9lza2HlaqGaQAACWKOcq0UiitXbOrGqWoQEtrcP
Wmi2VQ/kFjgSYFQnsw42flVCdG3vVKig0JGI22s3GwVbNAKSmwKRAKEDR/5Qu7/nwth8gxkyc8WW
DdFE7Ko2W4miHGjgymbPqY1j01r6NtQP5AG1PNjZhooMDkys7hrKXtUAGcSkvwaDp2UFg7dBhxFR
pDISEVgbxLRNQXs7WsRC6LbC3BYruTBXkoO5UcsT4qqxQAdE3sCTYsAU3b6BE7o5unvxKO40stlj
2+8GImTV0F2YrWq06rV6o9a0vbECuCSupimJO7oAAAgRqgFY1/VRHEqgvJuO3aEAC2HQh8zaPwh/
0dNvvT7u+t60QuhxCRB9GNa1FjADdgpZB4JqnSlHPh8OBoAsMstH0V2jMo54XWxBoAjgwmI2x8G0
gdJJ0wUb2HdMdsyI8OF+bHPKzRxzcIDHzpz56L1P3v3gE2HuF4ut7cUvPvro9tFwtl/UqZrqnbsP
Hrt0kRk++fizSxceefPt9w38uaevHK+nZd91OZ/a30lE507tdyldOHe2VK3jdOP6zVrqS08/8elV
uXnrzsUL55lQAR7b37NLF+4fHfd99/jZ037mVN93v/balzLS1198Oif59q9+1bR+/SsvitDj51Gv
XERiQDw4eAnAhWgGFOPmPA/pjXkzkzOx+0biYdBYtc2W1TJ44kZA3EhaWnNjG0D6ydE9L/wJHlp1
t3wU2GhAPH4GBkBidYsZipurtoDZGMrE6aRqjFjm3iz2DggYqT6ZuG0O3cXDvoEM4CFgaJ1YS3/h
OboWibxNK4AQ2TdLOAw0muNJTpnCHLYE8wjWHZu4xkP328TnCOYYHmEHi7yyqgrMaCY4x8OGvRNJ
3WTmyQc5WmOyacYb08cMclB3YQr6jLsxzYisOdc7gOShPlU1JokMZWY2sJATM+JG0RNPjWrd7LcI
ab7PzT087IAAxBSJxyFVnaOGNi6YjeTHZ6lSe9yydPfHB11O7UmDdt0jghC3C50CN4V0cqGDuzOJ
ts1wM6cQAcSG3GGaJkdwpGGs6+k+INy9e/TZZ58Rwu7uDqd898Hh1c+uSxJHN587QY3NqyWR0NeQ
A7jLPDi32Jg6oVZjETcFABE2t5jDOTWywyZ/y2cZTEjONi0igjMRE9VSVQ08XDPNKO/NnQUOoFpz
TlgcwEXYB0ckJiylgEMSqbUSErDE2J2R2r4TPOc0jpOaEXMpU0zOEEGtMgs5nsA/zJh5KkVjdGOW
5gC3qHiIKUJxmJkZxAGJJofPPr+5neTg1H4cpW6o82N1b7V+5833n79ycfdgr4xj13VuplWReJym
qjWJqLk7SJKqSiG5YRIUITZAIdITZiaruRGtqv3FT99+6WDr+RefbSsZgGEYp2EY3BAJTHf290pV
B2VmZI7UsggyFmZz73N39dr1ldujFx+NkqKaOYXuwmIKJTDDJlUJwcrkmF0N1KZxdCJAUrUITXPw
nMjUhLBnzIkBfQBcJhGzSpwl3Tyqf/Od11+6cnDlmWcJcVXLdsqRkQVgYJrRiqu4VtPgV62nCY1X
Q0lGx66laoEymHIpk8cxhULYJ1G3fekIqTB1OXPpepHRFACqg6NUZAU5KuoGAUexViApgTEA2Jgw
JVCwqda1Jz6eKqjfG6ZSQYdSzd1Kl9NQp50+OQMToGPHtEh8sOj2c0q7O4u8WPng4DlnVCjOlfOA
MnEeh6nb7ktVNUd3RjXU+0cP/v2f/qlD+af/+3+1xYkcU52qmlSzolD8WK3vfK2Fq/VQVxNMo68r
jKAiZA4JQBAEoM+yZZazdJ0syS/tLvZ7HmkJgMKyQOtyHsZsICnlaSwuqTpUYzFU9G3pjm3KTmpQ
qqq7a02M7ApeSEtmBIBBa3ZRHcXQrBIqgx5PExKP1e+vCyCycc4yTlbctZojZPFSoVNQh0zISF1m
Yc8CfYdCtkWcBMll0acJXFJW1bADjNOEmCS7ARGjFW0BSi4wp00aqnsVBrciBDZVFkKrOg1xbQ51
3GQwfMG+FACAUwaIaHo2Q3BUVRPTWl1VmA2JgEi8arEmKI01TigzI7DQEWKiie2I88h9QSb5b5G5
kRjRGAW0uQMaNrYxgZAQsfFyQgB2wvINNGlTXD0Uf6cW/e2mF2g8tZZaxhsS5ib2xMyQONJQZkmW
P1QO4hy10nI1Y4a4gS9tJLLRnm8CFWa8TSTlxPw7RK3thWoxqogRORAblsAxtfUBhgdok+kQcdMN
pBHD4NBlten+DLSYkx9mwqE7IJmbAMagHZrEqWm62ips5jW19WuUbidbbdj4X8NGFNARA0gRiQSg
c+RIwD/qpj+c17kz1tIRkMB5g7GaUx8brArCPcuwibt0FyCDGJkrEcQGMobl5u4hdUYyUyLW4Maa
e0C85sEBxRobMGriMCOHZhbnXx7nj05bTCHONiksWpU2/CgMyXKQHRg5AvQMjKHN4wkw4JYYSMt4
LjB4yaRzyEG06rbxgAHFw9EWCfNTGp9GdwX0cNkwzyAbaBWhOyi4K2hYqQHbdMK95T3MoeXhzjIz
ZLLS+nAkUoNqzsJhFJ8/J62HnD3SWKvGfgAQ1RXcRSKeEBqNSSMtuMUwhHScABmACSTKGAMmZOnY
avOZqzExqFediBOAEbowm8ImfFBNmVgi+L0WIyOhokrwxf2lx0fTOOScQx/AiUU4J9Fam08a0D1e
9rYXmvcrTU9rLZhUIRJeARhmuJvPLlPCWq29+NSMavOCHOcV37yADSnZ7PxqLVk70+Ahoi3uby1+
65tfu3P3rkg62N/dO7V3eHj4TMp9SpzkzMGOJJEk33jtZTcTlicvnHPwnBIBRIrRqd0rCPTl559C
hN2nLwH4r//m182MSQDgqScvbcp9BNhdLl549pnNGRAyGVkuwH3ZZUQQRsoC886NRQI5y5HhsLFw
zFqANmS0yPwkb16FOCo9crDivGp+3Rbz0mYucfs0J6Q9nIDaRkkzWBQMDH2TAgZzeA6ae1GdI1vd
EdiwRd60LVwMXYDAOcjYM+I4JB8VDGHGT2MI1dvRbTYPI93VTBvU2oUY3dHByqSl4KIPiHGFoABF
ik97IdRaKBGCxTwoftfGLjKjFqqGtqEpwLw99IYSqG7sFARWVWUmB6xhg3RkwtqGAR5k3cjFCKCu
NVLR/Oo6IBDPWPtYoVFoEsOnh5BIOKhWTamkHqsssDBAhSJ1lg+d6JXaPyDDzF4CsGDb4vziN59n
LMkjSn0W1nq7v9sJr9Bu6tnKS4BIhMKy3NoC1zgsAkoMc0IveGug4pKNiQDNPMImOW4CJQ8gRSso
Zn+KOTiGwNbdYmwdKR9QTBNnd3XHtvJlQgPydkoHq58ABRDEkTdduZlIshbXC9NUY/AwTVPcnLUU
N+PUHomN2SB0L7M1cgaFx91DWN3MqISyHNEAsnCtCmG1YAp3Fsy8qVlu4AEoUjNEDgKHANZahLhU
3UAj433VNtFvhUq0YfH4Re2OCFWdiZCQgZCQSUqtqoYIRQ3JTAMnjNX9Bx9+9Bj4a1//aqnGTER0
vB4/+PCTyxfPr4nf+PDjy+dPeUrvvP3+c89c3tnbZWF3Q6aEIiIJSKsSEjRYZEy83BDWWoJTqWbJ
IeapbATmpj5pAXADL+43h+k//Ie/Xn/03rkL55j4mUsXvvTaV8M333VZa0FiNUMDB68enaaeOnVq
u0u11nBMjuPUdV4dDx88cMScZbm7Mw7TnRu3Ef3o6Oj86YP9s2c+v/tAjw7vPTgEpwuPP/L59bs3
r99+8amL5554rBpfvXHvb//r64dH91/72pfOP/7Yd9/6rFz77O6DB0fD9Lvf+vqHD9b/8c//8r3v
82tffenXv/3rOQkjtjQRMzevTlV9VFfEqrXPYuQktFjmkFVMYDt9n8F7zphczXOSYRon8UnhsI7C
aRjWu8BrLVzG1XTccQICNAVFQUOrADCuy3J7e1Ar5oMaEJnTiLxGOjZLTJ7F0FMmLNovZO1T7gAk
jbUmYQ03NYgCI9JKi4/1wVh5qA+GcctIrZA5kddxvddn17rlNbmBoAAMiKhgJEdDSZCNsLgeuj1Q
Z3Ai2+Y0og+oIJQRlD0nksSpIifnRImBcsoszDxUT5wHcAVW08NS96W7VSob3pucBzielM1IrIxT
ZRFEMEUwsJoU0eoeyWCToZOS1+q1OmBRPy7KSKVAdb4/WUE+nEqf8kq1Ezk2F6SKwMgkstV1y0WP
Xrf6DABWiyRMaJJ5mqi6dZkfFItQZgWv4JO5mytIGU0sT2Va9LgeoVvwetKOzM3GadxFACvoo9V1
zsnUwEGQi5mbmZpT3Gdcncfiueu8qiE5ZIDKnMJ1s+h6c/vvyC9tB4V5YubMwgwOq9UaALRolJPC
Iswt/qEoQTvZVJVJmgiWm7eqVVo290VAiBQYwzbUaqF1bmZEHNtUm3l8m6YOgEK0A27mFqAgnGPf
52sI/5um9ESXOyseMDgWoRWkqGlCPEKzhyewFxtRbnShbVPKbHO8g9BJWz1PymdNGbZfp0ES3Jl4
liu3zUCzIc0tTeQEQItToU2+TnA4Nk1GFK+zJG3T5oFGzJ2F5jY6jWBJuhB5GFzdgVrwaXQ3Cs6w
KS8g3FahIzJAN2MKIwcSODeOZeAkaLOvmO9o2KwszIwbgwSISR2KuWEE3Ck+tOhpAsVYYs6biihW
g2Dps2bZwQMHEM1bddfwcKSEIgToauFDjjFEdUNHdQOE1pQColtrF90ZQcFjW06tlDRuu1aPGzao
icEGMQcNuTVhcWMIEhOZm7ol5qoqSDN8Ol4BajhN0OiwZ+6xV7WoezZCgzbjaIYqAAIMSD5RcYW4
71uuo4X6ToSrBg6P2GEj/zYPEpVLoDM9qlebP3jRVwFh+8hRC3QwB3SiolrMCMnC+oUYLRRDC30J
w6y7CXF0l2GUC2sMtZhPMrVZboAbBpcB1moiaSoaKkcHBTSiqKpZGzlEENG1IpKpWY0Id1DzKEzN
WvyJmRFSYnGHahojH0NH8lK/sI63qroqmnoo7Sdn5j7naZzm4VU71hxDeNx2cie5IziPDtv0KqQW
3HaoYSn3jcfbZ90ENM+pzV8243LnNl7n48jwxEDuzVo/b1CXy35r60LLf3HoTx/MDnmUxAho4Cml
6AsxdCgQ71drhzcKjhkc5xtauM+g3uYoaOdSY6sGnZjmsK5ZvAwzs3luYnDO/YrPosGGpmlzYk1o
z2NFuQlZbXtAa+zJeOHV3RsU1ttMKpS32AQXapuOPgJj7CFKfWR1xpGI1UJogmETIIjlkQceUwGm
6k4BVwWJ5qT9CahuNVZlgOQgEGoCbc1hm3AiAwi2mOiICK+qhJSRpfGrIFb9Gk0EcnxSqEU0BfI3
FksUTKA2roS28o1Xvpq2XFIkdByGNRFi7kIvoWbOHLpTQlSAADeoO0fr1bJYNgbyNg0p0+SMQLSq
+tG7v/zyi08H+6EB2BAUjOfJIiMpGhKZG+Ecyxxd0pwh7nOji+2XoHhxZvQRQYDuI3RulmS3sJmA
3yKohwFY21MQ5pY2cWwPrblPk37vb37y2tef7Rd90NQiciwm5uamMP9k7WNwko4WPseNkEgtFqQw
71YthjPWgAon0oY2Dw4kJEA1QGq2hUh5AQICJma1FlDNIkFWV9OmmSoqYC7WDFNtWqtWsCQRA2Mi
UDczluakWnTdOE6CWN3VlJ2jqogsUDcX4XjMYtspRAZujkJkiIyEiJOaOlQ1MzheDzhPcIXJGnyo
MqJ7eBvdHcxqyh0XmgPrYnUuppOZJuGAtrs14318uGMAlZjjahSWavrTtz9+929//hvf+vKjly8c
qv7Fd3509d2P/sk/+fZybz9QVADgEVsPZG4V8D/9+O0LCV96+fnl1vLLL7+ApkdHayMWwv29nVde
eaFR8R1MlQzUChNVt9Vq7VG/Ii4Xsq5Aqtu7u9Xg8M7hqa1053D64Man0zjs7e088cRjIpyIEVzB
mSmIHCnnr3/rtS9/42VHVq+3V8P3/vqHyeyTm3cvnD396msv/OTj67tl+OY3v3bnaPqr//Kdb7/6
zDt3rNz8+Ou//q1//92fj2+90T9y+vFnnrlz5/iTD96Vnd1t89/57dd+Ufw//t/+H9947YWbmt74
8dt//3e+/udvX731V//11d/4lQ+ur//jn/7Ns68+Ne2c/n/+5+//oz/85gPb/os//Yvf/a2X79LZ
7/zVd3/vN79x695w442f/ck//8PXbw3/89/88Hd+7zde/dav/p1nTp964RnP/Xq1ZncnFMKc8jQM
zJ4TJQk9GDCgVpuKTZMxo2otU5lwXcZp6eBmSE5qaGMCQqiLRIQuibYSeaVEvOwW6FTJkclTVvUI
ilRXJ0Dx3CEDIkHHZMV7woGZHdDQDBWhVr+/GmysWC0DTlYXiIdlLcpmazAhFMHaSd7qcCthmbBH
miiUS5nEhooo/ejgLOpYEQfzTthdtzjv9Wl7Z/sffvtrv/cnf/jEwc4w1gBuVFRyF4RhKqlPw1RX
VnGqArRajR2ylwlpyimtVoenMoKNrtwBA8ES/UB4G2Ei7xmMmSWhiKmSZC3qykoyqAl3o5t7AqbR
inDnMilL7O8WXQI3FKdqy44HH5E4EeZEPfiOSE8MQORYJ1WDqdrhZIOWEdzGsrUlZUJdl45lKGXH
ZD0VHtZuExRggi2BhDZCidkBA3SMnonBMhOaE7FQAkosPcmiTlY8Obp5Ze4cR0OSzO6lFzT2hUC/
EEQHgqlYFiukRKpeyLEojOPYdV+cx9sc6SQhlkCcpul4tcoppZyrKTEp1UIszOtxKOPkZgBz6Ch4
mOHV1OOUi8EwKBO1TqN9TSh2QFskJjEHb53MjIDNjBnncLNZuAsel2hoUtQCwdeG76GRfEht6yfJ
8o6Irmokwcn3ecfV1IzmwMSbZcVDHdEsDZrjVnB23FIzd2GEtxmAq20Sa07gKL6RBEe46yaDsPGE
zQMn24wPQUja6FGtuU5bEj3NG2ab93re4mENqZGBwWGDQzJv1TkRqUOdpZtCtFFEtUwcCMxxKxcY
gUMD7C2m3KPUAqjm1DhN1EywUWDOAqIGJScys9rEREYhlAWjeTKO3iAkEQNAiEXdkarHNBsdXAgn
dQA8XI3vvvF233XV1BAqGBEO6+GVZ54+d/oghLuEUCKWvvXJGPN7mjNZAaA5uyC8yQgAd+/e21tu
gdblzjIcSI5YzJCZHMFmoDFCAzsF4qvlxEKdr9jWebbgEDOIMrptlChmq9hqs/llbwVPEPOLO4BH
v8eAzBxKl/hLuIUxRAnH7ZUninkus5hZ+LHbxwdid3diogYHRgRzxNg8RwxCaIDQEWoDgSgQRQJh
VcOWcjF3l00fGEUpWFulNzlDkJxjPmQOjhA7o1DJVS2NMuIn0GxiMtcmLQZgllKmUgp6OLSB5x8x
pO/RHqjpLPhyRKxamUPAZepWrTrZFz39tpYdmiMRMhuCamECITTVGPMAtxhSZPT4oeMXoxaS2QrT
OE9wXlk3f0E8STbzUIMN3g6ch+c1bUkGD+X6zIX8zAeajQEn4t6TMJXoD2UWWlscaM1415Sj0UnS
nHC9yc3aBG8+nB4T3Xbwo2Hm26lt4E/tePH5p9cG1yU4cfq1wA2zjXBXiWLM55tOdx5VUQAyGysq
ZpSxro5tdXSYGwJ6CA0QEUDdLIZ07nV+lgNZlYh5RuAgBh6+4VvNwZCs0a9BmgAGmVDaYAq7nmoc
IoiMKDMQOCJoirs5qgMCdMiC4F6bOi8kDYBknmaxjLoZQAUw90QphXkv7rgZIxAxKtxcbY4I1byo
JSSrBmaUWGsh4gkAix4eHu7tbnddF0eEI8bn8xe/+PDcqa1zT1yKsSMQ1UBCORJi1QAZ+gcf/nJ9
/17fdRcuXlhubd28devMmTMVNJq8MtXDo+OdU/vmXgx+9uHVF154Ki5XYgJqNpM2YovunbiYA1JR
k7D9NWJQmxkznfCstcFgIUZaTKzmiGyuAXsnB1VNiSGEOd4C0v0h3l/4FGZEAgCCaUTCYFX40z/7
q08//Ok/+qd/vLW9W9UCLI8I4Qxq3axuwt/CAAKbsVo7AaGt6YnitvNZjg4ATowB84v0EwclgBgv
Rrev1aGVAZC6nLsOYyJvboRqniVZKREgBcyIyCiScpLADSMBUg3Im4iaV7WUZpVzNEu1uoCZqce/
YzUjpFILICQRc98QvVXNzVWtupkZSSrmqOGeQgcgkZiGVy3kRMQ55ThshMXcWRg0nucgz7kwxzA+
3hIRhgLCXLWG1C3Sa+LOqKosXFQ1Sr1ZnHTz6Ohn771zZi8/9vij1w9Xf/vzt/R4PU3D0d3DbpzO
XTx/bxhuXr1x4dzZLEnH8dqde9/77k93Vvc++eXV57/y0t17h088erDOCzOvpXx06+4vfvjzV7/8
xPVu+6//v39+dre/dTRuLfI//LvfWPc73/2L7z+496D0W1c/vvov/vDrH2s/vPf2H/zh7988Xv+n
P/vev/z152u3f38oD8bpxx+8+Vvr4dSVi1Ot4OCmtRYAKlNdj9P1G0enr14z8+VycT/nH735i999
9bmXv/0P/t2//87TH1w9ff7cu3/z+tdeWV+99cDHNe/vPbhxq05jAb8zDOd2+t/6nV//5WF5/wdv
/PHvvkqPXPqz//Cdj372i+GZp/f2Dr701RdW+dS/+5/+4sGde8jy8kvPv/bqlxefHb/94PDvfeuF
G3jwl5/dPF6NHx5N167d+fSjG3eOho8/vnbz7vGRwTMvPLNz7uAsTu/VgraSDD34EoCLbhEnh+oA
Dqv1WKeqOKrB4ThkpAImpiycmDgxAm71/ci43FqsiVjYANbTmHPvBkCpgqJTJqleJrPabLdGYAEl
ZlVyIyd2HKbqycex9j0ergswEdlQKtUyWO3NRMhBhZkTdZ2wIBCy03qCrcWiTlOXt4bJSMQMj6AS
0MpRqq7NOwREqmVkTq6jEFWbUCVY2NnEAKEoOa6GqRb9jV/7zT/8l398RHh3glotAyrC2ipBRdJE
JqRLgcycEnJPy0qpQ5es6l3Xw1RS6od1LSDK+VgBnY8Me8OBZK1QCL0oSaQtV4bKaBndsG65ZrLs
pYKSTehsddAqbnWapsnMVXOHq2L3j46F+P7q+MzW7jAW6X0yoKk6UtXadzwNU6K8l4mZDoTXZMuO
1uCSEjp2xF3H4FuLvCAkJJ4QhlozpgG0QupZVpMjyGAkrQKHTtjrmMXHYUSgjAXdhLiguo7moyuB
kVo1o9VYFeo0Tn3XM+JUITkW9c4QAYVJVbf6TuQLK9nCi+gz0a6UYu7jNIZsL7LFBzMR6XNGomkc
zBxnOGVTNMWyYOZMOnqEIbdoWEdHLFqZ58SLBla0OYcbHZyYrTkYfaYjxU6Vqhk1pq7PpnU3d2RU
m2HrMWuP6QzM3cJcyUWlZ3PiaPgAa9TuSHaiqwRm2hR/Bg+JcufQd2+taYvBUDfYDFnbMoI3eZJN
F4oYEuXojOZsnpaccVIpolkDF9M8tG7MmBCFxkJDLdq4WZ4aHd28eAmUsZshoaluWndVJY9Ev7Zi
nUMBWmxgoB9mmoBvAuWAuJoJ0Ml7BSCxfsS2WiSYKR0PEUeiPiaMGAZsUHVHB1eNCT3aQ5hZCi1v
w2nA5zfvnju99/zTl2PHVw2U6Nrtex9/cu3U6VMIaOpjqfePDiWl7a0tjfK/VfxzgMFseJq1yzjW
+t0fvPHl55+dDg+fe+mpqqaEhuDokykBsgJQLF0x0KmCDZwdBW9uy3Cg6N8Icc4yirFIhNcCEgDW
qkb4sGAbAEIVZWBqGhCOucICZopxcOwaOGYPCOYe0X3x9IUL1xuFMqJJDZmx8SobNYSxvao+C+cC
9ksOCKgeaMqN6L0lAwAgeKwTqARN1jyJVPdqBtgOHGp67bbWi6Y0/EySRFW1FiIX4tD9MyKH+i7I
k+6qpqZVsZTCzK4G6GCOzOqq4I5QWz0QijSMiD4EYCEDVVODphJu5eYX+Q+Hb4oZmSatRBga2oj3
wYTm7tUXKfmcK3KSnOx2QseFeQnfFjYn4A8m8RYRGmtKRyAG0g13Y44PnRMvQrxK4B5DHPMGSKLZ
Bv+QPKRJUczCNE6+Yc/O8cubCvthP2vLnmln6X8jr51nSKSuru1pLpvvumkc3Ta6ws0KNB76ljhq
J/7YTVI9kbQBH6CDI83xkxFuHD6L0AnCxuNFhJBmmzYRYnyBb9LAGgxtE0AVMb7RLMU/MMY8x2hm
oxQLJBLG8EEACYEJQTWeFweaHnqNomuNWysCY2oc5AG3pRbpac0cgdqGgNHNtrUnIalDUUUgmY9m
iEAgZjWT+TIiUHcURAWsAEeHqzd//OY3vvnVf/9v/+eXvvyibO1c//Djr73yMiGtjtfraSxqe/v7
Qyn3bt+9f3R8eq8fjtfXb9zY2d+VLlupbmDjtNxaVC3L/b3R7Ufv/vK3XnnezP7sP//13/v2t8b1
dP/B4Xq1Pn/+3KcffPLII2eP7h9t7ez+7GdvHtW6Orx/PIxvv/n2ahifu3J5NQ7vv/fu45cff/Ly
ZWR+SCLdArB45k5EIx/CHsWWLrPRr9tMH9yIPPAku9vjLt7IoaJ0COjxhjRh4Juq4iF4eSjj9Ud/
819/4ze/udzagZkasRFABX8KNoCJdvuAQ+RUNT1RxODOLerG5BwDdFbVtjxFjGQ7IWSiqRaAiNUM
EHJ0rREVAI2NXI2IpnF0NaZgTIaeCYUcxlKGotUUIJaqPo5jwMpdawB/sdSY9qpaUyAwOnjQ8Myd
RYZhcAASHmtdihCiCAuT1jDRUpaUmGmG7AW1UpJIStWMVLVWZhKWMo0Q/mCznPM01YiVM1UJAokT
gtnMTHpo7NaCd6BqSO8UlAizyOS1NUFEj1+5dMP83as3Pjs+Xm4vFvs7WuvbV2/s3b75yIUzD9bD
919/8w++9SohmY1bW93ll558jvSrv/q1O0V/8NYvHjnd5Z19Egrtwe37D8AnZz68f/h3vv78wZNP
/r/+5+99+OZHh2fO37t760/++HfePbL3rn6+LuvDibkW0MrAtYx1Grb3FpcuPvrg+Gj14PDD9z/c
uXg2BIyNvY601S0c/ONPPvU+dbm/cOFRPX369JmzV556sttaLE4dPHjw4Pzzz75O6b2Prn587fbj
p/b6rlPVqgXdcs7nHnscJN9fHYrwqVOn1nmxdXBwfP/zDvOp/d3d7Z2u30mLzmpddn3qMiSpBLro
h4pr1CPT42FaGed+8ejli2dYXnz5uZ0zpxcPPuWUDFEkq+IwaSU5LrgHKCkN0yRdlMfWZRb0nMVI
l0wENE7QSZ6GSSiNbg54NJX1VFaI4zAs+85NTYtVRJ/KUAkh+CjmCm6D1qRdUXRz7LtSSgKsgA6+
JFImEuq61Aml7YWaCfHEuEg5dUshJsJaDJDXdTJxmNxRFyyH0+SyVi+lrMSGpCyY3OsW1KGuE3Tm
xUEf1MKAd8bJjEzRUVZqmQgBOmZgTInZKRF+9clzV/6X//DyxUcOD4+3F/0KgJmUOZsn6UeajgEA
eG3oRIdjWXAajXyaOqCjYXU2s+nodU223vKOVMc6LDuaYOxgTDCRMxoYeFFU8HGqBny4HvdTf306
PLe9fWzeR+/BDEjCsuwWtZRF5uxEzl0nC+BFv9A6nZLFopMjyzt9xjL2Oa+1uoEBK6YHkwGm46n2
mO6NtWQ/HOo2MIHVWtn8wbhiIfeawaFoh5CtduxkI1jpYBDARAVqMbXiMXGXYfJisppgckFDJiyR
Fpx6ZiAgq7Dos9DUdzSJCCExCVkW7zJzIlKqpgBY6wZh+MX6UgOfTAVNzYqWsDmthvUwrknEAYkZ
CMcyiUhRLa5oSEzuCo5E7A+tXmPyL0wbRke0T8xkrt5STy3CmNwdXAXZNlJPd27RCidqLgBQUyRG
Qt2YXXCuFYljJ8mtd2q3nppZS7xsjWW0BCQy99GgDyHT4mvm2f+cvjhDCh02mWYQFrsZV4MGEMhB
ptY5wEnYIPlM4qXZmBjh0qFGiyWBmkcUaWAYYTNmbv3q/z9SKVBAc5pEM7wF2IeQtIV7gBAHpAoR
aNZRz9rCGYGDsMmoiB20n6TBYitA3RGMKdSXGmocVXNABSRHC6th+2Esyo+ouqgBmaKAI4uIbABz
qObOLdiW3NmJMOCTzoDVLInMFjIMdIgTjVPsu80Bv/+Dn0nPueueuvz4qqqVwkx7B/vDerh5+9bp
/YO0vXV4dHz79t2zZ0/Lor92/cbdw9V6KodmN2/e1rfxwsVH12X68JOru7vbly4+duPW/fX9+7u7
O6fOnY4iVIiiVSYAd8uEiiEYnhVc3po4dTCEho6CORiGSE2BWv4DbhCsiIIMAATI7izB85mVnW3L
HRAXUrVQsvqsjWx7hsjVcI9MBWo1XEBh0dU33biaWVTw7ZMfy2kAcHRsnrdNup83kpZZk2eF+RGo
CSLQjcCtKjGZu5rGvi1qcWk/CSIhObUVq7mZF61AWIplkLD7orvWIoldG38l1vHq7oSBJjbXeKWr
m8XwnRjUHF0jaSFWT1/cxBBaDdrsbaJDI94IzBFAInwr3jsKt6f4bHOfhX/x8BAAlFKJXKSNMtSs
ARVjA6wWicAtfbb5xhvAHBFrtQYlicnQHOmJSNVtcwaYTbHr25yTs8QeGpEVQ5nPc7xUs6BD+2Wj
KscZOe6R/hqjpmbnm3vaZmOeP1uhAkciZsTNvwcgjs4tZoIEG29E27vO23dA3JDkIO6RmapK2MYb
mxYjamzAufeMzt03Z1aDJM9yleDxhD/V5u/ZVmAav0i0Bh6UuBoplAAVjAFxTsgOkYQwTmqbbbaZ
t0krE5iFyNehQd2YZvdvnIGI5lDdmDDmrQHp4viYYduzuXsiBIeqCrHwBAzLerM3gxt4XvTH03D/
/oPc9XfvPyiHq/2D/R//4v1nLp7/8U9/vuj5qPiVSxff+ejamTO773189cK5g7/5zveeuPL4D374
sysvPv3BB59Pw7qr+tj5vbNn95d7O4hYEbq+293defT82c+ufnbz9p2XTn/p5+9+yIv+o0+v7589
/enVzyGlYfXgype+9Ob7H7/x4WfXr9968vHzr7/+44tPXDzY37385CVHiIeTAcHRQhINXs2CNxkH
FIeQtk27sIX9mm8+VxYvVMRsosNMOY6MjNroSmHdPRl+tk/D3FjGQzmPgPDMmYNf+4P/8cITV1rw
eIy/CdumNMJakGZ7sYfAZeYJt8EKNCiXM1FVn0Xim3ESErjOMD9os1ub2QBGRMEpbNjCOK3MEYXR
QZ0BUcRdN5MmAJQA9SbmGI0nETdD9JzEDBrHytkAqPlfMb4NExu2wM/IuYw1JgLEX2IEc3yqq1vR
aq5QjIWjpGqTNwdGCrdI3LfMLiLQYNUBQmiikYjMilUtM5k7MTlA9NlzoJbN9UwL+UP1yWs1Q9VS
dTQ9d/p03t/+y9d/ure9/OrXXnrnjbeZYDQN0CKxOKKjZxFwJJF+0fVkW31/DNWAfPboW6S8moN6
Gabt/b3dg61F3y+2d+/ev/MgLba3d/b2di4kunj+EfO6EF6ZO4IiVMRC+MZ7H19/613eXV67ece4
Jsacc4znYlJSy9j1/ctfffGlb3yNJA/jdO1w1eU+c1oi9YmmVXlke/v8xUv/8W/e2BX71d/+1T5v
s3DlDlC6LiUAknz6YGdUv/rBjXRB7r7/wQsvP/kAoKpZsWNfj6qT+dE0HBiwGYMCQBLKQH1mIf7a
lYuHT1/88NMblBJaPTh3jhPrSgxEYNxZ9mcXy6efOP+d7//o+Xt3v/6N17ZzToADOAKuxwkMKmmZ
amVDA0bwMjqC1gm9EiCzKEGXiE3APUla1Uqpn8a6XG6VUgm8ECkxppRqSokBLRMDkydg4ollckss
6OiOU9GqcDQUdReB9WpAyfeG9W7nCpacyE2QErKzV4CORTgvpVMqmfo1mTtOyAMpIVnqlFlyVvZe
SMYqHaq5cxWA6pSYVzYE+mw9KahOVpd5oXnrzrHdOh5PU6/VsNTU5/U4Sk5QCuu4z1udVzDsxDNZ
TogiQkTWZU7qxLxQqsSdAU6iA6eR8wrTCnlBgaMqIsAJlz178aXkrQTQpT3GRaYsrFoVMCEmpGks
kwJVN8JpPSXzcbSVFXBYDdMedIfrajwcTeMIBoxgmgBdRwBHdfLKyNsZtti4o0ROCJpEELakB0wF
UQvmrh9XI2Ka4lQhNjXjTrEiS+4AEZhcpHaJAoUrCBDlafVeeJomV5jMpqIGOqxhUh+LdWzMMI4V
KK+HylS0lpSzWk1MzF94YwBgCIwIGulPIuI+uburiAAicTKwyNcipHGa1J0jMXyeOZpqRMYxtfhl
tyhNrPknQ76mRi1LnjWKkrlQj5o85H5Ra8awH/ykN4OmlYS2dp3jOt0NW2rjvC2a80vwv1kRzPvB
2eIyG0MafWeTp25t5ehI87dv+FxvEdhxsyIyNSxNNWs2zROFNGkErDZjSuBmnZqkro3JHb05OGaM
5ByM2rS10Ayc1PxRSOF3ix50s8EIF9XJtmReewaJ0oIk1Jr0YBc3umKgaIIkEcNkmxWw88K0Eflb
mEpjuUXVSeFI9Jm3RASsEPhNmgEMhKhqQKTuCsgOjOAOwmQBtgLgCN40A3chIgdmrloBub3mscQh
iqg9IUbworrslmfOngbmf/tv/uIrL1y+fe/BU1eeeOeDjx59/LHvvf6zF1549u2fvnvl6Yvf+/5P
rjz3zM9+/va5Jy89ODwa3K/duHHpqcd/+MMff+VXXrnwxKMfvvdJz+kX73zy6P7iypUnEJtVLCxk
hIBgsY8q2mpVayn1jc1rzbEMHgKzWa8buKBoM3BTrBO4uxBBE3X7Jkyu8XhntJjOrJvQYhFALKAh
QIBt7wfoLcI09vStwAubaxPZztpNRPKmI49kP9cqLAHuUDOmKO6xqhFxohC0t49fMBuJ2FxDk8/Y
6ips2FWLCRk6xMbeHYuqRmJaVXJPIkI0lgIYfaA1tQWhmxVV82A7IUW/ZOpg7lZqQUSvXlVbzmdw
thST5C969gkjiERcVxwFMYZQVXNjjHY6vNXN8+cADXBlRhxdX0jqWspuqTWnBG0x3t6UqtaEGNg6
NmwdIDykyCVmPDoe1GprsTawN3OfFZ4zag6ImOa9TZyULUOeMWEKH12DiW3oYubMbLNKn0mazxni
MMHN1GPjp2jc0Rb/HLE4D4/emnh5TrcK9bgjoYWneg6oxJNFU2Ott/nN3DpuhpUI0EwK2HTpcYbQ
Q7HJ7i7E0fm4A82t6fyKuqkjt7lPPDtEzRsZx3wkjjKgekz8IVTBFFutGA+GXRVpllFDu/K8NU4G
bh6CnbDJzshojT/lDpAAm5NkfqsrYjUViJBVCrIWEymAQmPMmioSWURgEgLh3umDd99+79nLl+4c
Hl2/9fnTv/ra7Q8+qe656156/vKt43rts6t3Hhz95m99fRjhcD2a+1NPX/r42i3TcuPoaD/RkOjt
jz597vkr8ewL4lR1LOXevfsXzp/xG9bnLi23vv/jNy6fP+9Mil5V+67vRASpuhfVxaJ/8YXnhlKW
vSCgGrgrE8WINImoK3E6UYO7MXPo7R2xujEiIcXSNKa2G89ARMOEBxFmjBD6PDoJA38DEYNT4856
8w47IEEbY0FK+Ef/+O9ceeICBpU9sFnexuQRjISMrj5f/9h4y/Hc+azsakNfRYyJeUP4h/mleVxb
mqDHdLKt1jc3vzc4lhbVFHc3Gjo6lKl0XacaUZ2AiLVWNxQSKYGNY66lICEj8UP5K4BgbplTuCa4
0RFdq9ZSKe5UpGmawoKMRLUW6boWy0LYoVRVjixshCxSS2mOhM3KeSNjJgLAGoHyqmZO5CKiarXW
Uisg1lrRDSi5u1aVrhuGIUz8tZRZ+kDRqeb5wHNFZk6AKaetrnviySfefe+j00aPvnzmA36XEBeL
XMyq+Xos1QJYqoaByvCxmqvWWtxgKpaiaTQbtBgCEi1yyiLLrlsId0mypv2D3Z+99eatO/c/Oayf
fPRxfvnlra7/7Gi8e/ve59fu3vz0lwTPvnv16uWd7ae/+vxf/NUPj+/cHGsdpzKUiIVHcMtI01Q/
/PCOLN5Vte2tZXfmDDOEAC4nRGFGv3L57He/d/TYGTk4czDUktAgLchgIcjcQ9HHdra/9Vvf+C9/
/Tr+4OcvPHv54nPPfbJeP3r50W6xPJ8Wrzx3affMwcu7tn/2wDk/fmZ35+svQto94Pzqy8+f2t86
t7P89m989datu9NUzp892N/Z+sbT53o+D4YXdhd/+Ad/p0p68en9K+fPCIH3i1Udl5CKK1rpumTV
ck5G4mDMXErpc/9gqkKi5KUaEhuxOpiDMAJYJ+xaMhOZilk17zoxZzRAw3GqU7WVVll0NpZRawc4
ehXTBCAAyyTJda9L7pBTXgNmkq3cEycEqNUAOKal4FzA0dACeuIOrj0CIzBBh7wgJiCpBuZWzRGm
6mVwnWB07ZDvTOszW7zSmqCOOHacE4pXWyYo2fYWBNZtd3kdBY1kSVUxQV4eH5fkXIww5zJo78yY
HDw1tGldZBLUbUEBTZySw9KMgTrTPRCvlYRKqSmLKRytpg7T/fWovLixmqC3sbpgFcShlN3cTao9
Qi+pI6puuZOcU++WM7t5j92yE6p52WfTnFIqACiilFx6o2QJV9M6UX+sU0/9YFNB3GJGRCFBh46Q
zJGtQ3AoCTiqQUFXNAarpRSppRQ3YKFx8MmhTMAEhFRNO4KxGtQaGqTE7IZ9RlTse+44NBAMnohJ
kpAIqashcV+mSvyFK7O2yAvzDZKZARMlEQaO+7RZ9prYaiglFiDmYCd8nabn06D8IWPb5zWD04YG
AAgaRW70YAThim+Q27nRopneYScs1yjdGuKDNwEhwac1QkIznfeiuMEIwczJhYeEaq1WA9iYnahx
jJo8N7IEY6n48Ai9WQcDY2sWfyzoTRHGeLLVdEAH5BP8JISyed5JYWgsATc132wFDQNbeIaaeUU3
UkAIRVmEivk80zQDjr+6qs1aqbZMQGwFnwV0ztuR3tJq0KMoDcEmbVxi4BSESZ+DSSBowe2vCtar
uxsgAxFEch3wiajY1AK3A41+acBMYE4nU2/Dkxd2/qXdwU0BJvOiRrTBISI4zMNpB4Bv/cpXPrt5
6833Pj67t7t9cOrZpy9/fPXmLz+9+snVa5rlaBo/u33/o88+T4u0mqZbd++ePXPmwmPn31m8B4iP
XXzs3NkzH7z7wWcff/7xZ5/dvHvYEXaL7uLF8zmxWRtHbO5nRI6dITg2DDTFlIQivCG04jFh2SCm
EUGQQ4g+gx/jkUI19yjr0LkxqrFahMSQqs5plvPkHgHMkTfiZIwrePMgz+zGeHWClGvzggnAN3ue
6J3nx8pxth02tGYspyJLMLIhA6AIHrs753AvF7PW53pAuQRRECJdQ8HcLNJNHbGoxrLXg08ZBkbc
pFmewFo5JzdjSuM0RUUOBiyJ3Erxrl/EB8uRknCtFTle/1iQfUF3PYXMGZioBReaj7UWq1WNxB0d
zeZUqoiKIa2xCUdtqxUOvm5wSlNKzBKJjvRQJelRoMdEv2oYFkICiYiqxiw559OnTm3+FM5pfzYz
b2JJPocUzvG20Thi+0XgJNrqYTa4IyBIQ7IgkJkCnRikW7TwrOOdnQuG1DDv89QDtCnkG1uV59ew
gdxmqz9ig+HN6JqHgkV9fv7neR8B8ox8i5QOaKFXrR22BgAjnAeK1ZQAbW5h5n2azSvZUO1Sa2wI
bdMVh8mZ0MxNZ0xTuLBDjN3IOxbZpNomnuhzJjXMPggCFNwsANHbAAOEqAIgk6rGnRhrOiIKe585
hM6oqZ03sqC2hsfG+QMnRHUAhP1zZ/70X/+bf/U//snNu/ePrt/Y210A0aRqRACYRJZ9On1q//XX
f/r+u5/+6qtfsr7/r9/78fFq9ei5M8v3P0cbD86du3bvTs4pjBhbQj9+4+dZeP/g4Nwjj9y4fisT
PX/5wn/+zx8/+StfM4DtvZ3z5x/55efX33rzncfOnXrpyfN5Orxz586TTzyxhIVviEVxrYMxoCAR
UHOlP5RAiycpWUG4Dss6bdgNTXEA83XdPhwRgc5hLo0RCc5QwEBwzWcYIqMbRCAoEjD6U08+HhiI
RkyYIcHzvtQawWuTQhQrcSJkstbotlFHG7HaSXFhMRczi3qmhU4Tg7Vg3XgSbRY2I3ittZQCTW0e
h7uP4xgfLgOoWhCwqslYppFRtWITLYTLKGQ4BqrM3E52s2CUF61JRJghCRMyyzSOXUpx/iRC6rKZ
ArcsdiaqtSZJk44aghPCUmtKMpbiAFlSTHsSS61TCsyyO7NorfFmqToxxTzfHFI4iCJ8FkBEbH5T
W+KZKvMGEAJuXkttQDMtXsv5neX/8Pd/a9nl27UQk2pdbnUf3Lt35p1fvn/99scffVp//atuWqol
lkcP9j/9xTs/f/Pd3TNnT/V933WLnBaJjbkj7zoejNyNRNZFF2p7HWfPL1x+7M61y//Xf/3ntFiI
UK329KUz1y48+v/+0/9ycHDwysvPw3Lvm1/d/dmP3rz9vR9dfOT0uReu7PbbX3nq0YNl33e9SAL3
nT7/3ddevHHt6tq9X/SQ0+mtxe/+xmuLvR0B+42XrnRwhcmvnNn9P/0f/nlmNvCE/Npzl/OLT4nw
737tpb7LU1Fieu25y1++9EjOnaoawNM725f2dzFldPuVl54mpuVUt7o8lensonv06YvTVBaCLz15
odYCqo/s753e3xUW1crM+7vbiaWCosHu9oEVPWCCxdJcu5RxsMwyoQCKAqpDVZ+GgYWyeRiSDWop
A4ILGBt25F6LIKpWYDmeJkjd/bHsU2fEY5kQYDBdIv7/OPuzZtuy674TG91ca+99zrlN5s0eSAAJ
ZAKZAAgQFCk2kkhRJUohO6qiIirK9osj/OBwhB8c9gfw5/CXsCMcdlmqklxSiBRJkSLFHiA6oksA
iWxvc87ee605Gj+MMde5rHpxEg8gQGTmPWfvteYczf//+zvEYZomVgCYp6YIJOwWazAjIYs7dsdu
uHq42ingfD5fMC19AXQhDjcxdO3zTN17QyeXtethh+qoxjfdGzEhLh7gcLQQwD23mcUoKOBw2C14
wiYEHBSX06x8nmR3HYvS1M070BP1G+N3T/rBcbkHy+LaPCZ07wtMRLbsoR/cGG1yXxGngNOqwGgT
6oqxa09OfjjI9ZpzfXjs/gzSTQACmUhDJsTLeUZmmNrUWrgzzJcTzXcOd/ZyHTi3ZgAtdowy8QzO
BvFo0babzsfTgeebxUHXHP2Y+o3qenM82zqjMxG4QdcdKblhUEM7xNrjzHaaURuymemqRK4GT86q
AGChLDexONDqhoSTowbNwE1aesgbM2fm0MwrOeUxssbUmq993w6LnQFRATvE9RLmHGv0Hggmgjfn
NYj6up4izFQRBCXCTsczwCc/npJtlBfggQwjUKViFxtLFiIpUfWUvgyOnoFnWjfz4HZkB5uIfy8r
45jA52CTBtujss6zyUXGzZiIIycdBh6j2BV+CwzxRLpVE1u7Nty4GADmRkPeMyjBMcb2RdvbmlKo
TMIRITi65pJkwcheSdQBoddCC91hC8uxGPw6GJTgKqHy7x03aAk9i3wUEdWwpI2MCTC3c9mS0OhG
K51vBD+mUSrMPbB0xZl+icmrhAIYRk79IRd7ARmSDmNjTGhunKXPFsNQK1MgQk68ROFmsposji7c
7nIrDSsLiqy/LJwKDlXmo1p2F5XH68NM7EE+gBiQOQ0FfA4N7ODiJFtkeMTqVp04wM/eefd4WsMc
CN/78MM//ctvPXp886UvvmEgvGv3ru6+8srzj999+XI3PXfvpQcvvfT7/+nPPrj5q74ujeD7P3w7
TJ+9fzd9lW2aWPjyICJcYnLArhpulBkQZtk/GAQQdrcWnHtsM0vhEtS+sb7BnLwQhCQABm6DZt3B
PbNIgfITM/du6eiOAbzJMUyiaCGgNQrz0PEhARBh16x7KHW7FsPQNd4oIhpPSMAIKQ3HykR9isBZ
hrdaFjgAuFWynQeoOVDt6dfeb1V4uc5ijig3lUGYhZV3i9beJc3l7kgoktBNBEBHJiIRQQBVc9M2
NQQw94vpQrNhpTBTD+C2czeMIIxJAAE4MMmc6T3/2FoRQAQSFrOIyDQXcFPf1PJQKmigDBXYsjdT
r4Ebw9PHgECEEUJtS9/doDug2mvJ6bEtD7NfzZqNiIg4v8PaWMZTTFwINcuZFRbsbeRrAd4aSQfl
5CmxiN/m0ANkjkNF2ROOPw5iLFejpPhxGzM9wG8VRj3iasaflpbRbdZXnj1PVzxU35jTnFrG4FNN
6tBiVFgUYg6rvGSNxYyyfBcgAz3G/9PLNVpn++hYEEghLDynFUJPQdSLv5rgdBxBIwBY60oudTJG
OI+cHHMnZC5geWqHiy0fAOrugW1EzhCAqwZS4sG3oOxKbYX6dRxrOZUSHiLSiofxLQCcC+YELz57
/5//i39ycffyS198/dVPvTS16fOf/cRhnr988fnL/bTzePbu/o0mHz589Pk3PnO523/q06+cz6f9
vOMm/+zXvhIARPT3v/AZYkYkCPitf/CL+Y2wCAP9/C98VQhfee7Z/9V/8y8SnfOlL35egH79F79C
TN3d3L/2c2/ltjOvCY18hyiFyhkPlcEzdUMVLT9noFF4fEjoXdI9kRDdap43jpN62DbcGlPi6GLg
MGJ7msfgI1XBkelLt4DckfwamZMSntUCjvnyKA/o1unqxoD5B2Z4LJg3keGygAFXzvzpxLB7ppvm
uCQBVHldIm4tNLh7Guk9BlF4uLYzN3uShoiIJhMRCQlzt7yLa5bJzKaW3oB0LVNjMwPwqQmWSAwh
QHtPLz6AezgEZwfr4ea+rIuIuLuq+pgZRABRmg5QmPM7IKIEDwYgEWfkl+duut7fYGFzJ+Isa5i5
64KKRBxuRCTSzKyburu67pmLRRFFW6aAT965QpHDbr642BNzXN986fXXLu+9+MV5d/ja+pN333/+
3p3/+r/6J3fu3X1dROL5ncjPfeqljy5n7HpxsfuVv/elqQkS/Nav/b3dJCLtt37j7zfiB4f9K/+L
f7hr0hh/4xfeYGJF/NWvvPmbf/+rP3vy5P/7r/7ds/ce3N+3/+Vv/P3DvDsv5ybCxHfNvvjKPzbz
rj5Pk2p/41OvMJOaRl+ZuBG89okHn375PiLupl3vnZDuXV6elwUA7lxepEZERKYmZjYRCfFFk9Yk
PICACQnBrC/hS+/AnHY1xmiIoJpCmZ3MaIFIzKKm0mbzqOhjgMbEjnObiFB7NMYVMlfNI2BR1bW3
qbn5WZemelzPdxBX6xnhIBgcMDdJGV93EG6EGsSrGxAbs3eb97vldEZmYbnc7Wam6bBrTN1UmjSk
GQk8OOhmWR3i0fE473bswY0o4rieLvcXXc+8nwkUYxVwaRQEbWoYsZt2XQ1n6RDU2rJ0Blb21Z0E
lQAY9o0b2dUsjRiIBKkRHbiFAQTedIVZ/GynWLDH0dYdygfLKZBP3g++EPRJEYDM1qvdztgv2X3H
FwyBKIDIgm13HXTy9tDagXcR4CRnP/cAnJqFARHPzA2vdm0vaLMQMxEKtT0QcWOHC2zLsuLcdHVE
OJ8MODDgtJxXaI8fn1flrv0GDQh0XaQv6+nsrqbu7hiG5xMA4PnUpha9W18X88ePn9w9XKmZhUmT
9aw4MazmjIx0cz7dv+SHjxZdj8fzGXFpU1uOp2m/6vEswojY+xL7+ebmRq+vT8sKiI3b+XTaTbtl
Pf8sPgjG89J3+93j62ObBS3AdTfvnlw/vri4WE7n/TyHGTLspul4PO528/m8XOwPXRWSKeLx8CGY
BxAmpmFiCdPd7uPvS4fi392JwpOBBA4UIhThBBREYYEIQhhuYE4tEa+3Xd3We8SYoNoY6qVLMwBO
p9Ph4mIARBAhmNi9gDiDhEQWXu3t05bKgTbY0LU47hW4BTDBhvGozdtg80QExWaRSlxvsXPTCsW3
ldBToZs+0lPDAYAjxbSZhAklwx1il1vwD4JUSGls6yxKte3tHoMhAlPGteExx7KwUPulUUJNKGv2
clXcpAAbGaH7bcqEufGGcKivI+9pKMdqgLpN6RKLcA8m7qVk2+TSwOXjMkSAMELOSmnr1bHQU/Ub
Qe2qHBEISCMcMAPoJf+ckQmBpbtOI1ou9MhLy4VbwxYe88TH4zFXjskBAsDldLrc73K1ioivvPjc
u48eP/vC/d3F4cc/ef+Tn/7EW4fDYb+7/+y9x+cjN9ntdr/8y1+xdd1PM4n85j/6mrrzL77FSG/8
17/ViEQYEF//7CcVEqYSMwkARfbIBBbB5Yh1Qs7EGsxdcoSBI6AQj0YuhsGsHldC6iOJAUv7BxiV
TrG6MRFAVaLpQKv92JgIpDIAaQw4tlUTkiUEa/iNU7u75WIQIgJDeC2REulcw3dwh+4VSKPmjI4Z
P4/AUPpYwNITZvZP5g5RwX5TsOs0HN0VvwkAgF29vLXq5qswCRMTljZ1aES7WSDM+znTeEXcXRLu
GGbqvmpPMyYwkbC773hyVYRQNTcHhEmmAHOP0I/tYRCZBKV3PZ3PDsRNiJDnKapPwC1iFGrbC5kD
GeFpm8zf1zxEyMzKyJ3Sv9FUBYB5WuzCTJE4k2FvE3XAKocSwExF+H/OcCr9aubBRjBSdrf1JlZ2
ca2ktvSsrbnd4gRTHFijOKyNTnaVNKhdg9OL299YPWhuSov+hpv88mlmUk7Vhjev5ldjXwVbwtSA
ucIgxuHISjUAhqd61rIVxJYGc0sL32y/w4eRq5pcI3vJPpPNBuiuiOSadCsa3yiAl9jXPQjIB9Mg
X6NR51fitJolLBopnrJOQOKs1YEYKVWy2WSWdDRXwIhQfXXO8rSIz5TiFHMjInPDynFOTlIBZveT
vPHGZ8Lt3p3Lu3evLPyZu1dmfjHvBKMBwDyp+/TggQMwMQYcpokAV7ddm3ykf6qHUGAAITBxYrQN
olWYowuxDnI75HQ+QpAc6iONXK4DVbJxfWJWa/aMJ8XEpAfESMYOjExLLovvbQzs9iQ8heWiJJ3l
s+buOKLFRkIrDpJXEq0iixEcuAUs7Up2pIO7FaHuHum7tkIADKXPyEYmSweNAxIwchBBjcHRa96d
z3XRGAEoBiIsD/ktqi51vwm0U1URNveuuvaOlWRUA2sC2E1Tm9qydmmEntjpwNZEu6Ytpjtux38+
jlUNOCZfgpnNFECIGYg8G2jNfDSEgCYSGRKd0cAQrcnau6phGgY846qdhbtaOLgZAJgnI1CYBUC7
9o0sAhFddekdCCQ/i5G4bWtnYmIiQhHOgRkTgYhHEKcLBkT4i5/5ZF7AHuFudw/7X/zKF/PO+7nP
v26vf8Yh0uu/209MDOD3Drtnr16FCHWfp9nNAuDqcDCz1uRqvzdzQOD9bniCMc3Kb7/z7te//p2b
0/Gzn3r5wQuvoDunnj6gJPhq1IiI0moEGJNIOoVlmgBg7R0JACgDgtVdhMw0Q9XMTIg2tleYq7mC
AQR0y5hyNXM3YRYRgmlqbe2diAFJkwIKCCyBuJpy4zyHKCKjY5lJA7T3iFjWFQLco0d/sq7UptWM
AmcUFmqCGjHvpqnNED7J5PnySDufFmlC4auuu4mDwMAdHdExdMctzAIw1s5A2s0ijktn3j05rZOg
uqnanrGHKVhjbAKE3A7zfj+fTudMGSemuc3nrgpkxMZNTVf1SWgxk0YQ1lpMFN1V3JCRwtgd3SGg
q/fuHx7Pd0Ge9L5Dx0n6qvvWz6oX0gQY0fbc1ubzNDn0KxFCnpCu9pfvrjbj/kw2T/tr7WfyE/J1
oCAvQIKgFGgOsQosE0/gywePPny8Lsfz6erq6ub6hg7zcjoD047be08eP3//wTsPP7x7+Oi0LDNx
JxDT6XCw83meGiK69suLw82TJ1dXl31ZHWBq8/XpCF0/evww3G/Op720BQFXhb1jt34+EuCpL89c
4MPH13cCl2UlVWRSXak1RgBXdJPqBLQBBLmDz9Pc1Zh8v5NJKPai6jwBGcpEGFMQTW1aTwCXlxHR
rq6wd0DcSZuWwzMXVzenm8Nu52EAMTVRXUXALJg5gJb13m5/dby5nncH7d0AJ2nX5+PFvD+eTodp
LukIhpu3WfpyZgJmUevCsiznqf1d+tJsCDZCRh7WTJSbnExvC6umIdzdrJq2oNv1HRVCP/nwCbeI
geSppQFzIs1yJEeIrkbEVq645FhCirWS8ku3dxXcRlcknYjStBMM4JlK58mPiSGWLR3XqNEzqBRT
KxXF0oSNCwJPlUcjORwzlLJ+oHAaXbFvc3/YVKh5aRGOiBIbYZ8IaAkfzia8lrexCVhjG3RmD5xx
akBmng2Yh+cJXm1gbJEzBZhxK59bKtiobKhQWXApts3AGKZE+FSylztCJnQkNhMbcV52RGjhTKwW
gKTuDakyaSAIgwevJc0x+bNk2KTmx4uYfkWuiPm0aD4l1stYQjdgMvcxhAUgfPHBvW+8995//pO/
SPtueFgENfnyW6/nuoMCpja99OCBIZx6//SrL969d3fXGnrsWmO5smyZRJilEQOAzHsNg4LrgmCl
CApFbmEQKVdFaq5pKiLE3B9lkgozqGeFt8nLc3eNmbCDVElghCl0Ws00y7DKgyFzA8S10LQmLLWQ
H4amKjs8nWbuREVbHBG7jGTmjpExwoMKC+Na91tzUzgRlXg+kt7h5hZjA9b7uuo6TcwMGRnl4V6R
tpa1WL5q2aYJBt5u0YsslhWYuYmImkb65ZwCDIly7a/mamEalJ9WLekcIswtyZ1mFtljmgVAlk8E
GEQWjkC9W0NyN0qesAWiIQZ58Mffl14/vnEzVWMWT60AkXXT5eQeak5E6J6pzrlaaUIRNoZXlSya
WJ9q7czTRJ/+0nJsApjnHKo0riViJyqFZ6n7kpRrY0GanaoRESLHliEMYWFYfrpEMfHYzcTwysUG
CU97cwIBEgySabqmhmmNxdswq+xfK5i0bHm53cRwIAq6jYuuowxGD7xBmMom6tu5mhjVkXR6y03F
pzEy4weOMfHLch2S+ZmSS3PPRJwAQCCPW99E5XJBYFm1g5IFjZj+qQiQNmVaJyEK49CbbL9JeJGC
K9XJRgZJSnBzg9zSTprDNHcP8tGDR+VFOyMA0uruAYaRBwxhtqY1iSWkuvhGfLRHdIBMys1oTiFM
YyezqDuNuQAPSFiUTgeSzB8WRKCWYZjMRJxWF0I1Q6RcVzJiY7axjveIOvQREIKppjCDtg6UAbMB
yefh9DRbqr+9FoIDy4sQjFRMMqSGDOGILISaDL3q5aEmZxGW4VuJAwTMVwy27PEtvmVTgMbtyt69
+NXZERGSb+v9KCvESGeipNWGb5lS6fKtp6522oOqkHggHBZUdxcmc8NbXUCFf3k5XAtFXSDfTGUj
SgmKar85Wpo0zV17F9oSU0N7P59PhAyE0oBCzczcISqUL8xsmpoN0loCykkEhy4XKk6AawiCKE0y
/XYIxTMN3rNfdTdVZGYzZ660H4iIMICMJHbCll96MqmogVpPRzpTg3DEaMJNWkSQSETsd7vj8Ujl
KNiCCjDTtz0CTT1ze9xlNOUjLybXBNTNMgAtDfCtNTMVIkAIlEbiEYFOnFMEIsS12LCRUUgG7mpt
aozk4BAhTIgwNX79tU9++pMvNs6Y330ugRFJpAEEM7P41MTUkJmZ3a2bNaLVrC8rC3tEQw7Q8CCp
bTgimgMHqIU00Qw2bNTa1Pvamphq0nMigEks6VFI6mF9zRu0tSncMYBZzmufWYRY1UTkaItoRk6A
RxghE4H7JPnX9DbNANC4IZCbC8t56WaOQTfrMgF2s1W7W9/xRKZIgL1HuJRVHsyjG0BYkNx0p7kt
fWGeZmYHb40P3vYTs08i02rmApO0YDt1ZZIbtUnw0Xm1aV7MiTqbndYjC7jekHNfb4gZXclR18Xc
+6pocFS9OswfHVeb98e1UzgidNMIPccaaChBEjugKcgRDLBbmNP1WYHbzdE5/PHjdb6gfrJgnbE9
vHly5yqO5/XDflzO/cePVViuT+v1aXl0be9drw+XLgQdsJ+ULy+un9gqy37pL1/ePbzy/PWjDy8e
PODHTy4OF91WDH92f/HM9cNnru48+3h68f4zj483MzcX1HPH3WE5Hps0RF7WZb/ff/Bwd3V1dXNa
HKFJs/Ph4nDph/nuxYUuN3viWWK39LafolfB1HW63F/c2fnFxeWyiEgLwmVZ9/vDUfhyfzh1xYBg
lnVFEfewMGqtAc5Xd5Rpvz9AP+8QQWia2sV+9q4AMLV254Iu9pc3gvO8X/sagK1NZ6ZplsVERLrD
eVlhotVoQo6AZe1NpBtS14AI6+ErRRCb6DLt2UkLh6AWBMuqPcwVmKgFnc6+v5CzIcjHd1ilmAIA
wtXCIICxERIFEYSno4NQwd3Pp/PpeKwwgkSsFsmdIq8icDdLAUv5ZzY0fwQzC0vRaTEi0EZfSEMA
627mQWkdKVsjeUCM+JDRoUIERum7qkUkhGFpLZFbGR3HwsEDSquc5XBpjZJh46kV76rJlSNEiyr6
R/zDVuchphRn6yJSfDVm/FZtwfCyhmeKZhWjY+67ha/mrZs/qaR3FJPzWuLVFIlyBk9k7mnEJn0L
S44IeriHC9IA9Y60U8C8LJ/23WbFNebWAQEVRAkR4Dhi7vN6UDcEVHByIAyg3KbiQIBGRZf7CCVM
aG1gOleFCTBdXuNHLaxoBDgQ1gWcrAuzMNsBfO2tNwgytr4yUDuEI5zW1YgFEAEUPDmlr33qJUDo
vTNA9HBCC7dwroW/Z6XfwzVKTYfja+3uBuHhwpLAraRbrWEWTgBTLg2AgMDcXcM9EDALPaGa86Z0
0MN5eG4BoXv08EBnIgqg+rDBE+QYENhzxJ7SxG6WSyoCTDb1GL0P5sZQDWwAHqxCJJITU2GtHkiU
wb+1t09QoicUFkfLAOvafbfbIpQSZF0GUWKEIEK0kBw5ZcquVyhtFjG5/kpjIWGNgXIX4gHqqlZP
SxMB6zjigqmyTMKsns9EDSUphkqtCVmzqhsBQYCQyMxNVSdJiGYDxP6xqW+PP3oEESQsbMHcTZs0
Xc/rshRsK4IAVtVEQ99K6KuPqjCnFB9sCg9NbE91ehh5WqTa2bNGTSjH2MWWiH8YqaPqx9wc/y1F
bkQpSrD+9k0wklLbYa2sAKptG5PSRfNN7Hwb+LtJhYdztfjLtbdPOf7mGrvdoW4SzfQmbH0sOgRY
jExQzLhdD09i6FBYwGi9SyibJJccqFGFemIMq/otiK2EKjUvSr50oWyeIpfnW5wG4NxDVtufqPBU
ndYyq6ZAUWIOCIiGdXfk2o0QF9VEGVHqYsIJkcrACnlcREB3F4TcZmeOlOeAMkLGEHNE4pYv3Qe5
mGCEvkZoRAPceMeMEBBOmGGeZbAcrkiNaMR5auWKubgCEeCw5H0AAIAASURBVOY9R8AWnmdKHrM1
5Ryb3gBPVK5gNndeKUQeRIGBgMhIvaK5U2EbWep3yzsJAVHNcoiTvWs4bJTE3JgnRCGGaT/qKKae
UdmUemweD3yMXWJKrjK4uMj5ELdKqvweM6fkqaAjjDE9yYFI8tWzXcqpbU5i1KyxJDCpKAZPH0G1
nA/HyJNOU9WS+9wyzmMEWN38cXut54BxCPdba6mfJcRWM5q0E1MuCxMzIcLiagFAQhWUjNBEtnhg
U2vMKTlbeyfmNFk1YXegNPCG9255AadJIpUeIkxMEDDRVPxf5EbZ8sQ0TWvvANC1XDlMoqpMzJIq
GGoS5o7o6VcxDzNLMBIBqFl5CeoEKC9vkhLdPVjMg8iZuK+aycHbrMqjktnSZu06qOLlUgZTZ8m0
sSy2ImH9xOQeIlKxTohKERl9g5jRanlkC9Hh4jAJm1kO5tQ1YQ+pflGzWFcEXHtvgIgkCGFGxAVi
gSBkQNCwPBcaMwByBBFPDSLF397HYIQSHRGq7m5qJJnYC27KSIRkFIhAgE7kSA6ArRmSIwhTEMxT
Y0kNOYX7RA0AHXHtFozXp0Ucr8/HqXcElAhCp3DsTkiktpvEkBnIgo/nPs3T2oNaO65LhzhAHFe9
Q5MZzCyqJsTYgZx9gcfWr3t/cqQnp7U9kePaEUwJlvMyHebT8bTfz+v5xtxbm9ezr49PtPoRtNH0
ZAFp8fBI8+Qn24WuMMvpeNxd7I83KzO7g7tP8/r4I2sX5+WoJzQheXxSauuTEzI9vl47wkck3I+n
/eXF6fpJk6kKm6mtp7McDsebM7d5NVd3ae3m5mZ/oefjiacTIC2n035/OC/H/cGW01FkQYD19NHh
ztXN9ZOLq2U9HRnpF+/ir/zc/sXWLnb7e9xu2jyzHN1vbF0NAOTJ2Rbjj661O9+cOs1sq3a8Yde+
9ju7Hdp5R9OlwB5cGrj7fqa9wd2ZWsc7jU2FAieeXKRh66QG0dp8sz4+tP113Oza7BZGNE3TzdKp
NZbOjHMAREwTLujzDMsa6jA1YKMLCWOg8IllVXdHVXi8GBmY+wXy6ehO9uSs4mdBPJ9Pdy9wOS9N
gKKHA7rvmrVYAPvErWsgupDPjRvj2cMBgcQCgndHXKeYjqF3ZBeaTk6YZBIBNcurineym8VXPEx/
h31pBISFSREhnAOFsAkzkVKsS4cAC29Tu5ybNB4JhAPdTpnKFRQFk4AhidmCLtI1SszmZhGEqD5I
7OlueCptPt1lEcCMDhhY8+NcFzOiuhOxpWwwN5+brGdITLFGoXGboJV1gCZFE1Krkvee39o8UJiZ
Ocb4f1PxAT4lisu6Z3PwYYw91wZVykiJqtxTT5wonZyRE2Fl4WCpf5NuTEN7ZgFpP9xWCQTDskW5
xbWxcci7KtlFgUiBYNXK1oeaoHqrVXCVawksyS89C9Axp/A0AtWqdUxaM2WkDfIxE3puvYgiRn5P
WXScSZIR4u6NEMOJIDw5ElTh6IO1n9BiGvDY8/lMTBaRGrZe1VIEgiIsZg7YkQki01WsoPfRWMhc
ktTl0E0DMBfNVlhaWMNXdyTmClOvFjG7RM6/fZh0coOSoF2MrEsgIpvY6plK2+0eAEagburW8uYF
RESN0DAksN4n4kK8pB3OszKqtXjUMxGjFS2FAiCFh6UZrHjRUHahv92sju8z8a1c3SyAuzNTZkF6
AAmoGRONJgGtfIRUYJ4tiDVfKNdZKHPpkjJjvvVL2UQ5M4OHq0UEC8ewz0blagZguBuCR+KamQKi
dz2fzm4e7izsZlaDrfTm5f/TEx+TxKkKn0q9T0Z9RBiEQf/YOl7iGAnDjBjIy/ls2s3MLYowBYWo
acxebTmNdN4EttXSL12ouQiKMEJCzsonVdG36olKOhkxqKP7yEI35X2BmMax0pxsI7kYkt0IL8CI
R/LUiG8Z5GEGgD7E8wDpRUfM0NAYYOeoRuipAOYR7hLVBo+o5sSsVMk3njqCwQWv08xqqx+wha/W
vw0AXf7jnrKjjmVrxpri2HmWQDycSXI64yN0uZyKGxTgKTVNPu2QzsXwQB4uxA3mlJCjMVlI7e44
LWHAEG4X4u7hKFxL0W05mTMUruggrhlNjpMqjmtrkkrumXikAjIHBEQ3Nw8a+U8MmIOtXIXXat1S
5RuGEQ48EMhcHEFzQPXbIam7I5OF9/phClTPhGYpEg4AkhxzOBCGVUsM7ooIFIgZNQzogYzkltAF
Z2L3bE2NACGsEViujREzBpzqqSxdbfZ4CJ7SeN92nrcGUaSiXmFAUBTrbiR4Q0AR6W1LDC7uclHa
LasBekpdVa0+WhjmDDsTiwAoyc0xHp1soSuoxuFWOVUnJ46EU0K0bJDGX5mPer7jBZMrTJdvuKNV
dY+BCMw0Nel9lcZmhkCl+kLwCGbOGWKYCxF7qJtltJGqtsbatTFjhKuKyOYp2j5E95xm8fbrMxMS
eEdi8boGJM20Iu10OrVpJioZVjmE3ffTVFFsaXPKyy+H3zHikQMg0MwhjLJhreApiwgRqal8daac
e4mawAMGJtlEEK2wkg5OIamsYGAkVcWGOWwmFrMgAmaK/BIREB0QhWQM4TMPGfKb0QiFEKL8ALk1
QCqaH0K4q4ZZcaK72ZzyOXCOJDnh3Bp4CHO+k9ImXTUAPYf6WVERQiI61BISEIDmZubibV1VPJhl
1T5jAw9zm6apd/PAQFpVneS8GFJBAqYGx3MHZiS+vj5dXuDNzYoi54DjeUGx3nXZvG5M1q2Hk7TH
N8t+356cAtGQ2RdbEBb3mzALvDkv9y7mh0+OwotC6GrAYt1Blpven5zOF5eXjx/f0NSXbufzh7vd
4XQ87vaH0+kobQqIZVnbvDsu5/3+vHQzM5a2LEubJl078Cnl3PO0WteUIHTtu/3ufDzuL9bT9TW3
G3fsy3J59+r68eP5cD4fTyItAqybNNHeWa4BIUzn/e58vLm4ujrdHKfdzixMdXc4nK77wXQ5OVJH
Cl112uPpet17W4+dGxLgspz3V3xWx+6LWmNOjUDvuq4rAJnp2p1FllOPSW+ul8B5Pa4i9LC192+W
y67vnc+0X82M3ARxj3gQMIy7+3aMtptIjYxg3u86oUzziurhTA2wA+9u8BQsqzoxN5Bj4A5Ikc5m
RDwjTUQruGAgWAOYUZ8V2ofdF96ZBzg6WF8E4byczPTh0UWmm9PNAeT6pk8ua9ez9yuQR+c12v7G
HDk8nMCFcJK4mMg1VrWDoMyyE+RdI2IgmGjezc20sUyxqlMLxuP5fJj3K1BAM7CILiQO5gGNsFEV
fBx6iTijKij6SgiqRsyqtnQwC4Rgxr4qknWNbOj/LhtTv7VnYniou+OieloW9ZimGZjA0QBPp5O5
yzgGIiUxFeUXKdDNGzrN82oYUHR+Dw/gbdBeKpch39g2eYHhZmkl8HGBeflAIru4lMV6lFg19Uw5
rVcPBGBJiF8Vf1sRkwM7ynqU2KvtyvgToKyhR8Wfk8wsRlIkBuGYw+7hcd20RoBP7SMDYiB/ctVz
WzklwMPDtys2a8fcvYyULyymKmR7jwPaUSzK+sQGwDdrPkwEa7E4vMIVYKu10j8WCAgcOegdxZiu
67SfIYkspeSriTvArWFSmNEtiTyDt5/XTDGkCJEwJC1do26mdFS6W4ADWgQBTPkTowMAJb3zdudS
9k0LCAQLz97eATp4deiEEBjuxBljEg0JIzI8kxjMM6MTHUDTPVU9kiAoEDrUTiR3pwQAYYzUUngK
iIQa3h3cM/YmQ90wV0GraomqU3+eal5K6hQTIBKkvKghTs45u2Ek3iD8ABqeHQLe8qVRI9GwIUAy
IKjbHCnr1BQlpgTR3bna2gAEVcVcXpf4PABgF85c1Ox8YYbTh819v+9InKEcQkgYDsHZThWCNYhS
iA4OYObpBEXIMN5oTawrM7ujhYdpDkzUbv1gJQsMzwpOzVeLlCSEOSGCGUKk4TarfzVDAzN3CwTE
wAz3dFdviA6qPZ9WVQ38u5x+zIwVAIityeHiQAS7w+VGj02Vb3qAmba4RRDiihjNFMF6/24316lS
RgIPg5InQKvBFppHfoZjMlV88g0ptk3BMup6KN69hNz1bvtTHStsso7N2kk45BwIlEfSONnG4XMb
fAIbfdo9q7tCNEGMxKNbK+mmvI2RNg/jJN/+1/JnEtFgc24RlF7i8G2GmGzkLQS5gmdySJeBz1ty
x4CwpcuxxBoQty/KhonKtqSGmAU2d0yNYpGxyYZ6cWMX56fnkClfabvNzqoqaMvx0NAOFNaoQABZ
Lkel8lREU3olCHxb30GyzczcEE3hnZ/87L0P3l/dUhHKAFcXF29+7jOttTTBFm0JY1WdhTOC1RN/
QuQADshIEMaVlZoOxLxSnDM4iFnNCMlLoJMLVxBEdVd3dBemDETpDoDU3aHWyyFEKf0104abk70A
ug6QKmvw0rjmfzR3FoKEJxIgQLfKe5GMkavA1/H8xBZcnkIfDyBHL6dP2j0CALZHaITSRUEiUkLP
DJBhoZTDa4Knwn5LloBBPPhjZc1AL/ASYo7bhmE7+Rcl4yd0j6xDsGKmKvx7WHPBzFhKMkBIYdF7
165Dn+99XdNxGpsh3MM1ZFlXzNGvGxK2xu4mwsKEIO42TW1dV0RqrSEqIkUy3DFnwU7MoGoGDGhq
QoUWR8xBbmDLGUZ+oa7aRXhdOu5m62HmeTKmqIxZapAf0VoKYJPSASxcVgFAYlK3wmebM7MDrKoi
ou7E7OkWsupye+9QOUucW8fVonsUmZsEgQGciLIhJ2Qz9zT2FEswT5WosWgFmMaqSoDrutKOTV3N
cOmr9jzx3UOLD5SOKDRDJexqZoFiaw9a9THaeemtxaoKxN1vFjVDMgdz6HHWgHPXw+7w6HjyQG7z
cV1aa+du2r1NeH1aziAr9sfnZWquZtfrMk/zzekccGMG6rHCzbpqMDng8bxcXlw+Op5WB2Zezuu0
W1Q1/VThgXR2cw1jkrWv0zR37e7OIuvamY8AYGrTPPXz0uZJtXuEtKkfj20+m3uYc2vr+bzb79dl
kSZA2Nfz/gbPx+P+Itw8zCfQ47HP0XUNOK/E1HvM4ctip74YuKu2GdbjeQLSZSUmZu5dAVC7MktE
hPmCqt3Pp97VAyFFjDl6Lo8Vk8zzenPcHXanG5OpeYE6CZC1uweui+bIU1XdbF3X3vu8F9OepTQS
upmrISmwhLt2s0VXWl1hsVXmybobuCvETJGMP+a22zHL7vKy7SZAZ4J7l3TvYr6zn8/L7t68u1Hb
yXTuK1I7Gl078wo3HdZQZFy73kgn9YhzQ9S+NkHXha1fWFxZ5gSEuF0Roa2N0FQJcek9mBeDUzcJ
PqvuiG7WWMRvHKybORIECvXsCZsgxm4mATnsYALa7cAU3ad5oovYXU4y+Y6IqE3n01mxhbvF7Bjn
AAh6tPQrmVa1xoiOfVmRuPdVBMO7dReRCZRjITizO4Z11b5SXzsAnboDBTiGOwMo8EkBaVanpNEI
E4DNk5gpESJQF5omMpPd1D52XYbkAasaWwREspo/fPhR1vrEQsLrugRiTJN1PT55kqOHCOzmSDEc
KRzmtiV6pcPcfBsbZ6SEu4sIuOdmBmsVEDH2dQAUnomw4ODjgqvxZN5DFc2Xk0mM3IsSEhAlwDO9
QFXfAG6hzvn3RbEWijKfABsHEMQS3Hj6vigGPncUPSMXfgh0i1dUqtQokRumCJluOcC5Y8l2FzbY
AxJgsoUq/iE2iubWRlZGyxji1igfNigoBEAIART2phC+Y+DwVDschUfKnwIrVTMQAgmneYIEdQak
HyankxtgkzNJG72WAMUshmRRZq76jBypWMbyeG2cTw9wh+zJO4QUWyLH5MYVF1jerv1+P887W5Zv
ffPby7rWZxwAiIvqF9587d69u4Q4MaPnPBRW0/zKsBpqCCAKc8K0nwigIKkZIQg182jMaFVV5Lfa
TRmpAZaeGTEwHt8cI7xNEyESAAU0xB4ORAbZBgMFMrf33nv/mefuZbNHT+mEcwyQ3wIDuLl2/+CD
D1588QXOot18xMpAd0dkdJyZOTWuPmTWA7WR+b0OaBBRvU1A3vtR2l2CkIJRAyCoAePgzZQlkCA8
IStZh4Fn+mjU6Ny3Gg4tszbS1VKunwH5yhptoI8AESJNXOmzKrxvKnUDsKtlwGW3CEC1OC3LLA0A
tBuAp/17Xdd0au+YRMQi+tr7ukDCvRi7mYemODzczdTgY/elmPq41giJm7T9LvO3mCVX8CiQrODU
opfMFUuXOMZSjoGJ9HQ3Zso0Y2EuBkytIeJpbG/O7zb9cwSog7sycxa425ArzBJIQyPTZXNhw1Ob
km20gbfzlm2SlfCgJJ+UplfNys+VWamDKlx63fwPiEnSyjEiDwnudhr7yLaCzScKFbs6/vSiR+XU
0sNTcoCw5TqPfU/8rejpPCeZSa0AUmUjzDsCIsdMWKO3GPxa2DyuhXsNVKuu3iPnX3ErzUnfN1IK
JrIQT/G5j3TuRIhTZDoxbl8iIzCSume2tI/xX3lcodA7WMwkMA+MzGQFyukkhCMsrh+8/+Gj9z94
683XHSMADQGQfvDjd7/5Nz9+643PDHB6BRYFYaGaBkDIvY4j2kBTHgBw7vYff+9P3vzcp0+PHr/1
xdcwCgAESTgcNwsWVzbHozSkIph7zHCyEQ0Fo92PCAfnRPDny8Dc3QJCHQSRR8xZ3pJqJgjmeutz
TC3REFhtm8YsPG4nIIBZw5Y+NjENI5JrWCIBIiN2/lYUXP6XxgXrj+HY9jGFr9/VLUbw94gBGG5Z
RDNN0vi228zdYXo2x6UM3TR/WTAPt7glAuZPNACQVi+RWWjXXLMjwOY6DHNEFJjYTh3AmaXcDsTF
mcys51HgZHwoi2TTqF2J0a2a2IAQFAXMdS2C5CuTlsg8CJgo0BJK5OGmlov4Sdq6rgmWSv0yEngF
6MQWYGVqJJMHqFquGbuGmkMEMa9rJxbzbqpEDB5mYGG5Ipsar90soqPr2oERKXr3HmruqjZNu3VZ
MzitqwesgLiqGqECqjoye+Bp7W2ab05rOMg0PzwvgWxM51UJjxh8XBYgXdTODtymm/PiASRyc1yV
CJEfHc8gU3dX80Bees+vrXfl1szhuK6cTWAAi6zLIsJEfD6fp3mx1DXRjamxiJmZqUyTrT0ApDVz
YzmpKkRwW7wbIDKL9pWZM1BPJundWr/pXYm4NTov2qDn7IAJTPV2OjDBunarWIhwMFNlntzcrXAk
qkPEgBxALJMuC+eT0ZiEJc0FA/2NSLp6APTTGkDalUStKxKjiKnGPIdHoBMhELPIliRJSEBMLEjC
jIAg09TP593FYV0XaeIxMTORIK/ZZAKSdgtH7SdbO/Kq3QJ6lrlk5lbejyRRd9UcDRILIbs5oURK
qh2RmKcJEUWkM01T61Ob97sVFyRsrYH23W4274yIIqoeHr0ra6zHFYFNTXv/2Tx971rb6fT+ukzn
8/m8AJG5+aossjObMUiYCYRpYRHijony5BXBYjbad5iv4yYCAZnCJ5KjQWBbwWbJuHFqwivRT95+
74WL+c4zF7MgNbqcGFecOToEBpnHTOwGEXBcu2F7cuzK++MROpCutoZdRjxZFEmP53U/Td47AMzm
HazrGQEm7C3owDrBgmzEFMgkBIhBZEDB0wJhyNceSPPJewCJNASd5p15tGlq1ucpI6FYRCSTA5uo
KnJbFqVpWnQFBO0Y7syuFl3X3o35YyvZatQVyMhIqKZqlVgJxdbLeHlcz2tfVteKmbfkDhDkGLLk
LpGzf8oeaUtgKbVYpq57IJFavpgcRVvIO6z4nzkQT3BrxmEjbIGQ+BR3w0fhTx6gqhs7MwYzqWAk
mWSAmWrDvtkOYCsuw9PXCkAiZpbtXRIRIwLGehOekp4lAIaSvJTKjoIiVV1WWQeItyGG41egrNHD
c363IZc2tdmoujIFHSxqa4BR8a21L70V8mzD60q3r1iE8NsbNMeclQsPxBgeiMEEjuDmAKTuGxAo
e3YaEX8pHLJRPkIycsJzXuzuQpARNbl3dwhEdqgvPWs2HFszGbmXZTtCMsvHhwDhg8ePqckvfOWL
GaLZkBHg/UePvvv97z3/4JnESrjaGpoD2IePnzzzzP25TTm8qG8tEAgtMqnFGzGCG4CHXz95cjnv
mrTUuOaSmaj0c/klq9lPf/bhzfHJF978XGqSbCj5Ms3cwgU5lXd//Y1v/cqzv4DMT65PP/zuD770
5uvu8c1vfOfNt15r82RmRLx2vX70RGT66U/eff6lFxI9SIRcCscomzRTRqpkm51FrtdAJQ0rmIEE
OSJIDEuKepmJEMlLrIZ4++VHrU9piLPjaXshZYINgAMGYEbWqXmNM8KJGCEldkgiW9lVc6qKG9hg
zbkADyBKKJcDZs3HRJnWIMiupoTeFQHW89lqPoWmikwAcTqdmjRX0K5mbqpmJo2Jc/6ffBTv2ruv
H9vFYEZAFJhZ0EhIkvH1kAcQVMOWPVg2P/WSeu6bKBuesdtj8tKfVvNmReGunupvbRqHQa7OCUIu
WsqAXWfgImawfZ3G9XZXAhcN/FauczkNDds/P/85mOSb27zk256WC5YEY1Waut8UPMYWngFPwc+3
XaiPdeKWBRLbqhM2BWuMIxZSloyIYSl8LRjS5v+HzUmw5YHlh5+vswfccmLS5Dn0HreulBEcguRj
toI4AiDx1lI++OT1d1OAupFQlGGEMyAt3fxhTsJ5+lcWMeKmqfHqlByJU+RPFTNTvHcENAfDzOhK
dEBi+Sob9uH16e6dO7upAYEDOJJG3H/m3o++/T2osBN6++2ffveHP7y6c/GF11+jaRba9DmACKZe
ut+8+5h7V+366Hg8e1wfT9c3N9M8aeD18UTEF5cXj043vqxN6OLqwt0BwVwpMge4sG5mFqXiqZV0
DhdozHCHl5lSKZ79kdWeO6VG+ZF7nv95LabYHQncDAPTAVv52LQ9EICA3TSHJjSUsjAu9OHSrf03
DGb1cKeAmTNUGTMsRXC7eB8I7BjxcEMSBQ5AzO7KlPOmcC+EcnjGB2Zzti05nXNQANiIEbEx51fv
7hm1ZR4fffjQTd0VCYRbcobDTRiZqU0Tt5ZYf1E3N1v72iaCAA0XFncwS/CDZ14fM2d/7hkranYr
kMrf3Ifk9imHto+8eKrMrpwTBRHmVKzmi1CXU4Cb6TTNbqFqwpUok3pdAAjCHxj/9Efny6tp6do4
erdTNxZfzQ2sp7WdHQKuTwtI6x7qgUhdvXebLg5PjssCgSyWeYgBakF0UgtVbbtd77qsvU3Tqsoi
QLgsK7YWEd1URNzc1KbWTM0ikLlW4IB97dM0e3iiet3dzaS13rvIhES6dpYIAFOVVk3+1KCvSmsd
ohw9AEx7ShvVnB17N4OeLhgK7N0aMiAFMSBhEwwg5t57m+b0djE1p2Bu7gaBLGLeESks3DwEkdjN
FQ3qQcf0WUUAcKE4kYXZRZq5gzuzKBoiAyVPyomJmAmo9w4tEQ4G4bo6SdPVOpuuBhEyNffQVU2D
GZCZm7Rp0t6lNfccu2LeH9wmBARC75puISKMqYUbE7kZTjv3jszWzdXP14t3OB9XM1NwnsA1zBwC
rKu0hgjS5sVVpmbr2qYpfTvIwiwRxarJR5eIiYQIiYmYiFHPSkxBBauPCHeDgHVZwLyfV+saZnDA
5XSedjvta5vaxholIWJoOyGGJnMPf3DRXtnjg2k6Mc/S1tbU0URMoZN0mR45GNDS+46YPfZBkRA5
MwoT1x0o6fkO2E47AKxq6NwA+no21Ufrut/vbm5OHeX90+mPvv2DN5+5fGl+9dDwellv/Pjuux/u
ArqtV4fD/v4lRcwBCHAltGOgCe/uUNbYtwgmVdzv51jXXROMnZq1eb4+Hi/2h6Wbk0DE2ZRpXmCZ
eW8GHuTgzDwxueAkmR5gO56YaXZDhAkZAo7dcA5zW9bVAW/OPb9iljifl9ZaGoYwZRxhwsGckDoi
BHGepvbo8c1TI7r/vyuzpwqX3DeUE2XwfFgkIiaWqe1wj7vdwbQnOrXsjsK51iSSjEkMuM2kA8yZ
AW/CnIAw8woZK1J84C0ToryihAjIXgsHDwfiZJuTDuJOLS0hVK1iKP5no32pmAR8OtNv4OYhAtxs
m80CAhN5BBKnFssqQy8K2wiQ5FUazWNAYMKKqQilhS8cqRvu4beoD3QI8Gw20D3djAm59dKubiTK
EaqW+NlNHkdpIU26VIEoEhBCAeEF04FbUVoq4hJUgLWM5XHxpESr6hsYu53Ce1hGv5d8LjAQNWIi
SWVdQm44qCAuVRBUAmr2wApgZoJYXZ+FVIHraSuqizJpwIgarmYWoT0mkdyPCUkyog+7na4nRvCA
Rftff+tvvvmt7z975/KTn3r5pVeeD8Sb8znUmNjBT71f3rnU8NP18ejxzJ07wCG5zwH8D3/0V//w
K2/Od+9AwLvvfHDu64MXnv3o+ubR+x9cXVy++Pxzx3X93g/ffu/hzeGCNAJcf/yT968fXb/y0gsX
dy5+9KMf35xP9+5cfeKlF3/yo5999PDJo8c3jNEDPro+/Zv/8EfPPnP/fFp/+/f+88ufePYnHzx6
+PjJ5z79yTtXdx5en+5ctXRUlnI7ARsEERkfhJkJVJCk4rLUa+Ij8HZE3CbtvzYKXDzIDJSNHGZa
eNqD8nhXtbJAjzOA0osXkE5dB1jWJdmHROBJS1LLmiyfqwwUGCJRyviEiMCMyqRMUKunVl3NPQXA
SefCzOoIR8v+P3MQ8oevfMwSaUOoqqoTEjOFp20TIRNQh35vNzX++DLeqbU2tXmegRmFsmVyMOu6
HRp5BlIdd2HFlPYMr9FhoapIp67MLJzwnuTN5JoUtjz5PAhGKFO1uHmSCJEmXAOG7GL0qWMcNwQT
Fd1Sv0hmJ/Kwo9+OGwizrshAYObbxK3qosuFDxsrBBMtSbeAohgpKfBUmAclZtm9vBjjJ9uwutt5
63DLD4enJeuRWb41W8EMhCwIXAmhc/AXWA58t8y/HPi08r2PRqU0eWW2dvOy4yKq2+YrRASPsfEO
xOq50rcP6o5EPRyRmdAyEolyMxdJL8/kJKw2HrbEMjMFRKv3sxQ9BNHLvoEQkU1NzmUYwgbySl1h
NH5pOTaAxV09kjv153/+lz//C1/eXV440r//3T+ZOQLoy1/6/A9/9M6773+wP+ze+vLn/+rPv957
v5p3X3jzjd/9nT/ww+Gdn7yzfvELf/xnf3mt573Q5954/Ts//PF7D598+fOv/ck3f3BnPX7tq28d
fM+EFXONZICCJIgGhcnyEjYXkrccNBXdU1FHkRpXrwC2yPULoWNynNEiRcJSbJdwNxgZcpUW60OH
g3WqAFHpwrZxl6QqJPsx2kYTCBBIXNdueVhoSwu/pcfBplDI3OuczlDuu/MhZwQPK3b0WEvHmLEz
EfrohNO7BKSQ4ISKc/OKPkNhYSYPN7cnDx/tdny8vl6WJczdwkxVOxPtdrvdfsetqWru/HbkkEGU
TDS1iYnMdfj1kZkjoqdnI4VARIhg4amMjd4zaTSLxAz8TnvxQKghIvbep6KS1EY+PZMY4WFJExGZ
3Ft6tG6XDY7MpWk2s28d/f/13RM3XZd1mndmuqrOu72aqZpIW1eVJplt0xpDCbewDOtP1CxRJT1X
BwBgqq01jFA1tnNXi4iJ3NSjLyKydiNLGF226oaIp0VNlZtwoHlWlIjMQcgoFkmFAg+LEkBhOgJ8
Az1Thr24quXpTISmmguNZDaq+cQSgMFMzABs5sTCnENESkRK4kzMI5BMLQDdNCfC2hURU5mWb04w
IzEipwODWxt6g/QHYQhDXq7rMqD5FTybMhgzz0h6dLLeU8NjXU0ciCFXLqiA0eZGTG2ew6xNU5gx
CwLm1Ww9VAOR84d0U+LZrCPubV2xNYRKsrW1K7feO0G49wgydQAKBxYmEW4sU9vt92tfEZBFdFkQ
GZGZWldwM2bwQF0tAvuqeevn7CAPiTAFZtce4Wba174ufQJSBeuupBHklkr8QCZAn+ZmukojpBZO
u/2kizTmSeTVZ66+9MrFv/36O2tUvAE4YpCZQ+DjxR+f7ahmEEdbjrDmSkAoGuguLHRpERx+wLjW
xWM69UUADPC96/Nv/9GfvvOjv/nZ+x8w9wfPPffqq69+7Zd+adXV3HdMFOLeJyGc5WrmvvLFbjeJ
P7jk/Ty3635e/V/+f37ncw92cnnxs59d/8NffuulT33GsAHi9Xp2kCdK1NtR2+nkE5Nq78u6upN1
9e5hoEa4QhzZF1TZSUMwsWWKjnoO64BEROtqTO3c4eSKSNrNGR8vdjWBgYCBECGzIM8ku2nuK4hI
DujaNDUIaU3VLZSIAwmorbZya+7m7oyYM01Chvj4SrZsLRCY0ALMzXJG5tCaWEQAzPM8tXlqOwy0
CI9cDoK5Z1omceEqxqAztuyBBPeNymbLuAPM3XhKtiIaCw6La1o7fKAaUqbGiR0PDwe+Dc6OCCMS
BA9zYTZ3ZIKAZDDmkJ4rXhK2cHMfDhPKkPDIUEgMcCuyZVr44inPElXmXy78gPBWjTbAmF6g1MwK
oOEEc7At8GAkbad6h/Omd3PEQMZ4ivCbZRlT2eYibrcdeTfhIDoNLV82kBSbqQxuUSVjQ5bq4WpK
gShuo3KckCwjRnALg8nqCzP5MrVnYMARxBVBPnRVNaSNwFQDV2iph9TvFODGlUuORGie0SPF/7UA
yzq3cJpA4BDRWHhIrhBgoqqERNpXv/zmcuqfeuW551587rf/05+89eab//bf/eGrL957+50PP/X8
/Y/Oy5c+/5lHp/Oj995vTV68d/ezn/sMIEwspqbldInv/+Cdn/74J3h58c4HH376c6/Ody7/+ntv
A9B3vvujZ5+/9+jDx/v5yt0byb1n7s676Rvf/O6Xvvz6n/7Jn/3yP/ylv/iL7wLw97/39pe++Lmv
/+XXww1YLPCzb3zmO2//dEJ64/OvAdDLL780HfZ//vVv/9zPfen7b7/z1uuXlmlzRBhIqZFNH3Ix
M+q7qhj64laPBwCrra9tVTpUgQy8PJmpwCNCRDULxCQeYQRiJHAoSn8YgcXy97IS1oqPRw6TZGY9
FhLZIkw1Ha25gsgMiZQ0OISZh0fG76UMNR82AWQY2SrhTJiR7E0ogrNkEnepNKkMN8IA790QAwnC
3LxDuBkQITEgAaVOz+1jz+QA9tNeJkFOzkvZ+q13MwV0BGDc0FAFs02YiKkVXwOwm9cxBZhoDzUn
wvDKcqmxT4VpQQJ8qBylkEPeVD6bqhTIF7NczgMxraSlyK2FUGYw116Oqo73BM/etn9QKLKNTpS/
CBYMHG63KwiZU4IjlPFv7VaLAzp4zGUN8CFIHqcTlqhr9AM18qKyNicwdhAqkRDql/UIDnh60Urj
ec6fOLPFAiKNJ4G3WOFtu5PW3iJ8V74oPpVL44ONhD46wDpowJmQEHWI13MiycO/SBAOkFpW91Tk
gpWUNAhRkvjnhbJt0ka7Hgglb6m88YiGlLgzCshkFAf0JLlsmWGICEFMEQ7EEPClL33pG9/6PrN8
9o1P/+Ddh//lb/7Cj3760V99/Vs/+MGPP/25T3/jO9+ji4u/+vYP3vrcq9/5zt8cLvbPv3Dvk298
4f0PPwjwz73xma999ct/+Pt/eD7305PTu+9++KOLeTfPr3/65fv37sHg1bmDVhI18GjIvMi6nk4c
xPrps8fTclIgEU8Zm4EYRbIbKc+IZgYYjKRmONabQ8qRn7HXYtkMNs8IIgSISKJ0Y1zN4/hid8Mk
7Ptmy64dO8atUAQGaTwjqTwUgjHzuqg8xvlcJhEHq9+tgr8qf0xKFvTeCQGBUvqeyDMqrXVWR1ix
XoBu4d2EhYBc9f133j+dT2UlCsgSDhHX8/nRQ0AiFj4cDsJAx2Xx2oiCqQJzQHTteabLoGYLkbkx
sZunqjoX2QwgLEHGzGrg+TnmjUKUsF9mIbIN/sEimS+kbuC+n5pqR2Dt1rubKxJphGlPYzczZ9mh
SCxsCJaTGfVAdozuYI7myECAORhjDE+dVTkLGEwtxwURA60QRkyAYCPVJn/gdCvl2eGBEdBkUvcU
riMRBBJTupWS+RTFtkSIVBdjeJgaErmFO3A5CJxRciiV7pfkgnjG3LFQhuURODCzuECWT3n+mhow
uYepFeXSPChIxLRYC0AIFpQkqwBOujIAEg8+R/5IAQ6u5hLZyobXUsHdUCRMx+Knzr68mG4xAwDc
GiCgkIBEBOfxlrnCHtlSes+QuQBczdRceUpalSHTOIkio4HDvc1TRPA01VSDMJtnbskki2mej0+e
UOrTpAEgWOhq1m2hpfrkVJtrJybTDuBmHWgOcGR0iMaEgGGBjaqICAoiIkZugMgizLy7OEDlErnM
U04iEj7omrpCIwYzNUuJuOjaV7Xe1fT0Wy9e7mz/r7+/LucQBmf0UGZU74B02bhBBdnPNK8au4v9
sp6eQATTmeECW0RM0pQZhKFRsF+1GWL3hf/qH3z/vTe+/mffYjv+s9/4Rx98dPqD3/njc18///nP
PvvGJ7vh9779k//4re8GxD/6jV89N/roeDrtdtc3ChCLwkenlfcXX/j5L16++vLv/fafff9vvn//
xRf+4htv//mf/rWbfe1Lb3z5S688/ND+u//n/3D/cr487L/2i1+dd7v8rTEQg0X2x7Mz7M/oDZsB
nYJmmlx2QRNSMFMgzhMRxuVuIopJ2nnxqUk7TFOTsy5NOPm73b17gFn3iHNP6ALpguFnXxjIrEMg
hIYtDU1AFRQhpkYnU0BBRPv4GwPKjAFCNQ2kIMBAszQIm7QWCa5ojATCTIKmWnJCiMy0EKZBvyBz
H9I1SO/fVsdQGRaxdqkBQ0kIaibENRyJsBhw/FvILqnFBgracvMQ0FQpgwHDM0PFM7luOLJu9cqE
BYmBWg2NZi2ywQ4c2Wo5W7zdU92apgiiUgjzjy9RmQ34B95q1wZaIzvJLaIh01Czwxhel0QCbnmt
1dmO8IbAQf8dy4Bwd0bKU6uSIWo/C7TFt0RtlUYBXD7fbCQJ4WmVHZXQepi/AgBQ1XJ3XrykWnNU
EhoBOLgQWYBHOrWL+VBD8IHzTwZmPg6cyZOjoKkzd9S1xT0GZEIKSz1xZhjg5uYBtHBCtgBpDRLG
42Chu6vLr/7cF5h/8LmX7h4NTk8ef//td8T6PE1PmCvSI9UBkVYM/9kHH33qUy/DnTt//sd/Ml1e
vfv2j95594P7+/3N8forL3/+tJLrQ2EK8z/5068j4I++/+PPf/7VBw+euX/vznzYP3xyI/N09+7l
1Z2LCFAEJ7i4upynmdZ+cXF1Ove/+NNv7+/t3333/W4dwRmDiYRxJOJCQSQQLSACdCBGSuHulmCm
NG1C0PZ9VVwSALgzUYbfFhcyaj8Z4Wn4rUinFF9kUgJSAHZVERHBNA8RDmV9CrcHEXYLuCQqBgwT
G3i+UzkW0VxbAYZvEX8gBFmiUeR0pqa6mUjhAaZaK12A7q7amTLRA4FIzdzD17WvHWq/FiyIxKBO
QGZmPrJwPs6/RBoiMKKGmxXnV5i9yFDOEaaKANQIi4YFkcOvUbc2ZsjMYXNkFk7YZgY4F+sn20W3
yjKgsl4nGsJTfZXjrtuoFgiPVA86BucXt+F2c1dc7bs7k+RwSKPApHmSDKRW7kNh893RsKhSLePT
y+ow0jdiEOlgoJKSEQPbwMtLhO+wCW6L7VxiCcyEsXruUnU5Nv/1NTpkCldscUDlH/Gw1PQPU71p
RyJiqSCXrBFHPmQ+KAG3lOhyOkOpf/EpN2tObTw8N3SUkLbNKpzWhTKbgBBAUqaStOM+3KboMSak
mOYFb8LgbgHdjQKEhk+kOmdwD0bORKzSe0dAhEb0CI/gbKbL6AHn3rN0Y6AXH9x/5cUHf/3dH3z9
G99awE/nRXWdZrm4PLz80nP3nrtH83R5/+7rn/vMqy+9MO92f/31d+8/evz40aOg+Jsf/uQTr74c
Ae+8864QPXP/7qp9YhlJLEFInNhVhAAwsEbiDrxd1gQRYG4pws/ModTM5HA8m/BcTQ/Ced1DY9BR
LIqBZIsNwEaVu5nswLziqUYMqfsYXtNxoaOXxJcg00TpVgmFOCYCm+N9lBmRYDxARirSb+bc1j++
/k/JjweEKYOCU1CUN5m5EwtuHgnMZ6/WjUMHQalzBkjKMaaoENwBoLUWmakH3iZprQXg8XjSRXvv
Yr2Dg6qJTBGhA8md0N4ImERUtYmIiERxBbbbttDrROvaYUQepy6OkQJBo6tbDhEAYek6J77ao5uV
vMo96TVqigjCkhiJ3Tyr6kgHxrHTQwcQnhqGFZKbY3BryzMFCEhupbPRtVNDAjR3QXLr6aHKjBsm
VAsiJG7L2pnESson+bPlcdDVpEk321KboZKOwlwzwqF++zI3uTuwpBQWOdjBhfDexfzpF+5852eP
j0etj7oJIZpWJeMelJwrBFN3cyIqZRoSy0BEMrMIbLRxQGYmZjIjqACDqILSEVHXDkjugACm2ZRD
eT5xoCJSgcScXbq0FhEsotqjMuvxlhNW2bbu7rAGAOqqQhbq1tzdsPwIQI3BkTlkaqZKLLk0y3Vt
utogoIksS2cm1dRyGzFXeIC5e2hXdw8zd/BAz/xxVWLycE7RgOSHqbvdrhTUakjMyJWVThzFxQ6Z
xIyICYWkyeoK4QhiKWk2Vw9dVgwgB110gcXM16VDuKsFE4F9+sH8Kw+uvvGT9//8MZ2CprnpPCem
i4n3TL/+mcvpTvt//NFPNSsoD2yNRLA1A6fWctxIE2N3DhOK50gW7IAsQCeHy6CzgSD3Hgahtizq
H9wsR8UPznqH/LvvXf/7f/eHn37x7tUrn/o3/+Mf/DofF7z4q//8+//sn//jv/zue//yX/37f/JP
f+X+bjc3uNzxoZGvrDvxs37zL79Lb7//zt/88M1ffl128xe+/Pmvfu0rb7/74bf//Ds//OFHD155
7cNHx69+7fXXvvjWuqwdgpogUxOyrjtGbzSBTo2InDB2QlN0NePwiXjpitLW1aRxqAMGYtfuu9Dj
yXbR3aGvqxCAO4KC9wkbEbIwE/W+irBqloFycuM2qxu1XViocyABgwFr0B4bYP/4Mt6kDoKZSYSV
gcLy1ZjaNO9mJEYmDzBECO+m7kFAqaHJEjY0Ug2YShBhGiHDPrZ2GczlAZDbGTPLOBMHCgjzCnPH
USWlqT4r4bwIS2GOtCF/akqE5BE8Kj0a8M9cKBJhYdoAOLAKstgsUoW3GC6l0tSVHuwp3W8MJWv2
xr5ZjALcLV2JMbYJFQRCuWx09wDK27nElykPGR0qbLTP8OS4lIfN3OGpSHEapV8uZ/w2kn4r12O0
wVVZYjFRtvI0145VLFp1zlUkREqYSrfkgGTZbhOOGzcH/LmGzSU29kFz9rzbC4wUCOhmQkxRUZ45
vIhqLAEcBDZ+UpXADp4nJ2W8zfin5kfhEW5WcBGE7pqejDQcTMJEQIhNkJgbxBL4+mc+9cF7796/
d+eFBw++/4Mf7ebp2Reez5nKd771vTt3Lq/uHv7sO99zkVc/+fLj6xsgmueJhV94+aXf/8O/fP+j
J2+98RIHdtPz6vvGu/0OEQ/7PSHtd+25B/cef/DwP/3Rn2W2SETsGjx7d/9zX3gdzL/519+XJhdX
h2VZnn/umQvhF569s9vxvXtXI102R7OUW4Lk2ztEd+f83KJGKmMis8lBUxs5SKSIZh5FOoXirBTY
EoZae+THF9oaIiAFUGkujXBKq3GC9BPv5FVxDjrIray0wqKwYipULSKEhu/Ot8YmyzNU7ZsQLB2Z
a193NFnuDSBjbCNjyar1qjbYeZ6kCQCEeerUMSMZPYPgR/znx/kXcyqonBCCMoTGDeDUz1saBI2Y
0dutyVPTrjEoAUqQ+AC/uYeaVQRDKRBqiZrUkqJ0ZhhlQsZuX1GA4aLcfD2ZILSd8JXUhcX+yeTP
Hp6XO1aYEBUsPBJg4zjyV6Pcy4XGrcTZKrPRMuy3qOMjiAjJ7dY7msfgrTmZRvrJU9CaMdWH208P
KeBW5fs0qCZiDNQ2Je8GFNgoSnUMQrYN7qWYRcTsg8BtfIaxZT1m/0xjyEiRQ79tRwOYFl6ojbFt
wc4Q7iBICUEYsCVQNxYJSHs5bReWuRGgj2RWHH96noiCZAAWjlBYqfrEIxx8TXJSBI5tpOQoLmW9
iB8+fPS9t3/iEV/84hf+5rf/6Fvf/+Funr/ypTeff/HFH//op3efuXrllRfl59/83g9/+PLzzz/7
7DOf+uynHz366Nf/wS89e//qF375567X08//0ld3bf7xT3/28iRXVxcYsJ+mzHSNCAIKNyBM1bS6
5ayXy648sr3KVUuNG7h5raPDzRJInuGO8JTqG4MoNfwU42utTXt3Yx4CmKftRbhFyGQna/nMRBKq
MtjSYpQE5bcu425Zf7dAoltfdOIt3F0k38VIqkU8JekyD0aOMBisshq0jWySAPQBPB7434Q7llIs
LCJAENEDK3OcGXF/uJj3U++npa/n42ldToQwzw0JiXHeHYhlnmdmlkYUjZu0DHbK/lrGNAsgzDKd
NYuLMHNGNFUQybQZQpBpogBGhhweOZgaTwTjNMnRjnmwNAtkZmQWbgjg0CNAWHrvRLyqontjDgr3
IOLeu6U/NiLcG4AHqYepRoDk14OBgLmMJuSuSpT6OSCSNmGd8Wmd9MDMjTEncIx4/bk7hvjDD66h
iLukahGaG0TBlkHx2j2Ka5/5XbUBZspaMxDAcvALgRTC+PKDZ5Dp7Z99WOLAgLvI/+iF6e0P44kZ
N2EENaU2JQFx7Z0kcTniZsKs2jmZ6HkOpvxJxDEMjJGzb+/rGgDE4ebGnuHsNX3MEa8IIeVRkQm2
FZAdFUhNTxn6Sw9gluG04FEBcuGlE0jnAxNm9jlSkxbgIhzQEJGR1I2RrWSDoH2tOqTENZY/LoAk
C1q7hcNyXjCi925mQEk5ImKWJkwo0lRxt9ufzEVa7kWFRWNBZjifI8JUA2BdFoAIU0BXW5s0twWp
QXgM6TMp9fPS5jm69aV7DyAM7wzkZswEbtNudrNpnsJ03u0Wi3m3c3OjtbXJ1hM2+e43vnf9e//y
F//Ff/vvH5trrko9gNbzCuCT2xfvTv+9wIenXsF87h62mpph74ZOvfvRdTIA8jA8dw3Hm3V9dj4c
ww9MChHu+yZCtJ/bMfz+1UVT+8H+cIHu2tWWX/z5z8S9lx796KN3v/ej9uynnnv2/oufePUdvPzu
D3/26LicjB53f7LC2uKJxVEDmaDJ7v5Vv7v/8TsfvPiZ6/feP3/jj7/1ox//5P13Pzr86hdefPml
+3cuP/Xig324ILIHBFo3ZHlyWmV39eFiE4MaiMVB5HpdUGiNGsYiojBxExFM9yMBmcA8tQlmnqSr
u0NrTe2sQUq8BJojmjOFOazdCDDMGEEIyZVDUVewBSlLx5Rlhpq6eUf/O/SliOAA3TtxQwwRiTYJ
0W7eNWlJ+jeDHrpE7NbV3LvqNE9ZAI1oOEoaL24UUhrLw6eLGMSB46nZzpZQQ0SWRJ+EW+T8OGMM
ISJ3sFmXEI09H2Z9UXEao5d0Dxo5fe6GRMxMdfklDAQS+AEju2/bVW6gjLzqfCjOqozYQvUA1CvX
IUsQru52XI6UGILbhQOVryHZmNUSjCjCEOZ8airrcEuFgafqvFG1ZWNOtUH0wdiAwvkPAioQ1pC0
vuqcZ3tdriOdgulW0Z3hKXnO593lcCsYLuhO7t8AIcBLU4peWMexokn1NVSyYv5jiSg/UE8cZdQa
MEcXTOQBjGShAMBE7pyTCXVlQAhYlmWa9pXVqkrEb7z2icPUBOLn3/zsPLVf/srnpml66/VP7qam
5vefvQuN79y7IMLD5Z2b0+nizh2LIKJf/eUvu+rEcrHfv/rK8xp+sd+ftXtXIdq3CRH0s59wABaO
gJ20f/IPvoqAjBQAX/vaV4Dha1/5AgO++Ctf2WDLjfCFe3devne3IQLhl998DSBeeP4ZdUMEQXxw
9zUCvvv513KUnMSRXDf5cD4zc6hXxQYhTFo6VQx3AiTC7oO1FZkFnA+VjzuvdGxUYT9lRcl4Usw4
myKOhjBjRLgREQI5WAXMINZSARBhxBZAOW68VugF88o2l4mwWkQ0U4DIcMVUho6cp2DidJBat8XP
qeuzEr9lX2fmjhjEzMz5P6nqGKp6GtTC6xWDqHzXj9eXtsqEaG1ySL0zAoQIQymJa/aV5oWRuphv
QQAAAaoZjv3MAMEa5spyQEHNlIRqyl+fan0iQGil0fCUPjbmzRpQ/JjhI0BMmZ7jbWznZrO8Rfv6
bSaojwOiRuoESAS5iqeR91gO+sS0eMrsKTbl+JYT9beSVCJus1XIx5p1UOvCk1EYZfWPLeh2a783
1W4dv3mb1LIV6jSuNSyOOC4PSGKLe2QGjEOgp4oABxAucoFfEa8BSWsD3PyxkU1mZa/kkCUsE184
gTi53R1HXIZdxSZqTuVJgIUDgBAUW6G+WkqVM20zi/wfPIJYAwSrx2EEBHjm8vCzt39yfXNKQkA3
W0x//O57zz97190pAjBeeem5l196FghX908+d//nv/LWvNsRxCsvPPjk8w8CARhffen5T774XLqz
P/2JVxDBIFa3u595FZHAoxG98elPAIBFYbw0HCMaMSSZlXBYOfJAwJby1PGNqzkTDTnMFvmWbgAA
CMY85DEAzZ+CZqVTj6loFDVSqcHJU475jR2R+S5WFPESdCddpViK48mtoj1/8HKh5Jii3KpDeZTy
bJHBvE+3juU23cIH8QsctqGA3S7FIcIcKls2J2tlV9xUDGHOhExABE0YQstAjrgsJw9VXdd1FeEV
wdwApgwkv3vn7tUdvLi4CHcxU1Nb1zUS6wRByOH10g9wdr2GFunOIWRCBGbuiMTiEekfMo/ExPgo
dHbTBICSGbWIgaRunjLX3OB3ZRb3bmYZd5a61ZSUbjatvBuIaBbOc3NdO1PKRhEDkBnNEClDcLdJ
PxKaukjL2Bx3nRjmiQ771g2fnM4A8NkrUWk/fnj0QA9Hi3DNmDHJNKJwIhIhtRDh0rtS5gPZJ+9f
PXtnh66PDL79w/cZ8K3n7z97R/7w7Y/ee/jR2g2Jc3orAI1AGBGDOJqUHoMYSAGRmHhZ1uC0/mjy
sPq6ytRgpCukD8bU2tTSRhMQiXKGgFyiigghsXAC6YjZ1PJhz/+QvE0nAkDtfSg9UlWUF5VsdnwS
BsIm4moyiWpjZmbq3REIXQN8tdW6raS6apvJVV3NpUGkThMoPatjBZHQTGImJmyCzCzs55CpRfhu
v1+WNcKZOUHoYR4s3k27dli1dyK23pEoAQtQCQmQHl1Azjl5FDeVcCR7c+Oce8skPHGbRPfzfJjW
BYbxT3N7TCyu3cw6dvdQNfM4H89IaOuCCG7d+3pw/Vf//X/39z58+7/43/wffvd6R1xXJRJZtD8/
nX/nhzfvPl5YJmSGCGRGZAU5hwPhLHJosncy7Bf7ecFoTQLh0mkvEtJa4MwiyABogWeDs8LDk36w
9HfPKqp0Wh8t/cl1x7ZcL6cJ/ALiw4fXfjrj+XRFIWiXFBDrRCpw2pEuEVcXF5977ZVX33pTcP6b
P/3jz17D//g7f/lLr3/6c7/81e/8wV+pd6dZ9vuTCckkEUEiE2HErgnHvCN//nLfWjNDCBdhsWk/
CVpLmHE3RcAn5+VwOFi3AGSOdVl2Qaelz0DqBmopUoLG2FeZGMAAo/FEkFS9vrF8ArE7CIrj5DQR
RLgBUOPWhGOW/W738T1WMMbQBTSBiHmamDgQNcGJRIHgVtlXXTV3euoq2S8DMCZnYEhfiFI4pebE
NfFN+2OO9pkybQsLUDT0WuqpvIgx+Ad3R2bzkgtmZZi7Ahgjf3uqQjJP6TGnGnBkw2ReaP3pVHrf
spQkIKEg8rdXJuG4eqvxy7JmYGU2MVL+BXmrJW0/z25m1tQ64a22NgPurOL0wCHh8pHLZM6sgzFv
9s14FsMcBQRp8CkVJlKxTEIIHcADbFzVZWLckldz1Qxk234ymUljvZAMwwiEUbBSbroyJQx87IqS
fpa9JfiGmNxEwZktgYBBmXGfC6JsmgLBzPM+g8yMLS9cfZY5/rx79853fvD2+//566t2IcoUn676
hc+/VhGdREJ47+qKKQDimTuXGvHsvbuIuD/sCYAFDULB79+/n16pF195eWO03L24CAhGaoh74fQK
7qUBNyIUAERo3DS8uwGChZNIVWGA4FbIWQRCrAso3X3IGI4lm0IgNA8mHta83FdnDq3nsFKYEtOC
gzOdZqitHoIIK38XeKVf1rAg+Rw4SJUIxdFCIi/NY871QT2NoiNrsnbwmM02YTJIy9dZu7jsi3IN
yLX9Z2a16GZY5Ykl+xwhqKx/uMngATB5vQAJm3ACTElFDzjenPp6tr6c11OTxsymvq6LuQLgNE0X
FxdMgkQWbu5AkNUUFBMBAKMJm5v/XaZyruCBuGgHRCYGh4joa1+7HYjCIdGXRJVWNVDG4GYplyti
SoC5NeFalYVndz2YqYOKHaNrDUyHbR5rOSYj4iiDXOlgoaIUb5eTFUg1Qkfzuy7v5Xi2c68+KNo5
+7glJ6UIo8ohs4R6OrhbjL8JNmt9VHFfT5qp3xpfa2BVkshKXSlJHYzGMnN0StD7P0EiwVPLgCHj
rLgtHwdv/TxjfbqxmMxs0I+HRTa2vzasjqBhZUyoDmEEuvkkDCPpiAfBbsv+ScD4hhQZPmsMj6Ag
JEbQAqvnKK+kQIjIRTWOvOmYkt8MA+ZHmtlUZbmFcMOwF5+50vPdb3zn+1K0SQzEO3cuX3n5xYxL
Xd0bYlqvGfDXvvqF3W6GMbbMCjHy67sNuAZyQLylxUeqGVMsi+SpukekmoXW4KBGPwAOnukpRGxm
6ja45blS9XwqysGC4K5UGas1vEyzRp4hBfGKMDMhGoyZ2pUWMhCLF1tQ2FpQOyJpWPqDtBshmblj
7bURIzHHXkY8DI+hsQpzpWG46ebL0rsqCqraGDBBQJKuAQCYUM0dnZLOUB9L5NuK9aaHIAIAI3nq
zDNQs2hnUOBiN2YKBPNw8Bc+8eJyPh5vrmVZXC0gTsfj9fEoxK7HD95/iET7/Z6FpREvHgjRWNSs
XBNMHsHpJiCiEVa+SZBrwusxtVb5N5lv7Q4BjRgBzRxZ3I0ZvXKoRd3BIReknFVO4xTYlyAYmUmy
/2+tZZJk7ltMXYTzL08FSFTWT6T2hYg1PZZP5boiopu7BDN57xz0xjMXX/vk3cNhPh77N56cvvfe
4/uNH5JPUgm2ZtooLnaiql0N0YBDKAAMwXatnRYV8v1E59PKFK/d213uuQU8ofm733+Xwu9yvLQj
xnjuMAG1nz1e5xm/9Mr9Vx/cPV9fT0J71Ocn/5XP3Xvhcv7pcf3dHz083azEcw7yEdCxQjg9S9dc
awiGBTKJiM8trDAjVNYFIMSuytAU3E2B0FSHYH0kKKIzsZERS4pbiCtqzi2jxlMPFMzs1nNAEurd
ewSoGqQPOTg83Dw8UAgCUIiFEsCM0ipkHpCIA8F7Z6Lc1roaAjBj7x4Dq2erJgKqLz1iqWkfa5ib
OTKZ6W63c9U2idrUpoYIriat9XXN5NtclVBr3JpZj1CZxN2QS/4CCKbqpgDQA3Tt69LPpzOy6KIA
3qYJI9x6QFhfWCTcprnpurTG4QJEzGx9mebJ10bccNprX/7T7/y7Tss//N/+X/7dacKI1sQA3jf8
7W8/evuJQASzRO8R4GrgoWYCvGg/ma2n88Ty6Pq0yvToyXG/c/FYwjvw9bLK1DVi1R7hFEEoDXFm
utem53bT1A9vPP/se6998nd/7y/vPPjJ+aMP/96v/3zs7v7wW9/91//mP314/eSl5x/sHjy7/OjD
ledTTAptJdDJ1vX0+//hP377299974OHX/ziZ+7fnT73qRe//uff4G9+O7TffelOw/Uwi6Ad3NW6
MPbVsmN5eFxWlOP5PM2hpuExTdGX3pnNlCBypMvgh4l2nGpVnESOzrNghDAhUyOemMkboEw02RqE
In1ZuPFq2giRxcKZMdyEY9doIncygTx0VNU84rx0d7i+XuCFj1ublVSM0usYMWxXBAAp6SfCMGVh
yMFVVwI0cxFiwqd4QiUsrPRKKpxAVixMHGb53zzCTSGAx4rBzERyTJUAeifCNJ8hQJhuirWI0CFy
SzObsESpQyDAsrZPA36NbAEQPIc2QGgZFB4olO9LbEKfyg6AIIRqKTNljXhco6C1R3IaQ7G8YonQ
wTf+UDmcRsONT1GXhgWgZEKqysSFwPXyvNwq+m6BRsOslbNkiADs2hvyQH36turNiPPKpCqjQzGQ
ch/hIxqkwu5qeVy5OBjgo/NMQjeBb0ESHk4pc9wCHBOwnCU5lQqRSo6FAGgR6JGhC1moUQ3dU2Jq
RKie1kpLcdDU+Be/9qXFerqVGgkDEJRBdCT3BT6VuhGAmt/LWF8bgEUA5YyOysAGQQNqSuGMjIA8
/JbdzCw9Mwhg6u6I+chRpHlykKNyWAzVxJaih1DdEDJZsyb3ATmqQEvtoVdSa8VK1gQZKjUnh0EZ
7AHbBY9bdW7jPS2hpvsmmnTP4SQHhAVa1DRHzYZuK0aoKjQizcwbdy2miA97VO5SR6wFIlNaViIg
1H1kSAIThHN6X0v4ypy7DncFSh8NuVsSvoiAKOMx0HrcPL65efJRgKkuva8JN3F3dWvTdHmx7+s5
LJZ1JWF3DwRzFaZ5mralIhPOs5z78nHPvtVSWREpMrclKJUqihDgNubCVLvoPHbMnLgudzcv4SsT
E+feO0VnEZ5rPSI6H4+7/T4g4SOQoBSIW0t5Aa7UgRA8hCsg4DYTZewMK+9kSFwHRnV0hmWjgtEG
1Dh/m0WUNR42FNPYVNU/5ilocAFIMQmUhDCia9G27egAIm3BoSOSaMMtpc84fQ30P5Vr3m6Dtzma
E1GMZXHV+OmLrvolzA2AmNnKw5gHEw6ZS+0506RAQF7pRTk+hcAkC0AxXceSFgA3KlcMXE5ArG4N
i9sE7sjFns1HhkaLnrFFSLXdK96yuQy6T1iMSNjNaAmElDnMr77yMrzyMiI2IAxHDOCU9KNln5wT
JkcCvNof1B25ZMlJGqZ8zancfJYI3QISGuSmHaGHCpV3prsDbgrkalwdYI1AACGkciCbRVik0i6E
OKwS4QJCC/wTQgRhhKweKRrLOYIgR0k2yuTYIaiUz548rvw0CW1kY6NbUfeZCCseFk2NCNV6Xl6l
s608oFykD3qDVzYrO6ZtjYlB+7ybcvDdWiJFU0bECBSmxKyqY6/ug41R/zYMQJkhP7LiAGtkVh11
yiLQIwwhwpKVqw7vv/9+Px/PNzcscrg8HC6eXS8vz6fz+ea46gLmqnqK6L2LqWdcl/Wez0qG6HAl
+SaVOLMECGuaFW6h7tJqC8rC6ASEzOhmQI0Y3YKJHT0pbR4G4K0Juwuh9g7AyETFT3L3YBCEMOtt
miKidyOqnIa0/KZCssw/Q6alZrNIAPS1t2kqPzpJa5OHp+Uyk7sBmRBfe3D/PVj/5BvvHU/L4XBY
1sW0f/qZ3UtffJHM/vKD62+88/huo9988/k7AsfT8js/fXQ+xT/61Au/++OfvXZ5+Nrrz/+///qn
strnXnv53/7F9y+cX7hz+OZPP3jz/uE6dMe0E7w7I7qC62fv3rlzaP/6ybu//OzV88/s//qdj75y
5xDgRP0ff/qZhePffPOHbz7z4J+//sr//eZ7poSAnG+D16ULQwbmbhSc9Caz7uaRoQ6qLmyuyAxU
6XwyTUtuYxpjIBJZ8gMxiDkqs3GgKCOsd5kmYtK+qhkxeVSUbAwLy9R2agaQc05nEbGWZ2GutVU7
Mke4Jehp1C6qXZqkI8tV1/PqqkgMXcHDeoe0KCAA4jRNZs7MTM16byKdkAidOHPQPcI8wtSjRTiA
pysmwgIN0bCRr+lE9XDoy0JM67KG1g0mIgZgpm1q2lubZN7PbRJEcu0yTcv5xK2pGTdJanwOVkwt
zUsA6U32cBPEQ8pe3P78t//DRY/f/G//j//+mk/n/g74/+0vn3z/+9fz4dIN+tLdwVVFmjsQsbot
aHMDJt9PgMF3ZuTDNE1CFgeIWaRPMje+Tn0nt7BYgm4CzL0jfeIzn5yFblx/9dd+4Vvf+BYLv/LZ
l+Z7u8uJf+0f/7yf+iu2fPYTLzn7r3/lVWZuYDuECaNJ/K//m1+/fvJ4Plyez8szzzzrHr/6tS/1
n3vz8XJ84e794/k0T7t/+i9+E1wdCZiQcZoZIprgnT1eHXACmGZclcF9nqej29z47AwEJG3tDtRO
dg6ntSsgzuBnC3TsmUUY1pAtPMzQlMMbIIYTO0UPXyN4WddADCBVpA6r4upmzmA2CQewNOn9dHHY
nc/naZK/w74UAWZpmUqCVM7P1GGk2d9NiVGImIIQwDyjlIbsJiJi6evoD0ukCsOOWHx3MwYcnvdk
VxKVLWTseYr5Wcu84l7gZoJCc4NInFJASgKIzG2bdkNlbGBGPEOBim7pvWnFp8DkJQ5laWwU3HR1
egnzKJILP3ISNldq7r7GD7/hnXjDSUbJeVNUvBVuCZ6pyrJSgsfqo+rJMtAGIBJmaYVplqlU2CSr
I3lUureZlrLGb3H2CSnkzQsXmf9EyXsrv2J9kjEWKTXA1vDE/jVmHNvU1N9GVt4AppGix+pwUlgU
EIEVT1+Fa61nmSjAaWQdRsJ4UwmFqJZ8xbAATdxOACFMIt2VgYgAI2S09OojFweQgdzdAS03HFTq
U7qtMDHcEk+Rwjkb0akUo6AO9Ki9dOrM1GvmkF+3hc8iFEiRqTxDhWiOTDg4pualso7wxuJ5UoFr
OAMLsUdEJiSU8zAfXU+jTb4dakoByMm7ShhlRHhrHAEOhsi07ZizDiWyMC8Ps2/YfybGnCkgBgQP
CRghmodV9lFYWNKkiRA8sltJkgflTsOTK1sXAgEw5cbPAQI8hzIAiGpuZkzESGYqJD1NXLkjDwwv
79a6dojQvq7rKcATrmtquWgyXR8/7tkv7Xe7eZ6enG6W9aRmgDDNs6qCeRFCtxinj3f0SWr6c8DP
RBwUANYdY1OrWnjgqG7TSxkejMk3psK3ejQmRKk3bew5k7VxPp93ux0zJ4xDWislyFOBMRlEDwAo
fyuR2IYMBBEQPKO0hnDRk9+b44D0HeUqLidAImxeuW6U2usEqw5k7nY45C/ytDt0/GCII3KDORUZ
se0tPTxPY9syJ8eSPD+D4TWophn+dtLyMDjgZonHKClBwBAfD39prg0igpnNI+XJqa1guJUkj6PM
n9YPQzhDwZB1eFktiv/OBFEQozH+G7yv7Tz3cAZkJh8u0+yFNfGtnqrgkeKb0bUAY/aKFf+UhxJA
jkcjcFlWZnFE9RwXuiNjokDBLNyJzGMFaMR9LPg0Z1GEZjYRdyjA3uoWhB6YiNYJiHIwh6Cpx6F6
FPL4y5hD1Q6RN3UgoAirRWKlGcskSkQcYAFA6IiALjJydGq5HYwoKADIDnYLdUeB2hojZUxGjAkC
Drl03Rw55q6HtBVJlADDwUdeLTOa6lNEQyxaFZQ1r55eK+qhP2UxnVjO5YapP7ayamscz/k0Zjnh
tUclT+4egIUnjqEe2pJ/ez32Hsys5hahHmviIWuYCIi49n66uTne3ADC9el4uLiY5uni6urq8mo9
nZ88frysq5mxiERKpDKgPFINJVnJqCohD6kMW5RmHQGmfNtTT4WQFwAhBXoGjY4wzNgUC6p6G3CK
BgBmHalBgblx4/Vn/cQiZorYEDD1qFm4dXRCmFtTNQ9AAhJKEl1Cw3OVnDqHgKgYsRpvuQU9ujm9
cbk7P3/5o8f4wZMbyBTvafc7f/PBg7BfeO3Z96+PX3n5/s+s/9tvv/9rL935Lz7z/L/8+o8O4q9e
Tc/vZHL4xOXEp366vlmW5ZmLw5Hig8dPLp+ZvvaJB3//Dl3O84XwN6+P8yR5rs9ze+WZq7/58PG3
33+Cx5t/+uxLL17s33z+js30yuGFuyLtMB3m3cOulA6TdOmaYhMfwTyY7IcRao84PHutAdI0zV2V
AFkkZbq50DbztCqbKTG7WUQAy5ZJdJsOlxgPESLyIEJo0hLpiUQijJSShdwOQPTV3NGs+C75La89
9XuJxk5TAbMEILO0adJ1FaaQGRFba0AwzTtdzu5AIqDezZJQ5muPsHVZxsHhjsgUKIjgOSFDJnMb
g0cC4FJUELKQiiChzBMiiEiYMRNSKkky7iXM3S2s+xnWTLmjroBobm4KCI05RWIJJmMh652Icp/i
AY+PyzUQEAWgOvzHP/iDt9R+43//f/3dD/c35+XDR9fUZJon7crEAWjgU2ud0CwgJBw70KkbCr5/
WnEXH52XKxLTruEzwiM973UyWxAa2Llhc4sDGtsiZJ987mrHbVlOV7NMn/nk/nA4q/Zwoen5u/cv
nt+f1hPP80nXtptxFj33J47Ck8V6996d1uT+nXvXT55c7HcRtq7r4e7VzVHa3GZ0ZgRq66qT0ONz
J+He3dxnh0XRj3bqIGEarr2zB6iez0YO4L4jdF/Ap8sGFLprqGp7Yeo+oXUwIXZkMwCko3k3RxSz
mNp0Xvu+iQFNzPM8QcRukjPofiYCbMJmkISB86II6IFrj3MP948N5C2bqvewvG9iHNtKwHmFlaTM
cx6itvZKQ0nZv+euDQhvh+WD5e7MHO4Q4JS4fPDBNEoA/UbbS9R21jpNWo1LsyG0ECLEdPAXIWno
Cc0jMu9q058hVch1kdzzuMirxSpKIefWpp2GP+Rp/EaYVygojIH9U/80eCqKr6wy7rn5TPEFjNUK
RkbY1QoximM8/KCl7KRxLw9QDTGMGAYoPOfm8BqI4FxElPoKbvPZahucEtxRLY41WbYZI/atLhzO
ufXoUGPDDiagL3UrXpiegGyiCIrSVA5SC888nvSEZafv7grm+ZgNEnyKmc0DizWXjre8MyFT2RxA
sLCVvNHmsrGH0ZCVprGi1JExLALCzBpLmANSNg9jC1huLkQkL4ajFTOqTHcWERgGDp6hJoOtWPCl
YASGDESBqJ4hN6Ip4k0UU1AiBjKuM+VzRDz4P0B866wuNFfNKbzGDomkqDrX3TVGne1OmaGWZJq8
vQjM3QK8whg34ApmD1n85arRA4AMUEdr4pV+mcGJUV01lNzaIIYCHBNrhKXxCaL0DKGN3QgCCBEj
MmLva0KDPYrWZ+bu3hoyIoQ3pvB+2O3mRmrr+Xw695WQJhYgJuH9Ybcuy7qsXXscn5j2tNci4MTS
Ul649ui69SUf619Lt+DUA4IQp38JPSXQntMRymVKsUdygIJjA5krtIqWVa9QU8By78SQ/N+7/0xJ
Kgxam4ptUVOqLdszF3nONGgaab0bwTkVtQVPcVz+lnY1i2lLhk0q6zPbpgKbHJiq9Rq5hjT4VV6v
1dCa51ysjppMgwQMgyQx58uafAEbcdWjuS4XuoWP32r0umVHxBj5k4RYlJbS3cBTEdyF033KartF
J9rWGlOhvIsUwOPkojIvFMUgm4ccQTZm88i3IsdLniE6afqCsfsHBAT1QAhzZwSr2Odbs32+wrHt
aRMiBMAIVtYPGv1UgQdKFh9UrgUgFnH1vq6ndTVXDnSzdOk/eHAPSDQVzhFCnOtP9oicEUgwgiAw
IhGJmSNqROBMkPGMIQFAOMEgACOAexMGxFV7DCtvrnQwgkWmCU9LpwRk1MSW0IMQFBwQvAeKEzN4
YvA3IGgd56WqRuhq7334wfPP3S/E19BiuDtz8zxw6vkZDK1Sh0BN49JYMsBCMSYOAFASV6xRwjZJ
Gvt63sYEWBb8scqnDcGbO/xEBVExmG517DjiqgKJwiA4tauWOiGPgomiq7oRUzdPmmm+RSwc6TmI
4KlNh/3F1eV+vz8t55vjkZGFeT2fbk436oqM7jHvZiHKhCoRER8zksyiyZDWijcY6CNVTQGJJ7BO
DSmkTWaxqjJx7ytRao6d0NN9QsKgIMIBoF1ZWFdPvIGZegCzABizdDVCBuQI5SQRPwV/Y6CJpKuR
uls9ZTn6ImbV8GQRJTIRgVId7JSSUiR09D9+94OP+v61F+594qVDvLD+wc8eEuGPP3r800fXE9Pe
/Ln9/jmW33v/ow+eHP/E9L98cHdx+9nD6zeeu3z85Pidt997697lzbT+1ePjxPTS5X5Z7ezxhPh/
+On17//Vj3dNfv3lB3fvknZbI6O3YMc0E6rFyTxWO6363pPzTx/qX7134wHarq9PZ+YWQODKIh5h
ZgDAIlnzFZx2456HgwW1yVzzNAm3rt1dWdoImh+VD2KbpmwFNd1x4dgk6QuUnaSHbQ+1eyCZeV81
Awutrw2mmo0SEWImBhGLhRIAt6a9t3laTwYQxGTu1BiNiTncIsILOky6rghga9e+IrJZEFU4R5YU
nBmwjlOTdXFhVi2Ce7H7siZmJjcSIiEA50amnacpZbqu3RAAsffuLXTVNiVQNRgJKRGgbG4yNwyg
/W45Hmma4XxCYhJBREciaUiMJERsatImmabelsQxHVq7o4gsNO+E4P/0f/7fXb7xyzcv3v+9Dx5Z
9/O592M/wkm7VYhH7+u6uFqm9+7CZ5YOfoeI5vmKkOd518SFu677aeZlZaQ7hysA4cZqEcyd/Ewk
jIGxa21dTgFsiEF4kLbYejWzGFzNQBYT+cTkFg1oHW9US4Gs42nV66U7rRG+druJ0/X5NJlr1yY8
CT9eznd3bQ0V18YoEJczkcFhQgzYTWjGjjDvdmdY29y0u4FrsNMM7bAs3mTGsBWxoSzAjZtDF8kp
vRHhdJigTCAh4AK+E14h0N3MPPD6tC5dPbSvdqZM/xNh7GufmjTGicGFpunvkOHniCk0SCQPtdZS
O5hxmik27L2HiKs1brZ2DyP8/3H2Z8+SZVd6J7amfc5x93sjboyZETlHjkjMU1UBqJEsNotkV7NU
ItuMlEwymUlmsv4D9J/oUWY06+ZDNyU1KVOLpiqRLIKoCUABSCCRmcg5coiMOeIO7n7O2XutpYe1
t9+g9NJZabA0WOS9ca+7n7PPGr7v90nsWFgEzakmqVRkbJRmjESAgfc1c4j9j2nD33kppeQiIsxc
10TEp8SPHe+nKmSsOmmq8bKWRzFb9JoLT1UrSxSI4Ji8e0005VNLSTQPzF4B/TVaiWovEyAQeJTb
RK0eaS1wpJiCqSJRBK/BI4CQRxIIK+GmTdTqQzT2kMRgqoislcSmYe9pjpGogKrrqTWlHqlXzaQQ
3nivmjaPMHNrVpdqc6itT6R7NRKkAqLVrQVWx0pFkWB9jREVXiuPMBRFcUO4M5+BMLWct12R7YGs
hLqVNKRac6h62E0LuAC6Rg55dW6GXSarfnj9oxt37kFEe0FlI73y/HPnL56PwtcxlLxGgLkUcweC
IDWgO2F8rK6h5XMjlkh3M0B3z6o1lwEcw45Tc9UpfLkRAa8Ql6xxzG2C7ANQzAm5ZVqjalW7AaGB
YwACwZFIvIF0zREcgSuxCkDdVK1i8MBNta5UKgo14h9JYuysYdVjh3gd3kaSNTEvmtXoX5kwriiK
ghPAAHLJEqL0eNbE9UicWKq6TxWJQvUXDXQsIpqvsbUd4MxkGnQiCvw1c3C3oguyZv5CU618QS0i
gl4YSZiJEQiJCUgAbblc2tqnaVr0vZojWJdktVisVqsYNuU8z/O82W7u37uf5znS1OP6BuBF97nd
9Qw+Fw2HdjHH1muVPLkVB0OiajO3Zpd1iC5dIx3HmyyisUC5xXPuMElmTmREFFNyM0ekoppEdrMw
3+FE461r+PEYeftOZtpIxlTn9L6T+9dUuTbGCu1rDegKLUyLbGo9PAYyoFKC2/6qqScCGM5Q8xih
ZYdWgFbdN9YjjVt73M6ZCvqu22DcFfp+Krc9Ba6eNqvVWLGj+LavwV3sh4jkUhpNINIsQWG30QGu
QhsnJGj4tmZgj/VXeC4aMqpOhwIB2Fry2gBH/xzGASLwCK5v0VsYi2I0T4SqTQlfUcB1jlDqsVzd
oAhIzFkVHWYtwEzI5vbG62/6ouv7ngkTsSBt1tvN8cnzL10DBSBWM4jwMyCm+HQ9ZEGB80F3OXUj
uqOrOSFTqxxjXEzQjH4GBAzo2izzd+8+vPvprS9/42XT6C1BTQFRGgM8lNUF/D/+6PXf/MqLZ/aX
ufjNW3cvXDwwoluf3Xz84vnlYllBD6p379+X5fKX712/dGHfKqcPK3ApdiqhEfAdf9cfzc2lnTCg
7iRhZ96uHSySQYsE99hhhpIvQstbQlHzAZsbE6laaKDAdu+G1XANh2YKDPG5EleIb8iwwTEXjdM+
EqGJSdWJSFgQSZDRQwhLABB+7Li5V6v9PnGc68NicfbgYDxZM3PfD3enO4vFYrW3d+7ChdQPMs9T
0H7nOSOzqWXQrhNqfiUCChYEEWkNtDRHUC1IHSCE5YKYcafmIhTg+u5HSoEbEo+5iMisKvFANQ/X
h6oB4TwXZAGiouagoSONTsDQRCTn2cAlMTNZI/fVZywzU2WWhkcZiNhJw4mCuAswcMLJ/Z2H6w8O
1+cE/ssXH7u4v3ywGX3R52zbbA4wmR5N5fJicaefnzh3BoBKgVvb/J2LV3+Yp7c+OvzaE5cOE925
fUJElw72Pj1cj9nW6mu3bdFtLvfmvOfiiIY4qY45v3X36OUrZ8e+f6oX2Otnp/fub15+7gJIUqAP
Roa7Gy1GSMTcHo0Yx19xL6WUUpiTm7lBSMDdoeLOW+ifiMShJkwqTIy5KDGDg5YiSZAkwPiArmoO
UIoSYslFuoRtNR+CdkQREUnJQV2JmTVAbQH2x6DXaiiIwlfqWky15vSp6lxKzpVIrg02yNT1Xcl5
sVhu1ooxpUEiJp1mYoo4LdfiTdBfH1JBwgjblLmqonmeM/A8T5mTatbQuwAiEVCXKnnMuet6Nyem
1Hd1Gm/KJJONYW53t8rT1IKP8BiCYh8le55nJJqnEYjynEvRPOs4lq3SlS9/69v/iz/+m3/9r2fe
//505s2fP1RgSiJJuJN+6KNX6RaLjWk/9Hm7VjPgzkmU0qw2oZwo9CBH6uOcE9M8F+69mDHxPE/M
zmBslqAfwkFFOJfSi23d2JUB0HxWm7NtJjuZPIPlQuSV2NwxqCGoJaTRlAgKKrD3gywHLsX6RJx4
gZ0Mfclk7l1KYP2KhkJzkkXOGZDXBUcXMhlNfOYRVFxmdTPIuQRKW5iKZtFpgSqgxedkBgpQZlN2
zePkRFRyweTzXJyZHcFtIChOU9GYsCZGJiGCjmwYeOM4LIZSCiEBomkPKEhuQEipfP78Uqjo87ZG
ASQkYUIgoRapEmm2JC6MAKXM5q5WmNkbczzoCEUtijw3i1ZTraZ6ALFGLwnupswctcf65OTswUE0
ONDkHjGTqiqvBkzCVmcRUo77orFeQobk5sRARBa6PPdwcO1E8tCGnDGu8hi47gz5lW1fg7mjnqvv
gFr1G4ZHtMa0VJOBN6pq7Q2iQ25Ol+rthCBM4O4J12LAof1+1QJVkfcOMWA8XZsAOtZROnFtR0vI
UxGxvijgaAwwjLYYe2khru04htDVI/06fAqRixCxihjhmADmSlj9OtYCOXZEYNfKqMDqxa0xFt52
CNiayRDTcm2Yw3FakxqiqFKHpkkNXigwILgfn5xsDw9/61tfAQI1NyQAOjxZv/POB986f8G8LuI4
UgsREUGYi2knyc3CEDzPc1xp8eozVHiTujrF1LKWwEXt6OSklHL27H7JuWehLtJD0M2nuUzztFoO
RGwaxjHLpuEGBGZqe1GukDBjrov402VJlY4ztIF8zQFCjyyQeItNLTHFHt4CyAHOUNeyUTwXVWvJ
KP7IEIeZvB4dEBdq4zVi0YCC8E7VxkTBpAgWq1sN93aHot5CTKHumeOuRADksGXFlSsspWjcQpGM
3doqVHN1L1oCTNt0lebg0qWAA2NKJY/zNFmeMaYbIqUUIi7zPG23yrPm3HU9gM/zfHR0uN1uwX25
XBLz8dHhnCdw82J5+tzHn85ZTZ0RhYIooaruaKpuM4BWFSDUWEVqcSpWp11hQ466C9WNAEuoBRzd
gZnRLDFZHQ9ZAJ92Sypr25ldFxY78yqvaFrt6Oxox6qqn7vVEKCYeKgKE0E17SNXvC21bWGcbBzD
9eam2AkcqqGutuux9sOg+bRUz3rutfCq5q4DNNdmsYzCqTFV6z7+VPcetYe3sNPdddveCid8xHgA
bX3qj4hcIoHMY9pHbXUPFe8Mp/u2GKZwQ/nW7sUMgkIaAoiaKQoUkvRaVlfYW30JxGo1g5RaDGa8
vEihUIBA3boZI4VaBtzUa4qJARI4AQizuZfdQ405T5MDnKxPzp0Znn35JWQxD08mTdP05s9+fs2f
Q8RcyofXP1mfrBPi0KWDg7Nnz53rF32kPak5VTEIEhCZAVcXTLg53n/nwwuXDvYPztTA1FhFWkwC
a+q2Fi3FpnEMFYYV245TStJ1aZxHz4pE/Wqx3o6HJ8d5moJVf7QZ/6//9z/5o3/8u7hY/cv/8f/9
z//o7/XSHT04evyxx/bP7mlxdtBIySD2ZicxDyhUCCArbzQSPXaqp9hqngYIYYWHeX2E0Q6YFFKX
UC1ByzRqGu3qaraaqgUtss7hEa50lOVFtbmdo29H4aSWG7m/+bFrRRHydY+RJxI6xLFsYSyqOH/0
yBIVEi2WpIvY6nEcc86OeOfOnXmauq5fLlcIdHj/ISBKSjJvoZSSJMXQtk8S0tY4kEopfd8ZuJl2
kkDdK0+yGqJC5h/aX3NXsNnUzaxYH0P0R96FygPwQCKQuTuSEIVeJGet8gGiMhUQCghml0REVDVJ
4hrbA0yiwU0AADVAqiOOIB6VHCtELWgtGFDdhPjS2f1XLyw616XgCdJ2sgvDUFKSriNDdJ4N3rl7
/L0Xnnj5/PnjPP/p9XuHo18/ng7Hspnps8PtW/fXG/Zbx+Oq7yeGu8dbBbq98QdWjBgRPxx1c8hF
8dNNeagEmH56d/0Q+NL5M2/cP3rtznRrg+/fO/7VTKuuO562d7dacpR5xQJdaOqVrBWTEkKUKspF
Eu6Kz9a4zCCVMRezfncrBcFBi0EbjwVSEl3d3FCJJarqQClK39VhTpzyJOoaQAiO8Yt5+LjZIVKU
zMyK4iK5auOpe/WzNUsbMqUuIWHiVHSS1OepeIPO55K9uosdygwoDtZY+gqENmfsk5ViKTmgmwIK
EQEzCAEiMHEnSciHxEy86EtWaqFE1S9mplk1aZ5nTslUSZgRcsnMxJ0YGhC4Krg1YqYXM07JS4m8
Uw/4FDMhsiQWISZi6lfLvWX3paeu3Phf/a+feeELvoZ/+z/997//f/r2a/eTU1I1VXeDac5mVlQV
vZQ8TlskIHQsM5bZySBPlHrWImYrwoFIIZL0lIlmVXXS4tL1k8+g4I7JUJBGzwk5I2USTJ0DirCD
7S06z+PegmdiACChDLIYuhOdkXdcNTTgUf3YPG+zIZABuOVsWTcDyXYcz+7L4ThJPyewpCrgc86L
RKa5px7QAaZ9EtMiTlNMFAimUpD7GWWjVFywgEiXYUokyB2gdKnrmACg66Tr0gyWOjbzYiRMRp6Y
TIRZpnneznPX9+NkBr6Z3EDnMieuId5WZtesRbUUEf68lZkDGXgpljok8KilS1FyJ6pUd3MQCQab
9iwRIBkqTabIxAEH2oV9AQAzAXhRDe0G7axZiJERohpnFh6cP9cUnG2if7qQDCdONUepmpOfStdC
DxJ7SDcWMTN1D7EgMdOj4/aqQbVHPEMQfL+GEapugVC0Ut0IOtVapAYcRCdK4MXq4b8L1/ZW/VQN
5m6Z1YZK2Lg1p1iR8GqauWN1L7i1ugpjZ+U7dVwEVFa0fVUzR1AzuSMgB0IilG8eDYlpbW8A3NAd
ybk+qYhq31JlvhxmUYcWA9lEpOH7jZIuWEEtX27HNqktalPnqnmiWAc6mcWxA2G4r+moGKFbHgLc
ME64M6DG3+8wZ+s5CbOBh+7DASWlacoaqEam1958986HHy5Wq6vnL7z08vM5ZyN0909v3j659/D5
Z59+7We//NrXXu0Xy3Ge1H21WJRcypxNrVv2mHi72Q7DkIg/u3H77Xffv3jlcp7L2+99dKajV7/w
4tHDYzN47PKF9z7+7Je/fOO7v/7VRb84OHP2+GTDzA+Ojtfb9ZNXHkvLpWqpebQApWhiBjMIOr4D
AORI5I4ZR3NDRQ5ulGhe33wUR27Uq7qRAyiqBJGHhKEKg7bYCW5kUDldFVsCUykVxxsRi4SodfPl
6I7E7pZnQ0IiVHWFIIUG9dd3yzerVNd6p8fTLvYNEbcbrTsgzkUBoaiGFVNNK+8UCRHVVBvFeFad
i09zSalbHBzMW8nThoi22y0RT9M8z1vVsl6vY1hMSGiuWsJcikjTNBHGzV5MlZDAPrdaBB3IEQ2w
WLFSIMdypOQVNIKRmqETtE2Ku7OjEBUzBYXTGxSjglZzjr1io7IgkeVCzDFUiNiS2GvhabcU1TdV
bM9uC9rWPWambpX7jXVpVzeNEQqtgeGtGyNsHkhq1xLVRaT///eEO5ZtZf8Cqnvw2CsyHbGYU50e
hmkDmxnPWjpX8CtO7a9tEQq1T0AABy2R/KFEsbypZwdVh7A/IhOpSDZqEB1o+2LBcLrGBM+ZuLr6
a7pY/a2QsFKiGqCJCdVPF3OESExh+PK2MI6Prl3Z6Br9cAsEweoUxR09DaPRqhYNqNFcpG7V1BD5
jOZgGpJM88Y+IlL3oo4OTFxdqM2opmZCNQfq7IWDt+/cv9L3zz5xZbsZ3fy99z46PD4yxP3V8t69
B19+5cW+63/19vtHm83LLz5z9sJBPFiF+Pa9w70zi33Ak830s9d+nrU8e/XJC+fPv/32++M4ffFL
Lx5O85u//OV2a08c7AXt6Obtex9/dnue89e//oU/+ZO/uHb1wtHh+OUvv/TGm++cuXzw6ac39Bsv
x7jvmaevfvLpnbQ4ef7Fa5uiB+f3gfmNd9794hdefue9D7/0tVfB1JrGuUZqhEIeMCreOGaqw3n3
3H9ENBSLTGYulb0FwR3ERy5vaI7gJuvGndApvqwK81sK624JH2/2LtKmfjBmzBRcK4+NcnOuNjyW
AUASjuJFNdrReFZWRKKjz1Zqfqt5YgGb5u2UurQYhhh7PPb45TzNt2/f/uzmrfjxwiJmcWWYoAuz
mobwNjCn5CRkpaiaBqkpVDRTyQhkFuYm71JXShERETZjjrFFYkL0WpBBbeKxBohCzfalrNkcEktK
UqEUjuDeJangHIQcQh+3mJLGpwphOo4zDQDcOxFEYiafLLLdnSglIfPgQQdXa72dbz7wS2dXh2O5
8dnDm+vxejcAoWa7YfYv3763Hud5nj+eb/Ys90/Ws4FiunmS/88/+nTKs9Lif3j3IbrPMz174fwW
8M6mTEo/vH6fJAEmA/j4wfrDu0eS0sf3x3k+7vvejH768UO5uVYtACBJzOXje6PDVEpJXR8mCmJ2
Lxg5tXHFEEUeAXEFwIVdBXbpsu5WCjwSCEFEzOSmkkS1mHlK4mYsjIgoxAHdYqoeLzAAVXVCjoDv
mPgGiByJwIwZmlEMmNjJmaWGg1V/iMfAPhOAFWg0AjUlCyB70TwDmFsJgRwJwWyc2GdFISbOVVVF
zGRFSaQ6ZimmQcjMddxoAIJWNB4+WjTD5O6aC/JgjRAdakxKxEyp466TSWdJXDNsmUvJobxUppSk
ZEwdzzMyIQCrKlMoqCt0wQxMi6u6Q8klT9Ovbjx4uB5ubfauv337mWvP7j3zlVv/r3/z7d//3/zw
U02dIDoK9h0pkxkMi/6kTMOymzwTYsLUyaBAE+SZOYuszUZAM3RCLZaQ0UEIjRwAejRhT4lmBUQj
gByvERzN5pIB0NDnuehmHLNtTiZXdYTO6XC9OUO0nqYBnQHHMq1owaADgzMNQuoGpgN3M2E/9Kq+
N/QL6bzrO+62XDJxlzrNXiAp99sCisncEklsX5BIBAkREgjlgWwlvs0a144TIBiTq2pRn3Puu37c
Tl2BPJsURcScc0qYzbhkdVXLRJbcBjbscOjclYRBKMWgoIAhJQheWJLdwPtzdaahtsVKPgAwC6y5
qcIculYe8xSKNtOSpxnMgesCswJ6cKf1QqLIk4vJTEBTVES8OXxaZkC1G0aVVtOeALSUlFLc2rs0
1JJL8FQ9Mkuq1NQcMTG3RLra7wlxyMyii7MqWYypU10iOQBSlZ+dzmVb/wzQqhzzlgVARVWEasJk
E3Od8hXD6bTziOLpgrCaj0JFay0R0YLbUdGsO0JkPIlDgGaOlTsftsGYy9btB5pV54wBcJUfxTO4
VslYl7xQTAUiRCw8alUbHL+hugnFWMGr0OqUXILFHF25EVya1K0CEHfWVUIKzoebS1S+tYIlNEeK
dLFa+2m8OMIduDJeiCCE2MQQDKmYh2dS6+qK/BEdNZiXbE89/dTBuYMPf/Xeteeffe2N9+6t188/
dfnu8eajd95Tonc++Hjv7Grv7IXrH32ILE9deezDj+92Oq3297vEV565+ubrr3/nu78OZjnnxHKw
XJ09uz+rObMCcNfdv/Pw3v3DdGZ/WK14sfjhT9/+ne99492PPtsb5L2Pbrz6pWvzPPmibwwEdAdg
9haObW4OZO0zi+JbGt0/JHx1GxZpso2JQgDeCrXqRMWqRIgPOIYfYI5YtUVq2qq0+vkgEIBVWbs7
1wvAkSiHzpaq7U69qmO4fbaNBrWLunV1D99HDe2GSpNubFYsGnIGQQTXEqJxIpyLlqIORMRezXxx
9frRw8PN8f1xc9QlvnDh/P6Z/QNkYj45OVmfnJysT4LdWHKmCp6MO5finIpI1grcJvzc/tJxckS1
AmAxa45F4rgdI9cUosNu/m1sjEMzo50yHpyZIy8J3N28dZw1TtNU48bAVg26ez21dkL9qiZtgZAI
wYSuCZNGFO+aQ6o5txY1Ro2cg4bqVCXhli0Yu1CP33DX11mlI1HNEyUmwGLGSI0uCzX3pE3oQsBv
p3Fiu1Xqzva5wx6R13iIHSScdsbR0L806/tOulnnXK2C2/XMdR8aTelODhy/EROReYmxS2UZSByw
DQNQMQfhYNzx88KYuku6Dh57wEMY6lYceOczhLoRDZJCPMbjyI6GygAZ4x6TeK5Vml1QwMHcDITa
CC9MB46YA6gF4FS/SwC1ggdqdHZpWz8hOn/27N7+mVWXVnt7v/jVe68+3731zocvXLv63s37Rycn
55648tb7H0o/HD98eHDpws9fe/17v/vd+piIfxcl988+u90P/OKLX/yLH/zwD373if2zZ+7cv/7h
+x8cZf/qV145HuHBxx/PRTlWKVk//PDGs89cXZ3Ze+ULL/7q/U8/vXmLEL/0hRc//ex+HeASHhyc
Ie4+/fizp554LGf92c9/RZpvfHrjxWvPMAKBJwLHyoeH2npxcagDZebAU0SaVIBE3dSp7i2pnavW
xrjtErWwJDSde9WZ16cq1pUmnKIbABCzmpgx8CmXIeradnVRXacbhPbIvcWJYw2zIXDTgOe7GXEi
JIMCAMKSs+1G/oiYGsuGCe/fvTOPJ9M0EhMJI6JpCfM2Ei73VqYmRKvVSgDIiiO4qTJzhN5EMhVY
KBeo7kWDt8hMSIApboNEYO5JpOqEECC6KAu5s9TDAWHKmZil6xQ8oMyCJLX6qYdF1E9m3g9d0FtD
R8VQoa+GICTSd216hDUZ1gwR5zmnlML5kDiiO42QiuWq93VHwG2x128/xDuHVRjNvB2zm7NwKT4e
bZnIId1fzw6zGhCLgTnhZs4luL7Fc56F5ZPD9Yf38lzAkVSd1Cpdi0WzejZmJuScjZCYU/AqhZmR
i5p0Yk0bhg6gRgTaEJ2xYS85xwJdi3KikLiGnxjUJLG7psTmnrM2Epd6RRypu4GZKZkWIgCi0Nk6
mGqBGtflCEjCxMxWWBiyG3vU13XFYRqdp4M5mBUzRDezYF/HmDxn0+yuTtwlLmUmRnGiSEB1k05U
szCbVYlCNL0V2glGQkDOgqaZU7JpUlczBUVAKPPMfadaxFPkPxBCcWfBftHFDVAE+6GDPHdC0CUi
ZElesghl9CTgHbEYAzHiYgBBTOJMME96fmn3S7m49JE4JSRCm3l5Jm27tNzvYMaulySkebt/Znm8
trOrfchpSDIITpf2z+8tL/XW//Fv23jrwssXn7+c2Yn7NI7TsOwsF0Bf9d04pb3VcrPmi0NiW49l
M6QedeotJ9AebPKSAMBBmbfj1h1OxpmQTrbb5UrWm/GMpE3O7JyINyWz6eRa3JBQGB2h62RILIpD
J+DkDn3fpzLvD4vBPKVOzVLPAGzYGfbGkJEVPZsrMHCfs0VGBM3FzfM0uc1YDFESGWMRUHIAU/aS
3LZ5mwTmPJkLIo+jpR4ebLNJGeecBBlBTbXgbNaDdUm0lI6ROhn6lAm6LqkqpIE4bWdgkgKlGAKk
2XLnrEaAojan2Cmhm6mwoxeGEtLuvx33CM2FarQDOuSc60laCwFjhvAjIJKaainmYGodcWjVzMwq
PSICygwAiajUfJ3IzdJ4XmP1hToTq6owW0PvWo0Uq18cVQVY5fTGyDPmmVXzGbVO6CEbEyhynkrR
oFCqlvh2bhnFVdsT1lmABmcK36NW82d4mRCRyCroUxtnuPYI/sg/gGSR/BjpBQAELTqv5sthBKXs
qrEmvmypnxR1Z+WxIZGaIbg5CjKCqUb3G/0nVR3hLkY1YuJbmIQ1InLU07VpalVgGBOLGZI0GMlp
kgTUY84UkNvCRsNdWQkZDhB7PNQKvUBvOl93C6skRflm4AhZK0FKIpvPnaDmnTi5uQmzt8wsrbYT
mA1MwUJ2i9EAkIFzQw0Jwltvv7c6u3eQBnAc+m568OCtd95//ouvPmvPX7v27MN7Jy+8+Pxf/vD1
45OTYbm4dfcuCr744nPnDg5+9OPXxvfmxx+7RGCA/NyzTxwc7H/8yZ33P/zo7Lmzl8/vO9Jb714f
x/nk8PBrv/HN/bNnF8ulE6h7mafVueHatadvfHoLL547d2YFwFgbh6hlwNwSRu+xc4I2mWKVFezW
SZUa5s0Ehs1cHILZ00GMGhEaesPEhFjX1VrOJEKEqVSuErgQNo80VqoLokYXFVtW2iU8ORG5asyZ
NMLVzDWqc9MkEoyT2MuZVnOhqjLT7q6PoCdipqi8gzxu7gYla8nKLIwo6OKehIe+69NZJjw+PikP
Hi4Xy74f8lyQSCTN85SnSVjOnzu33W6PT05We3vDYpimKU+zlpwLMaFZ+f9JxfyfpeMFDXkFYiWq
7cbbRc2gghjcXSTUTLszFk8DkHbu0xgWICQmLdqa8F1RDDsloYU9MFz94AiGSAwRjRgOCAQoSLHR
jfjEQLPU8UcTd2hdTyLGprolUZGqRvh6dcM2AlDc/jHeit5QI90ijsS4AVWrZ7Zle+5SkULqvdOI
kj9iIt3RiRwaMRRbsm4TiewCKsMVHPqUaAYiJhkqp7wqgSESampgMMDOdl+1nkKkrfYuqugU0gNo
EUdxEDGCukWCPKgRYQllCtTQbkBkaiThU0ByiETodBYX5jLAYAdU+JnWXJA4k6m+SYBefaVZlQEE
oKWbGiEL4GweESOOkRtqO5KWuhp4BtQSo0AQIicoqiVUaGbL1eLShXNHBZnKarm4eftuL3Lv6HBx
du+pZ5+ap6ylnNnfN9+NbFFYpgk8Kxm++9Enh/fuX7h8cbs5XJ09//DB0dFYtlNMavzNN3/15DNP
3rp1T60UcGLqRAToCOn1N967cfOO+YtB+u0Ev/ql57/46nPvfnQjJVlvt5f2hkXfM0OfmB2WQwcV
MxF5yGBaoGLETzv5dv/GWqolnoVeo95lQd2rVtLADiFS4xHWozSenmG1Q3AiLKVaHjCY20RMDC3b
LKzUFHdV29gyke+arDpkrrFPVXkc3XJToAN4PLsrAg8JalljNWUW4eDcOdOlqQKCahm3o1lB8GEY
9vb33VGLzvOMiOKIs6qaLWPbsEsnJeIkVmrqFyEVLSKiZkBetGjj2psHkKxOy0KSjkRl1oK5pm+6
SzDWVJk4NO4xFLeqlmZAYCIRGcexIuyZhKlUBkiFMoxmpWhICtQ1SQdqRQ1QAWma575LRGhe6sFX
gdJIELwKMgNzYhEDNNCAj6kXciIWc0dHAy+qRKyBY4u0MceI+2JGM1SCo82kqilJaLgQdo6ImvwK
lTwvAB4e4h3gzc1VIzaCNGulcpmCGYUcMYwdzO7edSkjIJMgFLPYlEZKYSTlQGRklxwZwVaimw2S
kVWcLxIiShJiJJLwnWZTQsimHKcIoWouVoIqEDkvbkZS+Z0V/0XEHMpSAXQ074cOrPS9sAxWNCW0
jIueNAbVDJ34socVC6P3nWymvL/XjZu8v2BGEi206HSry71eVAhxb9FDGZaLYZo2w7JHd/S8HHqd
0moxWNaeaJBU8rS3XM3TFvvEJU9gktBLOlgtp8323GpRNIvvcZLe9paL3sbMQolkmsbV3t7Dk8OL
B+fW2w0h9sLH4/6FM/uHR4cXzx6cbNZ7Xe/kOu31i2Feb6VPZn44yv5y/84Jnts/+/AY9hfLdZmL
8qLvN5v1uSdfWG+v7HX+/FnuDbDzeeupB1JRdGE+GWV/r79ztE2pu3fnCKkbnTD1E8qRe1KbRcy8
G5KWuet7hZmEembE7syyG7xfdjx474SCnHDoEw+cECCllM2KsJW85WKG46yJ+GizPuu8nRSGnIsW
mIV5msa+S2zF85hK6cUAYSbvTbMXc+tS2s6G7kVtQJ6jLSw0FZyKG3BBpkTzrHvSK2dMqVMHgL4T
Rlv00uFiuUgzOwCy8BxpkmqCZIazGgGdjDN0w5Rt8gLm5iYC23FcDG6QGRQBBZSA0Gc3EraiEzGb
ltg5iKRsjgBJBDx/fndpwFQLYhe85WnK8zwvht6J3Q1Ns1p4AcBcpZvm2evTAksxhF3OWM2Bj3bF
nX2XodKoHLvahZjAXKKzrBvGkB5ABdG2IsTMAhMT9uxoAmsrRRT68LoX3QWCm9WE8Z0FtCliq+XG
tP1kBItNcSUkxblT7aZU93gtSwZPjSXWwmxa6j3ssmoqqVWrlq0icKoPtjWT7ZGMlaobUsjqxQI6
Nb5arG2iYK6EQtwR9mu4gp/y8VqmTWRROzgRRyGlbhX3UJEoGB6CwCqhYzOaNdmzh7YTJVbTsPud
q9LP1IIXRXWJDZUK34Jq0JGYInXAKvQ+PggLp1YcyrtEe3dU1+Km7upm+Cic02MdFLs7IXTHhPjc
M08/9sTln//otZsPHnx28/YzT1597+13XOj+0dE8jcxw//7Dy5cvDAOfu3T+3P7yw49ui8gw9Afn
z//4r/76n/7z/6oAgPuDh4e3bz+YplmIl8Pw3nvXn3q63D88OnewPx7z/tAf3n94+8bNg73lT374
k9t3Hl69dHZ7shk34zTPXvPMId6xXRiiNhRnNWrGUggAI5CpRh+EhS2KaDS3GNYEpWMHIiZiBNuJ
1iqOuKoN2dyqyROC3OkO3qqo6tUrDVWAu2yG4PlX7beHyKj9QKtgiroriyWhEqJVq7DWNPmdWA6B
sEYBh31PHYoqMitYWDrALKUYhQALuJfUCfiw6PZEyMFZRIuKpPVmc3jjkAjPnD175syZrkuEdOB2
sN0+PDw08/MXLjBLKVlL2ZwcPTy6T5+f+lY0NweQx2rXTCMvsRRDHxwXIgAAgABJREFUZHXQon0v
dZNT6WjVpmttlRdCvqDduoHVSYKrOwEFIKoRyBEh1N2+YwC5R2AwhUdODaqvuygzY/gSG9A7qFbY
0Fyhb1RVBGKKDU8NU6kmUgCv1h7FFp0cMzIiKGqnSrOdgtZ39Ni6Z3zUgIDtSK/zuGahatPDOvwI
tlnNtQ7zQJP/R9xXyAoCOBx/fwgJdymsWBOeof08BPS6BGs71SAe+06vQa5uFONPq9lIBJX4vZMJ
7wgClRWHMdZp22DYgY2wJRCb1qcVcsAC4NQCQcS5vlqSdgQTAqFnj+zrXYaNIwbzwKL5qiQfxFw0
z3M39F6zaskBZjVk9kh0RlgxMREhLTpB8L1Fx8T7vQjLwLy3XDz19BP5+CRvxr1LF+/fuTtux9WL
K3PfP1i9/e771z/59OqTT+2tlm+8+da3vv1F6brjw3uM9sTTT128fOlX773fCz7xyrX46L/6tVc/
u3X7m19/+fKFc6uhT4mfe+ZyInr2masPjo7/l//od/ZWC0caFv1Xvv6F1XIwsy+98DSgv/jk42D2
ra9/UUQunD9wxK995YtRM9ecKjdqM4D4+BjJLZZvwRMiwqohIiItVYLELKWZIACAmXdi3RBxNPB7
G/phOGSqHieOKQ+CYiWxITK5G3OMy5WIzDQ0A7s5l9cmAsFdENxaUQHx54Qt5DmXsgPXU0ztkTRX
5ddisQTrjh4+vHPn5jRuF4vhySeukpA5dCmt1xtCOjg4SF2SbIrMFh0XRyKqRT7yOE1R6JBWOkUu
2owfKMJmhUhK9pTILBRfFDBeRAay4i4x9kZHglzmvl94ySwdQ00lJ8QcNlkEdUWL8acGkNZcXY2I
mVnNkOsdSoSuxgFPZkLFlKSUgkjEiOpBmlWtnIRdARSfOrQopYZ80JZvX6f7aEjMGMZVRCLOOaeU
KKWcCxKmJLssr6i9WpKeIgJRAj/derbwCRNBh7olZyEkFMBsWaRzNwUnYXJlBCIoRbGCzc00m84s
XRz6woAGCChJCBwIhAiRRbhWAERa8mLRayllsiFxh5wEo6PuGMGMUbtOINNqwYi9g6eu84LnlkNn
RmhD6ki75WphZUZC7jjn+WAxmOaeYb9L0zicXS1LzisRREBdLPqkrszIjFjOnFn0lvOqF9NC6H3X
53lmESLZlpm6VObVsu/LPEs4lk2HvtOcIzI4Zx76xfHoi2G5mUaEDoWnCdLQ6VwcYcGsRVYLWW9o
f7nMZXIDGbpxnKTvpyVSEjXOOfd9Z9O8GFjJALxjnBmHZKmDfSyJtedO0ZOIqC6Rt+MI5kebDTLl
aU5ayABnJ4cEyFrOIK7ciHlBsNclN+r6/iiXVRpE0cz2+n7aTol6Z9wgMoKCrSQVGmeC1KWOedVR
wrIauhOFPfbHSAbwTkHNObtm39hYcjGEZd+N45i64XAzFkqbaTLCVeqPx2kJNFnZNyPNHYsjKFGH
pIyJkcn7vlumlPq0ZNkwA7JwStIBEklXgEC6k1xWy+WYN4oInMAVJFEqnKjvkrDvDUmQDEwGFqFi
mhgRcAvYO4zqmn3OhZNsxllN1fJ2zrNtc+SdFCxzXg29qoMXYekJBnDsaBGkF4Ku63IpzDzHEAs7
QAEERS3eZdMeOjXtUnIvwshCZTYi7VNQVxS8fP6+FJiJmSjxbJbLbF7AdZ6nHTBWY6SLyEjsXkoJ
NkTMKTF0UFXAW8Mzq5vJHUkaSQjBHWvau5sqE5dSknAVVgEIVeB2bCUFydQkuDXRrlGI4i1qO1Ul
ZqgkDAOE4uZqwhL+pd3YG3eSs0ddWQAWMe5WO6qom6LaZmZVqxkwjcChqnEUu5mIQAtdCE9piO5O
AwnRMSpIc2xw1OZPwVMEBNrO0BlRxrHB8BoSGJWRQ3jawWrcMTgh1R6mNaRtc+CR8qrgvGNhWoUs
YfUohtbXmhuRTgvfAOm21WusR/iRWg0Qs5m6cxWUNNxlbV05Eggj4U2LGpLtIkkACKopAGuEYM1Z
9VoKYIMIoJoG7oURqpPRdg40cPfLFw/e/ej6jZs3v/JrXz04e/bK048V1a9840uPXTjLT17O8/jF
V58/fPjgpeefuH1vOeZ8Zn//lRf71bAw9+VyeOHla5yGMKDt7e8Rs6uvVgsDf+qxg8XQX710ngFE
BJn/zu98CxGffvKKF2ViRn78qufgylTwLBQt4TDhGmlWS6SIDoqE2db3BxlIHYGRwgVXTEP7HuJq
ikTcSEFwQwCNIqzuq5WZAgNSF2h1SFEvsLgQizm15Ntdj9okukD4iKUOPGwpBuDmQkiIAfXVOily
BS+mAN4zxxQ6pBNRU+AOlcmk5hGcEEJ0YTIONkc0zjWSNfXdatl3Qtv1sakWnadpevjgaJy2RLja
21suF6lPof53w2G5XJUybqc7t+6o6pxnM0WEbPq30PEWzXUr4kBEVudtpJrdLFi4SFjMAIEYIVJq
YuumpfLYiCqP14CYneoJQC3lORqi0GvgaSwo7BJi6pFY04uJAm8W7opwQai2YAgI4y65xafjjtCY
vbpLeYGqlY0oI4skJCQzZWKrdCUjR6g65WrgpuAFNKzRTjBZwzLCpxp71NA877KHmju0rhN3WO44
IAOm2Lambl5KqRvaltACj4iEASJGG3ehUNXR94hweAdIcjeIrEXA3Sjz1FpiYOy5lN2XtzQ01HbM
RVZnDfB8ZA9cfRlcG1tHKOYGznzqnY3BUny2Gj+v9f7oIEg7D23Ys5EiOrWOkKpIkmnOKsyBFycE
Mxu3Y0oppglm5gpfeu7JCKL40qsvJeRvfvVLCL632itgTnT+zB4h/savfx3MhHC9HZnZXd3xpRef
45euxUL+qSceVzcFA8SL3/6KOMaT66uvvqJN2cGI587uXzw4E41733dIuFgO5CYkq9XCHIppdHRp
MYAboQ9JAntGIK2hQA9eDJiZCZK5NgFHFc+aOVJN/7LaU4C70Q5w4IqV8mBtEFCvbbeaMRMR0IQE
DU4fqSRVHGTWzsNGEaWGNqrZS/XiC+m4ubpBJcgCBMeLAoBLQcGniGhuSVBekwGIrDQinFe7fosD
sO049kLMtFosxvU6b6c7t+6UUuacz5w506VumueH9x8WUykeYCqzhuoKz6YEqw4wuEeqGnMvqNxX
LqrI5O6SJEZhCKhFI2GHuCGOzBoI3IWYEcjJSlU8CUuYJRQ8z7nrugjCpppo54mTk4eqLU54R2Oh
6Otyzl4jtsFUsYrMDFwJyM01Z+wH01KVKsGVq0QKqoFFZoNINiXEXAoRCnM2i60vEQIaUuTOhALZ
0c00Rza0VkWalZJT13WJSymELomrgzEm4gSK1KUwMLgQZre+l07SOOowEBQT5GFAN9rvKCUSRemS
uRn6cuhZ+2XfJ0HP5eyiBy+Mvj/0roUJkpC7Dv2AWlaEiSAB7CVhdDPruzTneTV0Ibtddr1rHrrO
VMFg6Ls5qxM4Yp7zclhM45YQO0l5nrq+z4XAyRBc0zD085yLFhaZCnSD5NEWSQixKPRdl7UQsYhM
07zoh3lGBADpxzwJGBIkBgQltxXxidrKYJ0V2TuUeS7AUuYSgvStFdXZMFpxGiQR4QIgpT7bjExM
vFE1QCdRgNmAAcdStvO86lh1FrYEjG4d+KiFzYppMSWkcc5AsimKOW9LyQbcsbmGJ5rIWYid+iFN
CIuhy7Nu3BIJITAnhakgT8CW3QnLqB3pWg1Us5ZFSq6FQROYoQ/ACJ4NevdkPjgej1o6W0+2l0nB
jkb/+N7dn//wJw8PD7emwuyEbsZB2SF64dLl737zhX0GXnRDogX1iCSSBoDUD2LOKIu0mnJGSVtT
A84uVmyQtNUMDifmYoAiqlq8qM5FgXxCU3UQRteJyowE5jZrZoQxz0S8mSYWWc8zGHZDN29L16Mq
5u3cSdrkwgs0QGDqUwcAQ8/TPC8XHdi8WqSipGZd101EKaWI5EZKltWQFbvZQIFiy7DN874sBZnQ
CY28gENHQF4YTMsMbvM8OaIWS6kzxTGXirVgNPtb5MSAu5OEYA1Vi5smIXBrhzLsGgoCQvd5zq7V
3kks8e+ACcRJhRXWgnWQ6VQTtM2F6RQs5J6I8ZGVEjVXduhqiJBEsCIoT1kdYUQvbohgxZilPuUI
mckBA5VWQwKrGLmuUt2qvKJLaWfaI4oWiLyS0CGQp7W8IAKAbBqGDgr0X+yIdiEhLaKTEfWUwbtb
dpFXNxFBkGCsimviS8PwVENfq56zCo8ZkTx8WYDIGGkSVZHpwlQhXualPr/rRtasijvit6Ad7MQa
jhNPbboGRBB5Y1izECpJ4pHge0czdQAFMAzZo5EDuDIxuDOCQWNXxWukWIMYVcmcMxKCNU5xzXA1
QNA6sIBWia9WC3X76S9+aQDFLJsB+DxP1554Inyqjvj45YvnL58vbgRIDi9fewYjSRXphWeeZgBC
vHRwxgGuPnapuDnAMiVCHOd869b9L3zpiw1Q6cS0v7eSJnTs0z6BEUchQBqgIHQw58QU+nezWn+G
py6G+lX5afF4rbN/RK825Agkq6gbw5oGCYgW6vzGm4prz9uYwx3CbEbmuWbT406LuytekQNE6aVU
NXR8gt5mQ9gw16d46lASOljs0OLzalE3YK7uxJRLbmhrrIxfM0ZOgqWUWNAWLUmYMNg/IIRqWnzH
Dbacc7WEOmQtJVYTZnkqq+WqaAHCvh+Wy9Vmu7lz9/Z6sx6n7ThuwYFIEGB/f19EDEBEVsslEmYt
jt4t0qTbzz2Vq9MQDck0GFQLLkZvoBGRXpNcLNb+DubMWCwWOxR/lhgRyGoDiUR1yhBhOTU1EQCs
xrRYraexmNZPkKhjdtWqZgAjYgCMAVmd1lmAiDikhg2uFovzmpAUCxtTFaTsoZpwASIhEgm8FrT8
khi2xhEpRA6Kp9hS2Il4Q5deAXLgriDVL1ra2YLRYdVgyFPWqbbFstd5FAASdX13iqmp+uIKjrTW
eraszRrjEgd5mPHcTxe8jKSNtqpqREzMWEMTqrC8qoy1Mby84onDhIg1yKox9hoaINwVcfvUt20X
fhOLPmKD3cCzTjurPNUaDNPdQobttaGqOE9kaHqV5Wol+6u/+pufIlEOxwaiObz8wrXsTg7hdkHk
eOSkJGg7+351jBBSKI2C2bpaDI44qZ5KYCpertoI4jXsHvAxOUQKK6IyRnwHepUm1zCVUNZUr0C1
aCrU2F5ED1Uz7ZZhiKRqJEygFVQMO59C7BVDbdKo7zXiuuaihfSpNaKONcLZQirVctTB1JCjra0f
XOjYq5YaaxY3EgXKvpIOdn+OjgBI8Y5U3U/FMUbIMJhZWL7ZwExjKOPELcO2OVkjfA5gRiGzkkRi
b6sAJyfrreU8bnTOy2EYt+PJ0YmazfN89PCQifb2V4u91TAMwonVlYgcKeBXZgZoEYyTiBwg4pKK
GiBqKeDedcncvTLWEKACrGOBUNSY6y0RyiVoDpxdgvAuGCDOl4BJFi3MPYAhoakHea+oRmVTTElx
D5XRilWVLoK7Zg/0C6G7CgkIoVuXOjcD05QIALskOTsx9T2jUdcJAii7sICDmncdUt8xeGKnhSC4
pAgwgYQkwKu+Q1VmXCROOCA4CjHg0Hej5kGwF05uyeFM35nOi16c3DUvJC0ZZ9NOBN1WiRciOecU
zT+eQUIw60SYyLR0khi9FO2HfjtOUWvOOScRVSXvCJGACVFEciZgIqRcct9328kRKdQvSQjMcinD
kPKMzOQoc84dwVSMrY6N3A28QIFEsUrIHXOo4wKOi8RqnoZ+u94WN0Dvehm6nkZfdv3cEGpx34y5
EDmaac7MnEuJiz4hpJYfGLKTsRRHKu6UxMGR0ciRQRIRUWJh98WwOD5ZExCRzEVFZD3NDMBqYLlj
cc2oAjqjingWlmy2TAym4GhOgDS7L0QKwgSW0UmYGEVoNXRz2Z5ddL14h5JdMwKAIVdP3ck0nUnp
7mazxzTNczY9m4Z53qTEbjPaTDZ1aZhUOyF0A1XPhYnHXPrUjQrkPCqwEBJsyywAigiIw9AR0mro
V13qugRZ3v3ona+9dPXZl36Phecpp8Ww3oyUxBRuHB7/1X/461++8eZ3L12+O+V9Gaa5CCKrr7fb
BcI4TZF+oVoGI7JZjNGKuw0dKypBAZ3N81xyyIoUeVYq2GkxTt12HM906Qi2S0k6T87JWLLDYhhy
nhedJAZyT32aEFLq8qyO3ElawmIgzpIYJIMWd3Jczwpim+I+m6qCefacp2zmYEboaJbYQGf2mYEY
MqGAObmbW3FjEwMpBRzd1bhLLu7InCphq0+QJGlRJNCigEZE0+d3WMVAvcJPippmIQS3nHOlAtRz
2YFAQRUp5wwNxRmmUg9Cg52CeRC5qEarqSEOBIhmMmvpuz6KBK2mNQ+5fnTCAcGL4bGGrC7MX60s
iKdUFOvEnLVElEPUbTGSq4vGXVOEdbvrAJKa2Kp1uXCqUEU7zU8LE3id3dbT3BvFt6bItJxB15BN
hq41hn966heyBl1QIgSrdJmd3ytCQKLNIKIoSc0sgGOhvwXHVjXGptSQsbndIrATK20BgqZRuUta
Yx7quqxKpNo+JHQ+zeeGUQFH/jmFnSc6txoVSOqxIQOiSK2MhB4LqY6qOVAjUqCpIcXW11sNYcTk
pjVuIRyV6I4Qa18GDCOWEH35iy+YWuw4ipshCHMiyeHody/gCkpE5E4eAQ3IwT6pbRgakpoZRSMN
deDK/NWvv+IIqha6S2GJeifSg+LySEgG7qDFLXvNPxGo7icHKKYGzs3o3PSuFuRnadhUdZs0M3P2
2qCruyGqKRGiWmN7+O6y3LVORetMeZfNEZOdIPKcbtvM6ktGLGoWEw1wB9AGodmZD+tlj+BmqjaO
0/7+GaoxgRDGb6rQEQrKAxGZq5CoGQfTHNDc5zlXBQE6tp9CHLJhI0AHtFK7HWFxA2RMSSK/5P7d
O1DmkrO7I7VdmWnWrCXm6TgMizP7+0kSOPR9z8wXzzE7mOlUyjZP63GDyITpc/tLVSPyEGJ1j2hq
iJBLyVaoWa5r2VoHZBwOzNaHOLWw1qpNi2/xWGZSGFBjTFOtRGA18BMxl4LMaloT1NUIMNaiWluF
XX0f/POqgxXienBV4ihqMUdUADUTIgDXYIZiHZmZn/5tNcnnEXdfjadqOgmrB9EOjAsUmeeqgESM
/7mSFpqzYieYfARPBtVPW9+EKpaof0FAPOrP8ParYGXStKkf7gByvmNKP3KncAuK5ciUdAeg6KVD
6hyprS17KZpQa2LSHe8KmlrH2/5cqUZDB4YXd0lgIjU3LP5bnQC2p1KEanKLFU1UnxTBVXULB0rV
2oSF6gsvPs/oTEE8gtmMmGPmFeJJEWLCyMRq6pP2PjswYrFCVH0BLDWUodHogxjsAkiRBtc42+pu
DoIYbmRrWOUwiUiVMlc0GjjthFAR5Vw3rLtILPcWEl6lsBhygqDBIzwyLCaieh8Fh6A5tDHmNXDq
Jq6SWty9GGx/gmCNe135zbazFcTvV2vz4DCH7kvduV6Wxn4qJnVza5egV3O1A4IFOg5wNxxv3XCN
HHbfXZVeXd8UcUpYipZSzF3dD+8/2B4/nLbHiPjM008vFstxGvM0z0G8dzg5WSNiJ0ksF0Yws3nO
SKRzpmC7A4C5ghMGpaaG3YlwXQobsMQ6H5lZi8YCR7Uw8aOFDgAQEqOZOjmaO1U1s52WYuBqWtSA
4jCjGsUUQfVCxCjGjnQg8L3LvFztiwiqinBcNkS4QkwEvRC7CRExuOpe3xO4aVktujA5LIYedNkJ
MSK5Jw4eEEQQLSJ0IuYWKBRtL5kIU0pWipuLiJlWyV0Au02yaS8pGm9hUUVhIcSSk3SpaEHqqSr3
kpmqJAAQYnDvu36epxCWKIDlyRDnuTjCdhoXfR+vpkPElKBie929Ks6hMhuQCXtmEYmzA9SiJh7n
2ePtByilMKIgk3vPYmgphqaEfdetxy3F4QuIhCJMQX4nwFI6IgEoACWXrcF2mmcL85gNXU/gaDpI
hcGMVJO4iViYS57DUN4xIGIB2Ou6dVFpUWYcl1yxXAzR56In4wiS1MHzbO49MruvJHXESuBEEfcK
SMisgCqpFJVecplWadBcRJAABJ3cFkQDMxaN50RWPZrmh7mU9UZdNW/SkMxmnEtyB6SEiQR6tIMh
LRNtCx5GJS0dUBqRViAu/exIfT9txz4JJubEVjKC9glQsSdTcnIFR2JmsxDNj/Ms0h1P82Kc2O3h
yfbDT+++8NRLD8ep79I0T8vE6zwK9FDgnZ+/8ed/+m+v/oNvdZD3hVYMJIAKN27czePm7PPPQrc4
2Yx3P7157my3ePaMIk0IyIwoJ+YbQCLKSWYAF/KiJNgn6Dqg4oAohFuhBdEHdx5+/4ffH7eb1HVf
ffXlx566PI65KG7WuY6U5zyN87AgUBstLzqf85RjqaATeyaADrFDWyQqggm071lzYUEsJCJmrmaO
bI5MffbCLsZ9Nh+6DoqLSMe86GSeZ+nZzIyYzCSKIPWsRVJab7fLFZV5BgQrRgx9J7sx5P/8fwys
1VXFStY8uylUiAg1PDpU+xw6AJZpip7GzCKNJW43oxaE7W4eRnpvCSnQbIcAiEVDRQHENRc7ayaI
ACNgpN2DxxEKOIBxmzSfilFDoqbqbhKZkBBryBLC5EiKA0KrwRUgTFZh7i2SzJ1aJwltHh9T4IZP
DJAMkqPjrhsxrP1zcIwrPCGmk4yn2Qc7JhMQQuRcerVL7SC9wlyKAoEWNbPUpVpkMKnWZjNKRqry
3QDatbxBoqJapTfgGOIoDTN/BC0iQF1/BcuPoi0Oj8QuK6K6pYCbahTAIsys5ZwhNVY+t3i/UI3G
5x6RQt44SfETEIAxgmsbtbiBpAzQEWPc5uEKI0L1PE3jdowSoMy5Sx2QhxRKzTMUAao6rKaxlLaI
jhI2/jAoF4E1LgAlJFXmQsgUpJE680dEL0oAFpLXSpKKYQNYrIhr+rw7EpgHdT+EuK7KWAOtHSE6
ydCgIQAiFTMHyFYoELXtKlK3JEwNYbVbF7eVArpDUQsLqAhHPVhL73DHEZaiAKBaqHWqESUSXA6O
7QmRqWJNbAKqJQogM7PNE0cMQdyuqlbRRg5ZS33OB7C3VYdqDk5mRZjdjZi1WEriGoiI6tYDd4yY
b1WzusU1gwp+VmNhc1qkBRGpZvdQeMre/qpfLAx8u52madpuZ0s+T9NnRzfMrZN08fz51PdzyaPm
aZyIoI950+eivhEhmIQr0GvgChMBCnqYCSnuiHjHhdlindn0oGHuNnMRCpxuVO3qUBG4FRoUKcju
iAzNVgpAzFPOSbjyYCwSFFuX5EGbw6CgmRkgoztTRPJCRK14qKnBGRnAkVgrlTSy3GvYnnllokaT
FFmawS0zc4okUozo1LbwjA3tI6ktrZWtyVqmEMb+KGKYyAhVi0j9LMybnrJyv1qnam4t8ip6lV2k
TY2tQtrZoXdzrWhU6VEB8W7Aqg3wXu21VEHf3jZjFSdQu9MoxnYBOdU3u1t8AtQzcBdv5q5aEnGE
zYBH0xWLpWYXiclX5AQG3BUIkNSqAKHiBgBVY/mHiThQDUSxdnbCuvAMx+UOUYs1AJm0nlzxSHF2
FCRHjw12CKpLZJMCMpC18BWuLbvHqCKaDmK2tm5Vi6gxQ4rRoRd0QhQkiz0Hep2A1gO/wgWbWSFA
8BBK1hqlSWgWAb8Uy/Pa9UJE+OzwE3XWYL6LWYEaIkPVxllnwAZVhV4DAmrEsFthqrTXunLngCR5
xeQRgDo2YA5hM9fXy8YqSjrW4JbrIKZOfussz0HbPB92ycOEEWJqcdZV30TMqtpqv0/piaefenA3
3bh+YmrXP7yeus7c3H1vf4+J52lW1WmcHuR70jPN7omol9RUyfGcpTihSs4iXUy+RdoRHMIYr+z+
CPQzs1LiHTeCnf0WpnmGDt28mKG7gcXULPITuiRaFB1IRMhSSlrUAUTSNE2SxAG0GLOYm5s9Tf5P
npBLl5bMolqIOAZdwjxNMzF2KU3z1KXOwLWURd+7KpgMfT+OkxOmlEopiQXQW5doEZA954xMzDTN
WaoWxQUBwnWgChY4Pi+qSSTecmF2RCFKXXJjVWMmdA6sJFQ2t0cifHjLYhrGzOBWVLHgrBrHfTZN
IokFATsWHhZExMSThkY8GkvQoh4UQTdGdjd011JUK5ev5n5FLB6TOdTqxygxF9dIjjL3SUsBI+Bw
PIca0mNtr8WZipZQ48yagWvwbmLyTvYWi2maAFCYRnRnUkMFV7dZy4L6kLAzwlTKkLrkyEBuAAbT
nHMuGRwB1ErqRAiFiYyBcEhdchqkkwTAPKuquRAraAZXsKLaS3IrgkZWOjTUQsymyu7TNLr5ZpxY
usN55sGO83yg/WwKbklYCM4OKQhJY56pG5wxA1OSUkp2UOINFAI6USOnQ7eHOq/6YT1N+7QaCAd0
dRUzKIbgXOYBPM8jAG3HzDI8WG8PuuF+zgguQPM8nktptLIwYyZxSwl6ga5nX3WLgQ+6JH0K9fte
6maekeSHr73+r/7Fv3x459ak3zoyPDScshXkh9vtv/7BT9Zv/fJ//9/8s72z53/5/kf/9r/7N//g
91+6+vSVVLJM7qqAsFwsci7z0Xo62ehJ7hZdMR8348DYO2/XOuXN+YsXH27LqtN3H64nwz/4B7/3
wfHJD77/wz/ov3KwXN369GYZt9J3Tz1xeX9vf31/unP77jRNq73+8rWnT4wWXdqYIhFIp2qFuhnm
TfEJJCskRDUYkA0yIoAVck+E2zI5AXpBy+wzI1o2LWUa5/V2VgV1oFKIOeeipgOwFyWinkSEZJkI
VXoMvHNoYPDzO6xasLJZMc2zl2K2m7OHb2eXt1ltIapFVRGYUzyfPZo6bMdnc5Zby4PBYPa6AyGw
SKUECVszfjThUwXhRmoUtGFt68zcNOL1TgVXTX9z2lI2fSoU1UjcQ4zcbSiqEYWwy5XhtuKpkdnR
ZxK6424FFFiRiuQDi+VtE+BGuLYRVIXTzpjF2Mgg+GiagiOgVo9lrWvnrFDRSljrD3BqhKcIBK/4
ubZUjD6/WHHkGFjXHVob9jNLPOyDO+JoLfIhCkNzqAPwSJiNNyROqhBTIUal4raTqHkVWiGB1EV0
fcoFe8Qi3rCFy1FjFrSwwEgMrszh2peDV0rCjlUBjuqMOM+ZERGpmKqBERZz5qooo+rapZrhGYSq
EL4SqptFYqdFKkPttyN/xbQISrO01LLULWST4f6yXWpPW9Qjt00LOggxASLGYFSZGN1FIoJYgakt
oUKwjUgUbQvXsCJCQlat8RiNsBpsz11ki6m5Q9dJ6Ak9wNH1sqr6cDU3M0PvLInEJAIGAERijE8X
AaFY+KF2XGsT7qIfNvc8TlgxS63abtVLEGuwltSoUSu0wQLHBxDFV3vQB6E3up1YNFmsr6unu34L
GJLj409c1Xk6OTo8Pjwat+vUyeOXHwfCOc/DcnlystnbO3vx4hCW6Lu3btMeIOKc56IKpZSi8Tdr
sdgHfG4d705F6kAcQENColJU1QAUmXOxoCXuuMqwK/BqGx8HSE1GwJZ+HEuqirzaNS/tVKybe4o+
py4VHaHUXFA0N0NgiLOOYksdC3BAZGKN4Ohqjahb0KYorOILM3NXQg75Iok4WIiWvQa+g0ToOoCZ
c5s9+W4tWUUVVJeWjd5Wt9tREnkNDcJqrDVzQyBv/lRErFRMbChqrxpdwmiqTwWllRfgUDl27ggQ
sb0BmSFssO964LcUmUqgoWbRd6ty5UhTNt/d8THXqf7VSNVW9uoDBzCm1psH/9wdgbStEiW6aNtJ
kyEOjTh24sOlhmIO2JuBY8h2GHHHLzaLh7Zaa5kQmMnUFAyBAMhqMHLoQSBCKdRiD+5uKkw7c4dG
VWzGxPG4hBDqVzERpoo3BnRDgBw5umDRcNb3PFTXVBFqhCDEuRgiqhk3bi0ieOyowRyCilrDra35
AmJTVa+iHVqr3X1x49gp66YOF9ScKbr0kPDhDlVISKo1L9LQ6sMR0CxgvUYouIMCBkyRqlZffZcz
tTPZxIM3DPTugeCGgC376V4aHGq7EbdvZWg1m1Adbewi3FWVWerZFwFd7qmTS49dHjpOwn0/qNt2
u52mebVcmur6+KTMeR6307gVIXTTnHMHzhRUnhAQRHwNZDMrGRBMjRgQYC4ltphmDgRRkTGLWdaw
Misg1ucQAiy6HhE5JYIoIgu4kUigeAOYJELRuIIWU2MMgDjOcxFhU53mKW5t1UwIHYsDlIjyjXug
64hRmJgwEQkBkWR3IXSgSCOMyVYIBYysni9gZq6qiYWr8DisCxqOjkdiftlbXLIgdSxqgbOOe8JK
KeFW2cXQI5Kpdl3K2VSL9IOWse7uq6mKmByRhImQk4iWzE3NEee6mXIiMCt5YmYmRLPErK6hpALH
sNEDQkrsBqnrypwliWowecHMciluoGpi7m5eAixsggJI6lYMS6SquWOsbzwxU3IRYWZJiMScNSRk
UNSPxq2VQoSGQO6oFoEegzBLZ7kwsZobQDZzouzuqkyEBIu+cyssYuazunBSH4FTKV6KOuh2LpR0
zHNHHbqZFVCykok7B2AAJgaUWd2It2rA7EX7oYNSutRln4WoT4ltud+lvl8sU5eRcikO4CgPx3l0
fLCZRsvJkDrWooLgRd00pa7LeejNHFfm43p+nLsFSIE0jRlBNkWBpBCi8JhLILiEYWDuIO33wqth
mahbDMTiABu0M11H3SCOguyAgDypO8Co8GBbjueyPtq88/p77/7sp//0n/1h6YZf/Pj1f/l/+W/X
J0df/LVvr7fzEsrWdYme3Q3x8bNn71++8Mn1z1585dwH1z+7+vLzd7d8NNOP3/jw+vUP3OzK5cvf
/c63f/irG+/+5KcHly48OB6/9dJTL37x5b/4jz///V979syZ/V+9fn1z/70X//4fDIt+1aWnhsWI
fGbonvCz7y56BV27nczleLO+fvP26x98/Pt/9zuvfXLn5//uT3/37/xad+7K4TSuxxFFsuak5KoI
ZHnqyEFzH8nLxNaEssVgKkZIwGSYgLvsMxkgMAKmJIPTsu81z3vLvmgBNxGZQKXv521mobjDkNM0
2TD007iNYkxdhVH1b5Nf6m7MqHN21Udb1UcI6Y/EjRYteUYyYgkQ+NCHvVMDo92SAjxmxsWMkXcw
3ED1hOM8lxx56C3sPQQwLMxAlLXEiq+uKdzMLAai0ShG/l6M8GMRZK0GjFRnIS6utRD2Go5C0RuB
R0pDsco+rVjH4PqWGpXR0qFrIR0kI4Mqn3GHYkaBpQGAmvm02w3UDJfYeITZydu/tSm4uFLo3MCF
uOW/+6MfT4lpICIiqhXeTTW9Jj17xQIHISlgxHUVumOPnLYaWJNUoUXEm2o42bCJkqMgadKsqm1j
Qnfj6PJqWEJLvIl9dTUxOUZEJVjzrGBL2gGw4Il6I7Y4gEf8L7clOafkiNSnz27evnvzlqo5QHEc
S0ld9/LzT188OJuIuUMHUJGd2pAaKpm7NFsh5qhqOe7BunYJ+VIgMlABtvMsRJxSU4xXAYAwobVR
S2uw4xsJMeIrzWN5HtUMOgCDzdX/6sJcYfbh3KgqTyNkM2ORYuruDDUVM+cswgwM4EyEcioPC1su
IRfTJgoN/bICYTxQEL2GmtebFoi5mNbnu6Swo1KrE0Mz4GBYV7YQJm1CBM3MbG6R9a01esTMjYm1
FEAQ4dMYW3cAL1qQaM4Fm7pU3SpDFClMqdi8lggwjfPx0XHXMRIWzZv1euHDw8OHVhSI5rkU9Tzn
PI3kMKSuFF1v1+cvXLj65BOpk5ZQ5UXLdrvJOv0tzj4ADO0fSaQ4V1CQaYTbsdeQeHNwFmoRmtEZ
4a5NjUDXSBRx220v0BHqlgJqIpB66C8DQ+pS2xvkihWNKRsF6Zcb8SUCq+qkj8i0yks58GatafzP
faG7kSLs0i9qjBHV3glj77vbesEurWTHFWoy20iiQjCzmupqITbRhg8II7oTYUXiYUjDUdqya5dW
2iJvT/2NNXGn3isxJqvJPNHfVrjaTq4ZmyGq2DmAU8upuwJyPX8rjsvr9HOXFx1EAGr0o7o7rfz0
UIc0+UebJwa5vTrzIHp5aoMAa/vt4g7EVCeq4bml4mbB0qnbaQJ3AmSgsPx/+OHH927fBvRibkDq
oOrXnnnyqSevqDkCOTpXYlMMeLyYMlKs9Ku5wz1MFshcnxrmsbrUFmK8y41FJNcSLb6H6DLckkDW
sDuhgw3DK1dnb11JJuIg+8WUNo6IiPeM5JXdpRdJbOpe/dYIjBW1hhV2sxvfNAouhq8EKlbVdpnb
9VHsu6S2ds2DoRUnYohXCuZ6OkeyJrOPz8ofcTwxUdZCRFqDYVyLOlTeFbT7n5hC1GNh/NTKSgxP
i5uhORNPc47HRBwgAWKK2+rk+GieN10nktLe2T0SPk8Xci6laMeyWR2fHB/fuT1KL6Kl1FvEizmH
/Cd+V2ZC5HAWOSGIx+kQ91gMkCQ0n47gYAYsGBozcytlZuawV9WYG7NcMgCWeNKG3C0sBOZEmJwq
DteRiYjQAwYcpBlVB1wOfd6OkW4AhNui73/4yXvv3zB1N9eSibBYdnRVPbO391vf+PKFgzMATl0M
PmP4AYxAIrWk49DFOdbhX1WwRGgSE6mbFnNSAiylAIOZTdNUx0IAxO0exlCVRtZdmIClFAXAlNJu
Ji1SK0s1MyDNBQFUc4wYY1SmWpi53kuRTikcG84uJTcnJkTvkjCRdF0pCg6lWEgNp+3cMbFITJhC
ECcsQpiY3TQORSfM7llVWKIm7kUsiC9uqgWZx1KoFKaiqtJJzPkSOYJ3xNCRmXaS1nN2JCCOJBnV
0g8LmLMjCNEyCZp1TEyETKq2meb1NHspBJhLTl2vZiVnV2XHjkRZEnEhcQMm3pQ8pJTzNHSpTOpM
RlBA94e9sslDYlUFIjYQEFQno2KmjEfbEaQ7GbejuyDmnPf3VlPZLvuBAHvCBXVetOv6TfZO+lFn
YE7dcpwLSOc83z88gb7rUkp9khn3F/3a8p6wxqTRQVg66iZwdPSC20ml87sn4wEP06RdIgVfT7lL
85yLUB6IStHBYJ+TKyyYD4ZhIXg0Tj/46x//9b//98cnx9de/eL/81/936bN8T/5p3947dd++92/
+fMsvS9kRp4JlJVTeuELL904nvtPb6XkT770LB19fHJ0/O6bv/znf/R3M6d/92d/defj68nhzL78
/u9968aD8tqf/9W5Jx6fFU62Oc3l3qib4+399Xw4bvc4Heb82muv371z/WiTL57dO7u3YJieePzc
+hD3Vqu3Xn9Djx6cHfjlF5/86hefz9ItRLBfMIqIG7KJeDGRbjvlgUSFULXnnsASJeOciLqhL6p9
Ys+5Y1x0Kbqm0CjOc0GaJzXfzOZeSu56tKJYtmAOwA6OXgg4sSV27yPtA8GAiJ388+9LDdCnacxz
rkBUrI0cIsUcmrEyGxAQmbNmNEOPbWLFKeKuv6rcIIpRvCADxEQdDFxVw70MUG//dlBAlScZMJGF
PDLoLI30CI3rnUsQiYCJLcz/pmFDqLodRA1BFKCGdjXKkQBWaCijHAGJqcKImsFPVdtjO+yRtWoM
KW0tCt3VqgUUiFpkZR02w85t0nK6AZEbrNarEcnhEXWZ23/WtUK16dbWE5rzMGbVDf7kkc8eyuG2
loW2lYJKO/T4r63EcvcofGvN2jY/UOPETguXylOpBAgCNDSq10bttLXGRlTWDhogOLWAtx11SVUd
yKphwbwtOLill1X6UZ1wIych4fU4fXr73re/+mUEFxEizOYPT05+9fYHV791oVplgKqk3H273Q6p
Y+Hw8HUk7o6OQsTEQRjxJgRgZGj+3o8+u+M5n99fXbpwnhrcmInMnN0JaRrHoe+nnE9Ojs+fOxdz
ATDQSJitYBgvMc7gqh2O6ozpNGZ2Rx8MMTk0eWdNfzXbpSZBteBF2Iy5myvW6jbepvoBKlIV/IGr
AJm6tcgebqLBoLC6a2tIoIYMExv4nHMpBXeO7Co9oPCfhb834kzDL8oALBQ2MHUrFvsrBIfEYmCd
MAKa6pwVSQxo1gkAzcERci4iASJ2B9eimzLO2w0zdkM/z/ne3btuPueMRH3f90NPLIh0T7XkvHfm
zNmDg3HartdlsVyGqk2Y9/ZWCt3n1vGGDzjUg01n5UjFirlGZg8xtyGdV1EGs5mHwE+YDZBpt6OM
wGduqtFQxTsSqblaKFdDT0GxUkZsFkcEBpDIPg2iJICqx8+vk7DAqrnV9BHwHGNucHBopLo6qIue
00xD5ghAEIAzBCZWK4BO9cpURPTwpu2Mo7txGLXYGK9XkJZYcpiqhnedcbetxeA91VjmFj4ZZ3PM
K+oWdLeWJ7Jmga49ie0OhYDk1T1HLNAYvbHByd3MkU/pRF7XflVtDGgGxF5XjtHKViU8VqktFI0E
V27iTIuhjbe46ohHYgpgQQTeODs1kE/EuJADMLK7ZzVBlKbWcTBCKKFYDuN9A1ODK7qfbLcf3br7
vW99NUSzQmQG62n+8Y9/8sSVyzWZTF3VEJyYiIVbcDc6bOe577v1dtP1fcSxmCnBo3tvIGZVFQJH
mNU/uv7prXv3nnrqSr9YHB89fOqJqxR9OPg4z++9f/25558yYAFCIAIsakRsRQ0dEbhpYdpnHgCd
iA0DAI01Zt2H0w4bFa7d2oKG7tiqQTdY4kTAjYRYA1fi4aaleMy36pQhnNiRyextc7lzrDRmL9ao
0TLnmitTcVZ1Pl7JF+HoaYm7LdUGm3E0ktKrnziU8KUeqo6ArvURbKbIaG6AyHVECvEpM8P+/vLk
aJ7GsczTer128LnkwMcI4vZkffbsmcevXiYiEZH4YcJESE4hdvdwY7vlADOSUzyMVU1NO0kE6KZO
HEcDqqsbGGIbIVcEFkIuRUQ6QgNPIuZWzFNKbTIFc56DalxUJYwfVGH/VJPzXBCYyc0tq5u6qiNt
5/yLX703n5x866vPL5eruCwqSVhYHT68/smbb7777W9+aTH09UD0KiyKEPmcFYji2VmN3Wa0Q8cr
lGIOtfxQCy9YdRWLyE6LUsnWUIHIaGamSVLMCkKZTOhWFfxeFFQV2jM2EBqcOIkgYqwNguMbb9J6
M3//P/755vD+rPngzJnf+t5v7O3vhSl0GmdOjMTTnBcL0XCcS3rjg3f4wdE3v/MNJBKR2OOKkM6z
uhTVvuvjIQ5WzQxmVszLNDOim/UdOYKZDimBQ0qcZ0gpqZo6MEv4v8C9mKWapa4x9VfNQlSKusNU
ijuOWQ3VHXIpPaXQJiz6joiYk5bScRqkT5Jqg404anHNkxXhJIgDsWvuAEAVAUo2QwfDk804Zs06
MbOW0gPNWpxRkAigd39stVoN/UItSTJ3I2EkkS47OMlsgAiTqkcyrBkjkDt5YTcy9VKOHj68+Phl
BrSiUPxkM07ZZt0yUdHSdx2oQy4xyhTmRZKe+dxiuUppQCRCZu5M97tB1Fg6c1hP6w3K1hE5Hfs8
Ik7Ky4PV3/2jf/j+h9f/P3/2g/Sf/rwj/K/+8X/xd/7eb97eEpFQySsDRxhSN+VSpnzx8pnbY/4P
f/IXX/r6CzMvj2b75M7DN9794F/89/8PFhm30/PPPz0XO3vxAnV96gmIO8LFcgCYhXxvQZJkr6cZ
+EwPF5byja9/4Q/+wTcPp/RXf/2zX755/aVvX/7BD/5mb8gnE9y4df/B1hWZ+sEoARCRZNsOzFiy
OKorA4gpMaMpAsYqH1TzNM1FCxUvqmaz+qxq43wyTquhr3Yi9y5xxwidJEFAycUksZIl6fKciYUM
sqM5q0txKgVTEkYsZSIBhb9FfimCQ57n8Ky0YuI0NYoBAVECcogoyEUNAIppF6rCFrJYigI6E6MD
NzWEuTGRNgolIMWpjQ0AuMPCEkVAIAdkwNAD60enUNnQapK5E2NEkO3Mj2rq5ilJldNAVbIgcLFS
8wANQo2DFZngWjQab6pc1p0PCuuzDarAdSf8i0cpM2mVydXntNdBvlLQ2CMGG9rgv1I+sKlFMFSm
UIO2MCws2FaalaHqStVvhs0FReHga0VHS72PzU+NoY9FaNVBIXgOEz4iEGhwYusj32v12lqR2tM2
tRW1TiVizZtUCcxdvSa7EBGaMwIzEgT/z4FC1sWR5Fbc1V2tMDFWAHEFHzJC5KwUcwqaKAIA5mKO
mIQjrZQQhRCXe9M4t8sG7z88fP2tt6VLzz/71HK50CrsAldDJtMQmgK5keN7H3865+m5Z590tWy5
S8kQjtfr4+0slhd7lx1wmvJ2HKVLjnh4dLi3GPYWy7/8y58+eeXi1aeeEOmy2v17h9N2+/hjj22n
cu/Bw5Nx+8yTj68WAzOagqsKoTrGS6MI1rAm1Kw804ovQiLQSuCtKlAis+gSKYhTWrFYFhF/LWnE
KwvJY4/tYVitA2tAcxVOzf4Uv0xdwQUrC6n6D5FCBOhctXAxxXBmKlnNLJaEiBACBSQwdQtVtteQ
VXcgjwBArJgrRGIuGjsSyCVn1XGagJBFoPKN/JOPPprndc7T3mr12KXL68265DzPs84jmo2j5jLv
rfb6xTJrWW826/Xx4cMHTJy61HUdExfTg4Ozy9UAn38qR4hMHG9CLHGJOaZMqjnmAm7Oqeb+VsGi
WR3fY0vrbYHLRGiNikQ1cbhp5ttygmMiE0tmrL9Gkyqgh+csxPeP3t/m1GIeW62M5DWiPasyM2NT
KmLs9iGiSnbWylhyhI0wvqBlL0OlgBs0YXMdjeGu6sc23QtIUjMhh/cv6F8xUjGvXuUYazV95o7y
5lqviv9MuNuegV5NjgANHotmXjeTvuPhYEuPRKqHaj3bAYCZNATJgN46ip0/1qpI3xtPtA6AoCKD
CaDmmhAGDsBjExq2RnOn9ryIxjj67dovQSW9hoc2hpChjI2qVk0BSZAqAsotloeMXmHaRNGLDakL
XYm6O9Cnt+/+6C9+9PgTj3m27/z61zfTXExTlw7H6Wd/9dOvff3VH//NG9eeu/Lkc8+M2/Hw4dHV
K4+p2t079zbb8dy5s489fvnenTtnzuwPQ3//6PjNX737vd/89ma7/eCjGz//2U+/951vE9Kd2/cu
nDt3cP7g+9//0cP10WK5d+XyJXd+ePuuOdy+d/fpp6488dSV6AaNahoWAmrj0mtVQce5BMG9CwN2
QNRMFZu8Ypc+avUZTmaNOAUxETZvYc2EVFlJ5vUtRQ9bBRGHQNtqSlYMAqguWoHNTFjiCVtFRW1s
EY6CiJnZLVTr2hRcK0mL3Ayq39liHQ9tgtzEAoroQctvTqFmm3ED8FLK5vjkow8+RITzF88RYuq6
LqVOhFmm9WaapuVyWO6tkiQpWrKqFpvnQrSz83rAlNzAQAEoJZqmLCKAKCy+UzZEfnEkIysKi1rQ
kClmZlT/DwY+PC7hornoLMGcbNL5UISj19YuQg0iq2eexsjKK2bhCArrlYKfHB5/99lnzl+5FEG+
qiZJcplFOgO8+sTVT6/fOTw+6roL1S2hiojzPHVdIhY1W2/HnjklQY4ILosdenyuBUw4gQOaJenM
TYsdHm1+9tovjo6Pnrzy+EvXnlmd2ScmjbbHrJghkasWLQm7kvVwM/71X//0e9/8woXHLsd4kpjJ
XZiZZJxmMFSz7OoA0zTFWY+EpBaypePteP3G7T/47W889tTjppC64cFmvPXxDQI4f/7c1Scfv3O0
+fT96yXrZ3cevPzC0+cfv/j9H72x+fCd6x9f/9Z3vvns88+XXJDISo6VSexq1K24J6LZMqp3qWMs
zMRIbtaJ5HlOkqaSzRzUx1ycuWhxNSzNTY3Irb5HoGxFTdnRwBOigaeU+tQJ0XIYNttNsMWB0KrI
AuZ5nuZxD0GtlLmwgwOUeeqCKkysWtRlPc/UdSeqZjaDq2mPIMTLrkPw1TC4ubIs+n7jmJJose1c
AG0zzk5pqzkBANic54GHovOAbGVGpNSl2dQ0F52xABhsSwHpTtRQbUTfP38ASXJREVKG1SIRqhD3
Kc0TLIZhs14vum6cZzXPhpOhFFuXwmpjzm7GicecfdqO07iMQxk0aenQk3pW6BChzL37d158xv6P
/7v/7l/8D7ffe+MP/9Hf+Yd//I+7YbkdjzZA6wKzI7j3Dko4DB2Lf/Wr18jLK1947vrNY3vQPXv1
/CsvX/snf/+39i6cv/HxnUuPX5zeuXHnhBYpJcnIktVKhx9/ekxnx9d+8c6zB7RRGIs/nGxrcLId
T062qArTVjlt1g8f3r/93d/9+oMj/ejNN1PZdOjMzuBuqlaCFjCpFysgBKUsREpNDcFigEjZfdkP
EZsEzKq6GIbNdtt1krAnpqCbAFI2A8PspAUdfM7eoWt2teJFyZyJyJWqqTiTFzBSB3OY5+JOf4u+
dDezb26jKu2qaDsABrIYzxEZ+JjzXDIihW3KTvduUeTt3I/mbiJSlzPIUHd9tTSPxOPqdoy2p2al
Gou4qSHSLo2vQfzrILuaTytbDyvvl6zt+NQ0YHwWa1Uz4AgtCzZ93Z3WZJrqfowHXnB/fKe/aaiP
UxZIzT6JxSfWLSUAcl28aAUIV05gLbrim3ex4LGescaHoSrDsd0Ss2a+g8UmMgwwWr2flTAZvvoq
tqt+yBhOR2cePWStpyv+3p12IaJx0tamqfrgYv4fb1H1/7iF+LMuHADdY59jDk7uXLmHoVm1uoVm
KjtiYcw4kMCqRhrcQhoXTPLqVkU3t1zKAhtAJtRr1WQbQQXB1QBE+OTG7aEfXnjlOSJ+9+PPHj84
c3h08vFHN9Ynx7/1O997/fXXmeHSwblXXniRmLajZi0/eeP9B7c/A+peee7Zw+PNg+OH12/e++LL
T/34Z29+7SuvvPnzt8/uD/vnzq4Oztw7OXnjvQ++8vy1TVY1vfPw+Pbt2xcff/zDt9+7cOHcZzff
Wu3v3fz0xpkrj/3yzXe+9bVXI1Emrm1qAxdszMzcNkLmFu06I5k5I4W4CBG9pp1jjfUDjEwjqqbj
YCN7jGoawoRK0ZDG7VSpVabbqnithVbI+rCUwowRzBtSWCR0QK2Wb41zYS4aIUmMZGgh2lTVuSgB
WlbmXRKBc5BkqtcxCPYaMO+QDjARizNz6OeFpWRj5CtPPHnjkw/yPJ4cH0/bMfphcO/6nphMDQFy
ybZdqxoTJOmW/SAsktJyf7VcLDbbsZQ8zrO7ft7TbxiGSHYlYqSYYQAAdiIUhrRiRFRykaEnZLVA
B0UQTPiqtMoqKzCklgTeHJ7m5hgra+Gw6wdrLtA3O5NzCCgpiNagZixiWgAwq0rIvIuKSJ0fWkRG
A4Xmhai4dhRNNai6sBTVTsTVQsJooFaPHVeNCJy2FoyiLOzH1Pa3dLpt853sm+IZQ02V681pa41R
WkFrCBQ+eQRw1bqUqtuzOLSi4Yx8Mm3TwmpCxZrtjPCIwSASob2e4bQDi7aRXcCKqMY+Oj7SaeCu
nW1Ir9oEI+zuVlBvds36o61KOCpTLaQZYG4W/BSv8vxqIW3yEGIOWJrEDs0pFoZqDsixn6cYsxKB
GzlITTejnXkZEISYarwOqsO58xe+8MK1H//wtVzKjVt3HxwdE8C5S+fuHB+fjNsMZmYPj09+8dob
T1979i9+9JMnn332lz/9xfd+69fe/tW7/XJ4/fU3v/u9X8vm3dAP+8ufvP7mE5cvX7xw7tq1Z595
7plxO4t0v3rjnV+7eP6Lr1z7+hdf/fEv35nnOYPcP3yYUn/x4vm9veXOGRLYtTDHxFOxJmC3aFkt
ust38dNsslNJ944+UFVB7XpTt/oIdqtr0AgzO235WgJP6LOpcrAjehTAmh64bnGrPDt8wiELdUNk
jQbTQt0T2XLqVSXt6MB1jmhxkzFRJOERghqoO1cZAxCBmocJMETcREBcYQrMhAglDHSm1ZkDiGar
xWK93uSiy9Xq7r374TuUKlNwFE7MNd6ViIjIAFLHc85CRABCzBzQxppuRw0ysTtTcpnD+5QVc84I
0HfdTtwfKU5aicMcs7TUJbWKL6vKBPBsZuBhBw0hcSjEVK3vOiESJCDUYptxQnQzDZ1HKYqIVryA
xv64EIBnjArM3AHuHh7/hz/7wd/77V+7fPnxozL/yV++9u1LF57+8gsIaBDwjxhXKzN7sRkyIuSi
Mdi4v17/6Z//6MrQ/fq3v3lyfHz77r1LKWku+/srVbh//6FO04Urj79//bObn332+MVLTz915d1P
b37/hz+7deOjb3z5yy9+8eWPP/nsnV++7WZf+eqrV5+8+pO33v/wrXcB6eFmfPWlZ46OTz66dfuZ
xx773e9+g1MXArBC1PXDou/3lqucyzrbD/7qbyQXOXvmr15777/83a9d1/5/+h//7d//+7+Znrzw
r//iR3/0O1+58soLF88tfuv3fj0Ny7qSRUQiQTH34paAiIlMGaEj4oZ4zKrFDcwAcCoFpskRGFEQ
hYkRkUStELKiFQdBjNDGYJQnJgIXJlWCVnyowmacino2RVQWKiWnxs/sWUhSL53NhQA0bv3EEOm3
jACYhPa9W4pQ13WcMmBhEiAgKmal2PFmBABXNYDtNA7YuYG7MQG5MVhH2DHO6r0IITlydjQWJERm
QychMlYBAhSAoafF1lcd+oyLfpnVECnkVdu5ePGtTrPCejvtEZ/M4zZhmWcw318s0QuB94QdeAFN
iZ3RCBOTcVJzJi5OMiw36j3TPKQTwAwijIX8hWtX/w//zf/2V2++9oe/9e2Dc2fmUS90aV94kagz
zKYLwgTWCQP4ueXie9/7xsk4oR9nG4bF/gtf+8a/+ZOfIUxPXH0Mz53ZgNKyH3MRKhcvn0kJvv2l
57//p3/28Z07z149OD/AfsdlxoHxytnVr0j/47//qy7J008/9dxLL5Wh+/pvfOuHr7914fyl7/3d
3+3PXr600iUDdYPlzMKCOAhRL0zIiIaUGBTYKn0UEsCIMOesxbK6u+VcjORwPS7NzSwFB9KB3HsC
tFxBDMQYClgEYSnmgEScSnHgZOqOCdiRBdWGDrsubdYnn78v5XiU7v4kcBgBFIp2p5LdkNw8CYf7
WYgjCNdVEYGYIxks6meF2n7OJRMRMOVAQ7kTUKx6ou+ClqZYEYutRaYQnNWySQmRkEqNm28Sq+jN
AEqMY7EGMIbjyGIQTi2coNmEgILXX6sRIiqqFZxaPaXR1MFOWln5TKohZg5KCiIwk2oNh6RmJJ7V
iE659eHDCFNDc51Gpkir9aLoQzcLpqLvIhNCNqLQRMjuEJgKbJpcj1kvEJK6BQcjkBpSdzm689Gp
taIAINwjtaaMIWx1czk4cFuKRJ8ch6ebK2BN/gimPgI1segjuGU0MECuI4CaQOG1uYKdajHWQWHn
8xZmCATYkTBAQoplAlrT5gGq6RRJoAAI8PSzT/zqvet//dM3nrh88XC9vrC3eu7pq/N6c/Hlazdv
3fnkk1tPPnn57Xfeu/bcc5V74j6ZvfDCNR5Wn7x3fTvOv/4bX93/6JaWk1F1O25P1uNv/sZXJrNP
7zy8f+fB/Tv3758/f+782UuXL43ARe3B0cnZixefevrqz3740/2DM888e+XMpcuvvfaLNvv3AExU
rbWD1hyNGu+OiMzkatW4CCFXdyZRjehcMPPQDrQ0Bo9i2sBChmBqHKsVpJJL2O+4hS4SU2jfY/Cv
YA15rfG2MTOBBb90J1iI6ZKpIlh4GqOeR9jlcIaxkIuqAao5M5mWJJISm2oAwKzRXarnnFlVvcX1
qodcP74d3fTc+XMifnx0P3UdIqnqZn1CSP3Ql1LWJyduvt1u46fnnD11PScAAOEpz1lVmJFxyhN9
fuobIDsaAQhLNHnFTc0XJKVY0+9FNowboFmd7yQhcMiq5h6LCqrnWot1AXStrR23M6uircxcQZia
ec8IqU0TTslppkDA3jxmIWcrLXEy2DAVeBNQEHMnD2pXRWojWCSatgChGEKFwEWt6o1jFGIWU0mN
Gic8nHE7M/Iphldr9McutyuAN1wt974LyPXmjGgmg2Z331m9odosI5w5bgo1d3BqfDdrWuJ4Cdz2
03WE5wBm6FDzO+B0/dtAfBHFyYEq4KbXo9D/PwIDgJpJs+P8YQXy1WUdqmvYBTkSKHYJLDHX05q+
4x6/Qx3Ulsg5a4HVjevryBzQ7GbcBfYSIR2xEY+UENWCbkhctMwA73/ySb+QrFlzyWM5Od7cvn3n
9565+thjV65evXLr1v2rVx7/7PDkk5u3tRM0y25PPvvk+fPnzh6c+8Vrbxwc7Kckjp6SfPtbXzWz
P/t3/+kLX3olMZnaX/7lT64+fvHw4bGWEhrwoevX6802m5by0ovXSi6/fO0Xv/U739sx+mojWltM
jL2igTN7bK3NzCAU0NWZ3MzMsFMaN0M0mGmlTNfHYp0Ie4C7kdqH6wSkZkixwAdVDbdvXDIBZ6qw
olMJ/o4Sj+5UzB1KQKF2WMEQO1Tfb7SgXp04gXeqITfuBFiB9Q5M0PBu9Tmo0X+6gSkRhYWEiJb7
q2svvUAOy2EwLdM4Hh8fA+HB2YOzZ2G73a5PTm7cuOlFpTqNHAy8lCIplVy61FX5Wd3wuse7rBoi
jk5S3F87JzozRzIyExkyEfVdZ1WXy/EWKwZynQSBw8QYdiaksJKXXCSBEJt6BOeBOaH3ktCxZK07
T9OihSlF/LMTUMNlCGMnxCTFXViESQOCxmhuxdQQRrX1ZoySww3mkvN2mrO+8c5Hb/7yLWL65te+
9NiVy/ePNm++/tatO/cWw/BrX/3ClSuXwjhRzA7X269cefzgzP7lixeK2zs3b77+07f/4De/VXr9
8c/eePr8/kj8wx/8+Ovf/OJGy61bd/YPzj719DO/8e0XH3vumddv3vnlj3729/7Od7ZZf/zXr/3m
am+rfnxy+Md//Iev3bn7n/7k+//0H37nhd/48o//009u3rr13MGZSNGd3D/89NP/9l99cu7C+aef
unLwxDOffnbzn/3jv8d75/5k+8PX33n70ivffOHa09/86st3Uv/R+zfSdn1+tb/a21usltqSj4Ui
d7jGzZWcuUvFFPJs5groGKlWRI7ELMJD14mwA0zzzCkFgb1OFxHcLbEIsecCodLNPmtGpClrKdpx
XJTeMSbhoUtiWHmPJJKSZi3qjradM6eiYOQW4QoEhujh7MrqTjjNhaVsplmBZstWtOsk59x3XS/E
SJIkz7kXhq5DJCcEUieCxJF+Pak6oWYFMCRDywJGBmAkweHOhYnUbM56PM5bddiOo5rmGeLwFSGG
xECJjWEYWCCtho5K10ma1AsDSQLOwFwIt6YqKZdCwhs39kCAZjIjUocZ3UnToPkgYZ7mPQfJ08Ly
V56++Pyl7ybpTkbdjPnO4cNuuTzczsJytNnQuSGD/vb3vlTyGOegYPn21549euHCmQG+9+qTv/el
Z5C5zCX1/dW9FdLzzKkjfu6/+J3jk5O95d65P/6HzrTgNM/T7OKYAOXiuYN/8l//Ydd10zQuh36e
Z2G+/IWnv/zClUW/OD5ZL/rFrDkdPEOArlrmou4n41TUzEyS5HnukrsqVWGPFVciRDdED+9bhzwI
8l6f+i7ngoi5OCMRyRQpjQBFSydpnOdOKiEscbA0FVHBC0BxJ/Bi6rmYqjvwXD53YRahLLBDRsRU
M6ykCLEZqJuEcMKFNaih+dRVhjpTUzMIKwG2B3GV1nhDVFY1l2tg7hHNkUlYzMwbcRQRTRVqxlIN
hETAcH42NoYHwg1aJPtuGxlFfHAYo1SLob4XDUIsA2mrisyMBZEC/4iEbHVyDw1e8whMNowyTffl
5hHM2HI4G+U39CYxNiWISpTwVH3Xdr6+i4sAgGImzGpepVEIhBS0J0Is5jt8Cbb/QaUq1ko1dtSI
kTzqLXwEkAjV1R2R1KO32Q2w6/tX3DzS0bAG8gRsPwSHle4T30KNToQ7nEuVhz4CHQVtKm1BSO3g
tSBIWrWZNVfILlIkim9DNAIgh46opcaFZrgxIE+7eXvx2SeONuNbb7x15uJ5AP/Vm+8PXTp/cDY7
Xrp8+fkXr+mc6w7IAQx6SUlSQC9X+8v3P/jkk49vPv30BSbqu25Yptffenfv7JlPbz9whNQNarZY
DB9+8PHFK48z0eWLB6//9PXNw3uXLp3vU6BufG/ZV2ddeHprhIXvSjeoYCQgqlp5D1RudAle90Xe
Hi5VsgAUcONKaga0lssahuTYpkqI0ByI6ggjXmsxC6FWRYeCBV4J3MIZrA4IFv1wzYYB4+BgmgmR
FkTCHKDeuOfICdHVhSnEBbGasuCHWRPch0SWycGkGh2xZA3kXmwKAiV6dP9u1unMmTPSdcvlKoLH
zdXN53ler9cP7t3TUkKXmkuZ83yyWffDwODH201KkvoupcQMVj738Yck7kW4upVLJRV5cQfF3R3U
5PrxTpKDz6X26ixS5Q/Bhd7pcbEeEcRU5xHEJUAsDSsHATpC0uZaB/cSYcUIjyahBO/D2s6oanSr
Ba/2WPX0aJ1WFZq2uzWIsA0PFn1iCE29WUg9YodP+Wg7w56H8bj+5dRwSh6EINqlHBk6cDQljYQU
L5V2umWvRF9rlLLdAbiTpcSILfZFYRyNJ+CupTWvRN7wGVabX6OrRXuNXKMtidmbHKYa/rGGZj0y
xohvr5mTDkgAatHt1C+gINgBhnHfwlPKrK4pRpxQhdoQUbReh75mHhKS8AwTksVQAFG1RprEkooR
6nSAKAiGIaiMrgbAH7v62Bdfef6HD+6v1yeffPjhM69cu3nzjrmv5+nm7buc5MPrn1x6/PGnrz5+
/uDMcuhFKCVG9yefvPLD7//gj/7rfxTv9DRP77/7wbjeXDh/8NjFC59+/MkHH1w/d+7M4dGDS48d
dH06d/7CW79858rTT77/7nupS1euXNZ5vvHpjRdffJ5jlOxWY3W8EbMIwOLSaiGXjgZYjb3uZs4c
psuGNqoXamT8Vih22E2b8qYqm6JL3BESHOPiAQIKH4FEExd0Iqxa6AZoqPQrBTPz4o6qiRNjneYo
WMhUoT3x8RG7qXpkzkdmbMxfamtaTCtYChADo40tnSiKjYioMTM1AOyGPiU+vP/gwd17jLS3t9rf
O6Nm/TCkvpumeei6cRiOHh7JOI1TnkvJAqgAgffNpfRdF/UIBcW93cMi7ITxvqiqMAmTqhERE+VS
0JGQguqKThpDj1KWy2WIpMOs7KpVVR/EDGtqfKBinouxBGbdueOcM6CRCCPknFnYwc1t2aXErAaI
XMzCADSXAohzLkg8lzLnTFbAzTQjItWBJdQbAgGJy5wfnGx+8cb7v/3qK8OV/y9nf/4saXbed2LP
dt43M+9Wt/alu6p637CDgEgQJCFKpIbSUGboJ3scMzFhO8L+sxzWjB0TlhmOCTvGkiWZFsUhBAJs
sAH0BvS+d1d1bfdm5vueZ/EPzzlZRf80PYggAwg0um/dzHzznOf5fj+fsz4rIb78xq/PF/zhn/7h
h5/ffuWVV8+d/W1ejGom4/id3/r6L37x5s/eeOvcmTPffvHpK8eHby+Gd956b+/C2dPbdy9/4/lb
sw57e4WH80eHZ45WX5ofH5+5eHy8Wi7f/fzLjz787Kc//dVms/3wg49evPMcGFx97MqwGspiuHz1
4sWzR9thtbdc2VwHxI0ZABSIK1cu/cnvffvmkzenaX79wy/G5eLgcG+LtBgWpvNkUcZxNmNyRADz
QySzMFXisjtKuntzpgOQMCEK8nJYQF8JcevQoIZrnaZ5XtEiIgQpzHL+wUzVzNUQqaoCo+d3AKAw
UcaeCTWASQJhO8/mXt05fFtnBChFIBzM0X0kRsSBSQimcICYXcGAGat7CGUgYSAci4wiMQwD895Q
6lRHFivDbKaBG9WVyOk0BdNa5wEFAKa6XY0DujHFtJ7GxQKTJh8QQdUBgDZ1DpFTqwOtnHBAZEYs
crAYsU5Hq9UkjIHIPMWMJBs3NQiPrZobnExzDOOX83aPkJnnedqD0eoUVorrAIKmeTEzAFRlRDUr
w3hvVkLeqBPABuPCk9d++tYH1768tyqyXp8MRVTVHSxiPdUK8VsvPHU0FGYeYbHHBIvFark4zWgR
MPMwO83B9+c4cRw19hcyq87sVg0Il05gZvNEWrFOB+wMIKxrqBLTCEo6C8R2rsw8Vwuo4Vg9kGir
gAOdeFhEdd/DknhmGWQIE5FBwK2OwzCBj+PoajkvrPMsCNkQUAjTbPCHzbbZ1AXQPE2FiYnUjKIy
RsE8B1RSQNMSuKlVuOisSHkApQieZudCRcYAGErMoEMRiPGrnswGLp2ciB4RiIyt65l30SQ9AiEl
ORvQqoN7YyKllCwDYN0tnvVL6G7x9qXeu0beRYi5/ORu+iJEA+xO1OabMW+Fp9ixHP1h3TM8gDJV
lbg1UfX0DTjkz5NLQnRzzutNSqkBk7nIxJZ92R4u3fEhaaeoSdt2H25310H+IAQB1HagTdaSl9HA
toZMzXBmMNNrk26AdtjLb2zEzOBwpzd09kjH4MRuBI/YG4N9ndvwoc0oGIHgQhyuSASAbh6AnkSQ
PCWlFaDlRZufx/qYtRH5oOHK8+eLAAIKwPa1FYHZK2udGyQkADdLf32LJiIBYUJNYGeaQaKa+pbo
7vLwbDJT9hcbZh7UQx1acgvDIiwJ8xlFRmSiX7/94abO3/r217bTdrVc3GG4d3ryxtvv3nz65pP+
+CeffXHj2tV8Y167etbNHGE5FEA8eu6JYbH47Itb3/328/sHqytX5/295Xe++9Lp/ZPV/t7B2cOT
05PxueFwtQIPm+cyjOfPH5VSzv7gO0JURBDIART86197sY35O13C2/1wF1/r9MiAjkpiiMjUVjYV
9RFoTYS3jSL06HpGMd09Qna0sXAmySkHRAYBs6yVEE4y6+vuSLllsoaasjIATDX7BdwATdwKYEDV
Il01mSlvc7Zc5TOZViJJFbabDYUtzMMhu1iAeUSJ5q8IN0MgU8u9ByMiQq06lEFtmqepzvPpvQeA
UOd5u9mUUmqttdajo6OjqwfMzCJ37tz58otbCFBKOXN8zMzzXPf29oDAVN2/crsenIQkqYqO4RgO
CMzAslWt5swohO5KRAjk+U7PaGmkj8S406qs7brSEdLkz62OEBAQjFjDuLWroVoNQEZPjkZuIqIt
9tEhqlZmzgR1uHGyWCAQGxo30VM7S2Qq1vLtQZ0B3mXNGY/kvvreMXFzptZuzsLsbg0+F47Mbg37
nW/UHV0tO7BILeCtboS7KytGNudbh7ablh9eAjPhGF2zkX/7/ppYU8TuoE3dN5T5Se9+kcgQze5P
8RBe3bWWTPjwKpv1BOgX/jbcgZYV6F4y6BvUntHoAZDdLAN7K5XIMdyDw2mHYyD0DOMgWoSBS4AA
RgARqlqud7WHInLUCxAY3GhohN1anXkiRgR1O3uwOndm750PPnjxa8+fv3ju29996e7JyR/83nfO
HOz91refc63Pv/j0+v6Do4OD3/7+t6Z53t9bAQKdPxuAbvbE008enznOIPeilJdeeJYBhRARf/93
v5e/EHfLwdDR0ZFaOML5738nwkYhCrh86Sz2WjgE5VwN2qsAyQoFoZ69aNPibGLnWxEhY/6p3u2x
JkuNUADkW7cdRXq4ILBvQXsyNdLnmt5mQiIMbF9MZN3Jlt+H2OvR3cINLCnhAm7AC/TY0bYSspXB
87ZHjWb+Sa4+pEaYUXaD4bZrx5xe5T68jdf5IYMLIPDB3fubzWndbovI8dHRMAwQoKr379y5ffvW
ZrtZ7a1Wq70LF84LiyzGMROcGQoHwFKGbHwIJSUcMl0QrbTt7UCG4B6z1wyYuRmh5JH0ETw/AuBQ
Biai5pqLaApnbmcFixYe5oxtABdBIlcQETfLmEegd/5QzGYUsa1z1TrpfLLdjqUIs/XF+iBMAKWU
vdUKzTFT/Hk6KSxlAMBgAiQ2l0EOVqtrN6++8tEnyy+/fPHJG6fz9MEnn/36449ffe/DrdZ9lvV6
vTo6CIgV83dv3vzmlavbWl99+73/8Jd//Wf/i3967cnrr778i8vr03PHBwdnDveorH7wvQ8++/zX
n759Yzmcf/5Jdz+ZdHT3iIuXz3/nuy8aoOD3zx4fff7Lt4dRmHlvGIdxxCJAWMaR2uEYCpIw8cBD
KeCBgGcP97db+8Uv3pKDg09//c4f/+ibd0DBtRBJNgGYjvZXL792uvzZ608+c/3cxQvZxSqleHhh
yTcEl0IAVmtVdXcZhu20HccRwcNsHEZnI0Qk2upE2MYB7XPBBFoXZRBmchUC57QUmFanIlNVSR+N
2xAFITCMEBalYKARC8mEUCEKFydyRC4lCAYemIKliAMEGYQzCNLksZ3rpupUHQS0aiGr81QGwYiC
wGBjwSI4VmJiABQeDGkWJkQt4mb5z0ImYVqOIwZUoqGMVGyB4iSEPJuqw9319v5UK25M60hMaKZ1
FGZ3dhOigWVFjFwOqMi4X6Rs3YAHCyQuhszjcgasQyF1EkYREQnwkWkpshQx94NR9oSPxuHC9Wt3
Dg7fefddGmSA1TCUkcgdaBj2TM+cPXNwcHBSbQi+v5mj6Mk0G20iHMxGQXHbI1CMA4YVSJAPFECx
EJqUgGgxlGrKXIJYiWcT8BiirL1SSGVHETDnYRCRQXi1GMBdTYeBQn0lCIthORblhNg4Amr17Wyk
wMLzrEFysp3nwDpXIijMVuseU9UZCQlCmAGCOcaCXpHRx6G4GZKYBdGgqkwtbcRSxIyZx8KFqSzE
zIpQDSuMQ2FCSFs9InnAdlvrV98YABEGYhbemJoigMjDmCUvlpYmAKcAZGKzyNheXpAI+w4nHAAM
fEco3J07AqEQq3lKU4BJzYjJskBCTfmbR7e+OUyISw/cwg5rChGPPFwjmJggNLyT1/JmiOltT0QT
tVxMy9Xk/17N8lCex/38RTQYyd8zu1AeOpKC0DaE7tCaYa0u4w1Z3LQovSeTjRfIOF+/8XYdQeSF
brdJ6DWqbj3Ni4p5262ZOwI4grU9BFY1Ymrhr5ZfSkiKYaD7rpSbB2nDaCo0hHALSSQVU7KKOL0m
vqueZnY6w01ZknJoXKymjYGO8rFuPrQW4ctyTrJDW4dN8aH9gdoaLdCdms6vRX5zGoVCKPLLN96S
TvGdTdfb+fK5MwnyJfD95fDdrz3tEAoRvk9Ixy88k8fQQHjs2uUrly/kopIhzuytmmYwXIhjKBF4
/eoVgwiIcRwJcByG1fmzHoHM++PC3QszhWMpiCl7iMViSb3Rm3rDVPLuFpt5WkpW545W3fbH6SsK
dK3Y9kV9Vdz/5a6AQMRJ7a+qRaTrJNtEf+fAzMt+7rSTuGNukg0naP1w75SsXrXq/kx46KvAtlRL
vih0V0Mg5OuYIBwGcLcw14hQc0by0NK1QkhYqwpRgn40vOfZU4wJA1HN8GVEeFj1L2/f+fLOZ0dH
B8wizMSU24nVcvHRnTuEJKUsxsVyuSxDOVjtnT9zHOZcShmHnDe5GQQohMVXtmR1ISdlJzhzc5Dr
hAjiliFIC0y+NjlRamtwbEGJ3QXMLYgysx3t1N4vqJmMyzRgnvegs9YIgfI+j2C59EQGSNw5Bvb0
I2acuz1vc+72qJYqvM04+hgLE6ecN2GiDuNpGPBsOrRKZ1Y9rVumPY/zsYvrNk1tvusbio0A0tQC
0WLlhDukzUOsUU/ddyAo7cwz/VeRC9R2pUzNDAQFIBFVswyyMgn0VVUbkUWauwIxi9kP/Ta4S29C
W3X3DjDk/rgx9dps0XZL7N0qmAIBQD0IvHO/cmsH4d4+Kf7Qvdwyn0D9+YNEYBn8bkYzT/xebfGD
lloJB5EyLPZ+9cZvGmYqAszn7XZ/f68ptQMOV4vvfutrTAjmRHjl8oUrcEHDPeDC2eNcG54/f74g
jiZn9vc0ewGIAf75rS+++d1vMHHmIFr8J5EoCNw0yAFA7XYewQ3Kn7Xd9H9B03cQmGnOI3Y0aRFG
ADPd/fqzz5lvHGIO64vSTDNFV4giMqKaZnfSm2A5OpUXzN2Sv9CnfgTharkONDAwN0RTax1vAgQ0
c2ZxN+o1nARobzab1WIxlNI5Fc0P1OLfSXJCRAy13JUGtz5TYz4HonU3LxK5KjyitwEAZvbQ/Cok
JmgBcjh7fLacP/fg/v2Tk/vrzelms5422+1mO03b9cl9dZ0Zj8+cWe3tC4u4eVZbDcxzaBhOw+De
vj4TFNHukO0DBaqKAFwKI5m5iARKk5JNUxkKgphpYFg4iVRz6zXdNK62Zx/yLqKg7qaRmtC5VlVr
ha5uD6xV06EysIxlcIChCAsNIjnF8gDKPI814EB1E0Kk2LnRBXBRxrt3Tw/O1800baY1LS9ixItP
Xpenb77z2ad/+bOXf/Db37147vj6Y5de/NYLamGznjk6yt/vVvWDzz85XK7GcSEB5BUhLl869zfm
7/3Fj//L/+Kfh/vHn3365e17xwd7X3x+65ZNFxmH/cVv3nqXSvnOzWs/u/Plr15/rzAdrZZnDg9G
QuABEUcAghCgJdCAoJFkInf0QnF0tLLmwMULRwd/8se//5OfvMyI//APv3vj6Rty74S/8YKs9kut
3//GM/tnDpYyfPv7L/lmQ8MQnVgNoNtpzrpILl8IgRDGUjxCSgm3sZTwqB4JVbMId4M+E+VWwTY3
RMDtZssic52Rpbq5AkAUZiYmCSlCSJt5EsJxLIbgTdItEaDp9olIYiS41XnGYdBwrzoAVDWADHjP
AzOGD0w0FiIOdGeiImyBRWZVcK+IU4AAbMAHt8JiWTKpWsqCUyXvaNWpAFhstlMEbuftIctpnUVH
DYj88WY7XCxL1dU4Gku4D+PidL1eyggFUTgCqsXGYGO+AqwAZo4iOs0HK6oIK6bNbMIyGrgD1ijI
oI4Bs5mSb6puqnrEPBioVdX9c0dPLZ4+2t/bzttxGEyNgXgoUa2MJVQDY5ABfdwbBh8Xq3FVTc2C
uADZNjB4XAcGyulmc8hYg8CiAqKZuKtWCBkFFmxWp0FKQB3R0CvabLML8bRdj0XqPK8RTc0Rt4az
491pPt1u57zcqA7jYBAMvixCAHn/2SsDL2wcxkrEzIgwEyNSKSOxaNgcQCKm7upzIJO4W0AQAXMw
OVBqw5zBwyq7hs5WVUnBwx3NzTSQolYHNIRgbmedYWD3r9ywMm8ptejT7vxqFy6pm3AIIgFMMCF4
7srS8QuYtLrMGmJfYxIxAhKmydwShWemSaHtVrdM4UY+u3MqT4SzGzNh0tc6ubeH7rAVsVqztHPE
+1pRTYXFINzqIMXNw90gkhXZDgEtIpf3R0rmXgcoeE5Ye4UKrZUsbVcAy68fYY7WYm3Zvl38MiBH
9ZDMpp0TUIh2+J/2l7Zsq9MjOereK/HOrI8wj14i3ZUkdzYY7Oi/VCbio+7Z3DMESKfm7FBJPXcF
PX3qCKme75G5yGqWY7flEYaHSS+2UtfVZMEqt8wYwZRn8cyIth8yb+zmKSoJ1/QfeordEbsPAlEh
wkHdDKAUefG5J05P1xQxcC7YQKSM44g7ASM8pDfsBsfUm7tZGSYMaXnqjjaFPuIlyoOLetBDClS+
p1MH2uYQxOzedjWpDXxoge2oj0aRgaCH04qs2JCqdyxKuy1kv5RZ8iqUeYHcXWdaOt+VuRLP+LdZ
bzxiNEUEcUKwDRpgCeERFHYCjbzpxPvII4pIK2VRuxGEGiOahTDl8ydVwBSJAIxMic+zZlwtOafg
EWjpLEnCpbpbOPWKpKRgxp3zZXBTNTMD4LwPqvtkdTada10yi0gpMpQCAJ99cQuIiPnWrdvnjo83
63XrRLonsDXRqeGu1WqtRKj1K+9LB5YcGyEREABx/h4QoWpt6GzJiVu7TyYlrp3IvN1IzSyRnkSc
x+XeZgeCNNxiQPTgautp5gXOzINgSDQK+EA8hzeyMUI2I3IgnrX87JUx/T3OrbuLSFVFJPdca0J2
8PIqm/cz3/GZIl/rtvkkpAC0JmRGD0ghsasKFw2n6NHKTDxAlzZ3JgAiA6KaZzePGjWgPWEiwLDt
g6mtpGBHLTK3ninIuEfbe7a/Oe1GMGCujLstHMaOO5f9rP58fvil0ec4ibWxiMTLe4vIRLb580aU
BROLkA4dbQvnHRM5aa4OXRXbgK+eIpl2tc7uN0YrWGT+s+k8CMAznByQS3WLMPfC8tzzz3557x5Q
o8ML8SC8GkbffVvBjkIFjUXV2pnY3wjdtvUIESoAkPmpp55AxBwr+64YnFZkiNbnJFRz78pcTEB3
ww1DPuHbRyCf4zmPbnwoDwxzN/PAICQiMvUIBaZJlXuRNCVASVLeoQ0gya8Auwlmb6Ds7sPw6NQg
09r9OJElAul14+SH5+xYI9yRWvSd2XdiYXfN5jBTNFBDILK79QNAe0syR/49Pe1eucqH1iWeqxam
THGZGWCWk8yyHoFgSblzQMCPPvzw/p3b87xVnXXWMKfmdgoLQ4wHD+6dnD4Yx4UkQcn6XBkDOpLX
i0izqbojEUe6sqiGB8BQSj5ZErkRavnEUFVAyA2DmwUhINS5lqH1BxxaqGyXE8vfbjVN3Xze0RdD
yQ9/Gco8zQBQSjEPq4rIeZLCwEIc4JwSOXNXc6GGBIlAj1DnyGtqBAIxndnfu/bE1b99/e1PH0wP
7t6/MK6uPn3dIT744OMvbt29e//+2cO91WL5jeeffuOXr7/7b/9qYH7uyZt7q1XvhtnpdvrZy6+t
75+uVovf/v3f5XE4IL505SLd//Lc5bOIcPHCuXv3T958671L546ff+ax/YP9H3z7uffeefd02ly7
duUf/eC3bt+5B+6Xzh0vl8MLz1wVvj4KP3Xu8Mk/+uFQSjX/g9/5pll1ABGKiIuH+//L/+wfN2Gu
BxBev3Lh0p/8iApHtep2cX9x7qnrDLRP8uzVy2UctvN8dP0aIZoqEufkEpnLUKQUNxNmZqlgaehR
1fyEzPOMgGYaRoUYIoR4PW+kSFUHcKa0oQYRLhfjMAzzzEXEwxg5IFTNwy1inqY8JlatU53GcSHu
HDm3DAwwMw0nrQphCMaoCEw8EA9DQZ9Wi6V7bMIJKBAnM40gVaXQuQ4EVWdBH4nUrAAEoDiskCHI
NCxwU82R54SUVl0tl2lSFiZiEuaF0GocQhejCJgDZkZFTqvOgVFtnmdBqjBV06rVdCZgQRbTkpt3
VXJjFlUFj+2savBgO7vD1mYeBjUbh2FrNhAy0QgyihwM4wJlfznsl8GYlLiUgUYvpZi7OdAwTNtZ
ADdVKVyQtzovC97fziF1XRV5trA6z/u8wHlbRjavVE2ISGIIda/kIADVTE2r+aSxqTGHBg6bWcui
TEEBYCQCnH8sLLJcjItxdLOIGEqZZlguxlXEMA4QME0TMm/VHNgaIhA3AWS2nWtwMY86bxdDWU/T
IS9BVZjCjZgpvBIIZrZVMVDNzXEzewFQTUg1W50X4zDXCogiVBipkGqIlM1mKgMPJsMoWmtmSByw
ms/6lYmUDgSAOdVDJKbIdpMnmx/J+qG/LcoQ1UPVzFzGok13nJyU9ASHWoZwPMKHMnQ7XEvG5idC
mCNCgK0Z4h2IrEeA8ixN3IQr4Y6JxMCHXNxkg0sPO2ZJKh0hQhRmbZfkQcwQYHm4Dw9PvzxEADH2
ymVbCrRlVLO6UDTvBsQjy8zawYNtk0xt6eW5e2xlv6zYdL1LT7j1omg/geHDPFv/Jo4uTs/rZ3aP
KW/uFp4H+nRZJYqDWl40gjAiLMAgzZnQ9S5t6JtlmACydBiYI3he2xxyXm4E5ACcqc08je3cOa0W
i/mlB8htSd2ZjLmIiAjekf7ayjd2hTlhxggMJ8wwFdQAzaEAoEN4q3LBchhWw0CBpVkiIAA9qTre
D4m5Jc4pQComArCrLcKbXzF9s5a5U8hQFlKHQmFA7gcQghECwbw5xiGAgsLbj6Tu/HC/3ZLqeejM
ST0hNp077IiTnuqj1PMggoi0FGjnjWF3Nnb0qBNyNWtr9vBsZ+UVE8A1WmS3s0vzn0DMrKpNQgOZ
p3Di3M48zGAn7t5cHdHMa3h1i3AyyMVgRoIIyNQcWiIjTxAFKdyzXyoi5mhm2DaOKEhqj1wzzN1D
c5zugRRE0LKvAYFwfOH8wZmDxSDgHu6nD05y+nB89mw1W28265PT048+tHnOQYNZTSzlcn9vb7WX
B8FhOSCilPLV96WeH/32FA2wRgUKjGAIhsjRXStpejMZEgSheDvOYpM0OvZPQWsZMCGEC5Oai4i5
ueXSLNUM+RGjCJjqPLBQgIW1nmrDWFDbEaVgCYERLTxHG0kDzrd68krAHVn6OKMFfr294imS8cQx
Jlkmo6JmjtnDzJ2jO0ZOQyjlQ5af6x1gPCBzFhlpNrXceub/c4jctOd8bEcnzgRvBFhrq+JuFrdb
X+czZ4cVYGYKdISc4zT1TtdKYsu6ZlWksTzyJO87vzS2+WOLeXTIH4YTkoN3yg5Eqp4hIyMppgYN
58j9cCLQqb0NGuUo4x+oyaiLPCCHgQexuglxEg8e6jX7RdcTrp7fBQCDyKVz51KBkT9R4RzPYtpn
sn8CFAhtrd3j5JG09kAwsPDW8kCiuVYHiKoduQTpuEAmQKymgsht4RmBVN3Mg4gT78Q53chSSjjt
KgkNLdGmnNwWdeSNqO9IhgBClNOxno8FZu6XfKIMPDMycXp9G9GAdxmLHAS3/OmOY49dTdRqw25E
Y29B7j55npjTHFXnWtQimLnWSojWBtQ5v7OIIGZVbQPTrENbs8mkMSF/57s8FABEGFPGwz3fq/nU
RaAWI0JwyCdfmOn5CxcunD/rVsP13p17H7z7gWk1Nyl8sLd/eHg0LgYzswhxC0B2A0cQKbOp9+8Y
D0eCatXMWQQDVa0UzjJ3BJl5Az0DBWQeCQGRRXLcxUwRIcwGjkgiYjvDErWnCTFqrVnwCOyw32qq
mp1vVQsAVQucVc3NzSw893heSLZ1BkAibnbA6O5mBGFaDbK1GJu6h9z8YDF+66VnLpw9s1lvzh5d
vnbh3MHB/maq1x+/fHzucBA53t9bLsdF4es/+h13h4DFYsTG6MP91eIbzz753I1r3h05gOhz1dP1
N7/1wrhahuPeUL7+7JMvPnW9DGWuk9Xp6rkzF45eSpHMQvjy2TOqmunrg/09Jo5AYSmlRESElkHc
GAGIeKozmFWtQgJmasb5xwkfQEIo3MdxsXVXgLZhyZQGU0k/LrbMXeZh1nWCANNabLAcB0CUwoms
EOIsRjiJ5wIUgqUQ8TiUQpLJeGGqpha+qfN6s17iaq5V0JkZgTCCIIYiiDSrshSb5+pBXOqswABE
wTgMBes8FqkzMFJBzoPwVOsUHu51s2akSWdgsqgjMlhlEgQQ5pELcmLrWV0BeYoQICMmwOUwmurh
uGDVkZmIt+4FYZuoxoBpVpGYpmn2eLBZO7NGDXUSNpsXyLPPjLQ3SK26HBZ1nonZoK1HKsAgBEyT
WzB5GAiJ0FjYGVejaA13KEwbjAHRCJk4AtbzFrlMZrVqTFADHcPUGGIzbUZyrbOHneE994rOA1hh
Aq+AthK3AgO5CRfCcBQpjsxlnAycy4wg4/JkuocyzFRZCmAMSOMw0LRdFnGb98eBIpQYEJdjERmM
fZ5mQSpIoO6Bm+rmYWpL4AfrSYHubjcLN3JgBKqz1XksnJFvQdhjWiJQoQHdGQoxS2bE2JGrQ3Ax
AAM0RwRCLh75vSvLIlZhMUglR0BBnHvsjpBq4HauFq7me4vEO/s0z8RNCx8eYDaMBYp8ZfIHc8ay
kHpDh6BnuCDCkRmpT6IREUE1v0+bt6CaDXktdUMCInLLMR8wCwM6QgAS0E7ErRa0A9p5MELJgy+S
gUfXZEFzKQciNOUd7nanlFMDj46Iyy0SZHQQ0yOaJA/csfvdiLPZ9AihFx+pFWE85GGCw0NLaIM2
eZuw5iEHmcgj2vS912fz3tLOOhARwdS/sbAJP1svBHcH2YRb9I1ZRB5e8zQQWc/D1pXaEQIhmZ9C
rX7Tqp6JDI10HOR1lGnno4UurIHmaG33WUAgC+inWIzW+QSCsPCkh7pnUK0tISwy9tfZ/Wk32XXM
2rEGwTNa5dwqU8HY3g0e4KnBzDwk+MMftB8xH6YJsUf3ctUfADk7QfIAd0tmD2ZLimg7V0BqgWtk
9bBWmUuBgTu0BjVRQBg1xlKEhwM2YGYmD6FnEFNoSZTGWuy3z8aMycAxUrj18xMCBDGHa0YB+9oh
MYqw04101gtSC63l7xzBPc8KO+rhUDjMWi6UOZHLTJSC393u3bxhL3I58RAe066YCNAkikLMiNDV
nblf6ECr3PtEDjEhPJMTif/azjNi7JYh3i/ZecoExGoGQB6wnSbPczXlksOAhRkODvfWa7x3547N
dTmOe3t74IFE497SIjbbzd1hqNvt9vR0kEIAqjMgllKW+3uL5RKB5jozkqkRf2VLlmOLrCNkWDYi
NEHkVmckDuCqgejLdly2drkCMFckxshmuOZLmQGlPDfnDT+3iEioefxNwG9bo2FrpgcgsppzYxqR
EKlbFiyJsoaf93lGRFPHwpYyJ89nESUisRFuoaVRHpbeA6ThRsF3Jfl2IcdHB2aOIY88TMwbBw4y
hAqYwsLo2eye8gC1oJ6DdHfJ3Iu7hmdinIBzs5kst0IZsWy5f3cHwrQo9URoBnoBdnUQgl2fI9o9
NhBTAOb52OrXk6bLtnDYeakhF8Kc5ztL1BB4J7+DuTNnJCdpC8BE2FhI4Z3Zyy2TQtAetOEQDB2v
DqAeENbb/mjhlMnsTC60xSkAwGaeTrdT7nVT6jCZpjK65iuElC66vFZFy+9gOwO3jWsEUQavKDoM
ITeEeblCIEpHTpRSEkkgzEzJzUJmCCBwlsaVMIym9faGdJBdGyXch8xaQ1dSISAmmp5mrUzE+SoC
ergA72ZhCMjAZi7S0ESIKI0rhmmVy4pQazWkARobFb+tWglzZWh9R9rmwo98vtL/jZBCMrfuVGfI
2ufOK+Odwd9QjoyUWPIWxEWY1fIbBCGI8e9xenPvS4TUjijRqzfWY+v5Hmbm0/VJnbboHq5zrfuH
hwh+cv9e1RlS4M68XK6We3sSDq4xV0UAnWdvSEeQcfAwaE1SlAyVQUS/fCKACOdbP7J6hFjdBuGE
6whS84en5S8nl4Q52VI3IrT+AZhqLcNQVTPb00tUbUrPzBEoxMFAxNtSDMIRiGlvf/XZrfXlKxVU
h2HQcEb02iIotz77QtdrOTxAQFMFhrBAjwXzU9cuD1LMcpRCg/D5o4NL545rnYcyIEBhcWjI4wwK
7lxSqpUohQERASenp//ur1/G8GeefSYzMITgFAn6XAxjAIjIPM9Z7iLkSM+VxTiUWmtm9KtZZFcK
PNznWolYpLWtihRCIuaImZmRUECQQDUiIr8YEJEZa7WwMDUAqB5qSq3XGwxu7sM4QgAjLMdxvXFI
h6F7YIvqNVBnkseRIsItqtms5ghEoO7oUc0EoDAvhqEQBdMwjGY5fRFLFWySNgGEaGTO6n1B2FgF
JzP1iM00acB2nt2SJQYj0SiiriJtwj4IVyMSIYTZYihla1OS6RyAwrNbuyIqEWomJBk1P9luplon
dwKY5gmYHDz9MQCxGAgNlgsy51XhDRiyGEFYUQAeRg0ozNM8sykQqCtJBFRAQjABQ1cGNqtEEh5m
djrPU9XpdM3E62mzDDidpsNhmN3UZkZuYl6MRcEifrAUD6/oQ5qkhRdctvPkJNVhUYa5qhNh4IQO
QQ8cKMCIFEHRCb2QGyoRDghVLXQawbPMXCx56z5Nc/U4mXV2wG0dRDZbxbHobFG3wuRmQ9bbwgFs
5IIENWCvcAgdLAZyAwQZi1UdhjFjbtWBC08B2wgEmB1S8BZmIrgUEfCRgTEfoMZQNJ2hagYOBHU2
IK3ViVWrMUtQVAtWb2ROgsK0YKyVBkEwQoxxHABTBpnCXXQHJP6fUS9FJKHE1oN1yC3loLrNOYEC
KZ8eAGpaa80aooUKt32SuaWYEQEhDMAJSE2jBUqNEIk5J/3tW+QhcjAQqQHuYAcxJA8X4vb9n8/f
NgrM6grtSkr9DthU5rv7ZDTcTjAAAYU5tKsUerhQTo4tLxiclddmUyMPB2+1ImH2bvtIOkILHXU+
auKaMhRtD2WgEAFmlv8g75nhR2K/aVBrf6iOU0rHu7cdXFOAtEF4ohcI29WxXzUxsantgNMPvO6W
l+cIQKDw8HBK+5BHokrypmQ7JG+kTd4J0cGzvJAL7Ty+ZpQxPX7M3JKQ2DhGeT83wAjQCMgFIzhD
esfBPexhAjlvQq2el4IHBhCEcLj34OSd99+zeR6EEnHpQE8/cXPv8CAFOblLxKZxZ+yIYwCo1RI9
0u0awERgKZzMZHWWkxPdFBnSiggiMY85Y+e9cozRImetZxiGzOCJBeph8gCzXVgXwoO4TVUCPM/o
zZ4BFBEKUdU+eu+TZ556nIjAYbdm9bwpAEzb7TxPh/sH7l7ddt/FiChC4aCquXp0B8fIzwt2u2++
Tyipko/sunf/VUv0QSBjVW1iSbcW7aZcNQSzQPZ+zYs0cqZZW8fniRt7Aq+BatxVFZE0wCOGYVhv
azKZssFuZtvtdPvW7Wnaeq0He6vVcrkYBjM7OT398IP3796/Fwir1d5QysXLlw/29oRIWIgfiS6m
RSoVOF+5Xgo1EoXbTB6ODgDMJNnkTNEa8853sjPQJmzFPc+7sHPaZ7k43wC5xo+2b8n8RWt2Jm8c
dxAXzJtM5Lo6N2J5CfQOX2uZUoRqhsz5WIPY/UiRjIAIrObZK+4MrcQmh3o0mhCggWvrpDfIXA5Z
HhZlWy+srfpScJjL1dwBarhFYFBeonJ/lfWExKe0+xI0A5e3zTJBAJGkLmc3hMrnWKJbenCAmpmm
7V1bqjn6WAoChMghwi0Q8/4qLYIaHR8WWS5IVVF3kcJu1Bg90ZpEHSbKqVO4I7G7Y7RsSGArCMQu
RuKal/UmX82XBwEgBiZvvOvUI4Vl/TqaQkw9bUrgEChMgNvN9tOPP51rnU3VNKUMT9y4cXR4yCLR
iA3YPr+ABZGgLbTNWxIDMTiy+JhbzSDiDCQzI3pgQJ3mYRwAokiJHMa1fDAKk7f1NUEDLrQa5a6T
kmeGTAE0xNuuRYzJ8U4pGiCCmyadoc0Wevw4N3a7Qqa7dSOuRxsG75bY0algyVJuwCrshfv2Vd8z
U5k3yvBIc/MAWUaoKNzA3YUxwLPHEW5IwEjVLB7BWDToMiaki7GVt9H8EfAiYrZgbYcWSMCYm7Bk
JqLF3BmCYrlcLEsBt0GESALik48++vLLL7TOp6cxLBfj/h6VcVKTtOLmKwdETMmzfkiqyLk1QCA4
C2W0bKq1EOVznKhxEXNepXM1NxGhpt/NhH+DQ6haKSW70lLEphkJCxU1E+H+BQDI1NHKzfyrbgLF
3MxBNXscjoiPP/7YL17/zX/3//h3EJ4QC42AzgpaLhff+8aLh0dHECEsiBTkGLAYRq1VmBA4N++e
1Qg3NRM2CHCzMgxtjJ3KJjdmNm34zYjgUgBgtVr+8z/6XTcrIoVZVbNh3CiagOZu8wwR1vhRbmjh
gdh4mzn6JQL3HCGTsEABluIRwDlNrI4BnmnbzDMjBVAekB0gUt+MHlHDkImZMUCIxnHUqpirfUR0
qFZVLeVqzNGIjx6gjswR4QGbWT0czKSUiKDAkUWIRVAViYVKMv/Rw9VUzWGeM6rOzOEWQCyc2E1C
nqu2zxIE5C5dOCAWQwH3/eWqTlXNhWVbawBZhKsS8WwqUVRN6+xmAwuZFY8hQoEhQEi2OlWLjTqI
O0CNnIzEchAOyYt9IRyYNcgNLdCA1jVmBzKYzE/qfDpPAxIIYdQc6wTCSEt0LYwKkT5wR8jH7tr8
QRgTT6geUYiKUGGU1UBEhWWk2F8ulxjjUDbmJOIBJkURZqY6Vzb2uRaRyeHedgI1hBiRpjqtFgOD
kc2LMK4ggMVs4QYGC4d7Om/cSxE1nWuoIQdB0N1pe1gWJxoFUIG3ASJl1u3RUA5N98YyYzDiYhAJ
l7FM4MQCCJOHIBEzsRjyuqow1gAw27jDNM1uefQOVWZGN3YkdFMdpAD46IoYEuquyQZS8/WkVYMw
lyEESLMFEcgwkmsRBtdRCAdeLYYJvfPicnw4qEMAq2MAzdMkHJvtdo9XblYk1dx5fVFz1P8ZpoQc
u7QvDmJkx0CSfMC3lFBQvwbmAyly5EGJt4WG9iHiROZJzjyA3DM22RIciYsMBOs0Iw0ni7wmtS8e
Zgg3c5J2wlCzoRTMhaG7MKtbHry6MbOdJ7o6ITq2tt39HBwbcDE7Qpy0RgCoatRqdg1Sj7umH0ZA
m782GGAnXnKvNnl0vV42ZgPMlZjpobuvFQ8bwTJHMu4dcw+xi2L2alQ6DFpHsD1GwjN+B0Cc0/rW
t8mIUXYLPRoHNy9D4Zbcib6HaYlSIuoi1naCbAdHs5auwzb/jrAOBI6dpsU9Y8+YREnC6KuIPGhQ
prYDQD1Lpvm9jIjBAAkZ6qFQECJvsJPm6A7VLB6p1jfefPPpZ54ay8BEzGQBt2/f+duf/M0P/+Ef
cL8uJPoBPE436/29lQM0RSbhw0s+9NqSN40qJaYHMNtimkZEQLAYIADg/fc+Gwa6du1im4cg5r3X
rA+X3SEoN8aqdnpycubw8GHaMCIQ7t9fv//+Ry88/9R6O//mN2+98MIzg2SD3DQiiLbmb3/0xVNP
XsvTYLsVAL799odnzh6ujg42pkVkMsWARIUBwDxXiBApPfiYbxIIdyZur0W0Lzvv7b38Uo5wArT0
MCWdy8zcp6qZTMvDCeWuxy3/fWu9A6baJNweoUxjFlm1d84BoGplpOSpZEEgwnMEr+aLNqgKQrp8
6WKdp/WDB/Nmszk9WT+IzWaz2awfnDyY6sRFyv7BmcOjg/39wkz9KdEKfmqZmXNw3F36viL3SPPI
by7CAQ4Q1Y0x5jqbR6ABk2RJE3IjhAYebtwShw3A0x836HmbSRcQ5Mq9Lf8be5swABiTYZvTo+wc
kkMwsJkxoXkIcbSAcSQoNWt4gOCQxUM0s4zs5nOP8jGE7aKYFX1rNzxHx4xaEONDc0pfgkE3tWii
T9oMpk3prGc5mvAWIiIqZqSlddR9x+XqlKNH8xlqnm2+VlvATExgOyJj22iZ++6E2Z+9zR7SnsYO
u9lKLo6g9cmxRbJbwLVN7noWFDP6DuBqrevY9D6dBUWE7ll2j3b8NkMA6refnTconx/5PMxiVKZd
EkrfoOtJdssLDIJHKp3aXY4AA6FIEWE1/81b7165eG5vb+mI6Y+uZq+88c73v/HiQCREBESEyeqb
53kyO1itzIyJvF/dIXY228gCOTSctgezQ2w30y9e/uVLX3vew88cH+VsOB8VifGuWtenJ2eOz9y6
devc8fEwDHkhVVXKh1tX+zSndxvbBSZcvb3xHAF3q6xc+rTJYJ+O9Zvmwz7wDs2W27y8UnUsEXZW
FmZolohyVtKyRW0Si1UNAYi5w94QI4TFwiOggSE9kl8djXxGbobNZpSb98wfQRrasFVmoI3Ue8Ml
/CEoMSP9+fdEjPzwpV8vZV3m8fnnXzy4c2fgFhty0/X6xFURQphXqz1AISkQOV6hQPQkUHsGAfKQ
EKGRhwxHQkSqavnGImQzp4z/dywBE+f9qmTegSm0YRJyxSrCHET9MeEeCcgyzzSDm0eA9mBG+xBS
uyFjXnd9nhGB8uoacHZ/8Uc/+I7W6uHDMKqpu5ci4D6WkmtAEW609/a08DqhZ4DUAACAAElEQVRl
Pz7yai3C5h4QIlJEvEmWMvDTyGtEOw03iDATaTVmUttxO0DN2xuox9WAUKtGxDiOedoBJIcg5kTY
AyARcfIDiaXIXNOXFlW1ZtbFnZsruc1kkLhl4botOjUP+TZgosKS1PoIc/d5rmYKiESspkTeLqgJ
jmpGqSCiICrjkA+m5WJ01cxTBSIjaXjVqoaqSuauVpgBgCEGJlNYDIOaz9PcPrqEEEHE+QwcS4EA
q9OSpTY3g7vHdtbNXJ02teqilForRLhWwsi5iCAWpEUZCgkCqXnhjMRiDWMSgxiGshiKVVkWAdc0
zUbEXOtc1SBEfT1vFaGGMbppDbdFWQL4gnAmWiKBFHIkkdNJCwlwAGOwVARFrOAjATMMRHvLxYnp
4TiwLkeWoePdDAiB5hqOOha6v926lJPt9rAMW1O3Ooi4TQsel+GCsWJekgAgAq1P5s+/+HIzzwix
mbarxWJzuhYRnadz587ffPzKjEIohmwRQrIYxnGQajEKl7EU4fBYrBZFuCzG/VJO5lkQzYwB5/CN
ms61qrPH7LSdZoqoc0U2QFhvN2eF3DV0S16ZBB0EHFyXAzP6KBThQ5GtagQAsgI78Vp9DHIaKMiQ
FZB4gFAiEfLlOMxUEaFwupEJgwLRtKobM1cPnG0zuWNVdZimoUhVLcI612EAMOUihDEMQOTjKER5
UIhAJs5SmRNxwFfulxJzpDEPMHd9u51YxjVaqSGvOQGDiIeHu5kRU7qtA4CJA5qTcXanJqNvx4F8
dqtVJM6rnYflpz67cLlvFKTmWkgYoAcjObiZESBC+t2BOoMh9arJQ0EAJ9AcHDcHWiC0TGJGtigQ
ES08iT55ssyLrLfeoHOz+/UobguQpZyvOTsCkBtEIHevmM0Zj7ajy+/hHVnEMy77SNG0jXj74zW6
zGBXYYIeByJAb7K/DMpaxlIz+KS5Mm2SuDyXOBE5BBK3EujDhV7m7toMLzkF6ABEpkbEgWDRN2mt
Zdgg+uYxeyPrUrftdfdJHm84MXuMlMTOFNDnygL6JiWyh5UxgEiraoQb54jcLfpvr6phxMHBflgQ
MyKe3D/91//9v93ev/UHf/h7EAQed+/dP7n34PEbj3m4ubfabatCkZplLwMBHeCDjz77T//hJ3/6
L/7ogw8/XS3Ga5cvCrG7qfvsrqZZ5T3V9dHBvpk+uLe9uxyOjg494OTBSQQcHx/dvf9g2mzGMmw3
28VicfbcMeSQzmM2+/j9j9fb6cL54/PnjwHg1t0H//HHPz8+e+bz2/f+6qevXLvx2IO7n3386aeP
X3vs+Pz519/49XqzPbl798HJ9q233p20Pvvk9bPHR+Zx+/YDHgrv7T1Y1wd3bo3j8q3X3hxX+xcu
nNnfP3z/3bcN4rmnnjh37lx7OQjdgRojJnNunTdLsFvSZ8wSIQZusN+s6tnuDgCQpxozA6bwUHdq
FTbsTkHfMWDyCqF5XW9bC8dmaiW1RgqJZD5ay5a3HBjS6WbzxquvmdV5u7U6h3lnhkXVGuA2x+ef
fXbri1v7e3tFJGvApQyL5WJ/f7+IhCsxmur9Byd12n516ltrX2OE1RnaJjuUGT1BSIIB5gYkGtbM
ja39GEBtbmVuCBTNAdOsnrumQEpKE5LkHYmsnk5xgn66xbQ9MTFyeIMb52YpEFtrd9cpbD6aZgMC
pLabRSQhd9c8u0OabiEjqRGuqkTk5vlKB2S4A6mDdfLS1bUZmMlcBuReZDX3zh1vox9hjl5PcPfC
kkfHXjd4SChIXBy1q10ew8AjjaHZfw5hbEZjaIUFzOJ9n0q0hybSo/6//OHUevWi3X/SrNZ+mKqa
3blosPdsDGbENZCoVUNy9d49ltmRjV1bPMCT0usOWR/N185buxXbRxLaR2y3nkVQc2Fs3NfAnYjG
Idbb6dqVi5AvB7N5OGIFnlS5CIZrtbfefHu9Xl+5dvno7Jlwy4mTqQa0gTEhKgIjnmy2L7/86u//
9rfnWqsaIg682K4365PNPNdhMbrZXPXLO7c9/NzZsx9//Nk01cevXXv/w09/+fNXvvW9b6zGpVrc
u3337XfeO3d8fPnKpTfefN1cV4vVC88+QYRIpH06kG8A3F0EE7EQ0RW1O+VK9HZG51slKQq5BRYJ
drgmN8u3lrvlX5dTmEw05K+80QtTt5k98IzMZMEYCXNekaPS7OAgGoRAMKO5tsG7R97sGk3i4XK4
iX0TQN1E641fiAFhltf1HOBQgDE1mRK1eJGrW+Itz5w5PlitTu7evXP71unJfTfNdwAiTvN064sv
Lo3LrNnLerNVczUDapyGhg8OYGSi/vB1ImLP5wazufZSb+RlDHOOGBlQpIhAc0LczNM4DJ69iMBU
UWfvvxqYu2B6mdHU8muehd1CmPNDkxd085p+9po8SoTIEBqzMKM7oTAhAQdhTlAsZdmA4eAOFsbM
sxsAoxA4MNMAQ86XkyDr/Wy0Y2p5OHnkOyAHMPnoSS5enTQ6k7OFwZnUTDIpnsc4Qm4XM8ojSZgj
O+dhKuVm7pY8K0bL54I7BAhyKVKrihR1NTNiDG89/rx0NspZKoo9HEDNfdrmJKmdZSGEGRGJJUk2
sxlA849BVyw3qEDVTCLVWt00IKq7QaLaXIiICcA5GTkBREBBWYqeqhJRICCGMLgrSZlNaRjDvVYF
iG2dschm2pSh5Jt/WQqq7ZWxAiMCMm1dS5Fp9iBUAA2YM2IKAAiFSCLUQwBLDwVt5wmR1vO2gqu7
z1MZhxpzIWaGgWU5LgRjHMdtwCiF25ObA2VtUZG2ETPEQMAAyyILZmYHhBKxz2UMNCAKZBSb9STq
ukasp6naZFtmUq3DatxqXRZeFI6IgQjKcFiKjIslCw+jA5Qyro0tOHiYXEcua3cp47u3b3341vtz
aEiWZHwyc9WlyMzy/33119N68/yzj5NZIcaAgcs0TQFRaw2iOutmViS+vzk93KP1XOt6rWYcAQQK
vtlsT+7cP3/+aCViWscyUOBi5JnMAMcyjAiLMriaY4lC1UMKr+f1YsFuLkDEOG8nEnBITiUE2Ahk
7ofM63keEScIhDD3aq6hqm5TdY9wIwqrdQE4z3UYSoo0wlXQFyMRUmEcRNyjiET4OIwBmP1PDWBP
cDjXuh0GYEJh1OrMGG4I4aZm+tVPZs5MRGhpim+4ioaVAXC3Nr1mpJwsumm4CqGqUjAVBgg3J2IG
yu8JIspRV1aW8rGJhBpKIQ0M2R0ZiMjNJZ/MfnAPFs5jHSdPzq2BjYhbpbZxcKI7G5DziNxtLv0b
rt2ypAUgSd2alS48b7nQC1cY5OaMlPfMpNHsxPGAEKZERO1S2uqy3koASQ3A7A3KQ2hTK18y4Y4o
2PZ4eWb0NuzOmFknP7WiYH61E9BDhWk0LGDLOyf9g7gNMZMMGWjRrN/SgZaEQU3ol9bf/Ae1awJj
Q754l6P2FUQ7DOavMzOPO1xwLhywgaQzRpwt3RAmtUQ+Qt+cUrZSIb0OnexEDc2YPxU6oAak5EbV
fvw//uLxa+fPXzr3r/4vf/76L375ve99KzWTDnHvdHPr9t3Hbjw+qb334WeP37j2s5/83cFeKTI8
//wzv3j1zUn13OH+iy88ldUMWY5vvf1hdQiEn/7yrWduXF5v693bX372xZ3FQj6/c//4aM8dnr5x
rVZ99+33H0zzKF8UEZ2mbdVLF8++8tpbNx+/WA1snh+7cuGgVhRe1/r6Ox+8+PTNv3vll7/zg9/6
1a9e/8EPf4tYasDVJ66/+s5H48DXn3j8sy/vffrBp9/85nN/+zev3HhC3TZPPnXj3u07b7/3ya0v
7y8OFq/86rXf+8H3c8Kbj/ppnjfbLVO5du3i5ceu//JXr7713id7I6rq5198cXx8zEyd6U3uGLvo
j7uZMaeowQGImRONg0QOUU2FOFqlAiOiMGfG1vPb19ur3HQs4Z0B2/Jl6I6PEEK9PSIartnSCpUQ
Zo+wdqdNYSASmbpIufHk02aTaa3b7e0vvrhz+8u03S6Wi+Xe3mr/IALmaaZU1QMenzlz6/btW7du
LRfLxWL0MKTYbmdVLfKVWwwZZ8NGtSUDS/hb2g7dLQwDQgp3RGcLkVCTLEJjfzgwg3u3uRCqeWHq
n86Gls3HYQ7FzKykxwLRPZilqgpLm+JFgLUhIDFVs7YEgYao9QZlzUVDIAMiJPIaOpM2OqjccmDY
/sjOkPSgnZ6I1HPz3KPFiBQt9LrjwLVLaatEtYKa9yZzbt6j3Rksa9gOjvSQQJ51NmjIrvxbtAdL
Mq7zx27EMWJ6ZDnWgtZ9JpLlg2go79akkHYrit1f4+0K3W7GWVrJUF5vrT5ianr4ewvMaQI3/9NO
D/awUpiGNWhkgd3VvtGsdvGRTut2cyAUbiGUVgDMvRlENZ1qTY0rtJ8k5VjhbkLIAF/evffRx5/8
3u//9naaNtN898s7h0fzG79+69YXt37ne7919+6D21/eWSyGr3/tWZBSzTeb7YPT9b/+N//+4uPX
dJqffuGZV//uV4eHh59/+eXHn35u89ZRvrj98ZVr106maf/oaL5z99XX37h4+fKlK+cuXL7w05++
9u3V4q9/8uoP/sELL7/ypozywUcf/fAPfusnP33j+tWL+4d7+StN8l8LKacozjXDL+7NPZ1+tMxu
MFOP/rYXqq1tsP1lET28kBtr5keLOcyspmpGDSycpitIkmL1JA5ye88R7t6cQGSNJZTEgr78RrQm
ZwbXRkFL81ZjBe+QzhHYS/vgnrtryuFvBkBMhdgC3MI9zGKe58TW5IDj4w8/fXDnc50nrVOOBHPo
k+kJDFw/OFkM43K5EBmLYrAwACY1ATJsFolsAiBClvaQaiVyBCQLcNNwT3eZNXYTmCowZ6rNPYah
ELd6UgbFRKRApn3E54laJUzzs9ZnO9j3wqgeEV5NF6VkPye/Rdq60g20ZoIiZw0povXIhy6FOSIW
Zo8oQyFOc3tUq9t5bh4rpgg3M8kAGmRxwkH7Ick8qQzMjZ8pzAgwiJg5ErVXq+VMmnrBu106AC0M
cs/sbqqZPGFI/oUnn1CImIgEcsDDwg4x1Vq1GgS1oR1oOEGaZsGttVmExVUzDjZiYZZgzw+DVRUu
6hqAZubmxgbh7gphGIZAVc3cKXiqtYggIRMBtmloKWWeqhApZXQBJjNpagTnQFUtZUh+f0atIrzO
SkXmahHYnvsMjIwwjMwhpXABxCnU3B2wmmmYqQ7D4G75BPeqmQknCwoKiwDYzPNisajubmpJWqQo
QuMg1WW1WFSt4ELC6CMgBXK1wGp3p+3ZcWFmrkoRZsZM7D64g8MIVLBM84yCWn0DqhbVdX81zBFk
XgGKR+bbV+PAanvjYgJAYhGekQsPLjbIWGetYYyyNaDZt+o2zQahakEy1WkcywKwQhQPBGf3zz/+
7Mp+ufnC80Y0lsW905ODvYPtdjuOyzun6/c/u/fyT//muScuzyya6scEUlMgx2JgCGSmIhJY9vfE
gvaGss0hauGY6+0H67/+yS//8R9+d3l4ZqszI99f19vvf76/Kodnjw21mrFW87rEwazmLWpJOKhZ
BJql+pEDEKCan84KRAGGgQo0O7DHVqNgOMZQhkyWFSYhVtVBygZstRgYdBjKXOe8mhnyXH07A4wQ
DuaB6KYaRcKUGavNhYUJLCzcEKGqVnVzUAs0XQwDUiBT+epESjdDCHVjwFDd7ViI8vljCKAWCWRB
QCLWWsGsVQOIw5ElTTDGQmomzKqGhG6Jf2PqrFRBwogcZLp5UvGxW0YeZYdg5BWJHhleQkfzoXZH
S1VLASkzmXmOvfO6ld9xRMRZ1klKhKuwtEqhZz0ywJLQm2cXbvxUImhqPW+8B4jsiHo/9yCiqlET
k4YDJsqDe1YHMvzaUh3RSBYQO/ruTuWXC6jYcQURkRlyfNZOOckABw9vLtFG8sUU71DjTba/c1hb
9DapCmCEm7VDVTUlYgJqKZRsMjdWUy46klUYebAjcIaAVuPiFu1tV1lMZpWH5/mtEyc9d67WwhTR
9TC5h04AQbJkWo7LAjS8jSYjCHA7Tz/529f/hz9/9+KF/U8++uB/83/4r+6frqH502FymDwsXN3u
3X9wVXUy/Z1vfPOvf/zz9z/65P33P7z22NXf/PrdZ5++SQwecOPmjfsn03q7XT52YWtaTat6uA/D
+NzzN+WDT88eLktZPLhzdxiXN5947Pz1x3/xt6/ee3BytBwdYe9gdXCw9/hjVwjo448+uf357Ytn
j9MlgxDm9ti1K2eOzwBANUtS1JkzB6q6XIzbuiCMUcooJfu6A0nm7RwAC5+/fH6/sHduKHq4VjDN
xb4Pw9ZDA86eP94rcLC3Oj5zpvts0ANqtc7ZwaRC5LSYAIHII6NoGBC5Rm5p7UhVMjceZvvytr68
RkSwsMDk0yIQmoK2kbMPQuHOjOjkme/Npg+zhaZ/sn8qdzGBPEpiuE/b6YvPbzG76gQQMgzHZ4+3
6/V2c+qm4aFqwzieOzhcDAMjuTkRLvdWm/Wm1tqIaKEHh0cImNmlr5YWQcIA4vzixqy/5rZnnjVT
aRlGTOhUS2XlEgN6dBiROLvz5BEWnkzUlhBN1Kdb0m8zNNCUxY3D7IiUssTI0gGiR2B6UHOh7ZFc
Kui2qjwltj4rp7sorSXkAUycryQx5xPdIRScIvN9nr6QfK4YeKpBsnoWTUhDOxpbZCUAoZBkOLNB
sRKJ1DQsfcXZ0/uNlgvo7U7cehD5P/HYBTt3tzHIPn8u8CmZWzv3aVuYNGevd34QNR5BVzH3Sn9e
PNvut12um/Qrd2CMpI1lYgDk5oUbrcD6l0gXa+XcMSPb7VKcIlBt1wHMrCYhupvwboCBOYOLVuVF
c5cG80H1Nhc2swCsvTVDneztAaNwuCUJ9vDo4Pjc8U9ffuXsmePV8dGtO3eu3Xzs+o3Hi5SyHF/5
y/904+b1d99779q18xcuXsqfqqpeuXj+29/6+l/8xX+8dev2lStXrt947M6tOwDkZncfnD5988bR
hUvraf7lq6+qTvdufXn9+mPjOA4i+Rw28IP91cFqMU3T/uHBYlwUoVlrd3MEIQUm9dX6JyLNujkE
iZ125CGDIJM7xNY5C7k5bzmANmKL5ux1C28LeY9IM3mHHHXcUW+jNgmrGUPKfTOYYNlhRcS8rSQ/
twvVWsUZOw1o9xNCGr8bpqEpaR++K5qzPRoHHoIIzU0tbdVBTNzeUUYUOfiet1utW0AXlvPnzyPB
6ekpIe0t94ZhWRYLCticnMqsVt1PNttNrfkkB7BsDBEhE0agqyIzIasbwG5iFABIyB6AyPmzuvkw
DO6OHoLkDBYuLbcWRGRh4EaQGtlQc/OpiLhHnoKszvk5qm5DGcLU3YS5JBMcCQAtOWkQ1OXFDcqH
AZE3RkwyLxI64qyKkbtWC8iiadK6qJEeuaGsAdA7zDDUMhibzh/w7FI2NJaqYoBmoDEfVYkDIcpM
iUcIsQgnvROZ3RWZBIGo9AYaEpIBVs3qi6mbR5PYmqlIIWSgyMliWkgpAaEQ8zwPQwGPcRiESJlz
kTBXHYnnWvN7JdxMwT3JooSUhy3KP2a+ufJ4WkRCRVhEeK1bQnKwahqI2zpD2ufBGBgBikjWCZgo
zzdA7B7VW75ysRzdXXjYThMDBrFZOPpmnknKZFobly964YiEmhQrFQQOQFKcyJCMSN2HxUjuhXlR
CpoVYUOopkjkAbPZZD6v10V4nuYVL1VrYWYAUxOBw7IYg4J4kLKZth6ogY7sJIY2pQWYkBCHUsog
teoQMhIa0p4IqQzI6uqB61k3anWe1tstAw6l1DqP7Ou6jQK1Vg8fBRlsoDCMgWgOMwA3Y6AIdMQJ
YoG4NV3y6suNnjvEWRiQjBGEoDDMiIi/+sWbf/Gv/vxbz1wYOaLI2meMuHf/9N/9678KiJMHX+7v
DYjwve985+oTN+5PuqFpM1WlWnNkA1znaa6KYcW3X3xy69WXf/bP/uhHhwLnblwyrUhYmACIADWo
KigIATkSIGqiYgHKMEBAMBHzYhjTCjkWMdVBIAYWIYQSAMRc56xh02ZWQAezOWA7aeA2zALmcFPV
gUZ0EwKhYHQDpdYsJXPfmmOgkjAQOBAPAcwyBKAIFpHiAdDkVaZdcvbV7qXVNITJApC4IYJQ0CIw
civMwk0LjmSu4VanmrNcDBDhsGBCRgJ3bJcUbN8ru3oPtepTIgc8kJnVLANkDSvSjNYQ4dboPZGB
njzQEFJqCRotBDEAtEkvWoLL3QIoAApyjUDCmnknCEh5hlYpxbPwuiOqNvZCYusNkaOFEkHaVDO9
hdmqjZ2/AXYivpZqa0qD/IrOfoK3SFg/aOaXacDuZAYtvdwQI/kVrqYJ4aBHlgBd7NZKFp1vBC3/
3G7Rrb/XDG8I5kbEuxWKQ0O3W1dxUk/k5gDbU9jYToQZl2pChl2tKxpkKNx2/xHzhkZNZYvgoMmv
h1RTNMBy2jjbdg0AA7KZY525AtEor8er1X/xv/4n/+2//L998Nav/3f/+//V8y89959+8nOLsAgg
qAgKoabhnn2yg71lYRahcZCjo4ObNx57/MqFbCMTYyl09tLlP//v/81jj59fLIZPPvnswcnmYByz
vDUUwX7Kh/B33/vwzna+cO7gypVz63v3F8vFpQvHJycnIrzdbOdpsz45UTOWkhBEIhqGQoD7+ysm
KsjLkY72x+eefA4iXn/zN9fOn68n21f+7rUbN6+fv3jhN2/e++T9929cv/TkE1d+DfXOrbvnb1xN
kPXxxcN3PvqwfPHJpfPnrl46L2WIWMpCXnzm5vHR4eeffYZE+/sryEFl9kcJVa2kjx0xRwCZjdMG
Z/KhiGt4n24jQo7MILFl0WAQzfnxMAyZYUswtXzJEFAIPe9aaSKKsHbCaVfQlm7tmV5zCwJ1cwB3
cI9k2h8c7DM74R4yMdL69PSdN98wnS2w6HYp+4vlkkXW622d5tSrzvM8DIOalqGw8HJcmrqpPVif
ftWnnwTmrSDSjNVtFgQQVvNMGYjuyCwt297limmqTTVrxpi7mwQAMhTQ7r7hzlmBy/sGBJgPJFmN
8r6WpBbBs0gIaY+Smhr1nmcu4/o8q8lUqY/xdtzccCcSxMjMSiBklTrB3dALRAkNTippJoelM40t
PAA9nAIQQ4jUrGUpOrcNHzZDgVkgAa1A7b6aT7NovwNocQ53B8l1LJI1UXLTMTXkeGKrox84iaj3
V/slJ4MzmLUKirQtRB+WtWDtrkS849NCNEJe78k2QBczCUtHNCE3DgFFNAFVK8hiLsA7OACAUgTi
SZGDPkXtl5308WDKXxtLeNeM2F2IsM0toaGF86lowYCNT44hRAz80vNPB+H/+9/+h+e+/kIgPHhw
+s4773/3Wy8i4N7e6uq1i5euHB+eOePhQO1nk6EUpsUgh/v7b7/5HkDcv38fKYj48qULb77+zrk7
J6szZ+7cvX/x/NG2lMVY7j548MH7Hx4uB2G+8dj5n/z4p+M4Xrp4fP/BfQK5fP7sMA6dNZu/CjZX
CMhDPXZPDzZ6VktGwU7blv387Fpja9CkbiwNXwGRaqsGoGqRcmgSmvYWdOrTYa1K1BLA3RACnR3Y
gGHhiVX3XtVuQGxu4h83xB0qzN0R80SAhCkWam/2hHVnaiLVO9HKI+DhlBUa9/zqJyLIyAAiElpV
05pVChYuIovF4mC1/+D+/fv37rnfGxeLM8fHHiDuIVIW42KQohZSJDefRQoRemK0mN0CBYQ5+rW4
SDFLjbLlIyvbFTWxDe4+B1LXiGlFlp6JSv5GqyTlccHdGBsiPI9rIphPKER2AyaOLjJuCRLAfLgT
log0Clre1AGMWRCAAd1DiiCg13kopZrly0aELIRAtU8DsKPN21a9PYWjVk07dr4RVY0pioiaMuYX
OTHzPM9ZHkMz6nbWns0DIarQuEQpnlY1REpQMRExEwJlkp+huAFTyffdbJU5u1IxyjDNs4YJy8CS
HX1TmwlbbrB9BZsQMRIz1Qguksw+p7AwAaGIBn1qHgJwt7lW87B5VmeLqGbZmRbm5TgIkaPk+FM8
I8RQLfkHxExRGyHJIsBiO80OiD5v54kKz1YRcVGyCMmFC0spwtN2YiIWBkYPUAshzA3DIMXcRxJD
HpAMabudkWA9Tyiy2U5DuLlBOBo5OFIspYzD4BEiuKABJZiLWdAwRhm220kQlXBSI2GbJuGxhjNE
AUB3Id5WjRE2WqcwcAwwneb1NBvJXOscnoFsRi8Ei4LsQkhjGdZgoxQoJihYuFp1KmsHCdgmxDjQ
CUnYCR3dwsFsj3lALBHHC8JpWgQ+2Ex1OhmEh6J3tvNf/fhX/91/8y/vfP7hg8eP75yumYbZw83K
3vIHf/zb2+r/+n/4f/2j3/vepfPnH9xb3/7g47nq5Weu7w2LcPriwzt3v7x74cq5/bOHQ5Ei4zr4
rQ9u//zlXw1ATz/z1LA4WI7By/2Pfv1RfXD/9pd3L5w/961vvriZ7Od/94uPPvv4xWeefOGlZ41C
3dEquHqtqrad52muEKAAJ+vNauEPNttDIFcrCU4zk0KIUQQZ2/mFB1kuxs1amQSIgQdHnKEWJw0q
QIEcaERoVsuAS4GCRpjQZYgEeauxsFbVaiJlO20z8pqtv696MivSEO0trEWQFxVO1CEkwiY7RdQM
zwiuefrN2BWoKQ8CCagAz2q6MHt4ExuY5zCUW4+wUSJyWG67uTsSA6hqEFXV3LOmuEzNRhE123ES
rOW7EhQKZs6cKQdsnfAwRnC3pBN5NKwPE7sZEKkqcAhygDckBqG79iVA7MIj3E42eYXMGijkgHy3
LIXGpg8hDgA1pyYw0Pzybl2jLoPJ22ZYMHa2ubVXIl1qnWORiwV8NMYb4NhZ7xkbbr6uCATycG++
wca3THbow81zi/4SCYL5riqGxM0PThwAYcaE3PJQkBYRy4NItDVB1ukaN6tJ4Xo8uBlTwyIKczJI
cuYWGRRtN4GE1rVInDdRKnL6rxCvnjv63/7X/2Jzenr16mUAEpZkpQDi4Wr44OTeKz//xWp/dfni
mXHg649dZKInb1y7cOE8iXz06eePX71oEG5+9sz+0d5ytb/6s3/yw/Pnjq5fKbc/+/zS+eP9vb3q
MS6GJ65fIQQROXu074EXzh9p2NmjIwbcrteENC4XR1/fY+b9xeL4YI+ZRUpVX43Dd77+PCIev/Qc
En3rWy8hIYM/duHc9YsX0tnx0nPPIMbXX3oGAquqRXzrmy+mvcPCv/3SMwiJJgpAvHnj2pXHL4FH
SStR+pncj86fA/fHH7sWzfHbhIHZNBtEEMEbUqatPTsxOD/FgYQCTQrQuFBIprbb02eiPjFi1rfl
Oa/3CMiIDbY+887x2nA4CdbqSdRMYQJwKuY3ddIMbWMUoXDbnJ58+sF7UjDc53kyVa3ztD3N68k4
lrx0MfFm1tPTdZ2nqvO03bZ3MsG4GMpQGBjc1+uTr/r0g3BAb0lOIowcfIGw1DqbW5GBEPttsLtx
81LVwhGR7WLk/Aw7IUQuxEyZ2T00HBwG4rycUKd8ZSij7045q9WphWxBjUiEWH6mslyHnGG92O1O
81PX8vPZImGUtqbmVlJ4GLhA3hmj8jrXwq7h2BjAaJ5D1W477mX+BLZlkDAJdv2GDm5KQDlc2vke
s0FIRBbQSEkIhOjtDeIdI9QJJa2MSTnWy+0t5gA4eSsRHlldtpa0JEp1WTY5oJnOGlOqgcTT70Uc
HsitP59lsejFh5oeEdckelg0lhB0qo2lJSpAOnI8S3mQCxMAAFQ3QXQI7vaU/Ops3YoOM9iN4Ah5
EAEPBrAwdStM3bmKEbFoIFjXAK32xtvvPFivH7t+9ehwP1zv3LmzPT157VevPfP0U9/97tfe+/Cj
o6OD7P0Voaefvb5YLm7cfBwiXnj+2eNzxwOhu//hP/7h/mqFcLxYLA4OloG42Fv+w9//HlGM33yh
sPzD3/sdALz+WLDwiy8+yfFEQqK/840XLeCZp29kFiCieSu6irYjabsEdzcTCLf+J7J2f/GcenTY
fM47kNL2066RgDt3C3WITLKRhbhtNSHULQhzS2fqmUDvWlpQ02YBgLx7AhFlGI0gYWy7smjqfNpQ
yeOhqKxbdttNHBFVPSEJ0cZDjaVuSZRGDPBaa5PqWWi1edYAz9CVRWy3mw8++mDggg3fYBGx2Z6e
nNyHAEmbts4GBgRg2h4lOf5zc3RglggPNczRDSQ3rH1cHWBWLdkqZDbTItKoRICZmyVkQmaWAEgb
cvShirnldXeqtZ3VquZMMsf0pjrkbTnzw9XQgtLbRlghUjlDqSLyICJhcXNsp8nWwc1cMUZq97DO
akbg0FTR0bBUiZRikdkrmiasMgui6SUrEo05BChFrGp4aKhHWJ1LiLtHrdI9uYSoqjFXz/oFAhIF
oEi7du6EzJ0PzlWVkr1kRqAjZ4AlzH2e58wI55a1JPEKcRyGudYixcyqzcw82QQIaYKNvovP5m2K
Yd1cVbMXR0zCIiwAIUgijDEPUlJJ5AGTmgNaWLiP1DtUzR8QqsbkgFhrJWEDcIykAe+N4xBYiEhK
25l7zB6zOWRn2GwoROhg6h4cAW5CmPNr89hgreYl3CGYsAjjOA5CvBy5SC6uSxmtmjo40ulUM0tc
Vc2NarYfLHTm0AF81hpM5gpB01yrhc3VA0J1WWQCK6BAIIUZUNUXg4APh6vFvbUNLEFQpwrMCrCe
VT08qjGfamXwrW6XQujOYRR1SVBcA0ACalXyMFUIT3D0/VpX01TNDxaLdcjaNmvE//FvX/uL//u/
+Wd/8J0f/pN/9Pov3/jz//a/WT+4/cd/9s+PV6vVoixWy22tATAM44C+nWk17i/LwRf36cd/+Xfn
zx699+mdDz+98/y3nv7N25988f5Hq3PnXvnrv/vus1fPXn/CdI7pdG8sly+cf/H5p2Jc/uqN929c
LMeXb/77v/zpk+fLC9///l/89aunWrdl7/OPP/+9f/TD21988dn9B/urpVMwuFEAIxEMBDIWABAm
LLw3jsVdhJwKIQKResweGjFQUXOt82KxUI+5zkhY1ZhC1YZS2J3CCgZ6FcKqNk3hTnPFbc3DXRSi
gOCEjzMMJdcz+chFFtlOE7Oof+V+6a6gDwDIuFsF5KcMCBuytYWL2r+ZtlPemCjT6cStVE+ISHm9
UvUiEgFmEJC5UAyDlGc0pwtR+rcIKaLtbIjIANodE6LtWCAa4wcw0X/mzSySV6whh4aAgMDIaTWw
BtxobI/dbhQR0zCp5shIjdMIhgERaTjN0w8ya07OIrlQ3qOtuSeCfodt1c107VjWxlKS1mpdHZMa
mIezJLl3vlIGmBuII9I1hTskUqghpK5w1zDNHQNlNCZhmOltcyRiCE/XTbbnYAe3TI5xjqjDUt/S
zg/NcJP9Q48snnZbYLgnpx45/yAIyNTIUIkPbec/wJo4Fm/kTYGEUqWWhpJ9D5i2mLRo5pmmrWSh
q/mC+DfvvJ/fmADx3rsfbbfb1WoRHkzg7pePDq/83m9LE2JiADx25TICPn71akA8dvniY1cu5S+4
MA17K/RAxKduXM057OOPP5Y86owgSSntkyCCiKvFkAsuRhgO9hLHKqXkYqqUkif1vDVIwjcJ01ge
CGEGzG4NoEDd8ppnbmq2GAtAJjF3DWt/TW6tAZkZ3ZklsS4MaOaM6N5cQe1kEoEBCSyEvso2NYDc
SOd7jVKXleLWPAhquHtUU2LaJdPcw1wt0u2JsaPWRCBjN0SimopwNqt7aq+dJRBSQtJqVebavnyZ
5tnAnZjU1cMHkYvnz5+c3L17/95mc+pu/WeLALh3795y7yg8dK4RsFwshHG6t3U3gFgsFkfHZ0iY
mepUN+v1XOtXvpeCEyVCK8OYGTt3wbYFSNdLZmUt8SeITLtYBwKSqiYyx0xFstILCCCEbspJDm9S
VE1DVXhO7Rkaj5IsHIgUnBizE5FHhdy3EGZIFRs7hlqWoQWx07ppzi01DUDRnjXAHk7BzE0sabtH
B5O7euTTjPIC0FaPzaTwyOo7skBB/S4HlBEV5qyVWpYyARFRPXYXibwNq6UBEjP5n96+3IM0WFYE
Y386PfSAQvQqPu58YJGnVAcMSuZxu/A9lFsnwCUBb9gHK9FqhK1PnIjUXOREPkDCs57mzc7qzJTX
pxwE9EVm6ucJwBPt0Qsm2KXfYBHU8qg7WTCamSAZBLcBIoaH1pp38nHg+w9OD1ZLdUVANd9sJpim
1TDkOmsc5FsvPpffL4p49syhmt547PKQl5KIS+fOCLNBqMcgfPXqZQZcXjgHHpcvXgDEKxcv5keV
ECGcAY6PDvMFGpgQoSBBAPcRqkUGa4i61Yv6a2Q9+SJC0Qyu0PTaKRSDh5NQfPjSQHg45XgWUgDX
DLqP+IAA2q8bd1jkbqxrae7+f7FL93g4uAgDgJq1yOHuL8rPaobJw1Iz3ij57ln9VYs+a20678xy
axYjIQRbUdH7yp3bOpQw7ZhAGqru5koExAlxbPNbFrl85fLRXrl759aDB/emadpRrNuGt2VYwiMk
LHRW1aqt04joSZZLlSmwSDRVKaSYsMnJWgqCMVPOAExUdcoQV/sybxWOfHhrtAlTlqdTAJPbcM6H
F4tEVWZJfgkSpaAwVenMBIBDKVvcMlEpgojCPJQS5lOdyzggRdUaLR0SQxlqnRHQ0SFcuGg3NREQ
OgYgUyPKRzgAM6cUF0UkF6fCkoOPalV6dzTzcnWusVPGRTAREpv6vXv37t/68uy54/MXL7iZiDAz
RGeLhO30yvdON6++9uuvPffUwdG+zXMRyRl58kyIOHUFgRhETCRFULUNrISzqOXh01zVdKoa7uFV
jPMRwUyQYTpoLgdmttzpRyDTsBgwXYWAQmQKDlGrVtUgqFUjYrlYCBMRurVLdSBQkarqgM4UTawa
ESFEzoSp73ObzE6m7QCl5dEVzDzUl1JywJKOYw2YwYGpmiOhRQtPkvtQCquNRCBi7u4wq5UBNvPM
7jloWTBNcz0oA7oDYCFWtZHYHVgQiWd1DzTiOSCEHYGl2DwvRmF0KaJqEFSI9mRY0DDHrBYGsK1W
Yd7MFaTen6elOAupVaxI4QVgYJ6rjUQhUgIHEgacEQ1oClwDDCQbqG4OZbBpHpkX44gI+4vFxdXe
udVK3Rcy7AnvyWIk2mz0vfc/+D/9n9/9uzfe+fUbr62/vP3P/sV//tIPfvCrX7x+d1Nl2I4kdZqJ
Bp3mrbJ5wLx979aX+6P96Efffufj+z/7j3918/EzH33w4R98/fHx8lOvf3jr5y//9R8+ftORkcdL
Fw8+Pn/20pUr9y1CbjkyUrl06dILz567ceOxr63987d//fxLj01ffP7+m+9dOX/mwuF+jhAIoQYg
wmwqZu5uGlx4q+HzfDrXYlaIwU2EXSsFDYBRpxS+DQRBwEQeNFUT5K0BFN4CF5IKKlzcKhAtFuOE
0zgwBklBd4DwtvISMfN5tgBwnzEnx6qCqFohvvK+tJEcsWmuEmOQUNP2GWkqcc7jaR7MMm6f+AgM
AYeaV1YPxXTKE3pofqVEhlEpfRLeclDRHSPAKZiJDszJL6gAg8gZPBINxAoW7sQS+a1GaOZMDeiC
zLm46KQhkGZIT5AWYmDO/ykj2xEexkgRmJ154naE8bZu9chzeB70ewwJ+kiSkADbWiAf6c1s1if0
iMBAQNQ5+S2KkrNkU83tTF50m9gDwB+FHhG1tUMDP7TLcF6furzhYU811w+7u00gaGpdAoJ4p1jE
9o1Ijbeb2tIMFEL7WXuSsFfgmi4mHLIBl1/92Fj/sTM0UJfsZYXQCSkwf+DILUoea4I4Qf/5ay9M
2S3LB1oeMp559ulbd+56OBAL0yBy5szh/t6+MDGh7pwZfeGfm2OLFptMKiR0JmM2pPM9m+cbYc7q
V4QlLisba9C3uP3AlDEwyEQ0ps+v/aMdAZNtkR8oNUdmN88JfA5EdxBRgo7Z6At/NSdGi5hVJeU3
mfqqipjmyQa9zL9JuliT9ZBJXRZ2bOUiAAzzhJkxCQZYLlB7sq65FgN2VxRmrlNkJj9fnWy1RAPG
AlFD6+UoJ9X27h41I76opkiYIe22LEV0t/yT5kpEiAcGRky6mrlXs3sP7r/9mzcBVHVKsTkx9bw8
IODJg5NRFou9g7K/N8/zadjR0aEe7G23GzO7c+fucrlYrVb7+/t7y9ViMX71e2n+w5xFavts59bO
1TQRLMki1L5aadxaDzUnYsCujoAIQHVHxrA0l2LzQ7d7CFgDLGXuNw+/uAvQN8paHlEsvB0U84TT
GEaEyIQKUc2EGKKv/iyQsvwdgpQuUW7ItOS1JdI8B0m4A7Yh0S6E7xHmtWDJxxrs7r15iYLkj0f/
mTMwbK2ggeCJz20LWO6kJMCA7tKkpAMnpuvREgS2sAlEh+tyn0+1AEaLDzsTmRsTNLlXXr+J1Kx1
d7FhVqhf/6DLJzOTkn9BghV2QztCdjdzdHxYhgQHSCh5bufciTlHBnmZhYaTbVI1aHBKF+j72GiP
9HQht/j3zpwKLQ9cmL723DOvv/OumRZmCyMAYbl+8/FxschMdaM3gxOgAHl41tSSA4vEnuDVyAkm
5wshiRum1pTZ5RpyYU853gVkakXWLMs0yUq+42CnMEsKRMMhct88iYibJdWg10qaQCmbuP0p3Tac
GWjqA9vAZlcGVxORSLLDQ3NtAIBZCFPLcjNrk0tT8+Nh+zHzKzQTQQ+Bus3P2v5zksZ21h9vU9d2
E0stU8sVY6NJAwYjWSZBWkOlFfXNrDTTUyRpNXZjYIS8uJlj5lE2m+12O4fF2XPnPKBq3a4nr7XW
uV0XI7IaKRK4v1ghUBHJho+7AQEREqN7Hlnyt5Fj3URx5Fd8qNXdXZ+QAlBrvmBRSlpPc/wqEV6K
zFpz7iIiSTxK8AEimZlaC3pkuBcAJG87CSILYqG5zpmI1lpZOCUopZRHDMRAiCTtDj6wcOFw0IDU
CUKECAFSBIiwmkKbhKUTlRKOkfSOCFCtQFjDLCK/NBBQRCCAmTzg4ZwpAIgebLY/f+XV4+XizNkz
OymWqu5QZaq+XC5TgTibffrZl9984dlttduffHH16sU8JA3DOE31vXc+fe3ln891uxzGZ5554ubT
NwCX81wDgZirVhJJsjkSeI372/lnP/m73/nmU0cHB5ObujGhp7HAnYkLi2rNeAACqup2mhFJEuCk
tZoVonEc8oNHgLlAiPxiblg9cIvgyG0EOjDQXNXdq+oAYR6YnxYPAViWMgibo3oUGdygSJnnOdfE
+a5DiCGb0mhDsAW6ubmZmkVsthtDhwA1W4iEOROtykDCQgutWmgwVkZxDEeY3A2gEALnwzCIgskH
DAGb3UQEIDRgUttsZzdFwGnanjk82mgVq+ZO4aOUQDxcLIr7fpEx9gCgDPJg9mVZTibM4hAeYCxr
C/YAYgcYRbY2rQrHxCsm4YIB5LgNKIBrNYuo5rc3Gx7G6ro0vD1NI5oHfO97L03xX/4//4//8i//
P/9+bzX86Z/903/6Z//5/Rpv8bgYZDUO4FFGKQTjuDh1H4bV5KwsVJa4WNI4T1JO3U/MnEejoIUY
65acChLWvWFCsII6MIcrOBJ61bo5PZ2m6f56nuZ5XC6f+NqzEfRXP/7Z6XRy/anrgSCAc60LKYw4
Cs/Vy8BIlJSJo8XCIc1PjMRWDWhgIAcjErewIANMbNJyKEzote4VigkXFEQYpoBYqxObKphpRNvj
hXvJZU6YMEqhnofnIhSAZspI0TKlX+FfZu4Qw0BIeSUwAExXFRHuSo2YQK/0bBPOrgggxJjPa6aa
RypKH6aTAROZas71qioB5gNQRCATVq1GbpEYHwBiUnfiZoU39zSdpj3Re3WNEMPaQT9FbY0Y8vCU
k/1Mi66kahenAAIwBwjNSwgAmTv0WWPuAQCwpv6qrSdzZt8j7MlM2mn5YIdhiPzBteXEnJGrqQDn
w8fMcmqZQbLcWCadMv8neRJoa1LPlkZCPQIRGRtao3X5muB6twJt/ZZo37vtSzH/1P1G6xkjjOZo
87YJowbFIdz55ixl4giYT/B8UDECBjpBG0oE7fSm1SwRmv3E4YjQEAbh6vCw+LN73VOK68YtDNgO
EqlPRIDFYrh66SJgE/AwIHjk+q8fcAF2ZnNsnbdwT1kORhPV5KqmM0LzvYBqBi0liYiYDD/A6B+h
/NsaALgBt5NzgygSNDVinr9aFRma+SDHyo13jJDj47zLZZ8vs53NvoIwawUEyMRuE8OGECdTN8cT
3vvDOcKI/q7DrnfMNxUBZhARML3emIVGJKSg3QYjizk5+67brUd45KbUM7SVOXAA6FLxSMwWtVlF
ZL0aAoHY++zD0FNPsFv+Z2vbPVTbwDzcMhWp4BZurqYToBHz4eHhcrlcr9fzPB0sl6UMMiwc4uTk
Qa26Wa8BompFgsVqRcSqutls7HQzV1ufnm43X7lfykwWRkBuQXlxQGQiolBTACcukHt+CEKinUEK
EZKmlsLG1AdkPz8rgRnxirBoBU6PIKBdvy4AHLx/HNqHMvMOCt6QbO1F6jl/BMIQRHQfua9MA8CD
hawpZnH3AI+mmowWl2gjsJzLA5jt9KRuBm0kwnmh2tGVo//ArdGQKg7YXa4eGpjVPTxanDBT+uhC
BICcG1oA7cFd749BQIJAi50UOnpNPnZ7/p0LOidjjYRi3keryS5K8C049HGJOwUSeF7IWxsQnBDV
kjVJSeFKBm6mQjDy3Wv9IUYeTtBEnd5erKaijYc7towYg4UzYX8kpKimeyf63KpdudtoDzAcEc4e
Hpz9xkv9O6U9stIGR8jJxKYOmc/CDuWlIyJz1DuUFwc+xES1bA+0WVtvRmNHURFSjo+ZOBvjQe2B
0x6wDrtLaTKc+7sGCNFz4ZmOQHciFKS8ukObv+RmPnUZbS4bfY9oFhHRfG3UNDB5ddzhqhCBGXfI
Q88nCERuR81MhPqTOLugOaBoe9oWLW5/akJERmpbWMI2vuy86IQpBOTjNA3M5ubEGBHWWn/g1jj5
RdDU2oGgl2Mbkgxa+XFWzX7kvXv3bn38IWKMWxnG4czxOdO7k3kZFm4V+ncKBAgAVK0ePmkVYVNj
4jBTrAKSTRtHdNdqWIQ5kwfZmfbwiMKcQxQmCmDo1aleC84PmSGRhRNhVVMNjBS4uqqOi4U303p4
RNWaT4oyiOdcrT0LItwyVxR9SDYMozXPFENbq0oWP4jQVc10xIEQicDMAME8TrfTyf0TjBhKGcYy
jCMSeABTDoZxUr/9+Zfnzx0tlksnhgDm8sEXn//6F2+st1tAeuKxq0/dvLa3v3LCbmQBRjSrX947
mTSee/6Zxd5yNmMkMx8XQ5gBQpFhxhkgWNjMKoAzqdqnX9775d/+8k8O/8Fqf5+JQE3VX33vo2Ec
v/97394/OACiKfDWZ7e//OLWmYP9x69fDuJPPvmynq7f//iz/f3VM8888ZuPP/9PP375kzdf/8a3
vva1b70o49ikNmgEWFWJaFZFpMKcgWcRYxEhnqEyk0QiXkLNgFs521St6iDMyU9TNfeqquaMVJAM
fClDLn6W47jdbgcuhm4OFqAQBGCBaWJMxkqYcouE4bbWVMAxxtocVQ1wNmUCESqCsCzDUGpVpILM
PBQLmFQFMWXBKGymHgrgYVbK4GY2z/lWC4CpajCvTcHUCDemIlLDGXEohYQKsbMspUAZFjJUMWaZ
3QN5PduscDLVueqiSPPomIVraDCzWGB1suBADQQDBajq99fTdlaU6hZmOo60NRPwQGekUsqyyN5i
VKfFYjjeW8bmZDWUy2cO/vSPf1dM/92/+r/+9j/45o/+9E/g4GB75ySknFQIDYJQtUr1ZNoQsLsy
+vnj5U9++unHv3n3zu0Hq6gXj89cu3D+r19+8+ln7f0PPn3s8mOzxlR9M+H+4eqkwquvvj9eOjch
3NE4RHqwmV5+5bMTGE4+u/PUE9fA60dvvwuAqzGODvb2hsEhmJmGRZHBDLYaDjJNtYykDuLh5oiB
SHWex3Hg8AHBbaaE8ISZ1ggzq2oW6EWKAa6nOpktgCb11WJwt+VyJELMt6ZpnjFNdShFqzKXJMm4
NbuwNio4hdsjeZn/6UTKNNT1E0zTlGOeJoFaFBTQmpYAYlKd6pR3WgIsInmMt3AGzqcRMKiqsDCi
Q2Q+r52wc05p6UX2FgbNBY65ECU0T009x5MEOfCkjEageyAnjAoz+pF5hw6WJ6ruicIjQHQMDxLW
Phlulz1zAJRHCOfUOpxNqQqcNgXndnP5e19guwKqZ42iCe4b3gmZCJgQndr4v8XhzPBRRkdEX0Pu
LroNBdlJ5q2E5hCRLEcgD8sefUPEUSsUtHFpI2zkuDR8J2H1hoLIfUCu/KKR252Zuk0VCJw4zYfg
iGGWfR5s8nqgvOfsVAhAAMAs6h7oal6I8ijfITrk2IQy1EPLlO67cKEszzb7DSAahGVqyzwCkGk3
Xc+rV061e9U2ELENUgmxxau6sb1FvcGbAg4Qadba0neNTpW4rJBkBYUDUGAG8CKBNTv0IudkImc6
nj64yMHKblhh7oUFw4nA3JhLtPh3o6RUs1ydMfTzVo9QOTayVIqR2roqdrGxXIV3skjTY7qZNfpu
b3WZGQGZh6XAvC1Cm/Z2l5nbnSB9F/HKO1cG7ANUrR0uW3C0vWfbnh0x3HOmn+ua3RwnKHeMmLhv
RA6vlgaarpxRndWsN6Z9nmdm3lvtAcD9+/fNvciwWKyYh6GU7XY9TduqU0CUcbG3f1TKQEhVNd8Z
/gi1+3/iv6Y6UxOE9vB0cxZl7MLILaMibbeTV+5cK+UnHdGtGkQhDvOWzACAaLvuCCAmMyegfD27
366tsRCB0PIJBt1anx98Ifa0PXkwYWEKQLW2iM6xQL7L1TVrX4Sorg1ABQCRlTJPr7smCQtaP1+E
zMwjxlKyvEpMqQJGAAdnIGklqtQ6YPvdNB1x4/p6BJPklVwoL3GdvAsR7g+7uO5A5Naeut5YLLBD
uu04qu2qlzGBbq4igthpY7KoSdis2S0mDN67FtGNyUAt39eCuKZ5WA0MRMwvjrZ+gLY6w51gOhw8
LyFgbe5J1YP7WpWRsPUXwhGkaX7bOuShrTpBO30V4eH5fd2ahNCZ64jQytutJ7jDCOWsJ9zzTciQ
tWd3N+QWLc++cV6GEYOZM62RcvLGEc6xVDgFJPmWmatahNHfU3dCvlGjI5Sjr50RsYHeoW+MiWe1
zE/lNQcblSushXCBiMN8N8jY0emtIYhb+TOf6mnZzXepOwgTYmhVEAZ8aAZGgJL/XTRETgNcYYIM
IALVNJPJeXtnapzrDPVAi/kCArhaFtpTZ5rPAe7whehZ8c5/RQS00HY6gNBZWyAHILn3zFJ1xu76
XSyHvf39zeZ0s53Wm+16M5VSiEm1uUJ2X8HSWkweRcQ9+edRWPIpH8wpigEGYuq6gTYsYcKEiCOE
u0ZjcEP2GRt1Sk0KZ1VJsK01ihRXB/fCArtHPFMAeNRBSk40WwIqKziUBF0ZhHWb34KBDLXWQJy3
274raHd2gMifrRRRq6UMeSZTs43aa79+94O3P5Bx3FuOz928+uSTN7tHq+WvP75952c/feVHv/Nt
JA4IJN6qvvXhJ5uT029+7+sO+Mqb7/zitXf+xR//gM4e3j1d33rrPQK4euly7JXX3nrv9VdePwB8
4RsvnmznN177NSE+89T1J65fubPdvv2b95+6cW159vj1dz6qn98+99xNc19v1z9/9Z2/+ZtXtrfv
fO+3vvn0C8+QRERQGQ8O9s4fHpblqkK89uv33n711YOz53759sdPffrZ0y899ec//vn59Z0Xvv/d
1z74dPqbX1z8+jPXn3/6n3z3ySuP34yMODI6BDKrGrMwszhzatqZAcHCXWsFdTeYAzwY0U0ZISwk
FzjESDZrMutYpLiHsDA5OQxEiuxqKfiemCZVg4mJVJUIwY1CAACChHmaqnEEcxoyda5DYWRkwoHL
ONK4GE9MmdhC1Z2xTLPVmNzB3EZAnRUHEKSCGOaFKE9j5hFIGiaEhhCFM1o1FCGEoRTTejQuprmG
gRAn2ng2V0J1O92sD5A2c8VB1bSqrpbLuW4OFgtHGBgFxdQKj9s6DQNVCyMQpBNVWiIIJyncEQbh
GMpqOZ6GrgYOQzcqRXxCCVRgc1Dw2WNd66lNS+ZTm+o8n243Vn1YDD/63W88//SlC8dnxkUpEaPr
SoDcC7ggAvhykHnixTBev3G1LJc3zx7XH/7gp798Qxi//6MfLM6df/Zrw2cfH/7q3befeeqJJx+/
KsNgX7955vDw7PHB977/ndPPb+27/oMXrrOgMJ0/e/aZC5fKanH5a8+cOX9WyuKJJx7f1HrzqccO
zp09qe6mewNlBpvcCYwJWQhchVEYayqkUpRMHESOVANFxAIcScaxmg5SinBKvVBwOYpAYdBRsouC
26kuxsVm2ooml3YexsFUEcHUNBvglJmo3JwFMJmHsJjaVyZSMrV1X+5g+sa1h/M7AbabPFJVaFq9
cxHBg1nMtRCBJ84ZwQORwNrgmDHlzx7YbqicI75eK2jltO4hAYAi0lYuaiyc6yPYndSxRR4yluYd
D5goTW4j21QXI6OkpZMQBRNfCjuBAbYeQwMDAkQ/HDVVScYrMkDVTkLQ87HuLa8RWFgs3M2aqCZv
KZGJ6JR3UgISHuagoiNLEDyckdv9JEfI/ZdubomPyoBru1dmz813V6ZkrjTPe/td9UEFIppbYW4H
tR2gElollRy7LsYZmh2x59/IwwOC+hsBgTBrdS0TnSs8o36oCo+gfI+TWgRhwyA1IkgfS4djgJl1
VW4EUdW5avo7cdrO7370yWaakk/jVdHh6ZtPnD17XFXzlikNwx5CDBFNZtdvrnnwcOi2WEAiyM0M
MlMrJ7eVb3Ivoh9TWuPGQ/pYgQA8YVUedVYAKOOg4RhNI0SIGMhcmibUnYgy9eJmUpgQq1pgZiwg
m8wMmDdJJg4Hc9vpjrbb7Zuv/+ab3/56Ko6YyB3Ufa61iBSi09NTd98/2G/rfQ8PzFOdN7w11qoi
mXUnIvr/AxlC/31RAs8Qq6XrJABcEKlRMTOOS2aWH33Lw1dSwCj38GThALELG2PnSwOA1v8fZ3/2
a+mVpndi77TWt/eZ4sQ8DySDQ5BMJnOsVKk0WqVyd7UgAS0ZaPjCFzYahn3pv8CAAf8NvvVNN2DZ
aLda6La7pZa6VNUlZVbOyXmKIBnBmKdzzt7ft97BF+/6duSlWQQqkWAxGefs/X1rvcPz/B4lwkyD
g8w27kEmEIFuenBwcHBwwCk4R4jwtR5N0whAWREJYXgDpGlcm4dIgRmgTSyL7a1vLeNNCUjqXTl/
l5wRuLXEZ4NbMAannoJygoYOkZYH6J9BBGBqUGPOwslkQezhgvNePs9DokBwtyz2whwoAIB55opn
2CY4d/tiCFEzFSma6g9EyAQa1S78AAjA5lZYPIKYOlcIKVNfwoMAkXIOGEyUou48rRh7fkY3QYi4
eUJ5U0HBIt1MPB8O+HuDNnft+gqc2eaIKefI14lmCd6GrYpI5pYco82kw8I5TSUdOR5MDL9Hf90I
gHuIfa/AZwF2703m/Wo+ZdFvsr6DnCdcOk/p0sFAiQYP7/QbgPzwERwoMPr/0Ofk6rmLg1nLsMm5
zMlRH+GldzXfB4fcnCPMXHdVBc9RYqiqpzMc0d1Ndbmow2LoCvy+QE6WcQo0gohi5sALkfeOi/p6
cwYK9g1ZD2HZuC67AyKPgvwSct+b4ydKE+1GoZz0eISmE1NqZ32zh3cPR5g3ut2GDJvm3jEi7tx7
dHjw5NVXrm1O5mxxj45WQxFEfPjo0d7ujtQSHVLdf4zoyS7k8UJYM2u2Uc1SDoTkiWF10/RjeADO
p0f/uMJNtQ5i4ACY5Nr0NUCCYzpmC2ZEMjKymc2TzBnrkIkyXcWCZjbbkgLQibA167GrkQSDEOGy
WCCR6qhtCvf1agUAtdSyrDEbJMJDJlWSlMIHUTIgNjd3z2TNGsLCNQwiaqlqGZVJ3c0Rrma1lL41
psBMs0KkwoToyOlombP1OsNGwxKua2YEkJuLvMzyaukirh7yG2qQAVkZmIlAiepYDIOrAUQtxdVS
WKuqRQQwmCUnOgxISOv1+uOPPn339Zevv/ZSmzTcV82+uffg179679nzw3NnT9+48eovP/jiz3/6
23v3H/3g3RvffeeGeSAxMB/b2T138oTUxd7Jk//yv/3Xn3/+5X595Rc//RW483LxwWdf/eQPvjss
hhMn9y9eOT9sLcr21tvff+vBs2e//OzmQFhOHr955+Grl85VkWeH6+n5wYU6TE2Xtb757o3xyaN/
+sd/tLu711lqjOtp+rd//peffPzJzrHd199985cf3vzRhZNn3nrz87uHv/v3P73+2uXTe3s/un7+
ymuvjIvdh3/1y6uLilvLUgYSNvMiUrloMwxgRDcfx0ldp2iZOisQBYlZRLhNUyk1pVNIZIh5CTli
IIiQFLbWc7WzNh9bw0BHOJzG7a2txDZUZmAuUppZEWGRhHQ5hIXl3ZOyBPCgCOmlNkzNwnk1jqPF
qFp6cGO46iAyDIvWFLCWUrVpcw9iC6TCbb1GkqBwzGCJYAQG5wiGfiGpRoPWDB8drtSNNRZe3HN0
TRAwlIrFliRQa0E2qdQ58GyAjjhqT6YtBMmQHiojgYBtCS7QDbwmbZ9gnMZxnAyxGRwdHBHiOI17
tHdgbd3W5FakCFJlENAFwX6R88d3Hzx6tgVIQyFhXC6PX3+lcHm+XomU50+f7y4WVBdjIImMPi6B
EXl7q/7hD28suSDhuy+d/cO3ro7rKTd8dXv5yndufOfly4vF1tF6xYDXrlwZWzsap1Onjr986WJT
BQQSfvzsiAqeOL57+aWXzMHBq5CcOra7s7ter0upgLBej0XKpAYsquZIyKzaqAiCqwdLQVMhVkLB
GAgLdRsjIgahtRYRoyaKy0TEVA3QVB1QzSSAhZARQpeVmckdIvPOWKQOra2QiIRzqmdutRaYopai
OiJ1+uK3+kvblDPyiBDhOacEAZ25RM+RjMAgkqxmCGAaJzPvgo5upImc7uVINTdUGaXd3TcBeaWq
GxExUsZLdMOVOyFqODkaBAWAgffwMaQITvZCBnWmHx460CidgXnL5mR9EKEAiPSQAwCYNmYSoh6z
BmTuwpwRqeYqxJyLuMjYtHDK6scIqddACXW0mbeEkKmnYJveJmfASfalCHDXbn6Z5U8xWyH6Xdjl
fvEi3AWAEp0aKS3L+XfMDa0zUvTtAW3aekoIcKdQ0rxKRcJQcxJO20iqCWEWNm2cb+7OPUoRcGPV
gTQDZ1KO9Sk1zJu6mfjRQ+dmr2k34HhXRb6Q6G58Jr1GpM3gPKfvHdMAVERy1vDRhx9dvHShDKeQ
CQghoLX28Sc3f3BsN2azX2KjGAk9zC2YI2K1mu7duXft2hWfhVld3AqQ6edzAKcDUS5eDNzMrbWt
YdG0ZYB24ldzpQaALTLmJADxy3uP2np99ZXLyb3vqnj3zVA9WQYRoOEafnh0uLe75zDzUyMA4PaD
xz/7q9/+8d/9g6cHR//uz3/6J//wbw6lgOe2HJrq2NpqtYaI9Xod4aUKAJnHL379/puvXj22t4tE
pZRnB6v14YE2PXvmlFrcvnO7DuX82bNAfdKRDUVE3xrhBtbyQiEJHu5mLJWQNAzQwQ2ZkVAdEEDN
zBwiOGkUCA6ecS9dvYyb7AZUbTA7kLsmPZKoZF1M7bG3v3ft1esP7909Onzeoj9AMOfeQ1/K9C1Z
RLRMzxaui62tnd1h2JK0xiEAocG3dtcT4qQGFEiE6ilWd7V0CiDRZCaF3FwKzqcZuW1UHpblL3U5
bqTHa+5SED1RcAjIasYEqQyMcGJKd1/M2Z0A7oEenravAFBANc3tRTgwS2JQAjyRKomlhQg1Q2Sk
HnKNgNEHZDipSjqd0tI8R7wABBMhIkNqtY2YvQ+4cwNPs5MA5kwazKbYZ4FGUnPTQD6npwR2Fx7y
JlNq06J0lnH/YRJ6OZ8hKUgBT6ZxSoUBmynnYpnmTrvzUeZx5CZnNYWDsBEZUKQmZ/bVZzmfVEjo
CsQeqktIAe4B3EcHPew3z6WE3/RjCqmLb4nmcLEc/CWUte/fNq1XNydQagKchLPahxeXAgHSzS+/
+vL212UxqOpiWADS1DSm8UfvvClDBaBIYByQe59W5Iw4ZotKmM/eyA5DY+oguthocuaYMpojfBBw
tR5/9Zv3vv/9tzvux9HnJOuAsHDKLO851evZwcGiyM72do4xEAGREOiD3364HOT69WsffXTz+dNH
P/rJ91trxOQODqBmB6txHFfNrE0TEzEJMk9Nf/FXv/nxj75TSq11AUiPHz07OHwOCOfOnFmP7dbN
r/b3d8+dOcnM5j6vKrt2Q3OKB4hM+TCYKjO5GVEfWTKRbpA9sBm+4wyqgoDwPsDsciM333xB/W4K
xy4rS7EVcPp9M9pXyBpY7yshVRKqKkIpdAUAKTVBzEiMwEXSGQBSBBHbODFzXlMShK211Wpl1iyC
mABJI0zNM2GesBQOd2ZGzF19MEtEJAkqs9FKkVIk32dAMg/AcPA0+ufKODfsXYCcwmiWZk2omrtH
1GHob9ScypA9AyBW4aa9Gc5YEXMvAMwSCKqaSp6pNZ4rpPRx9f6WKAAnVQdQwq0Txz7+8usy1N3d
vZ2d7YfPnv3lz3715iuXzl679B9++buvP//8rbdfOXr08B/93T/Y2T/WzCDV7YiR1mqEIrK9u/fw
yaP7n9c7tx/8g7/945X7T3/6qzt37l08f+7w/v1zZ8/W5fbhav3o3uNHD588u/vk9vKbc/vHVuGq
NjWNcDfVqQ1M6MYWAzN6Ctb6BVaL/PgnP/jDn7xdlsu1+199+OXxY8eOLxcPliFM68kKU6mDNV0w
m7WmIxKoBwJN09RGXS78aBwPnx1sbW+tx0nH9fETx6SWhBwycZs09dFmQeTh1l3EXX4QplqKjK2Z
90MQI5rZUmR7sTC1Za3oRhhIBM4RoW7kfVUE4QQBZoLUT0I3iJhaQ0BQaGZUGCKKiAgNIdvLSqDC
EhCjaRBrmDfFAGsKQOg2IKxNGcUTb9uacMY303pcV1mogXpkDFMuNHYXWwd2uBwG8GjUlovFarVi
YkBF5ili7S4e46QBU4ABQqgJR9iE0cgdicwaxqDaJitjU40opRw1g0lHD1JVAsr1gcCyMoeWUglx
YtyuBVvdWmyP4wiZHEtsSEQ8eZw7fer+1w//3//Nv23jKsDa1EQkPMY2ItLu1vKP/vBHe4NkBMc2
lRi1BLZ1M43n07RYDOsWPsWkwYIYPqqWBMcRVRFhLkIrt51FqTHUSi4SEMTFFuU7N65tLQqwEEWb
fIJwkqPmFtQmLYXVXRIO54pggoHuhG0hfHCwYpG8JaypNWts60kV0pc/DbU01aEWDFiWUhCkDoGg
TKXWdYAQY6EwAyB1JUYPxEC3ULNSJcK0KWAwQwrJIzDCp6lN04SIZoEzGeVb+ku1kwYjXLtlKV0Y
EMYss14YzC1RcIGk1iK8qXbirlsekm65WMsyFxDDwgWop3tl6iTOSW6zsrfvEuc7Imk9/e6ZV69N
O0vDTCkn6F1G1deCc/bdrGxPAkdEkuIdojPkwog4E8PDQVh8RsoEBCH1tTGyR8Z00aaEhTkWvHnQ
3NhlpZIlAvY/qIdD9uXiHC5KmF5WEBIMxy7n62GFPietpV4Q3DkXWJEK1E3BjzGLiDdR5ma+0VVF
/nFE4Da3wQkfCHXwCHLgDlhyDGdi6x9AtzBkYqpFePhsD/H0PkaAR0fme8oeU+ycTTt2qFUifqw7
lPo6HHt7vhFxdf4QZSxW5lgECFESY8apqfrpE8cDUWdX2TAMAWSqUkqGA9368usH9+7vbG+9/NI1
qdXRAmA0u/vw6eUrvlkLh3d1YldTIwZSmI2TMZKU4gh3nzz7r//5f/ef/a/+o6dPn4/r9bWXriIE
E68OVwD45OBgbbq1WDx5+vTihXNN9e79h0fWXrpycRD58suvzPTaS9e+vv3gyfPn21tbz58921rU
q9cus0gzf/z0gKV++P6nBra/t/vyy5cR6WC9fvzs6d37D+/cf3AwTk8OV5999L6Zn9jbv3Ll4s9/
8XMgOnp+ePP2vU8//7wIX75w5vLFi8I9ktTdv7n/QM0fPzv08aAO28+eHzx5+vzM6f1v7nxTiM6c
O9ctRQRhoGGAqYie3ztEM7NsbIiYuGkrhVUjUzfN0xTtlqJ6xPCwHpWZhKhUSeZijsw0HxCe4VLZ
lmWhzvOQN1+P+/cffvP1lwixvbuzrCcR8fGjh61Nphqz/RUi3MxnSXBq9/ePH18st5GEI3vLZuDw
rc31AACFxSAPolxwgbkXKRHuqlgLvvBdJ4TWMCMbvE+jiMjVck7DkI47n+X46BAQpuZSKgBYjxT1
bkhzDUBGzGjQCGfm3D+bGaRozh2BLAIst4jdDobE4R7EySuBeSOa3kKAIAdAEmIzC0ZMEhuTeQRE
vgVMZGHcwY0w97op/HbsmIGemOoBHoDpRQTLr9Wzok3JcYSbI0Ah7nDx7MM9yeEbJpb/3uazrzFz
wsaptnHPvhdexHWhquYgL8+O/BxwRg3N3ZfPYvY0pWdJmeyqhLxmkiLMYTnBhHN3Of9pAJgWTcZN
Q50W1Y2kNnvsDBv1ubv1mP0FgBtc0wtie5eSdjlwH6gRpff4zte3f/i973Ct7o7EAfj13Xv/4r/4
f9146dLx4RQAutmzZ8+O7e0R4sOHj3Z3t4dhyA8/75fs3NWMUMz8Zz/7zdVr548d3//kk8/fuvEq
IeFs7M/kiELpdqbmPjV79uz5YrFYLobVOK4Pj7a2t1jKoydPjsZxsRgOnj69cO7s1tbCzSLQPe7d
e3L37tfjZK+/+tL29i4iPnj06PnzZ2fPn/3V+x+d2F0+enr43m9/x0TXX7m6nuzzzz978mx16cLx
33106/nju4T4zltvLre3I3xUBQx3//jjz65evfib37x/8vT+88M2Tv7pp7fefvOVLz6/ub1Vj+0d
o5nImLdSn+dEIOM8uQ3EDC7rmaJ5KTNjLsdT79B5FgCATtTnZDAj+/tAlTC7U+vfdUcVMJFnsLHP
K928U2ZE9kx8yiGXh0cvXTSmNqlpuCJGa1OeK6qNEHJzXmtFIgECFi5FSqkM0EyT98BMIgUiGImI
JjU3S6iUiKRpW6cJPEotAKhNc2dr5uGeo9Yuf5qdAMIlzAEi8y8xrV3EHl5qNVOIGEqdf1bNGUw3
n2uvnjTiaBqXyyUENG25Qy9SkIAJmXicRhZJgzIxaAQDuBkiShEPOLmz8/f/8Edf3Prq5oNHz7+4
fUzqmasXP/nyzv1HT/DXHz589PgH11+i9RGW0pJh3VFVgJC0BvDwpro+ONo+d+I585179//9ex/w
UE+eP3323Jlnq0mkOMLz9frP/uefbxfePXm8PHqynqbm5kg6Ta66en7o2oTIPVGwMEGou4F7WOGh
Ig2VFiq1DlIG1Xb8+M7PP7j17s7+px98cXpvuVwMSwzAIEIOV6OhDlvb27/+7SfNQGv9q7/41T/5
k7/zzaNnH//yvX/wD/7wizt37nx+8+//nb/piKCWC1XwoEDwALdCg7oTs2/AnYgUfUCwGCp4tKYI
WItkjrmZrdu0aq2A9EmbGQMkMiYspYnpRiHPR5wAEDKBvRQBs4KEDGamRGttOPGqNZ4NRZB4endG
TgpcevqDcDILpgyHMncRIaTFUGphGEphqlis/yKkFs3B1lOHdpge6QTGBmZTW5Shgi8LjRRFcFLI
sLtmIIBOHETCvA5fEpogF67o4bq9kMlgp7I4L4XNcVKtXI7AVpOqwkqnRa1jM7E4mhqVNrm2yaSU
aZyG5QCIW2FS5e/98A1VW4/jcmdrGpWEmeTZ+mhrZ2daj9vb22qqAYtaxnGSsmgKW4W3GCF8qCLg
i4EmIEBgZgapTIMId7RDNPAAPhzbqLYyCwCKEDG36eWLp9o0qU0QANAEWL0NVA3D3QuQJSIl9VrE
oxpxUSdwwrL08FJlHNeFqVYZihQciCUgpgalMIdIxvw2aw6TGhFNkzWbLGI9joLEEATZB1g3vDBh
oHo2DqHeM+qQZFmHaVqXUsK1VpmaM7LZt+fxRiND7ad54o6YMHH51uVTqVGEuSqkaNMIs0Y0rZHh
9iJxnjFdG9EVqsHUXaJ5onZKhEcnmr6If+4haEEdklq45NQeAtUsdWiOYamUgyhICNDUWBiRmlnm
mzGA9aBPryTcOavdW4WIlDR8t+x7c1OaMMbIEDLm2Z4JNGsys5qX2aXp1nkbMxKjGy5+zwPZ65ps
/5AoI/VSDznXTwEv5NL9U5pXjalimuu5iBd0kG6M7D9ejg+yq+RuMO3J7xCzlhKReOOuAUnhVg+8
RA9nnJNoknXUnXY4L3W7XK6nR8Tc8fQsdeiOr9QezyGPYDHHkWc5mGoG8lkAFh7SDZwOvnGNQhCO
zQPCzGfHVQ4dLMKZ0NW/uf/48y+++ht/8D0AaAEff/zF/cePT+4fu3DxrGp78uzZo3uPrrxy9Ve/
fu/shfO/+NkvT5w4ZmvlrWXh8uqbL/+bf/Xn166cWq/1h9/7DlRBxgtXz3z4yWdnTp32sC9u3d7e
XZay/PrWl4eHbbGkp0crAj92Yv/TL26yLJ4+eXLh8rnf/uaDOgy7C26qH33y2dffPLxy7eJKTSOO
nTyGhMRkY7v/8PHO3s7jJ89+/De++/Of/urK1fO1DIX5+kuXP/rs5rCsp84cf/z4CUm8++6bP/0P
v3aK85fOHj916lc//+0Xt748Ony+rPXhg4eXLlzwCNPcblrqpAzi4oXzpS6/+eqru3fvIYxuRgSq
qdDhLEWk0OxicndIzSczt9YwqdEIwkkfSQCSAaBr16Nmpk+2DWExM6g9vL8DZpqLbkQCt/Cw8Nzw
bPxPgGHuauphHrZerQB8fXRwwHh8//juzvbBISiRapuPl1xMdh51bhXXR0eEMgwIRGaK6ISR0JRv
91dEhG1epQ1BygPVtBuiIgxgUq3M/ThEdEiml2MPNM7FgwMnEYk7aZoQPNIM1VS70SBChHuqQc5M
Ipi6QVJbYykBQNzXHjTb+aDTVgOBmBiRHMPMSQhmCSl2oFoSWSH7z9zbJ+DHuzLfSknbs5cOY4ve
UAWGB5Pk+tHcpXvd8/U3QkFAcAwMQmLEDIg2ACIyM2aycJgt2hsxb94UGVgIL3YzFG7pQtqcPjNF
u5t6vYdpJQGBNt7+PnEyI+HeVKR1c4ZCpww31fLRs5r6GeWzS1DNegRlTs/whWAyPCiRytk7ggpz
UB6KXfk4q14DZkoTUK58sZkREnYxfLLlOHEwQphBLJYrYITsw1dH6zDb2tl5cP/hf/F/+78/vHvb
tEGEuU1Nf/vbD/7gJz8gYieJoK++efjs2bP12N54/eXDo6Obt24ul8tXrl4eqqjZrdt3Hh88/eEf
fP+bB48vHR59devOjdde/uB3H529dP4v/+Ivj505sXp2tHdsd2r+gx9+987tu4HeTG+88er7739y
/uSxZ0+fv/zq9f/xf/yfvv+TH/7q579+543rB4eHQy1I9ODhEyF//GRFMG3vn/joky/efedNs5Aq
Fy+e+8Uvf33p0mldj59/cevixbM8bL/30WcO+O47N76+93z97P5H7394/vT2weH6/v37l7eWeTS5
B3M4uLnVoV65fPHO3WePHj958PDRra+GwMis8i607UqigE4MI+jfdh8WbNJNHYDnCzUpvtYFNN2f
qnP6d/iGKZg4rhzQgLql0D99kRChnpmo2LERDqkBifCEigFgYlAR0FU7vtxjvZ7G1YiYMq+cXzkA
qnr6LML96GhiYkmCWEC4WRqKp2kiwgDxiMrSXEGTIGx98t0/HxBmp64iq8NA/egmLKmc8VJLKrwR
khOTPY+Zei7rYIYZRURrSkhqSkgiEnPoWVdqRSQJDRBIJP3BmU3CjERolvM7JBYPIO6xzKWU7vGF
GNsEQOtxIuLrV65cvXzxs6/u/vwvfrp77vipU/t/6/tvnzh70tS3kI8IPkqnxJyCHAgNDBHBYr1a
f/jh54dPnl39G99/FH7l8sUfvvHG9rGde9/cK8gxH+3q08HR4clTx1Hb6vEz21ns72yfOnfqX//s
d+fO3fv0ky9fvXACAbaGsixycbH9yfb2v/wX/+qdd268/MYrTXU1TY20LGsLB3MI+PHbr3386a3/
75//7MKpUz/+ox/XWl+6fG5nfwcBL5zYG3701vGt7b/37o2bn3+GVU7v7/3RH32Pl8OZ/Z2zf/fH
tChXLp1/+coFKEyERcRUhTmV8cjcVBuCIpjZcjmEGc2ZjTmJWo8jALTWBFxVU23vzYSHmvYvorFN
laoTBaD20MRghMIEHiUdbwGqzSHGppOnmLMPX92aUCyFuNZsZUdXAjIiZPaAYAqEHB0TRmb6rFow
dNVQQIzNgNqzw/UesIe5+tZyaK1JmTC8lkqEbbIqYmXIUB6WABFTPmyTITS3PPyZkdAKIzu7+0Bs
xAVwQMmw4AhcjXo06WOedDKNiYhVzakRAgEWQkQSJGIuCLvDYiGFAioB1cJSGgkSjUHBpB7bO9tS
RxYRMkKQIoBtd5AjbxVM0SNCwCshhQugNXWHqTWg+uxwHBMI5M4Uq2nEujhso2a+ohkyQ1hhISEk
ZKY2TluLoQQQoHABAGSemhOIsa8MALJHA6wFCJBRvVUmD6xCBlwRW0qXrAHCpNYm1RhDDckAYWxt
C2lcj0AU4cJi6sxUC1NwrXU9TrUUAHRVJCbyDI7KKsEBhCmyeiBlDIdAhPW4xh5oZLBurSnz70FN
///+KyOl6AVIHXPdF+i9HWVSU0CYo+oQEHWcwo2kRAQLRSSvmiLTmMwCUd0lBU/QI7YINohbyEO8
p1N0FrwJSyaimLkIBxDPAe69o8TodNqMeu5x55grtXCdTUHhnrzXjstPFYm5Y+DkzkK5A6QZN9/S
1gWU5jHCma9ojgDomcoQmaKMhIydpptrXQtwAIIAB/k9YOPcls+wpcTPZD5qlomIiKFmTJzupjxt
sGv8fBMh2KViafbrdrLugPI5mWb+7zPR0oMJKQ2iCG4WADKXsYhkpp4GMsBuzsydWDj2ziRZg4QZ
vAiAOJMwI5MJ87PNkAmY9ypeOD9Cz7hMjI51JICw6DvWnm7Y91GEZAGJxrFw1fSdBmGkeMschDJW
JlJod/fp0zPnz9ZhIKTHBwd3H37zwx997+c/+93esd0M0F6vV+r+5PnB8Yhz58+/fP3K+798/7vv
3Pjtbz9S02Mn9l998/Vf/uw3aq1gUbVTp05ub29/8tnXly+cUPPWmoao2nJZX7527v7TA9X1/smT
X9368vj+9vkzp08eP37zi6/vPztcsu/v7pw9vbu7vTx1Yh+lPLqPNz+/Obx6fefYnoU39QjY2dsh
EuxRPmGtLRf1zNmTxPjx519vLZb3VvcePXpu4Vs7W3fu3Dlc63o9XrpycSF06sSxY8f2PGA0OxrH
Lz//clguxqa7ezu7QynMTFiH+vqN1x49uLuzs7vY2u6yTNXEzPYHiWgyjUANl3B3K4UQvSebRvdD
Zj6U5QMJyPNGIpXmEaZq3ZAyGx2ZyCyQErbcXVpq1nVkGWMazkypYCPire2dNo3a1k31wcMHuAmy
D0++yHyoISAOy2WtA3gcHhweHRwd2z9WakUCFkYA+tZDOWAia0Ys+dY4RPaSkWxCB3IHJBGSGY3m
EE0bEROLKZgGM/EmicpC+kEcswOyg7671t2ck8jsFkjMnNOaTNNJiQHMWCPwbmj3TCdCcHPE7s71
3M/hCzs1JjQuVz6OxEQAlvzsTruBjPcExGaejaO7zbwZTAk3/t7kawPOzbVfR8jk6AE7Wc08LBoS
2kb3AbN6xSPzqDA8TbNmBplPAy6z9nIGtUUAMpKFq2Ph1MXkmj1/5TSt9tCpnHalqCeHgEn67bvQ
CJvHqTngmAkFQakuzWmLAzJaR2pTkqgJyVTTmJsfXeRmOtBMc9PWDDgN/vPaJo+znK0aBDGjb8JO
MMF+BNi3vhEMND/jyMQY8d/8t3/+zRc3/9E//vv/j//yn6/HZ3/8T/60qSEROSLgNGmq5T+9dful
82c++Pizi6dOCJebn9384qtvXn392te37yykXHvpKiKeOnXy2PHdTz79cmVt3fT+k6c3EJ4/Pzht
duL4sRvfeesv/uwv3/rum7/81UfTejxxbO/dd978/MuvP/n086++ul0o1odH6/X6ypVL58+cjcBH
j5+uq5w6sQ8AyWIotZza35Vh5+E394iAA6vw+XOnP/3k+eVLFz79+POhlqPDcQEyCBvy0ycHTx89
rATnz566dH5fRM6cOoUIRbhN6y+//Gqoxa1l/jMzF6G97eV3v3Pj2fMnOzs7w2KBiQePwNmlP4OO
g1Bsxt6mrzslTnWWrwNAKhA3E4fft5hsaE8ZKq6ZvoERgJXZ1BJeu3E8ETMFqOos/3FPVG9PSIo0
eQpR2ziaEc3MU2PsHq59rJIKLG2JUs9mWzCwtebuk2ogKjgXQaAITMAgITGxYyR0Ts1m8hWZGqb+
wd2aCXOKWApmV2mqPd8MmcKTSmcRUKQTO9JCTYhMjAWZiFDMo4MBAIhI1YoUd9dOzKOmNqmVImoZ
HwzmmvVD0+bmpRQzN1MpEplqL+zuzWy5WMKEn3x28+hghYS3Hzy5cu3y9atXHo/t37//2c5nt3eG
8s4rVxanTix2t/6f/8Of/eD1V2/ceIVLBcAFl//w0adffHOPC587c+ZP/+Rv7p3aX7r/8Cff/fCz
L6ej1duvvXL6+L6IwMtX6tZiIeVv/eH3v/ry6wD/23/vR8vlogj/5M3r3+zv7mwvb7x5fRDa2h7+
6A9/UJbbRfjv/dEP1zothyE3v9uLxZ98763FYtFUPaIIH9/Z/hvfe/vH77zBxESo2r7z2jU3b6bH
l3X/2iWAOLGzdezNNxJksru1ZKLdncVyuYCIReWcDeejaIEQfS9NWZpbF/E2NVVT81JLc8spFxMJ
MSEth2E9jj1XnnlyNYwA58CkLkP0xRb1/C9cjyMijzouiAyckCFgqEWKTB6LoZq5mpLwaNrcW0S4
FqoWDu7qVgCYKLRRLW6JgIVxbKVA83yDSCMqkxBt1yrbW8OiqrmSMslQh0ACIg2oyEdNQycFVzd1
ZQx2JtWhDhoZGQmZ7cBUp+bjZA5g5EcWQy9oQlhKwFZdsNrWMGQ6OxEfuQ8yrNsKUTyDQ4hXHqjx
dJqUxd3AYigo4RyKBoRphrFwndp64GUuvijiaDRkXTcbwQzDm2nxlXuz5ggQXkvBsEKwLLRVOQw8
Yih1wTiwWF0UGQhhtAm5oKACtkACVKejZmi+Nq1MHu4Q2ySCUCDcvYg7GESYmqkBlKZmEUpsU3Mq
6/W0IDbVoRQC5PDtWka3oRZjYmEPLwxDFW/MxA1dHYNlNU1OMlmEeiBZsyKSsEN3Tc9O5n4lv2dq
LbETGdzlHrXUcVwPlXEYWCTDjf9afeksOIVOHezxiQn3y0oogJnTz9eDECMY048BZlCLdHBChFBH
hXVtJ5OZBbggpyUhg7dops5uJFxVSlajBMAsHR67gSHhjE7FjVSGkNly6EiUSScltxluASSB7p7+
jjSFZjWcO1LO/8KM2IMNAEF9zsKc7VAp2cLZ8pbJW4Bg6klvyuRAhCjpUxXKlcSM143Nv6rDpCBe
hBa+kH5lIdszUWGOauhzXMrO32ADopoTZVKy57AJOQTeeLY6XhU9bFYBQ9cr9wiZ6GGn+ZPlCjdy
pZP9cgp2KKeikEkkhGYeAN2DhGwOuRaat92Ya4AuQoaAwDTOZQoFhleWVL8RAmY5mEmngOauM1kk
82mjq3yxKwAzDdwDEE/u73743icvX74Q4dO4xmAdFd2qULhLKc8Pjx4/efrw8dOrYSiERKWWwlQY
OKJUrkStdbkvI5RCl65c+POf/vbc6d2947s3b97SwL2h1oJCNBQWHoSp1ipMt+/cfb5anT136uW9
3VuffU5Ex4/tHR4cVpHVND178kiYSilmRoQnju8uazl7er8WPn/+bC0FAE4c29le1hMnjgNEQTx5
4rggPHz48Pvfe2trsdgqMDW7/KPvHj+x/3BniRg7O9sZfvaH338L3JBQuNRaYwY47+/uIOJLV84T
5XR7Xhx1uokTgrkJICBUFgiY3M28lKzZ0oBk1LlbAY5IHJ4lRid6zqa42DSf5sEkmWrjNhvcklSU
EEfKgXUkXyYi2qTgICxQQ4S1jZS2F6IihYTCw90mbRgdh5Zf06IOBWm1Wj28fzcbv929vZ2t7W9v
L539AnMmymbvxZwRzinoDXczAu4hXxEAzbXrmoksc4ate7Nbhv1iIGYAU8Z1pPS9O2gLMhMbZGgR
JiwqPDCJuB4zsLmXqnmUEDFBJP8ZkJLTlsuJluG3kHlR0XeSliseSJH21D1zlhrIHPEgcuedYKT7
NDCI0FzztMzrIYdxkp75OQV3Rux0opObkxtix4Mi4CaiydSou1ETH5WUcuieEYAXCK7uGgUk8hf3
mc2NnOTz2XdAs0SWkCPMIaWVeRylKcO72zNScB4zzy1e4JHy5+zcv3C3QArqGhnwzi7qczZwAHTo
t1L6eIUS7JbwM7DZ90lEgMA9zSWRyKAWGedDRE0t0rjbNUHw1tvX/+Iv/+z//H/5v54/tf+f/x//
t+vGFhuJivd8bUILDIBShzNnTj09mh7c++bJ8+dff3NXatnZ3cmBSGG6fPH8n/3Pv2jTionMdHV0
dO/eg1dfe3lrsWAiGQYSnsLV9eDg4O7tu08fPb546YI2O3fuJAZsLReFSQjbOB2O4+HBwRsI6l4L
m8Fi4cRcCu3ubqcgef/Yzt7u1h/9zR+PY1ufP3X6/LnPPv/s4PHz77zzulncvHnzxLGtkyeOb21t
ffXVraHWYVgAIhG+8+6baFpLufHmyVrL7t7rRcqF8yd70phfya/aI8z6nbjx1ORAE3tIm794Ytyy
Ggn3zETNMKEEcyCV1JDmQkgzS3xmHBKR9/upUww811QJMAswS14XeKCbIVLaFkw9EPomNJNAEDtV
PsfQpm6RQkxmUtXZ7O3EkjFFiCBCsFwMgEDMQEjAEUnpZVfHTE6jftQS0kzA7CPtpopOwmId1UOt
TR5ESD5nriRwgphzqJVmAHdL93yRgpCwX8Jce7p1qRKSqUWEassJHrKQByMkBZGQmGmaplIKUudr
B4JjUAJnM6MPc/CJVBgBROjK1Qtf3b2L6t89e/Lk8b3tRfnxGy8/vnCKAXcXi/3lFgn/yU/ezXe7
VEmP709uvPo33nzNzANhuVhk3mkt5dVL59+8drkQp67o+N7O3s4SCdWmc8d3L558M6VEATi1tru9
3Lt2KSCZEF6kLGvFCCRiKNvLBRNOTWNW903aWmv9gHYjychdz3w4Ncvh6jCUcRoRkCnRtvN4jykw
1tOYwvoC0NQypSwsJ4qUF4OCF0oqmyOEMImIsKDHIDWaI5JFjG0KwrGNzEIR7kqRAUE9fYiRWoBB
BPM0NhJAxColA3ELEzkLUYLXnKCpoZiqmSmneNIM3ZlSITK754gcAIhTaRwAIixMRQpDCLMjqjkQ
WUDzOJimhtRM3cyZ160tCkEYBrp6QR+IIkIChMuk0+SuSKuAFcAyWZ+5CjMswkLk5osycI0KVEEK
ioKZ26rpYVMXa5OaGxG5WxTR8LAJA8ZpEiKbJqiDeJSA0cwtVuvwiMmiSF2ZF5YjG4NJmQaR1JFK
rUVbLVx4qFLWbSKqSZMayrD2CTqEMMThSC3U29RGtz3kg2naYV61FtCTT1wbmBFGhQCLImwIEiAA
g5TRJg9Ug0DuKF2gBs6Q7TYI8d5yKyBKkRFhOZQaVktZa2MEQpoARrW1xTQ2M6OmgGCmQOQRU5sw
AlwpolBQtErBYOZWWCKiqXEd1GG2tUApQkwiQhC1EAWXWtuks0+SzGO1nhbDfMB9e3vVrKuEufFC
5kLM0JVXOZ5k09wVIBdODH0zIzZAEMDUQEX3gGVcsBaigGjacw6QcqvfPTbmljWfdKqHe0SREm7E
iACunjYcmMMTHYOJwvt/AjKCZ1FIRLmsy9MgehaFpPchoO8chFm76QnBQ4gx0Mw1PE/pbHwdYqPg
ylI1mZDqxszNNEGnxJw3o7o5QkFKfGuujxK9i92TmXTc6HZKd+u8303gxEwFyTjOeTPZv6PkA/VQ
EKMe+oookisZ30jfED1C3bNlYMDAvqTd5Aqm2s+T8jFHbKdrN4vEzb6hY0hSzme2oSe7u0hxtcT8
IhLMqaSzxStHAZ2ukerwznx2L4BmDuCJ5QBEy5kQoeUTiIQBQhjhWQFnj9rMATFDsxM+cf7Evr10
4b33P9heLi5eufzKK1c/+PjTK9cu7e5sX7h4Zntreebi+dv37r311qsn9rb3hrIzlNdfu7qs8tK1
i9vL4a1Xrwrx9777upQSAXvby+1Xru0tF//ZP/l7y1qJy6n9bWSqIoggXIbd7Sw3T7yxGxHnz/4t
IMxF+sXjx4QYAG/c2LPwYRhOvP0WEpu7uS+H+vrLVzFi99qlQHzppasBSAG7OzvbkfoOvHjuNERc
PHfqwtnTqe8+f+4MBOYG7Mzp0wE5qgMAKrs72Fea7Ga9dcGeBtEROBveyYu/oMezYjBxeoUJ0Bzc
AsKlq0w7S7bnzrsRcDfoYsdHYeZGmvfmFcI8ZDYVZ9hPL5kQ1NTc1JyJVSeIrAey7MGwbkyHfNGQ
zKOtR3MDTMEXeNqaVMN8Wq/BO+IyG4+DZ88Onz2n+Gv1pUEUSYxDB3ePDN2dpsl6NjJgIAoGRGqg
ACIXxVm8Ekkzz7Xei+QhpNx/qiUDjTCXpXOCcfQVSieJkIibeYSb9ZhfRGaeWqulMIupzr9zN70z
5GI3zB2Q5rUMOKCqOUQV8Q0gDcIBHKKwhOcU3o02ghEn7FlRiGQeCKjhkg0nQMxK+6SbJmq8h8Tk
BqWPtrBHRyK98FcCbUSQ3VEPlBGdHhEeyJKRv5HqaI+c51sqb7EDZLNbTuZrLorVTDKCMjO6PF0F
/cSlOUwhJ4KJcGJKT8Bmg9plcYFovuFwewRYNtUwc65fCIw7oW2OgUTzjCTtkKgZd4CzVxUtDDIa
gbK7CRaJACFupmom3VNPb12/9r//z/83//y/+hf/9B//yeUr1764eTccraOj8Ojo6Le/e29re6dN
a4vYGmpA1MKllu997+2vb3+1rFvLxQAABHF8b3tna/H2m6/c/vrLreVw7uzxTz779KVXLi636rkL
5yrza9evFqS3Xrm0t7348Y+/s16vX79+7diJ4/vHdw8PDna3t3eWW2/deGNB/MqlC3r+TCmUzdGF
82dyby2CGLh/43reQm9cfzmN67ygV1+5FgDvvvUGM6sZBrx94/XNe/fGq6+mLMjchfjU8ZMl5eoQ
AFALd8FURs4k3YZmHFHkUKYL/DNKMyX4gMBCU1Nm9uggqzT6xbycJAAHMPeN+xQCCQUBUmrXc5qy
2MgZQiAjEaFayxBvMyfCGQ6ML0w3jOpBkGY7SlEMY7cMYT7znhE1OaAXQhSROhSIaKqpBpI2NmsK
i9LMwDEcmNnCgICYIOVP4YiYfYKbiUjWIog0I5WQqzCxe5RSc+o44xtA3QF6Nm5OSsZpnXDzHKYx
Mxg2bcyS14owT5NZdNgSAqRhilnMvFJFQLcg7tr9bLnNtNbBw7vy12dybIQIttZEJMAZcG+5eOPq
FTdbDIObF+bl1tbxxaKDsHMCVLNdpwy24hR1AdQqU2tTm3q2N0QKeFqioAEII3NemQAAkwyctWnq
tepc9Zp7WtrCwU2TRRJEyZqTJOkjORERF5G1rwnRcdZ9JBCOkrI47zQopqklPKBZq3VIOjln48uM
EkSMRE0VmNJFQ0S1FEF2sE6pilC1pj5Oo2dsVP5jwpU5pBAxIAY5EztFCkGbjQSQFi+LEGaEPi8B
jEktyFoGKQKEG4ZXoYGwFGkIUuvKHfIBy9sLARgy8zkR7xnrB47mPk0tlvJ8NWHTPGiH9FvYxOCS
Xz8ihTFCqIHDaG0odWxRDVbNBqCCHBpD5WnSoaI7+diklHG1RsA2juNkzUyb1jodHB3t2c7B0eGi
TSI8rsfl9hLUsDU2FQxhOdTJzVZtWtAQ5g3w0HSNWMIb4ZFOgGjoRElb9aHSOE0LGUh4gQDIZA4e
GNRam9SPRg231RTIdHi42gZSNW9N3SFsS0QgFozHigxEVsuosCMczAtiWSwzG1Ob1TIc6pGQ9KBg
R6cSVAInMx9qxWkcClmLSgCFCIyFtCkzTWMrItPUDOJwUmtNsa2O1oMhenBoFQ6zUgcnzI43D7Nx
CiFWJOEyuQYREwOREwKSAxHjpK3WYRCmMMaoTAbZ4aupuXubJkScJg2gNk3MQo4JQxfO3Ub5PS3A
t9uYzij2CIwcdvsMaogIREYEdwgCc2d3R9SmCJ3cmFs6AiAHIvRZxNE9l0BzixUaPY0AGM3cdUq/
aIp7LQLUzE3mrWh2aylAVDdOeOxMzPfIvbsJCEXk7Y5M5sFIlNVV+q4TCNzTyIEIe2RCBEAIoQZm
ecWEMCfFeTg5ZjiYZ+QweE+vzHvOMiePs3BpppI0L4DMVERCmwl285i+ixPnpgIdXJtlXmgPi4+g
pJjMc/0N4TFZi5lGl1k10HdYHRtoM0bS3JmSd9R5yDliSOGeJfEfMKesPX4AMTw0QBIH4XOIXydM
zo5WBOY5Yn7etEcYILoZS9queg5EN4YhqGr2vELcZW8dMgwRoX0ckHWqp02FEY/tLr+4dbvU2tQ0
wsymcWSGIkyADl6Zrl26wFcuZjrRztbywrkziRw+f+EcIl6+fP5inM1ZBi2Xgrg4fowAjx8/hkRF
GAF2d3eysFiWClIK4vHd3fzWimx7Xw8iIId7AlcZCQGrcGAmhSIiZ4BpVt6ZdRFqOT2ek/ICIWmZ
jrmdyanKHFTa6955XNTXWD1HBGcfbwJIIW8VQosIYozITBoI6GoFzc1zQOk84WDaRNXzODUiguhx
ANlKzYGchrOlLoVCKUaATfZvmFl4NwL3JzQDGTPWKH+9CHAzBBCWyVRd88LHHtYK68Ojab0KN/eG
HuZu6j2GiNC0m2iZOBIkFBFo2YwRE7qnHNg9ekz0t/xLUHKaHObAFICcBc+88MjXq4gARFOTUnv2
RofH5n7CGRJqiJhHBwT17SkwEhMnuCRn8RERxL4JygAQZtOGSGkswgBETl9lPodNW3ogkdD7qCiY
uEdO5WTTs/MEc8vEe+90NMg1AIQzUphn5xxJFk24D3Zxb+eZYQ+Gzh7L3HMXm+X4ZvjRMZAvolz7
BA3mWVk2b+nHgzlI2XucYSaKgZlZGBF1Aezsyu8SiYB8W9KskS3fnAWdadKbIM20d9q8U4xMsEQA
C2fi7i+FfnBlo9sXcTlC6zGjAJR88jzlHF4IULIW6++oJ8wPgDedM0QOZdwdA4E7MZgAZD6Fc7Pn
5oEzEz7/XOZxHLdFXr925f/0f/jfcRUPGsf1sePH8kAYSvnJH/440Fnk2rVaiE+e3Kss7n761DGN
uHj+jDAKIWII85tvvooI169cePXqBQ+48crLjCRMALi9vW0QVy9edLezJ48jwoVzZ1JMPJnvbW/v
bm0JISMWYsTYWlSPYm7NvKTXKEIyPxMcNs9CCnnMvWMHnJk3/lkAZOp8Zuitv/XAM8BcNM2pKvlc
x2wQBiJMdygLmzlS6t4lhTzzqwHm1lrOwT2Rf0HgFpTL0kBAdAT1hGE4I7kFSv6j2F83sPQs9GDe
DtkCd/096j54hMyze9VGffcR2Sf2EgaBmXymMsu8bzALIGSppRQRCbOMPC9VIEK1SeUyxlrVMICY
qGSREYU5KakWlk1OTsFxpmJkHFNOj/PCUFBENOswt3wTzdwDhmGYw36JEmSNIcJMnNNQYk5AAgBG
OlG6JCBLRLBEcbi7xziO24sFAYT1jGR3y0OxB4ikgShNQwARICI9epuoErpHKkiJWZsaYsq0Un4W
c+ysmkYuGPNlM8sorNnpBURMhIthEE6kXAhRawYEAJQvewKb0IOJEiqbiOD84VLyAwhFSmAw95i+
UmpWig5h5syiqugQ6tindf1jyTG8tanP7YKZmJmYmIwSUkUkHtHUgLiZgVutQyoB3Kw1HQZSNYgW
YRBRSkGz1EbKYrlcDOv1yExIfHB0WCo1D3Rl5qY6DMVTj+4xTVMgTK01N0CapuYDqJqUFBu4ECJR
lWLuq7Ep23pqzT0AWmtbiEeHRwTYJmWmIFqvV2HD2KaRmIjGaRrCV6tRAU21MmN4JRxq1dwdZ2wR
oCIejiMwqrYQ1HAIC4poJoyVsABWxEo8wyrQAFfa2mbrzoSFJWQog5rGogylDALb28vCXsoQCEQk
Q1VzGqohWhgL2wTIOAxSCiEjTl45QHC3cLTYKtLcvPmCubC05usWzXFt8HzVJrGVO7RpKKxjO7bY
1jbtLYfVarWohYmXQCJlXW0oxUmaKqMAiaM4iQYa0GhRA9RBEY5aWyQI0ZsbMTiGhRsGkgCFhU1m
TY1ai6m1IFmr+zi1pqUUM83YbCQkgqFK0zbU6oWkwEC1lNqm6P4gFmRGKo40uQqSRiCyNhPiaRyZ
RDOOyBpCEju4NSNENbfJSqBZtGbh7gRFWKMNtULYUAXchCiEiDntsu7ojq2ZR9pBv7WUrYeS9U0p
JUPfkmo4R5VHGHG+7x0x52o+WdQgAEJAyMWIN9MeSZZHeBeBem4GUg8CiBRYRforHGaZdhXR3CVT
H7r2DB0C3SEwZ5Cpy83BGzFnVCkhJAoyU8KhJ6SEhatFkZ4E6gmXiDlOpmf6ASNI+ugAIK/H7MPS
7wEZ5AiBUKm0FFLPA3hMph2EbEL0MgqS+oUqOX+ELpjN3O2YpbzgzkwiHJusnQiZJdAzjaUnK3BP
654TAqADCH6/XUmvmQMKdy6uu8/hZwHIHX2cy0wIQiDoQwTzBB1DOqY8MkMlZ9ieUQTJqYL+pc+2
nB5JH8y0AQunHjsj3RBAKKWA/VfbZKAnlakPqHsMKVEAuBXm16+/fO/hw0nVER2gDHV7a3l8b5eZ
Iqww+eyC6+CWnhUB7lF57rKAUDA8GDsPP+l9kTcvviDgwNxWZfRiSnHMg1P6xBnRh0ScmY459chv
obOFfKYiR1DkXgvVLaknAGgO6plbRoRBzPnOJi3GHS1QNVOLelhvNgGZljkXyAHoKbrfCCazj02X
Y440LeX3nmUcAUQagyNwbGrmiw7yCSmM4JtcugBQNaRkt5q5FeI5GyMCUdvce4flLo0BgYpqY+G+
J4fYcEhNW2FO9VmGMKmamrZxPY0joCUyGsKitwLd5pweCkfvWcTZkuVqCTkIzC28gSPkpfVtT7/8
t1GfktscnSKImTqrpkOt7k4sLKJqlA7nMJh9oT3hCUKQMdNowfL5T1TUqE2Yw01ze8Os7htsHEZY
r4gizPuZmwcgcrK+MqjCIOUjEDOsyNyZhLFHPwWimnrKPDpTzalTZLtWmDK1xYNTuIG9HktKcyYq
E3afJHRoM7VmOdtPPF4nIMWmG8x+1udBVoYJo3qqBj0L+SLsM7+N5kUuM6sbzFglj0weEtignPIN
6V0GYFh+0YR9nZX8dA9w881PjgmbRVRTJOqizTQHIhpsJCHAgIDUE2cQUiCdqWOEGIwZ8/EAAFQ6
SURBVEl1yWwV6v+viFBv2VkHZrDZ7ylcvFOgknwbEZWxexbmACRG8G6/6JPH85fP/fr995FkbOrh
wuxhe7s7J07uR1jSl07u7TmmZw+KCOaEC0Hm9Q/Mh0YuHokYLF+qxBkABBgYADL27CvsN55n9loh
bmr5tefqPgkAADHPO3z20nZQIsyTgryZMD2as8i2m9IJIzIGqceS5booIjwUiN3dsSdFp8RnI9MG
JNsweBPZkNJZommaItm0s/MTNonMAQBgAZZZ2kA9SLx/GshSwp0ZM2zFzYlzOpMjP8+kt/5kYgcp
5UuXowSbeYDecfcGAGpN1dzcPDnDPds1Bxopk5A6lGGQIkSkTc1DCKVUczNVCJS0w6blKcNamFiY
zbWtGzOxsKl11z4AZVICOAIhgjCvp7GWEh7MIkVUlTBzUEPNiEWIcqiYgdEpbMBk5AKlRzSywep2
Msqr8cV9Ocurs6EXlvlGh5hrgsRViUibGgKIyNQiLUOAOE5TD1uP6F41CEBoU+vzUQ83Y+b5zXKk
lKoJYDJ7uLkzCwb0cIhwdyPk1lqYdXeD5ynEmRGc4YEePWguJwdIRMwQYAHC4mQJIHcPQs+5OExT
RkRQgBBb01KkeSCRNQfwwlxLiQgmUdeUSad4RttEwa3pehoXCzTzOWcMTY2Q3N2aamvZ6QeAOZi5
UFQuqs2ahrk7efikrU2taStFAGAa14wcphYBEqZ2eLjOuLbCxXouIAwsHoEihdAZkFDBHXAyO1qP
1ZwpkyqDISohEXF4Id5ebnlgWSwsjEshb1vbWzgJRNRShlK2F4tJKhEHxNE4IjExW4RGmJsUYQah
EIyhipt54UUpk1kppWlMrkACLEEEyC2i1oJoIrhc1OWiuJNZSBEJX0qZNNO1adKJpB62FuPoEaEN
Gd1bKHC4j+uK6OALwhGiEpkjODYPQFGUCdsY2IjX7iBMHkG4qLUKbVUxj0UR3lpsDYshQkQ0orEj
IBKvmq0N2tGEzNp0gXS4nhwJIrKPdmuhI1pDgkI4oEdbF3R0DYymaoTNvBJNHozcANS9AikiSAlC
ZgYKQtiqAjoNhSshIHId1us1M2mq3Tym5oBmauI0NaNxRQQYUQTQzduk43qxGBZM7spSmjsyr6e2
GAZ3zMm+GdRSzUGkiAR6lCINbBhqY0jVlqXLCHmc1AyO1g08wAyRWhtFZL2eFsOAGVPWXKf27RcG
sNH+pgcs7Y49CqTnLSMgmBtQzy0hQFRLgleORQEACNQMgVJjk1bV1NkgUbjVUtzd3AjZw8FBmNUU
e74abu7UKYETmKWYQ2DS1NJgObZpUauZQ6IwAVJag4xuyoVNYwb/hGQ4SedrJ3EzENEdHTADqNN1
5T0LwSknzhjuoe49doEoyyBG3nxis2w4gS7AzDanaWRTqWab7gu7H6njTGdHJzEgE6lZyk82iaZp
xMKNkniTazBTjqRDVmHTCeW36T2R1eew7+QhzSLbhBrMnuIAMLe5RgHrf24QYG72Mv2j8zOTLYo9
9nPe5UG3Rc868OgH/oyUyOyNiJ5FlIk7AVlRxvzJzwpjyN41d9JDLZfPn/cADR9NqxQOFyKERECH
uSGi9QUjm2UeJMiMNWZC88xO6FZbh3AENUtQUDevIiCQ940GGYCbWyb5Yo99CI+SjFN3c2BmzcUw
YQDmsw3ztqR3Bj3VANVS5dNr9HDnnHdEpHOYmZLTZW45oe7q7MgZjQuLmWnTVEhKodYyNiMLMg8P
ZmqtZbUH+QTHvAY37wjGHtuCwjKDn8msAdRE/eQ2ALAjarrPPMkcRJlun/TmiL5KTYRAQCDjpNMm
pmP2dVN27wmF7tZTAEJQU3dlRlPNkXTysRD6BKfPj5CJJALTv0pISGwbGhIyMoLjXycmJg2PEAme
DQRtShBRKNSSS2lmGVxYaoKE+gGZlXe+V2kCn3+L/lakkA8wxXtGXSZL6hER3D//PqPpNTdEYYEI
T71M5Dwofj8EK/q300u7jk1CUjeNQCaY42gtjJCapazRN76AnIz0HOhwQiSEPDEo39HoKGA1zyCT
wM6Zc/CuUUZMmC107ED0YzwyOABzHpdQz+yd511Z/9ogwNRYqBBGhKnTzPOEWerMXCKst0BznlZv
HzOCK3MVwQsxEOWLmprMNF138Q547rZjk23aMWCzUX/eanWWVEbmhHVdAwRjtxC75Y3mUjkCLdNE
A2eJZk+To8QQdLhbpy4hAIu4WSqZe0qTGzGdOXXi1Mljkl5DCI8eMkSUeWGQOZPdjtFDaXrXmENS
4Uz8wjnWJnFYwUBAuV4GS94cBAQIcwvwvgzHTWYP9XPZYcM+6ACpvhpjJEjBAr5IJ0ZA4WJqaYWd
UXqxofR3MeXs9sWZsA4ehBk9hfFCJdT9vW6O3JkaEcGCYeEeRJHzFDMDSnYuZnu5CUKGF/cmbhLp
UoMZBoaGc8mRBwtid3fnsWge0qOT+zBidhdiWrsxujqmL+3z2uragX485f4SIIgh3whmkQwq7dZx
FJEiKacFVVVVMTWdWqGirXEtSQz0MEaqVTqYy+fsKTOSXMhjIjE8orBUKZmp0FTNrAi5ebj3DbBF
7gqo6zRyTJsXuJeNqNVMmJJnWHqXNYO4PJi4WWPAVJzmSCbPDnejvJLzH1PFOShvNY05GskkeoAg
5orVNx4iRESsxMI8rcf8sLIFMndIT5ADBKjHpFpmFJOwpJqekBBQpOQJXoeByDVndpS4YO55MwGF
C2RkMyAAtGlyttQLFZGOgUIQpmSNuJkxT21ComjhEW1qWWh6a1NTFhndcoCRl6gQqyoFZphYqIda
MJqjmtcshQGth1j11N0OPXCYQqepDUO1tM0wCZahCjVkolIqswx1GFsLhFKLh28tl2FOQ0XkcRoL
C86u9w48ADdvIiUgFqXC4FvDkDE/tRYPRxFAyiLLIraWQ3iwhQRs5Xft1jwa8cF6bYjeGgZIkQiP
UEBHgKFwU98ahhFBWBg5ArlUn9QCsthi5gGQABZSCtKySDIJEGM9TZOqriMc1HSBy6NpMgRrEzMX
YUavDAPjUshAAImZgXyoC5uOSqlMdLA+qsROGa5E4b4z1HE9bhcpjWsEEQO4BI8ONUgnDafBYrWa
JqNp0gnWU5tEjQXNTG0KbSS0YOAeMCHCAIUFAUlcrZY6Tc2AnYsCi4hNWsoQlrAbFMJaCodVxqiS
uLRPv/hqbyG7J/Z/+5sP9ncXw7nzHuEWB6tp1JhC1d1chcWtUSkWZt7cjCiqYLNYCIaCFE4KDpJ4
WGTPj5KKfQskEWFaRiWCwkiIVSgSeOwGINpUzdSjrZsauGktHeFIRBAuXMCNCYGYmc2sSI2AUioi
EzoiSTK641vvS7EPVruWMO8NolRgJi92lpFGhAYIu/lqvZ5UlxEEnMrxcCckJPAI8wQJ5+nAfZcb
kcTddPUAYWvew98wCMl6tDr23JJOYPcsvrkTD4ORTQ0QtDUR3myoEMAReiww5JkpGCFInWYJ6RYi
Dc9OKauoLE4lrfgZbZG4VHcqnDJlNSsEFpDCo5LHOPZfEbL8x0hgTC6sMs4R5msZk4qR4prcvxJi
gLuHwkbm63NmdZ7tOMOswsMh0mbTTaRmM6qqF+/JBEqXWK71wsMiENJpk+GjeYB7KRQ2x9Bn3UBg
rvnqYjKKzALBzIF485OnCdXMMOGrs4gzFQMbFKbn/sZzAQUUlBtIgIAZ0oVzlYhOAcFEPicImjsC
I0bX5wQWYplxgDAbZAIIAc2SYtpLtD5n6VjVGYza+VVBRIwAREJdsJpWEIswjyyd8xdUMxYWkg4A
AkechXlEk7WuLA0I8IcPHx89f3bp2pX00uX1gim/mTXkQhQRzw5Xz5882V5ur1dH58+dQcII8kCI
WE/T4dHR/rE9N8/2Rnu54+DgEMgd5WWmWTx7L6h7Rl02pQgIQDxHK84NMx0cHIb7sf3dItTSg+ig
apZdY8KuuqI7v6uuC0vVWMwr/W7KIu5hjIgpGwYEEbE2Ubr1AhCp9ZIPwyNPiUUtkN2sp0A+cNYC
BEbaFKl316maZ5FKRMTSFXIRTKQ2ZYy8SAHH+PZzOXWjXN31lWQ6j6gI52Yk9czIlHO3tJypWqm1
O376rgLBo5YarnMFjBmbGYjqytSPAktnBCB1qXa+qpSLiUwa3+zvgHr3m8zbKqUvESE8tAirhYIy
8qjac3QCI9wCBpbk36Y6JDe6fZmJKZtNfVlfwieynpmymA7A2dYe2CW9qJ4utv5EeQASO4RnBZ8S
ku5ScMaeHxG9mcFuLqMXA7VcijDTRr/u0RnjM0S3I4NTFTinX0UebiljCciw+W7g72p4Ipjdnvl3
LJyDMmY5Yaz5OUZKnZAgukrfEfKwykCd1L5sGvu0vAoFekAAA6LnN94rSpyHoRsCNmyI6l2NCH0A
M6exYkcr5egCGLB5EPFkOitWgDHCu/bYPAwird49QAgov6YXaqB8TdKCkblc+W/HjrZ3S2sMzKbK
PhkBx0DnfEg7ED4lmcmqgYgME0kvS2ZKpflTEzXQoyWBsjTvBMRZSm1ZRxBFJCwKkYAcVD0nCkXE
fy/xLu+afCS09RMbAVRzkUbpZ6bE/aRjKIVF7gnS7q1+vyYAPKXX1k3LFkVyxetz8GzE/HvM1N4U
pCARpVMpwRfpmMictr4wDyhpyARgRN7Eduf4lSjctE0iQoAesL21FdH9jOkQAWIhQinCyEOpwJKP
jrkbtFIl03u9czfST6VukJCMbsuOGNdrZkbm1hSRPLVfHemBHlCHOnu4wdVEJBXCudjP85eJXI2I
AUGb5lwzvLsppOv7zSJW47oKN1MknFRnxnE/+qsUJCLh1tqiDNnlc8dSBRCYKkkBgMykifDRzJSa
Ng7uVJKuxeozBA9nIEIy66GGwN1F4OHmsVqPguRmOczwCCTSMAhQVjNN0Xm411rbNDVsVYqpFpFE
DRGSgk9qTD2Kvedk95j2rihEAvc8GpCEAKPUUrHzQtNZrk1FJDwmaqVWA0CAUmtMTohCnIZDoMTW
uYUXQiKUQgAgNCyHxTQ190AmIyeSCEUk1QZuGSgaEaFGgOM45ZlDDOvWgskjFiLCXbi7tagegCRR
INf5U4ZheYSpuoNqAlXZvTKvxzUitqa1VldzVAdkIiLcKsPOsFirizATqSqJgBswm7tCrNq0Htfp
OBSMMGUINA9zIFBTNXOA9TQG4TSNTCSF29gW2wt2LCWnv7JcCLgMi2GMQGZHBMYj9VUO8SwEQ3MP
ZS6EGE4B4OqqDEAW5EFE06iTBkx6NNnoYwCYtq0FKQS5sVAVXgjHwFtLOcK2PchEUaV4xGhIWKSA
AwPDepoWy+Xh0WEhtPRxQZibq5IqewudQkQnY4CYlANBXQLb1BDl4GgiWR6tlRim8Fv3nxwf4vzu
9s37jxB3LvNFNSu1mMNnn9wa14fmdO708WvXLo7gQhwkRBJABrb2COS1eevaoRTRAyGEK0GEp4Uh
GGW9Poq6UDNoc04mumogAxhQwCAsAEMtDUGktIYiJetCRFQP0NCezxKuWpjyD1W3QADwqa0R0WJT
tX+LvwiIkKB7DNFfmHxmFGPH3+a8ELSpIHn42lrJPZNHMOV8VN0CEZEduu8xsR9gmVTSiTXEnEcH
IRFCSYA+cTJz3SyoV/+DFDcPN8oPmBAckFCjT0WZyWYNVXKVmCgze9WMAWdqGgJCzlaRCNP22heC
Gw9Vj/7raZ898iQQkZlN0+QNCNgsWX+ImNrp3OTM9Rt1iK6HzzpL8IhoLQ+uDsNwtwhGitnZBZk9
NqNyraukgBE1LFeX8XsC2ogw6O6Mjv3MQj6696mTbhAIgRHzcepZ4RYyG8DMjCQl0LNzBBHTOBTA
xJb1pXfBcJ+Ez3rLTn6IGZA4N+oQPqf85c8Dm8s+tYWIFO7YBWbhnZoYzSy6z6tndFFu0TqYBMzC
UxOFyZkKBxhXq+ViwUTm5p7Jsh1qNUO8XAIxk37mxYj3NjofXdpY7G7fvksQFy9fhM5r6r91DuYh
zSSxiWH0m198+fprL3tAMwWAgpxkme6ZAvj6qzsHzw/eeOO1w/X48OlTAzp6fnD2/BkM+PrrO0Rx
8eIFBFguFlNTUHc3EjaANjV3293ZOTg8Ojw62t/bpaF0C5YZIApRfhjCbGZ9d2fWr0xwEVYPj/jq
zoN/96///D/9Z398/MQ+zmzV5tal0xAEmPJLRHIzVRNJ606ql3KNSkikrtFbnZ5em8ifLLFSfO+z
iM9jk2tLmLQlJjPN1RbMJvQIJC5FRCS7HbfM7gZ2ABZGi8iv1t3czZWFU2zshgT8bU8/ZsnISqZ8
VPtLhMSquSbBxHTkbweRow0Oc4q+HyTMIRe4abYZ5p67uu7dZcoRRr4pPG/twJOGklRcymaxiw0A
AoMAAVITG8CU6oYO+vBo1hJSgOAIQcxhioE9v9ED5u1W5qlQAj7SgxbhCZDr6FoEwJS85VCsBxPO
Hwj3fxVQOrzm7utFOw+Rxoi8BdIdkN14bvORqVsCvGcIUc+hma0BhJFZu/OWPh3U8/EOkiPOdPTN
/4y6MbEgJ546NoQiyOPD59I45a1dRIodBEzQeU7dfZ0DQAKKeafXzbBzbz9DhZPtF7kbCwA1TyF2
T42mDpCbBTK/t6GlPgjIl5OINmskSIFMODKngp0AqB/pOYKDF/p4Qp2/XPfoHS326B4kyIsXwQgJ
wvqYzrrKO0/djQ04vXLdgMAdHgv9PMeIGCclApopyACOQAnI6U3pPHroVg73FECknaHfgLOMwxIr
OIeEdfkt4v3HT+98+eX3330TNxcTUkA8fPho/9geEj1/flBLWS6XmdQ4U+3R3SAov7iEA/cfxjwI
sl8tInlbOHjkym3OgVMzii6hDw+MtCzlAQtEZNHDxkPtRVUEEAjqEYE6W2xUc7zpHXc0ox/cY6jD
Yhi0TQiBbm21QqI26zYQsTBxEQeQpjpNjSLbk1SzOgsz4tQadTRFJ901M5EeUY3AzEyYj1kPyalc
8uaUUkxhjohHM4WMfUNw93EaU5aTp0QyIdLAmW9Gcso9InW5c9tDnj0zgYUXRFVlZjVNZp2qGnsq
bAE7+zhpBumaCLOpNUB0NURSU0/5sHutNSnGKQqVGcuI1AnXvZYymzEenu5QgZ7VnhOjfCEJIRAl
iCjVyyXmzOVByiCle9eIaq1Ta3kcEhEFsHTfaTb/gFiKuAdLzbFIEUyAO6syMyBOrSXrOXkeHtFM
EbCZsouH1TIks04dkuMpsyBZOBGCRMjIYmZmjlNTUzOjYG1Ky3xcvbBomAOom+VaG7GIpPGbhXCo
UorO29dmHqijNkAUgXEcE5HsZkWkuQNKIAVKc8hYluYqQwl3EVrW0iBqHVprgZi8pPU4jWYKJsQW
zUzCFQnQnQMYoCCjAwFrCy5lsqkKO5JnSBZ4LRJOtRABCxdAVDYIjMBJvZCM4zqoHKxGkEEtTKfl
UKdp3NvZdvAB3BETxbxuLeGi3twEDcWQDXCtFkzqPtSCFkOVUK61EOB6iq1FffL8kJiAcFRNoP3Y
fNVcYcr/YGFr00Aw6cTBhZjCyYzCKFyIAWi1aj/7y189fnCfiV698erlV664OhSCAEbwgEqUtTES
1sKVA5cMQAPJog4DHW1JQSyRChyScdKHz8d/8+9//c5bF8ri2L/5i1/8wcHhuWvnJ40Yj4ikDiJI
4fDs8dO0Jx8/eZyI1V2NNZCA195qEllNkbAMwzDUYkpdlRcJyihMzkzA2po7qMZ6NDaYxmmxSBQD
lCIEIFmaEUxNAak1FebCDEAig/uYvgNEIvnW+9KUtc+Gbex7A6IAIKBE4VOfIiMQMRITWjgGunkL
LczY3R+YLR1TUEZxAjGieRBRkidyTIvE2Q/PrkxMCCQxQswBgIiUMTDh4SmwccmON2867aqwtNkT
kvSNQSCEW0viKBKrNcEeXD8DM/Pac2ZuZuT0Iga0e6RwrtgoBUWRFh/AHFD2hNIwIUYARkbEhubz
CWmm6RB1t1SsJETA+hKmpwL679Edc2KdAtc8xzqyslM6+pwutwA9/js6XjKHytHTJrI83hRowSR9
A9bb8HmNEI6Qv2AwonZhG6UxLDWTqjrbzLBLcHtmLBCgRk9k5WR+BEBKdrtlFHJC4XPubJYt6s6U
cT7oOPM8iXJqlm7JDljsZikMzDzoBLJganCfPT94/PDRS9cuW0SbpsUwoIOpEVHrkt6cJIBHPHz0
9C/++7/403/0d+8/emJNz1++QAiErNbMfNR+zzbVnd1ts3j6/BlIOXvqBCLev3sfkU6cPHn/4cP1
tFoul4cHh1vL5dlzZwDg3oNHH374xbH9vX2NDz75ZHt7542Xr3744acBevWla7u7O1Ozew8eucXR
atTmpuoQHYyIcDhOAwMAPD04un377s7x/Y9//ZvTp08Ky/6Jk1/dulWGcvLUidvfPNze2XazS+fO
mJuwZHu/aZxTDR4BDj6rQDNtPSS3QYG//cXPTx6nP/0n/6jUmuQihi65BIBmlqPb/NCYeio9IDU1
oc6MBdUwY+nAyb5yD1A1zhsf3bUFOiEzUML/3Aw8UjjQZX69mCNEqHWJLJTHiykglGFBqu6G0bNa
oMcYJwE15sVapIUn8Fuffpx4IbfuGI+eAtCamntTzcRgVy/Eme+aKccQQF2vCOZmEJIL3qRfkxiE
WwqtA4FMFbE3keFBgemND6SIJMHmShvdc8sPiRAnBFMVpsynAEyAetclJtTHAYUoXHuacWimg87w
W6DIELboXCXCMGPMRImGSNI7qT5vp5nvAnPQtKlRRw64qQtLvNAOwBwOFJLrgZT4ZU7jHF41n685
+qecVeSsMSdLHVeTMvjUWyVpr/da5in2718VAICqpuyCEHGGcmXRmHFKPkMHJjMWwb77xbmVMgBM
mHGHWmP0CFPcNMzRr438x+Y4n+gfZj9te97vPHGYATchiNbN5nMz1medfa0cqR+UMo7jJx9+NE2T
h1v0w3Nra/n2jVeJcGD2OavMU4viGysprsdpKFxK9bkR71t2j5wGzMmxkfs6SK5Nrl4tHJwQ4wWw
sEOhcvRr5hH43nsfvHr9mmxv9QsyAjAsQCO496qYMGePODxam7bd3d1k4IiwR3jgRx/fenj33o9/
8u7NL7/54Ne//I//k3/oFoTAIuawXk/jar1er6fRnz19xsx7e1sGYWYffvDxd999e7lctuZE8eVX
dx8/eaRN33j9+tMnB7e+vrm7vfPaq690EU7eRNkhQ+TZxtTDTZK54NoNNbP4In9CwK4fD47Uczhx
DqMi6a28wW65Ufd4WwSwUFjGzAEimFtu4sw0cpUXUEiKFAx312laqxkEshRmLkXCI8IZMcwkpczM
TCnJoIwRhFqlpJmK0TxYiqrVIjnsnZkUqNpyI48IzCXciMTU1RUgSimqjUiI2NzdTYogQk4mRKRz
9glFxN2l1nmUlRtlIuJS847vsmFGAut66JmLRqkdz7l+uBOwFGmEIiWFf5nRF5FzSs9R1wKKMCNi
m1qtxec0AiIGJGYKNQIAZncnzOEaDrU2bSIszBySllRMmaUDC0OAprzetPeWPVq6a/kiTSr4guVr
ELXW1XpdSgkANRUpjNS0VZFogRTCbFPDAEY+msYIUNPieWimcR8jXJgT72bmTMwswl3sXooAYLrD
CbG5H61WGfxQSnj4erUqpcwDXESRWsrY0ZIMiI4UhIHIIhTB2AEjOWKwydfTBKYERKBVmAALEwBH
oLB4dSTWaASEEBo2EGVdmxIvRhBEV82k3Mn86dHRQs27DJ20TYsqjCCEtYoGi8ikLZBAuLV14WIw
FSmjrYVJCBRioFSEGpGs3SNsnBogtdYAFYla0yAQBARkCCEshDtDXTC1UlJs4UANyLAYiIJmaggS
FWYwZwIiWAYtKJxwwTS1hoitNTU7WI9mfnB4WKWs1qtGfGTaZ/vaAjTCimDBGAgXXCig1PrcrBCD
VCB0pBVqETEqUItMpgGf3Hty+/aTf/ZP/xerptM4LYs0i88++uLLm19cvnTx2ssv/+qDT/TZwePH
j15768a4Hj/63fse8b3vvXP28rlnR20x+NPV9Gh1dGYE1cYszMgIp/Z3337lyvaxswePnx4eHTDR
xzfvfPnJB9rgzOlT3//+W0/X7b/6L/8/b759cf/k/t7xXWLOj5pEhNAlnRdozQjKurUUhWY/M47T
MCyaGpGGm1nrHDSMKlRroXAAKKWaeZ9KIxNFPsxMPJtJyBRVJ4d+dRC6/zXyS5Fy9pl9ImOHzTLz
LPxJdySkLgsZAqJZAzVI7Nvc1bRmOXNuZkJBkLpigllmnxEpQdjCCJAAucP95tyEtNBzX7dqa4bB
yEGg4QgwmSFiMwtEQNLonWP2eEzsqt0Wi9CBmYDIZBGevJnUgnZzC+T5k1JkErEwiGRCeC90iKPz
5sOTnROAGbYZAYhqHYHr6tmvmhlkOeC2SZTJVC2Czo3Aee6ee0fq6RsbZxNoGGKCQwg3jXSqfWjO
/9igPNK4NZdrXcYGLww2rpaeWwKyrsUEh0hW8gbmQfOX4J60ezTXbnJI3q+ZiLi/yLSZf4pAwugO
xh4F3fd1vklp7bvePlMHSJqEeWTGBmbdhiSEDOAO84wafBMaMVunkgM0qd69e//ylYvmcffuI5L6
q1++J4Mg0Vs3rn/80efr1eHe7u6rN15FgNW6eSkffHJrubPlOr3/yRenT+55yMN7Dw6eHjH7k8Nx
byFUhnNnTqjj1199E1zu333ALOENUVbr9Sef37p05exqPbVp2t3bmaaJRBbbiwvXLp05f+bnv3z/
peuXb9++f/Prr+/cvfejH31na3vZzB49fvrwwZPFYvnpJ1+cPH8aMV8yJyY1P2qtcFV3dzNTCDt3
/uz16y//8q9+c3S0Xh8dqMmz53L67Omnj58eHhwmvQYAUzrb6YxAGCEkqY7LsL6YA4haUyKepvW5
c6fefved5GRCh/kDzS1QefHYpJfMcnvSTMPDI3kx4W750qTbPMzDQc2RYGrKhN61e+HgEdRa8zmq
3lwDwtxam0xbSh5kqCwVicNsahrhUqsHeoDpvFbt2ntgRGEO1e7NtdY3kd+ee7SBf84wst7eBKHm
8jPtndR3D54aR4tcTYskTAWyrZ+sFaaYUzFTkN+lm7mKSdetGxATULzwhAcTd0DkrIMFh1lKAD2M
KgGZniLoCHBiQs/RnKdjMLvffPEZKbI7cc9tTKphkmxCyIhIQEQcARDUTAmAmVvTItJTrJBxRgfn
KjJj+NyciL2bGAEQ1TTh0qmMsAzkA8hTsftFCcBzttYVwhFovQuaySYz7Lf7b32OlAynmb6bx29v
X8MjtD8jkdgBF0olSv+DiDkCDByRHLtXMxJAGh4awkRz+mVqRHt6xKwO2ci84/c6E+iiYjTLxCCG
OWG6o8giPLp5EuZfkDk/SY+5Q46AT764debMqfNnTgIAM08eFvT5F7fufPPNlUsXc0HnEa1pc8/C
NhvciPjNex+99tKlveP75l0GkkLTmYCQdwcGkJr3ZG2g3773ybRav/mdG797/+NXX76yXC4Q+lxG
zdqksGFTiaxGffrs+dT02N5ea/rk8eNhsdza2713/9HR0eHezs7De/dPnzp16vQJJDKHw6O1hnzy
8cfqdvXS+XMXzk9uh+N4++79508Pb372ORA/ORh/9YvfsNCZkyf3ju19/NEnhjQwfPjRF+vVoZlf
vnjm7LnTgDifc3D33sOTx/e++urrkyePqdRPv7j5+WdfvfbalW9u3z1xbO/MuTO5/dq4WPs4dR77
zjNZ9HCMNFRm+dF1Mzbf7DmSIc7ny1P+DZtomfQ6dRtI3pjzUYJovxf/lvmOfVigARZZFQM4UU6z
3czNlIlcVSHAXdKN7Ynw6SQJIsJpmrBkMAwg0Wq1YpHQQASNLpAIAyGOMGFiotk9FUxYSjVVwB4b
k0dNrQVSw9aP/qTtkfUQTvD060CGFqCHmXdzBjNFgLoRlaFWZi5S1FqtQ260RaRnYeViPHmVCObW
J14RhLnRZlWtUlKvi0STNp9H8ukwBgFCInFhUTfmNK8FCQWCQYRbeB+y9SUCpO4GvUcLWfKKU1yX
/yS4lzpkjV5LXY3rLKEQYWrqAGqWnuCcVGWcV14e0zSmQbxpS/VOABOSCJuXCGSmqZn2wAaJGadu
roiilvS4TG2JKZwS+QPAwEWEiTL9FkUQURWIsGlLlBZ39AtGuLmN00hMDtzaNNTBwxmpFEEoXKqq
EUApMvkIM/B9VFW1UnxmnzshmlpYAGFzM4+ptXVrZehjY0LYWQxbw1bGoJFQ3lUoPFrjAFVTMwwE
CyGqSBIhgZkGNrWWkl2uvG6jlMJgCXArwotaJfnMpR6tVothMU3Nwi1ochTkMSiapQFoKUUIOLSC
FzAmnNpkCKptJBynKd+xcWwO0gJimixckIioMglBFN5CIaKKsByGGjDUelSKQi53RYGMS0c5Q5hq
+ozAW0UmBCEqbgvwqq5h4bgo9OT5wec37y52to7v7x41+9kv3j96+uD1d26Ewd2nTz64ebs+ffC3
//RvH67pV3/x53/yD//O07X+5b/76f/yxN/aXS4LTCe2FvvDYuCCRFLKNI4ucu/Bw//hv/szWe48
e/LsnX/wR0z4zo1X3rh65vnz6cP33n/0zde0d3K5Vd66cenU6fMABB7jpGah6gvEUcG1bQ0LDRgA
CKEKu0XWAYWXLEIYXKQzFwA8XC3WTYlLU69VPMLdiggTZvWmqtPUAHWQoqrhMKkOtUKEFElzAX77
vhR6AlaXuETPO04aTWeJ9TkSYdfAups5RwzM0f8mJCXNe3nhEJHqs3AvInnDeUAGvr+4pCMmtSTB
Sw7gATJTIb0o6WMztQDo1sfU62aTHIEWG59sanIYKbrYPFWCFpGxX11Alf/DXiomtQaRWSKCAnuA
CmLzXF04zVyTcE+HG8z0xtxVOSFi9EYTghEzdd0Ak5CR115P5Euj3awfwxc73k6VgK446/VEXyAk
LAfn7BCInnqaZ31OF3pJl87lPs1lFowwt64e3Mj2esagmxv2HwDnRJggZkKE8Bx8qhl0Gw9u0lB1
xnISU2adMiIhqXkkBSd7CbeOaHKYU2QcEc0hG1YLJ064C81uq6Q3k7pFhAVl0l3Gw6IkGzv1gdgi
NFzVHz1+evrMqfU4fv87r/3m/c9vfnXvo4+/eOnquQ8//uTS1Yt1sSTkC1curdWffvPwzKm9TAXv
7pJlvf7K+Tv3nm0Llq3txw8eLrZ2rly5eO7yhd/9+ncHB4fbAzOXra2ytbU8e+5sBN65/c2tL756
4/Xri1KKsFRm5vV62losC7M23dvbGRZDahHv3v3mjTeuDovlrVtfASQoxQFwPTUHsIjD1erxk6fr
cWSCQpTvNTGeO3f2wYPY2l6ePn3m+fMjdHv2+En45c65dhdmN+cMRgyMDMDkzo6aH6Q08unJE1v/
7H/9j1959XqGXVgEYphrISwdVIW9J3IPjCIlwM2sy9H7qMIJCQPS45rPYRpr1LQw57zCLYgpAlX7
DD0tyiLs7pY5hBAAYWFgjUphFBQpUtKUaOEb4G32kMIJB6B8GnXS3AnM44u/BvctmPu+DubBDiEV
YSIMV6KUSWO4BcULeIsbdu5ap08nB4SENmdSHoXZIPRQJaQwm9MXzTNyZeYG5aio62M7Nw42zUyO
J/PPY549Ag5CrFn4ZbQGeMpQBGkOumDKEBcznM3STKxu+eF1zqpp+uEJcCjF1CAlYIAAgSzpUOUe
yZtMEwcATrgLRCHuRBoATGxML1z7P5/K1T5f678sJausa1wRe/iFOyJjAAM6OAYIUS6+LJwwe/jA
VA8JA2Lm0mcyX7d9e9fy9iRed5ac1GDXFQAQSeQiNCLxCoSklmN36CLdPraYwVo9c8tJOPpDlzbg
DtHqsfOdajNnsOUANVe7gAiORGo5rgSmeH64euXi2T6wTKaUx7BcjkfPMIewDrdu3fn0i88XO1un
T564dPHiarVy973dHQtcN4Nnh3Wok7qZHh6uDg4PGHFZ5fHjZ69ff/nJwdFXX99Za3vjlasn948h
4sOnz7+89dXFq5cfP3k+tfbxpzfffvPVL764vVzWX/32o51jW/cfPj135vjzZ6sfff/to6Pp408+
p2F55uTJ+/cenTyx8/zWnYtXLv3spz9/94ff+eSLmxfOnOo8W4+D9XTn7r3903g0rm/ceO2D9z86
ffYMAVeRl16+8qtfv3fyxP7zQvfu3Tt1Zv/i5cu/+vlv1uN4441XW9DNLz778suvlouCmPkraGo9
TdnDwtWduJw4eeL54fjg/h01dbMLF85t7Wz1oTAAQuZrdPxTKjo7dg4CMZggrPutO8gsumU6MHoH
tQn3Isi083TGJFqCesYwUvpEAibzF2orwlJ4WA5TG7eWy26INTtaH6mNAUZEAJ6sZ+g0fkzeGzKI
u2ZDuG5tkGJuCORERcjcWSQFq7UWn8n2BbN5ZYhu2kZM3nqiHdwjCmLCqS005+DuoaqlFJh1We4u
IrkVjU7XcBE2s1ILAqoZAnLhCBCh1qwwAhIjSf6omD1tUqHC1IDTYUxE2NRyhKYJfghoFnljdVkv
dkfBUGopxa2nZAbobLsim78KTNUEopuZGddKhKqTUA1VYoa+Y8mdOAAiS+0Hw2zAyFLD1btLNQIj
VJtnAQQzzSz6iT5L/IjcS+ZDMqtnpgOGexJD1JSCsZtUurCNmKLlYhkcgllU23IYmrYAqKVo0xx+
mIeaT+OEiKUUVS1S0oXEhLn+naYGTIioEYxYRIhQmAcaRMo0g8vM3S0VZNHctDUSMTM3K7U6UdOW
EuVgUoCBOdwxYrkYRojFULHXeZkDQM1hNTUiGNskwRGqGmCWgUW5AiGkCFSPQMoKvM1Or1qLW63C
OFREklLcPP09rZkDjZM2h0kd1hMhhJkUhvDQBtbKUCe1QtSmCQFH9TGwNUtzFwu7IjDVRQ33xVAp
bGerHq18KEWNwiPZ+i2dltqq8OHYjNp6PbXASc1NEdzGCYuItyLkZuEhZXBAcGPktAFOzaWSBU4G
ATSZXbt09h/+J3/71q2vvvntR6f2tr7zzvWnT57++Ma1U6dPLhfbB9N44vjepcsnt7d37j98tNxa
7p845g1l99jtB/c05EjtyWpt4WCuOhEBhYba/v6xd79zde/M2b/42e9+894nPzjxg1+8/9mdz373
6PGzZ0+ebG3/4MKJM3vH93aPnXSQWoo5bA21SpmaFmFEdNfK7MSEDMCZxqruRDSOo5Rq2nJiikHC
jBBMUYUBnDhlbOyBptGab20tEpEF2NMyibGQIGQ6Ficwzs2//b6go82ih4Dk2CWQSLjkaMgD8qIH
B6aECFB4eGvhjiTuro4kZBHaNMO00p+YpF0wR+oQy9TcprpGMtSi548ZkiQLlFKpRpTQtWxWqJs5
IY2D3C+FBKqkV4dy3G3hua/hTZ8zcybyl7Q+pwcmbNaYGRwLSyRGNYMZEBFIEACwIDZwMGcm6iF+
iTRjT1RbBEZUYdjsoAAogJENQiPSDTXnZnSj2saYuclj7ommnVaKnULJHcneRUeAvSbjhMel1Yr6
sZ+Y9w0Cpfex+VF0MG/XIHUHESKBdVFfb++7sbgHEkZsXEYzEDiHqtxPaAzYJLRFCozz35tpn0LM
iEAUCNr5Ol2C2PEFAJVFW3N0QnQLi2huEQYA/XsBqCyYDbi5Z/5lYIRrJpmEJzxsuVwul8skf+wf
P3bl6qWz504VqQiQ4X7Xrl38l//1vzp/+t393Z17d+4fridmJuJJ0/CEjJ1adOvLOw+eHxzf37t8
6dz9u3el1mPH9588O2Kgo9Xq4OmBq+bbXolP7m0z8+uvv/Te+x8MtV67/uqX1AHLqrq/u3vh3Bmm
4qqF8dzZM1vLZdvaSj7fpXOnH37zzaMHj/b2j125dKHWempvG4VffevV3eXW/vEdCN/b3T22u3fq
xP5iOSAxAjZVAsSAwhLogNDUiGL+9voXkkL9HEeeOXuG6JyZCwlsuCzhroFFAsg8MBdBsxcQOYPo
ku0RLTUZEZKLQYjMAckKJ3C2GwciYkJKAKCIrMfWEjIeQeljRCiliFSL1uWM3hiZpVhaSCMKi3na
ktIdlPtRheji3o2qsK+2vjX1DfobnD4xCHQQJG1mzTnR2bn46nO/lP8ZdYAl5/yuSIKU8/NM26RD
ync5B33oSZTNVxgCIQQ3XBycWZ8gTOaZDp3JOn1BmDyF9M5lajQLdTBQYBZQmXXR8dEBTa25AeJC
WIAASPvYC9AtorPBGGkObzIp1czSXDqP3rKJTRkpqaVkGtScE63lNkOKgJlt/hZECGMT9ZJ+hFlW
0VW10P8g9+YhRBigKRjOaA7TRImknqWfPDNibSP2MTOYY4T6YxsBHiKUE0EIDDOac5CIyWZtoIe3
7PkB0vqcrAXtpNLZXpeshAjpf1BXeSYHPAnnzDx7Ml7Eb2b4kHcnXRbqGawdmWuZQkjq8h/TcA72
+ZooIi05AuGrUX/52w//+O/+QRmGyfzuNw8///xTGZZnThznMqjHBx99fv361WcH66ePH311594r
r1z85Pb9s9vLxfbOZze/cuaprS5cvfrBx5/9zR+9GxG11htvvfHeh585UgO4/+SZma7HhhjDMLz1
nRv/4RfvvfH6y199/XB1eLQYhuvXX56CP/74k2++uad+0iY1m06dPH761Mlat+59c/fhg8fv7N4Q
SYAuIuHu3l4dhqw4CYERju/v7C7qidP777/3bFgsHtx7uLV8vFXr9vb2rS9vNwtt7dKVi+vDw+Vy
2Du2R8jgpqq/+sV7w3IppRDj3t5WKWWxiBPH98+dO/f111/tbG/XWmf4PYR5PiN97bfJ2ibMUHHs
UyP02ORCo3dLdpp4NiGbYGYB0GW3BMzsaj1vvIe+YzMFpJl2F4BRCr107fI4jbt728kpZJFubQEw
M3dLABcTpWGCEiPvIUDI3IO/UgXaFwaIQynuLSLS7uvaiKmjApE8IN0xrj55LIfq5qn3yF1HRCAj
AefAGNAZOfu3qbVSCs6epZysFWbuOQ1dypxm69ZaREwtyYcIGEfrFULUuosQCa3mztrN9juw/18H
QvThN2Gu6QNQzVhA3ciAiJpaDoOSMp+Wg0xhIXAAYGImCiJ1L0lki+AEaXUWd/eMd19qIltUN9l6
6l5r7eprxMOjdRUZFkNuBMKchDc0gM6ugyCiDJoPD1Mz8yQMu5vzjM+GEEIWAgSdTIaSWYiILlUA
QYS73s29NQ2AsbXRTJsuhwHz3HCvRVLC50gsPCkiALGojUW4IjqEEPU9AkRTbWZuzqrpEK5Q3L1C
IXRHrKWM3RlFwMgiY5sGWeTrwYClu+YjANbTNGnzMabWBBiRW9MqJpjzSCrMpZTRDImDMcAd2IAs
wAAJoRYxbYQhjOheiEfT/E1R7WC1EhZSncbpWKlgzgXBrBAsa0EzYXYL5upIVAqVauOquTtTa7q9
tRhX6yqEhoBBLJO1BZEBENLkZh6g8Wxsxu3waNwqPTY+LSbijhAFTIJ3Cg9Ci2VFlpFl3RSQQQpw
YYHRA0jUGiBMEElZAvdlLW0yRhWKQgFAXDDCLpw69tKlk/eeHP5P/+bfffTZF09dv37wtJ48NRqu
WlMPA5hcscDzZ89jnNpaRaedJeyMYet2opYdRsZiQM4yqUmtwGVr7/ix/eOnTp9+dOvzg2n1+Rdf
/PDtK/unLv7b//7fLCSwd0tAxOtpRBRVM8T1NKE2tcwtBlON6hBOROAWEIUJhKXw2tIZDsTiiOog
yMm1Q4hhqOEeFLWwGQGANR0jEEGbtqYesRiG1qYCMrWp1poeifhrcI/S3gNpw00RGUGgqiVVjjDd
hvk3XQQYKCxSXDe1iZnR0dRyLkSI4cCUNPwuwegGsLknY0BhpEAmtvBUIli4EBGSmvWcrwAEimSV
OmiosCRlClK9GIAYImIWPXyvK3jSjz8HjRJMCbAHEOTOBYEAgEJi3uuzTqGbdXEpchVCmONJMxAC
N6HqlixUiogiNB98s/nGw9GAe9JnNpkz1YN6bdNHlJBymP5zzzK27B57GsSG15c5dJTJbz3bNJFA
uX7thq5UlOV0DWfASP/GZ/dURLgL8EYqHPPZnUo87vTFF/1tEGWlnEd/J9SlItoMmcA9S29CdOwE
0GY9g65TTBDUbCglF7m9l069VeQeL2/GNCTnCDgI+7/cAzk66rzWMqr+9Oe/Pr63e/H8qa1Bzp8/
GREXz5/YP7Z3bHdx++43Z0+fJgIMOLazXFw9f2x35z/6kz/a3l7WYXhQ+OJQScQJl4v/X2dn8iTZ
dZ33M933MrPm7q6u6oENEE0QHCBAMgVKtEApHA5FOLy2/1E7vFF44WA4whZNipLcJAFCBEFAxNBA
kwS6qzLfu2fw4pyXjS2MFVZdOby89wzf9/tWw2bckFDAjePDILy4OHWAzbhChLt3LroZEb366jeF
6HC9vrhxljbszJB4+eWHAXB5eX5xcQs9BqGXH349ixdmvn//DgEi4fn5ORbQkhA3+ZjfPD46PznK
BX6OXQiBCIeDQyIejo6SzyEi6/U6ItzSpZnTcAh3oFCzKI0AgZfyPKs0ZnbVREeaWavo4AhzZGIi
d+0RVMttWWI8fC9HzB+1mqkaCzNRN0Peh76Cm6WuOyu6+vqKRWplTXJnplRbLBx4bEMDDQ/t87Y7
ANDQVjUfj1xXVRlHjl11eaptCZ6NJZxjrxD/SmKRoHomqQ6nVLEhUaB179qHNkSECC0MGCBM9jRB
vs3sdgCRIQnX4CAkjMhNaicM9eN0M5GWHV8toStJJDtDcCp0eGIpkbDngByLmpsufQgI9RphhxFw
hpqWlIPQw6ha6UjJNxNzROmHqaZ4iLlIFAR5/mnmDKs2RgX4VPfaEzLna6PwvQ5czQMSEg5MlEI3
SYdFtevhEPmliwiUMiMWvFDtxg0QgczdcmKYBDVYuJ4RRIXngZJTJroybx7whQtN+28KgpGRc8RQ
AhP3THvNPUodfe57hE+tWPbzuPy5MFFCaIgwI2lKsWzumYCNIJl6HUvkauJdkCugC8CKjpGvpTop
dc0ol4hFB5yRHV7sIfVQdyMexyGHMZ89+fTb33xIq/Uvf/7W5vgsFmKVqYLrydHB3dvnz2Y/XY9t
tfns408OTo5Ob5yeHB5+YIpIDsCEt85O+mxv/+M/v/YnD4X48y+effzx46+/cGccZGDejOIOIuxu
7v1f3v3tjHD78tb68ABdD86Go8P1MAghzfP07OradMoHeWx8cHCwGuTk+IiZz26eMhEC3Dw9Ggc+
Ozvpqg9feuHmxblgXD179qd/9h2R9tHHA4tsVqv1avXs6bNxaAcH64Boo7z5129YyQuYEG7fuokI
6/V4+9aJu929uBkpxdpDUpnAKp8HKTMo6/lJBpKXIjUws3XVMgXYAHKZNaSsNUHWDhnsnkhADceI
Bcaeo9gvPcaAzGRmxHB0vDnGA1ONAGFChmEcAbV0KR7hQQDCUkCLoh+HhEOflYg4lshVN8AgZDVA
CHVX63kDMaCbUSZkBCABt0G1IwMikuQQnyRTtn3hN5OkfTrnfjkXm+cpxWOayKkIDFRTZs6PEyuE
DzntnYQOOTek1WZNiIQc4cKUUe/ZVYpkInd6rCjjB9UUkQq7kiGihNdzz3kRugUW40uECUnGVUAI
S+89xWBznwccsiJjkdR45Ci9m0XEdp763K+ePhuGYbPZcGMRgfJwIYuA+3Y7f/bJp3fv3wHAL7a7
TWttPUQG5iae2izcmaX8GORz75Xsg0hITQSIs18lZoc9AB180TDP3Yth5m5qRDzN3SOGJurWwImw
CQ3DoMwI2GSYfGqtXV1fiQjlBE47UXoYjBHDXVXVHBx7twzMY2QRNtRxGGA19pTBtFr7ZtTcYsKu
OQEhzX0mwmmeveE0d2LJGEBmIcRVa8kwE2kY0KR1U0fceZ/m3fHIBkZBghgBDCAADNDNDHHnPpta
n8yUiIl8dhuYiFCYTg4O3INFBBKrxhZgiN2CzLMoUfSuXUjMOngfmTgMMtIknU/q3aK7tZG/mGZY
2bM+r0UYgQDWQsZ8PLYRViKChPM0DavVtJuJxd01orVh6gqBswOGGqagDNBd5yk9TkwS4IwY2kPY
NUMJ59mBuu/UOnRmvp7659vtb9967+aNo6dPr8D6S/fun57rW49+tdv66cnR5dcu1o0ayprHB3cu
3r6891//+987xdnZ0cXlgw/+8H4ALUMbZIAW2CMGjLi++m//5e82Byse2l++8dphW7/w4OJ//eTR
wfibk7MzkEMAODo97sHsEYFNmCCEcBQaxsEtwq3JMEMQsSEpkAVFYGjM3aVRJhthRFIEG2NYD7d5
8gjYbneA2clS70akSCRCZirMTcauuhqbWxdhwCECeoYP01dPlq+zG7PgoNjncKTlLI+mJQUsKzBC
MDdVfz5WryBUQkJHd3co88ay60u4AlGEEHfredDnWIsCiXmauxJIUhQgUxn4+Ri+Bt6YOpFa4lF5
QgIDkGt+CUiQ7ZwkPRURBmkJ98tZePLfuYyaTkDdteZcSzb3klqZbM3UCaf5FpADc2S294VmMipg
uBPzPC8xkpVVUP418yBMJXPBG92cWbxM9xWKkkAcKhfsc9YRBlDhgHyRlNUWAZe9BC1OkP1KyMMJ
uP5BrAA7WoK1YIl3AyhwcrhjDh0T61rIxKRMRe5m01W1QHnzrZAtrrhclkJGISxsniIgpJ5vQV6W
wwaKrAtFKkpesVFJ58p9lwu5XA/l2Xq8Wf+7f/tGQNGGAeDuvUt1u33rBhEeHdw8v3UTi86C63E8
GEdGvHP7lgM4xOXlBSFpWH5UB21AS+kdGgA1WQoPYJFynCCiA5X2xzXK1xe5CazQ74pvwCUjIccC
qirSTDvvuTJLbkdaOxgJFyKDuzOxqpYHFFFTEb3Y7VKxZpoLe5gzNinAwRcMIaiVLsnzNkSatasa
I7kZAthsvU+tNQg01yYtu4DF/YZZuuRxRZjTY695llvaLJ/TRctqGOHump8quYGbN2FGSuQME4fV
SCO1XaoOFqmDMJ2g1vtm4Fi1ULpmbTF34d4D9qXdvn3l088dMmvrS7vWTK5z80w4r3mUeXr+y4q1
MI5EeInIKml6CvWRPIIqypLKRqhuSISZ8LGQpcvHnonEpvnrqpRIIAxozIjk4TmJCDDh5hG2ZBQh
UiX0Fmy2YOqp7EiId4ZWcpHSaFYNwjSgps2+MRNUjZqHlReoOdwjQayEkRue7Kwiwty5SK+OhOHB
iAxokYkgzkTZ5yMm1Hf/pFg+DOlxEGp50qa+F0rhjNlg7yMnrGyh1TDn1iRTzXDJF61uFuogyaM3
rSj51NTwFXnBg2Pux9JrVho6c+Fk3OQRV4O41PQ9T6MKICISqlY353Gx4L4BFmi3V1MDEFQ0wfI0
5qKrSSPKqj1PBa4rKPk5EIDS2s3Tw3fe+c2NGzfU9WCzef+DD535xo2Tydwi1oebX779L0+fXV1e
nA0DB9FmEGnSGNfr8XA1QMgodHh04BjmcXp6uBqHl166/8XTJ8PQXvnWi7/57Qd37t08OTtabVYD
87cevrBZry8vSDBePT3c7nZBdHx8TEjbq6uVyGo1vP76d0TaxfnN8xtnY2PGiICTo83x0QvmTqfH
TPwn3/omohPS5cXNvNCE+e7dywh4cO/ucpXAvTsXFWMecOPkWGSJ9UZsrRXAaQkjy6TQiBDkgAov
6NYz+52RfZ9UBFiyMIRI5DgSYpqeoihHVIweIGBAZIwwRPQwJkIUXDQNGUldExV3ZHKI5LTl8CTt
i8I0q0ZSgpACgiDMergysbviQr02rwgn2FvJEeTJp7/fXW9vHR1p7zgMRfjgpDPFODTXTlghOQCw
GseU1yNSpgUBOAR2U+vOwll5qFqC1yuBl7mxzHMXZmL2run/TEptNmOEKCDEhFExZRRIJGpm5skt
7nMn4VQQzKqInmEq7u6eMVAeAHPvzJ7CYAowj8bIwm7hCAF4tdt9+LvHTx4/uXl89MLXLg4ODzOW
wFTXq3XvysxWcW4U4QnpTbnObjtRfjUkqRrd7ea33373vQ8+nAMC8Mbh5o3XX7l1fsu6uYNDgFt3
+9dPn7z1D49Wq3Z4fHJ0uFlzC8BZ9ennz7bX26PNweHRJogef/YH3U1/+OMfTw6PLu6cG9O773/4
7q/evXdx/o1vvDBuVl5eNUcIU1utxkRTJgbAiyo8BIC6N4BhaAQwDgMDNmlz7wDYu2UccLir6TxP
QpzUrQj3wIjo4ammljYgMQOMbSAIlmZmZgbIZj2ZtO4hIn2aN6uVqzICA7gbBquaA4CChYsIAjSW
VRPwNoiYZcEfgKARs1mENsDtNCGRa+cGqH3TJFQHZggwAzVnKZB64uPawIiyGoc5XBojEmZlH9gd
ulpYDMjXuxmZIywcMILD0ZUqFajM2+7e1bq7UwCSQ6g7sjDS4XqVOue2Wh22oa3WwzDOvRtjD1Dk
p1OfJ4Wpt6HZbEbzbt6NNJgqIvR5i6HoiqYiLVTDTFWRaI5A4Fn7KHxtLoAogkTSMLSvV4N736wH
AhtaS/jqyeEB7/Sjxx+h+F+9+ec3b90erq/PfvjGJ598vDo+4tXwjZfvb0Tc7Ggl//4Hr8/bLQAc
bIZV4z99eDny14jp+6+/0tow9a6AXWOzHv7Tf/6PgsjCXXW1HqZp9zd/8Z03/81DDhQRU6cm5z/8
fsYgWjggaYSaekSfpgpjj3DrOIMggM5C5WEgzIR6nuaOgKoxDmxmwzCq7lbrcZ7nzJFSMxEyQxbO
bwQC1ZWF1XxanjpXZZFRyFWRvnK2fLdARi5QwnO6TMZcRVkrMV2IC2QC3L1PMwRot9YEo0zTKSaQ
pY5wcDUXKaBEJsSYGSPnxZJEcVgSsHgB9MI+iiQAMd25tC+GgBCiQkSyizWLQGOUXHpot6FJSvDU
fCDOwOeqnwIIGcppWRtNgWIoJqIn+880DdVxF7AAfig/A2bWqN0FlibQ05vANW3F2iTUrQMBoRGN
xT2EisOZw/rKPARUdUJvXOuLLMP3GAdL/L9HSv6e03qREClNMsXqyGqoGH31ZxCo7jKE5EWFamap
pVqs8smyzlOFLLKX8K6AUFdaXs9iGKPsRcoKGEviXA5e3HEJbywLCQAGujsxpSVD1RBgqPQyWyL/
osocxIrYDKhcXCBZQhEh30Ve8+nQKXphlGwPKTCSIZGUi6xFaUk8kCWnwdRo8aGkxbLInAmU5lyR
eKlkK9lhnzMB+27fLBjRIibTdLK0CoCFbmFe2ocAVFVXa+m/jSXmLmLxFYf7kplRgkPgxW+Ji1Ct
gu3dF0JsQYyLelK23ahKF8FMuwenTRNxNa5kkHywu2qNQjBzfGvakqAKJhTBsOKCaE7g3DMOBAGI
ySNdHp6SdE2xMUSlIKQSbWgQobPN2re7KzNNNWPq5CM00yvMHSCYCwlBS1BhpJSMKgpy+Wn9f5hL
Sy2SBShArhI9f3dqimECGSYcRDRNvbUWHtoNAEQ4hXGJJKF9SnClfVS6x5LSkjO7LDvJ1EuIWn7d
FMl77jPcnYmQKHPgPcMGA1M1ltQct1z5JRCRw12I3YygbKWEFFB6bJIaUmCa/tPYGW6mTYQAOJ2R
1fRhYcmwFrleNj3IiyCJSu7BGcSA5A5MEpEhYUUgX1I865xwdy4MT9kySdjcNUIW5fyXUuVTcAHh
lnaVfMixnrTk7KcIloobUjUhRvIKCuONEVDZoouEMJc65kv2MmSSYhpKn6fjLpQvgFRrVxZ9MYuX
yQhmqKqnqzer3QUTlaIA4uIkZGJ2BCzvi7GU9ogAQ+NwWAaMS2BnRGutBM+Ib3zv1Q9/99GnTz67
c+f2+fmNTx6vHeHWrZvz3BvT5fnps6dXq2FgkUAMgK9/7Z4wEeDlzbO8mZj5te9+yzyY6esP7uXa
8K//6i8BYbMaL2+dUX5lAQF46/QswldNCIOJ7GDjUCzozfFxemSEWcObiKNnX+9uRFxxkgCqM1Ze
zNJC1CaZ9oQF1f16uabSaQEqk/wyN99nCC3e+UpXzoGCmmajScReMHZPzXzg/sfuWmvUfS5sFCwr
b7qcOZR+NsDLF5FLuHz+FxQkLImsKEmSz0lRIEDo8v7TGQ7lS3IACLN8hDhXpFmz7ala4R4h19ut
9jncV9Is5SLMZt6EPULV3AMp1HrOya6mXUUihCORgSHWE4/MiJxyVGb2ACZwAMoEVQ+RgvFIk4GG
aZ5wmfF778GcEMTEleUjjKrpDwkNyuIxhReEMnBm5iEiATKRqYo0zFhLpnSHCwuZEYJmM9xk7vrz
X7378b9+8vDhg2e73Xu/+90LLzxQtXme3fxgPR1u1s922z7b4eGBtXj67Fl/en3v7r2r66tfv/Oe
Tv3unfP79y+qTgX88NPPHj36xQ/f/N6tO5efX23//mdv/fhnv3jtz1//0Y9+vEJ4/MXVNy5uf+eV
l95+5/2f/MMvttP25e++8lTtLOjF115+5/0P33vr195k7vD9l+7fffH+3/3op6fUbz188OidXz98
/OTmi3d/9ON//KvvfbchPnny5P7B/TzQW2vTPPEg6obM+1glEU4lGRNZbhgAVXtEdOuoOaYCadRV
ibCJeGpX8vFggvwBQIwsxDRnXnAAE3fV7TQ3jwgwVc6EpgBCYgYiCmYAIBE1hUU9JQ276jAO3VIY
ix6uZtM0FeQ+Iod8ql2oMijWQ2vM7uIAPAzZrvRpJkRpnCimsQlFtKVMnLt2d4jYXk9tkOt5QhFz
JaWWlLDwUbgxazJXW+sQ0FrvnYXBgCPWwwhm66Fx+NAGd99pH6h1DFVVIHNz5Gdzn6+322k3mrNg
n/sKHcEaDRlU3Rhm8rEx+hBIyM3c2jDMXYU4JGYIag16dyZiWrUGAU7QWKC1AdHcG6CHd/Opd3V4
tpvn7jud84QKj6PTg5vnr6TlsQnyStanx3eOV0MbHeNkNSLRPHUCPtgcnBweIWGfZ6CRGqA0j5CB
hzYAwEgUjRvTuBa3IEZwiK4C6LOG46SmgbupS8R2msdBIJzBERzcGrNhZMkehmOTrSsIzVO0sqn4
2AZQH4cBpt04jmaGLRN3I8AAwlSzrtXwufdxGFWVlNU0YeDcGAET0kqVdZnckeboFUD3Vf5LiZjl
PY4YAJa/BmIIqiBst+d8OUCzsJJLBAFS5ODfC5tR3A40iCQKx56Gh2CWoqcMNgomTp0YMjURBJx7
l+Vd5Hnubmk4dbBa5Ea4GxMPRNlqEpFGdK8wBlyMRpYZhGmj4qw6I7d23RSYwj3jZDwqSLPILsSE
qLX087QApacUSh4G2TPEMl+PWilQfiCZ42iOhTNGdA9kdtNcXJRJKuflRFiNdhDVJnIpXCu1ERYB
M8f+k8lvJ/VpUEY1iMVsgpUKF7AsmRMomJq5Ar8Lc76AHAFkSEWyjjgtvhlCk3+xggpKg+buyPvw
FzCPJpL7Dc/Un6w2PNL1lqGUtBQWeU+rG2Je7Zo3NC9DX1VLzFUGMFh4RIVMZMKtuasbVChR9cAB
qK65e6YANzeArDHb4lWL/HIXMkbVi5XQCJA1MWHvylW9IgBqmBAxopsjgrrX5guXHOOMBUpTHFYP
zZjoifx7gFhjGmERZmJhQgB0BFU182FouUiHiHTTFAco4wdTMOaR826EJaLJPfPuczXKsjfgoZmV
vRshwpZXSwvdtPzUOdNJ2l9ERvFioRAjg40zoTcfCmRkgtypemVRFBc3P4rnW4DEcW82q8s754Qw
joOFO+ZM0gI8807yeaBF4Vq4xGTzLMtl9wSlsrulGn9Bl8BXF4uAmWNmmAASoWVvthjLXB0ATT0I
K0PE05fOz/N9S81RKFfOyEBzzy0rOBZ5CByS7pP1d25JUgDijQURTWtxxMAYYN2Y8oRHRPJsGLDs
/YiUQxlb8o5rLAgZwoumTsSc344FVDwPLFlZ1JI6HqX1qMMG0MwHaWGWmR97aWQKjfMNZnpzygHd
MqwYIBbbf94sZg64OAvK/cmJEoAK4fgyfXdPHU8hTHW0uYG0SGhevZQMVXbPoi/PXiD0fHmFzkUg
ym1nRhLW/wCFo0Nkb0bP3f2UXHQ1I+IS7HDFL0OgR4SXj0FyqAkQgY5Q4FLm8lsXsQ8X91xggEUw
i+by04GAMzSIIFlTdHx09JsPPn78+8/DDSJUbeq9z/21b3+z7hbEJu3FB1+j8BRu3L+8TNnBsBaA
oICz46Ocb1qGYtBCWsrXGugWTFI3ACEjQYAjuOctzLna90LWl0CndECUAIXYowH2MGtzo9KIpAQa
q++j52KchF2pmizQ71QZqHasQMp6CAuCgJF0wyIOEkE+DF7TXFqqCt/fvXn3mSUkDAGTqhWMpVBb
rq3SD2BNcdOwnVzl/OpqKoCg6rnVb4yLQNWIOMdVCORW84uaLZbcjJAx1JLkChDqLpIMi/SBU2tN
1Xqf970xLt5U6fPsatb7NE/QmEiS/YgBwyDukM6lXGwCIrHwYn+EZVicBtRwwLJc7AWzQEiRHwmh
dqUMMjatDtkd8hPHMlrCksBJzG4mKEiIaJAVj+Csqm4B1N1S9wsejCwYRS7OC9JBwxBAoy+uX/SA
vAp+/8fPT48PX3lwl0VWw7Dr/cMnj3/97vvbad6Mw/dffeUP2n/xf3/95p99149Xv3z73VXAwdmN
n/2ffxoGWd08/dGjn//ApocvveRmW7V3P/rs4PDk/r27jnx61F58+OI//8///fXrq48+/ewvvvON
H/7tmz/+yaOfv/ObBy+/OH/+xX/42x+0g4P/8dNHgHE1Tf/01nvfe3B++fDFt3/75KeP3trcOo7W
vv3ivRdefRmOP3786J2733xwcnZy/Wy6fXZyeftMmAwikMwtw2CHNvR5zkGjqXm4qjJTujhS7MQs
RJRSrNbYzAKCRdyTGhUsWIVgOAbkjnqed62JdR1Wo6u76rBuQiTMRBRNhHlnCkThru4DiwVYhGZ2
bbh7mNms3dz9+lrVmCHnBRC+am0QyR8DEk0eRByOGeQ4m1OW0QEMyAloMo/AbmHuu7lfT9OQQdUR
1Dgg1sNgc5dRRFgcxjZeqw1tTMi/I87hAxa4nACsd2MZCKP3BBFo725+tZ266rZ7Ji5a72E+NEFA
cx8Q1uPQGgutmCUw3Fxam7sbAAzDrndk2foEFtd9GnkYmFQ7eSM3cXdzAjQPUAMLt7jazYj0bLc9
4eFq10lWFtjVkMAjGpMhbIQHD2Rklmn2cTXOWS0EuLvT0EHRYIq6end9OtisARzB2E2S4k6Api1c
8sp264jmNqltu88+E4GajwFd/fBgnHbWmEnIibiJAAzrFQMys3pYN+QW2GkYdZosmeyhlvpts4GA
KyLPwQ0xdtNO1TzmHHuPQ/M6GcvKJQOzkTBLEyIkYXBTD0aep75aDXlaZCZA5mV5qKo9D3D7CisD
yU0LAII7s0BQpbohAJBZIBDs4xQCEaCr76aeYdwRQCnjhECArroahhz7adRaJk//1A1k9ZbqJl/i
5rNBMDPCvNVygOplXypzpmT/syhXgQCTRWnuwmIpfsuL06x7BFOFAqSPAkM9CSEYEaYqKY2xyM8z
mRnp38vNZ4668n1xDQKACazUtC60ByYBBGUaQW2qlgyAZTaPYC7ILa9SypD3CufjJUJ1LxLbl9nZ
1BGy+wIFiaihvjkhWrg5BBosMo3snJlo7lru0VwKGeyVb+k8zA527irMmDvDhLHlALQYRZiZHNnF
Mdbol5aZd64jKduvQkykOA4wgveFEYQnyTSgmIeYbRtVKmBWJBaf//GLtJ4sbV4W57SbZyFmBEoL
HBahgpYXg5QLrlwOgzARklsYBAsRMUUAMxA1qCVn+bgA3H1gxqyEIICoilEAQOoWDp7cdopgZnV3
ylCKxYqSSr3EHZmx8MJmb2ZmboC05Pg8jxlI2muYMctqlFzJQiv2LC4B3UnIy4/dAVIojoQpzoqI
tPMhwNCk5kZREwtC6tbzZ5NXGOS/FpCAqQT5NuGFIku5vfHk7kICq00jmxwqGlBWIICaQCvM6qVM
iZn2SeXDi3Fot89vZUU7z/N2mkna0Ea3nt9Y1rtMGdpX+MModDE5eNSSGpaSOL4EeMqN31d1MWC6
VQHBwlJsBxGErJ40+kJF7lM3omZYwJxeHzBzAMzs2NToYqRCFZA4f3II6CXkBHNtIhDGCS0EEkIA
UA+zSOxwhQ9HICRRCRLxxsAEtGgXopQCGuUjjdrUarJrAwlIkCyPB0p0SpgXcTQlx57mfwDHEKYS
nKb4vNbema8QObaAdMpa7OMuzXJylzgyZ6aCfkPNNLEc6YWjK1xxpCqHq0GI5T2XODk18BipMsMM
esmDPxaZCIY/j/pZApajsmtSoxmLA7nwq9X20AI/r/2wh0dk1E14JK4ofXBWHDAgICFxdXWXbKrS
flDvLgirWTd3QkarZjs8CMh6apsjGVLInEs6jECIO7fPV+Noqkw4iCBCkza2thqL6Z0SIVo+quq9
wyOiJZ81nTJAFgFpbVm+HSFszGoOAZZLeI8UJ2Q+OSAEViWAhekKWhI+3SwTdNGr50phQP4BJl4G
WwXKyhFYI47Yp3lbHvJCmGM4UwXCHJCluXBJ8PYiGpilugcifZfVH+FCt65c8YyiogX1rM6pHfcC
XAMiOjQWTLXRkgBCxZlPMI4DkC+764wmS5bbMrbI4PEazXgkWinZfmlRr1OdUtfglgqF0hYt2UGu
vVC7mummWbMtOdtQ3eb/A+XdxNg4fYpDAAAAAElFTkSuQmCC
--=-=-=
Content-Type: text/plain


Steve Berman

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 19 Oct 2018 14:44:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 19 10:44:26 2018
Received: from localhost ([127.0.0.1]:59651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDW0o-0003Ja-A6
	for submit <at> debbugs.gnu.org; Fri, 19 Oct 2018 10:44:26 -0400
Received: from ceres.etla.org ([85.119.82.193]:49277)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivek@HIDDEN>) id 1gDW0m-0003JR-Bk
 for 22000 <at> debbugs.gnu.org; Fri, 19 Oct 2018 10:44:24 -0400
Received: from yaffle.pepperfish.net ([88.99.213.221] helo=[10.112.101.20])
 by ceres.etla.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <vivek@HIDDEN>)
 id 1gDW0k-0001cx-Hf; Fri, 19 Oct 2018 15:44:22 +0100
Date: Fri, 19 Oct 2018 15:44:21 +0100 (BST)
From: Vivek Dasmohapatra <vivek@HIDDEN>
X-X-Sender: vivek@HIDDEN
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
In-Reply-To: <87o9bq3trg.fsf@HIDDEN>
Message-ID: <alpine.DEB.2.02.1810191543020.19047@HIDDEN>
References: <87k2p8h1vn.fsf@HIDDEN>
 <alpine.DEB.2.02.1807221324380.921@HIDDEN>
 <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <83pnw7qsxu.fsf@HIDDEN> <87h8hjxrk2.fsf@HIDDEN> <5BC8B7A4.8020405@HIDDEN>
 <87ftx24c4s.fsf@HIDDEN> <5BC99700.1050309@HIDDEN> <87o9bq3trg.fsf@HIDDEN>
User-Agent: Alpine 2.02 (DEB 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam_report: Spam detection software, running on the system "ceres.etla.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > There are a couple of visual oddities: when the
 `menu-bar-scrollbar'
 > frame parameter has the value nil or `forced-resize' (or when the item
 Could you grab screenshots (just the rectangle around the glitch will suffice
 - don't need the whole X window or screen)? [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 0.0 AWL AWL: Adjusted score from AWL reputation of From: address
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22000
Cc: martin rudalics <rudalics@HIDDEN>, Robert Pluim <rpluim@HIDDEN>,
 22000 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> There are a couple of visual oddities: when the `menu-bar-scrollbar'
> frame parameter has the value nil or `forced-resize' (or when the item

Could you grab screenshots (just the rectangle around the glitch will
suffice - don't need the whole X window or screen)?

Makes it easier to compare/debug/etc.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 19 Oct 2018 14:18:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 19 10:18:12 2018
Received: from localhost ([127.0.0.1]:59645 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDVbO-0002gv-Hs
	for submit <at> debbugs.gnu.org; Fri, 19 Oct 2018 10:18:12 -0400
Received: from mout.gmx.net ([212.227.17.20]:43293)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1gDVbM-0002gb-3w
 for 22000 <at> debbugs.gnu.org; Fri, 19 Oct 2018 10:18:08 -0400
Received: from rosalinde ([188.109.175.180]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LxMgg-1fY2ne3iME-016xSA; Fri, 19
 Oct 2018 16:17:57 +0200
Received: from rosalinde ([188.109.175.180]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LxMgg-1fY2ne3iME-016xSA; Fri, 19
 Oct 2018 16:17:57 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN>
 <alpine.DEB.2.02.1807221324380.921@HIDDEN>
 <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <83pnw7qsxu.fsf@HIDDEN> <87h8hjxrk2.fsf@HIDDEN>
 <5BC8B7A4.8020405@HIDDEN> <87ftx24c4s.fsf@HIDDEN>
 <5BC99700.1050309@HIDDEN>
Date: Fri, 19 Oct 2018 16:17:55 +0200
In-Reply-To: <5BC99700.1050309@HIDDEN> (martin rudalics's message of "Fri, 19
 Oct 2018 10:34:08 +0200")
Message-ID: <87o9bq3trg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:fFj8OOzscX22QUwc5kb657mkx+qSBdKlyS3uPzukRAI+equGttp
 YCOgZwo8MY2c2qEpQf+N8dPXFjwMlnmkjzsPm0F/jDqQ4p0kUoXT3GcGNYohiLqhBVSrFYW
 Nzlwd8maYO8E0cwAIkd7RXkYMLOYjXftRal+X/ZZig1LE9gxGUOLbIrzTmaXqmCg9c4o+WX
 EMmKkgwNcy+lXaMM7bZKA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:/w+f00tECcs=:xbFkwL3hVPsUnCwU9+wge1
 XSzYWNFExR1nRcEBtRI09Q4l/5+NKLcRFcR+ekYGkjlagBFw/YtDhm52Ta0A9UllTBDfQcBHo
 oM/ILGOJEp8BMFw6+pXQO06wt6mMDkAuiTBqAlMAE7FdHtZ6FrpS+HsP8Zbw0PrL6WxKorPk2
 Q0EA8QBfDeS1rCLs5iJbJcA6XFydTP+kvgKs4vPA+B+YDNyH0eSbCwXKSlsyJ2z33nRqwyZTP
 h4PZCNIps3df/khEP76FVL4SrsBcp9NfOhtcem4L79VMBdONTnwkgUFWKPBbtaIBp4P1COaK6
 aNcLwaw8k17MF2N4we0M8iikAoGHLLRAD3pX4+9lAARJJvlG+Mls52sm3kIOi6lW9TnHWhefe
 XlCD9I7l/XOvjQUvLu1IdzTXwEKT27MTWUHsIOyAgARlEggOOvZOXDMODxsegHmc8QVY33g6J
 ijBYcxVvotAIPwUp6rO8E0XqWGOheTXefOpBggLGcLZsuTkFEyo1wJW8BYg0YSOZlkqfz5tBG
 2z2GMJPSrQYduq+mFwjGAdX4OKiBDPY6o9w3BELWiPSmarpYtu6wJ21TZgAHDqUzVUnGRzYaH
 jVVqP5QyvUYv1yngTo9S48RDz0ERdM1UemjeHPczn4Sfgza7CtmcRLZtlaQoQIZ95ou+HNInF
 vS+ObJYwLel6cz/wPqErM0Y/ENGzTZvQyZI2l5hryoD6F5p9v106eauyavpMMlG1JO/1MzXIt
 qA0pp5LiRVjfkTlEGpkTIh37FevZMkX/uAlcAZ8BaWYGT6iJbgSt8NWxiYbFQe/sBB0GojO10
 rCFlbGssP8SxS5yby/qNfmH4w7G+76tYpOFPtEdNNlEKKR0VEQ=
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: 22000
Cc: Robert Pluim <rpluim@HIDDEN>, 22000 <at> debbugs.gnu.org,
 Eli Zaretskii <eliz@HIDDEN>, vivek@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

On Fri, 19 Oct 2018 10:34:08 +0200 martin rudalics <rudalics@HIDDEN> wrote:

>> Something very strange is going on: menu-bar-scrollbar-mode is nil by
>> default, so why am I seeing a scrollbar at all?
>
> Can you please describe the steps you performed?  Is this with -Q or
> in a session where you turned the menu bar on later?
>
>> Even stranger: with KDE I see the scrollbar, but running the same
>> emacs binary under GNOME I don=CA=BCt (and the menubar is truncated when
>> the frame is too narrow, so the functionality is fine).
>
> Is there no way to turn the scroll bar off under KDE?  Can you turn
> the scroll bar on under GNOME?
>
>> Yes. I=CA=BCm thinking there should be no scrollbar at all.
>>
>> <Coffee kicks in>
>>
>> I=CA=BCm seeing a *vertical* scroll bar. So probably this is just a slig=
ht
>> miscalculation of the menubar height (but then why is it different
>> under KDE than GNOME?). Would it make sense to start playing with
>> gtkutil.c:MENUBAR_STYLESHEET ?
>
> I think so.  But I'd like to see at least one or two other persons
> with sufficiently new GTKs kick in (Stephen, pretty please) so we get
> a more complete picture of which problems may occur.

I've applied the patches in
https://lists.gnu.org/archive/html/bug-gnu-emacs/2018-10/msg00514.html
to current master and everything seems to be working as it should.  This
is with GTK+ 3.22.30 and Openbox using several GNOME libraries; I don't
have a complete GNOME DE but I may be able to try with KDE over the
weekend.

There are a couple of visual oddities: when the `menu-bar-scrollbar'
frame parameter has the value nil or `forced-resize' (or when the item
"Menu Bar Scroll/Truncate" of the Options->Show/Hide menu is set to
"Truncate" or "Resize Frame"), then there is no thin dividing line
between the menu bar and the tool bar (in contrast to Emacs built
without this patchset), and in addition, when a menu bar menu is open,
the dividing lines in the menu are rather thick; but when the
`menu-bar-scrollbar' frame parameter has the value `automatic', the thin
dividing line between the menu bar and the tool bar is displayed (and
the menu bar itself is noticeably thicker than in Emacs built without
this patchset), and the dividing lines in an open menu are thinner,
though not as thin as the line between the menu and tool bars (in Emacs
built without this patchset the menu dividers are just as thin as the
the divider between the menu and tool bars); with the parameter value
`always' the scroll bar replaces the dividing line between the menu and
tool bars, and the menu dividers have the same thickness as with the
`automatic' setting.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 19 Oct 2018 13:44:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 19 09:44:32 2018
Received: from localhost ([127.0.0.1]:58270 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDV4p-0001YD-UN
	for submit <at> debbugs.gnu.org; Fri, 19 Oct 2018 09:44:32 -0400
Received: from mail-wm1-f42.google.com ([209.85.128.42]:55136)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1gDV4o-0001Xz-9z
 for 22000 <at> debbugs.gnu.org; Fri, 19 Oct 2018 09:44:30 -0400
Received: by mail-wm1-f42.google.com with SMTP id r63-v6so3697426wma.4
 for <22000 <at> debbugs.gnu.org>; Fri, 19 Oct 2018 06:44:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=5c5GrmKG0llCD0n1K9zDSje6xwxhAPQg+UvzZGc8YXI=;
 b=RMRT8/CWqIytgRaSpS9FAijFnPLmNeT8sKqC8/T2mpVm+FnuFhzZfnoMfcejEb4b4T
 3eB50QjrpB7ZMXLSOjxiJ9A5MtTSktSnwDgQIhAkUeqlifEiqdthmooIeOtaQ4ANfSf2
 WACq0hH2XUEe86pYsR6GqxAfGb5L48JklXIjHsmqH4m11oidcvqVTfSebubSJOGJiBte
 u5e29QIXnMBK5Bgm8PtW0bLNA/s10PveBU4clNTwGDDyxKhZH0h0Orrp/yQQufg8EZ3z
 qM7GWwd9iHWQboM18lPwe/yOM5UaTdg3q9hsjyEfybxYNDwPsd5YFKtckLx9Ywz9iyy1
 q2qA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=5c5GrmKG0llCD0n1K9zDSje6xwxhAPQg+UvzZGc8YXI=;
 b=VKo/oWhUJHhQsKdW8Ht47FRGV/tOu/dilbsYTCF+tsqzpbt4PFQ/Hyait1rfOHIt+z
 gb5h/akbMk/DrdWdm1RwcaHTqPWX7tQl+lLOlkI3erZiEUz6/sJPtvHAQ6Q7I2YRTvfi
 v3MrYTXbG7yYNAnunBworTjYR+X4EassxWRUbWlFmfVLlQaeRFgZ4ZkbKTAOS5atPB9A
 5ziYfgbaWHZtcio5YRP9Yj5S+WR6+rGc95ze5yZNjJaQ4VJP0z0klsGz5s5YeSAnzvRV
 l4w24GC5Ehv+RsU7kmLnJUjBm8Plv+lrUG3zhOrC4uDIwZL0vrs9w2e8+KoXARZ3Mc3m
 E/vQ==
X-Gm-Message-State: ABuFfojIoAUYJiRh4e61WKjn+Z2pf4VPeCOwRs8VmBD0F00Ruq6rfBnf
 QZfmABFs67Fy4chlFRBCeSg=
X-Google-Smtp-Source: ACcGV61g9m4mJ6TtcrM/gYd03lsv4AMN5ltVu44KFRD7LMN0tLxWjuVDQx9ps4E+dZ7VjizfIqxX+Q==
X-Received: by 2002:a1c:2984:: with SMTP id
 p126-v6mr5268857wmp.5.1539956664112; 
 Fri, 19 Oct 2018 06:44:24 -0700 (PDT)
Received: from rpluim-ubuntu (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id b5-v6sm21965579wrr.94.2018.10.19.06.44.22
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 19 Oct 2018 06:44:22 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN> <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <83pnw7qsxu.fsf@HIDDEN> <87h8hjxrk2.fsf@HIDDEN>
 <5BC8B7A4.8020405@HIDDEN> <87ftx24c4s.fsf@HIDDEN>
 <5BC99700.1050309@HIDDEN> <87ftx2jo1a.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 19 Oct 2018 15:44:20 +0200
In-Reply-To: <87ftx2jo1a.fsf@HIDDEN> (Robert Pluim's message of "Fri, 19
 Oct 2018 11:14:57 +0200")
Message-ID: <87ftx2xd8r.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 22000
Cc: 22000 <at> debbugs.gnu.org, vivek@HIDDEN,
 Stephen Berman <Stephen.Berman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

>>> I=CA=BCm seeing a *vertical* scroll bar. So probably this is just a sli=
ght
>>> miscalculation of the menubar height (but then why is it different
>>> under KDE than GNOME?). Would it make sense to start playing with
>>> gtkutil.c:MENUBAR_STYLESHEET ?
>>
>> I think so.  But I'd like to see at least one or two other persons
>> with sufficiently new GTKs kick in (Stephen, pretty please) so we get
>> a more complete picture of which problems may occur.
>
>   ".mbtrunc  * { border-width: 1px; margin-top: -2px; margin-bottom: -2px=
; }\n" \
>
> I=CA=BCm thinking maybe that margin-bottom should be 0px or something? I=
=CA=BCll
> see if I can try that later.

Further testing under KDE shows three things:

1. I get a vertical scrollbar on the right for the echo
   area/minibuffer line but not the menubar using emacs -Q on
   unmodified emacs-26, so that was not introduced by this patch

2. In unmodified emacs-26, the line separating the menu bar from the
   tool bar is solid, not dotted

3. I can get rid of the menu bar truncation issue by setting
   margin-bottom to 10px (but I still have the vertical scrollbar).


Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 19 Oct 2018 09:25:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 19 05:25:15 2018
Received: from localhost ([127.0.0.1]:58152 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDR1v-0001ke-5y
	for submit <at> debbugs.gnu.org; Fri, 19 Oct 2018 05:25:15 -0400
Received: from mail-wr1-f44.google.com ([209.85.221.44]:42711)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1gDR1t-0001kP-SD
 for 22000 <at> debbugs.gnu.org; Fri, 19 Oct 2018 05:25:14 -0400
Received: by mail-wr1-f44.google.com with SMTP id r17-v6so4295188wrt.9
 for <22000 <at> debbugs.gnu.org>; Fri, 19 Oct 2018 02:25:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version;
 bh=DuHDnqZRbL6kNbDLSbfzXdSCxvRSbISqRRclpbRg1E4=;
 b=tEzYwCYZSr4sP0xDOlMriGs/pZH4GSMtlvBkw8CV6bE+KwGJQlSZRwMHeRUomUJVPL
 DajynsDyOpObGzXS1DAQ6q3M8xmGIFUo4RLlmE96oNONVDMVn1qBB3ME6yFX3BGVsxOj
 hK8UCI25ZPcw8qVw4bilYtdHt1bljrSF7VgjPU8DkyWg9wGK+3uzwERbkBgbQFJuuV/h
 qswxA1oyWv8gABW2wJGPDEqfs9y1/RrN/QtQA5p4nIKs1uB5pASd/W0XzalA1VuxxGOA
 5FbWErWfmLa9dy2aWLoks4C9k79OokX4MPj3+YD9XW0ytNCTdRnBkxiE/xI4fzpf1VTz
 AvXA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version;
 bh=DuHDnqZRbL6kNbDLSbfzXdSCxvRSbISqRRclpbRg1E4=;
 b=D62tXr6rqU3ojNsOuiMJU2P3gPMna06Ln1noCBmjs/9hPAMt04RVGeJMjHd0iOxBOi
 y1/r3Mqk4o4jC//ZOQEMK6eMw5QUWnTHpcrm0HEZ3dPYmK9kp6/8nPyUELBLKPmihToD
 YxxudP+TVxBZGDo9EORlXADqJ78tpWUz9hoVX2WnBsQSRrRQ0J2jPYC+MBi9ZAnPafrY
 977C798yRTQfElR7rAVvPVr3RDOEcSEbxG/6CKIoJecAi4mB4mRRo00loOsMcvofj5Bo
 NPjRzK9ZWADDyJqZl+PhBU0AIrd6tGT2JAiQv8N0x5OTnVL5V7WSzZcJU4i2lgDEPPBx
 yi0Q==
X-Gm-Message-State: ABuFfoi+7M4RuF3SvTmJ0lSZWUH9QPkVWv7ujySCvExkQdONFTYHkLcj
 CJEYDrIMr5SZ67VfkubkGYY=
X-Google-Smtp-Source: ACcGV63BwuPz1COsNAxnv2i8J5vrX94qCbhsSqiBX5IAK1NIBCHz8T0cOJ2cmWWXl4hXLztB9hXmNQ==
X-Received: by 2002:a5d:568b:: with SMTP id
 f11-v6mr7776877wrv.301.1539941107927; 
 Fri, 19 Oct 2018 02:25:07 -0700 (PDT)
Received: from rpluim-ubuntu (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id o201-v6sm4170706wmg.16.2018.10.19.02.25.06
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 19 Oct 2018 02:25:07 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <5BC83F03.4050006@HIDDEN> <83pnw7qsxu.fsf@HIDDEN>
 <5BC8B792.3080806@HIDDEN> <83efcnqj4b.fsf@HIDDEN>
 <alpine.DEB.2.02.1810181809540.19047@HIDDEN>
 <87k1me4ct7.fsf@HIDDEN> <83zhvapcp9.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 19 Oct 2018 11:25:05 +0200
In-Reply-To: <83zhvapcp9.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 19 Oct
 2018 11:23:14 +0300")
Message-ID: <87bm7qjnke.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22000
Cc: 22000 <at> debbugs.gnu.org, vivek@HIDDEN, deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Robert Pluim <rpluim@HIDDEN>
>> Cc: Eli Zaretskii <eliz@HIDDEN>,  22000 <at> debbugs.gnu.org,  deng@HIDDEN
>> Date: Fri, 19 Oct 2018 09:26:28 +0200
>> 
>> In favour of putting it on emacs-26 is that it resolves the spewing of
>> 
>> Gtk-CRITICAL **: gtk_distribute_natural_allocation: assertion
>> 'extra_space >= 0' failed
>> 
>> when I run emacs with GDK scaling.
>
> Thanks.  I understand the advantages of the changeset, what I'm not
> sure about is whether these advantages outweigh the danger in putting
> such non-trivial changes on the release branch.  The glitches reported
> by you and others just in the last two days seem to indicate that we
> will be in for more surprises, don't you think?

Yes. From painful experience various versions of GTK have different
behaviours that aren't detected until the changes are more widely
deployed (but you know that :-) )

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 19 Oct 2018 09:15:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 19 05:15:08 2018
Received: from localhost ([127.0.0.1]:58148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDQs8-0001VO-3P
	for submit <at> debbugs.gnu.org; Fri, 19 Oct 2018 05:15:08 -0400
Received: from mail-wm1-f49.google.com ([209.85.128.49]:53788)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1gDQs7-0001Ui-5L
 for 22000 <at> debbugs.gnu.org; Fri, 19 Oct 2018 05:15:07 -0400
Received: by mail-wm1-f49.google.com with SMTP id y11-v6so2897709wma.3
 for <22000 <at> debbugs.gnu.org>; Fri, 19 Oct 2018 02:15:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:mail-copies-to
 :gmane-reply-to-list:date:message-id:mime-version
 :content-transfer-encoding;
 bh=EGdgspl7rYazonBmvcj1R4bvbz341iLTcQQq9Oy7bgw=;
 b=mmGXO9lwKvgeogjdQ6WGGKvKsDS87O5UakvncbeCn+jDPrbfF5bBY9sgb/x/vODQM8
 VCAMIWLTMcqpLWh5iXqrAYnd8yb3hB9EViS9Jve07w/cOuEV/ywuJDSZdNtCqzqdowOf
 Nse3piLbG2ydlHYEV7LGk0ckNh2b/Kr1h8H2qjCRJxKxVMKFuetrR6y8ESj2to+Klsb6
 +yBUUxy20iaX2c5K/C8jA52nvJcRuSG+rTRbtMD+Lp0WPJB50qNPYwFdoaF5q+6oSLL6
 ukVdjIX0pyynpON2WzaLG2qA4t3F/ZeLlEqjfSl5FWOhd4zxegPiFQe1OUpM/q9fF064
 YGJw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :mail-copies-to:gmane-reply-to-list:date:message-id:mime-version
 :content-transfer-encoding;
 bh=EGdgspl7rYazonBmvcj1R4bvbz341iLTcQQq9Oy7bgw=;
 b=cBsShmIFfonoOJukUZMP82bSabN9a/YEIaBSSvYICeVH1RRfVCzT+g4p9U9V0a6skA
 LUQ+vYv99iToVqvSZ/FxZcWuOEa74fn/XvlLHYcQ0RQ8wlxfp1NugfYxJg8TFOp+0DbO
 k4SIoMN9ctLIqn40F5lsEGKtdrxPTFtTCr/NIySPCN0hAlKVCylCc8rNh2Aw27nHyWg3
 sGKNHlvHu+gMSJXkyd4jL7TjWeeKt63dvtIYDef4LFLb9mvjTQxTBf54tqyEX7vJJhRO
 SQOr17sA3m/YNyHp39YLlLD882A8eT5ZD3edo+IH1i88At07nRxUgB5bRGbI1+UbvVNd
 x3Qw==
X-Gm-Message-State: ABuFfoh0afDFOMYjuqK21155kq7n3sqUB3lnJ0r5UbUOGn17LJ5IpFrp
 ciasMZ2lJfYXN6TxJUA/Bw0=
X-Google-Smtp-Source: ACcGV631ZZANFwlyZkfEtdPRlk4gyQrg4jVSAGPFDdu/VPiDyce72dQQ9UBe47XMuMWF0AX3cAPg6Q==
X-Received: by 2002:a1c:41c5:: with SMTP id
 o188-v6mr4260413wma.34.1539940500697; 
 Fri, 19 Oct 2018 02:15:00 -0700 (PDT)
Received: from rpluim-ubuntu (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id l70-v6sm6208135wma.0.2018.10.19.02.14.58
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 19 Oct 2018 02:14:59 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
In-Reply-To: <5BC99700.1050309@HIDDEN> (martin rudalics's message of "Fri, 19
 Oct 2018 10:34:08 +0200")
References: <87k2p8h1vn.fsf@HIDDEN>
 <alpine.DEB.2.02.1807221324380.921@HIDDEN>
 <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <83pnw7qsxu.fsf@HIDDEN> <87h8hjxrk2.fsf@HIDDEN>
 <5BC8B7A4.8020405@HIDDEN> <87ftx24c4s.fsf@HIDDEN>
 <5BC99700.1050309@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 19 Oct 2018 11:14:57 +0200
Message-ID: <87ftx2jo1a.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 22000
Cc: 22000 <at> debbugs.gnu.org, vivek@HIDDEN,
 Stephen Berman <Stephen.Berman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

martin rudalics <rudalics@HIDDEN> writes:

>> Something very strange is going on: menu-bar-scrollbar-mode is nil by
>> default, so why am I seeing a scrollbar at all?
>
> Can you please describe the steps you performed?  Is this with -Q or
> in a session where you turned the menu bar on later?

emacs -Q. But I was confused about the scrollbar :-)

>> Even stranger: with KDE I see the scrollbar, but running the same
>> emacs binary under GNOME I don=CA=BCt (and the menubar is truncated when
>> the frame is too narrow, so the functionality is fine).
>
> Is there no way to turn the scroll bar off under KDE?  Can you turn
> the scroll bar on under GNOME?

Under GNOME, I see truncation when the frame is too narrow. If I set
menu-bar-scrollbar-mode to 'always', I get a horizontal scrollbar when
the frame is too narrow. (I haven't retried KDE yet).

So it=CA=BCs all working fine, except for the visual glitch under KDE.

>> Yes. I=CA=BCm thinking there should be no scrollbar at all.
>>
>> <Coffee kicks in>
>>
>> I=CA=BCm seeing a *vertical* scroll bar. So probably this is just a slig=
ht
>> miscalculation of the menubar height (but then why is it different
>> under KDE than GNOME?). Would it make sense to start playing with
>> gtkutil.c:MENUBAR_STYLESHEET ?
>
> I think so.  But I'd like to see at least one or two other persons
> with sufficiently new GTKs kick in (Stephen, pretty please) so we get
> a more complete picture of which problems may occur.

  ".mbtrunc  * { border-width: 1px; margin-top: -2px; margin-bottom: -2px; =
}\n" \

I=CA=BCm thinking maybe that margin-bottom should be 0px or something? I=CA=
=BCll
see if I can try that later.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 19 Oct 2018 08:34:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 19 04:34:28 2018
Received: from localhost ([127.0.0.1]:58118 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDQEm-0000Rb-OL
	for submit <at> debbugs.gnu.org; Fri, 19 Oct 2018 04:34:28 -0400
Received: from mout.gmx.net ([212.227.15.18]:41057)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gDQEl-0000RP-MC
 for 22000 <at> debbugs.gnu.org; Fri, 19 Oct 2018 04:34:28 -0400
Received: from [192.168.1.101] ([212.95.5.57]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MbxJ8-1fxXHI0mV4-00JNtn; Fri, 19
 Oct 2018 10:34:18 +0200
Received: from [192.168.1.101] ([212.95.5.57]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MbxJ8-1fxXHI0mV4-00JNtn; Fri, 19
 Oct 2018 10:34:18 +0200
Message-ID: <5BC99700.1050309@HIDDEN>
Date: Fri, 19 Oct 2018 10:34:08 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN>	<alpine.DEB.2.02.1807211421040.921@HIDDEN>	<5B543148.1010004@HIDDEN>	<alpine.DEB.2.02.1807221324380.921@HIDDEN>	<5B557ACA.4020106@HIDDEN>	<alpine.DEB.2.02.1810111400480.5980@HIDDEN>	<5BBF93CF.4060301@HIDDEN>	<alpine.DEB.2.02.1810112148100.5980@HIDDEN>	<5BC05EEB.9010609@HIDDEN>	<alpine.DEB.2.02.1810121316230.5980@HIDDEN>	<5BC0E405.90805@HIDDEN>	<alpine.DEB.2.02.1810121917570.5980@HIDDEN>	<5BC1AAE2.7070808@HIDDEN>	<alpine.DEB.2.02.1810151455060.19047@HIDDEN>	<5BC4DB0E.3050501@HIDDEN>	<alpine.DEB.2.02.1810161954120.19047@HIDDEN>	<5BC6E4F2.2030607@HIDDEN>	<alpine.DEB.2.02.1810180200180.19047@HIDDEN>	<83pnw7qsxu.fsf@HIDDEN>
 <87h8hjxrk2.fsf@HIDDEN>	<5BC8B7A4.8020405@HIDDEN>
 <87ftx24c4s.fsf@HIDDEN>
In-Reply-To: <87ftx24c4s.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:zvby0HDOT3V7NDKCGyrwFI9lczF+tUQ6Dh3ReLhX43fhSU3mQ/R
 S5SV27sGvuJZm3pHX33hMFpjEwxp+gEKx7Oc0ydfMD+/dnVf+8ydiSu7GoXyUG1bsT0QMCa
 cTr9lpJAxNvkL3qkkrSJ6Vk1h0j1yQH02Gx0qvRldcSR7IeN6OgfmcEelMrI69+XvHaCPcK
 FuC+bYYgd01IHPJZtEpYA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:C4mHTQGO7sE=:hR5vOvskfH2Gw6pfPVlddi
 B2Zq6XfTVqCVjHm/nvGCHFte4sbY8s1dNAHRFS7QtP3TIJAQ4iOrxcr7DD2GYNsQIulswCbWN
 2WrDep47LAom6Fvp20sXWGHKhHP1XpulMd5+MsuMHU6AMmb5OrSXgeWP1q+74QEoPEtxxSx3K
 7OC2r3PW0SG9rU5W43vRA4MO9nqZuOV7M6Qg+D5WkeoqaYd+ZPJ8SracmTkFRr5qPeq4vqtI6
 yWojIv/Fe51etZBt8f6lUTTka32MmqhG+SMuCqMW0YqWHrWTzvUfX2pOBHuR0/XLflTqERgfZ
 b6nIkovzydaAX/Jmag3uiJz2hXOFTiP0rT1gqfv+pmBD6LAoEmqkepoPLNeeuFmsWutR4pf78
 FTpSGokLRIN69nViEn1VVtB/oQPFk20pdgtCo+IF0+Rxzm+tEQ2R9iROf/KpzvMOC4Pnn7lID
 KWcD9wvIbR48IAqp9GogLTYyV9Bl8vJlM5zjIwSwzpeGh1c1qkFihX3s/excI8acj1ZriCu49
 86cVD95f3wdm6GyUqohy856mCMqQvpvezqjh9FoQ8PZ1x1ut1V22PekFH6PpfkIHTd8mO0btc
 AUGnX2HDeEz8ZW2y1BKhaPwMCZ/s3Y0yGZ/lf92uiF4RvorcWWDIxbDC9lqwXx57LfsLlqNiR
 09aKTstPLKkCSwO+4nxCN5MjAsDhxpiL8Sv+trmxWcWhDR3s0iNQfiJFja54Ubkt9V1b0NO7x
 tdVE2pQ/3JcXbm8S0Fwoe0r4FjnmqqC2xpJxSUeuOv0bPANFSS0pANRoL6A0hLANgzRGZXBs1
 YiaRX+TcWkXxj+KwynnkcE/LrWkvjnAa1mswDye8ToUumksRe4=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22000
Cc: Eli Zaretskii <eliz@HIDDEN>, 22000 <at> debbugs.gnu.org, vivek@HIDDEN,
 Stephen Berman <Stephen.Berman@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Something very strange is going on: menu-bar-scrollbar-mode is nil by
 > default, so why am I seeing a scrollbar at all?

Can you please describe the steps you performed?  Is this with -Q or
in a session where you turned the menu bar on later?

 > Even stranger: with KDE I see the scrollbar, but running the same
 > emacs binary under GNOME I don=CA=BCt (and the menubar is truncated wh=
en
 > the frame is too narrow, so the functionality is fine).

Is there no way to turn the scroll bar off under KDE?  Can you turn
the scroll bar on under GNOME?

 > Yes. I=CA=BCm thinking there should be no scrollbar at all.
 >
 > <Coffee kicks in>
 >
 > I=CA=BCm seeing a *vertical* scroll bar. So probably this is just a sl=
ight
 > miscalculation of the menubar height (but then why is it different
 > under KDE than GNOME?). Would it make sense to start playing with
 > gtkutil.c:MENUBAR_STYLESHEET ?

I think so.  But I'd like to see at least one or two other persons
with sufficiently new GTKs kick in (Stephen, pretty please) so we get
a more complete picture of which problems may occur.

Thanks, martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 19 Oct 2018 08:24:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 19 04:24:17 2018
Received: from localhost ([127.0.0.1]:58106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDQ4t-00009z-Gw
	for submit <at> debbugs.gnu.org; Fri, 19 Oct 2018 04:24:17 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45389)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gDQ4r-00009i-Qq
 for 22000 <at> debbugs.gnu.org; Fri, 19 Oct 2018 04:24:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gDQ4X-0006Oq-RN
 for 22000 <at> debbugs.gnu.org; Fri, 19 Oct 2018 04:23:59 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:51767)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gDQ4F-0005YI-KA; Fri, 19 Oct 2018 04:23:35 -0400
Received: from [176.228.60.248] (port=4065 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gDQ4F-0008Nz-5c; Fri, 19 Oct 2018 04:23:35 -0400
Date: Fri, 19 Oct 2018 11:23:14 +0300
Message-Id: <83zhvapcp9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <87k1me4ct7.fsf@HIDDEN> (message from Robert Pluim on Fri, 19
 Oct 2018 09:26:28 +0200)
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN>
 <alpine.DEB.2.02.1807221324380.921@HIDDEN>
 <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <5BC83F03.4050006@HIDDEN> <83pnw7qsxu.fsf@HIDDEN>
 <5BC8B792.3080806@HIDDEN> <83efcnqj4b.fsf@HIDDEN>
 <alpine.DEB.2.02.1810181809540.19047@HIDDEN>
 <87k1me4ct7.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22000
Cc: 22000 <at> debbugs.gnu.org, vivek@HIDDEN, deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  22000 <at> debbugs.gnu.org,  deng@HIDDEN
> Date: Fri, 19 Oct 2018 09:26:28 +0200
> 
> In favour of putting it on emacs-26 is that it resolves the spewing of
> 
> Gtk-CRITICAL **: gtk_distribute_natural_allocation: assertion
> 'extra_space >= 0' failed
> 
> when I run emacs with GDK scaling.

Thanks.  I understand the advantages of the changeset, what I'm not
sure about is whether these advantages outweigh the danger in putting
such non-trivial changes on the release branch.  The glitches reported
by you and others just in the last two days seem to indicate that we
will be in for more surprises, don't you think?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 19 Oct 2018 07:41:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 19 03:41:19 2018
Received: from localhost ([127.0.0.1]:58083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDPPL-0007XS-3R
	for submit <at> debbugs.gnu.org; Fri, 19 Oct 2018 03:41:19 -0400
Received: from mail-wm1-f51.google.com ([209.85.128.51]:35520)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1gDPPI-0007X2-1D
 for 22000 <at> debbugs.gnu.org; Fri, 19 Oct 2018 03:41:16 -0400
Received: by mail-wm1-f51.google.com with SMTP id o17-v6so1962639wmh.0
 for <22000 <at> debbugs.gnu.org>; Fri, 19 Oct 2018 00:41:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=MinLutbLh6wPficN9RaCBeA84fwp2etBnw6FYqmoPCQ=;
 b=qgreuIFxKBw9ti7Wf4ANuizTi1N6wOmDIhlXklrOO7ybiV8i+zLVjyZm3R1Aw32CHr
 OOvC+Mv6wfW19jvzcSyfmf5wlrHdnGg58vPjOKhMNcQV3ft0QOXl0uTQOqdMYaVfI7C1
 yfW5nCdxWs4/jnry7isfD8MG2JZVgxSJErJ+DwG2JIGdcn+otqNhrZ76qbei/D1qTfiM
 y+8AdLv3rqj0oLli8tya1N8I5rUrrS0HMpyRVo7nWUuq9PiqnylaXtOnmpVF/eUaQp6E
 tp2Ni99s/3T332doEvYPINw9/kS7HXZkfvESBBTsx8gBIY73h8+N3HoM29hXKUcqiAho
 xzNw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=MinLutbLh6wPficN9RaCBeA84fwp2etBnw6FYqmoPCQ=;
 b=uRYjHmSzkW4/JIc0tOEbB30yUUW27azE/nsssZ8Jhzv9rZrMyInX2+R3oYLytLDEcr
 FQar1vlPIDaM50nRenHrZ7wFFZ4ZUBt1u5U5dlp8cxNyWPozTmjLSy65ueM3scXswYjO
 yybztjKGw14a88GNd0nTMEyTOQkE+m5qpqz4/wPjtvQxMOQBATvCBElkqWDhOmliLXs6
 Bvi81aYTCOUA50SEJa4kNodeqyP4eNsdL1kaUPlllLFcyi35uN39islBVqz8I38q4lWr
 seMIiRycjkQ3sNEpoqWiW54xqpUndpx3GcCCZl9ghXrsbxY0/RnM4jInNQZ5g5Sh1AgI
 xCnQ==
X-Gm-Message-State: ABuFfoibGKZabC1XuBiGgMOJTiWVL7QdZvY3bXQ2J3KAoNjK1iP3I1yw
 5c6H9AYoOnw4bVRPZrhViKc=
X-Google-Smtp-Source: ACcGV630qfOw/i2mjnwj/piOO/1z1ThtV0x+oEN83n8Pg8xBbaDdcDe8O8dehBIUpKfy6aIfWrUaGg==
X-Received: by 2002:a1c:87ca:: with SMTP id
 j193-v6mr3340328wmd.99.1539934870072; 
 Fri, 19 Oct 2018 00:41:10 -0700 (PDT)
Received: from rpluim-ubuntu (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id w4-v6sm23520924wra.83.2018.10.19.00.41.08
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 19 Oct 2018 00:41:09 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN>
 <alpine.DEB.2.02.1807211421040.921@HIDDEN>
 <5B543148.1010004@HIDDEN>
 <alpine.DEB.2.02.1807221324380.921@HIDDEN>
 <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <83pnw7qsxu.fsf@HIDDEN> <87h8hjxrk2.fsf@HIDDEN>
 <5BC8B7A4.8020405@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 19 Oct 2018 09:41:07 +0200
In-Reply-To: <5BC8B7A4.8020405@HIDDEN> (martin rudalics's message of "Thu, 18
 Oct 2018 18:41:08 +0200")
Message-ID: <87ftx24c4s.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 22000
Cc: Eli Zaretskii <eliz@HIDDEN>, 22000 <at> debbugs.gnu.org, vivek@HIDDEN,
 deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

martin rudalics <rudalics@HIDDEN> writes:

>> I=CA=BCve tried the patch now,
>
> Thank you.  Please try also customizing the option from the menu bar
> and please also try its main feature: Make the frame sufficently
> narrow, type M-x dired RET RET, and test whether the menu bar gets
> truncated instead of resizing the frame.
>

Something very strange is going on: menu-bar-scrollbar-mode is nil by
default, so why am I seeing a scrollbar at all?

Even stranger: with KDE I see the scrollbar, but running the same
emacs binary under GNOME I don=CA=BCt (and the menubar is truncated when
the frame is too narrow, so the functionality is fine).

>>  and am seeing some minor display glitches
>> from emacs -Q. The space allocated for the menu bar seems slightly too
>> small, resulting in a dotted line underneath it, see screenshot. This
>> is with gtk 3.22.30.
>
> From that screenshot it's also evident that descenders are truncated,
> in particular the "p" in Options, Help ...

Yes. I=CA=BCm thinking there should be no scrollbar at all.

<Coffee kicks in>

I=CA=BCm seeing a *vertical* scroll bar. So probably this is just a slight
miscalculation of the menubar height (but then why is it different
under KDE than GNOME?). Would it make sense to start playing with
gtkutil.c:MENUBAR_STYLESHEET ?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 19 Oct 2018 07:26:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 19 03:26:39 2018
Received: from localhost ([127.0.0.1]:58061 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDPB9-0007Ab-Fq
	for submit <at> debbugs.gnu.org; Fri, 19 Oct 2018 03:26:39 -0400
Received: from mail-wm1-f42.google.com ([209.85.128.42]:37438)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1gDPB7-0007AP-CI
 for 22000 <at> debbugs.gnu.org; Fri, 19 Oct 2018 03:26:38 -0400
Received: by mail-wm1-f42.google.com with SMTP id 185-v6so2663887wmt.2
 for <22000 <at> debbugs.gnu.org>; Fri, 19 Oct 2018 00:26:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version;
 bh=5Qk9voAJwSEjgfWoJqr5mRcDKWKnxB9TmJ9nIOE9a5s=;
 b=nw9sMlv6bvA7r6kRNKg+jlBbw+lkEiIvuoMohqpxojEZl4F+uU74kbniLfpaNTsTIV
 WUTlq5bqQD+KWlhnsktLbGY1lxvPvakIiSkJUguz5wJjj8IUK/waGW/463DpQE0Nme2S
 jqgFiIRrrxjfTDlJ823krp1ztuabtaADjvsipwtJj0NpFCpjRzIwYSIok/e86GIoTBFY
 sYUi2tCM3Jq3w1x8nged2XnE4c8kTSTCtRLmtqUzlQKjtpmxNChcUvmGZyliP9Ws5B3z
 zH7OqF3UEGBtyK5+Z+RUT8d/KKOt8M1M9dD1CyAYS4HNpzStT93W8qrjvegRRw+O6MO3
 Uc6Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version;
 bh=5Qk9voAJwSEjgfWoJqr5mRcDKWKnxB9TmJ9nIOE9a5s=;
 b=jA5MvBX4wEOPR14tCG6wkAUGoNr596Z+kNb/ZoeYYIqPRc8OZKGu4U1ZzA/tiVTUif
 y5e1BCpIgIkvyQxbR15oFgbKHFfBictjpo61k7WNZslubs1xfAyutC54KgGmRFdEPENC
 YVcUeLXv9e6DnTC0nDf5F5p3NViV5RkR3wt8w7TYTdwl6Zu2NuxbDdorXdN8lYCsxj/O
 14bYznEcJMwXJ7xID8CEB9+B63th0n99Io5W9js3Dmrgp+CXndJq+bswSyDONHxiRIgc
 zspU+cqNcWgbt/CY+90mnXoHzfZWZibXYL43tH8fkN6DlPSEetvxxUyFhg8tSn86QKAD
 GhSA==
X-Gm-Message-State: ABuFfojQUXsubLRXsPTnZphMQ4KHL4hEOJF/AojGBobDLBNan2xOj+UV
 c7om2iqYErnWi+pis5Dd47s=
X-Google-Smtp-Source: ACcGV60a8qcmIAmif+BS2PBxsiGBnVPu23FFjJFdoAkSYODa3Ey1au6oUQCDAbragb7X91b5Tl5Ydw==
X-Received: by 2002:a1c:8fcc:: with SMTP id
 r195-v6mr3741433wmd.44.1539933991302; 
 Fri, 19 Oct 2018 00:26:31 -0700 (PDT)
Received: from rpluim-ubuntu (vav06-1-78-207-202-134.fbx.proxad.net.
 [78.207.202.134])
 by smtp.gmail.com with ESMTPSA id y16-v6sm4420884wru.18.2018.10.19.00.26.29
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 19 Oct 2018 00:26:30 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Vivek Dasmohapatra <vivek@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN>
 <alpine.DEB.2.02.1807221324380.921@HIDDEN>
 <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <5BC83F03.4050006@HIDDEN> <83pnw7qsxu.fsf@HIDDEN>
 <5BC8B792.3080806@HIDDEN> <83efcnqj4b.fsf@HIDDEN>
 <alpine.DEB.2.02.1810181809540.19047@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 19 Oct 2018 09:26:28 +0200
In-Reply-To: <alpine.DEB.2.02.1810181809540.19047@HIDDEN>
 (Vivek Dasmohapatra's message of "Thu, 18 Oct 2018 18:13:06 +0100
 (BST)")
Message-ID: <87k1me4ct7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 22000
Cc: Eli Zaretskii <eliz@HIDDEN>, 22000 <at> debbugs.gnu.org, deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Vivek Dasmohapatra <vivek@HIDDEN> writes:

>> Oh, I'm quite sure we want this on master, I'm just struggling with
>> the idea of having all that non-trivial code on the release branch.
>>
>> Does anyone else have an opinion, or can offer one?
>
> Only that I find the current size-jitter extremely annoying, which
> is admittedly a very subjective thing. The actual merge window does
> not matter so much to me because, well, I already have a patched
> emacs on my system(s) by this point.

In favour of putting it on emacs-26 is that it resolves the spewing of

Gtk-CRITICAL **: gtk_distribute_natural_allocation: assertion
'extra_space >= 0' failed

when I run emacs with GDK scaling.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 19 Oct 2018 06:24:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 19 02:24:16 2018
Received: from localhost ([127.0.0.1]:58035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDOCm-0005kT-NO
	for submit <at> debbugs.gnu.org; Fri, 19 Oct 2018 02:24:16 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39091)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gDOCl-0005kE-97
 for 22000 <at> debbugs.gnu.org; Fri, 19 Oct 2018 02:24:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gDOCb-0005xE-P4
 for 22000 <at> debbugs.gnu.org; Fri, 19 Oct 2018 02:24:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50065)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gDOCH-0005Hn-0X; Fri, 19 Oct 2018 02:23:46 -0400
Received: from [176.228.60.248] (port=4462 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gDOCG-0000kW-Jf; Fri, 19 Oct 2018 02:23:44 -0400
Date: Fri, 19 Oct 2018 09:23:23 +0300
Message-Id: <835zxyqwtg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <766dc2b9-7931-48b2-b2f2-6b57d7ca85dd@default> (message from Drew
 Adams on Thu, 18 Oct 2018 12:55:09 -0700 (PDT))
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN> <5B52E425.8010608@HIDDEN>
 <alpine.DEB.2.02.1807211421040.921@HIDDEN>
 <5B543148.1010004@HIDDEN>
 <alpine.DEB.2.02.1807221324380.921@HIDDEN>
 <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <5BC83F03.4050006@HIDDEN>
 <alpine.DEB.2.02.1810181321230.19047@HIDDEN>
 <83o9brqs6e.fsf@HIDDEN>
 <alpine.DEB.2.02.1810181813500.19047@HIDDEN>
 <83bm7rqfpo.fsf@HIDDEN> <766dc2b9-7931-48b2-b2f2-6b57d7ca85dd@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22000
Cc: 22000 <at> debbugs.gnu.org, vivek@HIDDEN, deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Thu, 18 Oct 2018 12:55:09 -0700 (PDT)
> From: Drew Adams <drew.adams@HIDDEN>
> Cc: 22000 <at> debbugs.gnu.org, deng@HIDDEN
> 
> FWIW - AFAIK, it is not Emacs convention to add a blank line between
> the first and second lines of text in a doc string.

Quite a few of doc strings do leave an empty line there, and I find
nothing wrong with that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 18 Oct 2018 19:55:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 15:55:21 2018
Received: from localhost ([127.0.0.1]:57432 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDEO9-0005Gp-A9
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2018 15:55:21 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:52528)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1gDEO5-0005GY-Jv
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 15:55:19 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.22/8.16.0.22) with SMTP id w9IJrTgd147093;
 Thu, 18 Oct 2018 19:55:11 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=ZnaAGa3hCEYes8QJpQ05v55sGQ7Y5gzDD/jbt/xDxDE=;
 b=umqLMIWRlRZowSw937Bi5VcBM5X1g0v5dZwwOiu/JrMLHjlz1qp3iSZzSPIGH0leZIVv
 A9Z4im8g6CKYMWwXSvHKHCYW4x3kvxSD5uwyBIF8mDlDkbw+f0T+7tMRD0VUw82t3+PR
 2T5HSzaUc5g0kJzz2WuTtBAJ+ygpmSmSnl4u4s2RHamZT7i/QUK+5qxj4q6PFDQDVnEL
 jkm0VMb/K4DuuJCOMakbxJCSj8G66J+49Qn3bTCYtemGGC+6e2wugKqKuOGNZ2yvYAe4
 E5bux3VWcx5nripjFtW3vOkq8qO1+uWENGKQglmrVq4Q6gBRdua5IXj/KdPismmYnd5g bg== 
Received: from userv0022.oracle.com (userv0022.oracle.com [156.151.31.74])
 by userp2120.oracle.com with ESMTP id 2n39brrgmj-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 18 Oct 2018 19:55:11 +0000
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by userv0022.oracle.com (8.14.4/8.14.4) with ESMTP id w9IJtBEk013096
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 18 Oct 2018 19:55:11 GMT
Received: from abhmp0011.oracle.com (abhmp0011.oracle.com [141.146.116.17])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id w9IJtAef022726;
 Thu, 18 Oct 2018 19:55:10 GMT
MIME-Version: 1.0
Message-ID: <766dc2b9-7931-48b2-b2f2-6b57d7ca85dd@default>
Date: Thu, 18 Oct 2018 12:55:09 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Vivek Dasmohapatra <vivek@HIDDEN>
Subject: RE: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN> <5B52E425.8010608@HIDDEN>
 <alpine.DEB.2.02.1807211421040.921@HIDDEN>
 <5B543148.1010004@HIDDEN>
 <alpine.DEB.2.02.1807221324380.921@HIDDEN>
 <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <5BC83F03.4050006@HIDDEN>
 <alpine.DEB.2.02.1810181321230.19047@HIDDEN>
 <83o9brqs6e.fsf@HIDDEN>
 <alpine.DEB.2.02.1810181813500.19047@HIDDEN>
 <83bm7rqfpo.fsf@HIDDEN>
In-Reply-To: <83bm7rqfpo.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4756.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=5900 definitions=9050
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1807170000 definitions=main-1810180166
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 22000
Cc: 22000 <at> debbugs.gnu.org, deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>   (defun menu-bar-scrollbar-mode (&optional mode)
>     "Cycle through scroll/truncate/resize modes for GTK menu bars.
>=20
>   If the optional parameter MODE is specified then apply that instead.
>   The new mode is stored in the variable `menu-bar-scrollbar-mode' via
>   the custom interface (but not automatically saved).
>=20
>   Returns the new MODE.
>=20
>   NOTE: pass 'default if you want to set the mode explicitly to nil.
>=20
>   See `menu-bar-scrollbar' in Info node `(elisp)Layout Parameters' for de=
tails."

FWIW - AFAIK, it is not Emacs convention to add a blank line between
the first and second lines of text in a doc string.

I believe the conventional approach is this:

"Cycle through scroll/truncate/resize modes for GTK menu bars.
If the optional parameter MODE is specified then apply that instead.
..."

not this:

"Cycle through scroll/truncate/resize modes for GTK menu bars.

If the optional parameter MODE is specified then apply that instead.
..."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 18 Oct 2018 18:34:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 14:34:27 2018
Received: from localhost ([127.0.0.1]:57367 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDD7r-00017w-H2
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2018 14:34:27 -0400
Received: from ceres.etla.org ([85.119.82.193]:47649)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivek@HIDDEN>) id 1gDD7q-00017o-5p
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 14:34:26 -0400
Received: from yaffle.pepperfish.net ([88.99.213.221] helo=[10.112.101.20])
 by ceres.etla.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <vivek@HIDDEN>)
 id 1gDD7p-0006xx-8C; Thu, 18 Oct 2018 19:34:25 +0100
Date: Thu, 18 Oct 2018 19:34:24 +0100 (BST)
From: Vivek Dasmohapatra <vivek@HIDDEN>
X-X-Sender: vivek@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
In-Reply-To: <83d0s7qfvq.fsf@HIDDEN>
Message-ID: <alpine.DEB.2.02.1810181933260.19047@HIDDEN>
References: <87k2p8h1vn.fsf@HIDDEN> <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <5BC83F03.4050006@HIDDEN>
 <alpine.DEB.2.02.1810181321230.19047@HIDDEN>
 <87pnw7xvxm.fsf@HIDDEN>
 <alpine.DEB.2.02.1810181416130.19047@HIDDEN>
 <83murbqrxx.fsf@HIDDEN>
 <alpine.DEB.2.02.1810181806430.19047@HIDDEN>
 <83d0s7qfvq.fsf@HIDDEN>
User-Agent: Alpine 2.02 (DEB 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam_report: Spam detection software, running on the system "ceres.etla.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  >> I had to call it something - root window already means
 something else in X. >> I just meant the top-level enclosing widget. I am
 happy do describe it with >> any reasonably accurate term. > > I guess I'm
 asking why not just say "frame"? [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 0.0 AWL AWL: Adjusted score from AWL reputation of From: address
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22000
Cc: rpluim@HIDDEN, 22000 <at> debbugs.gnu.org, deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> I had to call it something - root window already means something else in X.
>> I just meant the top-level enclosing widget. I am happy do describe it with
>> any reasonably accurate term.
>
> I guess I'm asking why not just say "frame"?

A fair question. I think I was just confused from hopping between X, GTK 
and emacs terminology while investigating the bug. I'll do that.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 18 Oct 2018 18:32:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 14:32:10 2018
Received: from localhost ([127.0.0.1]:57363 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDD5e-00014n-5Q
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2018 14:32:10 -0400
Received: from ceres.etla.org ([85.119.82.193]:35925)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivek@HIDDEN>) id 1gDD5d-00014g-8h
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 14:32:09 -0400
Received: from yaffle.pepperfish.net ([88.99.213.221] helo=[10.112.101.20])
 by ceres.etla.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <vivek@HIDDEN>)
 id 1gDD5b-0006up-IN; Thu, 18 Oct 2018 19:32:07 +0100
Date: Thu, 18 Oct 2018 19:32:05 +0100 (BST)
From: Vivek Dasmohapatra <vivek@HIDDEN>
X-X-Sender: vivek@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
In-Reply-To: <83bm7rqfpo.fsf@HIDDEN>
Message-ID: <alpine.DEB.2.02.1810181931080.19047@HIDDEN>
References: <87k2p8h1vn.fsf@HIDDEN> <5B543148.1010004@HIDDEN>
 <alpine.DEB.2.02.1807221324380.921@HIDDEN>
 <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <5BC83F03.4050006@HIDDEN>
 <alpine.DEB.2.02.1810181321230.19047@HIDDEN>
 <83o9brqs6e.fsf@HIDDEN>
 <alpine.DEB.2.02.1810181813500.19047@HIDDEN>
 <83bm7rqfpo.fsf@HIDDEN>
User-Agent: Alpine 2.02 (DEB 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam_report: Spam detection software, running on the system "ceres.etla.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Thu, 18 Oct 2018, Eli Zaretskii wrote: > Sure, but why
 not have them literally, so that reading the doc string > in the code will
 also be easier. Like this: Oh, right! Sure, no problem. I vaguely recall
 some problem with docstring highlighting but that was years ago (sometime
 around emacs 19?). [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 0.0 AWL AWL: Adjusted score from AWL reputation of From: address
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22000
Cc: rudalics@HIDDEN, 22000 <at> debbugs.gnu.org, deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thu, 18 Oct 2018, Eli Zaretskii wrote:

> Sure, but why not have them literally, so that reading the doc string
> in the code will also be easier.  Like this:

Oh, right! Sure, no problem. I vaguely recall some problem with docstring
highlighting but that was years ago (sometime around emacs 19?).





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 18 Oct 2018 18:21:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 14:21:21 2018
Received: from localhost ([127.0.0.1]:57358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDCvB-0000oC-11
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2018 14:21:21 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53520)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gDCv8-0000nz-LI
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 14:21:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gDCv0-0004mh-BI
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 14:21:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:38371)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gDCup-0004Vq-UI; Thu, 18 Oct 2018 14:20:59 -0400
Received: from [176.228.60.248] (port=3394 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gDCup-0006ve-Cg; Thu, 18 Oct 2018 14:20:59 -0400
Date: Thu, 18 Oct 2018 21:20:35 +0300
Message-Id: <83bm7rqfpo.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Vivek Dasmohapatra <vivek@HIDDEN>
In-reply-to: <alpine.DEB.2.02.1810181813500.19047@HIDDEN>
 (message from Vivek Dasmohapatra on Thu, 18 Oct 2018 18:26:34 +0100
 (BST))
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN> <5B52E425.8010608@HIDDEN>
 <alpine.DEB.2.02.1807211421040.921@HIDDEN>
 <5B543148.1010004@HIDDEN>
 <alpine.DEB.2.02.1807221324380.921@HIDDEN>
 <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <5BC83F03.4050006@HIDDEN>
 <alpine.DEB.2.02.1810181321230.19047@HIDDEN>
 <83o9brqs6e.fsf@HIDDEN>
 <alpine.DEB.2.02.1810181813500.19047@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22000
Cc: rudalics@HIDDEN, 22000 <at> debbugs.gnu.org, deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Thu, 18 Oct 2018 18:26:34 +0100 (BST)
> From: Vivek Dasmohapatra <vivek@HIDDEN>
> cc: rudalics@HIDDEN, 22000 <at> debbugs.gnu.org, deng@HIDDEN
> 
> >> +   nil (or any other value) - the menu bar is truncated\n
> >> +Note that prior to GTK 3.16 truncation is not possible and the default
> >> +is equivalent to 'forced-resize.\n
> >
> > Do you really need these explicit \n newlines?
> 
> I wouldn't say need but I find they make the documentation more readable, 
> per item 3 in (elisp)Top > Tips > Documentation tips … D.6 Tips for…

Sure, but why not have them literally, so that reading the doc string
in the code will also be easier.  Like this:

  (defun menu-bar-scrollbar-mode (&optional mode)
    "Cycle through scroll/truncate/resize modes for GTK menu bars.

  If the optional parameter MODE is specified then apply that instead.
  The new mode is stored in the variable `menu-bar-scrollbar-mode' via
  the custom interface (but not automatically saved).

  Returns the new MODE.

  NOTE: pass 'default if you want to set the mode explicitly to nil.

  See `menu-bar-scrollbar' in Info node `(elisp)Layout Parameters' for details."

> I will make the other changes suggested (to which I have not responded
> individually here).

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 18 Oct 2018 18:17:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 14:17:47 2018
Received: from localhost ([127.0.0.1]:57350 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDCrj-0000iD-1r
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2018 14:17:47 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51973)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gDCrh-0000i1-Jm
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 14:17:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gDCrZ-0007PJ-0A
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 14:17:40 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:38309)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gDCrK-00077h-Gi; Thu, 18 Oct 2018 14:17:23 -0400
Received: from [176.228.60.248] (port=3171 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gDCrK-0006Ze-0q; Thu, 18 Oct 2018 14:17:22 -0400
Date: Thu, 18 Oct 2018 21:16:57 +0300
Message-Id: <83d0s7qfvq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Vivek Dasmohapatra <vivek@HIDDEN>
In-reply-to: <alpine.DEB.2.02.1810181806430.19047@HIDDEN>
 (message from Vivek Dasmohapatra on Thu, 18 Oct 2018 18:08:42 +0100
 (BST))
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN> <5B543148.1010004@HIDDEN>
 <alpine.DEB.2.02.1807221324380.921@HIDDEN>
 <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <5BC83F03.4050006@HIDDEN>
 <alpine.DEB.2.02.1810181321230.19047@HIDDEN>
 <87pnw7xvxm.fsf@HIDDEN>
 <alpine.DEB.2.02.1810181416130.19047@HIDDEN>
 <83murbqrxx.fsf@HIDDEN>
 <alpine.DEB.2.02.1810181806430.19047@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22000
Cc: rpluim@HIDDEN, 22000 <at> debbugs.gnu.org, deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Thu, 18 Oct 2018 18:08:42 +0100 (BST)
> From: Vivek Dasmohapatra <vivek@HIDDEN>
> cc: rpluim@HIDDEN, 22000 <at> debbugs.gnu.org, deng@HIDDEN
> 
> > Maybe I misunderstand you: what other frames, except "root frames" do
> > you see in Emacs?
> 
> I had to call it something - root window already means something else in X.
> I just meant the top-level enclosing widget. I am happy do describe it with
> any reasonably accurate term.

I guess I'm asking why not just say "frame"?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 18 Oct 2018 17:26:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 13:26:38 2018
Received: from localhost ([127.0.0.1]:57338 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDC4E-0007wi-0i
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2018 13:26:38 -0400
Received: from ceres.etla.org ([85.119.82.193]:34005)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivek@HIDDEN>) id 1gDC4C-0007wa-3h
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 13:26:36 -0400
Received: from yaffle.pepperfish.net ([88.99.213.221] helo=[10.112.101.20])
 by ceres.etla.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <vivek@HIDDEN>)
 id 1gDC4A-0006Ch-Hm; Thu, 18 Oct 2018 18:26:34 +0100
Date: Thu, 18 Oct 2018 18:26:34 +0100 (BST)
From: Vivek Dasmohapatra <vivek@HIDDEN>
X-X-Sender: vivek@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
In-Reply-To: <83o9brqs6e.fsf@HIDDEN>
Message-ID: <alpine.DEB.2.02.1810181813500.19047@HIDDEN>
References: <87k2p8h1vn.fsf@HIDDEN> <5B52E425.8010608@HIDDEN>
 <alpine.DEB.2.02.1807211421040.921@HIDDEN>
 <5B543148.1010004@HIDDEN>
 <alpine.DEB.2.02.1807221324380.921@HIDDEN>
 <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <5BC83F03.4050006@HIDDEN>
 <alpine.DEB.2.02.1810181321230.19047@HIDDEN>
 <83o9brqs6e.fsf@HIDDEN>
User-Agent: Alpine 2.02 (DEB 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: MULTIPART/MIXED; BOUNDARY="8323329-901760997-1539883594=:19047"
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam_report: Spam detection software, running on the system "ceres.etla.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: >> +(defcustom menu-bar-scrollbar-mode nil >> + "Specify how
 GTK menu bars deal with the frame being too narrow to hold them.\n >> +Valid
 values are: >> + `always' - the menu bar always has a scrollbar >> +
 `automatic'
 - a scrollbar is added when required >> + `forced-resize' - no scrollbar,
 the frame is forced to resize to accommodate >> + the menu bar. >> + nil
 (or any other value) - the menu bar is truncated\n >> +Note that prior to
 GTK 3.16 truncation is not possible and the default >> +is equivalent to
 'forced-resize.\n
 > > Do you really need these explicit \n newlines? [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 0.0 AWL AWL: Adjusted score from AWL reputation of From: address
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22000
Cc: rudalics@HIDDEN, 22000 <at> debbugs.gnu.org, deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

  This message is in MIME format.  The first part should be readable text,
  while the remaining parts are likely unreadable without MIME-aware tools.

--8323329-901760997-1539883594=:19047
Content-Type: TEXT/PLAIN; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8BIT

>> +(defcustom menu-bar-scrollbar-mode nil
>> +      "Specify how GTK menu bars deal with the frame being too narrow to hold them.\n
>> +Valid values are:
>> +  `always'        - the menu bar always has a scrollbar
>> +  `automatic'     - a scrollbar is added when required
>> +  `forced-resize' - no scrollbar, the frame is forced to resize to accommodate
>> +                    the menu bar.
>> +   nil (or any other value) - the menu bar is truncated\n
>> +Note that prior to GTK 3.16 truncation is not possible and the default
>> +is equivalent to 'forced-resize.\n
>
> Do you really need these explicit \n newlines?

I wouldn't say need but I find they make the documentation more readable, 
per item 3 in (elisp)Top > Tips > Documentation tips … D.6 Tips for…

> More generally, shouldn't this mode have "gtk" somewhere in the name?
> Or, if we hope to implement it for other toolkits at some future date,
> the doc string should not say "GTK menu bars", it should say "menu
> bars" and then have a note that this currently has effect only with
> GTK menus.

I prefer the second option, I will adjust the docstrings accordingly.

>> +(defun menu-bar-showhide-menu-bar-scrollbar-mode-customize-nil ()
>> +  "Truncate the menu bar to fit the frame."
>> +  (interactive)
>> +  (customize-set-variable 'menu-bar-scrollbar-mode 'default))
>
> I think doc strings of these functions are too laconic for interactive
> functions.

AIUI they are interactive purely because that is a requirement for the
way they are used by the menu infrastructure, not because they are
intended to be used as commands with M-x or similar by the user.

The other …-customize-… shim commands in that file are similarly laconically
documented. However if the objection still stands, I will add more verbose
docstrings.

I will make the other changes suggested (to which I have not responded
individually here).
--8323329-901760997-1539883594=:19047--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 18 Oct 2018 17:13:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 13:13:10 2018
Received: from localhost ([127.0.0.1]:57333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDBrB-0007dR-Oc
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2018 13:13:09 -0400
Received: from ceres.etla.org ([85.119.82.193]:38919)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivek@HIDDEN>) id 1gDBrA-0007dJ-Nx
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 13:13:09 -0400
Received: from yaffle.pepperfish.net ([88.99.213.221] helo=[10.112.101.20])
 by ceres.etla.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <vivek@HIDDEN>)
 id 1gDBr9-000640-Cs; Thu, 18 Oct 2018 18:13:07 +0100
Date: Thu, 18 Oct 2018 18:13:06 +0100 (BST)
From: Vivek Dasmohapatra <vivek@HIDDEN>
X-X-Sender: vivek@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
In-Reply-To: <83efcnqj4b.fsf@HIDDEN>
Message-ID: <alpine.DEB.2.02.1810181809540.19047@HIDDEN>
References: <87k2p8h1vn.fsf@HIDDEN> <5B52E425.8010608@HIDDEN>
 <alpine.DEB.2.02.1807211421040.921@HIDDEN>
 <5B543148.1010004@HIDDEN>
 <alpine.DEB.2.02.1807221324380.921@HIDDEN>
 <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <5BC83F03.4050006@HIDDEN> <83pnw7qsxu.fsf@HIDDEN> <5BC8B792.3080806@HIDDEN>
 <83efcnqj4b.fsf@HIDDEN>
User-Agent: Alpine 2.02 (DEB 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam_report: Spam detection software, running on the system "ceres.etla.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > Oh, I'm quite sure we want this on master,
 I'm just struggling
 with > the idea of having all that non-trivial code on the release branch.
 > > Does anyone else have an opinion, or can offer one? Only that I find
 the current size-jitter extremely annoying,
 which is admittedly a very subjective
 thing. The actual merge window does not matter so much to me because, well,
 I already have a patched emacs on my system(s) by this point. [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 0.0 AWL AWL: Adjusted score from AWL reputation of From: address
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22000
Cc: martin rudalics <rudalics@HIDDEN>, 22000 <at> debbugs.gnu.org,
 deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Oh, I'm quite sure we want this on master, I'm just struggling with
> the idea of having all that non-trivial code on the release branch.
>
> Does anyone else have an opinion, or can offer one?

Only that I find the current size-jitter extremely annoying, which
is admittedly a very subjective thing. The actual merge window does
not matter so much to me because, well, I already have a patched
emacs on my system(s) by this point.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 18 Oct 2018 17:08:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 13:08:46 2018
Received: from localhost ([127.0.0.1]:57326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDBmw-0007Wq-7S
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2018 13:08:46 -0400
Received: from ceres.etla.org ([85.119.82.193]:46011)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivek@HIDDEN>) id 1gDBmu-0007Wi-J3
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 13:08:44 -0400
Received: from yaffle.pepperfish.net ([88.99.213.221] helo=[10.112.101.20])
 by ceres.etla.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <vivek@HIDDEN>)
 id 1gDBmt-00062T-4q; Thu, 18 Oct 2018 18:08:43 +0100
Date: Thu, 18 Oct 2018 18:08:42 +0100 (BST)
From: Vivek Dasmohapatra <vivek@HIDDEN>
X-X-Sender: vivek@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
In-Reply-To: <83murbqrxx.fsf@HIDDEN>
Message-ID: <alpine.DEB.2.02.1810181806430.19047@HIDDEN>
References: <87k2p8h1vn.fsf@HIDDEN> <5B543148.1010004@HIDDEN>
 <alpine.DEB.2.02.1807221324380.921@HIDDEN>
 <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <5BC83F03.4050006@HIDDEN>
 <alpine.DEB.2.02.1810181321230.19047@HIDDEN>
 <87pnw7xvxm.fsf@HIDDEN>
 <alpine.DEB.2.02.1810181416130.19047@HIDDEN>
 <83murbqrxx.fsf@HIDDEN>
User-Agent: Alpine 2.02 (DEB 1266 2009-07-14)
MIME-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII; format=flowed
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam_report: Spam detection software, running on the system "ceres.etla.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > Maybe I misunderstand you: what other frames, except "root
 frames" do > you see in Emacs? I had to call it something - root window
 already
 means something else in X. I just meant the top-level enclosing widget. I
 am happy do describe it with any reasonably accurate term. [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 0.0 AWL AWL: Adjusted score from AWL reputation of From: address
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22000
Cc: rpluim@HIDDEN, 22000 <at> debbugs.gnu.org, deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Maybe I misunderstand you: what other frames, except "root frames" do
> you see in Emacs?

I had to call it something - root window already means something else in X.
I just meant the top-level enclosing widget. I am happy do describe it with
any reasonably accurate term.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 18 Oct 2018 17:07:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 13:07:56 2018
Received: from localhost ([127.0.0.1]:57321 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDBm7-0007VN-Rk
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2018 13:07:56 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55551)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gDBm4-0007V8-2N
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 13:07:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gDBlu-0005WU-U4
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 13:07:46 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37100)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gDBlc-0005FS-5q; Thu, 18 Oct 2018 13:07:24 -0400
Received: from [176.228.60.248] (port=2732 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gDBlb-0001Ph-PQ; Thu, 18 Oct 2018 13:07:24 -0400
Date: Thu, 18 Oct 2018 20:07:00 +0300
Message-Id: <83efcnqj4b.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <5BC8B792.3080806@HIDDEN> (message from martin rudalics on Thu,
 18 Oct 2018 18:40:50 +0200)
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN> <5B51D6C4.9030006@HIDDEN>
 <alpine.DEB.2.02.1807201843110.921@HIDDEN>
 <5B52E425.8010608@HIDDEN>
 <alpine.DEB.2.02.1807211421040.921@HIDDEN>
 <5B543148.1010004@HIDDEN>
 <alpine.DEB.2.02.1807221324380.921@HIDDEN>
 <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <5BC83F03.4050006@HIDDEN> <83pnw7qsxu.fsf@HIDDEN> <5BC8B792.3080806@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22000
Cc: 22000 <at> debbugs.gnu.org, vivek@HIDDEN, deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Thu, 18 Oct 2018 18:40:50 +0200
> From: martin rudalics <rudalics@HIDDEN>
> CC: vivek@HIDDEN, 22000 <at> debbugs.gnu.org, deng@HIDDEN
> 
> My sole argument is that the feature does not introduce any hidden or
> subtle changes.  As long as users have a recent enough GTK installed
> and use menu bars any bugs should be easy to find.  The glitch Robert
> has detected is a proof for this claim (my GTK was too old for that).
> 
> In either case I'll be just happy to put this problem to a rest - on
> the release branch or on master.

Oh, I'm quite sure we want this on master, I'm just struggling with
the idea of having all that non-trivial code on the release branch.

Does anyone else have an opinion, or can offer one?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 18 Oct 2018 16:41:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 12:41:34 2018
Received: from localhost ([127.0.0.1]:57304 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDBMc-0006tw-2o
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2018 12:41:34 -0400
Received: from mout.gmx.net ([212.227.17.22]:54719)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gDBMZ-0006ti-Tt
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 12:41:32 -0400
Received: from [192.168.1.100] ([212.95.5.113]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0M3u86-1fMreh1z3S-00rcCk; Thu, 18
 Oct 2018 18:41:17 +0200
Received: from [192.168.1.100] ([212.95.5.113]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0M3u86-1fMreh1z3S-00rcCk; Thu, 18
 Oct 2018 18:41:17 +0200
Message-ID: <5BC8B7A4.8020405@HIDDEN>
Date: Thu, 18 Oct 2018 18:41:08 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN>
 <5B52E425.8010608@HIDDEN>	<alpine.DEB.2.02.1807211421040.921@HIDDEN>	<5B543148.1010004@HIDDEN>	<alpine.DEB.2.02.1807221324380.921@HIDDEN>	<5B557ACA.4020106@HIDDEN>	<alpine.DEB.2.02.1810111400480.5980@HIDDEN>	<5BBF93CF.4060301@HIDDEN>	<alpine.DEB.2.02.1810112148100.5980@HIDDEN>	<5BC05EEB.9010609@HIDDEN>	<alpine.DEB.2.02.1810121316230.5980@HIDDEN>	<5BC0E405.90805@HIDDEN>	<alpine.DEB.2.02.1810121917570.5980@HIDDEN>	<5BC1AAE2.7070808@HIDDEN>	<alpine.DEB.2.02.1810151455060.19047@HIDDEN>	<5BC4DB0E.3050501@HIDDEN>	<alpine.DEB.2.02.1810161954120.19047@HIDDEN>	<5BC6E4F2.2030607@HIDDEN>	<alpine.DEB.2.02.1810180200180.19047@HIDDEN>	<5BC83F03.4050006@HIDDEN>
 <83pnw7qsxu.fsf@HIDDEN> <87h8hjxrk2.fsf@HIDDEN>
In-Reply-To: <87h8hjxrk2.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:iWYgx70+Hr041SJ1xZWBpi0feGXUwqVVBApF/G4Q50wMffsE8jC
 bgerOxbK2BIGIEcu9io0IY7Ei9YP0kRKJLK7KRpTTiZ3G3SMyA0m6NqkWAfrvqlNr5LYyNA
 4RUAC2ccd9Ji552Q6leEC3aKO8gKtPSqXgA5eOUtTxKuXDMumr9utH0wEwR1bafLcu3t3Ve
 OImCNEpJE11Iu2Jz8EN5A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:JVK/cE6vF9E=:qUcI7IKNMQ//R0+egwgJsC
 sr4LBSEyC5IPKwgBNksA88Hn+fxBuGiQasSjuRVSkEdgmVeFuJUpeB2CQjgsuzMoBsCQrsRCf
 Dp99QAclbNW8WKFDz3a0X+n7AbrbXJFvuQ4iRNsfi0v4sUgNchT+vQ4GfLQuzEAoSa8nqJHlZ
 FeKCBVaTSbHrw+dr5/dBFwCqIniw4jbA/F+BxVSV4Grah7U3d10HeN4bDxzzkqX60Zza/o4nr
 LkhjfweuXL8wx0rNh29QK63IwAq07kSq35QtWwRyn6BAVrXBuuiygfR6eMSPDSWMgHd+l4zBa
 eX6fH/mg4GzFdqBHVT2Qwr35/oZr2lfvjxIWynJE5ef+B8p0rHAZFj3PsAbxbCOvZY93znfNS
 iDyU7K4W09wMzdz9f/VMibgWy9vwUx4bWIoylUgKfIhZlAiitTQwNxbwWsGn8WBUrawNAIncX
 KgC4QLaZWvpe/y0Banj6wnqkBsZ7hI3z94rM7Wy8LQmQlEsfVytcuy9Pg1wSyIpptna4jKbhT
 0gHx1R9pnAESHqjOw/g6c6ZEQQ/aIlb/Yx5g+OeLBgO7RME+wxMx2+3ZQLw4QzTXIvdhD0cXV
 VIVpimlDlK2hqdE5jE9hAujY/XaVIplUFHeSQVkLEIlnWHOvsiPvmgPZufDPhiNk1dSsVz1Lz
 qiYa4KjEFJwb2zKWsThp7wfgkb0axocNkm7RWxKxoZnsKJu9IL8EQMY3nvGol4lktXasydYcP
 8NB63d09EH5aAGUzTK89BFMjKMYHHuaFK4UvtEoLXpF9xDXBc5xvq5QdxTjoT+K5UynJXz+Y1
 sRdS3lAVu87lieFDzl3U3JwBhGPlatGBswVI5dc/XRposAuErM=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22000
Cc: 22000 <at> debbugs.gnu.org, vivek@HIDDEN, deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > I=CA=BCve tried the patch now,

Thank you.  Please try also customizing the option from the menu bar
and please also try its main feature: Make the frame sufficently
narrow, type M-x dired RET RET, and test whether the menu bar gets
truncated instead of resizing the frame.

 >  and am seeing some minor display glitches
 > from emacs -Q. The space allocated for the menu bar seems slightly too=

 > small, resulting in a dotted line underneath it, see screenshot. This
 > is with gtk 3.22.30.

 From that screenshot it's also evident that descenders are truncated,
in particular the "p" in Options, Help ...

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 18 Oct 2018 16:41:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 12:41:21 2018
Received: from localhost ([127.0.0.1]:57301 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gDBMO-0006tW-Rd
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2018 12:41:21 -0400
Received: from mout.gmx.net ([212.227.17.20]:34791)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1gDBMM-0006tI-Vx
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 12:41:19 -0400
Received: from [192.168.1.100] ([212.95.5.113]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lmvlg-1fh8Jm0Owm-00h9YG; Thu, 18
 Oct 2018 18:41:02 +0200
Received: from [192.168.1.100] ([212.95.5.113]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lmvlg-1fh8Jm0Owm-00h9YG; Thu, 18
 Oct 2018 18:41:02 +0200
Message-ID: <5BC8B792.3080806@HIDDEN>
Date: Thu, 18 Oct 2018 18:40:50 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN> <5B51D6C4.9030006@HIDDEN>
 <alpine.DEB.2.02.1807201843110.921@HIDDEN>
 <5B52E425.8010608@HIDDEN>
 <alpine.DEB.2.02.1807211421040.921@HIDDEN>
 <5B543148.1010004@HIDDEN>
 <alpine.DEB.2.02.1807221324380.921@HIDDEN>
 <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <5BC83F03.4050006@HIDDEN> <83pnw7qsxu.fsf@HIDDEN>
In-Reply-To: <83pnw7qsxu.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:Kb/Gz/PQSJdO3N08o3SpXiZDe4X8LP8eOP9oiL2SrU2YN/7FFUR
 XV+g1KqFZAz3fUP0bsvmhmTGzSQPHRXAPPAaiv3FIzSsl76wt93om3kN7gR3UtYWsLuGKoZ
 ox7e2shs1wZ5vOmWaBcdMGgP+7bceltEOAlhynkEKsYiALfJizgeE6n16NraC6W/dVw1JXm
 +alvlYjd/eAR5dr6v8/AQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V01:K0:w7v0LIUiRzE=:+rmcgWGTDDdbLdMN8FpAdL
 Pru40AzxKvQxId7RW4IOB7Enlahdl2LZ2EvL0KeIEL0QaakjZf815TdAC+mTqP1cZBWWU8n6W
 TcBKwPpZKaVqwIAuHUPSR89qW35wd7+cUJABRGMPltJzWUos2GAxJUuFKz7w8WzAa/rx+HWvR
 jhCbO3moYSQT+okb8iK7TxSmsudqdhKyew3WG8A7NeGbn4t/0dDWnCYxFphvZJ45pAgGTBIuf
 7HpI5B5OFKAku8hZAm+Fu8iS4AaF5k4TpnF6O7Ko8+9uvUPFuZrvpx54JRgfST8DYrB4CoYzr
 8EdQqvMzrR4uklzA0hqbOQgWD5/G9sRiSZDPtTi2dNJi1QUnV6URYFlFLwVFpbLY2Nglhikgm
 WVWya88YwDDNEFjhW1/Mn9SHq2McF6htCepIl3xSsKY/I2EexRvesaowQ7/cNamJfQ1v+ij9n
 HfcirniAttzzCO3EDHraJH0JlUhgueQ9hbBHo1GT8uq1L2nYXOTV7/1qPiVdYBdcz1Pr2hTFJ
 9MDkdOkf7dPy0uihMeHa7FX8dlj7jqczjfcyESDqaLwz2TY/46hiRRPtfmNZmsMkCqLI7k1U7
 eZR3cHDSu/uoB8yhqUKP0JGYvimMoRP2B+1fRHSMlt7Vg4x4QtPaLG9HcGGupEm4r7yQIY2Yt
 gtgTrvqcHXxho487dccWapbzFacYIAQ+c+CdeawocL75VLUuQpZJ9yplljTy/jy9UzmdWJ0k1
 sOepo2jlUDcec3cawDATLporITcghdRhUrKPsuq39VzCm1y4G7yUg9vQpmZ/z0/1VxOGuKVB5
 gg4so1FqfcZCXDgSw6sQ+JO55cgRRVSvaTS/DMq4ZGeWvBkg4g=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22000
Cc: 22000 <at> debbugs.gnu.org, vivek@HIDDEN, deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > I realize that it fixes an annoying misfeature, but it does so by
 > introducing a significant new feature which requires quite a few code
 > lines.  For a problem that AFAIU has been with us since time
 > immemoriam, I'm really uneasy with putting this on emacs-26.  But I'm
 > fully prepared to hear arguments to the contrary.

My sole argument is that the feature does not introduce any hidden or
subtle changes.  As long as users have a recent enough GTK installed
and use menu bars any bugs should be easy to find.  The glitch Robert
has detected is a proof for this claim (my GTK was too old for that).

In either case I'll be just happy to put this problem to a rest - on
the release branch or on master.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 18 Oct 2018 14:31:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 10:31:47 2018
Received: from localhost ([127.0.0.1]:57217 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gD9Kz-0003pP-DY
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2018 10:31:47 -0400
Received: from mail-wr1-f50.google.com ([209.85.221.50]:44575)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1gD9Kw-0003pC-Tw
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 10:31:44 -0400
Received: by mail-wr1-f50.google.com with SMTP id 63-v6so33905514wra.11
 for <22000 <at> debbugs.gnu.org>; Thu, 18 Oct 2018 07:31:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=yZZ7jiHsuYm51kW4RQ4i949sxZB7Hk8XGcPJaU3HvQo=;
 b=XP5eEldzwPVGwB8ir4JGckMdzYvVFp+dMGUpYDPxe0J8WX1sB/ajay77MEz9a8gBfn
 h/1WTPx05WR5gCHjZYfYVQQJIsmdhZXwtvmSC1G3GOyOMK+dj22nLrjOsl9mJqgOChQv
 f3FmJCPGjztU2NMtP1pjsEHMYOe40JzbcAtVGXnSru56aCHx3gNNrPzFih2exvIlUyrx
 xuBnVgk+gUrurJj+OqTLM+OIBVNA5iG6NNAY50QBgJJ1wBr06mDJbz1PUOCU/YncYrj8
 q5QQQ7z99YbQFRSmWpg+qWRtNoYk18jLa/Uu1mHs9e/UbJka2laNcjRhyYbVMKTHCyT9
 uRuA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=yZZ7jiHsuYm51kW4RQ4i949sxZB7Hk8XGcPJaU3HvQo=;
 b=kmzfYZLeXqx7T+P8idBDY91L517BtinNb60i6vmkYh4mLYHBgZBaijcututgi3TaLA
 2WuF1m4mCxJmzWdyWmNL6FPaiQ3r/u4n/AEPBthltTAHAQmsoPNAJzWQ9q3zmw0fJRMk
 o+xyLrVYjASeSAyIZokj2GcdNLlna0q/50ZQKPbEk9p6D/Q02DgMX7qMSEgrbG+5rRNJ
 S5WPqnApZ5z8l3KO1lY0u0fkoqeumElM4e1yWv8jWIInfr/1W9hC/q2t+1+O0cfvsV8H
 U+mLGXIEZxjou19ErEQTXKjzDBZXOSy+8XlaG28RNk5q9CBq4koseRNVcFRq7OCh6yBh
 vj3Q==
X-Gm-Message-State: ABuFfojgoARz2ySguuT+nyaOL3hW+qbMqJtg/pyOddYLZmgZKlJG+L21
 crjVvtZVNVOAzMYLZVKxgLw=
X-Google-Smtp-Source: ACcGV60im3Pga4rCp4KQ4M/lYovqpZzbrXhMnWHUC/7RkbTpb7Qo7ODMAJFc1mGxiGgf0NBdiMBUXw==
X-Received: by 2002:a5d:5601:: with SMTP id
 l1-v6mr29893078wrv.209.1539873096887; 
 Thu, 18 Oct 2018 07:31:36 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id y19-v6sm20237800wra.60.2018.10.18.07.31.35
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 18 Oct 2018 07:31:36 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN> <5B543148.1010004@HIDDEN>
 <alpine.DEB.2.02.1807221324380.921@HIDDEN>
 <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <5BC83F03.4050006@HIDDEN>
 <alpine.DEB.2.02.1810181321230.19047@HIDDEN>
 <87pnw7xvxm.fsf@HIDDEN> <87r2gnz7li.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Thu, 18 Oct 2018 16:31:34 +0200
In-Reply-To: <87r2gnz7li.fsf@HIDDEN> (Stephen Berman's message of "Thu, 18
 Oct 2018 15:51:05 +0200")
Message-ID: <87a7nbxr5l.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22000
Cc: 22000 <at> debbugs.gnu.org, Vivek Dasmohapatra <vivek@HIDDEN>,
 David Engster <deng@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stephen Berman <stephen.berman@HIDDEN> writes:

> On Thu, 18 Oct 2018 14:48:21 +0200 Robert Pluim <rpluim@HIDDEN> wrote:
>
>> I don=CA=BCt use the menu-bar, so I can't speak to the functionality, but
>> various documentation nits below. (menu-bar? menubar? menu bar? I=CA=BCm
>> not sure what the consensus is there)
>
> The status quo in the Emacs manual favors two words, also for related
> terms:
>
> $ grep -i menubar emacs.info | wc -l
> 27
> $ grep -i menu-bar emacs.info | wc -l
> 14
> $ grep -i "menu bar" emacs.info | wc -l
> 80
> $ grep -i scrollbar emacs.info | wc -l
> 10
> $ grep -i scroll-bar emacs.info | wc -l
> 19
> $ grep -i "scroll bar" emacs.info | wc -l
> 72
> $ grep -i toolbar emacs.info | wc -l
> 3
> $ grep -i tool-bar emacs.info | wc -l
> 8
> $ grep -i "tool bar" emacs.info | wc -l
> 48

I suspect quite a few of those matches are commands or variables, so
not that easy to fix.

> (Though as Ralph Waldo Emerson (I think) said, consistency is the
> hobgoblin of small minds.  Or is that "hob-goblin" or "hob goblin"?)

Indeed.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 18 Oct 2018 14:23:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 10:23:04 2018
Received: from localhost ([127.0.0.1]:57212 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gD9Ca-0003cE-D6
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2018 10:23:04 -0400
Received: from mail-wm1-f43.google.com ([209.85.128.43]:50511)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1gD9CZ-0003bY-AJ
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 10:23:03 -0400
Received: by mail-wm1-f43.google.com with SMTP id i8-v6so480689wmg.0
 for <22000 <at> debbugs.gnu.org>; Thu, 18 Oct 2018 07:23:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version;
 bh=ab2jhT/O2YcJrw5xd5spzQvKhQT709XDiJHiwDZG54U=;
 b=TDmGAUfh/p4cJ4RRe5rKZ6+ys7ItjNzjfGsaasD+zNwe6n+N4L4jjvdr1k7XWDe3gG
 3VyK0YALM7OnuaqEgS/xDmnENKiObgdlnI4z3aMVi9Ymhv1cpEHlJkBgL1SgLIc+1qy2
 Q6dX5DF5Uth4B49IhJl/uPQ9o/m01VSMrV4PMdpUmTmqKz3vJVxDJY0efRD/qK79mbA/
 rLgY9UMaoQPB2R61Ry34kHVZ2LkSQ96Ru4iJpK7u1D9hLyu2ELTJHG6ZJSbSKcZPAicv
 3Tkn7xgkNfc/ivQGK12UxdpBN33xQS/554cQN3iRJ5wEk5MJHc0vYjIET+z/iT5dBJ14
 weLw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version;
 bh=ab2jhT/O2YcJrw5xd5spzQvKhQT709XDiJHiwDZG54U=;
 b=ICAw3wZ/UTIjAU681d56y4au3mlpk1snLKF+PhCzGJT84HQNy7qmPcI+xh2GEwleXl
 6vOQi7IKjX9PhpXW+pLwrm4+ufafmpUzHESWxfaLjEZ7UPycKbsCy8GGySeubPHfoLKF
 5CRCYs2Va7IecMiCdV7+MjbW52oktBL4nLicwvXNDvYqm7LcwLRZC/DgaYPbNVy7RIl8
 XyfGNCr/8+Drk9I8assE1arTPG+GwVgqlPlnJ4ASEGhL/7P+SClLoqnG491YbKeqhElo
 0Kp1BqNbvAgFbt3Em1lYrng972LHby3hy2oSDSh9kE5KC7D9e770StCBowGKaUwXZvsU
 avbg==
X-Gm-Message-State: ABuFfojpljJXKb+LeJuEiEHJS5JdhRooytWKv/WOqvdNPJr3tkNhRniz
 GrzmNFgT27XP8SadvOxlc+k=
X-Google-Smtp-Source: ACcGV63is0nDFXpc9pBU7hro/jzytVX/A7r7SCMgukkEjae700ZelrtXcNPGIFBjvCD0DW2PnKQ0xA==
X-Received: by 2002:a1c:3584:: with SMTP id
 c126-v6mr568715wma.120.1539872577209; 
 Thu, 18 Oct 2018 07:22:57 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id v1-v6sm17520679wrd.24.2018.10.18.07.22.55
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 18 Oct 2018 07:22:55 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN> <5B52E425.8010608@HIDDEN>
 <alpine.DEB.2.02.1807211421040.921@HIDDEN>
 <5B543148.1010004@HIDDEN>
 <alpine.DEB.2.02.1807221324380.921@HIDDEN>
 <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <5BC83F03.4050006@HIDDEN> <83pnw7qsxu.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Thu, 18 Oct 2018 16:22:53 +0200
In-Reply-To: <83pnw7qsxu.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 18 Oct
 2018 16:34:53 +0300")
Message-ID: <87h8hjxrk2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 22000
Cc: martin rudalics <rudalics@HIDDEN>, 22000 <at> debbugs.gnu.org, vivek@HIDDEN,
 deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Eli Zaretskii <eliz@HIDDEN> writes:

>> Date: Thu, 18 Oct 2018 10:06:27 +0200
>> From: martin rudalics <rudalics@HIDDEN>
>> CC: 22000 <at> debbugs.gnu.org, David Engster <deng@HIDDEN>,=20
>>  "eliz@HIDDEN" <eliz@HIDDEN>
>>=20
>>  > New patch series - I think this has all the features and functionality
>>  > discussed so far.
>>=20
>> Eli, I think this should go to the release branch.  If it introduces any
>> problems, we should find out soon enough - I think that most of our GTK
>> users leave the menu bar on.  But it is not just a cosmetic change.
>
> Not a cosmetic change, indeed.
>
> I realize that it fixes an annoying misfeature, but it does so by
> introducing a significant new feature which requires quite a few code
> lines.  For a problem that AFAIU has been with us since time
> immemoriam, I'm really uneasy with putting this on emacs-26.  But I'm
> fully prepared to hear arguments to the contrary.

I=CA=BCve tried the patch now, and am seeing some minor display glitches
from emacs -Q. The space allocated for the menu bar seems slightly too
small, resulting in a dotted line underneath it, see screenshot. This
is with gtk 3.22.30.


--=-=-=
Content-Type: image/png
Content-Disposition: inline; filename=Selection_045.png
Content-Transfer-Encoding: base64
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--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 18 Oct 2018 13:57:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 09:57:12 2018
Received: from localhost ([127.0.0.1]:57202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gD8nX-0002zl-SF
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2018 09:57:12 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44643)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gD8nU-0002zY-IJ
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 09:57:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gD8nO-0000x4-K1
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 09:57:03 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:32799)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gD8nC-0000fA-DN; Thu, 18 Oct 2018 09:56:50 -0400
Received: from [176.228.60.248] (port=2461 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gD8nC-0003i8-0Q; Thu, 18 Oct 2018 09:56:50 -0400
Date: Thu, 18 Oct 2018 16:56:26 +0300
Message-Id: <83murbqrxx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Vivek Dasmohapatra <vivek@HIDDEN>
In-reply-to: <alpine.DEB.2.02.1810181416130.19047@HIDDEN>
 (message from Vivek Dasmohapatra on Thu, 18 Oct 2018 14:24:14 +0100
 (BST))
Subject: Re: bug#22000: Patch addressing the menu-bar frame-resize interaction
References: <87k2p8h1vn.fsf@HIDDEN> <5B52E425.8010608@HIDDEN>
 <alpine.DEB.2.02.1807211421040.921@HIDDEN>
 <5B543148.1010004@HIDDEN>
 <alpine.DEB.2.02.1807221324380.921@HIDDEN>
 <5B557ACA.4020106@HIDDEN>
 <alpine.DEB.2.02.1810111400480.5980@HIDDEN>
 <5BBF93CF.4060301@HIDDEN>
 <alpine.DEB.2.02.1810112148100.5980@HIDDEN>
 <5BC05EEB.9010609@HIDDEN>
 <alpine.DEB.2.02.1810121316230.5980@HIDDEN>
 <5BC0E405.90805@HIDDEN>
 <alpine.DEB.2.02.1810121917570.5980@HIDDEN>
 <5BC1AAE2.7070808@HIDDEN>
 <alpine.DEB.2.02.1810151455060.19047@HIDDEN>
 <5BC4DB0E.3050501@HIDDEN>
 <alpine.DEB.2.02.1810161954120.19047@HIDDEN>
 <5BC6E4F2.2030607@HIDDEN>
 <alpine.DEB.2.02.1810180200180.19047@HIDDEN>
 <5BC83F03.4050006@HIDDEN>
 <alpine.DEB.2.02.1810181321230.19047@HIDDEN>
 <87pnw7xvxm.fsf@HIDDEN>
 <alpine.DEB.2.02.1810181416130.19047@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22000
Cc: rpluim@HIDDEN, 22000 <at> debbugs.gnu.org, deng@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> Date: Thu, 18 Oct 2018 14:24:14 +0100 (BST)
> From: Vivek Dasmohapatra <vivek@HIDDEN>
> Cc: 22000 <at> debbugs.gnu.org, David Engster <deng@HIDDEN>
> 
> > What is the 'root frame'? Surely the only frame that matters is the
> > one displaying the menu bar?
> 
> That is the root frame.

We don't have such terminology in Emacs.

Maybe I misunderstand you: what other frames, except "root frames" do
you see in Emacs?

> PS: Regarding the capital-after-a-colon question - this is a rigidly
> defined area of doubt and uncertainty. There appears to be no hard-and-fast
> rule, only whatever's in various house style guides.

FWIW, I find the capital-letter style here jarring.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22000; Package emacs. Full text available.

Message received at 22000 <at> debbugs.gnu.org:


Received: (at 22000) by debbugs.gnu.org; 18 Oct 2018 13:52:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 09:52:05 2018
Received: from localhost ([127.0.0.1]:56242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gD8ib-0002eJ-Ev
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2018 09:52:05 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43059)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gD8iZ-0002di-44
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 09:52:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gD8iQ-0004Gq-GU
 for 22000 <at> debbugs.gnu.org; Thu, 18 Oct 2018 09:51:57 -0400
X-Spam-Checker-Ver